#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 10
#define STATE_COUNT 1143
#define SYMBOL_COUNT 223
#define ALIAS_COUNT 7
#define TOKEN_COUNT 119
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 9

enum {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_LBRACE = 6,
  anon_sym_COMMA = 7,
  anon_sym_RBRACE = 8,
  anon_sym_as = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_var = 12,
  anon_sym_let = 13,
  anon_sym_const = 14,
  anon_sym_if = 15,
  anon_sym_else = 16,
  anon_sym_switch = 17,
  anon_sym_for = 18,
  anon_sym_LPAREN = 19,
  anon_sym_RPAREN = 20,
  anon_sym_in = 21,
  anon_sym_await = 22,
  anon_sym_of = 23,
  anon_sym_while = 24,
  anon_sym_do = 25,
  anon_sym_try = 26,
  anon_sym_with = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_LBRACK = 39,
  anon_sym_RBRACK = 40,
  anon_sym_LT = 41,
  anon_sym_GT = 42,
  anon_sym_SLASH = 43,
  sym_jsx_text = 44,
  sym_jsx_identifier = 45,
  anon_sym_DOT = 46,
  anon_sym_EQ = 47,
  anon_sym_class = 48,
  anon_sym_extends = 49,
  anon_sym_async = 50,
  anon_sym_function = 51,
  anon_sym_EQ_GT = 52,
  anon_sym_new = 53,
  anon_sym_PLUS_EQ = 54,
  anon_sym_DASH_EQ = 55,
  anon_sym_STAR_EQ = 56,
  anon_sym_SLASH_EQ = 57,
  anon_sym_PERCENT_EQ = 58,
  anon_sym_CARET_EQ = 59,
  anon_sym_AMP_EQ = 60,
  anon_sym_PIPE_EQ = 61,
  anon_sym_GT_GT_EQ = 62,
  anon_sym_GT_GT_GT_EQ = 63,
  anon_sym_LT_LT_EQ = 64,
  anon_sym_STAR_STAR_EQ = 65,
  anon_sym_DOT_DOT_DOT = 66,
  anon_sym_QMARK = 67,
  anon_sym_AMP_AMP = 68,
  anon_sym_PIPE_PIPE = 69,
  anon_sym_GT_GT = 70,
  anon_sym_GT_GT_GT = 71,
  anon_sym_LT_LT = 72,
  anon_sym_AMP = 73,
  anon_sym_CARET = 74,
  anon_sym_PIPE = 75,
  anon_sym_PLUS = 76,
  anon_sym_DASH = 77,
  anon_sym_PERCENT = 78,
  anon_sym_STAR_STAR = 79,
  anon_sym_LT_EQ = 80,
  anon_sym_EQ_EQ = 81,
  anon_sym_EQ_EQ_EQ = 82,
  anon_sym_BANG_EQ = 83,
  anon_sym_BANG_EQ_EQ = 84,
  anon_sym_GT_EQ = 85,
  anon_sym_instanceof = 86,
  anon_sym_BANG = 87,
  anon_sym_TILDE = 88,
  anon_sym_typeof = 89,
  anon_sym_void = 90,
  anon_sym_delete = 91,
  anon_sym_PLUS_PLUS = 92,
  anon_sym_DASH_DASH = 93,
  anon_sym_DQUOTE = 94,
  aux_sym_string_token1 = 95,
  anon_sym_SQUOTE = 96,
  aux_sym_string_token2 = 97,
  sym_escape_sequence = 98,
  sym_comment = 99,
  anon_sym_BQUOTE = 100,
  anon_sym_DOLLAR_LBRACE = 101,
  anon_sym_SLASH2 = 102,
  sym_regex_pattern = 103,
  sym_regex_flags = 104,
  sym_number = 105,
  anon_sym_target = 106,
  sym_this = 107,
  sym_super = 108,
  sym_true = 109,
  sym_false = 110,
  sym_null = 111,
  sym_undefined = 112,
  anon_sym_AT = 113,
  anon_sym_static = 114,
  anon_sym_get = 115,
  anon_sym_set = 116,
  sym__automatic_semicolon = 117,
  sym__template_chars = 118,
  sym_program = 119,
  sym_export_statement = 120,
  sym_export_clause = 121,
  sym__import_export_specifier = 122,
  sym__declaration = 123,
  sym_import_statement = 124,
  sym_import_clause = 125,
  sym__from_clause = 126,
  sym_namespace_import = 127,
  sym_named_imports = 128,
  sym_expression_statement = 129,
  sym_variable_declaration = 130,
  sym_lexical_declaration = 131,
  sym_variable_declarator = 132,
  sym_statement_block = 133,
  sym_if_statement = 134,
  sym_switch_statement = 135,
  sym_for_statement = 136,
  sym_for_in_statement = 137,
  sym_for_of_statement = 138,
  sym_while_statement = 139,
  sym_do_statement = 140,
  sym_try_statement = 141,
  sym_with_statement = 142,
  sym_break_statement = 143,
  sym_continue_statement = 144,
  sym_debugger_statement = 145,
  sym_return_statement = 146,
  sym_throw_statement = 147,
  sym_empty_statement = 148,
  sym_labeled_statement = 149,
  sym_switch_body = 150,
  sym_switch_case = 151,
  sym_switch_default = 152,
  sym_catch_clause = 153,
  sym_finally_clause = 154,
  sym_parenthesized_expression = 155,
  sym__expression = 156,
  sym_yield_expression = 157,
  sym_object = 158,
  sym_assignment_pattern = 159,
  sym_array = 160,
  sym_jsx_element = 161,
  sym_jsx_fragment = 162,
  sym_jsx_expression = 163,
  sym_jsx_opening_element = 164,
  sym_nested_identifier = 165,
  sym_jsx_namespace_name = 166,
  sym_jsx_closing_element = 167,
  sym_jsx_self_closing_element = 168,
  sym_jsx_attribute = 169,
  sym_anonymous_class = 170,
  sym_class = 171,
  sym_class_heritage = 172,
  sym_function = 173,
  sym_arrow_function = 174,
  sym_generator_function = 175,
  sym_call_expression = 176,
  sym_new_expression = 177,
  sym_await_expression = 178,
  sym_member_expression = 179,
  sym_subscript_expression = 180,
  sym_assignment_expression = 181,
  sym_augmented_assignment_expression = 182,
  sym__initializer = 183,
  sym_spread_element = 184,
  sym_ternary_expression = 185,
  sym_binary_expression = 186,
  sym_unary_expression = 187,
  sym_update_expression = 188,
  sym_sequence_expression = 189,
  sym_string = 190,
  sym_template_string = 191,
  sym_template_substitution = 192,
  sym_regex = 193,
  sym_meta_property = 194,
  sym_arguments = 195,
  sym_decorator = 196,
  sym__identifier_reference = 197,
  sym_decorator_member_expression = 198,
  sym_decorator_call_expression = 199,
  sym_class_body = 200,
  sym_public_field_definition = 201,
  sym_formal_parameters = 202,
  sym_rest_parameter = 203,
  sym_method_definition = 204,
  sym_pair = 205,
  sym__property_name = 206,
  sym_computed_property_name = 207,
  aux_sym_program_repeat1 = 208,
  aux_sym_export_statement_repeat1 = 209,
  aux_sym_export_clause_repeat1 = 210,
  aux_sym_named_imports_repeat1 = 211,
  aux_sym_variable_declaration_repeat1 = 212,
  aux_sym_switch_body_repeat1 = 213,
  aux_sym_object_repeat1 = 214,
  aux_sym_array_repeat1 = 215,
  aux_sym_jsx_element_repeat1 = 216,
  aux_sym_jsx_opening_element_repeat1 = 217,
  aux_sym_string_repeat1 = 218,
  aux_sym_string_repeat2 = 219,
  aux_sym_template_string_repeat1 = 220,
  aux_sym_class_body_repeat1 = 221,
  aux_sym_formal_parameters_repeat1 = 222,
  alias_sym_import_specifier = 223,
  alias_sym_shorthand_property_identifier = 224,
  alias_sym_array_pattern = 225,
  alias_sym_property_identifier = 226,
  alias_sym_object_pattern = 227,
  alias_sym_export_specifier = 228,
  alias_sym_statement_identifier = 229,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_as] = "as",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_in] = "in",
  [anon_sym_await] = "await",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_EQ] = "=",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "?",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "string_token2",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_export_clause] = "export_clause",
  [sym__import_export_specifier] = "_import_export_specifier",
  [sym__declaration] = "_declaration",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym_for_of_statement] = "for_of_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__expression] = "_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_array] = "array",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_fragment] = "jsx_fragment",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym_anonymous_class] = "anonymous_class",
  [sym_class] = "class",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_arrow_function] = "arrow_function",
  [sym_generator_function] = "generator_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym__identifier_reference] = "_identifier_reference",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_public_field_definition] = "public_field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_rest_parameter] = "rest_parameter",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_import_specifier] = "import_specifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_array_pattern] = "array_pattern",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_object_pattern] = "object_pattern",
  [alias_sym_export_specifier] = "export_specifier",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__import_export_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_of_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier_reference] = {
    .visible = false,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

static TSSymbol ts_alias_sequences[22][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = alias_sym_array_pattern,
  },
  [3] = {
    [0] = alias_sym_object_pattern,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [5] = {
    [1] = sym_identifier,
  },
  [6] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [7] = {
    [0] = alias_sym_shorthand_property_identifier,
  },
  [8] = {
    [0] = sym_identifier,
    [2] = alias_sym_property_identifier,
  },
  [9] = {
    [1] = alias_sym_statement_identifier,
  },
  [10] = {
    [1] = alias_sym_object_pattern,
  },
  [11] = {
    [1] = alias_sym_array_pattern,
  },
  [12] = {
    [2] = alias_sym_property_identifier,
  },
  [13] = {
    [0] = alias_sym_statement_identifier,
  },
  [14] = {
    [1] = alias_sym_import_specifier,
  },
  [15] = {
    [1] = alias_sym_export_specifier,
  },
  [16] = {
    [2] = alias_sym_object_pattern,
  },
  [17] = {
    [2] = alias_sym_array_pattern,
  },
  [18] = {
    [3] = alias_sym_array_pattern,
  },
  [19] = {
    [3] = alias_sym_object_pattern,
  },
  [20] = {
    [4] = alias_sym_array_pattern,
  },
  [21] = {
    [4] = alias_sym_object_pattern,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '#')
        ADVANCE(4);
      if (lookahead == '$')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(6);
      if (lookahead == '&')
        ADVANCE(7);
      if (lookahead == '\'')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(11);
      if (lookahead == '+')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(14);
      if (lookahead == '.')
        ADVANCE(15);
      if (lookahead == '/')
        ADVANCE(16);
      if (lookahead == '0')
        ADVANCE(17);
      if (lookahead == ':')
        ADVANCE(18);
      if (lookahead == ';')
        ADVANCE(19);
      if (lookahead == '<')
        ADVANCE(20);
      if (lookahead == '=')
        ADVANCE(21);
      if (lookahead == '>')
        ADVANCE(22);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '@')
        ADVANCE(24);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == '\\')
        ADVANCE(26);
      if (lookahead == ']')
        ADVANCE(27);
      if (lookahead == '^')
        ADVANCE(28);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '|')
        ADVANCE(31);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '~')
        ADVANCE(33);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(34);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(35);
      if (lookahead != 0)
        ADVANCE(36);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=')
        ADVANCE(37);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 4:
      if (lookahead == '!')
        ADVANCE(38);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '{')
        ADVANCE(39);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279)
        ADVANCE(36);
      END_STATE();
    case 6:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=')
        ADVANCE(40);
      END_STATE();
    case 7:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(41);
      if (lookahead == '=')
        ADVANCE(42);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 10:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 11:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*')
        ADVANCE(43);
      if (lookahead == '=')
        ADVANCE(44);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+')
        ADVANCE(45);
      if (lookahead == '=')
        ADVANCE(46);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-')
        ADVANCE(47);
      if (lookahead == '=')
        ADVANCE(48);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(50);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*')
        ADVANCE(51);
      if (lookahead == '/')
        ADVANCE(52);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.')
        ADVANCE(50);
      if (lookahead == '0')
        ADVANCE(53);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(55);
      if (lookahead == 'O' ||
          lookahead == 'o')
        ADVANCE(56);
      if (lookahead == 'X' ||
          lookahead == 'x')
        ADVANCE(57);
      if (lookahead == 'n')
        ADVANCE(58);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(35);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(59);
      if (lookahead == '=')
        ADVANCE(60);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(61);
      if (lookahead == '>')
        ADVANCE(62);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(64);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 26:
      if (lookahead == 'u')
        ADVANCE(65);
      if (lookahead == 'x')
        ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(67);
      if (lookahead != 0)
        ADVANCE(68);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=')
        ADVANCE(69);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=')
        ADVANCE(70);
      if (lookahead == '|')
        ADVANCE(71);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 34:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '#')
        ADVANCE(4);
      if (lookahead == '$')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(6);
      if (lookahead == '&')
        ADVANCE(7);
      if (lookahead == '\'')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(11);
      if (lookahead == '+')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(14);
      if (lookahead == '.')
        ADVANCE(15);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == '0')
        ADVANCE(17);
      if (lookahead == ':')
        ADVANCE(18);
      if (lookahead == ';')
        ADVANCE(19);
      if (lookahead == '<')
        ADVANCE(20);
      if (lookahead == '=')
        ADVANCE(21);
      if (lookahead == '>')
        ADVANCE(22);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '@')
        ADVANCE(24);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == ']')
        ADVANCE(27);
      if (lookahead == '^')
        ADVANCE(28);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '|')
        ADVANCE(31);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '~')
        ADVANCE(33);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(34);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(35);
      if (lookahead != 0 &&
          lookahead != '\\')
        ADVANCE(36);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.')
        ADVANCE(50);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(55);
      if (lookahead == 'n')
        ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(35);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279)
        ADVANCE(36);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=')
        ADVANCE(73);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(38);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=')
        ADVANCE(74);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 49:
      if (lookahead == '.')
        ADVANCE(75);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(50);
      END_STATE();
    case 51:
      if (lookahead == '*')
        ADVANCE(76);
      if (lookahead != 0)
        ADVANCE(51);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(52);
      END_STATE();
    case 53:
      if (lookahead == 'n')
        ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(53);
      END_STATE();
    case 54:
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(77);
      END_STATE();
    case 55:
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(80);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(81);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=')
        ADVANCE(82);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=')
        ADVANCE(83);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=')
        ADVANCE(84);
      if (lookahead == '>')
        ADVANCE(85);
      END_STATE();
    case 65:
      if (lookahead == '{')
        ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(87);
      END_STATE();
    case 66:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(88);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(89);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(51);
      if (lookahead == '/')
        ADVANCE(52);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 76:
      if (lookahead == '*')
        ADVANCE(76);
      if (lookahead == '/')
        ADVANCE(90);
      if (lookahead != 0)
        ADVANCE(51);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(77);
      END_STATE();
    case 78:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(80);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(81);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=')
        ADVANCE(91);
      END_STATE();
    case 86:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(92);
      END_STATE();
    case 87:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(66);
      END_STATE();
    case 88:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(68);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(68);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 92:
      if (lookahead == '}')
        ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(92);
      END_STATE();
    case 93:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(94);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '#')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(97);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == '0')
        ADVANCE(17);
      if (lookahead == ';')
        ADVANCE(19);
      if (lookahead == '<')
        ADVANCE(98);
      if (lookahead == '=')
        ADVANCE(99);
      if (lookahead == '@')
        ADVANCE(24);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '~')
        ADVANCE(33);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(93);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(35);
      if (lookahead != 0 &&
          (lookahead < '%' || '?' < lookahead) &&
          (lookahead < '\\' || '^' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}')
        ADVANCE(36);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+')
        ADVANCE(45);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-')
        ADVANCE(47);
      END_STATE();
    case 97:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(50);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 99:
      if (lookahead == '>')
        ADVANCE(62);
      END_STATE();
    case 100:
      if (lookahead == '!')
        ADVANCE(94);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '\'')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == '*')
        ADVANCE(101);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(102);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == '0')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(98);
      if (lookahead == '=')
        ADVANCE(99);
      if (lookahead == '@')
        ADVANCE(24);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == ']')
        ADVANCE(27);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '~')
        ADVANCE(33);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(100);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(35);
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < '%' || '?' < lookahead) &&
          (lookahead < '\\' || '^' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}')
        ADVANCE(36);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 102:
      if (lookahead == '.')
        ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(50);
      END_STATE();
    case 103:
      if (lookahead == '\n')
        SKIP(104);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '/')
        ADVANCE(105);
      if (lookahead == '\\')
        ADVANCE(26);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(106);
      if (lookahead != 0)
        ADVANCE(107);
      END_STATE();
    case 104:
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '/')
        ADVANCE(108);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*')
        ADVANCE(109);
      if (lookahead == '/')
        ADVANCE(107);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\')
        ADVANCE(107);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '/')
        ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(106);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\')
        ADVANCE(107);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\')
        ADVANCE(107);
      END_STATE();
    case 108:
      if (lookahead == '*')
        ADVANCE(51);
      if (lookahead == '/')
        ADVANCE(52);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*')
        ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\')
        ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*')
        ADVANCE(110);
      if (lookahead == '/')
        ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\')
        ADVANCE(109);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\')
        ADVANCE(107);
      END_STATE();
    case 112:
      if (lookahead == '$')
        ADVANCE(113);
      if (lookahead == '/')
        ADVANCE(108);
      if (lookahead == '\\')
        ADVANCE(26);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(114);
      END_STATE();
    case 113:
      if (lookahead == '{')
        ADVANCE(39);
      END_STATE();
    case 114:
      if (lookahead == '$')
        ADVANCE(113);
      if (lookahead == '/')
        ADVANCE(108);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(114);
      END_STATE();
    case 115:
      if (lookahead == '\n')
        SKIP(116);
      if (lookahead == '/')
        ADVANCE(108);
      if (lookahead == '[')
        ADVANCE(117);
      if (lookahead == '\\')
        ADVANCE(118);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(119);
      if (lookahead != 0)
        ADVANCE(120);
      END_STATE();
    case 116:
      if (lookahead == '/')
        ADVANCE(108);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(116);
      END_STATE();
    case 117:
      if (lookahead == '\\')
        ADVANCE(121);
      if (lookahead == ']')
        ADVANCE(120);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(117);
      END_STATE();
    case 118:
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(120);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '/')
        ADVANCE(108);
      if (lookahead == '[')
        ADVANCE(117);
      if (lookahead == '\\')
        ADVANCE(118);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(119);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(120);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[')
        ADVANCE(117);
      if (lookahead == '\\')
        ADVANCE(118);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/')
        ADVANCE(120);
      END_STATE();
    case 121:
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(117);
      END_STATE();
    case 122:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(94);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '\'')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == '*')
        ADVANCE(101);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(102);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == '0')
        ADVANCE(17);
      if (lookahead == ';')
        ADVANCE(19);
      if (lookahead == '<')
        ADVANCE(98);
      if (lookahead == '=')
        ADVANCE(99);
      if (lookahead == '@')
        ADVANCE(24);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '~')
        ADVANCE(33);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(122);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(35);
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < '%' || '?' < lookahead) &&
          (lookahead < '\\' || '^' < lookahead) &&
          lookahead != '|')
        ADVANCE(36);
      END_STATE();
    case 123:
      if (lookahead == '\n')
        SKIP(124);
      if (lookahead == '\'')
        ADVANCE(8);
      if (lookahead == '/')
        ADVANCE(125);
      if (lookahead == '\\')
        ADVANCE(26);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(126);
      if (lookahead != 0)
        ADVANCE(127);
      END_STATE();
    case 124:
      if (lookahead == '\'')
        ADVANCE(8);
      if (lookahead == '/')
        ADVANCE(108);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(124);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*')
        ADVANCE(128);
      if (lookahead == '/')
        ADVANCE(127);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\')
        ADVANCE(127);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '/')
        ADVANCE(125);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(126);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\')
        ADVANCE(127);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\')
        ADVANCE(127);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*')
        ADVANCE(129);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\')
        ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*')
        ADVANCE(129);
      if (lookahead == '/')
        ADVANCE(130);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\')
        ADVANCE(128);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\')
        ADVANCE(127);
      END_STATE();
    case 131:
      if (lookahead == '!')
        ADVANCE(132);
      if (lookahead == '%')
        ADVANCE(6);
      if (lookahead == '&')
        ADVANCE(7);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(11);
      if (lookahead == '+')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(14);
      if (lookahead == '.')
        ADVANCE(133);
      if (lookahead == '/')
        ADVANCE(134);
      if (lookahead == ';')
        ADVANCE(19);
      if (lookahead == '<')
        ADVANCE(20);
      if (lookahead == '=')
        ADVANCE(21);
      if (lookahead == '>')
        ADVANCE(22);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == '^')
        ADVANCE(28);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '|')
        ADVANCE(31);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(131);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '\\' &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead))
        ADVANCE(36);
      END_STATE();
    case 132:
      if (lookahead == '=')
        ADVANCE(37);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(51);
      if (lookahead == '/')
        ADVANCE(52);
      if (lookahead == '=')
        ADVANCE(135);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 136:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(94);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '\'')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(101);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(137);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == '0')
        ADVANCE(17);
      if (lookahead == ';')
        ADVANCE(19);
      if (lookahead == '<')
        ADVANCE(98);
      if (lookahead == '=')
        ADVANCE(138);
      if (lookahead == '@')
        ADVANCE(24);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '~')
        ADVANCE(33);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(136);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(35);
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < '%' || '?' < lookahead) &&
          (lookahead < '\\' || '^' < lookahead) &&
          lookahead != '|')
        ADVANCE(36);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(50);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>')
        ADVANCE(62);
      END_STATE();
    case 139:
      if (lookahead == '!')
        ADVANCE(94);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '\'')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(102);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == '0')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(98);
      if (lookahead == '=')
        ADVANCE(99);
      if (lookahead == '@')
        ADVANCE(24);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '~')
        ADVANCE(33);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(139);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(35);
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < '%' || '?' < lookahead) &&
          (lookahead < '\\' || '^' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}')
        ADVANCE(36);
      END_STATE();
    case 140:
      if (lookahead == '!')
        ADVANCE(132);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(6);
      if (lookahead == '&')
        ADVANCE(7);
      if (lookahead == '\'')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == '*')
        ADVANCE(11);
      if (lookahead == '+')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(14);
      if (lookahead == '.')
        ADVANCE(137);
      if (lookahead == '/')
        ADVANCE(134);
      if (lookahead == '0')
        ADVANCE(17);
      if (lookahead == ':')
        ADVANCE(18);
      if (lookahead == ';')
        ADVANCE(19);
      if (lookahead == '<')
        ADVANCE(20);
      if (lookahead == '=')
        ADVANCE(21);
      if (lookahead == '>')
        ADVANCE(22);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == '^')
        ADVANCE(28);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '|')
        ADVANCE(31);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(140);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(35);
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != '\\' &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead))
        ADVANCE(36);
      END_STATE();
    case 141:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '\'')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(137);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == '0')
        ADVANCE(17);
      if (lookahead == ';')
        ADVANCE(19);
      if (lookahead == '<')
        ADVANCE(145);
      if (lookahead == '=')
        ADVANCE(21);
      if (lookahead == '>')
        ADVANCE(146);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '@')
        ADVANCE(24);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == '^')
        ADVANCE(147);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '|')
        ADVANCE(148);
      if (lookahead == '~')
        ADVANCE(33);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(141);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(35);
      if (lookahead != 0 &&
          lookahead != '#' &&
          lookahead != ':' &&
          lookahead != '\\' &&
          lookahead != ']' &&
          lookahead != '}')
        ADVANCE(36);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(41);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*')
        ADVANCE(149);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(150);
      if (lookahead == '=')
        ADVANCE(60);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(63);
      if (lookahead == '>')
        ADVANCE(151);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|')
        ADVANCE(71);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>')
        ADVANCE(152);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 153:
      if (lookahead == '.')
        ADVANCE(133);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == ':')
        ADVANCE(18);
      if (lookahead == '=')
        ADVANCE(154);
      if (lookahead == '>')
        ADVANCE(155);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(153);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(156);
      if (lookahead != 0 &&
          (lookahead < '!' || '~' < lookahead))
        ADVANCE(36);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-')
        ADVANCE(157);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(156);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279)
        ADVANCE(36);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(157);
      END_STATE();
    case 158:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '\'')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(137);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == '0')
        ADVANCE(17);
      if (lookahead == ':')
        ADVANCE(18);
      if (lookahead == ';')
        ADVANCE(19);
      if (lookahead == '<')
        ADVANCE(145);
      if (lookahead == '=')
        ADVANCE(21);
      if (lookahead == '>')
        ADVANCE(146);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '@')
        ADVANCE(24);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == '^')
        ADVANCE(147);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '|')
        ADVANCE(148);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '~')
        ADVANCE(33);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(158);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(35);
      if (lookahead != 0 &&
          lookahead != '#' &&
          lookahead != ')' &&
          lookahead != '\\' &&
          lookahead != ']')
        ADVANCE(36);
      END_STATE();
    case 159:
      if (lookahead == '/')
        ADVANCE(160);
      if (lookahead == '<')
        ADVANCE(98);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}')
        ADVANCE(162);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*')
        ADVANCE(163);
      if (lookahead == '/')
        ADVANCE(164);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}')
        ADVANCE(162);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '/')
        ADVANCE(160);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}')
        ADVANCE(162);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}')
        ADVANCE(162);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*')
        ADVANCE(165);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}')
        ADVANCE(51);
      if (lookahead != 0)
        ADVANCE(163);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}')
        ADVANCE(52);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(164);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*')
        ADVANCE(165);
      if (lookahead == '/')
        ADVANCE(90);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}')
        ADVANCE(51);
      if (lookahead != 0)
        ADVANCE(163);
      END_STATE();
    case 166:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '\'')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(137);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == '0')
        ADVANCE(17);
      if (lookahead == ';')
        ADVANCE(19);
      if (lookahead == '<')
        ADVANCE(145);
      if (lookahead == '=')
        ADVANCE(21);
      if (lookahead == '>')
        ADVANCE(146);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '@')
        ADVANCE(24);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == '^')
        ADVANCE(147);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '|')
        ADVANCE(148);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '~')
        ADVANCE(33);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(166);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(35);
      if (lookahead != 0 &&
          lookahead != '#' &&
          lookahead != ':' &&
          lookahead != '\\' &&
          lookahead != ']')
        ADVANCE(36);
      END_STATE();
    case 167:
      if (lookahead == '!')
        ADVANCE(94);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '\'')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(102);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == '0')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(98);
      if (lookahead == '=')
        ADVANCE(99);
      if (lookahead == '@')
        ADVANCE(24);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == ']')
        ADVANCE(27);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '~')
        ADVANCE(33);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(167);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(35);
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < '%' || '?' < lookahead) &&
          (lookahead < '\\' || '^' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}')
        ADVANCE(36);
      END_STATE();
    case 168:
      if (lookahead == '!')
        ADVANCE(132);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(133);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == '<')
        ADVANCE(145);
      if (lookahead == '=')
        ADVANCE(169);
      if (lookahead == '>')
        ADVANCE(146);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == ']')
        ADVANCE(27);
      if (lookahead == '^')
        ADVANCE(147);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '|')
        ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(168);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '\\' &&
          (lookahead < '{' || '~' < lookahead))
        ADVANCE(36);
      END_STATE();
    case 169:
      if (lookahead == '=')
        ADVANCE(61);
      END_STATE();
    case 170:
      if (lookahead == '!')
        ADVANCE(132);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(133);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == ':')
        ADVANCE(18);
      if (lookahead == ';')
        ADVANCE(19);
      if (lookahead == '<')
        ADVANCE(145);
      if (lookahead == '=')
        ADVANCE(169);
      if (lookahead == '>')
        ADVANCE(146);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == '^')
        ADVANCE(147);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '|')
        ADVANCE(148);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(170);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '\\' &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead))
        ADVANCE(36);
      END_STATE();
    case 171:
      if (lookahead == '/')
        ADVANCE(16);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(116);
      END_STATE();
    case 172:
      if (lookahead == '!')
        ADVANCE(132);
      if (lookahead == '%')
        ADVANCE(6);
      if (lookahead == '&')
        ADVANCE(7);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(11);
      if (lookahead == '+')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(14);
      if (lookahead == '.')
        ADVANCE(133);
      if (lookahead == '/')
        ADVANCE(134);
      if (lookahead == ';')
        ADVANCE(19);
      if (lookahead == '<')
        ADVANCE(20);
      if (lookahead == '=')
        ADVANCE(173);
      if (lookahead == '>')
        ADVANCE(22);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == '^')
        ADVANCE(28);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '|')
        ADVANCE(31);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(172);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '\\' &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead))
        ADVANCE(36);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(61);
      END_STATE();
    case 174:
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '/')
        ADVANCE(108);
      if (lookahead == ':')
        ADVANCE(18);
      if (lookahead == '=')
        ADVANCE(154);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(174);
      END_STATE();
    case 175:
      if (lookahead == '!')
        ADVANCE(132);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(133);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == '<')
        ADVANCE(145);
      if (lookahead == '=')
        ADVANCE(169);
      if (lookahead == '>')
        ADVANCE(146);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == ']')
        ADVANCE(27);
      if (lookahead == '^')
        ADVANCE(147);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '|')
        ADVANCE(148);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(175);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '\\' &&
          (lookahead < '{' || '~' < lookahead))
        ADVANCE(36);
      END_STATE();
    case 176:
      if (lookahead == '!')
        ADVANCE(132);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(133);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == '<')
        ADVANCE(145);
      if (lookahead == '=')
        ADVANCE(169);
      if (lookahead == '>')
        ADVANCE(146);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == ']')
        ADVANCE(27);
      if (lookahead == '^')
        ADVANCE(147);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '|')
        ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(176);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '\\' &&
          (lookahead < '{' || '~' < lookahead))
        ADVANCE(36);
      END_STATE();
    case 177:
      if (lookahead == '!')
        ADVANCE(132);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(133);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == ';')
        ADVANCE(19);
      if (lookahead == '<')
        ADVANCE(145);
      if (lookahead == '=')
        ADVANCE(169);
      if (lookahead == '>')
        ADVANCE(146);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == '^')
        ADVANCE(147);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '|')
        ADVANCE(148);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(178);
      if (('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '\\' &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead))
        ADVANCE(36);
      END_STATE();
    case 178:
      if (lookahead == '!')
        ADVANCE(132);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(133);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == ';')
        ADVANCE(19);
      if (lookahead == '<')
        ADVANCE(145);
      if (lookahead == '=')
        ADVANCE(169);
      if (lookahead == '>')
        ADVANCE(146);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == '^')
        ADVANCE(147);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '|')
        ADVANCE(148);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(178);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '\\' &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead))
        ADVANCE(36);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_regex_flags);
      if (('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279)
        ADVANCE(36);
      END_STATE();
    case 180:
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '/')
        ADVANCE(108);
      if (lookahead == '=')
        ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(180);
      END_STATE();
    case 181:
      if (lookahead == '!')
        ADVANCE(132);
      if (lookahead == '%')
        ADVANCE(6);
      if (lookahead == '&')
        ADVANCE(7);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(11);
      if (lookahead == '+')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(14);
      if (lookahead == '.')
        ADVANCE(133);
      if (lookahead == '/')
        ADVANCE(134);
      if (lookahead == ':')
        ADVANCE(18);
      if (lookahead == '<')
        ADVANCE(20);
      if (lookahead == '=')
        ADVANCE(21);
      if (lookahead == '>')
        ADVANCE(22);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == ']')
        ADVANCE(27);
      if (lookahead == '^')
        ADVANCE(28);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '|')
        ADVANCE(31);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(181);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '~')
        ADVANCE(36);
      END_STATE();
    case 182:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '\'')
        ADVANCE(8);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(137);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == '0')
        ADVANCE(17);
      if (lookahead == ':')
        ADVANCE(18);
      if (lookahead == '<')
        ADVANCE(145);
      if (lookahead == '=')
        ADVANCE(21);
      if (lookahead == '>')
        ADVANCE(146);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '@')
        ADVANCE(24);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == ']')
        ADVANCE(27);
      if (lookahead == '^')
        ADVANCE(147);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '|')
        ADVANCE(148);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '~')
        ADVANCE(33);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(182);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(35);
      if (lookahead != 0 &&
          lookahead != '#' &&
          lookahead != ';' &&
          lookahead != '\\')
        ADVANCE(36);
      END_STATE();
    case 183:
      if (lookahead == '!')
        ADVANCE(132);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(133);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == ':')
        ADVANCE(18);
      if (lookahead == '<')
        ADVANCE(145);
      if (lookahead == '=')
        ADVANCE(169);
      if (lookahead == '>')
        ADVANCE(146);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == ']')
        ADVANCE(27);
      if (lookahead == '^')
        ADVANCE(147);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '|')
        ADVANCE(148);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(184);
      if (('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '~')
        ADVANCE(36);
      END_STATE();
    case 184:
      if (lookahead == '!')
        ADVANCE(132);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(9);
      if (lookahead == ')')
        ADVANCE(10);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(133);
      if (lookahead == '/')
        ADVANCE(72);
      if (lookahead == ':')
        ADVANCE(18);
      if (lookahead == '<')
        ADVANCE(145);
      if (lookahead == '=')
        ADVANCE(169);
      if (lookahead == '>')
        ADVANCE(146);
      if (lookahead == '?')
        ADVANCE(23);
      if (lookahead == '[')
        ADVANCE(25);
      if (lookahead == ']')
        ADVANCE(27);
      if (lookahead == '^')
        ADVANCE(147);
      if (lookahead == '`')
        ADVANCE(29);
      if (lookahead == '{')
        ADVANCE(30);
      if (lookahead == '|')
        ADVANCE(148);
      if (lookahead == '}')
        ADVANCE(32);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(184);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '~')
        ADVANCE(36);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 'a')
        ADVANCE(1);
      if (lookahead == 'b')
        ADVANCE(2);
      if (lookahead == 'c')
        ADVANCE(3);
      if (lookahead == 'd')
        ADVANCE(4);
      if (lookahead == 'e')
        ADVANCE(5);
      if (lookahead == 'f')
        ADVANCE(6);
      if (lookahead == 'g')
        ADVANCE(7);
      if (lookahead == 'i')
        ADVANCE(8);
      if (lookahead == 'l')
        ADVANCE(9);
      if (lookahead == 'n')
        ADVANCE(10);
      if (lookahead == 'o')
        ADVANCE(11);
      if (lookahead == 'r')
        ADVANCE(12);
      if (lookahead == 's')
        ADVANCE(13);
      if (lookahead == 't')
        ADVANCE(14);
      if (lookahead == 'u')
        ADVANCE(15);
      if (lookahead == 'v')
        ADVANCE(16);
      if (lookahead == 'w')
        ADVANCE(17);
      if (lookahead == 'y')
        ADVANCE(18);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 's')
        ADVANCE(19);
      if (lookahead == 'w')
        ADVANCE(20);
      END_STATE();
    case 2:
      if (lookahead == 'r')
        ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'a')
        ADVANCE(22);
      if (lookahead == 'l')
        ADVANCE(23);
      if (lookahead == 'o')
        ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == 'e')
        ADVANCE(25);
      if (lookahead == 'o')
        ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'l')
        ADVANCE(27);
      if (lookahead == 'x')
        ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'a')
        ADVANCE(29);
      if (lookahead == 'i')
        ADVANCE(30);
      if (lookahead == 'o')
        ADVANCE(31);
      if (lookahead == 'r')
        ADVANCE(32);
      if (lookahead == 'u')
        ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'e')
        ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f')
        ADVANCE(35);
      if (lookahead == 'm')
        ADVANCE(36);
      if (lookahead == 'n')
        ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'e')
        ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'e')
        ADVANCE(39);
      if (lookahead == 'u')
        ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'f')
        ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'e')
        ADVANCE(42);
      END_STATE();
    case 13:
      if (lookahead == 'e')
        ADVANCE(43);
      if (lookahead == 't')
        ADVANCE(44);
      if (lookahead == 'u')
        ADVANCE(45);
      if (lookahead == 'w')
        ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'a')
        ADVANCE(47);
      if (lookahead == 'h')
        ADVANCE(48);
      if (lookahead == 'r')
        ADVANCE(49);
      if (lookahead == 'y')
        ADVANCE(50);
      END_STATE();
    case 15:
      if (lookahead == 'n')
        ADVANCE(51);
      END_STATE();
    case 16:
      if (lookahead == 'a')
        ADVANCE(52);
      if (lookahead == 'o')
        ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'h')
        ADVANCE(54);
      if (lookahead == 'i')
        ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'i')
        ADVANCE(56);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y')
        ADVANCE(57);
      END_STATE();
    case 20:
      if (lookahead == 'a')
        ADVANCE(58);
      END_STATE();
    case 21:
      if (lookahead == 'e')
        ADVANCE(59);
      END_STATE();
    case 22:
      if (lookahead == 's')
        ADVANCE(60);
      if (lookahead == 't')
        ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 'a')
        ADVANCE(62);
      END_STATE();
    case 24:
      if (lookahead == 'n')
        ADVANCE(63);
      END_STATE();
    case 25:
      if (lookahead == 'b')
        ADVANCE(64);
      if (lookahead == 'f')
        ADVANCE(65);
      if (lookahead == 'l')
        ADVANCE(66);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 27:
      if (lookahead == 's')
        ADVANCE(67);
      END_STATE();
    case 28:
      if (lookahead == 'p')
        ADVANCE(68);
      if (lookahead == 't')
        ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'l')
        ADVANCE(70);
      END_STATE();
    case 30:
      if (lookahead == 'n')
        ADVANCE(71);
      END_STATE();
    case 31:
      if (lookahead == 'r')
        ADVANCE(72);
      END_STATE();
    case 32:
      if (lookahead == 'o')
        ADVANCE(73);
      END_STATE();
    case 33:
      if (lookahead == 'n')
        ADVANCE(74);
      END_STATE();
    case 34:
      if (lookahead == 't')
        ADVANCE(75);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p')
        ADVANCE(76);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's')
        ADVANCE(77);
      END_STATE();
    case 38:
      if (lookahead == 't')
        ADVANCE(78);
      END_STATE();
    case 39:
      if (lookahead == 'w')
        ADVANCE(79);
      END_STATE();
    case 40:
      if (lookahead == 'l')
        ADVANCE(80);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 42:
      if (lookahead == 't')
        ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 't')
        ADVANCE(82);
      END_STATE();
    case 44:
      if (lookahead == 'a')
        ADVANCE(83);
      END_STATE();
    case 45:
      if (lookahead == 'p')
        ADVANCE(84);
      END_STATE();
    case 46:
      if (lookahead == 'i')
        ADVANCE(85);
      END_STATE();
    case 47:
      if (lookahead == 'r')
        ADVANCE(86);
      END_STATE();
    case 48:
      if (lookahead == 'i')
        ADVANCE(87);
      if (lookahead == 'r')
        ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'u')
        ADVANCE(89);
      if (lookahead == 'y')
        ADVANCE(90);
      END_STATE();
    case 50:
      if (lookahead == 'p')
        ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'd')
        ADVANCE(92);
      END_STATE();
    case 52:
      if (lookahead == 'r')
        ADVANCE(93);
      END_STATE();
    case 53:
      if (lookahead == 'i')
        ADVANCE(94);
      END_STATE();
    case 54:
      if (lookahead == 'i')
        ADVANCE(95);
      END_STATE();
    case 55:
      if (lookahead == 't')
        ADVANCE(96);
      END_STATE();
    case 56:
      if (lookahead == 'e')
        ADVANCE(97);
      END_STATE();
    case 57:
      if (lookahead == 'n')
        ADVANCE(98);
      END_STATE();
    case 58:
      if (lookahead == 'i')
        ADVANCE(99);
      END_STATE();
    case 59:
      if (lookahead == 'a')
        ADVANCE(100);
      END_STATE();
    case 60:
      if (lookahead == 'e')
        ADVANCE(101);
      END_STATE();
    case 61:
      if (lookahead == 'c')
        ADVANCE(102);
      END_STATE();
    case 62:
      if (lookahead == 's')
        ADVANCE(103);
      END_STATE();
    case 63:
      if (lookahead == 's')
        ADVANCE(104);
      if (lookahead == 't')
        ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 'u')
        ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 'a')
        ADVANCE(107);
      END_STATE();
    case 66:
      if (lookahead == 'e')
        ADVANCE(108);
      END_STATE();
    case 67:
      if (lookahead == 'e')
        ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'o')
        ADVANCE(110);
      END_STATE();
    case 69:
      if (lookahead == 'e')
        ADVANCE(111);
      END_STATE();
    case 70:
      if (lookahead == 's')
        ADVANCE(112);
      END_STATE();
    case 71:
      if (lookahead == 'a')
        ADVANCE(113);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 73:
      if (lookahead == 'm')
        ADVANCE(114);
      END_STATE();
    case 74:
      if (lookahead == 'c')
        ADVANCE(115);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 76:
      if (lookahead == 'o')
        ADVANCE(116);
      END_STATE();
    case 77:
      if (lookahead == 't')
        ADVANCE(117);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l')
        ADVANCE(118);
      END_STATE();
    case 81:
      if (lookahead == 'u')
        ADVANCE(119);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 83:
      if (lookahead == 't')
        ADVANCE(120);
      END_STATE();
    case 84:
      if (lookahead == 'e')
        ADVANCE(121);
      END_STATE();
    case 85:
      if (lookahead == 't')
        ADVANCE(122);
      END_STATE();
    case 86:
      if (lookahead == 'g')
        ADVANCE(123);
      END_STATE();
    case 87:
      if (lookahead == 's')
        ADVANCE(124);
      END_STATE();
    case 88:
      if (lookahead == 'o')
        ADVANCE(125);
      END_STATE();
    case 89:
      if (lookahead == 'e')
        ADVANCE(126);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 91:
      if (lookahead == 'e')
        ADVANCE(127);
      END_STATE();
    case 92:
      if (lookahead == 'e')
        ADVANCE(128);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 94:
      if (lookahead == 'd')
        ADVANCE(129);
      END_STATE();
    case 95:
      if (lookahead == 'l')
        ADVANCE(130);
      END_STATE();
    case 96:
      if (lookahead == 'h')
        ADVANCE(131);
      END_STATE();
    case 97:
      if (lookahead == 'l')
        ADVANCE(132);
      END_STATE();
    case 98:
      if (lookahead == 'c')
        ADVANCE(133);
      END_STATE();
    case 99:
      if (lookahead == 't')
        ADVANCE(134);
      END_STATE();
    case 100:
      if (lookahead == 'k')
        ADVANCE(135);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 102:
      if (lookahead == 'h')
        ADVANCE(136);
      END_STATE();
    case 103:
      if (lookahead == 's')
        ADVANCE(137);
      END_STATE();
    case 104:
      if (lookahead == 't')
        ADVANCE(138);
      END_STATE();
    case 105:
      if (lookahead == 'i')
        ADVANCE(139);
      END_STATE();
    case 106:
      if (lookahead == 'g')
        ADVANCE(140);
      END_STATE();
    case 107:
      if (lookahead == 'u')
        ADVANCE(141);
      END_STATE();
    case 108:
      if (lookahead == 't')
        ADVANCE(142);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      if (lookahead == 'r')
        ADVANCE(143);
      END_STATE();
    case 111:
      if (lookahead == 'n')
        ADVANCE(144);
      END_STATE();
    case 112:
      if (lookahead == 'e')
        ADVANCE(145);
      END_STATE();
    case 113:
      if (lookahead == 'l')
        ADVANCE(146);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 115:
      if (lookahead == 't')
        ADVANCE(147);
      END_STATE();
    case 116:
      if (lookahead == 'r')
        ADVANCE(148);
      END_STATE();
    case 117:
      if (lookahead == 'a')
        ADVANCE(149);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 119:
      if (lookahead == 'r')
        ADVANCE(150);
      END_STATE();
    case 120:
      if (lookahead == 'i')
        ADVANCE(151);
      END_STATE();
    case 121:
      if (lookahead == 'r')
        ADVANCE(152);
      END_STATE();
    case 122:
      if (lookahead == 'c')
        ADVANCE(153);
      END_STATE();
    case 123:
      if (lookahead == 'e')
        ADVANCE(154);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 125:
      if (lookahead == 'w')
        ADVANCE(155);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 127:
      if (lookahead == 'o')
        ADVANCE(156);
      END_STATE();
    case 128:
      if (lookahead == 'f')
        ADVANCE(157);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 130:
      if (lookahead == 'e')
        ADVANCE(158);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 132:
      if (lookahead == 'd')
        ADVANCE(159);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 139:
      if (lookahead == 'n')
        ADVANCE(160);
      END_STATE();
    case 140:
      if (lookahead == 'g')
        ADVANCE(161);
      END_STATE();
    case 141:
      if (lookahead == 'l')
        ADVANCE(162);
      END_STATE();
    case 142:
      if (lookahead == 'e')
        ADVANCE(163);
      END_STATE();
    case 143:
      if (lookahead == 't')
        ADVANCE(164);
      END_STATE();
    case 144:
      if (lookahead == 'd')
        ADVANCE(165);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 146:
      if (lookahead == 'l')
        ADVANCE(166);
      END_STATE();
    case 147:
      if (lookahead == 'i')
        ADVANCE(167);
      END_STATE();
    case 148:
      if (lookahead == 't')
        ADVANCE(168);
      END_STATE();
    case 149:
      if (lookahead == 'n')
        ADVANCE(169);
      END_STATE();
    case 150:
      if (lookahead == 'n')
        ADVANCE(170);
      END_STATE();
    case 151:
      if (lookahead == 'c')
        ADVANCE(171);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 153:
      if (lookahead == 'h')
        ADVANCE(172);
      END_STATE();
    case 154:
      if (lookahead == 't')
        ADVANCE(173);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 156:
      if (lookahead == 'f')
        ADVANCE(174);
      END_STATE();
    case 157:
      if (lookahead == 'i')
        ADVANCE(175);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 160:
      if (lookahead == 'u')
        ADVANCE(176);
      END_STATE();
    case 161:
      if (lookahead == 'e')
        ADVANCE(177);
      END_STATE();
    case 162:
      if (lookahead == 't')
        ADVANCE(178);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 165:
      if (lookahead == 's')
        ADVANCE(179);
      END_STATE();
    case 166:
      if (lookahead == 'y')
        ADVANCE(180);
      END_STATE();
    case 167:
      if (lookahead == 'o')
        ADVANCE(181);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 169:
      if (lookahead == 'c')
        ADVANCE(182);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 175:
      if (lookahead == 'n')
        ADVANCE(183);
      END_STATE();
    case 176:
      if (lookahead == 'e')
        ADVANCE(184);
      END_STATE();
    case 177:
      if (lookahead == 'r')
        ADVANCE(185);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 181:
      if (lookahead == 'n')
        ADVANCE(186);
      END_STATE();
    case 182:
      if (lookahead == 'e')
        ADVANCE(187);
      END_STATE();
    case 183:
      if (lookahead == 'e')
        ADVANCE(188);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 187:
      if (lookahead == 'o')
        ADVANCE(189);
      END_STATE();
    case 188:
      if (lookahead == 'd')
        ADVANCE(190);
      END_STATE();
    case 189:
      if (lookahead == 'f')
        ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 93},
  [2] = {.lex_state = 93},
  [3] = {.lex_state = 93},
  [4] = {.lex_state = 93},
  [5] = {.lex_state = 93},
  [6] = {.lex_state = 100},
  [7] = {.lex_state = 103},
  [8] = {.lex_state = 112, .external_lex_state = 2},
  [9] = {.lex_state = 115},
  [10] = {.lex_state = 100},
  [11] = {.lex_state = 93},
  [12] = {.lex_state = 93},
  [13] = {.lex_state = 100},
  [14] = {.lex_state = 93},
  [15] = {.lex_state = 93},
  [16] = {.lex_state = 122},
  [17] = {.lex_state = 93},
  [18] = {.lex_state = 93},
  [19] = {.lex_state = 93},
  [20] = {.lex_state = 93},
  [21] = {.lex_state = 123},
  [22] = {.lex_state = 131, .external_lex_state = 3},
  [23] = {.lex_state = 93},
  [24] = {.lex_state = 93},
  [25] = {.lex_state = 93, .external_lex_state = 3},
  [26] = {.lex_state = 136},
  [27] = {.lex_state = 93, .external_lex_state = 3},
  [28] = {.lex_state = 139},
  [29] = {.lex_state = 93},
  [30] = {.lex_state = 131},
  [31] = {.lex_state = 140, .external_lex_state = 3},
  [32] = {.lex_state = 141, .external_lex_state = 3},
  [33] = {.lex_state = 153},
  [34] = {.lex_state = 131, .external_lex_state = 3},
  [35] = {.lex_state = 136},
  [36] = {.lex_state = 93},
  [37] = {.lex_state = 93},
  [38] = {.lex_state = 100},
  [39] = {.lex_state = 93, .external_lex_state = 3},
  [40] = {.lex_state = 93},
  [41] = {.lex_state = 93, .external_lex_state = 3},
  [42] = {.lex_state = 93},
  [43] = {.lex_state = 93},
  [44] = {.lex_state = 131, .external_lex_state = 3},
  [45] = {.lex_state = 93},
  [46] = {.lex_state = 141, .external_lex_state = 3},
  [47] = {.lex_state = 158, .external_lex_state = 3},
  [48] = {.lex_state = 141, .external_lex_state = 3},
  [49] = {.lex_state = 93},
  [50] = {.lex_state = 158, .external_lex_state = 3},
  [51] = {.lex_state = 0},
  [52] = {.lex_state = 93, .external_lex_state = 3},
  [53] = {.lex_state = 141, .external_lex_state = 3},
  [54] = {.lex_state = 159},
  [55] = {.lex_state = 122},
  [56] = {.lex_state = 131, .external_lex_state = 3},
  [57] = {.lex_state = 141, .external_lex_state = 3},
  [58] = {.lex_state = 93},
  [59] = {.lex_state = 166, .external_lex_state = 3},
  [60] = {.lex_state = 166, .external_lex_state = 3},
  [61] = {.lex_state = 122},
  [62] = {.lex_state = 93},
  [63] = {.lex_state = 93},
  [64] = {.lex_state = 93},
  [65] = {.lex_state = 166, .external_lex_state = 3},
  [66] = {.lex_state = 166, .external_lex_state = 3},
  [67] = {.lex_state = 166, .external_lex_state = 3},
  [68] = {.lex_state = 93},
  [69] = {.lex_state = 167},
  [70] = {.lex_state = 168},
  [71] = {.lex_state = 100},
  [72] = {.lex_state = 100},
  [73] = {.lex_state = 170, .external_lex_state = 3},
  [74] = {.lex_state = 103},
  [75] = {.lex_state = 93},
  [76] = {.lex_state = 166, .external_lex_state = 3},
  [77] = {.lex_state = 112, .external_lex_state = 2},
  [78] = {.lex_state = 171},
  [79] = {.lex_state = 93},
  [80] = {.lex_state = 139},
  [81] = {.lex_state = 93},
  [82] = {.lex_state = 93},
  [83] = {.lex_state = 136},
  [84] = {.lex_state = 136},
  [85] = {.lex_state = 100},
  [86] = {.lex_state = 136, .external_lex_state = 3},
  [87] = {.lex_state = 122, .external_lex_state = 3},
  [88] = {.lex_state = 136, .external_lex_state = 3},
  [89] = {.lex_state = 136, .external_lex_state = 3},
  [90] = {.lex_state = 122},
  [91] = {.lex_state = 100},
  [92] = {.lex_state = 93},
  [93] = {.lex_state = 93},
  [94] = {.lex_state = 93},
  [95] = {.lex_state = 93, .external_lex_state = 3},
  [96] = {.lex_state = 93},
  [97] = {.lex_state = 93},
  [98] = {.lex_state = 166, .external_lex_state = 3},
  [99] = {.lex_state = 93},
  [100] = {.lex_state = 140, .external_lex_state = 3},
  [101] = {.lex_state = 122},
  [102] = {.lex_state = 158, .external_lex_state = 3},
  [103] = {.lex_state = 140, .external_lex_state = 3},
  [104] = {.lex_state = 166, .external_lex_state = 3},
  [105] = {.lex_state = 100},
  [106] = {.lex_state = 140, .external_lex_state = 3},
  [107] = {.lex_state = 122},
  [108] = {.lex_state = 122},
  [109] = {.lex_state = 122},
  [110] = {.lex_state = 141, .external_lex_state = 3},
  [111] = {.lex_state = 100},
  [112] = {.lex_state = 140},
  [113] = {.lex_state = 141, .external_lex_state = 3},
  [114] = {.lex_state = 93},
  [115] = {.lex_state = 141, .external_lex_state = 3},
  [116] = {.lex_state = 93, .external_lex_state = 3},
  [117] = {.lex_state = 93},
  [118] = {.lex_state = 93},
  [119] = {.lex_state = 166, .external_lex_state = 3},
  [120] = {.lex_state = 123},
  [121] = {.lex_state = 93},
  [122] = {.lex_state = 93},
  [123] = {.lex_state = 93},
  [124] = {.lex_state = 166, .external_lex_state = 3},
  [125] = {.lex_state = 166, .external_lex_state = 3},
  [126] = {.lex_state = 141, .external_lex_state = 3},
  [127] = {.lex_state = 93},
  [128] = {.lex_state = 122},
  [129] = {.lex_state = 93, .external_lex_state = 3},
  [130] = {.lex_state = 122},
  [131] = {.lex_state = 131},
  [132] = {.lex_state = 93},
  [133] = {.lex_state = 131},
  [134] = {.lex_state = 131},
  [135] = {.lex_state = 93},
  [136] = {.lex_state = 141},
  [137] = {.lex_state = 131},
  [138] = {.lex_state = 141},
  [139] = {.lex_state = 131},
  [140] = {.lex_state = 141},
  [141] = {.lex_state = 93},
  [142] = {.lex_state = 93},
  [143] = {.lex_state = 139},
  [144] = {.lex_state = 93},
  [145] = {.lex_state = 166, .external_lex_state = 3},
  [146] = {.lex_state = 93},
  [147] = {.lex_state = 93},
  [148] = {.lex_state = 93},
  [149] = {.lex_state = 93},
  [150] = {.lex_state = 166, .external_lex_state = 3},
  [151] = {.lex_state = 141, .external_lex_state = 3},
  [152] = {.lex_state = 153},
  [153] = {.lex_state = 159},
  [154] = {.lex_state = 153},
  [155] = {.lex_state = 153},
  [156] = {.lex_state = 153},
  [157] = {.lex_state = 93},
  [158] = {.lex_state = 93},
  [159] = {.lex_state = 166, .external_lex_state = 3},
  [160] = {.lex_state = 93},
  [161] = {.lex_state = 172, .external_lex_state = 3},
  [162] = {.lex_state = 131, .external_lex_state = 3},
  [163] = {.lex_state = 131, .external_lex_state = 3},
  [164] = {.lex_state = 141},
  [165] = {.lex_state = 166, .external_lex_state = 3},
  [166] = {.lex_state = 172, .external_lex_state = 3},
  [167] = {.lex_state = 166, .external_lex_state = 3},
  [168] = {.lex_state = 166, .external_lex_state = 3},
  [169] = {.lex_state = 122, .external_lex_state = 3},
  [170] = {.lex_state = 93},
  [171] = {.lex_state = 122},
  [172] = {.lex_state = 93},
  [173] = {.lex_state = 93},
  [174] = {.lex_state = 93},
  [175] = {.lex_state = 93},
  [176] = {.lex_state = 93},
  [177] = {.lex_state = 122, .external_lex_state = 3},
  [178] = {.lex_state = 122},
  [179] = {.lex_state = 93, .external_lex_state = 3},
  [180] = {.lex_state = 122},
  [181] = {.lex_state = 93, .external_lex_state = 3},
  [182] = {.lex_state = 122},
  [183] = {.lex_state = 122},
  [184] = {.lex_state = 122},
  [185] = {.lex_state = 141, .external_lex_state = 3},
  [186] = {.lex_state = 93, .external_lex_state = 3},
  [187] = {.lex_state = 93},
  [188] = {.lex_state = 122},
  [189] = {.lex_state = 166, .external_lex_state = 3},
  [190] = {.lex_state = 122},
  [191] = {.lex_state = 136},
  [192] = {.lex_state = 93},
  [193] = {.lex_state = 93},
  [194] = {.lex_state = 93},
  [195] = {.lex_state = 93},
  [196] = {.lex_state = 93},
  [197] = {.lex_state = 166, .external_lex_state = 3},
  [198] = {.lex_state = 93},
  [199] = {.lex_state = 93},
  [200] = {.lex_state = 93},
  [201] = {.lex_state = 93},
  [202] = {.lex_state = 100},
  [203] = {.lex_state = 166, .external_lex_state = 3},
  [204] = {.lex_state = 122},
  [205] = {.lex_state = 153},
  [206] = {.lex_state = 159},
  [207] = {.lex_state = 166, .external_lex_state = 3},
  [208] = {.lex_state = 140},
  [209] = {.lex_state = 158},
  [210] = {.lex_state = 166, .external_lex_state = 3},
  [211] = {.lex_state = 174},
  [212] = {.lex_state = 136},
  [213] = {.lex_state = 136},
  [214] = {.lex_state = 100},
  [215] = {.lex_state = 136, .external_lex_state = 3},
  [216] = {.lex_state = 136, .external_lex_state = 3},
  [217] = {.lex_state = 93},
  [218] = {.lex_state = 100},
  [219] = {.lex_state = 166, .external_lex_state = 3},
  [220] = {.lex_state = 136, .external_lex_state = 3},
  [221] = {.lex_state = 100},
  [222] = {.lex_state = 136, .external_lex_state = 3},
  [223] = {.lex_state = 122},
  [224] = {.lex_state = 122},
  [225] = {.lex_state = 93, .external_lex_state = 3},
  [226] = {.lex_state = 93},
  [227] = {.lex_state = 166, .external_lex_state = 3},
  [228] = {.lex_state = 141},
  [229] = {.lex_state = 166, .external_lex_state = 3},
  [230] = {.lex_state = 175},
  [231] = {.lex_state = 176},
  [232] = {.lex_state = 167},
  [233] = {.lex_state = 166, .external_lex_state = 3},
  [234] = {.lex_state = 100},
  [235] = {.lex_state = 167},
  [236] = {.lex_state = 170, .external_lex_state = 3},
  [237] = {.lex_state = 103},
  [238] = {.lex_state = 158},
  [239] = {.lex_state = 122},
  [240] = {.lex_state = 166, .external_lex_state = 3},
  [241] = {.lex_state = 112, .external_lex_state = 2},
  [242] = {.lex_state = 177, .external_lex_state = 3},
  [243] = {.lex_state = 93},
  [244] = {.lex_state = 131},
  [245] = {.lex_state = 180},
  [246] = {.lex_state = 180},
  [247] = {.lex_state = 180},
  [248] = {.lex_state = 93},
  [249] = {.lex_state = 93},
  [250] = {.lex_state = 166, .external_lex_state = 3},
  [251] = {.lex_state = 93},
  [252] = {.lex_state = 100},
  [253] = {.lex_state = 122, .external_lex_state = 3},
  [254] = {.lex_state = 122},
  [255] = {.lex_state = 93},
  [256] = {.lex_state = 122, .external_lex_state = 3},
  [257] = {.lex_state = 122, .external_lex_state = 3},
  [258] = {.lex_state = 122, .external_lex_state = 3},
  [259] = {.lex_state = 122},
  [260] = {.lex_state = 122},
  [261] = {.lex_state = 93},
  [262] = {.lex_state = 122},
  [263] = {.lex_state = 100},
  [264] = {.lex_state = 93},
  [265] = {.lex_state = 93},
  [266] = {.lex_state = 93, .external_lex_state = 3},
  [267] = {.lex_state = 122},
  [268] = {.lex_state = 122},
  [269] = {.lex_state = 93},
  [270] = {.lex_state = 166, .external_lex_state = 3},
  [271] = {.lex_state = 122},
  [272] = {.lex_state = 140},
  [273] = {.lex_state = 158},
  [274] = {.lex_state = 174},
  [275] = {.lex_state = 122},
  [276] = {.lex_state = 100},
  [277] = {.lex_state = 93},
  [278] = {.lex_state = 93},
  [279] = {.lex_state = 93},
  [280] = {.lex_state = 168},
  [281] = {.lex_state = 158, .external_lex_state = 3},
  [282] = {.lex_state = 166, .external_lex_state = 3},
  [283] = {.lex_state = 122},
  [284] = {.lex_state = 122},
  [285] = {.lex_state = 122},
  [286] = {.lex_state = 158, .external_lex_state = 3},
  [287] = {.lex_state = 93},
  [288] = {.lex_state = 122},
  [289] = {.lex_state = 93},
  [290] = {.lex_state = 93},
  [291] = {.lex_state = 158, .external_lex_state = 3},
  [292] = {.lex_state = 122},
  [293] = {.lex_state = 122},
  [294] = {.lex_state = 93},
  [295] = {.lex_state = 93},
  [296] = {.lex_state = 131, .external_lex_state = 3},
  [297] = {.lex_state = 93},
  [298] = {.lex_state = 93},
  [299] = {.lex_state = 141, .external_lex_state = 3},
  [300] = {.lex_state = 141, .external_lex_state = 3},
  [301] = {.lex_state = 123},
  [302] = {.lex_state = 141, .external_lex_state = 3},
  [303] = {.lex_state = 172, .external_lex_state = 3},
  [304] = {.lex_state = 141, .external_lex_state = 3},
  [305] = {.lex_state = 122},
  [306] = {.lex_state = 139},
  [307] = {.lex_state = 93},
  [308] = {.lex_state = 131},
  [309] = {.lex_state = 131},
  [310] = {.lex_state = 93},
  [311] = {.lex_state = 139},
  [312] = {.lex_state = 131},
  [313] = {.lex_state = 166, .external_lex_state = 3},
  [314] = {.lex_state = 139},
  [315] = {.lex_state = 93},
  [316] = {.lex_state = 131},
  [317] = {.lex_state = 139},
  [318] = {.lex_state = 93},
  [319] = {.lex_state = 131},
  [320] = {.lex_state = 122},
  [321] = {.lex_state = 172, .external_lex_state = 3},
  [322] = {.lex_state = 166, .external_lex_state = 3},
  [323] = {.lex_state = 141},
  [324] = {.lex_state = 131},
  [325] = {.lex_state = 131},
  [326] = {.lex_state = 168},
  [327] = {.lex_state = 100},
  [328] = {.lex_state = 141, .external_lex_state = 3},
  [329] = {.lex_state = 122},
  [330] = {.lex_state = 141, .external_lex_state = 3},
  [331] = {.lex_state = 166, .external_lex_state = 3},
  [332] = {.lex_state = 141, .external_lex_state = 3},
  [333] = {.lex_state = 93},
  [334] = {.lex_state = 131},
  [335] = {.lex_state = 153},
  [336] = {.lex_state = 153},
  [337] = {.lex_state = 159},
  [338] = {.lex_state = 153},
  [339] = {.lex_state = 153},
  [340] = {.lex_state = 153},
  [341] = {.lex_state = 159},
  [342] = {.lex_state = 93},
  [343] = {.lex_state = 93},
  [344] = {.lex_state = 166, .external_lex_state = 3},
  [345] = {.lex_state = 166, .external_lex_state = 3},
  [346] = {.lex_state = 166, .external_lex_state = 3},
  [347] = {.lex_state = 166, .external_lex_state = 3},
  [348] = {.lex_state = 122},
  [349] = {.lex_state = 122, .external_lex_state = 3},
  [350] = {.lex_state = 122},
  [351] = {.lex_state = 122},
  [352] = {.lex_state = 122},
  [353] = {.lex_state = 93, .external_lex_state = 3},
  [354] = {.lex_state = 122},
  [355] = {.lex_state = 141, .external_lex_state = 3},
  [356] = {.lex_state = 93, .external_lex_state = 3},
  [357] = {.lex_state = 93},
  [358] = {.lex_state = 122},
  [359] = {.lex_state = 122},
  [360] = {.lex_state = 122},
  [361] = {.lex_state = 93},
  [362] = {.lex_state = 93},
  [363] = {.lex_state = 122},
  [364] = {.lex_state = 122},
  [365] = {.lex_state = 122},
  [366] = {.lex_state = 93},
  [367] = {.lex_state = 141, .external_lex_state = 3},
  [368] = {.lex_state = 141, .external_lex_state = 3},
  [369] = {.lex_state = 141, .external_lex_state = 3},
  [370] = {.lex_state = 166, .external_lex_state = 3},
  [371] = {.lex_state = 141, .external_lex_state = 3},
  [372] = {.lex_state = 141, .external_lex_state = 3},
  [373] = {.lex_state = 93, .external_lex_state = 3},
  [374] = {.lex_state = 158},
  [375] = {.lex_state = 93},
  [376] = {.lex_state = 93},
  [377] = {.lex_state = 93},
  [378] = {.lex_state = 159},
  [379] = {.lex_state = 158},
  [380] = {.lex_state = 122},
  [381] = {.lex_state = 153},
  [382] = {.lex_state = 159},
  [383] = {.lex_state = 166, .external_lex_state = 3},
  [384] = {.lex_state = 136},
  [385] = {.lex_state = 136},
  [386] = {.lex_state = 136},
  [387] = {.lex_state = 168},
  [388] = {.lex_state = 122},
  [389] = {.lex_state = 93, .external_lex_state = 3},
  [390] = {.lex_state = 100},
  [391] = {.lex_state = 93, .external_lex_state = 3},
  [392] = {.lex_state = 166, .external_lex_state = 3},
  [393] = {.lex_state = 122},
  [394] = {.lex_state = 122},
  [395] = {.lex_state = 166, .external_lex_state = 3},
  [396] = {.lex_state = 166, .external_lex_state = 3},
  [397] = {.lex_state = 112, .external_lex_state = 2},
  [398] = {.lex_state = 166, .external_lex_state = 3},
  [399] = {.lex_state = 166, .external_lex_state = 3},
  [400] = {.lex_state = 93},
  [401] = {.lex_state = 166, .external_lex_state = 3},
  [402] = {.lex_state = 136},
  [403] = {.lex_state = 122, .external_lex_state = 3},
  [404] = {.lex_state = 122},
  [405] = {.lex_state = 122, .external_lex_state = 3},
  [406] = {.lex_state = 93},
  [407] = {.lex_state = 93},
  [408] = {.lex_state = 122},
  [409] = {.lex_state = 93},
  [410] = {.lex_state = 122},
  [411] = {.lex_state = 93},
  [412] = {.lex_state = 93},
  [413] = {.lex_state = 93, .external_lex_state = 3},
  [414] = {.lex_state = 122},
  [415] = {.lex_state = 93},
  [416] = {.lex_state = 93},
  [417] = {.lex_state = 166, .external_lex_state = 3},
  [418] = {.lex_state = 122},
  [419] = {.lex_state = 93},
  [420] = {.lex_state = 158, .external_lex_state = 3},
  [421] = {.lex_state = 166, .external_lex_state = 3},
  [422] = {.lex_state = 122},
  [423] = {.lex_state = 158},
  [424] = {.lex_state = 122},
  [425] = {.lex_state = 93},
  [426] = {.lex_state = 93},
  [427] = {.lex_state = 93},
  [428] = {.lex_state = 93},
  [429] = {.lex_state = 136, .external_lex_state = 3},
  [430] = {.lex_state = 136, .external_lex_state = 3},
  [431] = {.lex_state = 136, .external_lex_state = 3},
  [432] = {.lex_state = 93},
  [433] = {.lex_state = 93},
  [434] = {.lex_state = 139},
  [435] = {.lex_state = 93},
  [436] = {.lex_state = 93},
  [437] = {.lex_state = 93},
  [438] = {.lex_state = 93},
  [439] = {.lex_state = 131},
  [440] = {.lex_state = 180},
  [441] = {.lex_state = 93},
  [442] = {.lex_state = 180},
  [443] = {.lex_state = 180},
  [444] = {.lex_state = 131},
  [445] = {.lex_state = 139},
  [446] = {.lex_state = 131},
  [447] = {.lex_state = 93},
  [448] = {.lex_state = 139},
  [449] = {.lex_state = 93},
  [450] = {.lex_state = 139},
  [451] = {.lex_state = 93},
  [452] = {.lex_state = 139},
  [453] = {.lex_state = 166, .external_lex_state = 3},
  [454] = {.lex_state = 131},
  [455] = {.lex_state = 172, .external_lex_state = 3},
  [456] = {.lex_state = 153},
  [457] = {.lex_state = 166, .external_lex_state = 3},
  [458] = {.lex_state = 93},
  [459] = {.lex_state = 153},
  [460] = {.lex_state = 93},
  [461] = {.lex_state = 131},
  [462] = {.lex_state = 159},
  [463] = {.lex_state = 153},
  [464] = {.lex_state = 131},
  [465] = {.lex_state = 153},
  [466] = {.lex_state = 93},
  [467] = {.lex_state = 166, .external_lex_state = 3},
  [468] = {.lex_state = 141, .external_lex_state = 3},
  [469] = {.lex_state = 93},
  [470] = {.lex_state = 166, .external_lex_state = 3},
  [471] = {.lex_state = 122},
  [472] = {.lex_state = 93},
  [473] = {.lex_state = 122},
  [474] = {.lex_state = 140},
  [475] = {.lex_state = 122},
  [476] = {.lex_state = 93, .external_lex_state = 3},
  [477] = {.lex_state = 122},
  [478] = {.lex_state = 93, .external_lex_state = 3},
  [479] = {.lex_state = 122},
  [480] = {.lex_state = 122},
  [481] = {.lex_state = 93},
  [482] = {.lex_state = 122},
  [483] = {.lex_state = 122},
  [484] = {.lex_state = 122},
  [485] = {.lex_state = 93, .external_lex_state = 3},
  [486] = {.lex_state = 93},
  [487] = {.lex_state = 141, .external_lex_state = 3},
  [488] = {.lex_state = 93},
  [489] = {.lex_state = 166, .external_lex_state = 3},
  [490] = {.lex_state = 159},
  [491] = {.lex_state = 140},
  [492] = {.lex_state = 140},
  [493] = {.lex_state = 131},
  [494] = {.lex_state = 131},
  [495] = {.lex_state = 153},
  [496] = {.lex_state = 136, .external_lex_state = 3},
  [497] = {.lex_state = 122},
  [498] = {.lex_state = 122},
  [499] = {.lex_state = 93, .external_lex_state = 3},
  [500] = {.lex_state = 166, .external_lex_state = 3},
  [501] = {.lex_state = 122},
  [502] = {.lex_state = 93},
  [503] = {.lex_state = 122},
  [504] = {.lex_state = 122},
  [505] = {.lex_state = 122},
  [506] = {.lex_state = 122},
  [507] = {.lex_state = 122},
  [508] = {.lex_state = 93},
  [509] = {.lex_state = 166, .external_lex_state = 3},
  [510] = {.lex_state = 93},
  [511] = {.lex_state = 93},
  [512] = {.lex_state = 93},
  [513] = {.lex_state = 93},
  [514] = {.lex_state = 93},
  [515] = {.lex_state = 93},
  [516] = {.lex_state = 93},
  [517] = {.lex_state = 93},
  [518] = {.lex_state = 93},
  [519] = {.lex_state = 141, .external_lex_state = 3},
  [520] = {.lex_state = 131},
  [521] = {.lex_state = 141},
  [522] = {.lex_state = 93},
  [523] = {.lex_state = 141},
  [524] = {.lex_state = 131},
  [525] = {.lex_state = 141},
  [526] = {.lex_state = 141, .external_lex_state = 3},
  [527] = {.lex_state = 131},
  [528] = {.lex_state = 141},
  [529] = {.lex_state = 141, .external_lex_state = 3},
  [530] = {.lex_state = 131},
  [531] = {.lex_state = 93},
  [532] = {.lex_state = 100},
  [533] = {.lex_state = 93},
  [534] = {.lex_state = 93},
  [535] = {.lex_state = 93},
  [536] = {.lex_state = 166, .external_lex_state = 3},
  [537] = {.lex_state = 153},
  [538] = {.lex_state = 153},
  [539] = {.lex_state = 166, .external_lex_state = 3},
  [540] = {.lex_state = 166, .external_lex_state = 3},
  [541] = {.lex_state = 131},
  [542] = {.lex_state = 166, .external_lex_state = 3},
  [543] = {.lex_state = 131},
  [544] = {.lex_state = 158},
  [545] = {.lex_state = 140},
  [546] = {.lex_state = 122},
  [547] = {.lex_state = 122},
  [548] = {.lex_state = 122},
  [549] = {.lex_state = 93, .external_lex_state = 3},
  [550] = {.lex_state = 122},
  [551] = {.lex_state = 122},
  [552] = {.lex_state = 122},
  [553] = {.lex_state = 131},
  [554] = {.lex_state = 122},
  [555] = {.lex_state = 141, .external_lex_state = 3},
  [556] = {.lex_state = 122},
  [557] = {.lex_state = 166, .external_lex_state = 3},
  [558] = {.lex_state = 166, .external_lex_state = 3},
  [559] = {.lex_state = 122},
  [560] = {.lex_state = 93},
  [561] = {.lex_state = 93},
  [562] = {.lex_state = 122},
  [563] = {.lex_state = 93},
  [564] = {.lex_state = 93},
  [565] = {.lex_state = 93},
  [566] = {.lex_state = 141},
  [567] = {.lex_state = 141},
  [568] = {.lex_state = 141},
  [569] = {.lex_state = 141},
  [570] = {.lex_state = 131},
  [571] = {.lex_state = 141},
  [572] = {.lex_state = 131},
  [573] = {.lex_state = 141},
  [574] = {.lex_state = 131},
  [575] = {.lex_state = 93},
  [576] = {.lex_state = 93},
  [577] = {.lex_state = 122},
  [578] = {.lex_state = 93},
  [579] = {.lex_state = 93},
  [580] = {.lex_state = 93},
  [581] = {.lex_state = 93},
  [582] = {.lex_state = 93},
  [583] = {.lex_state = 166, .external_lex_state = 3},
  [584] = {.lex_state = 122},
  [585] = {.lex_state = 122},
  [586] = {.lex_state = 93, .external_lex_state = 3},
  [587] = {.lex_state = 93},
  [588] = {.lex_state = 93},
  [589] = {.lex_state = 141},
  [590] = {.lex_state = 141},
  [591] = {.lex_state = 141},
  [592] = {.lex_state = 93},
  [593] = {.lex_state = 93},
  [594] = {.lex_state = 93},
  [595] = {.lex_state = 93},
  [596] = {.lex_state = 93},
  [597] = {.lex_state = 93},
  [598] = {.lex_state = 122},
  [599] = {.lex_state = 122},
  [600] = {.lex_state = 122},
  [601] = {.lex_state = 122},
  [602] = {.lex_state = 122},
  [603] = {.lex_state = 122},
  [604] = {.lex_state = 122},
  [605] = {.lex_state = 122},
  [606] = {.lex_state = 122},
  [607] = {.lex_state = 93},
  [608] = {.lex_state = 93},
  [609] = {.lex_state = 93},
  [610] = {.lex_state = 122},
  [611] = {.lex_state = 122},
  [612] = {.lex_state = 122},
  [613] = {.lex_state = 122},
  [614] = {.lex_state = 122},
  [615] = {.lex_state = 122},
  [616] = {.lex_state = 122},
  [617] = {.lex_state = 122},
  [618] = {.lex_state = 122},
  [619] = {.lex_state = 93},
  [620] = {.lex_state = 93},
  [621] = {.lex_state = 93},
  [622] = {.lex_state = 181},
  [623] = {.lex_state = 93},
  [624] = {.lex_state = 182},
  [625] = {.lex_state = 181},
  [626] = {.lex_state = 136},
  [627] = {.lex_state = 181},
  [628] = {.lex_state = 182},
  [629] = {.lex_state = 141, .external_lex_state = 3},
  [630] = {.lex_state = 141, .external_lex_state = 3},
  [631] = {.lex_state = 182},
  [632] = {.lex_state = 181},
  [633] = {.lex_state = 182},
  [634] = {.lex_state = 182},
  [635] = {.lex_state = 182},
  [636] = {.lex_state = 182},
  [637] = {.lex_state = 182},
  [638] = {.lex_state = 182},
  [639] = {.lex_state = 182},
  [640] = {.lex_state = 182},
  [641] = {.lex_state = 182},
  [642] = {.lex_state = 182},
  [643] = {.lex_state = 100},
  [644] = {.lex_state = 182},
  [645] = {.lex_state = 93},
  [646] = {.lex_state = 93},
  [647] = {.lex_state = 182},
  [648] = {.lex_state = 182},
  [649] = {.lex_state = 182},
  [650] = {.lex_state = 182},
  [651] = {.lex_state = 93},
  [652] = {.lex_state = 93},
  [653] = {.lex_state = 93},
  [654] = {.lex_state = 182},
  [655] = {.lex_state = 182},
  [656] = {.lex_state = 182},
  [657] = {.lex_state = 181},
  [658] = {.lex_state = 181},
  [659] = {.lex_state = 181},
  [660] = {.lex_state = 182},
  [661] = {.lex_state = 181},
  [662] = {.lex_state = 182},
  [663] = {.lex_state = 182},
  [664] = {.lex_state = 182},
  [665] = {.lex_state = 93},
  [666] = {.lex_state = 93},
  [667] = {.lex_state = 93},
  [668] = {.lex_state = 93},
  [669] = {.lex_state = 93},
  [670] = {.lex_state = 182},
  [671] = {.lex_state = 93},
  [672] = {.lex_state = 182},
  [673] = {.lex_state = 182},
  [674] = {.lex_state = 182},
  [675] = {.lex_state = 93},
  [676] = {.lex_state = 100},
  [677] = {.lex_state = 182},
  [678] = {.lex_state = 93},
  [679] = {.lex_state = 182},
  [680] = {.lex_state = 182},
  [681] = {.lex_state = 182},
  [682] = {.lex_state = 182},
  [683] = {.lex_state = 182},
  [684] = {.lex_state = 183},
  [685] = {.lex_state = 182},
  [686] = {.lex_state = 182},
  [687] = {.lex_state = 141},
  [688] = {.lex_state = 182},
  [689] = {.lex_state = 166, .external_lex_state = 3},
  [690] = {.lex_state = 141},
  [691] = {.lex_state = 141},
  [692] = {.lex_state = 182},
  [693] = {.lex_state = 181},
  [694] = {.lex_state = 182},
  [695] = {.lex_state = 182},
  [696] = {.lex_state = 181},
  [697] = {.lex_state = 182},
  [698] = {.lex_state = 182},
  [699] = {.lex_state = 182},
  [700] = {.lex_state = 182},
  [701] = {.lex_state = 182},
  [702] = {.lex_state = 93},
  [703] = {.lex_state = 182},
  [704] = {.lex_state = 182},
  [705] = {.lex_state = 182},
  [706] = {.lex_state = 182},
  [707] = {.lex_state = 166, .external_lex_state = 3},
  [708] = {.lex_state = 182},
  [709] = {.lex_state = 182},
  [710] = {.lex_state = 182},
  [711] = {.lex_state = 182},
  [712] = {.lex_state = 182},
  [713] = {.lex_state = 182},
  [714] = {.lex_state = 181},
  [715] = {.lex_state = 153},
  [716] = {.lex_state = 182},
  [717] = {.lex_state = 182},
  [718] = {.lex_state = 182},
  [719] = {.lex_state = 182},
  [720] = {.lex_state = 182},
  [721] = {.lex_state = 182},
  [722] = {.lex_state = 182},
  [723] = {.lex_state = 182},
  [724] = {.lex_state = 174},
  [725] = {.lex_state = 182},
  [726] = {.lex_state = 182},
  [727] = {.lex_state = 181},
  [728] = {.lex_state = 182},
  [729] = {.lex_state = 182},
  [730] = {.lex_state = 182},
  [731] = {.lex_state = 182},
  [732] = {.lex_state = 93},
  [733] = {.lex_state = 182},
  [734] = {.lex_state = 153},
  [735] = {.lex_state = 93},
  [736] = {.lex_state = 182},
  [737] = {.lex_state = 182},
  [738] = {.lex_state = 182},
  [739] = {.lex_state = 182},
  [740] = {.lex_state = 182},
  [741] = {.lex_state = 182},
  [742] = {.lex_state = 182},
  [743] = {.lex_state = 182},
  [744] = {.lex_state = 182},
  [745] = {.lex_state = 182},
  [746] = {.lex_state = 136, .external_lex_state = 3},
  [747] = {.lex_state = 136, .external_lex_state = 3},
  [748] = {.lex_state = 158, .external_lex_state = 3},
  [749] = {.lex_state = 159},
  [750] = {.lex_state = 136, .external_lex_state = 3},
  [751] = {.lex_state = 122, .external_lex_state = 3},
  [752] = {.lex_state = 122, .external_lex_state = 3},
  [753] = {.lex_state = 136, .external_lex_state = 3},
  [754] = {.lex_state = 136, .external_lex_state = 3},
  [755] = {.lex_state = 122, .external_lex_state = 3},
  [756] = {.lex_state = 136, .external_lex_state = 3},
  [757] = {.lex_state = 136, .external_lex_state = 3},
  [758] = {.lex_state = 182},
  [759] = {.lex_state = 93},
  [760] = {.lex_state = 182},
  [761] = {.lex_state = 159},
  [762] = {.lex_state = 122, .external_lex_state = 3},
  [763] = {.lex_state = 122, .external_lex_state = 3},
  [764] = {.lex_state = 136, .external_lex_state = 3},
  [765] = {.lex_state = 122, .external_lex_state = 3},
  [766] = {.lex_state = 122, .external_lex_state = 3},
  [767] = {.lex_state = 136, .external_lex_state = 3},
  [768] = {.lex_state = 136, .external_lex_state = 3},
  [769] = {.lex_state = 159},
  [770] = {.lex_state = 122, .external_lex_state = 3},
  [771] = {.lex_state = 136, .external_lex_state = 3},
  [772] = {.lex_state = 159},
  [773] = {.lex_state = 153},
  [774] = {.lex_state = 122, .external_lex_state = 3},
  [775] = {.lex_state = 122, .external_lex_state = 3},
  [776] = {.lex_state = 159},
  [777] = {.lex_state = 153},
  [778] = {.lex_state = 180},
  [779] = {.lex_state = 153},
  [780] = {.lex_state = 153},
  [781] = {.lex_state = 180},
  [782] = {.lex_state = 180},
  [783] = {.lex_state = 153},
  [784] = {.lex_state = 180},
  [785] = {.lex_state = 180},
  [786] = {.lex_state = 122, .external_lex_state = 3},
  [787] = {.lex_state = 122, .external_lex_state = 3},
  [788] = {.lex_state = 153},
  [789] = {.lex_state = 180},
  [790] = {.lex_state = 180},
  [791] = {.lex_state = 180},
  [792] = {.lex_state = 153},
  [793] = {.lex_state = 180},
  [794] = {.lex_state = 153},
  [795] = {.lex_state = 153},
  [796] = {.lex_state = 93},
  [797] = {.lex_state = 93},
  [798] = {.lex_state = 93},
  [799] = {.lex_state = 100},
  [800] = {.lex_state = 103},
  [801] = {.lex_state = 112, .external_lex_state = 2},
  [802] = {.lex_state = 122},
  [803] = {.lex_state = 123},
  [804] = {.lex_state = 93},
  [805] = {.lex_state = 131},
  [806] = {.lex_state = 158, .external_lex_state = 3},
  [807] = {.lex_state = 136},
  [808] = {.lex_state = 93},
  [809] = {.lex_state = 159},
  [810] = {.lex_state = 122},
  [811] = {.lex_state = 122},
  [812] = {.lex_state = 93},
  [813] = {.lex_state = 93},
  [814] = {.lex_state = 168},
  [815] = {.lex_state = 100},
  [816] = {.lex_state = 100},
  [817] = {.lex_state = 103},
  [818] = {.lex_state = 112, .external_lex_state = 2},
  [819] = {.lex_state = 171},
  [820] = {.lex_state = 93},
  [821] = {.lex_state = 93},
  [822] = {.lex_state = 140, .external_lex_state = 3},
  [823] = {.lex_state = 140, .external_lex_state = 3},
  [824] = {.lex_state = 140, .external_lex_state = 3},
  [825] = {.lex_state = 122},
  [826] = {.lex_state = 122},
  [827] = {.lex_state = 122},
  [828] = {.lex_state = 93},
  [829] = {.lex_state = 123},
  [830] = {.lex_state = 93},
  [831] = {.lex_state = 93},
  [832] = {.lex_state = 93},
  [833] = {.lex_state = 141},
  [834] = {.lex_state = 131},
  [835] = {.lex_state = 93},
  [836] = {.lex_state = 93},
  [837] = {.lex_state = 139},
  [838] = {.lex_state = 93},
  [839] = {.lex_state = 93},
  [840] = {.lex_state = 93},
  [841] = {.lex_state = 93},
  [842] = {.lex_state = 158, .external_lex_state = 3},
  [843] = {.lex_state = 93},
  [844] = {.lex_state = 93},
  [845] = {.lex_state = 140, .external_lex_state = 3},
  [846] = {.lex_state = 140, .external_lex_state = 3},
  [847] = {.lex_state = 141},
  [848] = {.lex_state = 93},
  [849] = {.lex_state = 122},
  [850] = {.lex_state = 93},
  [851] = {.lex_state = 93},
  [852] = {.lex_state = 93},
  [853] = {.lex_state = 93},
  [854] = {.lex_state = 93},
  [855] = {.lex_state = 93},
  [856] = {.lex_state = 93},
  [857] = {.lex_state = 122},
  [858] = {.lex_state = 159},
  [859] = {.lex_state = 140},
  [860] = {.lex_state = 158},
  [861] = {.lex_state = 174},
  [862] = {.lex_state = 122},
  [863] = {.lex_state = 93},
  [864] = {.lex_state = 100},
  [865] = {.lex_state = 93},
  [866] = {.lex_state = 93},
  [867] = {.lex_state = 122},
  [868] = {.lex_state = 168},
  [869] = {.lex_state = 122},
  [870] = {.lex_state = 122},
  [871] = {.lex_state = 158, .external_lex_state = 3},
  [872] = {.lex_state = 158, .external_lex_state = 3},
  [873] = {.lex_state = 141},
  [874] = {.lex_state = 131},
  [875] = {.lex_state = 131},
  [876] = {.lex_state = 168},
  [877] = {.lex_state = 100},
  [878] = {.lex_state = 158, .external_lex_state = 3},
  [879] = {.lex_state = 158, .external_lex_state = 3},
  [880] = {.lex_state = 158, .external_lex_state = 3},
  [881] = {.lex_state = 131},
  [882] = {.lex_state = 93},
  [883] = {.lex_state = 158, .external_lex_state = 3},
  [884] = {.lex_state = 158, .external_lex_state = 3},
  [885] = {.lex_state = 158, .external_lex_state = 3},
  [886] = {.lex_state = 158, .external_lex_state = 3},
  [887] = {.lex_state = 158},
  [888] = {.lex_state = 93},
  [889] = {.lex_state = 93},
  [890] = {.lex_state = 158},
  [891] = {.lex_state = 122},
  [892] = {.lex_state = 168},
  [893] = {.lex_state = 93},
  [894] = {.lex_state = 93},
  [895] = {.lex_state = 122},
  [896] = {.lex_state = 131},
  [897] = {.lex_state = 131},
  [898] = {.lex_state = 131},
  [899] = {.lex_state = 93},
  [900] = {.lex_state = 158, .external_lex_state = 3},
  [901] = {.lex_state = 93},
  [902] = {.lex_state = 93},
  [903] = {.lex_state = 140},
  [904] = {.lex_state = 140},
  [905] = {.lex_state = 131},
  [906] = {.lex_state = 131},
  [907] = {.lex_state = 93},
  [908] = {.lex_state = 131},
  [909] = {.lex_state = 158, .external_lex_state = 3},
  [910] = {.lex_state = 93},
  [911] = {.lex_state = 93},
  [912] = {.lex_state = 93},
  [913] = {.lex_state = 93},
  [914] = {.lex_state = 93},
  [915] = {.lex_state = 93},
  [916] = {.lex_state = 93},
  [917] = {.lex_state = 93},
  [918] = {.lex_state = 93},
  [919] = {.lex_state = 93},
  [920] = {.lex_state = 93},
  [921] = {.lex_state = 93},
  [922] = {.lex_state = 93},
  [923] = {.lex_state = 93},
  [924] = {.lex_state = 93},
  [925] = {.lex_state = 93},
  [926] = {.lex_state = 100},
  [927] = {.lex_state = 103},
  [928] = {.lex_state = 122},
  [929] = {.lex_state = 123},
  [930] = {.lex_state = 131},
  [931] = {.lex_state = 159},
  [932] = {.lex_state = 122},
  [933] = {.lex_state = 122},
  [934] = {.lex_state = 93},
  [935] = {.lex_state = 168},
  [936] = {.lex_state = 100},
  [937] = {.lex_state = 100},
  [938] = {.lex_state = 103},
  [939] = {.lex_state = 93},
  [940] = {.lex_state = 122},
  [941] = {.lex_state = 122},
  [942] = {.lex_state = 122},
  [943] = {.lex_state = 123},
  [944] = {.lex_state = 141},
  [945] = {.lex_state = 131},
  [946] = {.lex_state = 122},
  [947] = {.lex_state = 159},
  [948] = {.lex_state = 140},
  [949] = {.lex_state = 158},
  [950] = {.lex_state = 174},
  [951] = {.lex_state = 122},
  [952] = {.lex_state = 93},
  [953] = {.lex_state = 100},
  [954] = {.lex_state = 93},
  [955] = {.lex_state = 93},
  [956] = {.lex_state = 122},
  [957] = {.lex_state = 122},
  [958] = {.lex_state = 122},
  [959] = {.lex_state = 131},
  [960] = {.lex_state = 93},
  [961] = {.lex_state = 93},
  [962] = {.lex_state = 122},
  [963] = {.lex_state = 131},
  [964] = {.lex_state = 131},
  [965] = {.lex_state = 93},
  [966] = {.lex_state = 93},
  [967] = {.lex_state = 140},
  [968] = {.lex_state = 140},
  [969] = {.lex_state = 131},
  [970] = {.lex_state = 131},
  [971] = {.lex_state = 131},
  [972] = {.lex_state = 100},
  [973] = {.lex_state = 103},
  [974] = {.lex_state = 123},
  [975] = {.lex_state = 159},
  [976] = {.lex_state = 122},
  [977] = {.lex_state = 168},
  [978] = {.lex_state = 100},
  [979] = {.lex_state = 100},
  [980] = {.lex_state = 103},
  [981] = {.lex_state = 122},
  [982] = {.lex_state = 122},
  [983] = {.lex_state = 122},
  [984] = {.lex_state = 123},
  [985] = {.lex_state = 122},
  [986] = {.lex_state = 159},
  [987] = {.lex_state = 140},
  [988] = {.lex_state = 158},
  [989] = {.lex_state = 174},
  [990] = {.lex_state = 100},
  [991] = {.lex_state = 122},
  [992] = {.lex_state = 122},
  [993] = {.lex_state = 122},
  [994] = {.lex_state = 131},
  [995] = {.lex_state = 122},
  [996] = {.lex_state = 131},
  [997] = {.lex_state = 140},
  [998] = {.lex_state = 140},
  [999] = {.lex_state = 131},
  [1000] = {.lex_state = 131},
  [1001] = {.lex_state = 93},
  [1002] = {.lex_state = 93},
  [1003] = {.lex_state = 93},
  [1004] = {.lex_state = 115},
  [1005] = {.lex_state = 100},
  [1006] = {.lex_state = 93},
  [1007] = {.lex_state = 93},
  [1008] = {.lex_state = 122},
  [1009] = {.lex_state = 93},
  [1010] = {.lex_state = 93},
  [1011] = {.lex_state = 140, .external_lex_state = 3},
  [1012] = {.lex_state = 139},
  [1013] = {.lex_state = 93},
  [1014] = {.lex_state = 140, .external_lex_state = 3},
  [1015] = {.lex_state = 140, .external_lex_state = 3},
  [1016] = {.lex_state = 100},
  [1017] = {.lex_state = 140, .external_lex_state = 3},
  [1018] = {.lex_state = 93},
  [1019] = {.lex_state = 158, .external_lex_state = 3},
  [1020] = {.lex_state = 93},
  [1021] = {.lex_state = 158, .external_lex_state = 3},
  [1022] = {.lex_state = 140, .external_lex_state = 3},
  [1023] = {.lex_state = 158, .external_lex_state = 3},
  [1024] = {.lex_state = 93},
  [1025] = {.lex_state = 93},
  [1026] = {.lex_state = 93},
  [1027] = {.lex_state = 93},
  [1028] = {.lex_state = 100},
  [1029] = {.lex_state = 158, .external_lex_state = 3},
  [1030] = {.lex_state = 93},
  [1031] = {.lex_state = 153},
  [1032] = {.lex_state = 153},
  [1033] = {.lex_state = 153},
  [1034] = {.lex_state = 153},
  [1035] = {.lex_state = 93},
  [1036] = {.lex_state = 93},
  [1037] = {.lex_state = 93},
  [1038] = {.lex_state = 93},
  [1039] = {.lex_state = 100},
  [1040] = {.lex_state = 93},
  [1041] = {.lex_state = 93},
  [1042] = {.lex_state = 93},
  [1043] = {.lex_state = 153},
  [1044] = {.lex_state = 153},
  [1045] = {.lex_state = 93},
  [1046] = {.lex_state = 93},
  [1047] = {.lex_state = 158},
  [1048] = {.lex_state = 153},
  [1049] = {.lex_state = 139},
  [1050] = {.lex_state = 153},
  [1051] = {.lex_state = 141, .external_lex_state = 3},
  [1052] = {.lex_state = 131},
  [1053] = {.lex_state = 141},
  [1054] = {.lex_state = 141},
  [1055] = {.lex_state = 131},
  [1056] = {.lex_state = 141},
  [1057] = {.lex_state = 141, .external_lex_state = 3},
  [1058] = {.lex_state = 131},
  [1059] = {.lex_state = 141},
  [1060] = {.lex_state = 141, .external_lex_state = 3},
  [1061] = {.lex_state = 131},
  [1062] = {.lex_state = 141},
  [1063] = {.lex_state = 141},
  [1064] = {.lex_state = 141},
  [1065] = {.lex_state = 141},
  [1066] = {.lex_state = 131},
  [1067] = {.lex_state = 141},
  [1068] = {.lex_state = 131},
  [1069] = {.lex_state = 141},
  [1070] = {.lex_state = 131},
  [1071] = {.lex_state = 141},
  [1072] = {.lex_state = 141},
  [1073] = {.lex_state = 141},
  [1074] = {.lex_state = 100},
  [1075] = {.lex_state = 93},
  [1076] = {.lex_state = 93},
  [1077] = {.lex_state = 93},
  [1078] = {.lex_state = 153},
  [1079] = {.lex_state = 153},
  [1080] = {.lex_state = 153},
  [1081] = {.lex_state = 153},
  [1082] = {.lex_state = 93},
  [1083] = {.lex_state = 100},
  [1084] = {.lex_state = 93},
  [1085] = {.lex_state = 153},
  [1086] = {.lex_state = 153},
  [1087] = {.lex_state = 93},
  [1088] = {.lex_state = 153},
  [1089] = {.lex_state = 153},
  [1090] = {.lex_state = 153},
  [1091] = {.lex_state = 153},
  [1092] = {.lex_state = 153},
  [1093] = {.lex_state = 153},
  [1094] = {.lex_state = 100},
  [1095] = {.lex_state = 153},
  [1096] = {.lex_state = 153},
  [1097] = {.lex_state = 153},
  [1098] = {.lex_state = 159},
  [1099] = {.lex_state = 93},
  [1100] = {.lex_state = 93},
  [1101] = {.lex_state = 153},
  [1102] = {.lex_state = 93},
  [1103] = {.lex_state = 159},
  [1104] = {.lex_state = 93},
  [1105] = {.lex_state = 93},
  [1106] = {.lex_state = 93},
  [1107] = {.lex_state = 93},
  [1108] = {.lex_state = 93},
  [1109] = {.lex_state = 93},
  [1110] = {.lex_state = 93},
  [1111] = {.lex_state = 93},
  [1112] = {.lex_state = 93},
  [1113] = {.lex_state = 93},
  [1114] = {.lex_state = 93},
  [1115] = {.lex_state = 93},
  [1116] = {.lex_state = 93},
  [1117] = {.lex_state = 93},
  [1118] = {.lex_state = 93},
  [1119] = {.lex_state = 153},
  [1120] = {.lex_state = 159},
  [1121] = {.lex_state = 153},
  [1122] = {.lex_state = 159},
  [1123] = {.lex_state = 153},
  [1124] = {.lex_state = 93},
  [1125] = {.lex_state = 131, .external_lex_state = 3},
  [1126] = {.lex_state = 141, .external_lex_state = 3},
  [1127] = {.lex_state = 141, .external_lex_state = 3},
  [1128] = {.lex_state = 93},
  [1129] = {.lex_state = 93},
  [1130] = {.lex_state = 93},
  [1131] = {.lex_state = 136, .external_lex_state = 3},
  [1132] = {.lex_state = 136, .external_lex_state = 3},
  [1133] = {.lex_state = 136, .external_lex_state = 3},
  [1134] = {.lex_state = 93},
  [1135] = {.lex_state = 93},
  [1136] = {.lex_state = 93},
  [1137] = {.lex_state = 93},
  [1138] = {.lex_state = 93},
  [1139] = {.lex_state = 93},
  [1140] = {.lex_state = 93},
  [1141] = {.lex_state = 93},
  [1142] = {.lex_state = 93},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
};

static bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
  },
  [2] = {
    [ts_external_token__template_chars] = true,
  },
  [3] = {
    [ts_external_token__automatic_semicolon] = true,
  },
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
  },
  [1] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(43),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(43),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [aux_sym_program_repeat1] = STATE(43),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(43),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(43),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(43),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_statement_block] = STATE(43),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(43),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(43),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_program] = STATE(51),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(43),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(43),
    [sym_with_statement] = STATE(43),
    [sym_empty_statement] = STATE(43),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(43),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(43),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_undefined] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_get] = ACTIONS(49),
    [sym_hash_bang_line] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_number] = ACTIONS(71),
    [ts_builtin_sym_end] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [2] = {
    [sym_new_expression] = STATE(57),
    [sym_augmented_assignment_expression] = STATE(57),
    [sym_unary_expression] = STATE(57),
    [sym_update_expression] = STATE(57),
    [sym_regex] = STATE(57),
    [sym_meta_property] = STATE(57),
    [sym__expression] = STATE(57),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(57),
    [sym_jsx_fragment] = STATE(57),
    [sym_jsx_element] = STATE(57),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(57),
    [sym_await_expression] = STATE(57),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(57),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(57),
    [sym_generator_function] = STATE(57),
    [sym_call_expression] = STATE(57),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(57),
    [sym_ternary_expression] = STATE(57),
    [sym_binary_expression] = STATE(57),
    [sym_template_string] = STATE(57),
    [sym_parenthesized_expression] = STATE(57),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(57),
    [sym_class] = STATE(57),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(93),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(93),
    [sym_undefined] = ACTIONS(93),
    [sym_true] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(93),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [3] = {
    [sym_new_expression] = STATE(60),
    [sym_augmented_assignment_expression] = STATE(60),
    [sym_unary_expression] = STATE(60),
    [sym_update_expression] = STATE(60),
    [sym_regex] = STATE(60),
    [sym_meta_property] = STATE(60),
    [sym__expression] = STATE(60),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(60),
    [sym_jsx_fragment] = STATE(60),
    [sym_jsx_element] = STATE(60),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(60),
    [sym_await_expression] = STATE(60),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(60),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(60),
    [sym_generator_function] = STATE(60),
    [sym_call_expression] = STATE(60),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(60),
    [sym_ternary_expression] = STATE(60),
    [sym_binary_expression] = STATE(60),
    [sym_template_string] = STATE(60),
    [sym_parenthesized_expression] = STATE(60),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(60),
    [sym_class] = STATE(60),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(101),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(101),
    [sym_undefined] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(103),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [4] = {
    [sym_class_heritage] = STATE(64),
    [sym_class_body] = STATE(65),
    [anon_sym_LBRACE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_extends] = ACTIONS(109),
  },
  [5] = {
    [sym_new_expression] = STATE(66),
    [sym_augmented_assignment_expression] = STATE(66),
    [sym_unary_expression] = STATE(66),
    [sym_update_expression] = STATE(66),
    [sym_regex] = STATE(66),
    [sym_meta_property] = STATE(66),
    [sym__expression] = STATE(66),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(66),
    [sym_jsx_fragment] = STATE(66),
    [sym_jsx_element] = STATE(66),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(66),
    [sym_await_expression] = STATE(66),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(66),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(66),
    [sym_generator_function] = STATE(66),
    [sym_call_expression] = STATE(66),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(66),
    [sym_ternary_expression] = STATE(66),
    [sym_binary_expression] = STATE(66),
    [sym_template_string] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(66),
    [sym_class] = STATE(66),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(111),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(111),
    [sym_undefined] = ACTIONS(111),
    [sym_true] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(113),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [6] = {
    [sym_new_expression] = STATE(70),
    [sym_augmented_assignment_expression] = STATE(70),
    [sym_unary_expression] = STATE(70),
    [sym_update_expression] = STATE(70),
    [sym_regex] = STATE(70),
    [sym_meta_property] = STATE(70),
    [sym__expression] = STATE(70),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(70),
    [sym_jsx_fragment] = STATE(70),
    [aux_sym_array_repeat1] = STATE(71),
    [sym_jsx_element] = STATE(70),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(70),
    [sym_await_expression] = STATE(70),
    [sym_member_expression] = STATE(627),
    [sym_spread_element] = STATE(72),
    [sym_string] = STATE(70),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(70),
    [sym_generator_function] = STATE(70),
    [sym_call_expression] = STATE(70),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(70),
    [sym_ternary_expression] = STATE(70),
    [sym_binary_expression] = STATE(70),
    [sym_template_string] = STATE(70),
    [sym_parenthesized_expression] = STATE(70),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(70),
    [sym_class] = STATE(70),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(125),
    [sym_true] = ACTIONS(125),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_false] = ACTIONS(125),
    [sym_number] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(121),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym_undefined] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [sym_identifier] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_void] = ACTIONS(121),
  },
  [7] = {
    [aux_sym_string_repeat1] = STATE(74),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [sym_comment] = ACTIONS(171),
    [sym_escape_sequence] = ACTIONS(173),
    [aux_sym_string_token1] = ACTIONS(173),
  },
  [8] = {
    [aux_sym_template_string_repeat1] = STATE(77),
    [sym_template_substitution] = STATE(77),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(175),
    [sym_escape_sequence] = ACTIONS(177),
    [sym__template_chars] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
  },
  [9] = {
    [sym_regex_pattern] = ACTIONS(181),
    [sym_comment] = ACTIONS(171),
  },
  [10] = {
    [sym_formal_parameters] = STATE(82),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(185),
    [anon_sym_STAR] = ACTIONS(187),
  },
  [11] = {
    [sym_decorator_call_expression] = STATE(85),
    [sym__identifier_reference] = STATE(84),
    [sym_decorator_member_expression] = STATE(84),
    [anon_sym_set] = ACTIONS(189),
    [anon_sym_async] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_get] = ACTIONS(189),
  },
  [12] = {
    [sym_variable_declarator] = STATE(87),
    [sym_array] = STATE(88),
    [sym_object] = STATE(89),
    [anon_sym_LBRACE] = ACTIONS(193),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
  },
  [13] = {
    [sym_import_clause] = STATE(93),
    [sym_named_imports] = STATE(94),
    [sym_string] = STATE(95),
    [sym_namespace_import] = STATE(94),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
  },
  [14] = {
    [sym_parenthesized_expression] = STATE(97),
    [anon_sym_LPAREN] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_new_expression] = STATE(98),
    [sym_augmented_assignment_expression] = STATE(98),
    [sym_unary_expression] = STATE(98),
    [sym_update_expression] = STATE(98),
    [sym_regex] = STATE(98),
    [sym_meta_property] = STATE(98),
    [sym__expression] = STATE(98),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(98),
    [sym_jsx_fragment] = STATE(98),
    [sym_jsx_element] = STATE(98),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(98),
    [sym_await_expression] = STATE(98),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(98),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(98),
    [sym_generator_function] = STATE(98),
    [sym_call_expression] = STATE(98),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(98),
    [sym_ternary_expression] = STATE(98),
    [sym_binary_expression] = STATE(98),
    [sym_template_string] = STATE(98),
    [sym_parenthesized_expression] = STATE(98),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(98),
    [sym_class] = STATE(98),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(207),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(207),
    [sym_undefined] = ACTIONS(207),
    [sym_true] = ACTIONS(207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(207),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(209),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [16] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(108),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(108),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_method_definition] = STATE(107),
    [aux_sym_program_repeat1] = STATE(108),
    [sym_yield_expression] = STATE(48),
    [aux_sym_object_repeat1] = STATE(109),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(108),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(108),
    [sym_spread_element] = STATE(107),
    [sym_switch_statement] = STATE(108),
    [sym_string] = STATE(102),
    [sym_try_statement] = STATE(108),
    [sym_decorator] = STATE(111),
    [sym_throw_statement] = STATE(108),
    [sym_formal_parameters] = STATE(45),
    [sym_computed_property_name] = STATE(112),
    [sym_object] = STATE(110),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_statement_block] = STATE(108),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(108),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(108),
    [sym_pair] = STATE(107),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(111),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(108),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(108),
    [sym_with_statement] = STATE(108),
    [sym_empty_statement] = STATE(108),
    [sym__property_name] = STATE(112),
    [sym_assignment_pattern] = STATE(107),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(108),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(108),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(113),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(213),
    [anon_sym_async] = ACTIONS(219),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [17] = {
    [sym_parenthesized_expression] = STATE(114),
    [anon_sym_LPAREN] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_new_expression] = STATE(115),
    [sym_augmented_assignment_expression] = STATE(115),
    [sym_unary_expression] = STATE(115),
    [sym_update_expression] = STATE(115),
    [sym_regex] = STATE(115),
    [sym_meta_property] = STATE(115),
    [sym__expression] = STATE(115),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(115),
    [sym_jsx_fragment] = STATE(115),
    [sym_jsx_element] = STATE(115),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(115),
    [sym_await_expression] = STATE(115),
    [sym_member_expression] = STATE(44),
    [sym_sequence_expression] = STATE(116),
    [sym_string] = STATE(115),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(115),
    [sym_generator_function] = STATE(115),
    [sym_call_expression] = STATE(115),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(115),
    [sym_ternary_expression] = STATE(115),
    [sym_binary_expression] = STATE(115),
    [sym_template_string] = STATE(115),
    [sym_parenthesized_expression] = STATE(115),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(115),
    [sym_class] = STATE(115),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(227),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(227),
    [sym_undefined] = ACTIONS(227),
    [sym_true] = ACTIONS(227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(229),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [19] = {
    [anon_sym_await] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_new_expression] = STATE(119),
    [sym_augmented_assignment_expression] = STATE(119),
    [sym_unary_expression] = STATE(119),
    [sym_update_expression] = STATE(119),
    [sym_regex] = STATE(119),
    [sym_meta_property] = STATE(119),
    [sym__expression] = STATE(119),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(119),
    [sym_jsx_fragment] = STATE(119),
    [sym_jsx_element] = STATE(119),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(119),
    [sym_await_expression] = STATE(119),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(119),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(119),
    [sym_generator_function] = STATE(119),
    [sym_call_expression] = STATE(119),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(119),
    [sym_ternary_expression] = STATE(119),
    [sym_binary_expression] = STATE(119),
    [sym_template_string] = STATE(119),
    [sym_parenthesized_expression] = STATE(119),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(119),
    [sym_class] = STATE(119),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(235),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(235),
    [sym_undefined] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(237),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [21] = {
    [aux_sym_string_repeat2] = STATE(120),
    [sym_comment] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [sym_escape_sequence] = ACTIONS(239),
    [aux_sym_string_token2] = ACTIONS(239),
  },
  [22] = {
    [sym__initializer] = STATE(124),
    [anon_sym_instanceof] = ACTIONS(241),
    [sym__automatic_semicolon] = ACTIONS(241),
    [anon_sym_AMP_EQ] = ACTIONS(243),
    [anon_sym_GT_GT_EQ] = ACTIONS(243),
    [anon_sym_STAR_EQ] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_STAR_STAR] = ACTIONS(245),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_AMP] = ACTIONS(245),
    [anon_sym_GT_EQ] = ACTIONS(241),
    [anon_sym_PIPE_EQ] = ACTIONS(243),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(243),
    [anon_sym_SLASH_EQ] = ACTIONS(243),
    [anon_sym_LT_EQ] = ACTIONS(241),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_PLUS_PLUS] = ACTIONS(241),
    [anon_sym_SEMI] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_GT] = ACTIONS(245),
    [anon_sym_LT_LT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(245),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_DASH_DASH] = ACTIONS(241),
    [anon_sym_RPAREN] = ACTIONS(241),
    [anon_sym_SLASH] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(241),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(243),
    [anon_sym_CARET] = ACTIONS(245),
    [anon_sym_AMP_AMP] = ACTIONS(241),
    [anon_sym_GT_GT] = ACTIONS(245),
    [anon_sym_in] = ACTIONS(245),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(241),
    [anon_sym_DOT] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(243),
    [anon_sym_PLUS_EQ] = ACTIONS(243),
    [anon_sym_PIPE] = ACTIONS(245),
    [anon_sym_PIPE_PIPE] = ACTIONS(241),
    [anon_sym_GT_GT_GT] = ACTIONS(245),
    [anon_sym_BANG_EQ] = ACTIONS(245),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(241),
    [anon_sym_LT] = ACTIONS(245),
    [anon_sym_CARET_EQ] = ACTIONS(243),
    [anon_sym_DASH_EQ] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_PERCENT] = ACTIONS(245),
    [anon_sym_LT_LT] = ACTIONS(245),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(241),
  },
  [23] = {
    [sym_new_expression] = STATE(126),
    [sym_augmented_assignment_expression] = STATE(126),
    [sym_statement_block] = STATE(125),
    [sym_unary_expression] = STATE(126),
    [sym_update_expression] = STATE(126),
    [sym_meta_property] = STATE(126),
    [sym_regex] = STATE(126),
    [sym__expression] = STATE(126),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(126),
    [sym_jsx_fragment] = STATE(126),
    [sym_jsx_element] = STATE(126),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(126),
    [sym_await_expression] = STATE(126),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(126),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(126),
    [sym_generator_function] = STATE(126),
    [sym_call_expression] = STATE(126),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(126),
    [sym_ternary_expression] = STATE(126),
    [sym_binary_expression] = STATE(126),
    [sym_template_string] = STATE(126),
    [sym_parenthesized_expression] = STATE(126),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(126),
    [sym_class] = STATE(126),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(251),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(251),
    [sym_undefined] = ACTIONS(251),
    [sym_true] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(251),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(255),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [24] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(127),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(127),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(127),
    [sym_return_statement] = STATE(127),
    [aux_sym_program_repeat1] = STATE(127),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(127),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(127),
    [sym_switch_statement] = STATE(127),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(127),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(127),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(127),
    [sym_continue_statement] = STATE(127),
    [sym_statement_block] = STATE(127),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(127),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(127),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(127),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(127),
    [sym_with_statement] = STATE(127),
    [sym_empty_statement] = STATE(127),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(127),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(127),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(127),
    [sym_break_statement] = STATE(127),
    [sym_labeled_statement] = STATE(127),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_undefined] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_number] = ACTIONS(71),
    [ts_builtin_sym_end] = ACTIONS(257),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [25] = {
    [sym__automatic_semicolon] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(261),
    [anon_sym_SEMI] = ACTIONS(259),
  },
  [26] = {
    [anon_sym_class] = ACTIONS(263),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_import] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(265),
    [anon_sym_delete] = ACTIONS(263),
    [anon_sym_throw] = ACTIONS(263),
    [anon_sym_for] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(265),
    [sym_this] = ACTIONS(263),
    [sym_true] = ACTIONS(263),
    [anon_sym_case] = ACTIONS(263),
    [anon_sym_get] = ACTIONS(263),
    [anon_sym_default] = ACTIONS(263),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_SEMI] = ACTIONS(265),
    [anon_sym_DQUOTE] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_super] = ACTIONS(263),
    [sym_false] = ACTIONS(263),
    [sym_number] = ACTIONS(265),
    [anon_sym_yield] = ACTIONS(263),
    [anon_sym_set] = ACTIONS(263),
    [anon_sym_async] = ACTIONS(263),
    [anon_sym_var] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(263),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [anon_sym_try] = ACTIONS(263),
    [anon_sym_RPAREN] = ACTIONS(265),
    [anon_sym_typeof] = ACTIONS(263),
    [anon_sym_await] = ACTIONS(263),
    [anon_sym_SLASH] = ACTIONS(263),
    [sym_null] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [anon_sym_function] = ACTIONS(263),
    [anon_sym_let] = ACTIONS(263),
    [anon_sym_if] = ACTIONS(263),
    [anon_sym_with] = ACTIONS(263),
    [anon_sym_SQUOTE] = ACTIONS(265),
    [sym_undefined] = ACTIONS(263),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(265),
    [anon_sym_else] = ACTIONS(263),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_debugger] = ACTIONS(263),
    [anon_sym_while] = ACTIONS(263),
    [sym_identifier] = ACTIONS(263),
    [anon_sym_BQUOTE] = ACTIONS(265),
    [anon_sym_LT] = ACTIONS(265),
    [ts_builtin_sym_end] = ACTIONS(265),
    [anon_sym_new] = ACTIONS(263),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(263),
    [anon_sym_switch] = ACTIONS(263),
    [anon_sym_export] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [anon_sym_void] = ACTIONS(263),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_do] = ACTIONS(263),
  },
  [27] = {
    [sym__automatic_semicolon] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(267),
  },
  [28] = {
    [sym_new_expression] = STATE(136),
    [sym_augmented_assignment_expression] = STATE(136),
    [sym_unary_expression] = STATE(136),
    [sym_update_expression] = STATE(136),
    [sym_regex] = STATE(136),
    [sym_meta_property] = STATE(136),
    [sym__expression] = STATE(136),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(136),
    [sym_jsx_fragment] = STATE(136),
    [sym_jsx_element] = STATE(136),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(136),
    [sym_await_expression] = STATE(136),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(137),
    [sym_string] = STATE(136),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(138),
    [sym_assignment_pattern] = STATE(139),
    [sym_anonymous_class] = STATE(136),
    [sym_generator_function] = STATE(136),
    [sym_call_expression] = STATE(136),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(136),
    [sym_ternary_expression] = STATE(136),
    [sym_binary_expression] = STATE(136),
    [sym_template_string] = STATE(136),
    [sym_rest_parameter] = STATE(139),
    [sym_parenthesized_expression] = STATE(136),
    [sym_array] = STATE(140),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(136),
    [sym_class] = STATE(136),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [anon_sym_get] = ACTIONS(271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(273),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_false] = ACTIONS(269),
    [sym_number] = ACTIONS(275),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_set] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_typeof] = ACTIONS(121),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(269),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym_undefined] = ACTIONS(269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_void] = ACTIONS(121),
  },
  [29] = {
    [sym_parenthesized_expression] = STATE(141),
    [anon_sym_LPAREN] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(69),
  },
  [31] = {
    [sym__initializer] = STATE(150),
    [anon_sym_instanceof] = ACTIONS(289),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_AMP_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_STAR_EQ] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_SLASH_EQ] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_LT_LT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(295),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(293),
    [anon_sym_EQ_GT] = ACTIONS(299),
    [anon_sym_PLUS_EQ] = ACTIONS(293),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_CARET_EQ] = ACTIONS(293),
    [anon_sym_DASH_EQ] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(295),
    [anon_sym_LT_LT] = ACTIONS(295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [32] = {
    [sym_new_expression] = STATE(151),
    [sym_augmented_assignment_expression] = STATE(151),
    [sym_unary_expression] = STATE(151),
    [sym_update_expression] = STATE(151),
    [sym_regex] = STATE(151),
    [sym_meta_property] = STATE(151),
    [sym__expression] = STATE(151),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(151),
    [sym_jsx_fragment] = STATE(151),
    [sym_jsx_element] = STATE(151),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(151),
    [sym_await_expression] = STATE(151),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(151),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(151),
    [sym_generator_function] = STATE(151),
    [sym_call_expression] = STATE(151),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(151),
    [sym_ternary_expression] = STATE(151),
    [sym_binary_expression] = STATE(151),
    [sym_template_string] = STATE(151),
    [sym_parenthesized_expression] = STATE(151),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(151),
    [sym_class] = STATE(151),
    [anon_sym_instanceof] = ACTIONS(301),
    [sym__automatic_semicolon] = ACTIONS(303),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_STAR_STAR] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_GT_EQ] = ACTIONS(303),
    [anon_sym_BANG] = ACTIONS(305),
    [sym_this] = ACTIONS(307),
    [sym_true] = ACTIONS(307),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_LT_EQ] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(301),
    [sym_false] = ACTIONS(307),
    [sym_number] = ACTIONS(309),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_CARET] = ACTIONS(303),
    [anon_sym_AMP_AMP] = ACTIONS(303),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(303),
    [sym_undefined] = ACTIONS(307),
    [anon_sym_DOT] = ACTIONS(301),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_PIPE_PIPE] = ACTIONS(303),
    [anon_sym_GT_GT_GT] = ACTIONS(303),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [sym_identifier] = ACTIONS(97),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(311),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(303),
    [anon_sym_LT_LT] = ACTIONS(303),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(303),
  },
  [33] = {
    [sym_nested_identifier] = STATE(155),
    [sym_jsx_namespace_name] = STATE(156),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(313),
    [sym_identifier] = ACTIONS(315),
    [anon_sym_GT] = ACTIONS(317),
  },
  [34] = {
    [sym_formal_parameters] = STATE(158),
    [sym__initializer] = STATE(124),
    [anon_sym_instanceof] = ACTIONS(245),
    [sym__automatic_semicolon] = ACTIONS(241),
    [anon_sym_AMP_EQ] = ACTIONS(243),
    [anon_sym_GT_GT_EQ] = ACTIONS(243),
    [anon_sym_STAR_EQ] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_STAR_STAR] = ACTIONS(245),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_AMP] = ACTIONS(245),
    [anon_sym_GT_EQ] = ACTIONS(241),
    [anon_sym_PIPE_EQ] = ACTIONS(243),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(243),
    [anon_sym_SLASH_EQ] = ACTIONS(243),
    [anon_sym_LT_EQ] = ACTIONS(241),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_PLUS_PLUS] = ACTIONS(241),
    [anon_sym_SEMI] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(319),
    [anon_sym_GT] = ACTIONS(245),
    [anon_sym_LT_LT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(245),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_DASH_DASH] = ACTIONS(241),
    [anon_sym_RPAREN] = ACTIONS(241),
    [anon_sym_SLASH] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(241),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(322),
    [anon_sym_CARET] = ACTIONS(245),
    [anon_sym_AMP_AMP] = ACTIONS(241),
    [anon_sym_GT_GT] = ACTIONS(245),
    [anon_sym_in] = ACTIONS(245),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(241),
    [anon_sym_DOT] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(243),
    [anon_sym_EQ_GT] = ACTIONS(299),
    [anon_sym_PLUS_EQ] = ACTIONS(243),
    [anon_sym_PIPE] = ACTIONS(245),
    [anon_sym_PIPE_PIPE] = ACTIONS(241),
    [anon_sym_GT_GT_GT] = ACTIONS(245),
    [anon_sym_BANG_EQ] = ACTIONS(245),
    [sym_identifier] = ACTIONS(324),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(241),
    [anon_sym_LT] = ACTIONS(245),
    [anon_sym_CARET_EQ] = ACTIONS(243),
    [anon_sym_DASH_EQ] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_PERCENT] = ACTIONS(245),
    [anon_sym_LT_LT] = ACTIONS(245),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(241),
  },
  [35] = {
    [sym_new_expression] = STATE(159),
    [sym_augmented_assignment_expression] = STATE(164),
    [sym_unary_expression] = STATE(164),
    [sym_update_expression] = STATE(164),
    [sym_regex] = STATE(159),
    [sym_meta_property] = STATE(159),
    [sym__expression] = STATE(164),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(164),
    [sym_jsx_fragment] = STATE(164),
    [sym_jsx_element] = STATE(164),
    [sym_function] = STATE(165),
    [sym_arrow_function] = STATE(159),
    [sym_await_expression] = STATE(164),
    [sym_member_expression] = STATE(166),
    [sym_string] = STATE(159),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(167),
    [sym_anonymous_class] = STATE(159),
    [sym_generator_function] = STATE(159),
    [sym_call_expression] = STATE(164),
    [sym_subscript_expression] = STATE(166),
    [sym_assignment_expression] = STATE(164),
    [sym_ternary_expression] = STATE(164),
    [sym_binary_expression] = STATE(164),
    [sym_template_string] = STATE(159),
    [sym_parenthesized_expression] = STATE(159),
    [sym_array] = STATE(168),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(164),
    [sym_class] = STATE(159),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(326),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(326),
    [sym_undefined] = ACTIONS(326),
    [sym_true] = ACTIONS(326),
    [anon_sym_DOT] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(330),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(332),
    [sym_identifier] = ACTIONS(334),
    [sym_false] = ACTIONS(326),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(336),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(330),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [36] = {
    [sym_variable_declarator] = STATE(169),
    [sym_array] = STATE(88),
    [sym_object] = STATE(89),
    [anon_sym_LBRACE] = ACTIONS(193),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
  },
  [37] = {
    [sym_parenthesized_expression] = STATE(170),
    [anon_sym_LPAREN] = ACTIONS(340),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_decorator] = STATE(176),
    [sym_lexical_declaration] = STATE(178),
    [sym__declaration] = STATE(178),
    [sym_function] = STATE(177),
    [sym_variable_declaration] = STATE(178),
    [sym_generator_function] = STATE(177),
    [sym_export_clause] = STATE(179),
    [aux_sym_export_statement_repeat1] = STATE(176),
    [sym_class] = STATE(177),
    [anon_sym_class] = ACTIONS(342),
    [anon_sym_default] = ACTIONS(344),
    [anon_sym_function] = ACTIONS(346),
    [anon_sym_let] = ACTIONS(348),
    [anon_sym_STAR] = ACTIONS(350),
    [anon_sym_LBRACE] = ACTIONS(352),
    [anon_sym_async] = ACTIONS(354),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_var] = ACTIONS(356),
    [anon_sym_const] = ACTIONS(348),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym__automatic_semicolon] = ACTIONS(358),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(360),
    [anon_sym_SEMI] = ACTIONS(358),
  },
  [40] = {
    [sym_statement_block] = STATE(183),
    [anon_sym_LBRACE] = ACTIONS(362),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_new_expression] = STATE(185),
    [sym_augmented_assignment_expression] = STATE(185),
    [sym_unary_expression] = STATE(185),
    [sym_update_expression] = STATE(185),
    [sym_regex] = STATE(185),
    [sym_meta_property] = STATE(185),
    [sym__expression] = STATE(185),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(185),
    [sym_jsx_fragment] = STATE(185),
    [sym_jsx_element] = STATE(185),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(185),
    [sym_await_expression] = STATE(185),
    [sym_member_expression] = STATE(44),
    [sym_sequence_expression] = STATE(186),
    [sym_string] = STATE(185),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(185),
    [sym_generator_function] = STATE(185),
    [sym_call_expression] = STATE(185),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(185),
    [sym_ternary_expression] = STATE(185),
    [sym_binary_expression] = STATE(185),
    [sym_template_string] = STATE(185),
    [sym_parenthesized_expression] = STATE(185),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(185),
    [sym_class] = STATE(185),
    [sym__automatic_semicolon] = ACTIONS(364),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(366),
    [sym_true] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(364),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(366),
    [sym_number] = ACTIONS(368),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(366),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(366),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [sym_identifier] = ACTIONS(97),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(25),
  },
  [42] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(187),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(187),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(187),
    [sym_return_statement] = STATE(187),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(187),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(187),
    [sym_switch_statement] = STATE(187),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(187),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(187),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(187),
    [sym_continue_statement] = STATE(187),
    [sym_statement_block] = STATE(187),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(187),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(187),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(187),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(187),
    [sym_with_statement] = STATE(187),
    [sym_empty_statement] = STATE(187),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(187),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(187),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(187),
    [sym_break_statement] = STATE(187),
    [sym_labeled_statement] = STATE(187),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [43] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(188),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(188),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(188),
    [sym_return_statement] = STATE(188),
    [aux_sym_program_repeat1] = STATE(188),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(188),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(188),
    [sym_switch_statement] = STATE(188),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(188),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(188),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(188),
    [sym_continue_statement] = STATE(188),
    [sym_statement_block] = STATE(188),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(188),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(188),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(188),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(188),
    [sym_with_statement] = STATE(188),
    [sym_empty_statement] = STATE(188),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(188),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(188),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(188),
    [sym_break_statement] = STATE(188),
    [sym_labeled_statement] = STATE(188),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_undefined] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_number] = ACTIONS(71),
    [ts_builtin_sym_end] = ACTIONS(257),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [44] = {
    [sym__initializer] = STATE(150),
    [anon_sym_instanceof] = ACTIONS(289),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_STAR_EQ] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_SLASH_EQ] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_LT_LT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_RPAREN] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(295),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(293),
    [anon_sym_PLUS_EQ] = ACTIONS(293),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_CARET_EQ] = ACTIONS(293),
    [anon_sym_DASH_EQ] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(295),
    [anon_sym_LT_LT] = ACTIONS(295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [45] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(299),
  },
  [46] = {
    [sym__initializer] = STATE(189),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
    [anon_sym_RPAREN] = ACTIONS(289),
  },
  [47] = {
    [anon_sym_instanceof] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_DASH] = ACTIONS(384),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_throw] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [sym_this] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_LPAREN] = ACTIONS(386),
    [anon_sym_TILDE] = ACTIONS(386),
    [anon_sym_GT] = ACTIONS(295),
    [sym_false] = ACTIONS(384),
    [anon_sym_yield] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(384),
    [anon_sym_const] = ACTIONS(384),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_try] = ACTIONS(384),
    [anon_sym_await] = ACTIONS(384),
    [anon_sym_let] = ACTIONS(384),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [sym_undefined] = ACTIONS(384),
    [anon_sym_EQ_GT] = ACTIONS(386),
    [anon_sym_else] = ACTIONS(384),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(384),
    [anon_sym_while] = ACTIONS(384),
    [anon_sym_BQUOTE] = ACTIONS(386),
    [anon_sym_PLUS] = ACTIONS(384),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_return] = ACTIONS(384),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
    [anon_sym_import] = ACTIONS(384),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(386),
    [anon_sym_delete] = ACTIONS(384),
    [anon_sym_for] = ACTIONS(384),
    [anon_sym_BANG] = ACTIONS(384),
    [sym_true] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(384),
    [anon_sym_SEMI] = ACTIONS(386),
    [anon_sym_DQUOTE] = ACTIONS(386),
    [sym_super] = ACTIONS(384),
    [sym_number] = ACTIONS(386),
    [anon_sym_set] = ACTIONS(384),
    [anon_sym_var] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_RBRACE] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [anon_sym_typeof] = ACTIONS(384),
    [anon_sym_SLASH] = ACTIONS(384),
    [sym_null] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(384),
    [anon_sym_if] = ACTIONS(384),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_with] = ACTIONS(384),
    [anon_sym_SQUOTE] = ACTIONS(386),
    [anon_sym_DOT] = ACTIONS(295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_debugger] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [sym_identifier] = ACTIONS(384),
    [anon_sym_LT] = ACTIONS(384),
    [ts_builtin_sym_end] = ACTIONS(386),
    [anon_sym_new] = ACTIONS(384),
    [anon_sym_AT] = ACTIONS(386),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_continue] = ACTIONS(384),
    [anon_sym_void] = ACTIONS(384),
    [anon_sym_do] = ACTIONS(384),
  },
  [48] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [sym__automatic_semicolon] = ACTIONS(388),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(388),
    [anon_sym_COMMA] = ACTIONS(410),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
  },
  [49] = {
    [sym_decorator] = STATE(202),
    [aux_sym_export_statement_repeat1] = STATE(202),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_class] = ACTIONS(416),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(77),
  },
  [50] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_DASH] = ACTIONS(384),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_throw] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [sym_this] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(386),
    [anon_sym_GT] = ACTIONS(295),
    [sym_false] = ACTIONS(384),
    [anon_sym_yield] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(384),
    [anon_sym_const] = ACTIONS(384),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_try] = ACTIONS(384),
    [anon_sym_await] = ACTIONS(384),
    [anon_sym_let] = ACTIONS(384),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [sym_undefined] = ACTIONS(384),
    [anon_sym_EQ_GT] = ACTIONS(386),
    [anon_sym_else] = ACTIONS(384),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(384),
    [anon_sym_while] = ACTIONS(384),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(384),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_return] = ACTIONS(384),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
    [anon_sym_import] = ACTIONS(384),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(386),
    [anon_sym_delete] = ACTIONS(384),
    [anon_sym_for] = ACTIONS(384),
    [anon_sym_BANG] = ACTIONS(384),
    [sym_true] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(384),
    [anon_sym_SEMI] = ACTIONS(386),
    [anon_sym_DQUOTE] = ACTIONS(386),
    [sym_super] = ACTIONS(384),
    [sym_number] = ACTIONS(386),
    [anon_sym_set] = ACTIONS(384),
    [anon_sym_var] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_RBRACE] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [anon_sym_typeof] = ACTIONS(384),
    [anon_sym_SLASH] = ACTIONS(384),
    [sym_null] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(384),
    [anon_sym_if] = ACTIONS(384),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_with] = ACTIONS(384),
    [anon_sym_SQUOTE] = ACTIONS(386),
    [anon_sym_DOT] = ACTIONS(295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_debugger] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [sym_identifier] = ACTIONS(384),
    [anon_sym_LT] = ACTIONS(384),
    [ts_builtin_sym_end] = ACTIONS(386),
    [anon_sym_new] = ACTIONS(384),
    [anon_sym_AT] = ACTIONS(386),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_continue] = ACTIONS(384),
    [anon_sym_void] = ACTIONS(384),
    [anon_sym_do] = ACTIONS(384),
  },
  [51] = {
    [sym_comment] = ACTIONS(3),
    [ts_builtin_sym_end] = ACTIONS(418),
  },
  [52] = {
    [sym__automatic_semicolon] = ACTIONS(388),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(388),
  },
  [53] = {
    [sym__initializer] = STATE(203),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
    [anon_sym_RPAREN] = ACTIONS(289),
  },
  [54] = {
    [aux_sym_jsx_element_repeat1] = STATE(206),
    [sym_jsx_expression] = STATE(206),
    [sym_jsx_closing_element] = STATE(207),
    [sym_jsx_opening_element] = STATE(931),
    [sym_jsx_self_closing_element] = STATE(206),
    [sym_jsx_element] = STATE(206),
    [anon_sym_LBRACE] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(422),
    [anon_sym_LT] = ACTIONS(424),
  },
  [55] = {
    [sym__property_name] = STATE(112),
    [sym_computed_property_name] = STATE(112),
    [sym_object] = STATE(212),
    [sym_assignment_pattern] = STATE(107),
    [sym_method_definition] = STATE(107),
    [sym_pair] = STATE(107),
    [aux_sym_export_statement_repeat1] = STATE(214),
    [aux_sym_object_repeat1] = STATE(109),
    [sym_array] = STATE(213),
    [sym_spread_element] = STATE(107),
    [sym_string] = STATE(112),
    [sym_decorator] = STATE(214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(426),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(434),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(438),
    [anon_sym_get] = ACTIONS(434),
  },
  [56] = {
    [sym__initializer] = STATE(150),
    [anon_sym_instanceof] = ACTIONS(289),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_STAR_EQ] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_SLASH_EQ] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_LT_LT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_RPAREN] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(295),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(293),
    [anon_sym_EQ_GT] = ACTIONS(299),
    [anon_sym_PLUS_EQ] = ACTIONS(293),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_CARET_EQ] = ACTIONS(293),
    [anon_sym_DASH_EQ] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(295),
    [anon_sym_LT_LT] = ACTIONS(295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [57] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(440),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(440),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
    [anon_sym_RPAREN] = ACTIONS(440),
  },
  [58] = {
    [sym_decorator] = STATE(202),
    [aux_sym_export_statement_repeat1] = STATE(202),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(77),
  },
  [59] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
    [anon_sym_RPAREN] = ACTIONS(289),
  },
  [60] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [sym__automatic_semicolon] = ACTIONS(442),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(442),
    [anon_sym_STAR_STAR] = ACTIONS(442),
    [anon_sym_AMP_AMP] = ACTIONS(442),
    [anon_sym_STAR] = ACTIONS(444),
    [anon_sym_GT_GT] = ACTIONS(444),
    [anon_sym_AMP] = ACTIONS(444),
    [anon_sym_in] = ACTIONS(444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(442),
    [anon_sym_GT_EQ] = ACTIONS(442),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(444),
    [anon_sym_LT_EQ] = ACTIONS(442),
    [anon_sym_PIPE_PIPE] = ACTIONS(442),
    [anon_sym_COMMA] = ACTIONS(442),
    [anon_sym_GT_GT_GT] = ACTIONS(442),
    [anon_sym_SEMI] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(444),
    [anon_sym_GT] = ACTIONS(444),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(444),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_EQ_EQ] = ACTIONS(444),
    [anon_sym_PERCENT] = ACTIONS(442),
    [anon_sym_QMARK] = ACTIONS(442),
    [anon_sym_LT_LT] = ACTIONS(442),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(442),
    [anon_sym_RPAREN] = ACTIONS(442),
  },
  [61] = {
    [sym_public_field_definition] = STATE(225),
    [sym__property_name] = STATE(222),
    [sym_computed_property_name] = STATE(222),
    [aux_sym_class_body_repeat1] = STATE(223),
    [sym_method_definition] = STATE(224),
    [sym_string] = STATE(222),
    [aux_sym_export_statement_repeat1] = STATE(221),
    [sym_decorator] = STATE(221),
    [anon_sym_LBRACK] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(448),
    [anon_sym_static] = ACTIONS(450),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(454),
    [anon_sym_SQUOTE] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(460),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(462),
    [anon_sym_get] = ACTIONS(458),
  },
  [62] = {
    [sym_class_heritage] = STATE(226),
    [sym_class_body] = STATE(227),
    [anon_sym_LBRACE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(464),
  },
  [63] = {
    [sym_new_expression] = STATE(228),
    [sym_augmented_assignment_expression] = STATE(228),
    [sym_unary_expression] = STATE(228),
    [sym_update_expression] = STATE(228),
    [sym_regex] = STATE(228),
    [sym_meta_property] = STATE(228),
    [sym__expression] = STATE(228),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(228),
    [sym_jsx_fragment] = STATE(228),
    [sym_jsx_element] = STATE(228),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(228),
    [sym_await_expression] = STATE(228),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(228),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(228),
    [sym_generator_function] = STATE(228),
    [sym_call_expression] = STATE(228),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(228),
    [sym_ternary_expression] = STATE(228),
    [sym_binary_expression] = STATE(228),
    [sym_template_string] = STATE(228),
    [sym_parenthesized_expression] = STATE(228),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(228),
    [sym_class] = STATE(228),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(466),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(466),
    [sym_undefined] = ACTIONS(466),
    [sym_true] = ACTIONS(466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(466),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(468),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [64] = {
    [sym_class_body] = STATE(229),
    [anon_sym_LBRACE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [anon_sym_instanceof] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [sym__automatic_semicolon] = ACTIONS(470),
    [anon_sym_LBRACK] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_CARET] = ACTIONS(470),
    [anon_sym_STAR_STAR] = ACTIONS(470),
    [anon_sym_AMP_AMP] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(472),
    [anon_sym_GT_GT] = ACTIONS(472),
    [anon_sym_AMP] = ACTIONS(472),
    [anon_sym_in] = ACTIONS(472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(470),
    [anon_sym_GT_EQ] = ACTIONS(470),
    [anon_sym_DOT] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(472),
    [anon_sym_LT_EQ] = ACTIONS(470),
    [anon_sym_PIPE_PIPE] = ACTIONS(470),
    [anon_sym_COMMA] = ACTIONS(470),
    [anon_sym_GT_GT_GT] = ACTIONS(470),
    [anon_sym_SEMI] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(470),
    [anon_sym_LPAREN] = ACTIONS(470),
    [anon_sym_BANG_EQ] = ACTIONS(472),
    [anon_sym_GT] = ACTIONS(472),
    [anon_sym_BQUOTE] = ACTIONS(470),
    [anon_sym_LT] = ACTIONS(472),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_EQ_EQ] = ACTIONS(472),
    [anon_sym_PERCENT] = ACTIONS(470),
    [anon_sym_QMARK] = ACTIONS(470),
    [anon_sym_LT_LT] = ACTIONS(470),
    [anon_sym_DASH_DASH] = ACTIONS(470),
    [anon_sym_RBRACE] = ACTIONS(470),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(470),
    [anon_sym_RPAREN] = ACTIONS(470),
  },
  [66] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(474),
    [anon_sym_SLASH] = ACTIONS(476),
    [sym__automatic_semicolon] = ACTIONS(474),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_CARET] = ACTIONS(474),
    [anon_sym_STAR_STAR] = ACTIONS(474),
    [anon_sym_AMP_AMP] = ACTIONS(474),
    [anon_sym_STAR] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(474),
    [anon_sym_GT_EQ] = ACTIONS(474),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(476),
    [anon_sym_LT_EQ] = ACTIONS(474),
    [anon_sym_PIPE_PIPE] = ACTIONS(474),
    [anon_sym_COMMA] = ACTIONS(474),
    [anon_sym_GT_GT_GT] = ACTIONS(474),
    [anon_sym_SEMI] = ACTIONS(474),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(476),
    [anon_sym_GT] = ACTIONS(476),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(476),
    [anon_sym_PERCENT] = ACTIONS(474),
    [anon_sym_QMARK] = ACTIONS(474),
    [anon_sym_LT_LT] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(474),
    [anon_sym_RPAREN] = ACTIONS(474),
  },
  [67] = {
    [anon_sym_instanceof] = ACTIONS(478),
    [sym__automatic_semicolon] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(480),
    [anon_sym_STAR_STAR] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_AMP] = ACTIONS(480),
    [anon_sym_GT_EQ] = ACTIONS(478),
    [anon_sym_LT_EQ] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(478),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(478),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_GT] = ACTIONS(480),
    [anon_sym_EQ_EQ] = ACTIONS(480),
    [anon_sym_QMARK] = ACTIONS(478),
    [anon_sym_RBRACE] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [anon_sym_RPAREN] = ACTIONS(478),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_LBRACK] = ACTIONS(478),
    [anon_sym_CARET] = ACTIONS(478),
    [anon_sym_AMP_AMP] = ACTIONS(478),
    [anon_sym_GT_GT] = ACTIONS(480),
    [anon_sym_in] = ACTIONS(480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(478),
    [anon_sym_of] = ACTIONS(478),
    [anon_sym_DOT] = ACTIONS(478),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(480),
    [anon_sym_PIPE_PIPE] = ACTIONS(478),
    [anon_sym_GT_GT_GT] = ACTIONS(478),
    [anon_sym_BANG_EQ] = ACTIONS(480),
    [anon_sym_EQ] = ACTIONS(480),
    [anon_sym_BQUOTE] = ACTIONS(478),
    [anon_sym_LT] = ACTIONS(480),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(478),
    [anon_sym_LT_LT] = ACTIONS(478),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(478),
  },
  [68] = {
    [sym_new_expression] = STATE(230),
    [sym_augmented_assignment_expression] = STATE(230),
    [sym_unary_expression] = STATE(230),
    [sym_update_expression] = STATE(230),
    [sym_regex] = STATE(230),
    [sym_meta_property] = STATE(230),
    [sym__expression] = STATE(230),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(230),
    [sym_jsx_fragment] = STATE(230),
    [sym_jsx_element] = STATE(230),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(230),
    [sym_await_expression] = STATE(230),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(230),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(230),
    [sym_generator_function] = STATE(230),
    [sym_call_expression] = STATE(230),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(230),
    [sym_ternary_expression] = STATE(230),
    [sym_binary_expression] = STATE(230),
    [sym_template_string] = STATE(230),
    [sym_parenthesized_expression] = STATE(230),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(230),
    [sym_class] = STATE(230),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(482),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(482),
    [sym_undefined] = ACTIONS(482),
    [sym_true] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(482),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(484),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [69] = {
    [sym_new_expression] = STATE(231),
    [sym_augmented_assignment_expression] = STATE(231),
    [sym_unary_expression] = STATE(231),
    [sym_update_expression] = STATE(231),
    [sym_regex] = STATE(231),
    [sym_meta_property] = STATE(231),
    [sym__expression] = STATE(231),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(231),
    [sym_jsx_fragment] = STATE(231),
    [sym_jsx_element] = STATE(231),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(231),
    [sym_await_expression] = STATE(231),
    [sym_member_expression] = STATE(627),
    [sym_spread_element] = STATE(232),
    [sym_string] = STATE(231),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(231),
    [sym_generator_function] = STATE(231),
    [sym_call_expression] = STATE(231),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(231),
    [sym_ternary_expression] = STATE(231),
    [sym_binary_expression] = STATE(231),
    [sym_template_string] = STATE(231),
    [sym_parenthesized_expression] = STATE(231),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(231),
    [sym_class] = STATE(231),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(486),
    [sym_true] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(488),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_false] = ACTIONS(486),
    [sym_number] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(488),
    [anon_sym_typeof] = ACTIONS(121),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(486),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym_undefined] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(488),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [sym_identifier] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_void] = ACTIONS(121),
  },
  [70] = {
    [aux_sym_array_repeat1] = STATE(234),
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(512),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [71] = {
    [aux_sym_array_repeat1] = STATE(235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(512),
    [anon_sym_COMMA] = ACTIONS(131),
  },
  [72] = {
    [aux_sym_array_repeat1] = STATE(234),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(512),
    [anon_sym_COMMA] = ACTIONS(131),
  },
  [73] = {
    [anon_sym_instanceof] = ACTIONS(524),
    [anon_sym_SLASH] = ACTIONS(526),
    [sym__automatic_semicolon] = ACTIONS(524),
    [anon_sym_COLON] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_CARET] = ACTIONS(524),
    [anon_sym_STAR_STAR] = ACTIONS(524),
    [anon_sym_AMP_AMP] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(526),
    [anon_sym_GT_GT] = ACTIONS(526),
    [anon_sym_AMP] = ACTIONS(526),
    [anon_sym_in] = ACTIONS(526),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(524),
    [anon_sym_GT_EQ] = ACTIONS(524),
    [anon_sym_DOT] = ACTIONS(524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(526),
    [anon_sym_LT_EQ] = ACTIONS(524),
    [anon_sym_PIPE_PIPE] = ACTIONS(524),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_GT_GT_GT] = ACTIONS(524),
    [anon_sym_SEMI] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_BANG_EQ] = ACTIONS(526),
    [anon_sym_GT] = ACTIONS(526),
    [anon_sym_BQUOTE] = ACTIONS(524),
    [anon_sym_LT] = ACTIONS(526),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_EQ_EQ] = ACTIONS(526),
    [anon_sym_PERCENT] = ACTIONS(524),
    [anon_sym_QMARK] = ACTIONS(524),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_DASH_DASH] = ACTIONS(524),
    [anon_sym_RBRACE] = ACTIONS(524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(524),
    [anon_sym_RPAREN] = ACTIONS(524),
  },
  [74] = {
    [aux_sym_string_repeat1] = STATE(237),
    [anon_sym_DQUOTE] = ACTIONS(528),
    [sym_comment] = ACTIONS(171),
    [sym_escape_sequence] = ACTIONS(530),
    [aux_sym_string_token1] = ACTIONS(530),
  },
  [75] = {
    [sym_new_expression] = STATE(238),
    [sym_augmented_assignment_expression] = STATE(238),
    [sym_unary_expression] = STATE(238),
    [sym_update_expression] = STATE(238),
    [sym_regex] = STATE(238),
    [sym_meta_property] = STATE(238),
    [sym__expression] = STATE(238),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(238),
    [sym_jsx_fragment] = STATE(238),
    [sym_jsx_element] = STATE(238),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(238),
    [sym_await_expression] = STATE(238),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(239),
    [sym_string] = STATE(238),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(238),
    [sym_generator_function] = STATE(238),
    [sym_call_expression] = STATE(238),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(238),
    [sym_ternary_expression] = STATE(238),
    [sym_binary_expression] = STATE(238),
    [sym_template_string] = STATE(238),
    [sym_parenthesized_expression] = STATE(238),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(238),
    [sym_class] = STATE(238),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(532),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(532),
    [sym_undefined] = ACTIONS(532),
    [sym_true] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(532),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(534),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [76] = {
    [anon_sym_instanceof] = ACTIONS(536),
    [anon_sym_SLASH] = ACTIONS(538),
    [sym__automatic_semicolon] = ACTIONS(536),
    [anon_sym_LBRACK] = ACTIONS(536),
    [anon_sym_DASH] = ACTIONS(538),
    [anon_sym_CARET] = ACTIONS(536),
    [anon_sym_STAR_STAR] = ACTIONS(536),
    [anon_sym_AMP_AMP] = ACTIONS(536),
    [anon_sym_STAR] = ACTIONS(538),
    [anon_sym_GT_GT] = ACTIONS(538),
    [anon_sym_AMP] = ACTIONS(538),
    [anon_sym_in] = ACTIONS(538),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(536),
    [anon_sym_GT_EQ] = ACTIONS(536),
    [anon_sym_DOT] = ACTIONS(536),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(538),
    [anon_sym_LT_EQ] = ACTIONS(536),
    [anon_sym_PIPE_PIPE] = ACTIONS(536),
    [anon_sym_COMMA] = ACTIONS(536),
    [anon_sym_GT_GT_GT] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(536),
    [anon_sym_PLUS_PLUS] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_BANG_EQ] = ACTIONS(538),
    [anon_sym_GT] = ACTIONS(538),
    [anon_sym_BQUOTE] = ACTIONS(536),
    [anon_sym_LT] = ACTIONS(538),
    [anon_sym_PLUS] = ACTIONS(538),
    [anon_sym_EQ_EQ] = ACTIONS(538),
    [anon_sym_PERCENT] = ACTIONS(536),
    [anon_sym_QMARK] = ACTIONS(536),
    [anon_sym_LT_LT] = ACTIONS(536),
    [anon_sym_DASH_DASH] = ACTIONS(536),
    [anon_sym_RBRACE] = ACTIONS(536),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(536),
    [anon_sym_RPAREN] = ACTIONS(536),
  },
  [77] = {
    [aux_sym_template_string_repeat1] = STATE(241),
    [sym_template_substitution] = STATE(241),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(175),
    [sym_escape_sequence] = ACTIONS(540),
    [sym__template_chars] = ACTIONS(540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(542),
  },
  [78] = {
    [anon_sym_SLASH2] = ACTIONS(544),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_formal_parameters] = STATE(243),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_array] = STATE(246),
    [sym_object] = STATE(247),
    [sym_assignment_pattern] = STATE(139),
    [sym_rest_parameter] = STATE(139),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_async] = ACTIONS(546),
    [anon_sym_LBRACK] = ACTIONS(548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(273),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_RPAREN] = ACTIONS(279),
  },
  [81] = {
    [sym_formal_parameters] = STATE(249),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(552),
  },
  [82] = {
    [sym_statement_block] = STATE(250),
    [anon_sym_LBRACE] = ACTIONS(554),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [anon_sym_class] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_DQUOTE] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(558),
    [anon_sym_static] = ACTIONS(556),
    [sym_identifier] = ACTIONS(556),
    [anon_sym_STAR] = ACTIONS(558),
    [sym_number] = ACTIONS(558),
    [anon_sym_SQUOTE] = ACTIONS(558),
    [anon_sym_set] = ACTIONS(556),
    [anon_sym_AT] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(556),
    [anon_sym_DOT] = ACTIONS(556),
    [anon_sym_export] = ACTIONS(556),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(556),
  },
  [84] = {
    [sym_arguments] = STATE(252),
    [anon_sym_class] = ACTIONS(560),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_static] = ACTIONS(560),
    [sym_identifier] = ACTIONS(560),
    [anon_sym_STAR] = ACTIONS(562),
    [sym_number] = ACTIONS(562),
    [anon_sym_SQUOTE] = ACTIONS(562),
    [anon_sym_set] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(562),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(560),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(560),
  },
  [85] = {
    [anon_sym_class] = ACTIONS(560),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [anon_sym_static] = ACTIONS(560),
    [sym_identifier] = ACTIONS(560),
    [anon_sym_STAR] = ACTIONS(562),
    [sym_number] = ACTIONS(562),
    [anon_sym_SQUOTE] = ACTIONS(562),
    [anon_sym_set] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(562),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_export] = ACTIONS(560),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(560),
  },
  [86] = {
    [sym__initializer] = STATE(253),
    [sym__automatic_semicolon] = ACTIONS(566),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(566),
    [anon_sym_EQ] = ACTIONS(568),
    [anon_sym_SEMI] = ACTIONS(566),
  },
  [87] = {
    [aux_sym_variable_declaration_repeat1] = STATE(256),
    [sym__automatic_semicolon] = ACTIONS(570),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(572),
    [anon_sym_SEMI] = ACTIONS(570),
  },
  [88] = {
    [sym__initializer] = STATE(257),
    [sym__automatic_semicolon] = ACTIONS(574),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(574),
    [anon_sym_EQ] = ACTIONS(568),
    [anon_sym_SEMI] = ACTIONS(574),
  },
  [89] = {
    [sym__initializer] = STATE(258),
    [sym__automatic_semicolon] = ACTIONS(576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(576),
    [anon_sym_EQ] = ACTIONS(568),
    [anon_sym_SEMI] = ACTIONS(576),
  },
  [90] = {
    [sym__import_export_specifier] = STATE(262),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(578),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_COMMA] = ACTIONS(582),
  },
  [91] = {
    [anon_sym_from] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(586),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(588),
  },
  [93] = {
    [sym__from_clause] = STATE(266),
    [anon_sym_from] = ACTIONS(590),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [anon_sym_from] = ACTIONS(584),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym__automatic_semicolon] = ACTIONS(592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(592),
  },
  [96] = {
    [sym_new_expression] = STATE(944),
    [sym_augmented_assignment_expression] = STATE(944),
    [sym_unary_expression] = STATE(944),
    [sym_update_expression] = STATE(944),
    [sym_regex] = STATE(944),
    [sym_meta_property] = STATE(944),
    [sym__expression] = STATE(944),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(944),
    [sym_jsx_fragment] = STATE(944),
    [sym_jsx_element] = STATE(944),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(944),
    [sym_await_expression] = STATE(944),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(945),
    [sym_string] = STATE(944),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(944),
    [sym_generator_function] = STATE(944),
    [sym_call_expression] = STATE(944),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(944),
    [sym_ternary_expression] = STATE(944),
    [sym_binary_expression] = STATE(944),
    [sym_template_string] = STATE(944),
    [sym_parenthesized_expression] = STATE(944),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(944),
    [sym_class] = STATE(944),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(594),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(594),
    [sym_undefined] = ACTIONS(594),
    [sym_true] = ACTIONS(594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(594),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(596),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [97] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(268),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(268),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(268),
    [sym_return_statement] = STATE(268),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(268),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(268),
    [sym_switch_statement] = STATE(268),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(268),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(268),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(268),
    [sym_continue_statement] = STATE(268),
    [sym_statement_block] = STATE(268),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(268),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(268),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(268),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(268),
    [sym_with_statement] = STATE(268),
    [sym_empty_statement] = STATE(268),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(268),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(268),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(268),
    [sym_break_statement] = STATE(268),
    [sym_labeled_statement] = STATE(268),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [98] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [sym__automatic_semicolon] = ACTIONS(442),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(442),
    [anon_sym_STAR_STAR] = ACTIONS(442),
    [anon_sym_AMP_AMP] = ACTIONS(442),
    [anon_sym_STAR] = ACTIONS(444),
    [anon_sym_GT_GT] = ACTIONS(444),
    [anon_sym_AMP] = ACTIONS(444),
    [anon_sym_in] = ACTIONS(444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(442),
    [anon_sym_GT_EQ] = ACTIONS(442),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(444),
    [anon_sym_LT_EQ] = ACTIONS(442),
    [anon_sym_PIPE_PIPE] = ACTIONS(442),
    [anon_sym_COMMA] = ACTIONS(442),
    [anon_sym_GT_GT_GT] = ACTIONS(442),
    [anon_sym_SEMI] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(444),
    [anon_sym_GT] = ACTIONS(444),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(444),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_EQ_EQ] = ACTIONS(444),
    [anon_sym_PERCENT] = ACTIONS(442),
    [anon_sym_QMARK] = ACTIONS(442),
    [anon_sym_LT_LT] = ACTIONS(442),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(442),
    [anon_sym_RPAREN] = ACTIONS(442),
  },
  [99] = {
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym_string] = STATE(269),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(598),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_get] = ACTIONS(598),
    [sym_number] = ACTIONS(602),
  },
  [100] = {
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym__initializer] = STATE(124),
    [sym_string] = STATE(269),
    [aux_sym_object_repeat1] = STATE(271),
    [anon_sym_instanceof] = ACTIONS(245),
    [sym__automatic_semicolon] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_AMP_EQ] = ACTIONS(243),
    [anon_sym_GT_GT_EQ] = ACTIONS(243),
    [anon_sym_STAR_EQ] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_STAR_STAR] = ACTIONS(245),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_AMP] = ACTIONS(245),
    [anon_sym_GT_EQ] = ACTIONS(241),
    [anon_sym_PIPE_EQ] = ACTIONS(243),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(243),
    [anon_sym_get] = ACTIONS(598),
    [anon_sym_SLASH_EQ] = ACTIONS(243),
    [anon_sym_LT_EQ] = ACTIONS(241),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(241),
    [anon_sym_SEMI] = ACTIONS(241),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_GT] = ACTIONS(245),
    [sym_number] = ACTIONS(602),
    [anon_sym_LT_LT_EQ] = ACTIONS(243),
    [anon_sym_set] = ACTIONS(598),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_EQ_EQ] = ACTIONS(245),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(609),
    [anon_sym_DASH_DASH] = ACTIONS(241),
    [anon_sym_SLASH] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(243),
    [anon_sym_CARET] = ACTIONS(245),
    [anon_sym_AMP_AMP] = ACTIONS(241),
    [anon_sym_GT_GT] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(245),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(241),
    [anon_sym_DOT] = ACTIONS(614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(243),
    [anon_sym_PLUS_EQ] = ACTIONS(243),
    [anon_sym_PIPE] = ACTIONS(245),
    [anon_sym_PIPE_PIPE] = ACTIONS(241),
    [anon_sym_GT_GT_GT] = ACTIONS(245),
    [anon_sym_BANG_EQ] = ACTIONS(245),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(241),
    [anon_sym_LT] = ACTIONS(245),
    [anon_sym_CARET_EQ] = ACTIONS(243),
    [anon_sym_DASH_EQ] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_PERCENT] = ACTIONS(245),
    [anon_sym_LT_LT] = ACTIONS(245),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(241),
  },
  [101] = {
    [sym__property_name] = STATE(112),
    [sym_computed_property_name] = STATE(112),
    [sym_object] = STATE(212),
    [sym_assignment_pattern] = STATE(275),
    [sym_array] = STATE(213),
    [sym_spread_element] = STATE(275),
    [sym_method_definition] = STATE(275),
    [sym_string] = STATE(112),
    [sym_pair] = STATE(275),
    [sym_decorator] = STATE(276),
    [aux_sym_export_statement_repeat1] = STATE(276),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(616),
    [anon_sym_LBRACK] = ACTIONS(426),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [sym_identifier] = ACTIONS(618),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(616),
    [anon_sym_get] = ACTIONS(620),
  },
  [102] = {
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_COLON] = ACTIONS(624),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(626),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [103] = {
    [sym_formal_parameters] = STATE(158),
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym__initializer] = STATE(124),
    [sym_string] = STATE(269),
    [aux_sym_object_repeat1] = STATE(271),
    [anon_sym_instanceof] = ACTIONS(245),
    [sym__automatic_semicolon] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_AMP_EQ] = ACTIONS(243),
    [anon_sym_GT_GT_EQ] = ACTIONS(243),
    [anon_sym_STAR_EQ] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_STAR_STAR] = ACTIONS(245),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_AMP] = ACTIONS(245),
    [anon_sym_GT_EQ] = ACTIONS(241),
    [anon_sym_PIPE_EQ] = ACTIONS(243),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(243),
    [anon_sym_get] = ACTIONS(632),
    [anon_sym_SLASH_EQ] = ACTIONS(243),
    [anon_sym_LT_EQ] = ACTIONS(241),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(241),
    [anon_sym_SEMI] = ACTIONS(241),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(634),
    [anon_sym_GT] = ACTIONS(245),
    [sym_number] = ACTIONS(602),
    [anon_sym_LT_LT_EQ] = ACTIONS(243),
    [anon_sym_set] = ACTIONS(632),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_EQ_EQ] = ACTIONS(245),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(609),
    [anon_sym_DASH_DASH] = ACTIONS(241),
    [anon_sym_SLASH] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(322),
    [anon_sym_CARET] = ACTIONS(245),
    [anon_sym_AMP_AMP] = ACTIONS(241),
    [anon_sym_GT_GT] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(245),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(241),
    [anon_sym_DOT] = ACTIONS(614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(243),
    [anon_sym_EQ_GT] = ACTIONS(299),
    [anon_sym_PLUS_EQ] = ACTIONS(243),
    [anon_sym_PIPE] = ACTIONS(245),
    [anon_sym_PIPE_PIPE] = ACTIONS(241),
    [anon_sym_GT_GT_GT] = ACTIONS(245),
    [anon_sym_BANG_EQ] = ACTIONS(245),
    [sym_identifier] = ACTIONS(638),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(241),
    [anon_sym_LT] = ACTIONS(245),
    [anon_sym_CARET_EQ] = ACTIONS(243),
    [anon_sym_DASH_EQ] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_PERCENT] = ACTIONS(245),
    [anon_sym_LT_LT] = ACTIONS(245),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(241),
  },
  [104] = {
    [anon_sym_instanceof] = ACTIONS(640),
    [sym__automatic_semicolon] = ACTIONS(642),
    [anon_sym_class] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_STAR] = ACTIONS(640),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_throw] = ACTIONS(644),
    [anon_sym_GT_EQ] = ACTIONS(642),
    [sym_this] = ACTIONS(644),
    [anon_sym_case] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_LT_EQ] = ACTIONS(642),
    [anon_sym_COMMA] = ACTIONS(642),
    [anon_sym_PLUS_PLUS] = ACTIONS(642),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_TILDE] = ACTIONS(646),
    [anon_sym_GT] = ACTIONS(640),
    [sym_false] = ACTIONS(644),
    [anon_sym_yield] = ACTIONS(644),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_const] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(642),
    [anon_sym_try] = ACTIONS(644),
    [anon_sym_await] = ACTIONS(644),
    [anon_sym_let] = ACTIONS(644),
    [anon_sym_CARET] = ACTIONS(642),
    [anon_sym_GT_GT] = ACTIONS(640),
    [anon_sym_in] = ACTIONS(640),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(642),
    [sym_undefined] = ACTIONS(644),
    [anon_sym_EQ_GT] = ACTIONS(646),
    [anon_sym_else] = ACTIONS(644),
    [anon_sym_PIPE_PIPE] = ACTIONS(642),
    [anon_sym_break] = ACTIONS(644),
    [anon_sym_while] = ACTIONS(644),
    [anon_sym_EQ] = ACTIONS(640),
    [anon_sym_BQUOTE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LT_LT] = ACTIONS(642),
    [anon_sym_return] = ACTIONS(644),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(642),
    [anon_sym_import] = ACTIONS(644),
    [anon_sym_STAR_STAR] = ACTIONS(642),
    [anon_sym_LBRACE] = ACTIONS(646),
    [anon_sym_delete] = ACTIONS(644),
    [anon_sym_for] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(644),
    [sym_true] = ACTIONS(644),
    [anon_sym_default] = ACTIONS(644),
    [anon_sym_SEMI] = ACTIONS(642),
    [anon_sym_DQUOTE] = ACTIONS(646),
    [sym_super] = ACTIONS(644),
    [sym_number] = ACTIONS(646),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_var] = ACTIONS(644),
    [anon_sym_EQ_EQ] = ACTIONS(640),
    [anon_sym_RBRACE] = ACTIONS(646),
    [anon_sym_DASH_DASH] = ACTIONS(642),
    [anon_sym_RPAREN] = ACTIONS(642),
    [anon_sym_typeof] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(640),
    [sym_null] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(642),
    [anon_sym_function] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(644),
    [anon_sym_AMP_AMP] = ACTIONS(642),
    [anon_sym_with] = ACTIONS(644),
    [anon_sym_SQUOTE] = ACTIONS(646),
    [anon_sym_DOT] = ACTIONS(640),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(640),
    [anon_sym_GT_GT_GT] = ACTIONS(642),
    [anon_sym_debugger] = ACTIONS(644),
    [anon_sym_BANG_EQ] = ACTIONS(640),
    [sym_identifier] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(640),
    [ts_builtin_sym_end] = ACTIONS(646),
    [anon_sym_new] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(646),
    [anon_sym_switch] = ACTIONS(644),
    [anon_sym_PERCENT] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_void] = ACTIONS(644),
    [anon_sym_do] = ACTIONS(644),
  },
  [105] = {
    [sym_new_expression] = STATE(280),
    [sym_augmented_assignment_expression] = STATE(280),
    [sym_unary_expression] = STATE(280),
    [sym_update_expression] = STATE(280),
    [sym_regex] = STATE(280),
    [sym_meta_property] = STATE(280),
    [sym__expression] = STATE(280),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(280),
    [sym_jsx_fragment] = STATE(280),
    [aux_sym_array_repeat1] = STATE(71),
    [sym_jsx_element] = STATE(280),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(280),
    [sym_await_expression] = STATE(280),
    [sym_member_expression] = STATE(627),
    [sym_spread_element] = STATE(72),
    [sym_string] = STATE(280),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(280),
    [sym_generator_function] = STATE(280),
    [sym_call_expression] = STATE(280),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(280),
    [sym_ternary_expression] = STATE(280),
    [sym_binary_expression] = STATE(280),
    [sym_template_string] = STATE(280),
    [sym_parenthesized_expression] = STATE(280),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(280),
    [sym_class] = STATE(280),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(648),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(648),
    [sym_undefined] = ACTIONS(648),
    [sym_true] = ACTIONS(648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(157),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(648),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(650),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [106] = {
    [sym__initializer] = STATE(281),
    [aux_sym_object_repeat1] = STATE(271),
    [anon_sym_instanceof] = ACTIONS(289),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_COLON] = ACTIONS(652),
    [anon_sym_AMP_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_STAR_EQ] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_SLASH_EQ] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_LT_LT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_RBRACE] = ACTIONS(609),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(295),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(293),
    [anon_sym_EQ_GT] = ACTIONS(299),
    [anon_sym_PLUS_EQ] = ACTIONS(293),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(658),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_CARET_EQ] = ACTIONS(293),
    [anon_sym_DASH_EQ] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(295),
    [anon_sym_LT_LT] = ACTIONS(295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [107] = {
    [aux_sym_object_repeat1] = STATE(283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(660),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [108] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(188),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(188),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(188),
    [sym_return_statement] = STATE(188),
    [aux_sym_program_repeat1] = STATE(188),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(188),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(188),
    [sym_switch_statement] = STATE(188),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(188),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(188),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(188),
    [sym_continue_statement] = STATE(188),
    [sym_statement_block] = STATE(188),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(188),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(188),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(188),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(188),
    [sym_with_statement] = STATE(188),
    [sym_empty_statement] = STATE(188),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(188),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(188),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(188),
    [sym_break_statement] = STATE(188),
    [sym_labeled_statement] = STATE(188),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(662),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [109] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(660),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [110] = {
    [sym__initializer] = STATE(286),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(658),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [111] = {
    [sym__property_name] = STATE(287),
    [sym_computed_property_name] = STATE(287),
    [sym_method_definition] = STATE(288),
    [sym_string] = STATE(287),
    [sym_decorator] = STATE(202),
    [aux_sym_export_statement_repeat1] = STATE(202),
    [anon_sym_class] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(666),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(670),
    [anon_sym_export] = ACTIONS(672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(668),
  },
  [112] = {
    [sym_formal_parameters] = STATE(290),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym__initializer] = STATE(291),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(658),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [114] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(292),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(292),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(292),
    [sym_return_statement] = STATE(292),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(292),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(292),
    [sym_switch_statement] = STATE(292),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(292),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(292),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(292),
    [sym_continue_statement] = STATE(292),
    [sym_statement_block] = STATE(292),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(292),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(292),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(292),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(292),
    [sym_with_statement] = STATE(292),
    [sym_empty_statement] = STATE(292),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(292),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(292),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(292),
    [sym_break_statement] = STATE(292),
    [sym_labeled_statement] = STATE(292),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [115] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(410),
    [anon_sym_SEMI] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
  },
  [116] = {
    [sym__automatic_semicolon] = ACTIONS(676),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(676),
  },
  [117] = {
    [anon_sym_LPAREN] = ACTIONS(678),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_new_expression] = STATE(48),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_update_expression] = STATE(48),
    [sym_regex] = STATE(48),
    [sym_meta_property] = STATE(48),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(48),
    [sym_await_expression] = STATE(48),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(298),
    [sym_variable_declaration] = STATE(298),
    [sym_sequence_expression] = STATE(52),
    [sym_string] = STATE(48),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_empty_statement] = STATE(298),
    [sym_object] = STATE(299),
    [sym_anonymous_class] = STATE(48),
    [sym_generator_function] = STATE(48),
    [sym_call_expression] = STATE(48),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(48),
    [sym_ternary_expression] = STATE(48),
    [sym_binary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_lexical_declaration] = STATE(298),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(300),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(48),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(680),
    [anon_sym_const] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(682),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(25),
  },
  [119] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [sym__automatic_semicolon] = ACTIONS(442),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(442),
    [anon_sym_STAR_STAR] = ACTIONS(442),
    [anon_sym_AMP_AMP] = ACTIONS(442),
    [anon_sym_STAR] = ACTIONS(444),
    [anon_sym_GT_GT] = ACTIONS(444),
    [anon_sym_AMP] = ACTIONS(444),
    [anon_sym_in] = ACTIONS(444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(442),
    [anon_sym_GT_EQ] = ACTIONS(442),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(444),
    [anon_sym_LT_EQ] = ACTIONS(442),
    [anon_sym_PIPE_PIPE] = ACTIONS(442),
    [anon_sym_COMMA] = ACTIONS(442),
    [anon_sym_GT_GT_GT] = ACTIONS(442),
    [anon_sym_SEMI] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(444),
    [anon_sym_GT] = ACTIONS(444),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(444),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_EQ_EQ] = ACTIONS(444),
    [anon_sym_PERCENT] = ACTIONS(442),
    [anon_sym_QMARK] = ACTIONS(442),
    [anon_sym_LT_LT] = ACTIONS(442),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(442),
    [anon_sym_RPAREN] = ACTIONS(442),
  },
  [120] = {
    [aux_sym_string_repeat2] = STATE(301),
    [sym_comment] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(528),
    [sym_escape_sequence] = ACTIONS(686),
    [aux_sym_string_token2] = ACTIONS(686),
  },
  [121] = {
    [sym_new_expression] = STATE(302),
    [sym_augmented_assignment_expression] = STATE(302),
    [sym_unary_expression] = STATE(302),
    [sym_update_expression] = STATE(302),
    [sym_regex] = STATE(302),
    [sym_meta_property] = STATE(302),
    [sym__expression] = STATE(302),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(302),
    [sym_jsx_fragment] = STATE(302),
    [sym_jsx_element] = STATE(302),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(302),
    [sym_await_expression] = STATE(302),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(302),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(302),
    [sym_generator_function] = STATE(302),
    [sym_call_expression] = STATE(302),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(302),
    [sym_ternary_expression] = STATE(302),
    [sym_binary_expression] = STATE(302),
    [sym_template_string] = STATE(302),
    [sym_parenthesized_expression] = STATE(302),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(302),
    [sym_class] = STATE(302),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(688),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(688),
    [sym_undefined] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(688),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(690),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [122] = {
    [sym_identifier] = ACTIONS(692),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_new_expression] = STATE(304),
    [sym_augmented_assignment_expression] = STATE(304),
    [sym_unary_expression] = STATE(304),
    [sym_update_expression] = STATE(304),
    [sym_regex] = STATE(304),
    [sym_meta_property] = STATE(304),
    [sym__expression] = STATE(304),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(304),
    [sym_jsx_fragment] = STATE(304),
    [sym_jsx_element] = STATE(304),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(304),
    [sym_await_expression] = STATE(304),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(304),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(304),
    [sym_generator_function] = STATE(304),
    [sym_call_expression] = STATE(304),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(304),
    [sym_ternary_expression] = STATE(304),
    [sym_binary_expression] = STATE(304),
    [sym_template_string] = STATE(304),
    [sym_parenthesized_expression] = STATE(304),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(304),
    [sym_class] = STATE(304),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(694),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(694),
    [sym_undefined] = ACTIONS(694),
    [sym_true] = ACTIONS(694),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(696),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [124] = {
    [anon_sym_instanceof] = ACTIONS(698),
    [anon_sym_SLASH] = ACTIONS(700),
    [sym__automatic_semicolon] = ACTIONS(698),
    [anon_sym_LBRACK] = ACTIONS(698),
    [anon_sym_DASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(698),
    [anon_sym_STAR_STAR] = ACTIONS(698),
    [anon_sym_AMP_AMP] = ACTIONS(698),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_GT_GT] = ACTIONS(700),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_in] = ACTIONS(700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(698),
    [anon_sym_GT_EQ] = ACTIONS(698),
    [anon_sym_DOT] = ACTIONS(698),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(700),
    [anon_sym_LT_EQ] = ACTIONS(698),
    [anon_sym_PIPE_PIPE] = ACTIONS(698),
    [anon_sym_COMMA] = ACTIONS(698),
    [anon_sym_GT_GT_GT] = ACTIONS(698),
    [anon_sym_SEMI] = ACTIONS(698),
    [anon_sym_PLUS_PLUS] = ACTIONS(698),
    [anon_sym_LPAREN] = ACTIONS(698),
    [anon_sym_BANG_EQ] = ACTIONS(700),
    [anon_sym_GT] = ACTIONS(700),
    [anon_sym_BQUOTE] = ACTIONS(698),
    [anon_sym_LT] = ACTIONS(700),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_EQ_EQ] = ACTIONS(700),
    [anon_sym_PERCENT] = ACTIONS(698),
    [anon_sym_QMARK] = ACTIONS(698),
    [anon_sym_LT_LT] = ACTIONS(698),
    [anon_sym_DASH_DASH] = ACTIONS(698),
    [anon_sym_RBRACE] = ACTIONS(698),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(698),
    [anon_sym_RPAREN] = ACTIONS(698),
  },
  [125] = {
    [anon_sym_instanceof] = ACTIONS(702),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym__automatic_semicolon] = ACTIONS(702),
    [anon_sym_LBRACK] = ACTIONS(702),
    [anon_sym_DASH] = ACTIONS(704),
    [anon_sym_CARET] = ACTIONS(702),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_AMP_AMP] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(704),
    [anon_sym_in] = ACTIONS(704),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(702),
    [anon_sym_GT_EQ] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(702),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(704),
    [anon_sym_LT_EQ] = ACTIONS(702),
    [anon_sym_PIPE_PIPE] = ACTIONS(702),
    [anon_sym_COMMA] = ACTIONS(702),
    [anon_sym_GT_GT_GT] = ACTIONS(702),
    [anon_sym_SEMI] = ACTIONS(702),
    [anon_sym_PLUS_PLUS] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(702),
    [anon_sym_BANG_EQ] = ACTIONS(704),
    [anon_sym_GT] = ACTIONS(704),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [anon_sym_LT] = ACTIONS(704),
    [anon_sym_PLUS] = ACTIONS(704),
    [anon_sym_EQ_EQ] = ACTIONS(704),
    [anon_sym_PERCENT] = ACTIONS(702),
    [anon_sym_QMARK] = ACTIONS(702),
    [anon_sym_LT_LT] = ACTIONS(702),
    [anon_sym_DASH_DASH] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(702),
    [anon_sym_RPAREN] = ACTIONS(702),
  },
  [126] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(702),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(702),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(702),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
    [anon_sym_RPAREN] = ACTIONS(702),
  },
  [127] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(188),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(188),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(188),
    [sym_return_statement] = STATE(188),
    [aux_sym_program_repeat1] = STATE(188),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(188),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(188),
    [sym_switch_statement] = STATE(188),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(188),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(188),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(188),
    [sym_continue_statement] = STATE(188),
    [sym_statement_block] = STATE(188),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(188),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(188),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(188),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(188),
    [sym_with_statement] = STATE(188),
    [sym_empty_statement] = STATE(188),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(188),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(188),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(188),
    [sym_break_statement] = STATE(188),
    [sym_labeled_statement] = STATE(188),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_undefined] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_number] = ACTIONS(71),
    [ts_builtin_sym_end] = ACTIONS(706),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [128] = {
    [anon_sym_class] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(708),
    [anon_sym_import] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(710),
    [anon_sym_delete] = ACTIONS(708),
    [anon_sym_throw] = ACTIONS(708),
    [anon_sym_for] = ACTIONS(708),
    [anon_sym_BANG] = ACTIONS(710),
    [sym_this] = ACTIONS(708),
    [sym_true] = ACTIONS(708),
    [anon_sym_case] = ACTIONS(708),
    [anon_sym_get] = ACTIONS(708),
    [anon_sym_default] = ACTIONS(708),
    [anon_sym_PLUS_PLUS] = ACTIONS(710),
    [anon_sym_SEMI] = ACTIONS(710),
    [anon_sym_DQUOTE] = ACTIONS(710),
    [anon_sym_LPAREN] = ACTIONS(710),
    [anon_sym_TILDE] = ACTIONS(710),
    [sym_super] = ACTIONS(708),
    [sym_false] = ACTIONS(708),
    [sym_number] = ACTIONS(710),
    [anon_sym_yield] = ACTIONS(708),
    [anon_sym_set] = ACTIONS(708),
    [anon_sym_async] = ACTIONS(708),
    [anon_sym_var] = ACTIONS(708),
    [anon_sym_const] = ACTIONS(708),
    [anon_sym_RBRACE] = ACTIONS(710),
    [anon_sym_DASH_DASH] = ACTIONS(710),
    [anon_sym_try] = ACTIONS(708),
    [anon_sym_typeof] = ACTIONS(708),
    [anon_sym_await] = ACTIONS(708),
    [anon_sym_SLASH] = ACTIONS(708),
    [sym_null] = ACTIONS(708),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_function] = ACTIONS(708),
    [anon_sym_let] = ACTIONS(708),
    [anon_sym_if] = ACTIONS(708),
    [anon_sym_with] = ACTIONS(708),
    [anon_sym_SQUOTE] = ACTIONS(710),
    [sym_undefined] = ACTIONS(708),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(710),
    [anon_sym_else] = ACTIONS(708),
    [anon_sym_break] = ACTIONS(708),
    [anon_sym_debugger] = ACTIONS(708),
    [anon_sym_while] = ACTIONS(708),
    [sym_identifier] = ACTIONS(708),
    [anon_sym_BQUOTE] = ACTIONS(710),
    [anon_sym_LT] = ACTIONS(710),
    [ts_builtin_sym_end] = ACTIONS(710),
    [anon_sym_new] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(708),
    [anon_sym_switch] = ACTIONS(708),
    [anon_sym_export] = ACTIONS(708),
    [anon_sym_continue] = ACTIONS(708),
    [anon_sym_void] = ACTIONS(708),
    [anon_sym_return] = ACTIONS(708),
    [anon_sym_do] = ACTIONS(708),
  },
  [129] = {
    [sym__automatic_semicolon] = ACTIONS(712),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(712),
  },
  [130] = {
    [anon_sym_class] = ACTIONS(714),
    [anon_sym_DASH] = ACTIONS(714),
    [anon_sym_import] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_delete] = ACTIONS(714),
    [anon_sym_throw] = ACTIONS(714),
    [anon_sym_for] = ACTIONS(714),
    [anon_sym_BANG] = ACTIONS(716),
    [sym_this] = ACTIONS(714),
    [sym_true] = ACTIONS(714),
    [anon_sym_case] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_default] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_SEMI] = ACTIONS(716),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(716),
    [anon_sym_TILDE] = ACTIONS(716),
    [sym_super] = ACTIONS(714),
    [sym_false] = ACTIONS(714),
    [sym_number] = ACTIONS(716),
    [anon_sym_yield] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [anon_sym_async] = ACTIONS(714),
    [anon_sym_var] = ACTIONS(714),
    [anon_sym_const] = ACTIONS(714),
    [anon_sym_RBRACE] = ACTIONS(716),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_try] = ACTIONS(714),
    [anon_sym_typeof] = ACTIONS(714),
    [anon_sym_await] = ACTIONS(714),
    [anon_sym_SLASH] = ACTIONS(714),
    [sym_null] = ACTIONS(714),
    [anon_sym_LBRACK] = ACTIONS(716),
    [anon_sym_function] = ACTIONS(714),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_if] = ACTIONS(714),
    [anon_sym_with] = ACTIONS(714),
    [anon_sym_SQUOTE] = ACTIONS(716),
    [sym_undefined] = ACTIONS(714),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(716),
    [anon_sym_else] = ACTIONS(714),
    [anon_sym_break] = ACTIONS(714),
    [anon_sym_debugger] = ACTIONS(714),
    [anon_sym_while] = ACTIONS(714),
    [sym_identifier] = ACTIONS(714),
    [anon_sym_BQUOTE] = ACTIONS(716),
    [anon_sym_LT] = ACTIONS(716),
    [ts_builtin_sym_end] = ACTIONS(716),
    [anon_sym_new] = ACTIONS(714),
    [anon_sym_AT] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(714),
    [anon_sym_switch] = ACTIONS(714),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_continue] = ACTIONS(714),
    [anon_sym_void] = ACTIONS(714),
    [anon_sym_return] = ACTIONS(714),
    [anon_sym_do] = ACTIONS(714),
  },
  [131] = {
    [sym__initializer] = STATE(647),
    [aux_sym_formal_parameters_repeat1] = STATE(308),
    [anon_sym_instanceof] = ACTIONS(241),
    [anon_sym_SLASH] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(241),
    [anon_sym_AMP_EQ] = ACTIONS(718),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_STAR_EQ] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_CARET] = ACTIONS(245),
    [anon_sym_STAR_STAR] = ACTIONS(245),
    [anon_sym_AMP_AMP] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_GT_GT] = ACTIONS(245),
    [anon_sym_AMP] = ACTIONS(245),
    [anon_sym_in] = ACTIONS(245),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(241),
    [anon_sym_DOT] = ACTIONS(720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE_EQ] = ACTIONS(718),
    [anon_sym_PERCENT_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_SLASH_EQ] = ACTIONS(718),
    [anon_sym_PLUS_EQ] = ACTIONS(718),
    [anon_sym_PIPE] = ACTIONS(245),
    [anon_sym_LT_EQ] = ACTIONS(241),
    [anon_sym_PIPE_PIPE] = ACTIONS(241),
    [anon_sym_COMMA] = ACTIONS(722),
    [anon_sym_GT_GT_GT] = ACTIONS(245),
    [anon_sym_PLUS_PLUS] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_BANG_EQ] = ACTIONS(245),
    [anon_sym_GT] = ACTIONS(245),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(241),
    [anon_sym_LT] = ACTIONS(245),
    [anon_sym_CARET_EQ] = ACTIONS(718),
    [anon_sym_LT_LT_EQ] = ACTIONS(718),
    [anon_sym_DASH_EQ] = ACTIONS(718),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_EQ_EQ] = ACTIONS(245),
    [anon_sym_PERCENT] = ACTIONS(245),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_LT_LT] = ACTIONS(245),
    [anon_sym_DASH_DASH] = ACTIONS(241),
    [anon_sym_RPAREN] = ACTIONS(727),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(241),
  },
  [132] = {
    [sym_identifier] = ACTIONS(730),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym__initializer] = STATE(687),
    [aux_sym_formal_parameters_repeat1] = STATE(312),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(732),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_STAR_EQ] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(295),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE_EQ] = ACTIONS(732),
    [anon_sym_PERCENT_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_EQ_GT] = ACTIONS(734),
    [anon_sym_SLASH_EQ] = ACTIONS(732),
    [anon_sym_PLUS_EQ] = ACTIONS(732),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(736),
    [anon_sym_GT_GT_GT] = ACTIONS(295),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_CARET_EQ] = ACTIONS(732),
    [anon_sym_LT_LT_EQ] = ACTIONS(732),
    [anon_sym_DASH_EQ] = ACTIONS(732),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(295),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_RPAREN] = ACTIONS(739),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [134] = {
    [sym_formal_parameters] = STATE(843),
    [sym__initializer] = STATE(647),
    [aux_sym_formal_parameters_repeat1] = STATE(308),
    [anon_sym_instanceof] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(241),
    [anon_sym_AMP_EQ] = ACTIONS(718),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_function] = ACTIONS(742),
    [anon_sym_STAR_EQ] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_CARET] = ACTIONS(245),
    [anon_sym_STAR_STAR] = ACTIONS(245),
    [anon_sym_AMP_AMP] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_GT_GT] = ACTIONS(245),
    [anon_sym_AMP] = ACTIONS(245),
    [anon_sym_in] = ACTIONS(245),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(241),
    [anon_sym_DOT] = ACTIONS(720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE_EQ] = ACTIONS(718),
    [anon_sym_PERCENT_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_EQ_GT] = ACTIONS(734),
    [anon_sym_SLASH_EQ] = ACTIONS(718),
    [anon_sym_PLUS_EQ] = ACTIONS(718),
    [anon_sym_PIPE] = ACTIONS(245),
    [anon_sym_LT_EQ] = ACTIONS(241),
    [anon_sym_PIPE_PIPE] = ACTIONS(241),
    [anon_sym_COMMA] = ACTIONS(722),
    [anon_sym_GT_GT_GT] = ACTIONS(245),
    [anon_sym_PLUS_PLUS] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(319),
    [anon_sym_BANG_EQ] = ACTIONS(245),
    [anon_sym_GT] = ACTIONS(245),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(241),
    [anon_sym_LT] = ACTIONS(245),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_CARET_EQ] = ACTIONS(718),
    [anon_sym_LT_LT_EQ] = ACTIONS(718),
    [anon_sym_DASH_EQ] = ACTIONS(718),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_EQ_EQ] = ACTIONS(245),
    [anon_sym_PERCENT] = ACTIONS(245),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_LT_LT] = ACTIONS(245),
    [anon_sym_DASH_DASH] = ACTIONS(241),
    [anon_sym_RPAREN] = ACTIONS(727),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(241),
  },
  [135] = {
    [anon_sym_LBRACE] = ACTIONS(746),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(746),
  },
  [136] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(750),
  },
  [137] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(750),
  },
  [138] = {
    [sym__initializer] = STATE(690),
    [aux_sym_formal_parameters_repeat1] = STATE(316),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(752),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_RPAREN] = ACTIONS(755),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [139] = {
    [aux_sym_formal_parameters_repeat1] = STATE(312),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(758),
    [anon_sym_RPAREN] = ACTIONS(760),
  },
  [140] = {
    [sym__initializer] = STATE(691),
    [aux_sym_formal_parameters_repeat1] = STATE(319),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(762),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_RPAREN] = ACTIONS(765),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [141] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(320),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(320),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(320),
    [sym_return_statement] = STATE(320),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(320),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(320),
    [sym_switch_statement] = STATE(320),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(320),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(320),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(320),
    [sym_continue_statement] = STATE(320),
    [sym_statement_block] = STATE(320),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(320),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(320),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(320),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(320),
    [sym_with_statement] = STATE(320),
    [sym_empty_statement] = STATE(320),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(320),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(320),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(320),
    [sym_break_statement] = STATE(320),
    [sym_labeled_statement] = STATE(320),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [142] = {
    [sym_identifier] = ACTIONS(768),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_new_expression] = STATE(323),
    [sym_augmented_assignment_expression] = STATE(323),
    [sym_unary_expression] = STATE(323),
    [sym_update_expression] = STATE(323),
    [sym_regex] = STATE(323),
    [sym_meta_property] = STATE(323),
    [sym__expression] = STATE(323),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(323),
    [sym_jsx_fragment] = STATE(323),
    [aux_sym_array_repeat1] = STATE(324),
    [sym_jsx_element] = STATE(323),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(323),
    [sym_await_expression] = STATE(323),
    [sym_member_expression] = STATE(627),
    [sym_spread_element] = STATE(325),
    [sym_string] = STATE(323),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(323),
    [sym_generator_function] = STATE(323),
    [sym_call_expression] = STATE(323),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(323),
    [sym_ternary_expression] = STATE(323),
    [sym_binary_expression] = STATE(323),
    [sym_template_string] = STATE(323),
    [sym_parenthesized_expression] = STATE(323),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(323),
    [sym_class] = STATE(323),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(770),
    [sym_true] = ACTIONS(770),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_false] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(774),
    [anon_sym_typeof] = ACTIONS(121),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym_undefined] = ACTIONS(770),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [sym_identifier] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_void] = ACTIONS(121),
  },
  [144] = {
    [sym_new_expression] = STATE(326),
    [sym_augmented_assignment_expression] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_update_expression] = STATE(326),
    [sym_regex] = STATE(326),
    [sym_meta_property] = STATE(326),
    [sym__expression] = STATE(326),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(326),
    [sym_jsx_fragment] = STATE(326),
    [sym_jsx_element] = STATE(326),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(326),
    [sym_await_expression] = STATE(326),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(327),
    [sym_string] = STATE(326),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(326),
    [sym_generator_function] = STATE(326),
    [sym_call_expression] = STATE(326),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(326),
    [sym_ternary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym_template_string] = STATE(326),
    [sym_parenthesized_expression] = STATE(326),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(326),
    [sym_class] = STATE(326),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(776),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(776),
    [sym_undefined] = ACTIONS(776),
    [sym_true] = ACTIONS(776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(776),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(778),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [145] = {
    [anon_sym_instanceof] = ACTIONS(780),
    [anon_sym_SLASH] = ACTIONS(782),
    [sym__automatic_semicolon] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(780),
    [anon_sym_DASH] = ACTIONS(782),
    [anon_sym_CARET] = ACTIONS(780),
    [anon_sym_STAR_STAR] = ACTIONS(780),
    [anon_sym_AMP_AMP] = ACTIONS(780),
    [anon_sym_STAR] = ACTIONS(782),
    [anon_sym_GT_GT] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(782),
    [anon_sym_in] = ACTIONS(782),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(780),
    [anon_sym_GT_EQ] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(782),
    [anon_sym_LT_EQ] = ACTIONS(780),
    [anon_sym_PIPE_PIPE] = ACTIONS(780),
    [anon_sym_COMMA] = ACTIONS(780),
    [anon_sym_GT_GT_GT] = ACTIONS(780),
    [anon_sym_SEMI] = ACTIONS(780),
    [anon_sym_PLUS_PLUS] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(780),
    [anon_sym_BANG_EQ] = ACTIONS(782),
    [anon_sym_GT] = ACTIONS(782),
    [anon_sym_BQUOTE] = ACTIONS(780),
    [anon_sym_LT] = ACTIONS(782),
    [anon_sym_PLUS] = ACTIONS(782),
    [anon_sym_EQ_EQ] = ACTIONS(782),
    [anon_sym_PERCENT] = ACTIONS(780),
    [anon_sym_QMARK] = ACTIONS(780),
    [anon_sym_LT_LT] = ACTIONS(780),
    [anon_sym_DASH_DASH] = ACTIONS(780),
    [anon_sym_RBRACE] = ACTIONS(780),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(780),
    [anon_sym_RPAREN] = ACTIONS(780),
  },
  [146] = {
    [sym_new_expression] = STATE(328),
    [sym_augmented_assignment_expression] = STATE(328),
    [sym_unary_expression] = STATE(328),
    [sym_update_expression] = STATE(328),
    [sym_regex] = STATE(328),
    [sym_meta_property] = STATE(328),
    [sym__expression] = STATE(328),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(328),
    [sym_jsx_fragment] = STATE(328),
    [sym_jsx_element] = STATE(328),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(328),
    [sym_await_expression] = STATE(328),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(328),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(328),
    [sym_generator_function] = STATE(328),
    [sym_call_expression] = STATE(328),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(328),
    [sym_ternary_expression] = STATE(328),
    [sym_binary_expression] = STATE(328),
    [sym_template_string] = STATE(328),
    [sym_parenthesized_expression] = STATE(328),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(328),
    [sym_class] = STATE(328),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(784),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(784),
    [sym_undefined] = ACTIONS(784),
    [sym_true] = ACTIONS(784),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(784),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(786),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [147] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(329),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(329),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(329),
    [sym_return_statement] = STATE(329),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(329),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(329),
    [sym_switch_statement] = STATE(329),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(329),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(329),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(329),
    [sym_continue_statement] = STATE(329),
    [sym_statement_block] = STATE(329),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(329),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(329),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(329),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(329),
    [sym_with_statement] = STATE(329),
    [sym_empty_statement] = STATE(329),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(329),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(329),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(329),
    [sym_break_statement] = STATE(329),
    [sym_labeled_statement] = STATE(329),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [148] = {
    [sym_new_expression] = STATE(330),
    [sym_augmented_assignment_expression] = STATE(330),
    [sym_unary_expression] = STATE(330),
    [sym_update_expression] = STATE(330),
    [sym_regex] = STATE(330),
    [sym_meta_property] = STATE(330),
    [sym__expression] = STATE(330),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(330),
    [sym_jsx_fragment] = STATE(330),
    [sym_jsx_element] = STATE(330),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(330),
    [sym_await_expression] = STATE(330),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(330),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(330),
    [sym_generator_function] = STATE(330),
    [sym_call_expression] = STATE(330),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(330),
    [sym_ternary_expression] = STATE(330),
    [sym_binary_expression] = STATE(330),
    [sym_template_string] = STATE(330),
    [sym_parenthesized_expression] = STATE(330),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(330),
    [sym_class] = STATE(330),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(788),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(788),
    [sym_undefined] = ACTIONS(788),
    [sym_true] = ACTIONS(788),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(788),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [149] = {
    [sym_new_expression] = STATE(332),
    [sym_augmented_assignment_expression] = STATE(332),
    [sym_statement_block] = STATE(331),
    [sym_unary_expression] = STATE(332),
    [sym_update_expression] = STATE(332),
    [sym_meta_property] = STATE(332),
    [sym_regex] = STATE(332),
    [sym__expression] = STATE(332),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(332),
    [sym_jsx_fragment] = STATE(332),
    [sym_jsx_element] = STATE(332),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(332),
    [sym_await_expression] = STATE(332),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(332),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(332),
    [sym_generator_function] = STATE(332),
    [sym_call_expression] = STATE(332),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(332),
    [sym_ternary_expression] = STATE(332),
    [sym_binary_expression] = STATE(332),
    [sym_template_string] = STATE(332),
    [sym_parenthesized_expression] = STATE(332),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(332),
    [sym_class] = STATE(332),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(792),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(792),
    [sym_undefined] = ACTIONS(792),
    [sym_true] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(792),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(794),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [150] = {
    [anon_sym_instanceof] = ACTIONS(796),
    [anon_sym_SLASH] = ACTIONS(798),
    [sym__automatic_semicolon] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(796),
    [anon_sym_DASH] = ACTIONS(798),
    [anon_sym_CARET] = ACTIONS(796),
    [anon_sym_STAR_STAR] = ACTIONS(796),
    [anon_sym_AMP_AMP] = ACTIONS(796),
    [anon_sym_STAR] = ACTIONS(798),
    [anon_sym_GT_GT] = ACTIONS(798),
    [anon_sym_AMP] = ACTIONS(798),
    [anon_sym_in] = ACTIONS(798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(796),
    [anon_sym_GT_EQ] = ACTIONS(796),
    [anon_sym_DOT] = ACTIONS(796),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(798),
    [anon_sym_LT_EQ] = ACTIONS(796),
    [anon_sym_PIPE_PIPE] = ACTIONS(796),
    [anon_sym_COMMA] = ACTIONS(796),
    [anon_sym_GT_GT_GT] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(796),
    [anon_sym_BANG_EQ] = ACTIONS(798),
    [anon_sym_GT] = ACTIONS(798),
    [anon_sym_BQUOTE] = ACTIONS(796),
    [anon_sym_LT] = ACTIONS(798),
    [anon_sym_PLUS] = ACTIONS(798),
    [anon_sym_EQ_EQ] = ACTIONS(798),
    [anon_sym_PERCENT] = ACTIONS(796),
    [anon_sym_QMARK] = ACTIONS(796),
    [anon_sym_LT_LT] = ACTIONS(796),
    [anon_sym_DASH_DASH] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(796),
    [anon_sym_RPAREN] = ACTIONS(796),
  },
  [151] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(800),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(800),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(800),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
    [anon_sym_RPAREN] = ACTIONS(800),
  },
  [152] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(339),
    [sym_jsx_expression] = STATE(339),
    [aux_sym_jsx_opening_element_repeat1] = STATE(339),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(804),
    [anon_sym_COLON] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(808),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(814),
  },
  [153] = {
    [aux_sym_jsx_element_repeat1] = STATE(341),
    [sym_jsx_expression] = STATE(341),
    [sym_jsx_opening_element] = STATE(931),
    [sym_jsx_self_closing_element] = STATE(341),
    [sym_jsx_element] = STATE(341),
    [anon_sym_LBRACE] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(816),
    [anon_sym_LT] = ACTIONS(818),
  },
  [154] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(339),
    [sym_jsx_expression] = STATE(339),
    [aux_sym_jsx_opening_element_repeat1] = STATE(339),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(804),
    [anon_sym_COLON] = ACTIONS(806),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(814),
  },
  [155] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(339),
    [sym_jsx_expression] = STATE(339),
    [aux_sym_jsx_opening_element_repeat1] = STATE(339),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(804),
    [anon_sym_DOT] = ACTIONS(808),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(814),
  },
  [156] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(339),
    [sym_jsx_expression] = STATE(339),
    [aux_sym_jsx_opening_element_repeat1] = STATE(339),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(804),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(814),
  },
  [157] = {
    [sym_formal_parameters] = STATE(243),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(820),
  },
  [158] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(822),
  },
  [159] = {
    [sym_arguments] = STATE(344),
    [anon_sym_instanceof] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(826),
    [sym__automatic_semicolon] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(824),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(824),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
    [anon_sym_RPAREN] = ACTIONS(824),
  },
  [160] = {
    [anon_sym_target] = ACTIONS(828),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym__initializer] = STATE(647),
    [sym_arguments] = STATE(346),
    [anon_sym_instanceof] = ACTIONS(830),
    [sym__automatic_semicolon] = ACTIONS(830),
    [anon_sym_AMP_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_STAR_EQ] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(832),
    [anon_sym_STAR_STAR] = ACTIONS(832),
    [anon_sym_STAR] = ACTIONS(832),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_GT_EQ] = ACTIONS(830),
    [anon_sym_PIPE_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_SLASH_EQ] = ACTIONS(718),
    [anon_sym_LT_EQ] = ACTIONS(830),
    [anon_sym_COMMA] = ACTIONS(830),
    [anon_sym_PLUS_PLUS] = ACTIONS(830),
    [anon_sym_SEMI] = ACTIONS(830),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(832),
    [anon_sym_LT_LT_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ] = ACTIONS(832),
    [anon_sym_QMARK] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(830),
    [anon_sym_DASH_DASH] = ACTIONS(830),
    [anon_sym_RPAREN] = ACTIONS(830),
    [anon_sym_SLASH] = ACTIONS(832),
    [anon_sym_LBRACK] = ACTIONS(830),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(718),
    [anon_sym_CARET] = ACTIONS(832),
    [anon_sym_AMP_AMP] = ACTIONS(830),
    [anon_sym_GT_GT] = ACTIONS(832),
    [anon_sym_in] = ACTIONS(832),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(830),
    [anon_sym_DOT] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(718),
    [anon_sym_PLUS_EQ] = ACTIONS(718),
    [anon_sym_PIPE] = ACTIONS(832),
    [anon_sym_PIPE_PIPE] = ACTIONS(830),
    [anon_sym_GT_GT_GT] = ACTIONS(832),
    [anon_sym_BANG_EQ] = ACTIONS(832),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(830),
    [anon_sym_LT] = ACTIONS(832),
    [anon_sym_CARET_EQ] = ACTIONS(718),
    [anon_sym_DASH_EQ] = ACTIONS(718),
    [anon_sym_PLUS] = ACTIONS(832),
    [anon_sym_PERCENT] = ACTIONS(832),
    [anon_sym_LT_LT] = ACTIONS(832),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(830),
  },
  [162] = {
    [sym__initializer] = STATE(654),
    [sym_arguments] = STATE(344),
    [anon_sym_instanceof] = ACTIONS(824),
    [sym__automatic_semicolon] = ACTIONS(824),
    [anon_sym_AMP_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_STAR_EQ] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_PIPE_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_SLASH_EQ] = ACTIONS(732),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_LT_LT_EQ] = ACTIONS(732),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_RPAREN] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(732),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(732),
    [anon_sym_EQ_GT] = ACTIONS(299),
    [anon_sym_PLUS_EQ] = ACTIONS(732),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_CARET_EQ] = ACTIONS(732),
    [anon_sym_DASH_EQ] = ACTIONS(732),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
  },
  [163] = {
    [sym_formal_parameters] = STATE(158),
    [sym__initializer] = STATE(647),
    [sym_arguments] = STATE(346),
    [anon_sym_instanceof] = ACTIONS(832),
    [sym__automatic_semicolon] = ACTIONS(830),
    [anon_sym_AMP_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_STAR_EQ] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(832),
    [anon_sym_STAR_STAR] = ACTIONS(832),
    [anon_sym_STAR] = ACTIONS(832),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_GT_EQ] = ACTIONS(830),
    [anon_sym_PIPE_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_SLASH_EQ] = ACTIONS(718),
    [anon_sym_LT_EQ] = ACTIONS(830),
    [anon_sym_COMMA] = ACTIONS(830),
    [anon_sym_PLUS_PLUS] = ACTIONS(830),
    [anon_sym_SEMI] = ACTIONS(830),
    [anon_sym_LPAREN] = ACTIONS(830),
    [anon_sym_GT] = ACTIONS(832),
    [anon_sym_LT_LT_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ] = ACTIONS(832),
    [anon_sym_QMARK] = ACTIONS(830),
    [anon_sym_DASH_DASH] = ACTIONS(830),
    [anon_sym_RPAREN] = ACTIONS(830),
    [anon_sym_SLASH] = ACTIONS(832),
    [anon_sym_LBRACK] = ACTIONS(830),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(718),
    [anon_sym_function] = ACTIONS(322),
    [anon_sym_CARET] = ACTIONS(832),
    [anon_sym_AMP_AMP] = ACTIONS(830),
    [anon_sym_GT_GT] = ACTIONS(832),
    [anon_sym_in] = ACTIONS(832),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(830),
    [anon_sym_DOT] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(718),
    [anon_sym_EQ_GT] = ACTIONS(299),
    [anon_sym_PLUS_EQ] = ACTIONS(718),
    [anon_sym_PIPE] = ACTIONS(832),
    [anon_sym_PIPE_PIPE] = ACTIONS(830),
    [anon_sym_GT_GT_GT] = ACTIONS(832),
    [anon_sym_BANG_EQ] = ACTIONS(832),
    [sym_identifier] = ACTIONS(324),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(830),
    [anon_sym_LT] = ACTIONS(832),
    [anon_sym_CARET_EQ] = ACTIONS(718),
    [anon_sym_DASH_EQ] = ACTIONS(718),
    [anon_sym_PLUS] = ACTIONS(832),
    [anon_sym_PERCENT] = ACTIONS(832),
    [anon_sym_LT_LT] = ACTIONS(832),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(830),
  },
  [164] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [165] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(347),
    [anon_sym_instanceof] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(826),
    [sym__automatic_semicolon] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(824),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(824),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(824),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
    [anon_sym_RPAREN] = ACTIONS(824),
  },
  [166] = {
    [sym__initializer] = STATE(654),
    [sym_arguments] = STATE(344),
    [anon_sym_instanceof] = ACTIONS(824),
    [sym__automatic_semicolon] = ACTIONS(824),
    [anon_sym_AMP_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_STAR_EQ] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_PIPE_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_SLASH_EQ] = ACTIONS(732),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_LT_LT_EQ] = ACTIONS(732),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_RPAREN] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(732),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(732),
    [anon_sym_PLUS_EQ] = ACTIONS(732),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_CARET_EQ] = ACTIONS(732),
    [anon_sym_DASH_EQ] = ACTIONS(732),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
  },
  [167] = {
    [sym__initializer] = STATE(664),
    [sym_arguments] = STATE(344),
    [anon_sym_instanceof] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(826),
    [sym__automatic_semicolon] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(824),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(824),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
    [anon_sym_RPAREN] = ACTIONS(824),
  },
  [168] = {
    [sym__initializer] = STATE(672),
    [sym_arguments] = STATE(344),
    [anon_sym_instanceof] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(826),
    [sym__automatic_semicolon] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(824),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(824),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
    [anon_sym_RPAREN] = ACTIONS(824),
  },
  [169] = {
    [aux_sym_variable_declaration_repeat1] = STATE(349),
    [sym__automatic_semicolon] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(572),
    [anon_sym_SEMI] = ACTIONS(834),
  },
  [170] = {
    [sym_switch_body] = STATE(351),
    [anon_sym_LBRACE] = ACTIONS(836),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym__import_export_specifier] = STATE(354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(838),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_COMMA] = ACTIONS(840),
  },
  [172] = {
    [sym_identifier] = ACTIONS(842),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_new_expression] = STATE(355),
    [sym_augmented_assignment_expression] = STATE(355),
    [sym_unary_expression] = STATE(355),
    [sym_update_expression] = STATE(355),
    [sym_regex] = STATE(355),
    [sym_meta_property] = STATE(355),
    [sym__expression] = STATE(355),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(355),
    [sym_jsx_fragment] = STATE(355),
    [sym_jsx_element] = STATE(355),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(355),
    [sym_await_expression] = STATE(355),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(355),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(355),
    [sym_generator_function] = STATE(355),
    [sym_call_expression] = STATE(355),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(355),
    [sym_ternary_expression] = STATE(355),
    [sym_binary_expression] = STATE(355),
    [sym_template_string] = STATE(355),
    [sym_parenthesized_expression] = STATE(355),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(355),
    [sym_class] = STATE(355),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(844),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(844),
    [sym_undefined] = ACTIONS(844),
    [sym_true] = ACTIONS(844),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(844),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(846),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [174] = {
    [anon_sym_function] = ACTIONS(848),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym__from_clause] = STATE(356),
    [anon_sym_from] = ACTIONS(590),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_decorator] = STATE(202),
    [aux_sym_export_statement_repeat1] = STATE(202),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(850),
    [anon_sym_AT] = ACTIONS(77),
  },
  [177] = {
    [sym__automatic_semicolon] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_DASH] = ACTIONS(384),
    [anon_sym_import] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(386),
    [anon_sym_delete] = ACTIONS(384),
    [anon_sym_throw] = ACTIONS(384),
    [anon_sym_for] = ACTIONS(384),
    [anon_sym_BANG] = ACTIONS(386),
    [sym_this] = ACTIONS(384),
    [sym_true] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(384),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_SEMI] = ACTIONS(386),
    [anon_sym_DQUOTE] = ACTIONS(386),
    [anon_sym_LPAREN] = ACTIONS(386),
    [anon_sym_TILDE] = ACTIONS(386),
    [sym_super] = ACTIONS(384),
    [sym_false] = ACTIONS(384),
    [sym_number] = ACTIONS(386),
    [anon_sym_yield] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(384),
    [anon_sym_var] = ACTIONS(384),
    [anon_sym_const] = ACTIONS(384),
    [anon_sym_RBRACE] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [anon_sym_try] = ACTIONS(384),
    [anon_sym_typeof] = ACTIONS(384),
    [anon_sym_await] = ACTIONS(384),
    [anon_sym_SLASH] = ACTIONS(384),
    [sym_null] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(384),
    [anon_sym_let] = ACTIONS(384),
    [anon_sym_if] = ACTIONS(384),
    [anon_sym_with] = ACTIONS(384),
    [anon_sym_SQUOTE] = ACTIONS(386),
    [sym_undefined] = ACTIONS(384),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(386),
    [anon_sym_else] = ACTIONS(384),
    [anon_sym_break] = ACTIONS(384),
    [anon_sym_debugger] = ACTIONS(384),
    [anon_sym_while] = ACTIONS(384),
    [sym_identifier] = ACTIONS(384),
    [anon_sym_BQUOTE] = ACTIONS(386),
    [anon_sym_LT] = ACTIONS(386),
    [ts_builtin_sym_end] = ACTIONS(386),
    [anon_sym_new] = ACTIONS(384),
    [anon_sym_AT] = ACTIONS(386),
    [anon_sym_PLUS] = ACTIONS(384),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_continue] = ACTIONS(384),
    [anon_sym_void] = ACTIONS(384),
    [anon_sym_return] = ACTIONS(384),
    [anon_sym_do] = ACTIONS(384),
  },
  [178] = {
    [anon_sym_class] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(854),
    [anon_sym_delete] = ACTIONS(852),
    [anon_sym_throw] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(854),
    [sym_this] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [anon_sym_case] = ACTIONS(852),
    [anon_sym_get] = ACTIONS(852),
    [anon_sym_default] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(854),
    [anon_sym_SEMI] = ACTIONS(854),
    [anon_sym_DQUOTE] = ACTIONS(854),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [sym_super] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_yield] = ACTIONS(852),
    [anon_sym_set] = ACTIONS(852),
    [anon_sym_async] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_RBRACE] = ACTIONS(854),
    [anon_sym_DASH_DASH] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_typeof] = ACTIONS(852),
    [anon_sym_await] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(854),
    [anon_sym_function] = ACTIONS(852),
    [anon_sym_let] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_SQUOTE] = ACTIONS(854),
    [sym_undefined] = ACTIONS(852),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(854),
    [anon_sym_else] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_debugger] = ACTIONS(852),
    [anon_sym_while] = ACTIONS(852),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_BQUOTE] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(854),
    [ts_builtin_sym_end] = ACTIONS(854),
    [anon_sym_new] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(854),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_export] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_void] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(852),
  },
  [179] = {
    [sym__from_clause] = STATE(356),
    [sym__automatic_semicolon] = ACTIONS(856),
    [anon_sym_from] = ACTIONS(590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(856),
  },
  [180] = {
    [anon_sym_class] = ACTIONS(858),
    [anon_sym_DASH] = ACTIONS(858),
    [anon_sym_import] = ACTIONS(858),
    [anon_sym_LBRACE] = ACTIONS(860),
    [anon_sym_delete] = ACTIONS(858),
    [anon_sym_throw] = ACTIONS(858),
    [anon_sym_for] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(860),
    [sym_this] = ACTIONS(858),
    [sym_true] = ACTIONS(858),
    [anon_sym_case] = ACTIONS(858),
    [anon_sym_get] = ACTIONS(858),
    [anon_sym_default] = ACTIONS(858),
    [anon_sym_PLUS_PLUS] = ACTIONS(860),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym_DQUOTE] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(860),
    [anon_sym_TILDE] = ACTIONS(860),
    [sym_super] = ACTIONS(858),
    [sym_false] = ACTIONS(858),
    [sym_number] = ACTIONS(860),
    [anon_sym_yield] = ACTIONS(858),
    [anon_sym_set] = ACTIONS(858),
    [anon_sym_async] = ACTIONS(858),
    [anon_sym_var] = ACTIONS(858),
    [anon_sym_const] = ACTIONS(858),
    [anon_sym_RBRACE] = ACTIONS(860),
    [anon_sym_DASH_DASH] = ACTIONS(860),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_typeof] = ACTIONS(858),
    [anon_sym_await] = ACTIONS(858),
    [anon_sym_SLASH] = ACTIONS(858),
    [sym_null] = ACTIONS(858),
    [anon_sym_LBRACK] = ACTIONS(860),
    [anon_sym_function] = ACTIONS(858),
    [anon_sym_let] = ACTIONS(858),
    [anon_sym_if] = ACTIONS(858),
    [anon_sym_with] = ACTIONS(858),
    [anon_sym_SQUOTE] = ACTIONS(860),
    [sym_undefined] = ACTIONS(858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(860),
    [anon_sym_else] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_debugger] = ACTIONS(858),
    [anon_sym_while] = ACTIONS(858),
    [sym_identifier] = ACTIONS(858),
    [anon_sym_BQUOTE] = ACTIONS(860),
    [anon_sym_LT] = ACTIONS(860),
    [ts_builtin_sym_end] = ACTIONS(860),
    [anon_sym_new] = ACTIONS(858),
    [anon_sym_AT] = ACTIONS(860),
    [anon_sym_PLUS] = ACTIONS(858),
    [anon_sym_switch] = ACTIONS(858),
    [anon_sym_export] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(858),
    [anon_sym_void] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(858),
    [anon_sym_do] = ACTIONS(858),
  },
  [181] = {
    [sym__automatic_semicolon] = ACTIONS(862),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(862),
  },
  [182] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(108),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(108),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [aux_sym_program_repeat1] = STATE(108),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(108),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(108),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(108),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_statement_block] = STATE(108),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(108),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(108),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(108),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(108),
    [sym_with_statement] = STATE(108),
    [sym_empty_statement] = STATE(108),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(108),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(108),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [183] = {
    [sym_catch_clause] = STATE(363),
    [sym_finally_clause] = STATE(364),
    [anon_sym_class] = ACTIONS(866),
    [anon_sym_DASH] = ACTIONS(866),
    [anon_sym_import] = ACTIONS(866),
    [anon_sym_LBRACE] = ACTIONS(868),
    [anon_sym_delete] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_for] = ACTIONS(866),
    [anon_sym_BANG] = ACTIONS(868),
    [sym_this] = ACTIONS(866),
    [sym_true] = ACTIONS(866),
    [anon_sym_case] = ACTIONS(866),
    [anon_sym_get] = ACTIONS(866),
    [anon_sym_default] = ACTIONS(866),
    [anon_sym_PLUS_PLUS] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_DQUOTE] = ACTIONS(868),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_TILDE] = ACTIONS(868),
    [sym_super] = ACTIONS(866),
    [sym_false] = ACTIONS(866),
    [anon_sym_catch] = ACTIONS(870),
    [sym_number] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(866),
    [anon_sym_set] = ACTIONS(866),
    [anon_sym_async] = ACTIONS(866),
    [anon_sym_var] = ACTIONS(866),
    [anon_sym_const] = ACTIONS(866),
    [anon_sym_RBRACE] = ACTIONS(868),
    [anon_sym_DASH_DASH] = ACTIONS(868),
    [anon_sym_try] = ACTIONS(866),
    [anon_sym_typeof] = ACTIONS(866),
    [anon_sym_await] = ACTIONS(866),
    [anon_sym_SLASH] = ACTIONS(866),
    [sym_null] = ACTIONS(866),
    [anon_sym_finally] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(868),
    [anon_sym_function] = ACTIONS(866),
    [anon_sym_let] = ACTIONS(866),
    [anon_sym_if] = ACTIONS(866),
    [anon_sym_with] = ACTIONS(866),
    [anon_sym_SQUOTE] = ACTIONS(868),
    [sym_undefined] = ACTIONS(866),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(868),
    [anon_sym_else] = ACTIONS(866),
    [anon_sym_break] = ACTIONS(866),
    [anon_sym_debugger] = ACTIONS(866),
    [anon_sym_while] = ACTIONS(866),
    [sym_identifier] = ACTIONS(866),
    [anon_sym_BQUOTE] = ACTIONS(868),
    [anon_sym_LT] = ACTIONS(868),
    [ts_builtin_sym_end] = ACTIONS(868),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_AT] = ACTIONS(868),
    [anon_sym_PLUS] = ACTIONS(866),
    [anon_sym_switch] = ACTIONS(866),
    [anon_sym_export] = ACTIONS(866),
    [anon_sym_continue] = ACTIONS(866),
    [anon_sym_void] = ACTIONS(866),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_do] = ACTIONS(866),
  },
  [184] = {
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(876),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(876),
    [sym_this] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_default] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(876),
    [anon_sym_SEMI] = ACTIONS(876),
    [anon_sym_DQUOTE] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(876),
    [anon_sym_TILDE] = ACTIONS(876),
    [sym_super] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_number] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(876),
    [anon_sym_DASH_DASH] = ACTIONS(876),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(876),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(876),
    [sym_undefined] = ACTIONS(874),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(876),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_BQUOTE] = ACTIONS(876),
    [anon_sym_LT] = ACTIONS(876),
    [ts_builtin_sym_end] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(876),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
  },
  [185] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(410),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
  },
  [186] = {
    [sym__automatic_semicolon] = ACTIONS(878),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(878),
  },
  [187] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_while] = ACTIONS(880),
  },
  [188] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(188),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(188),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(188),
    [sym_return_statement] = STATE(188),
    [aux_sym_program_repeat1] = STATE(188),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(188),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(188),
    [sym_switch_statement] = STATE(188),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(188),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(188),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(188),
    [sym_continue_statement] = STATE(188),
    [sym_statement_block] = STATE(188),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(188),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(188),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(188),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(188),
    [sym_with_statement] = STATE(188),
    [sym_empty_statement] = STATE(188),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(188),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(188),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(188),
    [sym_break_statement] = STATE(188),
    [sym_labeled_statement] = STATE(188),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(882),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_delete] = ACTIONS(894),
    [anon_sym_throw] = ACTIONS(897),
    [anon_sym_for] = ACTIONS(900),
    [anon_sym_BANG] = ACTIONS(903),
    [sym_this] = ACTIONS(906),
    [sym_true] = ACTIONS(906),
    [anon_sym_case] = ACTIONS(909),
    [anon_sym_get] = ACTIONS(911),
    [anon_sym_default] = ACTIONS(909),
    [anon_sym_PLUS_PLUS] = ACTIONS(914),
    [anon_sym_SEMI] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_TILDE] = ACTIONS(903),
    [sym_super] = ACTIONS(926),
    [sym_false] = ACTIONS(906),
    [sym_number] = ACTIONS(929),
    [anon_sym_yield] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(911),
    [anon_sym_async] = ACTIONS(935),
    [anon_sym_var] = ACTIONS(938),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_RBRACE] = ACTIONS(944),
    [anon_sym_DASH_DASH] = ACTIONS(914),
    [anon_sym_try] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(894),
    [anon_sym_await] = ACTIONS(949),
    [anon_sym_SLASH] = ACTIONS(952),
    [sym_null] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(958),
    [anon_sym_let] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(961),
    [anon_sym_with] = ACTIONS(964),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [sym_undefined] = ACTIONS(906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(970),
    [anon_sym_break] = ACTIONS(973),
    [anon_sym_debugger] = ACTIONS(976),
    [anon_sym_while] = ACTIONS(979),
    [sym_identifier] = ACTIONS(982),
    [anon_sym_BQUOTE] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(988),
    [ts_builtin_sym_end] = ACTIONS(944),
    [anon_sym_new] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(994),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_export] = ACTIONS(1000),
    [anon_sym_continue] = ACTIONS(1003),
    [anon_sym_void] = ACTIONS(894),
    [anon_sym_return] = ACTIONS(1006),
    [anon_sym_do] = ACTIONS(1009),
  },
  [189] = {
    [anon_sym_instanceof] = ACTIONS(1012),
    [anon_sym_SLASH] = ACTIONS(1014),
    [sym__automatic_semicolon] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_CARET] = ACTIONS(1012),
    [anon_sym_STAR_STAR] = ACTIONS(1012),
    [anon_sym_AMP_AMP] = ACTIONS(1012),
    [anon_sym_STAR] = ACTIONS(1014),
    [anon_sym_GT_GT] = ACTIONS(1014),
    [anon_sym_AMP] = ACTIONS(1014),
    [anon_sym_in] = ACTIONS(1014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1012),
    [anon_sym_GT_EQ] = ACTIONS(1012),
    [anon_sym_DOT] = ACTIONS(1012),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1014),
    [anon_sym_LT_EQ] = ACTIONS(1012),
    [anon_sym_PIPE_PIPE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(1012),
    [anon_sym_GT_GT_GT] = ACTIONS(1012),
    [anon_sym_SEMI] = ACTIONS(1012),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(1012),
    [anon_sym_BANG_EQ] = ACTIONS(1014),
    [anon_sym_GT] = ACTIONS(1014),
    [anon_sym_BQUOTE] = ACTIONS(1012),
    [anon_sym_LT] = ACTIONS(1014),
    [anon_sym_PLUS] = ACTIONS(1014),
    [anon_sym_EQ_EQ] = ACTIONS(1014),
    [anon_sym_PERCENT] = ACTIONS(1012),
    [anon_sym_QMARK] = ACTIONS(1012),
    [anon_sym_LT_LT] = ACTIONS(1012),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1012),
    [anon_sym_RPAREN] = ACTIONS(1012),
  },
  [190] = {
    [anon_sym_class] = ACTIONS(1016),
    [anon_sym_DASH] = ACTIONS(1016),
    [anon_sym_import] = ACTIONS(1016),
    [anon_sym_LBRACE] = ACTIONS(1018),
    [anon_sym_delete] = ACTIONS(1016),
    [anon_sym_throw] = ACTIONS(1016),
    [anon_sym_for] = ACTIONS(1016),
    [anon_sym_BANG] = ACTIONS(1018),
    [sym_this] = ACTIONS(1016),
    [sym_true] = ACTIONS(1016),
    [anon_sym_case] = ACTIONS(1016),
    [anon_sym_get] = ACTIONS(1016),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_PLUS_PLUS] = ACTIONS(1018),
    [anon_sym_SEMI] = ACTIONS(1018),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1018),
    [sym_super] = ACTIONS(1016),
    [sym_false] = ACTIONS(1016),
    [sym_number] = ACTIONS(1018),
    [anon_sym_yield] = ACTIONS(1016),
    [anon_sym_set] = ACTIONS(1016),
    [anon_sym_async] = ACTIONS(1016),
    [anon_sym_var] = ACTIONS(1016),
    [anon_sym_const] = ACTIONS(1016),
    [anon_sym_RBRACE] = ACTIONS(1018),
    [anon_sym_DASH_DASH] = ACTIONS(1018),
    [anon_sym_try] = ACTIONS(1016),
    [anon_sym_typeof] = ACTIONS(1016),
    [anon_sym_await] = ACTIONS(1016),
    [anon_sym_SLASH] = ACTIONS(1016),
    [sym_null] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(1018),
    [anon_sym_function] = ACTIONS(1016),
    [anon_sym_let] = ACTIONS(1016),
    [anon_sym_if] = ACTIONS(1016),
    [anon_sym_with] = ACTIONS(1016),
    [anon_sym_SQUOTE] = ACTIONS(1018),
    [sym_undefined] = ACTIONS(1016),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1018),
    [anon_sym_else] = ACTIONS(1016),
    [anon_sym_break] = ACTIONS(1016),
    [anon_sym_debugger] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1016),
    [sym_identifier] = ACTIONS(1016),
    [anon_sym_BQUOTE] = ACTIONS(1018),
    [anon_sym_LT] = ACTIONS(1018),
    [ts_builtin_sym_end] = ACTIONS(1018),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_AT] = ACTIONS(1018),
    [anon_sym_PLUS] = ACTIONS(1016),
    [anon_sym_switch] = ACTIONS(1016),
    [anon_sym_export] = ACTIONS(1016),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_void] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1016),
    [anon_sym_do] = ACTIONS(1016),
  },
  [191] = {
    [anon_sym_class] = ACTIONS(1020),
    [anon_sym_DASH] = ACTIONS(1020),
    [anon_sym_import] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1022),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_throw] = ACTIONS(1020),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_BANG] = ACTIONS(1022),
    [sym_this] = ACTIONS(1020),
    [sym_true] = ACTIONS(1020),
    [anon_sym_case] = ACTIONS(1020),
    [anon_sym_get] = ACTIONS(1020),
    [anon_sym_default] = ACTIONS(1020),
    [anon_sym_PLUS_PLUS] = ACTIONS(1022),
    [anon_sym_SEMI] = ACTIONS(1022),
    [anon_sym_DQUOTE] = ACTIONS(1022),
    [anon_sym_LPAREN] = ACTIONS(1022),
    [anon_sym_TILDE] = ACTIONS(1022),
    [sym_super] = ACTIONS(1020),
    [sym_false] = ACTIONS(1020),
    [sym_number] = ACTIONS(1022),
    [anon_sym_yield] = ACTIONS(1020),
    [anon_sym_set] = ACTIONS(1020),
    [anon_sym_async] = ACTIONS(1020),
    [anon_sym_var] = ACTIONS(1020),
    [anon_sym_const] = ACTIONS(1020),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_DASH_DASH] = ACTIONS(1022),
    [anon_sym_try] = ACTIONS(1020),
    [anon_sym_RPAREN] = ACTIONS(1022),
    [anon_sym_typeof] = ACTIONS(1020),
    [anon_sym_await] = ACTIONS(1020),
    [anon_sym_SLASH] = ACTIONS(1020),
    [sym_null] = ACTIONS(1020),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_function] = ACTIONS(1020),
    [anon_sym_let] = ACTIONS(1020),
    [anon_sym_if] = ACTIONS(1020),
    [anon_sym_with] = ACTIONS(1020),
    [anon_sym_SQUOTE] = ACTIONS(1022),
    [sym_undefined] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1022),
    [anon_sym_else] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_debugger] = ACTIONS(1020),
    [anon_sym_while] = ACTIONS(1020),
    [sym_identifier] = ACTIONS(1020),
    [anon_sym_BQUOTE] = ACTIONS(1022),
    [anon_sym_LT] = ACTIONS(1022),
    [ts_builtin_sym_end] = ACTIONS(1022),
    [anon_sym_new] = ACTIONS(1020),
    [anon_sym_AT] = ACTIONS(1022),
    [anon_sym_PLUS] = ACTIONS(1020),
    [anon_sym_switch] = ACTIONS(1020),
    [anon_sym_export] = ACTIONS(1020),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_void] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(1020),
    [anon_sym_do] = ACTIONS(1020),
  },
  [192] = {
    [sym_new_expression] = STATE(367),
    [sym_augmented_assignment_expression] = STATE(367),
    [sym_unary_expression] = STATE(367),
    [sym_update_expression] = STATE(367),
    [sym_regex] = STATE(367),
    [sym_meta_property] = STATE(367),
    [sym__expression] = STATE(367),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(367),
    [sym_jsx_fragment] = STATE(367),
    [sym_jsx_element] = STATE(367),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(367),
    [sym_await_expression] = STATE(367),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(367),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(367),
    [sym_generator_function] = STATE(367),
    [sym_call_expression] = STATE(367),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(367),
    [sym_ternary_expression] = STATE(367),
    [sym_binary_expression] = STATE(367),
    [sym_template_string] = STATE(367),
    [sym_parenthesized_expression] = STATE(367),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(367),
    [sym_class] = STATE(367),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1024),
    [sym_undefined] = ACTIONS(1024),
    [sym_true] = ACTIONS(1024),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(1024),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(1026),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [193] = {
    [sym_new_expression] = STATE(368),
    [sym_augmented_assignment_expression] = STATE(368),
    [sym_unary_expression] = STATE(368),
    [sym_update_expression] = STATE(368),
    [sym_regex] = STATE(368),
    [sym_meta_property] = STATE(368),
    [sym__expression] = STATE(368),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(368),
    [sym_jsx_fragment] = STATE(368),
    [sym_jsx_element] = STATE(368),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(368),
    [sym_await_expression] = STATE(368),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(368),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(368),
    [sym_generator_function] = STATE(368),
    [sym_call_expression] = STATE(368),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(368),
    [sym_ternary_expression] = STATE(368),
    [sym_binary_expression] = STATE(368),
    [sym_template_string] = STATE(368),
    [sym_parenthesized_expression] = STATE(368),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(368),
    [sym_class] = STATE(368),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(1028),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1028),
    [sym_undefined] = ACTIONS(1028),
    [sym_true] = ACTIONS(1028),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(1028),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(1030),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [194] = {
    [sym_new_expression] = STATE(369),
    [sym_augmented_assignment_expression] = STATE(369),
    [sym_unary_expression] = STATE(369),
    [sym_update_expression] = STATE(369),
    [sym_regex] = STATE(369),
    [sym_meta_property] = STATE(369),
    [sym__expression] = STATE(369),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(369),
    [sym_jsx_fragment] = STATE(369),
    [sym_jsx_element] = STATE(369),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(369),
    [sym_await_expression] = STATE(369),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(369),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(369),
    [sym_generator_function] = STATE(369),
    [sym_call_expression] = STATE(369),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(369),
    [sym_ternary_expression] = STATE(369),
    [sym_binary_expression] = STATE(369),
    [sym_template_string] = STATE(369),
    [sym_parenthesized_expression] = STATE(369),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(369),
    [sym_class] = STATE(369),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(1032),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1032),
    [sym_undefined] = ACTIONS(1032),
    [sym_true] = ACTIONS(1032),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(1032),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [195] = {
    [sym_new_expression] = STATE(370),
    [sym_augmented_assignment_expression] = STATE(370),
    [sym_unary_expression] = STATE(370),
    [sym_update_expression] = STATE(370),
    [sym_regex] = STATE(370),
    [sym_meta_property] = STATE(370),
    [sym__expression] = STATE(370),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(370),
    [sym_jsx_fragment] = STATE(370),
    [sym_jsx_element] = STATE(370),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(370),
    [sym_await_expression] = STATE(370),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(370),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(370),
    [sym_generator_function] = STATE(370),
    [sym_call_expression] = STATE(370),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(370),
    [sym_ternary_expression] = STATE(370),
    [sym_binary_expression] = STATE(370),
    [sym_template_string] = STATE(370),
    [sym_parenthesized_expression] = STATE(370),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(370),
    [sym_class] = STATE(370),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(1036),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1036),
    [sym_undefined] = ACTIONS(1036),
    [sym_true] = ACTIONS(1036),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(1036),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(1038),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [196] = {
    [sym_new_expression] = STATE(371),
    [sym_augmented_assignment_expression] = STATE(371),
    [sym_unary_expression] = STATE(371),
    [sym_update_expression] = STATE(371),
    [sym_regex] = STATE(371),
    [sym_meta_property] = STATE(371),
    [sym__expression] = STATE(371),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(371),
    [sym_jsx_fragment] = STATE(371),
    [sym_jsx_element] = STATE(371),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(371),
    [sym_await_expression] = STATE(371),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(371),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(371),
    [sym_generator_function] = STATE(371),
    [sym_call_expression] = STATE(371),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(371),
    [sym_ternary_expression] = STATE(371),
    [sym_binary_expression] = STATE(371),
    [sym_template_string] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(371),
    [sym_class] = STATE(371),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(1040),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1040),
    [sym_undefined] = ACTIONS(1040),
    [sym_true] = ACTIONS(1040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(1040),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(1042),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [197] = {
    [anon_sym_instanceof] = ACTIONS(474),
    [anon_sym_SLASH] = ACTIONS(476),
    [sym__automatic_semicolon] = ACTIONS(474),
    [anon_sym_LBRACK] = ACTIONS(474),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_CARET] = ACTIONS(474),
    [anon_sym_STAR_STAR] = ACTIONS(474),
    [anon_sym_AMP_AMP] = ACTIONS(474),
    [anon_sym_STAR] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(474),
    [anon_sym_GT_EQ] = ACTIONS(474),
    [anon_sym_DOT] = ACTIONS(474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(476),
    [anon_sym_LT_EQ] = ACTIONS(474),
    [anon_sym_PIPE_PIPE] = ACTIONS(474),
    [anon_sym_COMMA] = ACTIONS(474),
    [anon_sym_GT_GT_GT] = ACTIONS(474),
    [anon_sym_SEMI] = ACTIONS(474),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_LPAREN] = ACTIONS(474),
    [anon_sym_BANG_EQ] = ACTIONS(476),
    [anon_sym_GT] = ACTIONS(476),
    [anon_sym_BQUOTE] = ACTIONS(474),
    [anon_sym_LT] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(476),
    [anon_sym_PERCENT] = ACTIONS(474),
    [anon_sym_QMARK] = ACTIONS(474),
    [anon_sym_LT_LT] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(474),
    [anon_sym_RPAREN] = ACTIONS(474),
  },
  [198] = {
    [sym_new_expression] = STATE(372),
    [sym_augmented_assignment_expression] = STATE(372),
    [sym_unary_expression] = STATE(372),
    [sym_update_expression] = STATE(372),
    [sym_regex] = STATE(372),
    [sym_meta_property] = STATE(372),
    [sym__expression] = STATE(372),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(372),
    [sym_jsx_fragment] = STATE(372),
    [sym_jsx_element] = STATE(372),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(372),
    [sym_await_expression] = STATE(372),
    [sym_member_expression] = STATE(44),
    [sym_sequence_expression] = STATE(373),
    [sym_string] = STATE(372),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(372),
    [sym_generator_function] = STATE(372),
    [sym_call_expression] = STATE(372),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(372),
    [sym_ternary_expression] = STATE(372),
    [sym_binary_expression] = STATE(372),
    [sym_template_string] = STATE(372),
    [sym_parenthesized_expression] = STATE(372),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(372),
    [sym_class] = STATE(372),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1044),
    [sym_undefined] = ACTIONS(1044),
    [sym_true] = ACTIONS(1044),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(1044),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(1046),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [199] = {
    [sym_new_expression] = STATE(374),
    [sym_augmented_assignment_expression] = STATE(374),
    [sym_unary_expression] = STATE(374),
    [sym_update_expression] = STATE(374),
    [sym_regex] = STATE(374),
    [sym_meta_property] = STATE(374),
    [sym__expression] = STATE(374),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(374),
    [sym_jsx_fragment] = STATE(374),
    [sym_jsx_element] = STATE(374),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(374),
    [sym_await_expression] = STATE(374),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(374),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(374),
    [sym_generator_function] = STATE(374),
    [sym_call_expression] = STATE(374),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(374),
    [sym_ternary_expression] = STATE(374),
    [sym_binary_expression] = STATE(374),
    [sym_template_string] = STATE(374),
    [sym_parenthesized_expression] = STATE(374),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(374),
    [sym_class] = STATE(374),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1048),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1048),
    [sym_undefined] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1048),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1050),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [200] = {
    [sym_class] = STATE(177),
    [sym_lexical_declaration] = STATE(358),
    [sym__declaration] = STATE(358),
    [sym_function] = STATE(177),
    [sym_variable_declaration] = STATE(358),
    [sym_generator_function] = STATE(177),
    [sym_decorator] = STATE(176),
    [aux_sym_export_statement_repeat1] = STATE(176),
    [anon_sym_class] = ACTIONS(342),
    [anon_sym_default] = ACTIONS(1052),
    [anon_sym_async] = ACTIONS(354),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_var] = ACTIONS(356),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_function] = ACTIONS(346),
    [sym_comment] = ACTIONS(3),
    [anon_sym_let] = ACTIONS(348),
  },
  [201] = {
    [sym_class_heritage] = STATE(377),
    [sym_class_body] = STATE(229),
    [anon_sym_LBRACE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1054),
    [anon_sym_extends] = ACTIONS(109),
  },
  [202] = {
    [sym_decorator] = STATE(202),
    [aux_sym_export_statement_repeat1] = STATE(202),
    [anon_sym_class] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_DQUOTE] = ACTIONS(1058),
    [anon_sym_static] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [sym_number] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1058),
    [anon_sym_set] = ACTIONS(1056),
    [anon_sym_AT] = ACTIONS(1060),
    [anon_sym_async] = ACTIONS(1056),
    [anon_sym_export] = ACTIONS(1056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1056),
  },
  [203] = {
    [anon_sym_instanceof] = ACTIONS(1063),
    [anon_sym_SLASH] = ACTIONS(1065),
    [sym__automatic_semicolon] = ACTIONS(1063),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(1065),
    [anon_sym_CARET] = ACTIONS(1063),
    [anon_sym_STAR_STAR] = ACTIONS(1063),
    [anon_sym_AMP_AMP] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1065),
    [anon_sym_GT_GT] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1065),
    [anon_sym_in] = ACTIONS(1065),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1063),
    [anon_sym_GT_EQ] = ACTIONS(1063),
    [anon_sym_DOT] = ACTIONS(1063),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1065),
    [anon_sym_LT_EQ] = ACTIONS(1063),
    [anon_sym_PIPE_PIPE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(1063),
    [anon_sym_GT_GT_GT] = ACTIONS(1063),
    [anon_sym_SEMI] = ACTIONS(1063),
    [anon_sym_PLUS_PLUS] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_BANG_EQ] = ACTIONS(1065),
    [anon_sym_GT] = ACTIONS(1065),
    [anon_sym_BQUOTE] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(1065),
    [anon_sym_EQ_EQ] = ACTIONS(1065),
    [anon_sym_PERCENT] = ACTIONS(1063),
    [anon_sym_QMARK] = ACTIONS(1063),
    [anon_sym_LT_LT] = ACTIONS(1063),
    [anon_sym_DASH_DASH] = ACTIONS(1063),
    [anon_sym_RBRACE] = ACTIONS(1063),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(1063),
  },
  [204] = {
    [sym_new_expression] = STATE(379),
    [sym_augmented_assignment_expression] = STATE(379),
    [sym_unary_expression] = STATE(379),
    [sym_update_expression] = STATE(379),
    [sym_regex] = STATE(379),
    [sym_meta_property] = STATE(379),
    [sym__expression] = STATE(379),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(379),
    [sym_jsx_fragment] = STATE(379),
    [sym_jsx_element] = STATE(379),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(379),
    [sym_await_expression] = STATE(379),
    [sym_member_expression] = STATE(627),
    [sym_spread_element] = STATE(380),
    [sym_sequence_expression] = STATE(380),
    [sym_string] = STATE(379),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(379),
    [sym_generator_function] = STATE(379),
    [sym_call_expression] = STATE(379),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(379),
    [sym_ternary_expression] = STATE(379),
    [sym_binary_expression] = STATE(379),
    [sym_template_string] = STATE(379),
    [sym_parenthesized_expression] = STATE(379),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(379),
    [sym_class] = STATE(379),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1067),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1067),
    [sym_undefined] = ACTIONS(1067),
    [sym_true] = ACTIONS(1067),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1067),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1069),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_RBRACE] = ACTIONS(1071),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [205] = {
    [sym_nested_identifier] = STATE(1080),
    [sym_jsx_namespace_name] = STATE(1081),
    [anon_sym_SLASH] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1075),
    [sym_identifier] = ACTIONS(1077),
  },
  [206] = {
    [aux_sym_jsx_element_repeat1] = STATE(382),
    [sym_jsx_expression] = STATE(382),
    [sym_jsx_closing_element] = STATE(383),
    [sym_jsx_opening_element] = STATE(931),
    [sym_jsx_self_closing_element] = STATE(382),
    [sym_jsx_element] = STATE(382),
    [anon_sym_LBRACE] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(424),
  },
  [207] = {
    [anon_sym_instanceof] = ACTIONS(1081),
    [anon_sym_SLASH] = ACTIONS(1083),
    [sym__automatic_semicolon] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1081),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_STAR_STAR] = ACTIONS(1081),
    [anon_sym_AMP_AMP] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_in] = ACTIONS(1083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1081),
    [anon_sym_DOT] = ACTIONS(1081),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1081),
    [anon_sym_GT_GT_GT] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_GT] = ACTIONS(1083),
    [anon_sym_BQUOTE] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_EQ_EQ] = ACTIONS(1083),
    [anon_sym_PERCENT] = ACTIONS(1081),
    [anon_sym_QMARK] = ACTIONS(1081),
    [anon_sym_LT_LT] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_RBRACE] = ACTIONS(1081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1081),
    [anon_sym_RPAREN] = ACTIONS(1081),
  },
  [208] = {
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym_string] = STATE(269),
    [aux_sym_object_repeat1] = STATE(271),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(604),
    [sym_identifier] = ACTIONS(598),
    [sym_number] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(598),
    [anon_sym_async] = ACTIONS(598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(598),
  },
  [209] = {
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym_string] = STATE(269),
    [aux_sym_object_repeat1] = STATE(271),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(604),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_STAR] = ACTIONS(1085),
    [sym_number] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(632),
    [anon_sym_async] = ACTIONS(598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(632),
  },
  [210] = {
    [anon_sym_instanceof] = ACTIONS(642),
    [sym__automatic_semicolon] = ACTIONS(642),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_STAR_STAR] = ACTIONS(642),
    [anon_sym_STAR] = ACTIONS(640),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_GT_EQ] = ACTIONS(642),
    [anon_sym_LT_EQ] = ACTIONS(642),
    [anon_sym_COMMA] = ACTIONS(642),
    [anon_sym_PLUS_PLUS] = ACTIONS(642),
    [anon_sym_SEMI] = ACTIONS(642),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_GT] = ACTIONS(640),
    [anon_sym_EQ_EQ] = ACTIONS(640),
    [anon_sym_QMARK] = ACTIONS(642),
    [anon_sym_RBRACE] = ACTIONS(642),
    [anon_sym_DASH_DASH] = ACTIONS(642),
    [anon_sym_RPAREN] = ACTIONS(642),
    [anon_sym_SLASH] = ACTIONS(640),
    [anon_sym_LBRACK] = ACTIONS(642),
    [anon_sym_CARET] = ACTIONS(642),
    [anon_sym_AMP_AMP] = ACTIONS(642),
    [anon_sym_GT_GT] = ACTIONS(640),
    [anon_sym_in] = ACTIONS(640),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(642),
    [anon_sym_of] = ACTIONS(642),
    [anon_sym_DOT] = ACTIONS(642),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(640),
    [anon_sym_PIPE_PIPE] = ACTIONS(642),
    [anon_sym_GT_GT_GT] = ACTIONS(642),
    [anon_sym_BANG_EQ] = ACTIONS(640),
    [anon_sym_EQ] = ACTIONS(640),
    [anon_sym_BQUOTE] = ACTIONS(642),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_PERCENT] = ACTIONS(642),
    [anon_sym_LT_LT] = ACTIONS(642),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(642),
  },
  [211] = {
    [sym__initializer] = STATE(384),
    [aux_sym_object_repeat1] = STATE(271),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_LPAREN] = ACTIONS(604),
    [anon_sym_RBRACE] = ACTIONS(609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1087),
  },
  [212] = {
    [sym__initializer] = STATE(385),
    [anon_sym_EQ] = ACTIONS(1087),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym__initializer] = STATE(386),
    [anon_sym_EQ] = ACTIONS(1087),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym__property_name] = STATE(287),
    [sym_computed_property_name] = STATE(287),
    [sym_method_definition] = STATE(288),
    [sym_string] = STATE(287),
    [sym_decorator] = STATE(202),
    [aux_sym_export_statement_repeat1] = STATE(202),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(666),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(670),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(668),
  },
  [215] = {
    [sym_string] = STATE(269),
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym__automatic_semicolon] = ACTIONS(604),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(598),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(604),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(604),
    [anon_sym_get] = ACTIONS(598),
    [sym_number] = ACTIONS(602),
  },
  [216] = {
    [sym_string] = STATE(269),
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym__automatic_semicolon] = ACTIONS(604),
    [sym_number] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(632),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(604),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(604),
    [anon_sym_STAR] = ACTIONS(1085),
    [anon_sym_get] = ACTIONS(632),
  },
  [217] = {
    [sym_new_expression] = STATE(387),
    [sym_augmented_assignment_expression] = STATE(387),
    [sym_unary_expression] = STATE(387),
    [sym_update_expression] = STATE(387),
    [sym_regex] = STATE(387),
    [sym_meta_property] = STATE(387),
    [sym__expression] = STATE(387),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(387),
    [sym_jsx_fragment] = STATE(387),
    [sym_jsx_element] = STATE(387),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(387),
    [sym_await_expression] = STATE(387),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(387),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(387),
    [sym_generator_function] = STATE(387),
    [sym_call_expression] = STATE(387),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(387),
    [sym_ternary_expression] = STATE(387),
    [sym_binary_expression] = STATE(387),
    [sym_template_string] = STATE(387),
    [sym_parenthesized_expression] = STATE(387),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(387),
    [sym_class] = STATE(387),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1089),
    [sym_undefined] = ACTIONS(1089),
    [sym_true] = ACTIONS(1089),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1089),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [218] = {
    [sym__property_name] = STATE(222),
    [sym_computed_property_name] = STATE(222),
    [sym_method_definition] = STATE(388),
    [sym_string] = STATE(222),
    [sym_public_field_definition] = STATE(389),
    [sym_number] = ACTIONS(454),
    [anon_sym_SQUOTE] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(458),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(448),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(211),
  },
  [219] = {
    [anon_sym_instanceof] = ACTIONS(1093),
    [sym__automatic_semicolon] = ACTIONS(1095),
    [anon_sym_class] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_STAR] = ACTIONS(1093),
    [anon_sym_AMP] = ACTIONS(1093),
    [anon_sym_throw] = ACTIONS(1093),
    [anon_sym_GT_EQ] = ACTIONS(1095),
    [sym_this] = ACTIONS(1093),
    [anon_sym_case] = ACTIONS(1093),
    [anon_sym_get] = ACTIONS(1093),
    [anon_sym_LT_EQ] = ACTIONS(1095),
    [anon_sym_COMMA] = ACTIONS(1095),
    [anon_sym_PLUS_PLUS] = ACTIONS(1095),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_GT] = ACTIONS(1093),
    [sym_false] = ACTIONS(1093),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_async] = ACTIONS(1093),
    [anon_sym_const] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(1095),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_let] = ACTIONS(1093),
    [anon_sym_CARET] = ACTIONS(1095),
    [anon_sym_GT_GT] = ACTIONS(1093),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1095),
    [sym_undefined] = ACTIONS(1093),
    [anon_sym_EQ_GT] = ACTIONS(1095),
    [anon_sym_else] = ACTIONS(1093),
    [anon_sym_PIPE_PIPE] = ACTIONS(1095),
    [anon_sym_break] = ACTIONS(1093),
    [anon_sym_while] = ACTIONS(1093),
    [anon_sym_BQUOTE] = ACTIONS(1095),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1093),
    [anon_sym_LT_LT] = ACTIONS(1095),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1095),
    [anon_sym_import] = ACTIONS(1093),
    [anon_sym_STAR_STAR] = ACTIONS(1095),
    [anon_sym_LBRACE] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1093),
    [anon_sym_for] = ACTIONS(1093),
    [anon_sym_BANG] = ACTIONS(1093),
    [sym_true] = ACTIONS(1093),
    [anon_sym_default] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1095),
    [sym_super] = ACTIONS(1093),
    [sym_number] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1093),
    [anon_sym_var] = ACTIONS(1093),
    [anon_sym_EQ_EQ] = ACTIONS(1093),
    [anon_sym_RBRACE] = ACTIONS(1095),
    [anon_sym_DASH_DASH] = ACTIONS(1095),
    [anon_sym_RPAREN] = ACTIONS(1095),
    [anon_sym_typeof] = ACTIONS(1093),
    [anon_sym_SLASH] = ACTIONS(1093),
    [sym_null] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_AMP_AMP] = ACTIONS(1095),
    [anon_sym_with] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1093),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1093),
    [anon_sym_GT_GT_GT] = ACTIONS(1095),
    [anon_sym_debugger] = ACTIONS(1093),
    [anon_sym_BANG_EQ] = ACTIONS(1093),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_LT] = ACTIONS(1093),
    [ts_builtin_sym_end] = ACTIONS(1095),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_AT] = ACTIONS(1095),
    [anon_sym_switch] = ACTIONS(1093),
    [anon_sym_PERCENT] = ACTIONS(1095),
    [anon_sym_continue] = ACTIONS(1093),
    [anon_sym_void] = ACTIONS(1093),
    [anon_sym_do] = ACTIONS(1093),
  },
  [220] = {
    [sym__automatic_semicolon] = ACTIONS(604),
    [anon_sym_LPAREN] = ACTIONS(604),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(604),
    [anon_sym_SEMI] = ACTIONS(604),
  },
  [221] = {
    [aux_sym_export_statement_repeat1] = STATE(202),
    [sym__property_name] = STATE(222),
    [sym_computed_property_name] = STATE(222),
    [sym_method_definition] = STATE(388),
    [sym_string] = STATE(222),
    [sym_decorator] = STATE(202),
    [sym_public_field_definition] = STATE(389),
    [anon_sym_get] = ACTIONS(458),
    [anon_sym_SQUOTE] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(448),
    [anon_sym_static] = ACTIONS(1097),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(454),
  },
  [222] = {
    [sym__initializer] = STATE(391),
    [sym_formal_parameters] = STATE(290),
    [sym__automatic_semicolon] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(568),
    [anon_sym_SEMI] = ACTIONS(1099),
  },
  [223] = {
    [sym_public_field_definition] = STATE(225),
    [sym__property_name] = STATE(222),
    [sym_computed_property_name] = STATE(222),
    [aux_sym_class_body_repeat1] = STATE(393),
    [sym_method_definition] = STATE(224),
    [sym_string] = STATE(222),
    [aux_sym_export_statement_repeat1] = STATE(221),
    [sym_decorator] = STATE(221),
    [anon_sym_LBRACK] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(448),
    [anon_sym_static] = ACTIONS(450),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(454),
    [anon_sym_SQUOTE] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(460),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1101),
    [anon_sym_get] = ACTIONS(458),
  },
  [224] = {
    [anon_sym_get] = ACTIONS(1103),
    [anon_sym_SQUOTE] = ACTIONS(1105),
    [anon_sym_set] = ACTIONS(1103),
    [anon_sym_async] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_AT] = ACTIONS(1105),
    [anon_sym_SEMI] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [anon_sym_static] = ACTIONS(1103),
    [anon_sym_RBRACE] = ACTIONS(1105),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_STAR] = ACTIONS(1105),
    [sym_number] = ACTIONS(1105),
  },
  [225] = {
    [sym__automatic_semicolon] = ACTIONS(1107),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1107),
  },
  [226] = {
    [sym_class_body] = STATE(395),
    [anon_sym_LBRACE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [anon_sym_instanceof] = ACTIONS(1109),
    [sym__automatic_semicolon] = ACTIONS(1111),
    [anon_sym_class] = ACTIONS(1109),
    [anon_sym_DASH] = ACTIONS(1109),
    [anon_sym_STAR] = ACTIONS(1109),
    [anon_sym_AMP] = ACTIONS(1109),
    [anon_sym_throw] = ACTIONS(1109),
    [anon_sym_GT_EQ] = ACTIONS(1111),
    [sym_this] = ACTIONS(1109),
    [anon_sym_case] = ACTIONS(1109),
    [anon_sym_get] = ACTIONS(1109),
    [anon_sym_LT_EQ] = ACTIONS(1111),
    [anon_sym_COMMA] = ACTIONS(1111),
    [anon_sym_PLUS_PLUS] = ACTIONS(1111),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_TILDE] = ACTIONS(1111),
    [anon_sym_GT] = ACTIONS(1109),
    [sym_false] = ACTIONS(1109),
    [anon_sym_yield] = ACTIONS(1109),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_const] = ACTIONS(1109),
    [anon_sym_QMARK] = ACTIONS(1111),
    [anon_sym_try] = ACTIONS(1109),
    [anon_sym_await] = ACTIONS(1109),
    [anon_sym_let] = ACTIONS(1109),
    [anon_sym_CARET] = ACTIONS(1111),
    [anon_sym_GT_GT] = ACTIONS(1109),
    [anon_sym_in] = ACTIONS(1109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1111),
    [sym_undefined] = ACTIONS(1109),
    [anon_sym_EQ_GT] = ACTIONS(1111),
    [anon_sym_else] = ACTIONS(1109),
    [anon_sym_PIPE_PIPE] = ACTIONS(1111),
    [anon_sym_break] = ACTIONS(1109),
    [anon_sym_while] = ACTIONS(1109),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [anon_sym_PLUS] = ACTIONS(1109),
    [anon_sym_export] = ACTIONS(1109),
    [anon_sym_LT_LT] = ACTIONS(1111),
    [anon_sym_return] = ACTIONS(1109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1111),
    [anon_sym_import] = ACTIONS(1109),
    [anon_sym_STAR_STAR] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1111),
    [anon_sym_delete] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1109),
    [anon_sym_BANG] = ACTIONS(1109),
    [sym_true] = ACTIONS(1109),
    [anon_sym_default] = ACTIONS(1109),
    [anon_sym_SEMI] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_super] = ACTIONS(1109),
    [sym_number] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1109),
    [anon_sym_var] = ACTIONS(1109),
    [anon_sym_EQ_EQ] = ACTIONS(1109),
    [anon_sym_RBRACE] = ACTIONS(1111),
    [anon_sym_DASH_DASH] = ACTIONS(1111),
    [anon_sym_RPAREN] = ACTIONS(1111),
    [anon_sym_typeof] = ACTIONS(1109),
    [anon_sym_SLASH] = ACTIONS(1109),
    [sym_null] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(1109),
    [anon_sym_if] = ACTIONS(1109),
    [anon_sym_AMP_AMP] = ACTIONS(1111),
    [anon_sym_with] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DOT] = ACTIONS(1109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1109),
    [anon_sym_GT_GT_GT] = ACTIONS(1111),
    [anon_sym_debugger] = ACTIONS(1109),
    [anon_sym_BANG_EQ] = ACTIONS(1109),
    [sym_identifier] = ACTIONS(1109),
    [anon_sym_LT] = ACTIONS(1109),
    [ts_builtin_sym_end] = ACTIONS(1111),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_AT] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1109),
    [anon_sym_PERCENT] = ACTIONS(1111),
    [anon_sym_continue] = ACTIONS(1109),
    [anon_sym_void] = ACTIONS(1109),
    [anon_sym_do] = ACTIONS(1109),
  },
  [228] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_LBRACE] = ACTIONS(1113),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [229] = {
    [anon_sym_instanceof] = ACTIONS(1115),
    [anon_sym_SLASH] = ACTIONS(1117),
    [sym__automatic_semicolon] = ACTIONS(1115),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_CARET] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1115),
    [anon_sym_AMP_AMP] = ACTIONS(1115),
    [anon_sym_STAR] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1117),
    [anon_sym_AMP] = ACTIONS(1117),
    [anon_sym_in] = ACTIONS(1117),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1115),
    [anon_sym_GT_EQ] = ACTIONS(1115),
    [anon_sym_DOT] = ACTIONS(1115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1117),
    [anon_sym_LT_EQ] = ACTIONS(1115),
    [anon_sym_PIPE_PIPE] = ACTIONS(1115),
    [anon_sym_COMMA] = ACTIONS(1115),
    [anon_sym_GT_GT_GT] = ACTIONS(1115),
    [anon_sym_SEMI] = ACTIONS(1115),
    [anon_sym_PLUS_PLUS] = ACTIONS(1115),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [anon_sym_BANG_EQ] = ACTIONS(1117),
    [anon_sym_GT] = ACTIONS(1117),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_EQ_EQ] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1115),
    [anon_sym_DASH_DASH] = ACTIONS(1115),
    [anon_sym_RBRACE] = ACTIONS(1115),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1115),
    [anon_sym_RPAREN] = ACTIONS(1115),
  },
  [230] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1119),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(1119),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1119),
  },
  [231] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1121),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(1121),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1121),
  },
  [232] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1121),
    [anon_sym_COMMA] = ACTIONS(1121),
    [anon_sym_RPAREN] = ACTIONS(1121),
  },
  [233] = {
    [anon_sym_instanceof] = ACTIONS(1123),
    [sym__automatic_semicolon] = ACTIONS(1123),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_STAR_STAR] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_GT_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_GT] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1125),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_RPAREN] = ACTIONS(1123),
    [anon_sym_SLASH] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1123),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_DOT] = ACTIONS(1123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_GT_GT_GT] = ACTIONS(1123),
    [anon_sym_BANG_EQ] = ACTIONS(1125),
    [anon_sym_EQ] = ACTIONS(1125),
    [anon_sym_BQUOTE] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_PERCENT] = ACTIONS(1123),
    [anon_sym_LT_LT] = ACTIONS(1123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1123),
  },
  [234] = {
    [aux_sym_array_repeat1] = STATE(235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(131),
  },
  [235] = {
    [aux_sym_array_repeat1] = STATE(235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1121),
    [anon_sym_COMMA] = ACTIONS(1129),
    [anon_sym_RPAREN] = ACTIONS(1121),
  },
  [236] = {
    [anon_sym_instanceof] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1134),
    [sym__automatic_semicolon] = ACTIONS(1132),
    [anon_sym_COLON] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_STAR_STAR] = ACTIONS(1132),
    [anon_sym_AMP_AMP] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_in] = ACTIONS(1134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1134),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_PIPE_PIPE] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1132),
    [anon_sym_SEMI] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1134),
    [anon_sym_BQUOTE] = ACTIONS(1132),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1132),
    [anon_sym_RPAREN] = ACTIONS(1132),
  },
  [237] = {
    [aux_sym_string_repeat1] = STATE(237),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [sym_comment] = ACTIONS(171),
    [sym_escape_sequence] = ACTIONS(1138),
    [aux_sym_string_token1] = ACTIONS(1138),
  },
  [238] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1141),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [239] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1141),
  },
  [240] = {
    [anon_sym_instanceof] = ACTIONS(1143),
    [anon_sym_SLASH] = ACTIONS(1145),
    [sym__automatic_semicolon] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(1143),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_CARET] = ACTIONS(1143),
    [anon_sym_STAR_STAR] = ACTIONS(1143),
    [anon_sym_AMP_AMP] = ACTIONS(1143),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_GT_GT] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_in] = ACTIONS(1145),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1143),
    [anon_sym_GT_EQ] = ACTIONS(1143),
    [anon_sym_DOT] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1145),
    [anon_sym_LT_EQ] = ACTIONS(1143),
    [anon_sym_PIPE_PIPE] = ACTIONS(1143),
    [anon_sym_COMMA] = ACTIONS(1143),
    [anon_sym_GT_GT_GT] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1143),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_BANG_EQ] = ACTIONS(1145),
    [anon_sym_GT] = ACTIONS(1145),
    [anon_sym_BQUOTE] = ACTIONS(1143),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_EQ_EQ] = ACTIONS(1145),
    [anon_sym_PERCENT] = ACTIONS(1143),
    [anon_sym_QMARK] = ACTIONS(1143),
    [anon_sym_LT_LT] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1143),
    [anon_sym_RBRACE] = ACTIONS(1143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1143),
    [anon_sym_RPAREN] = ACTIONS(1143),
  },
  [241] = {
    [aux_sym_template_string_repeat1] = STATE(241),
    [sym_template_substitution] = STATE(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1147),
    [sym_escape_sequence] = ACTIONS(1150),
    [sym__template_chars] = ACTIONS(1150),
    [anon_sym_BQUOTE] = ACTIONS(1153),
  },
  [242] = {
    [anon_sym_instanceof] = ACTIONS(1155),
    [anon_sym_SLASH] = ACTIONS(1155),
    [sym__automatic_semicolon] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1157),
    [anon_sym_STAR_STAR] = ACTIONS(1157),
    [anon_sym_AMP_AMP] = ACTIONS(1157),
    [anon_sym_STAR] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1155),
    [anon_sym_AMP] = ACTIONS(1155),
    [anon_sym_in] = ACTIONS(1155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1157),
    [anon_sym_GT_EQ] = ACTIONS(1157),
    [anon_sym_DOT] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [sym_regex_flags] = ACTIONS(1159),
    [anon_sym_PIPE] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1157),
    [anon_sym_PIPE_PIPE] = ACTIONS(1157),
    [anon_sym_COMMA] = ACTIONS(1157),
    [anon_sym_GT_GT_GT] = ACTIONS(1157),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT] = ACTIONS(1155),
    [anon_sym_BQUOTE] = ACTIONS(1157),
    [anon_sym_LT] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_PERCENT] = ACTIONS(1157),
    [anon_sym_QMARK] = ACTIONS(1157),
    [anon_sym_LT_LT] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1157),
    [anon_sym_RPAREN] = ACTIONS(1157),
  },
  [243] = {
    [sym_statement_block] = STATE(399),
    [anon_sym_LBRACE] = ACTIONS(554),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [aux_sym_formal_parameters_repeat1] = STATE(308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1161),
    [anon_sym_RPAREN] = ACTIONS(1163),
  },
  [245] = {
    [sym__initializer] = STATE(384),
    [aux_sym_formal_parameters_repeat1] = STATE(312),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_COMMA] = ACTIONS(758),
    [anon_sym_RPAREN] = ACTIONS(760),
  },
  [246] = {
    [sym__initializer] = STATE(386),
    [aux_sym_formal_parameters_repeat1] = STATE(319),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_COMMA] = ACTIONS(1165),
    [anon_sym_RPAREN] = ACTIONS(1167),
  },
  [247] = {
    [sym__initializer] = STATE(385),
    [aux_sym_formal_parameters_repeat1] = STATE(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_COMMA] = ACTIONS(1169),
    [anon_sym_RPAREN] = ACTIONS(1171),
  },
  [248] = {
    [sym_formal_parameters] = STATE(400),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_statement_block] = STATE(401),
    [anon_sym_LBRACE] = ACTIONS(554),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [anon_sym_instanceof] = ACTIONS(1173),
    [sym__automatic_semicolon] = ACTIONS(1175),
    [anon_sym_class] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_throw] = ACTIONS(1173),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [sym_this] = ACTIONS(1173),
    [anon_sym_case] = ACTIONS(1173),
    [anon_sym_get] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_GT] = ACTIONS(1173),
    [sym_false] = ACTIONS(1173),
    [anon_sym_yield] = ACTIONS(1173),
    [anon_sym_async] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1173),
    [anon_sym_QMARK] = ACTIONS(1175),
    [anon_sym_try] = ACTIONS(1173),
    [anon_sym_await] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_GT_GT] = ACTIONS(1173),
    [anon_sym_in] = ACTIONS(1173),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1175),
    [sym_undefined] = ACTIONS(1173),
    [anon_sym_EQ_GT] = ACTIONS(1175),
    [anon_sym_else] = ACTIONS(1173),
    [anon_sym_PIPE_PIPE] = ACTIONS(1175),
    [anon_sym_break] = ACTIONS(1173),
    [anon_sym_while] = ACTIONS(1173),
    [anon_sym_BQUOTE] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_export] = ACTIONS(1173),
    [anon_sym_LT_LT] = ACTIONS(1175),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(1173),
    [anon_sym_STAR_STAR] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_delete] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1173),
    [sym_true] = ACTIONS(1173),
    [anon_sym_default] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(1175),
    [anon_sym_DQUOTE] = ACTIONS(1175),
    [sym_super] = ACTIONS(1173),
    [sym_number] = ACTIONS(1175),
    [anon_sym_set] = ACTIONS(1173),
    [anon_sym_var] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1173),
    [anon_sym_RBRACE] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_RPAREN] = ACTIONS(1175),
    [anon_sym_typeof] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1173),
    [sym_null] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(1175),
    [anon_sym_function] = ACTIONS(1173),
    [anon_sym_if] = ACTIONS(1173),
    [anon_sym_AMP_AMP] = ACTIONS(1175),
    [anon_sym_with] = ACTIONS(1173),
    [anon_sym_SQUOTE] = ACTIONS(1175),
    [anon_sym_DOT] = ACTIONS(1173),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1173),
    [anon_sym_GT_GT_GT] = ACTIONS(1175),
    [anon_sym_debugger] = ACTIONS(1173),
    [anon_sym_BANG_EQ] = ACTIONS(1173),
    [sym_identifier] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [ts_builtin_sym_end] = ACTIONS(1175),
    [anon_sym_new] = ACTIONS(1173),
    [anon_sym_AT] = ACTIONS(1175),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_PERCENT] = ACTIONS(1175),
    [anon_sym_continue] = ACTIONS(1173),
    [anon_sym_void] = ACTIONS(1173),
    [anon_sym_do] = ACTIONS(1173),
  },
  [251] = {
    [sym_identifier] = ACTIONS(1177),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [anon_sym_class] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_DQUOTE] = ACTIONS(1181),
    [anon_sym_static] = ACTIONS(1179),
    [sym_identifier] = ACTIONS(1179),
    [anon_sym_STAR] = ACTIONS(1181),
    [sym_number] = ACTIONS(1181),
    [anon_sym_SQUOTE] = ACTIONS(1181),
    [anon_sym_set] = ACTIONS(1179),
    [anon_sym_AT] = ACTIONS(1181),
    [anon_sym_async] = ACTIONS(1179),
    [anon_sym_export] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1179),
  },
  [253] = {
    [sym__automatic_semicolon] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(1183),
  },
  [254] = {
    [anon_sym_class] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_import] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym_delete] = ACTIONS(1185),
    [anon_sym_throw] = ACTIONS(1185),
    [anon_sym_for] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(1187),
    [sym_this] = ACTIONS(1185),
    [sym_true] = ACTIONS(1185),
    [anon_sym_case] = ACTIONS(1185),
    [anon_sym_get] = ACTIONS(1185),
    [anon_sym_default] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [anon_sym_DQUOTE] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_TILDE] = ACTIONS(1187),
    [sym_super] = ACTIONS(1185),
    [sym_false] = ACTIONS(1185),
    [sym_number] = ACTIONS(1187),
    [anon_sym_yield] = ACTIONS(1185),
    [anon_sym_set] = ACTIONS(1185),
    [anon_sym_async] = ACTIONS(1185),
    [anon_sym_var] = ACTIONS(1185),
    [anon_sym_const] = ACTIONS(1185),
    [anon_sym_RBRACE] = ACTIONS(1187),
    [anon_sym_DASH_DASH] = ACTIONS(1187),
    [anon_sym_try] = ACTIONS(1185),
    [anon_sym_typeof] = ACTIONS(1185),
    [anon_sym_await] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [sym_null] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1185),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_with] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1187),
    [sym_undefined] = ACTIONS(1185),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1185),
    [anon_sym_break] = ACTIONS(1185),
    [anon_sym_debugger] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1185),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_BQUOTE] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1187),
    [ts_builtin_sym_end] = ACTIONS(1187),
    [anon_sym_new] = ACTIONS(1185),
    [anon_sym_AT] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_switch] = ACTIONS(1185),
    [anon_sym_export] = ACTIONS(1185),
    [anon_sym_continue] = ACTIONS(1185),
    [anon_sym_void] = ACTIONS(1185),
    [anon_sym_return] = ACTIONS(1185),
    [anon_sym_do] = ACTIONS(1185),
  },
  [255] = {
    [sym_variable_declarator] = STATE(403),
    [sym_array] = STATE(88),
    [sym_object] = STATE(89),
    [anon_sym_LBRACE] = ACTIONS(193),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
  },
  [256] = {
    [aux_sym_variable_declaration_repeat1] = STATE(405),
    [sym__automatic_semicolon] = ACTIONS(1189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(572),
    [anon_sym_SEMI] = ACTIONS(1189),
  },
  [257] = {
    [sym__automatic_semicolon] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
  },
  [258] = {
    [sym__automatic_semicolon] = ACTIONS(1193),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
  },
  [259] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1195),
    [anon_sym_COMMA] = ACTIONS(1195),
    [anon_sym_as] = ACTIONS(1197),
  },
  [260] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1199),
  },
  [261] = {
    [anon_sym_from] = ACTIONS(1201),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [aux_sym_named_imports_repeat1] = STATE(410),
    [anon_sym_COMMA] = ACTIONS(1203),
    [anon_sym_RBRACE] = ACTIONS(1205),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_namespace_import] = STATE(411),
    [sym_named_imports] = STATE(411),
    [anon_sym_LBRACE] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(203),
  },
  [264] = {
    [sym_identifier] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_string] = STATE(413),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(45),
  },
  [266] = {
    [sym__automatic_semicolon] = ACTIONS(1209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1209),
  },
  [267] = {
    [anon_sym_class] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_import] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_delete] = ACTIONS(1211),
    [anon_sym_throw] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_BANG] = ACTIONS(1213),
    [sym_this] = ACTIONS(1211),
    [sym_true] = ACTIONS(1211),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_get] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [sym_super] = ACTIONS(1211),
    [sym_false] = ACTIONS(1211),
    [sym_number] = ACTIONS(1213),
    [anon_sym_yield] = ACTIONS(1211),
    [anon_sym_set] = ACTIONS(1211),
    [anon_sym_async] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1211),
    [anon_sym_const] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_try] = ACTIONS(1211),
    [anon_sym_typeof] = ACTIONS(1211),
    [anon_sym_await] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1211),
    [sym_null] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1213),
    [anon_sym_function] = ACTIONS(1211),
    [anon_sym_let] = ACTIONS(1211),
    [anon_sym_if] = ACTIONS(1211),
    [anon_sym_with] = ACTIONS(1211),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [sym_undefined] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1213),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_break] = ACTIONS(1211),
    [anon_sym_debugger] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1211),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_BQUOTE] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [ts_builtin_sym_end] = ACTIONS(1213),
    [anon_sym_new] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1211),
    [anon_sym_continue] = ACTIONS(1211),
    [anon_sym_void] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1211),
    [anon_sym_do] = ACTIONS(1211),
  },
  [268] = {
    [anon_sym_class] = ACTIONS(1215),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_import] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1215),
    [anon_sym_throw] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(1215),
    [anon_sym_BANG] = ACTIONS(1217),
    [sym_this] = ACTIONS(1215),
    [sym_true] = ACTIONS(1215),
    [anon_sym_case] = ACTIONS(1215),
    [anon_sym_get] = ACTIONS(1215),
    [anon_sym_default] = ACTIONS(1215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1217),
    [sym_super] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_number] = ACTIONS(1217),
    [anon_sym_yield] = ACTIONS(1215),
    [anon_sym_set] = ACTIONS(1215),
    [anon_sym_async] = ACTIONS(1215),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_const] = ACTIONS(1215),
    [anon_sym_RBRACE] = ACTIONS(1217),
    [anon_sym_DASH_DASH] = ACTIONS(1217),
    [anon_sym_try] = ACTIONS(1215),
    [anon_sym_typeof] = ACTIONS(1215),
    [anon_sym_await] = ACTIONS(1215),
    [anon_sym_SLASH] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [anon_sym_LBRACK] = ACTIONS(1217),
    [anon_sym_function] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_with] = ACTIONS(1215),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [sym_undefined] = ACTIONS(1215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1217),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1215),
    [anon_sym_debugger] = ACTIONS(1215),
    [anon_sym_while] = ACTIONS(1215),
    [sym_identifier] = ACTIONS(1215),
    [anon_sym_BQUOTE] = ACTIONS(1217),
    [anon_sym_LT] = ACTIONS(1217),
    [ts_builtin_sym_end] = ACTIONS(1217),
    [anon_sym_new] = ACTIONS(1215),
    [anon_sym_AT] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1215),
    [anon_sym_export] = ACTIONS(1215),
    [anon_sym_continue] = ACTIONS(1215),
    [anon_sym_void] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1215),
  },
  [269] = {
    [sym_formal_parameters] = STATE(416),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [anon_sym_instanceof] = ACTIONS(1221),
    [sym__automatic_semicolon] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_STAR_STAR] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(1223),
    [anon_sym_AMP] = ACTIONS(1223),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_GT] = ACTIONS(1223),
    [anon_sym_EQ_EQ] = ACTIONS(1223),
    [anon_sym_QMARK] = ACTIONS(1221),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_CARET] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1221),
    [anon_sym_GT_GT] = ACTIONS(1223),
    [anon_sym_in] = ACTIONS(1223),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1221),
    [anon_sym_of] = ACTIONS(1221),
    [anon_sym_DOT] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1223),
    [anon_sym_PIPE_PIPE] = ACTIONS(1221),
    [anon_sym_GT_GT_GT] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1223),
    [anon_sym_EQ] = ACTIONS(1223),
    [anon_sym_BQUOTE] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1223),
    [anon_sym_PERCENT] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(1221),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1221),
  },
  [271] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [272] = {
    [sym_string] = STATE(269),
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(598),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(604),
    [anon_sym_RBRACE] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_get] = ACTIONS(598),
    [sym_number] = ACTIONS(602),
  },
  [273] = {
    [sym_string] = STATE(269),
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym_number] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(632),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(604),
    [anon_sym_RBRACE] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_STAR] = ACTIONS(1085),
    [anon_sym_get] = ACTIONS(632),
  },
  [274] = {
    [sym__initializer] = STATE(384),
    [anon_sym_LPAREN] = ACTIONS(604),
    [anon_sym_RBRACE] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(1227),
    [anon_sym_EQ] = ACTIONS(1087),
  },
  [275] = {
    [anon_sym_COMMA] = ACTIONS(1229),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym__property_name] = STATE(287),
    [sym_computed_property_name] = STATE(287),
    [sym_method_definition] = STATE(418),
    [sym_string] = STATE(287),
    [sym_decorator] = STATE(202),
    [aux_sym_export_statement_repeat1] = STATE(202),
    [anon_sym_get] = ACTIONS(668),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(670),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(666),
  },
  [277] = {
    [anon_sym_LPAREN] = ACTIONS(604),
    [anon_sym_EQ_GT] = ACTIONS(822),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym__property_name] = STATE(419),
    [sym_computed_property_name] = STATE(419),
    [sym_string] = STATE(419),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(604),
    [sym_identifier] = ACTIONS(598),
    [sym_number] = ACTIONS(1231),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(598),
    [anon_sym_async] = ACTIONS(598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(598),
  },
  [279] = {
    [sym__property_name] = STATE(419),
    [sym_computed_property_name] = STATE(419),
    [sym_string] = STATE(419),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(598),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_get] = ACTIONS(598),
    [sym_number] = ACTIONS(1231),
  },
  [280] = {
    [aux_sym_array_repeat1] = STATE(234),
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1233),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [281] = {
    [anon_sym_instanceof] = ACTIONS(796),
    [anon_sym_SLASH] = ACTIONS(798),
    [sym__automatic_semicolon] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(796),
    [anon_sym_DASH] = ACTIONS(798),
    [anon_sym_CARET] = ACTIONS(796),
    [anon_sym_STAR_STAR] = ACTIONS(796),
    [anon_sym_AMP_AMP] = ACTIONS(796),
    [anon_sym_STAR] = ACTIONS(798),
    [anon_sym_GT_GT] = ACTIONS(798),
    [anon_sym_AMP] = ACTIONS(798),
    [anon_sym_in] = ACTIONS(798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(796),
    [anon_sym_GT_EQ] = ACTIONS(796),
    [anon_sym_DOT] = ACTIONS(796),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(798),
    [anon_sym_LT_EQ] = ACTIONS(796),
    [anon_sym_PIPE_PIPE] = ACTIONS(796),
    [anon_sym_COMMA] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(796),
    [anon_sym_BANG_EQ] = ACTIONS(798),
    [anon_sym_GT] = ACTIONS(798),
    [anon_sym_BQUOTE] = ACTIONS(796),
    [anon_sym_LT] = ACTIONS(798),
    [anon_sym_PLUS] = ACTIONS(798),
    [anon_sym_EQ_EQ] = ACTIONS(798),
    [anon_sym_PERCENT] = ACTIONS(796),
    [anon_sym_QMARK] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [anon_sym_LT_LT] = ACTIONS(796),
    [anon_sym_DASH_DASH] = ACTIONS(796),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(796),
  },
  [282] = {
    [anon_sym_instanceof] = ACTIONS(1240),
    [sym__automatic_semicolon] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_STAR_STAR] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_GT_EQ] = ACTIONS(1240),
    [anon_sym_LT_EQ] = ACTIONS(1240),
    [anon_sym_COMMA] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [anon_sym_GT] = ACTIONS(1242),
    [anon_sym_EQ_EQ] = ACTIONS(1242),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_RPAREN] = ACTIONS(1240),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_CARET] = ACTIONS(1240),
    [anon_sym_AMP_AMP] = ACTIONS(1240),
    [anon_sym_GT_GT] = ACTIONS(1242),
    [anon_sym_in] = ACTIONS(1242),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1240),
    [anon_sym_of] = ACTIONS(1240),
    [anon_sym_DOT] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1242),
    [anon_sym_PIPE_PIPE] = ACTIONS(1240),
    [anon_sym_GT_GT_GT] = ACTIONS(1240),
    [anon_sym_BANG_EQ] = ACTIONS(1242),
    [anon_sym_EQ] = ACTIONS(1242),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_LT] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_PERCENT] = ACTIONS(1240),
    [anon_sym_LT_LT] = ACTIONS(1240),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1240),
  },
  [283] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [284] = {
    [anon_sym_class] = ACTIONS(1246),
    [anon_sym_static] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_import] = ACTIONS(1246),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_delete] = ACTIONS(1246),
    [anon_sym_throw] = ACTIONS(1246),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1248),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1246),
    [anon_sym_case] = ACTIONS(1246),
    [anon_sym_get] = ACTIONS(1246),
    [anon_sym_default] = ACTIONS(1246),
    [anon_sym_COMMA] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_TILDE] = ACTIONS(1248),
    [sym_super] = ACTIONS(1246),
    [sym_false] = ACTIONS(1246),
    [anon_sym_catch] = ACTIONS(1246),
    [sym_number] = ACTIONS(1248),
    [anon_sym_yield] = ACTIONS(1246),
    [anon_sym_set] = ACTIONS(1246),
    [anon_sym_async] = ACTIONS(1246),
    [anon_sym_var] = ACTIONS(1246),
    [anon_sym_const] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_try] = ACTIONS(1246),
    [anon_sym_typeof] = ACTIONS(1246),
    [anon_sym_await] = ACTIONS(1246),
    [anon_sym_SLASH] = ACTIONS(1246),
    [sym_null] = ACTIONS(1246),
    [anon_sym_finally] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_function] = ACTIONS(1246),
    [anon_sym_let] = ACTIONS(1246),
    [anon_sym_if] = ACTIONS(1246),
    [anon_sym_with] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1246),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1246),
    [anon_sym_break] = ACTIONS(1246),
    [anon_sym_debugger] = ACTIONS(1246),
    [anon_sym_while] = ACTIONS(1246),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_LT] = ACTIONS(1248),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(1246),
    [anon_sym_AT] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_switch] = ACTIONS(1246),
    [anon_sym_export] = ACTIONS(1246),
    [anon_sym_continue] = ACTIONS(1246),
    [anon_sym_void] = ACTIONS(1246),
    [anon_sym_return] = ACTIONS(1246),
    [anon_sym_do] = ACTIONS(1246),
  },
  [285] = {
    [aux_sym_object_repeat1] = STATE(285),
    [anon_sym_COMMA] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [anon_sym_instanceof] = ACTIONS(1012),
    [anon_sym_SLASH] = ACTIONS(1014),
    [sym__automatic_semicolon] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_CARET] = ACTIONS(1012),
    [anon_sym_STAR_STAR] = ACTIONS(1012),
    [anon_sym_AMP_AMP] = ACTIONS(1012),
    [anon_sym_STAR] = ACTIONS(1014),
    [anon_sym_GT_GT] = ACTIONS(1014),
    [anon_sym_AMP] = ACTIONS(1014),
    [anon_sym_in] = ACTIONS(1014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1012),
    [anon_sym_GT_EQ] = ACTIONS(1012),
    [anon_sym_DOT] = ACTIONS(1012),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1014),
    [anon_sym_LT_EQ] = ACTIONS(1012),
    [anon_sym_PIPE_PIPE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(1253),
    [anon_sym_GT_GT_GT] = ACTIONS(1012),
    [anon_sym_SEMI] = ACTIONS(1012),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(1012),
    [anon_sym_BANG_EQ] = ACTIONS(1014),
    [anon_sym_GT] = ACTIONS(1014),
    [anon_sym_BQUOTE] = ACTIONS(1012),
    [anon_sym_LT] = ACTIONS(1014),
    [anon_sym_PLUS] = ACTIONS(1014),
    [anon_sym_EQ_EQ] = ACTIONS(1014),
    [anon_sym_PERCENT] = ACTIONS(1012),
    [anon_sym_QMARK] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [anon_sym_LT_LT] = ACTIONS(1012),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1012),
  },
  [287] = {
    [sym_formal_parameters] = STATE(290),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [aux_sym_object_repeat1] = STATE(422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [289] = {
    [sym_new_expression] = STATE(423),
    [sym_augmented_assignment_expression] = STATE(423),
    [sym_unary_expression] = STATE(423),
    [sym_update_expression] = STATE(423),
    [sym_regex] = STATE(423),
    [sym_meta_property] = STATE(423),
    [sym__expression] = STATE(423),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(423),
    [sym_jsx_fragment] = STATE(423),
    [sym_jsx_element] = STATE(423),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(423),
    [sym_await_expression] = STATE(423),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(423),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(423),
    [sym_generator_function] = STATE(423),
    [sym_call_expression] = STATE(423),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(423),
    [sym_ternary_expression] = STATE(423),
    [sym_binary_expression] = STATE(423),
    [sym_template_string] = STATE(423),
    [sym_parenthesized_expression] = STATE(423),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(423),
    [sym_class] = STATE(423),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1258),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1258),
    [sym_undefined] = ACTIONS(1258),
    [sym_true] = ACTIONS(1258),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1258),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1260),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [290] = {
    [sym_statement_block] = STATE(424),
    [anon_sym_LBRACE] = ACTIONS(362),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [anon_sym_instanceof] = ACTIONS(1063),
    [anon_sym_SLASH] = ACTIONS(1065),
    [sym__automatic_semicolon] = ACTIONS(1063),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(1065),
    [anon_sym_CARET] = ACTIONS(1063),
    [anon_sym_STAR_STAR] = ACTIONS(1063),
    [anon_sym_AMP_AMP] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1065),
    [anon_sym_GT_GT] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1065),
    [anon_sym_in] = ACTIONS(1065),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1063),
    [anon_sym_GT_EQ] = ACTIONS(1063),
    [anon_sym_DOT] = ACTIONS(1063),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1065),
    [anon_sym_LT_EQ] = ACTIONS(1063),
    [anon_sym_PIPE_PIPE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(1262),
    [anon_sym_GT_GT_GT] = ACTIONS(1063),
    [anon_sym_SEMI] = ACTIONS(1063),
    [anon_sym_PLUS_PLUS] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_BANG_EQ] = ACTIONS(1065),
    [anon_sym_GT] = ACTIONS(1065),
    [anon_sym_BQUOTE] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(1065),
    [anon_sym_EQ_EQ] = ACTIONS(1065),
    [anon_sym_PERCENT] = ACTIONS(1063),
    [anon_sym_QMARK] = ACTIONS(1063),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [anon_sym_LT_LT] = ACTIONS(1063),
    [anon_sym_DASH_DASH] = ACTIONS(1063),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1063),
  },
  [292] = {
    [anon_sym_class] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_delete] = ACTIONS(1267),
    [anon_sym_throw] = ACTIONS(1267),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_BANG] = ACTIONS(1269),
    [sym_this] = ACTIONS(1267),
    [sym_true] = ACTIONS(1267),
    [anon_sym_case] = ACTIONS(1267),
    [anon_sym_get] = ACTIONS(1267),
    [anon_sym_default] = ACTIONS(1267),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1269),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [sym_super] = ACTIONS(1267),
    [sym_false] = ACTIONS(1267),
    [sym_number] = ACTIONS(1269),
    [anon_sym_yield] = ACTIONS(1267),
    [anon_sym_set] = ACTIONS(1267),
    [anon_sym_async] = ACTIONS(1267),
    [anon_sym_var] = ACTIONS(1267),
    [anon_sym_const] = ACTIONS(1267),
    [anon_sym_RBRACE] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1267),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_SLASH] = ACTIONS(1267),
    [sym_null] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1269),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_let] = ACTIONS(1267),
    [anon_sym_if] = ACTIONS(1267),
    [anon_sym_with] = ACTIONS(1267),
    [anon_sym_SQUOTE] = ACTIONS(1269),
    [sym_undefined] = ACTIONS(1267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1269),
    [anon_sym_else] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_debugger] = ACTIONS(1267),
    [anon_sym_while] = ACTIONS(1267),
    [sym_identifier] = ACTIONS(1267),
    [anon_sym_BQUOTE] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(1269),
    [ts_builtin_sym_end] = ACTIONS(1269),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(1269),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_switch] = ACTIONS(1267),
    [anon_sym_export] = ACTIONS(1267),
    [anon_sym_continue] = ACTIONS(1267),
    [anon_sym_void] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1267),
    [anon_sym_do] = ACTIONS(1267),
  },
  [293] = {
    [anon_sym_class] = ACTIONS(1271),
    [anon_sym_DASH] = ACTIONS(1271),
    [anon_sym_import] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1271),
    [anon_sym_throw] = ACTIONS(1271),
    [anon_sym_for] = ACTIONS(1271),
    [anon_sym_BANG] = ACTIONS(1273),
    [sym_this] = ACTIONS(1271),
    [sym_true] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1271),
    [anon_sym_get] = ACTIONS(1271),
    [anon_sym_default] = ACTIONS(1271),
    [anon_sym_PLUS_PLUS] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1273),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1273),
    [sym_super] = ACTIONS(1271),
    [sym_false] = ACTIONS(1271),
    [sym_number] = ACTIONS(1273),
    [anon_sym_yield] = ACTIONS(1271),
    [anon_sym_set] = ACTIONS(1271),
    [anon_sym_async] = ACTIONS(1271),
    [anon_sym_var] = ACTIONS(1271),
    [anon_sym_const] = ACTIONS(1271),
    [anon_sym_RBRACE] = ACTIONS(1273),
    [anon_sym_DASH_DASH] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1271),
    [anon_sym_typeof] = ACTIONS(1271),
    [anon_sym_await] = ACTIONS(1271),
    [anon_sym_SLASH] = ACTIONS(1271),
    [sym_null] = ACTIONS(1271),
    [anon_sym_LBRACK] = ACTIONS(1273),
    [anon_sym_function] = ACTIONS(1271),
    [anon_sym_let] = ACTIONS(1271),
    [anon_sym_if] = ACTIONS(1271),
    [anon_sym_with] = ACTIONS(1271),
    [anon_sym_SQUOTE] = ACTIONS(1273),
    [sym_undefined] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1273),
    [anon_sym_else] = ACTIONS(1271),
    [anon_sym_break] = ACTIONS(1271),
    [anon_sym_debugger] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1271),
    [sym_identifier] = ACTIONS(1271),
    [anon_sym_BQUOTE] = ACTIONS(1273),
    [anon_sym_LT] = ACTIONS(1273),
    [ts_builtin_sym_end] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1271),
    [anon_sym_AT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_switch] = ACTIONS(1271),
    [anon_sym_export] = ACTIONS(1271),
    [anon_sym_continue] = ACTIONS(1271),
    [anon_sym_void] = ACTIONS(1271),
    [anon_sym_return] = ACTIONS(1271),
    [anon_sym_do] = ACTIONS(1271),
  },
  [294] = {
    [sym_array] = STATE(427),
    [sym_object] = STATE(428),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_var] = ACTIONS(1275),
    [anon_sym_const] = ACTIONS(1275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_let] = ACTIONS(1275),
    [sym_identifier] = ACTIONS(1277),
  },
  [295] = {
    [sym_variable_declarator] = STATE(87),
    [sym_array] = STATE(430),
    [sym_object] = STATE(431),
    [anon_sym_LBRACE] = ACTIONS(193),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(197),
  },
  [296] = {
    [sym__initializer] = STATE(150),
    [anon_sym_instanceof] = ACTIONS(289),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_STAR_EQ] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_SLASH_EQ] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_LT_LT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(295),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(1281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_of] = ACTIONS(1283),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(293),
    [anon_sym_EQ_GT] = ACTIONS(299),
    [anon_sym_PLUS_EQ] = ACTIONS(293),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_CARET_EQ] = ACTIONS(293),
    [anon_sym_DASH_EQ] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(295),
    [anon_sym_LT_LT] = ACTIONS(295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [297] = {
    [sym_variable_declarator] = STATE(169),
    [sym_array] = STATE(430),
    [sym_object] = STATE(431),
    [anon_sym_LBRACE] = ACTIONS(193),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(197),
  },
  [298] = {
    [sym_new_expression] = STATE(48),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_update_expression] = STATE(48),
    [sym_regex] = STATE(48),
    [sym_meta_property] = STATE(48),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(48),
    [sym_await_expression] = STATE(48),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(434),
    [sym_sequence_expression] = STATE(52),
    [sym_string] = STATE(48),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_empty_statement] = STATE(434),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(48),
    [sym_generator_function] = STATE(48),
    [sym_call_expression] = STATE(48),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(48),
    [sym_ternary_expression] = STATE(48),
    [sym_binary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(48),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_undefined] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [299] = {
    [sym__initializer] = STATE(189),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(1285),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_of] = ACTIONS(1287),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [300] = {
    [sym__initializer] = STATE(203),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(1289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_of] = ACTIONS(1291),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [301] = {
    [aux_sym_string_repeat2] = STATE(301),
    [sym_comment] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(1293),
    [sym_escape_sequence] = ACTIONS(1295),
    [aux_sym_string_token2] = ACTIONS(1295),
  },
  [302] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1298),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
    [anon_sym_RPAREN] = ACTIONS(1298),
  },
  [303] = {
    [anon_sym_instanceof] = ACTIONS(1300),
    [sym__automatic_semicolon] = ACTIONS(1300),
    [anon_sym_AMP_EQ] = ACTIONS(1300),
    [anon_sym_GT_GT_EQ] = ACTIONS(1300),
    [anon_sym_STAR_EQ] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_STAR_STAR] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_GT_EQ] = ACTIONS(1300),
    [anon_sym_PIPE_EQ] = ACTIONS(1300),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1300),
    [anon_sym_SLASH_EQ] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1300),
    [anon_sym_COMMA] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_LT_LT_EQ] = ACTIONS(1300),
    [anon_sym_EQ_EQ] = ACTIONS(1302),
    [anon_sym_QMARK] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_RPAREN] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym_AMP_AMP] = ACTIONS(1300),
    [anon_sym_GT_GT] = ACTIONS(1302),
    [anon_sym_in] = ACTIONS(1302),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1300),
    [anon_sym_DOT] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(1300),
    [anon_sym_PLUS_EQ] = ACTIONS(1300),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_PIPE_PIPE] = ACTIONS(1300),
    [anon_sym_GT_GT_GT] = ACTIONS(1302),
    [anon_sym_BANG_EQ] = ACTIONS(1302),
    [anon_sym_EQ] = ACTIONS(1302),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_CARET_EQ] = ACTIONS(1300),
    [anon_sym_DASH_EQ] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_PERCENT] = ACTIONS(1302),
    [anon_sym_LT_LT] = ACTIONS(1302),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1300),
  },
  [304] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1304),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1304),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
    [anon_sym_RPAREN] = ACTIONS(1304),
  },
  [305] = {
    [anon_sym_class] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_import] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_delete] = ACTIONS(1306),
    [anon_sym_throw] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1308),
    [sym_this] = ACTIONS(1306),
    [sym_true] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_get] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [anon_sym_LPAREN] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [sym_super] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [sym_number] = ACTIONS(1308),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_set] = ACTIONS(1306),
    [anon_sym_async] = ACTIONS(1306),
    [anon_sym_var] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_try] = ACTIONS(1306),
    [anon_sym_typeof] = ACTIONS(1306),
    [anon_sym_await] = ACTIONS(1306),
    [anon_sym_SLASH] = ACTIONS(1306),
    [sym_null] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(1306),
    [anon_sym_let] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_with] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [sym_undefined] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_debugger] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [sym_identifier] = ACTIONS(1306),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [anon_sym_LT] = ACTIONS(1308),
    [ts_builtin_sym_end] = ACTIONS(1308),
    [anon_sym_new] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_export] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_void] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
  },
  [306] = {
    [sym_array] = STATE(442),
    [sym_object] = STATE(443),
    [sym_assignment_pattern] = STATE(444),
    [sym_rest_parameter] = STATE(444),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_set] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(548),
    [anon_sym_async] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1312),
    [anon_sym_get] = ACTIONS(1310),
    [anon_sym_RPAREN] = ACTIONS(1314),
  },
  [307] = {
    [anon_sym_LBRACE] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1316),
  },
  [308] = {
    [aux_sym_formal_parameters_repeat1] = STATE(446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1318),
    [anon_sym_RPAREN] = ACTIONS(1314),
  },
  [309] = {
    [anon_sym_COMMA] = ACTIONS(1320),
    [anon_sym_RPAREN] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [anon_sym_LBRACE] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1322),
  },
  [311] = {
    [sym_array] = STATE(442),
    [sym_object] = STATE(443),
    [sym_assignment_pattern] = STATE(444),
    [sym_rest_parameter] = STATE(444),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_set] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(548),
    [anon_sym_async] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1312),
    [anon_sym_get] = ACTIONS(1310),
    [anon_sym_RPAREN] = ACTIONS(1324),
  },
  [312] = {
    [aux_sym_formal_parameters_repeat1] = STATE(446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1324),
  },
  [313] = {
    [anon_sym_instanceof] = ACTIONS(1328),
    [anon_sym_SLASH] = ACTIONS(1330),
    [sym__automatic_semicolon] = ACTIONS(1328),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_CARET] = ACTIONS(1328),
    [anon_sym_STAR_STAR] = ACTIONS(1328),
    [anon_sym_AMP_AMP] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_GT_GT] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_in] = ACTIONS(1330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1328),
    [anon_sym_GT_EQ] = ACTIONS(1328),
    [anon_sym_DOT] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1330),
    [anon_sym_LT_EQ] = ACTIONS(1328),
    [anon_sym_PIPE_PIPE] = ACTIONS(1328),
    [anon_sym_COMMA] = ACTIONS(1328),
    [anon_sym_GT_GT_GT] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [anon_sym_BANG_EQ] = ACTIONS(1330),
    [anon_sym_GT] = ACTIONS(1330),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [anon_sym_LT] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_EQ_EQ] = ACTIONS(1330),
    [anon_sym_PERCENT] = ACTIONS(1328),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_LT_LT] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1328),
    [anon_sym_RPAREN] = ACTIONS(1328),
  },
  [314] = {
    [sym_array] = STATE(442),
    [sym_object] = STATE(443),
    [sym_assignment_pattern] = STATE(444),
    [sym_rest_parameter] = STATE(444),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_set] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(548),
    [anon_sym_async] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1312),
    [anon_sym_get] = ACTIONS(1310),
    [anon_sym_RPAREN] = ACTIONS(1332),
  },
  [315] = {
    [anon_sym_LBRACE] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1334),
  },
  [316] = {
    [aux_sym_formal_parameters_repeat1] = STATE(446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1336),
    [anon_sym_RPAREN] = ACTIONS(1332),
  },
  [317] = {
    [sym_array] = STATE(442),
    [sym_object] = STATE(443),
    [sym_assignment_pattern] = STATE(444),
    [sym_rest_parameter] = STATE(444),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_set] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(548),
    [anon_sym_async] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1312),
    [anon_sym_get] = ACTIONS(1310),
    [anon_sym_RPAREN] = ACTIONS(1338),
  },
  [318] = {
    [anon_sym_LBRACE] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1340),
  },
  [319] = {
    [aux_sym_formal_parameters_repeat1] = STATE(446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1342),
    [anon_sym_RPAREN] = ACTIONS(1338),
  },
  [320] = {
    [anon_sym_class] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_import] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_delete] = ACTIONS(1344),
    [anon_sym_throw] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1346),
    [sym_this] = ACTIONS(1344),
    [sym_true] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_get] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [sym_super] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [sym_number] = ACTIONS(1346),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_set] = ACTIONS(1344),
    [anon_sym_async] = ACTIONS(1344),
    [anon_sym_var] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_try] = ACTIONS(1344),
    [anon_sym_typeof] = ACTIONS(1344),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1344),
    [sym_null] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(1344),
    [anon_sym_let] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_with] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [sym_undefined] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_debugger] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [sym_identifier] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1346),
    [anon_sym_LT] = ACTIONS(1346),
    [ts_builtin_sym_end] = ACTIONS(1346),
    [anon_sym_new] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_export] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_void] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
  },
  [321] = {
    [anon_sym_instanceof] = ACTIONS(1348),
    [sym__automatic_semicolon] = ACTIONS(1348),
    [anon_sym_AMP_EQ] = ACTIONS(1348),
    [anon_sym_GT_GT_EQ] = ACTIONS(1348),
    [anon_sym_STAR_EQ] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_STAR_STAR] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_GT_EQ] = ACTIONS(1348),
    [anon_sym_PIPE_EQ] = ACTIONS(1348),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1348),
    [anon_sym_SLASH_EQ] = ACTIONS(1348),
    [anon_sym_LT_EQ] = ACTIONS(1348),
    [anon_sym_COMMA] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [anon_sym_GT] = ACTIONS(1350),
    [anon_sym_LT_LT_EQ] = ACTIONS(1348),
    [anon_sym_EQ_EQ] = ACTIONS(1350),
    [anon_sym_QMARK] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_RPAREN] = ACTIONS(1348),
    [anon_sym_SLASH] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1348),
    [anon_sym_CARET] = ACTIONS(1350),
    [anon_sym_AMP_AMP] = ACTIONS(1348),
    [anon_sym_GT_GT] = ACTIONS(1350),
    [anon_sym_in] = ACTIONS(1350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1348),
    [anon_sym_DOT] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(1348),
    [anon_sym_PLUS_EQ] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1350),
    [anon_sym_PIPE_PIPE] = ACTIONS(1348),
    [anon_sym_GT_GT_GT] = ACTIONS(1350),
    [anon_sym_BANG_EQ] = ACTIONS(1350),
    [anon_sym_EQ] = ACTIONS(1350),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_LT] = ACTIONS(1350),
    [anon_sym_CARET_EQ] = ACTIONS(1348),
    [anon_sym_DASH_EQ] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_PERCENT] = ACTIONS(1350),
    [anon_sym_LT_LT] = ACTIONS(1350),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1348),
  },
  [322] = {
    [anon_sym_instanceof] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(1354),
    [sym__automatic_semicolon] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_STAR_STAR] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1354),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1352),
    [anon_sym_GT_EQ] = ACTIONS(1352),
    [anon_sym_DOT] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1352),
    [anon_sym_PIPE_PIPE] = ACTIONS(1352),
    [anon_sym_COMMA] = ACTIONS(1352),
    [anon_sym_GT_GT_GT] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1354),
    [anon_sym_PERCENT] = ACTIONS(1352),
    [anon_sym_QMARK] = ACTIONS(1352),
    [anon_sym_LT_LT] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1352),
    [anon_sym_RPAREN] = ACTIONS(1352),
  },
  [323] = {
    [aux_sym_array_repeat1] = STATE(454),
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1356),
  },
  [324] = {
    [aux_sym_array_repeat1] = STATE(235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_RPAREN] = ACTIONS(1356),
  },
  [325] = {
    [aux_sym_array_repeat1] = STATE(454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_RPAREN] = ACTIONS(1356),
  },
  [326] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1358),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [327] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1358),
  },
  [328] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1360),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
    [anon_sym_RPAREN] = ACTIONS(1360),
  },
  [329] = {
    [anon_sym_class] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_import] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_delete] = ACTIONS(1362),
    [anon_sym_throw] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1364),
    [sym_this] = ACTIONS(1362),
    [sym_true] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [sym_super] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [sym_number] = ACTIONS(1364),
    [anon_sym_yield] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_var] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_try] = ACTIONS(1362),
    [anon_sym_typeof] = ACTIONS(1362),
    [anon_sym_await] = ACTIONS(1362),
    [anon_sym_SLASH] = ACTIONS(1362),
    [sym_null] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_function] = ACTIONS(1362),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_with] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [sym_undefined] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1364),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_debugger] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [sym_identifier] = ACTIONS(1362),
    [anon_sym_BQUOTE] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1364),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [anon_sym_new] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_void] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
  },
  [330] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(1366),
  },
  [331] = {
    [anon_sym_instanceof] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [sym__automatic_semicolon] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_STAR_STAR] = ACTIONS(1370),
    [anon_sym_AMP_AMP] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_GT_GT] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_in] = ACTIONS(1372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_DOT] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1372),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_GT_GT_GT] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_EQ_EQ] = ACTIONS(1372),
    [anon_sym_PERCENT] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1370),
    [anon_sym_RPAREN] = ACTIONS(1370),
  },
  [332] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
    [anon_sym_RPAREN] = ACTIONS(1370),
  },
  [333] = {
    [sym_identifier] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [anon_sym_GT] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_COLON] = ACTIONS(806),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1378),
    [anon_sym_GT] = ACTIONS(1378),
    [sym_identifier] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1382),
  },
  [336] = {
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1384),
    [sym_identifier] = ACTIONS(1386),
  },
  [337] = {
    [anon_sym_LBRACE] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1388),
  },
  [338] = {
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1390),
    [anon_sym_GT] = ACTIONS(1390),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_EQ] = ACTIONS(1394),
  },
  [339] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(463),
    [sym_jsx_expression] = STATE(463),
    [aux_sym_jsx_opening_element_repeat1] = STATE(463),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(1398),
  },
  [340] = {
    [sym_nested_identifier] = STATE(1080),
    [sym_jsx_namespace_name] = STATE(1081),
    [anon_sym_SLASH] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1075),
    [sym_identifier] = ACTIONS(1077),
  },
  [341] = {
    [aux_sym_jsx_element_repeat1] = STATE(382),
    [sym_jsx_expression] = STATE(382),
    [sym_jsx_opening_element] = STATE(931),
    [sym_jsx_self_closing_element] = STATE(382),
    [sym_jsx_element] = STATE(382),
    [anon_sym_LBRACE] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1402),
  },
  [342] = {
    [sym_formal_parameters] = STATE(466),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_new_expression] = STATE(468),
    [sym_augmented_assignment_expression] = STATE(468),
    [sym_statement_block] = STATE(467),
    [sym_unary_expression] = STATE(468),
    [sym_update_expression] = STATE(468),
    [sym_meta_property] = STATE(468),
    [sym_regex] = STATE(468),
    [sym__expression] = STATE(468),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(468),
    [sym_jsx_fragment] = STATE(468),
    [sym_jsx_element] = STATE(468),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(468),
    [sym_await_expression] = STATE(468),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(468),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(468),
    [sym_generator_function] = STATE(468),
    [sym_call_expression] = STATE(468),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(468),
    [sym_ternary_expression] = STATE(468),
    [sym_binary_expression] = STATE(468),
    [sym_template_string] = STATE(468),
    [sym_parenthesized_expression] = STATE(468),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(468),
    [sym_class] = STATE(468),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(1404),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1404),
    [sym_undefined] = ACTIONS(1404),
    [sym_true] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(1406),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [344] = {
    [anon_sym_instanceof] = ACTIONS(1408),
    [anon_sym_SLASH] = ACTIONS(1410),
    [sym__automatic_semicolon] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1408),
    [anon_sym_STAR_STAR] = ACTIONS(1408),
    [anon_sym_AMP_AMP] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1408),
    [anon_sym_GT_EQ] = ACTIONS(1408),
    [anon_sym_DOT] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1408),
    [anon_sym_GT_GT_GT] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_GT] = ACTIONS(1410),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_LT] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_EQ_EQ] = ACTIONS(1410),
    [anon_sym_PERCENT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1408),
    [anon_sym_LT_LT] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1408),
    [anon_sym_RPAREN] = ACTIONS(1408),
  },
  [345] = {
    [anon_sym_instanceof] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1414),
    [sym__automatic_semicolon] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1412),
    [anon_sym_STAR_STAR] = ACTIONS(1412),
    [anon_sym_AMP_AMP] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1412),
    [anon_sym_GT_EQ] = ACTIONS(1412),
    [anon_sym_DOT] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1412),
    [anon_sym_GT_GT_GT] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_GT] = ACTIONS(1414),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [anon_sym_LT] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_EQ_EQ] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1412),
    [anon_sym_QMARK] = ACTIONS(1412),
    [anon_sym_LT_LT] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1412),
    [anon_sym_RPAREN] = ACTIONS(1412),
  },
  [346] = {
    [anon_sym_instanceof] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1418),
    [sym__automatic_semicolon] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1416),
    [anon_sym_STAR_STAR] = ACTIONS(1416),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_in] = ACTIONS(1418),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1416),
    [anon_sym_GT_EQ] = ACTIONS(1416),
    [anon_sym_DOT] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_GT_GT_GT] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1418),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_EQ_EQ] = ACTIONS(1418),
    [anon_sym_PERCENT] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_LT_LT] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1416),
    [anon_sym_RPAREN] = ACTIONS(1416),
  },
  [347] = {
    [anon_sym_instanceof] = ACTIONS(1408),
    [anon_sym_SLASH] = ACTIONS(1410),
    [sym__automatic_semicolon] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1408),
    [anon_sym_STAR_STAR] = ACTIONS(1408),
    [anon_sym_AMP_AMP] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1408),
    [anon_sym_GT_EQ] = ACTIONS(1408),
    [anon_sym_DOT] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1408),
    [anon_sym_GT_GT_GT] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_GT] = ACTIONS(1410),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_LT] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_EQ_EQ] = ACTIONS(1410),
    [anon_sym_PERCENT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1408),
    [anon_sym_LT_LT] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1408),
    [anon_sym_RPAREN] = ACTIONS(1408),
  },
  [348] = {
    [anon_sym_class] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_import] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1422),
    [sym_this] = ACTIONS(1420),
    [sym_true] = ACTIONS(1420),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [sym_super] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [sym_number] = ACTIONS(1422),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_async] = ACTIONS(1420),
    [anon_sym_var] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_try] = ACTIONS(1420),
    [anon_sym_typeof] = ACTIONS(1420),
    [anon_sym_await] = ACTIONS(1420),
    [anon_sym_SLASH] = ACTIONS(1420),
    [sym_null] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1420),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_with] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [sym_undefined] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1422),
    [anon_sym_else] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_debugger] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [sym_identifier] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1422),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [anon_sym_new] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_void] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
  },
  [349] = {
    [aux_sym_variable_declaration_repeat1] = STATE(405),
    [sym__automatic_semicolon] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(572),
    [anon_sym_SEMI] = ACTIONS(1424),
  },
  [350] = {
    [aux_sym_switch_body_repeat1] = STATE(475),
    [sym_switch_case] = STATE(475),
    [sym_switch_default] = STATE(475),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [anon_sym_default] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [anon_sym_class] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_import] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_throw] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1434),
    [sym_this] = ACTIONS(1432),
    [sym_true] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_get] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [sym_super] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [sym_number] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_async] = ACTIONS(1432),
    [anon_sym_var] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(1432),
    [anon_sym_typeof] = ACTIONS(1432),
    [anon_sym_await] = ACTIONS(1432),
    [anon_sym_SLASH] = ACTIONS(1432),
    [sym_null] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_let] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_with] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [sym_undefined] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1434),
    [anon_sym_else] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_debugger] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [sym_identifier] = ACTIONS(1432),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [ts_builtin_sym_end] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1432),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_export] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_void] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
  },
  [352] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1436),
  },
  [353] = {
    [sym__automatic_semicolon] = ACTIONS(1438),
    [anon_sym_from] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1438),
  },
  [354] = {
    [aux_sym_export_clause_repeat1] = STATE(479),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
  },
  [356] = {
    [sym__automatic_semicolon] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1444),
  },
  [357] = {
    [sym_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [anon_sym_class] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_import] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_delete] = ACTIONS(1448),
    [anon_sym_throw] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1450),
    [sym_this] = ACTIONS(1448),
    [sym_true] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_get] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [sym_super] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [sym_number] = ACTIONS(1450),
    [anon_sym_yield] = ACTIONS(1448),
    [anon_sym_set] = ACTIONS(1448),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_var] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_try] = ACTIONS(1448),
    [anon_sym_typeof] = ACTIONS(1448),
    [anon_sym_await] = ACTIONS(1448),
    [anon_sym_SLASH] = ACTIONS(1448),
    [sym_null] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [anon_sym_function] = ACTIONS(1448),
    [anon_sym_let] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_with] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [sym_undefined] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1450),
    [anon_sym_else] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_debugger] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [anon_sym_new] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_void] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
  },
  [359] = {
    [anon_sym_class] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_import] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_delete] = ACTIONS(1452),
    [anon_sym_throw] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1454),
    [sym_this] = ACTIONS(1452),
    [sym_true] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [sym_super] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [sym_number] = ACTIONS(1454),
    [anon_sym_yield] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_async] = ACTIONS(1452),
    [anon_sym_var] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_try] = ACTIONS(1452),
    [anon_sym_typeof] = ACTIONS(1452),
    [anon_sym_await] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1452),
    [sym_null] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(1452),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_with] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [sym_undefined] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1454),
    [anon_sym_else] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_debugger] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1454),
    [ts_builtin_sym_end] = ACTIONS(1454),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_void] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
  },
  [360] = {
    [anon_sym_class] = ACTIONS(644),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_import] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(646),
    [anon_sym_delete] = ACTIONS(644),
    [anon_sym_throw] = ACTIONS(644),
    [anon_sym_for] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(646),
    [sym_this] = ACTIONS(644),
    [sym_true] = ACTIONS(644),
    [anon_sym_case] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_default] = ACTIONS(644),
    [anon_sym_COMMA] = ACTIONS(646),
    [anon_sym_PLUS_PLUS] = ACTIONS(646),
    [anon_sym_SEMI] = ACTIONS(646),
    [anon_sym_DQUOTE] = ACTIONS(646),
    [anon_sym_LPAREN] = ACTIONS(646),
    [anon_sym_TILDE] = ACTIONS(646),
    [sym_super] = ACTIONS(644),
    [sym_false] = ACTIONS(644),
    [anon_sym_catch] = ACTIONS(644),
    [sym_number] = ACTIONS(646),
    [anon_sym_yield] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_var] = ACTIONS(644),
    [anon_sym_const] = ACTIONS(644),
    [anon_sym_RBRACE] = ACTIONS(646),
    [anon_sym_DASH_DASH] = ACTIONS(646),
    [anon_sym_try] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(644),
    [anon_sym_await] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(644),
    [sym_null] = ACTIONS(644),
    [anon_sym_finally] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(646),
    [anon_sym_function] = ACTIONS(644),
    [anon_sym_let] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(644),
    [anon_sym_with] = ACTIONS(644),
    [anon_sym_SQUOTE] = ACTIONS(646),
    [sym_undefined] = ACTIONS(644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(646),
    [anon_sym_else] = ACTIONS(644),
    [anon_sym_break] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(644),
    [anon_sym_while] = ACTIONS(644),
    [sym_identifier] = ACTIONS(644),
    [anon_sym_BQUOTE] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(646),
    [ts_builtin_sym_end] = ACTIONS(646),
    [anon_sym_new] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_switch] = ACTIONS(644),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_void] = ACTIONS(644),
    [anon_sym_return] = ACTIONS(644),
    [anon_sym_do] = ACTIONS(644),
  },
  [361] = {
    [sym_statement_block] = STATE(482),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_statement_block] = STATE(483),
    [anon_sym_LBRACE] = ACTIONS(362),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_finally_clause] = STATE(484),
    [anon_sym_class] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_throw] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1460),
    [sym_this] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [anon_sym_case] = ACTIONS(1458),
    [anon_sym_get] = ACTIONS(1458),
    [anon_sym_default] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [sym_super] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [anon_sym_yield] = ACTIONS(1458),
    [anon_sym_set] = ACTIONS(1458),
    [anon_sym_async] = ACTIONS(1458),
    [anon_sym_var] = ACTIONS(1458),
    [anon_sym_const] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_try] = ACTIONS(1458),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_await] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1458),
    [sym_null] = ACTIONS(1458),
    [anon_sym_finally] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1458),
    [anon_sym_let] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_with] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym_undefined] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1460),
    [anon_sym_else] = ACTIONS(1458),
    [anon_sym_break] = ACTIONS(1458),
    [anon_sym_debugger] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1460),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_switch] = ACTIONS(1458),
    [anon_sym_export] = ACTIONS(1458),
    [anon_sym_continue] = ACTIONS(1458),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_return] = ACTIONS(1458),
    [anon_sym_do] = ACTIONS(1458),
  },
  [364] = {
    [anon_sym_class] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_throw] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1460),
    [sym_this] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [anon_sym_case] = ACTIONS(1458),
    [anon_sym_get] = ACTIONS(1458),
    [anon_sym_default] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [sym_super] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [anon_sym_yield] = ACTIONS(1458),
    [anon_sym_set] = ACTIONS(1458),
    [anon_sym_async] = ACTIONS(1458),
    [anon_sym_var] = ACTIONS(1458),
    [anon_sym_const] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_try] = ACTIONS(1458),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_await] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1458),
    [sym_null] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1458),
    [anon_sym_let] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_with] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym_undefined] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1460),
    [anon_sym_else] = ACTIONS(1458),
    [anon_sym_break] = ACTIONS(1458),
    [anon_sym_debugger] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1460),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_switch] = ACTIONS(1458),
    [anon_sym_export] = ACTIONS(1458),
    [anon_sym_continue] = ACTIONS(1458),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_return] = ACTIONS(1458),
    [anon_sym_do] = ACTIONS(1458),
  },
  [365] = {
    [anon_sym_class] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_import] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_delete] = ACTIONS(1462),
    [anon_sym_throw] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1464),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1462),
    [anon_sym_case] = ACTIONS(1462),
    [anon_sym_get] = ACTIONS(1462),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [sym_super] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [sym_number] = ACTIONS(1464),
    [anon_sym_yield] = ACTIONS(1462),
    [anon_sym_set] = ACTIONS(1462),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_var] = ACTIONS(1462),
    [anon_sym_const] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_try] = ACTIONS(1462),
    [anon_sym_typeof] = ACTIONS(1462),
    [anon_sym_await] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1462),
    [sym_null] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_function] = ACTIONS(1462),
    [anon_sym_let] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_with] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1464),
    [anon_sym_else] = ACTIONS(1462),
    [anon_sym_break] = ACTIONS(1462),
    [anon_sym_debugger] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [anon_sym_new] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_switch] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1462),
    [anon_sym_continue] = ACTIONS(1462),
    [anon_sym_void] = ACTIONS(1462),
    [anon_sym_return] = ACTIONS(1462),
    [anon_sym_do] = ACTIONS(1462),
  },
  [366] = {
    [sym_parenthesized_expression] = STATE(485),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(1368),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_GT_GT] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(1366),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(1366),
  },
  [368] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(1366),
  },
  [369] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
    [anon_sym_RPAREN] = ACTIONS(1366),
  },
  [370] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(1368),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(1366),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_GT_GT] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(1366),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(1366),
  },
  [371] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
    [anon_sym_RPAREN] = ACTIONS(1366),
  },
  [372] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [sym__automatic_semicolon] = ACTIONS(1468),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(410),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
  },
  [373] = {
    [sym__automatic_semicolon] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1468),
  },
  [374] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [375] = {
    [sym_new_expression] = STATE(487),
    [sym_augmented_assignment_expression] = STATE(487),
    [sym_unary_expression] = STATE(487),
    [sym_update_expression] = STATE(487),
    [sym_regex] = STATE(487),
    [sym_meta_property] = STATE(487),
    [sym__expression] = STATE(487),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(487),
    [sym_jsx_fragment] = STATE(487),
    [sym_jsx_element] = STATE(487),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(487),
    [sym_await_expression] = STATE(487),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(487),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(487),
    [sym_generator_function] = STATE(487),
    [sym_call_expression] = STATE(487),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(487),
    [sym_ternary_expression] = STATE(487),
    [sym_binary_expression] = STATE(487),
    [sym_template_string] = STATE(487),
    [sym_parenthesized_expression] = STATE(487),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(487),
    [sym_class] = STATE(487),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(1472),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1472),
    [sym_undefined] = ACTIONS(1472),
    [sym_true] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(1474),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [376] = {
    [sym_class_heritage] = STATE(488),
    [sym_class_body] = STATE(395),
    [anon_sym_LBRACE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(464),
  },
  [377] = {
    [sym_class_body] = STATE(489),
    [anon_sym_LBRACE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [anon_sym_LBRACE] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1476),
  },
  [379] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [380] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1478),
  },
  [381] = {
    [sym_nested_identifier] = STATE(493),
    [sym_jsx_namespace_name] = STATE(494),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1480),
    [sym_identifier] = ACTIONS(1482),
  },
  [382] = {
    [sym_jsx_element] = STATE(382),
    [sym_jsx_opening_element] = STATE(931),
    [aux_sym_jsx_element_repeat1] = STATE(382),
    [sym_jsx_expression] = STATE(382),
    [sym_jsx_self_closing_element] = STATE(382),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1490),
  },
  [383] = {
    [anon_sym_instanceof] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [sym__automatic_semicolon] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_STAR_STAR] = ACTIONS(1493),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_GT_GT] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_in] = ACTIONS(1495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_DOT] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_COMMA] = ACTIONS(1493),
    [anon_sym_GT_GT_GT] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1493),
    [anon_sym_PLUS_PLUS] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_BQUOTE] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_EQ_EQ] = ACTIONS(1495),
    [anon_sym_PERCENT] = ACTIONS(1493),
    [anon_sym_QMARK] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_DASH_DASH] = ACTIONS(1493),
    [anon_sym_RBRACE] = ACTIONS(1493),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1493),
    [anon_sym_RPAREN] = ACTIONS(1493),
  },
  [384] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [anon_sym_COMMA] = ACTIONS(1238),
    [anon_sym_RPAREN] = ACTIONS(1238),
  },
  [385] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [anon_sym_COMMA] = ACTIONS(1256),
    [anon_sym_RPAREN] = ACTIONS(1256),
  },
  [386] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [anon_sym_COMMA] = ACTIONS(1265),
    [anon_sym_RPAREN] = ACTIONS(1265),
  },
  [387] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [388] = {
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1501),
    [anon_sym_set] = ACTIONS(1499),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(1501),
    [anon_sym_static] = ACTIONS(1499),
    [anon_sym_RBRACE] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1501),
    [sym_number] = ACTIONS(1501),
  },
  [389] = {
    [sym__automatic_semicolon] = ACTIONS(1503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1503),
  },
  [390] = {
    [sym__property_name] = STATE(222),
    [sym_computed_property_name] = STATE(222),
    [sym_method_definition] = STATE(498),
    [sym_string] = STATE(222),
    [sym_public_field_definition] = STATE(499),
    [sym_number] = ACTIONS(454),
    [anon_sym_SQUOTE] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(458),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(448),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(211),
  },
  [391] = {
    [sym__automatic_semicolon] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1505),
  },
  [392] = {
    [anon_sym_instanceof] = ACTIONS(1507),
    [sym__automatic_semicolon] = ACTIONS(1509),
    [anon_sym_class] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [sym_this] = ACTIONS(1507),
    [anon_sym_case] = ACTIONS(1507),
    [anon_sym_get] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1509),
    [anon_sym_PLUS_PLUS] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(1509),
    [anon_sym_GT] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [anon_sym_yield] = ACTIONS(1507),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_const] = ACTIONS(1507),
    [anon_sym_QMARK] = ACTIONS(1509),
    [anon_sym_try] = ACTIONS(1507),
    [anon_sym_await] = ACTIONS(1507),
    [anon_sym_let] = ACTIONS(1507),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1507),
    [anon_sym_in] = ACTIONS(1507),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1509),
    [sym_undefined] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1509),
    [anon_sym_else] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_break] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_BQUOTE] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1507),
    [anon_sym_export] = ACTIONS(1507),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1509),
    [anon_sym_import] = ACTIONS(1507),
    [anon_sym_STAR_STAR] = ACTIONS(1509),
    [anon_sym_LBRACE] = ACTIONS(1509),
    [anon_sym_delete] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [anon_sym_default] = ACTIONS(1507),
    [anon_sym_SEMI] = ACTIONS(1509),
    [anon_sym_DQUOTE] = ACTIONS(1509),
    [sym_super] = ACTIONS(1507),
    [sym_number] = ACTIONS(1509),
    [anon_sym_set] = ACTIONS(1507),
    [anon_sym_var] = ACTIONS(1507),
    [anon_sym_EQ_EQ] = ACTIONS(1507),
    [anon_sym_RBRACE] = ACTIONS(1509),
    [anon_sym_DASH_DASH] = ACTIONS(1509),
    [anon_sym_RPAREN] = ACTIONS(1509),
    [anon_sym_typeof] = ACTIONS(1507),
    [anon_sym_SLASH] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_AMP_AMP] = ACTIONS(1509),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1509),
    [anon_sym_DOT] = ACTIONS(1507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_GT_GT_GT] = ACTIONS(1509),
    [anon_sym_debugger] = ACTIONS(1507),
    [anon_sym_BANG_EQ] = ACTIONS(1507),
    [sym_identifier] = ACTIONS(1507),
    [anon_sym_LT] = ACTIONS(1507),
    [ts_builtin_sym_end] = ACTIONS(1509),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_AT] = ACTIONS(1509),
    [anon_sym_switch] = ACTIONS(1507),
    [anon_sym_PERCENT] = ACTIONS(1509),
    [anon_sym_continue] = ACTIONS(1507),
    [anon_sym_void] = ACTIONS(1507),
    [anon_sym_do] = ACTIONS(1507),
  },
  [393] = {
    [sym_public_field_definition] = STATE(225),
    [sym__property_name] = STATE(222),
    [sym_computed_property_name] = STATE(222),
    [aux_sym_class_body_repeat1] = STATE(393),
    [sym_method_definition] = STATE(224),
    [sym_string] = STATE(222),
    [aux_sym_export_statement_repeat1] = STATE(221),
    [sym_decorator] = STATE(221),
    [anon_sym_get] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_set] = ACTIONS(1511),
    [anon_sym_async] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1523),
    [anon_sym_DQUOTE] = ACTIONS(1526),
    [anon_sym_static] = ACTIONS(1529),
    [anon_sym_RBRACE] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1535),
    [sym_number] = ACTIONS(1538),
  },
  [394] = {
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1501),
    [anon_sym_set] = ACTIONS(1499),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(1501),
    [anon_sym_static] = ACTIONS(1499),
    [anon_sym_RBRACE] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1501),
    [sym_number] = ACTIONS(1501),
  },
  [395] = {
    [anon_sym_instanceof] = ACTIONS(1541),
    [sym__automatic_semicolon] = ACTIONS(1543),
    [anon_sym_class] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1541),
    [anon_sym_AMP] = ACTIONS(1541),
    [anon_sym_throw] = ACTIONS(1541),
    [anon_sym_GT_EQ] = ACTIONS(1543),
    [sym_this] = ACTIONS(1541),
    [anon_sym_case] = ACTIONS(1541),
    [anon_sym_get] = ACTIONS(1541),
    [anon_sym_LT_EQ] = ACTIONS(1543),
    [anon_sym_COMMA] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_GT] = ACTIONS(1541),
    [sym_false] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1541),
    [anon_sym_async] = ACTIONS(1541),
    [anon_sym_const] = ACTIONS(1541),
    [anon_sym_QMARK] = ACTIONS(1543),
    [anon_sym_try] = ACTIONS(1541),
    [anon_sym_await] = ACTIONS(1541),
    [anon_sym_let] = ACTIONS(1541),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_GT_GT] = ACTIONS(1541),
    [anon_sym_in] = ACTIONS(1541),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1543),
    [sym_undefined] = ACTIONS(1541),
    [anon_sym_EQ_GT] = ACTIONS(1543),
    [anon_sym_else] = ACTIONS(1541),
    [anon_sym_PIPE_PIPE] = ACTIONS(1543),
    [anon_sym_break] = ACTIONS(1541),
    [anon_sym_while] = ACTIONS(1541),
    [anon_sym_BQUOTE] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_export] = ACTIONS(1541),
    [anon_sym_LT_LT] = ACTIONS(1543),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1541),
    [anon_sym_STAR_STAR] = ACTIONS(1543),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_for] = ACTIONS(1541),
    [anon_sym_BANG] = ACTIONS(1541),
    [sym_true] = ACTIONS(1541),
    [anon_sym_default] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(1543),
    [sym_super] = ACTIONS(1541),
    [sym_number] = ACTIONS(1543),
    [anon_sym_set] = ACTIONS(1541),
    [anon_sym_var] = ACTIONS(1541),
    [anon_sym_EQ_EQ] = ACTIONS(1541),
    [anon_sym_RBRACE] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_RPAREN] = ACTIONS(1543),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(1541),
    [sym_null] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [anon_sym_function] = ACTIONS(1541),
    [anon_sym_if] = ACTIONS(1541),
    [anon_sym_AMP_AMP] = ACTIONS(1543),
    [anon_sym_with] = ACTIONS(1541),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_DOT] = ACTIONS(1541),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1541),
    [anon_sym_GT_GT_GT] = ACTIONS(1543),
    [anon_sym_debugger] = ACTIONS(1541),
    [anon_sym_BANG_EQ] = ACTIONS(1541),
    [sym_identifier] = ACTIONS(1541),
    [anon_sym_LT] = ACTIONS(1541),
    [ts_builtin_sym_end] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1541),
    [anon_sym_AT] = ACTIONS(1543),
    [anon_sym_switch] = ACTIONS(1541),
    [anon_sym_PERCENT] = ACTIONS(1543),
    [anon_sym_continue] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_do] = ACTIONS(1541),
  },
  [396] = {
    [anon_sym_instanceof] = ACTIONS(1545),
    [sym__automatic_semicolon] = ACTIONS(1545),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_STAR_STAR] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1547),
    [anon_sym_AMP] = ACTIONS(1547),
    [anon_sym_GT_EQ] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1545),
    [anon_sym_COMMA] = ACTIONS(1545),
    [anon_sym_PLUS_PLUS] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(1547),
    [anon_sym_EQ_EQ] = ACTIONS(1547),
    [anon_sym_QMARK] = ACTIONS(1545),
    [anon_sym_RBRACE] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1545),
    [anon_sym_RPAREN] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_CARET] = ACTIONS(1545),
    [anon_sym_AMP_AMP] = ACTIONS(1545),
    [anon_sym_GT_GT] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(1547),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1545),
    [anon_sym_of] = ACTIONS(1545),
    [anon_sym_DOT] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1547),
    [anon_sym_PIPE_PIPE] = ACTIONS(1545),
    [anon_sym_GT_GT_GT] = ACTIONS(1545),
    [anon_sym_BANG_EQ] = ACTIONS(1547),
    [anon_sym_EQ] = ACTIONS(1547),
    [anon_sym_BQUOTE] = ACTIONS(1545),
    [anon_sym_LT] = ACTIONS(1547),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_PERCENT] = ACTIONS(1545),
    [anon_sym_LT_LT] = ACTIONS(1545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1545),
  },
  [397] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1549),
    [sym_escape_sequence] = ACTIONS(1549),
    [sym__template_chars] = ACTIONS(1549),
    [anon_sym_BQUOTE] = ACTIONS(1549),
  },
  [398] = {
    [anon_sym_instanceof] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1553),
    [sym__automatic_semicolon] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_CARET] = ACTIONS(1551),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_GT_GT] = ACTIONS(1553),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_in] = ACTIONS(1553),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_DOT] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1551),
    [anon_sym_GT_GT_GT] = ACTIONS(1551),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1553),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_BQUOTE] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_EQ_EQ] = ACTIONS(1553),
    [anon_sym_PERCENT] = ACTIONS(1551),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_LT_LT] = ACTIONS(1551),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [anon_sym_RBRACE] = ACTIONS(1551),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1551),
  },
  [399] = {
    [anon_sym_instanceof] = ACTIONS(1555),
    [sym__automatic_semicolon] = ACTIONS(1557),
    [anon_sym_class] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(1555),
    [anon_sym_throw] = ACTIONS(1555),
    [anon_sym_GT_EQ] = ACTIONS(1557),
    [sym_this] = ACTIONS(1555),
    [anon_sym_case] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(1557),
    [anon_sym_COMMA] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_LPAREN] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_GT] = ACTIONS(1555),
    [sym_false] = ACTIONS(1555),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_async] = ACTIONS(1555),
    [anon_sym_const] = ACTIONS(1555),
    [anon_sym_QMARK] = ACTIONS(1557),
    [anon_sym_try] = ACTIONS(1555),
    [anon_sym_await] = ACTIONS(1555),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_GT_GT] = ACTIONS(1555),
    [anon_sym_in] = ACTIONS(1555),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1557),
    [sym_undefined] = ACTIONS(1555),
    [anon_sym_EQ_GT] = ACTIONS(1557),
    [anon_sym_else] = ACTIONS(1555),
    [anon_sym_PIPE_PIPE] = ACTIONS(1557),
    [anon_sym_break] = ACTIONS(1555),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_LT_LT] = ACTIONS(1557),
    [anon_sym_return] = ACTIONS(1555),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1557),
    [anon_sym_import] = ACTIONS(1555),
    [anon_sym_STAR_STAR] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_delete] = ACTIONS(1555),
    [anon_sym_for] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1555),
    [sym_true] = ACTIONS(1555),
    [anon_sym_default] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(1557),
    [anon_sym_DQUOTE] = ACTIONS(1557),
    [sym_super] = ACTIONS(1555),
    [sym_number] = ACTIONS(1557),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_var] = ACTIONS(1555),
    [anon_sym_EQ_EQ] = ACTIONS(1555),
    [anon_sym_RBRACE] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_RPAREN] = ACTIONS(1557),
    [anon_sym_typeof] = ACTIONS(1555),
    [anon_sym_SLASH] = ACTIONS(1555),
    [sym_null] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(1555),
    [anon_sym_if] = ACTIONS(1555),
    [anon_sym_AMP_AMP] = ACTIONS(1557),
    [anon_sym_with] = ACTIONS(1555),
    [anon_sym_SQUOTE] = ACTIONS(1557),
    [anon_sym_DOT] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1555),
    [anon_sym_GT_GT_GT] = ACTIONS(1557),
    [anon_sym_debugger] = ACTIONS(1555),
    [anon_sym_BANG_EQ] = ACTIONS(1555),
    [sym_identifier] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1555),
    [ts_builtin_sym_end] = ACTIONS(1557),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AT] = ACTIONS(1557),
    [anon_sym_switch] = ACTIONS(1555),
    [anon_sym_PERCENT] = ACTIONS(1557),
    [anon_sym_continue] = ACTIONS(1555),
    [anon_sym_void] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1555),
  },
  [400] = {
    [sym_statement_block] = STATE(500),
    [anon_sym_LBRACE] = ACTIONS(554),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [anon_sym_instanceof] = ACTIONS(1559),
    [sym__automatic_semicolon] = ACTIONS(1561),
    [anon_sym_class] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1559),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_AMP] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1559),
    [anon_sym_GT_EQ] = ACTIONS(1561),
    [sym_this] = ACTIONS(1559),
    [anon_sym_case] = ACTIONS(1559),
    [anon_sym_get] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(1561),
    [anon_sym_COMMA] = ACTIONS(1561),
    [anon_sym_PLUS_PLUS] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1561),
    [anon_sym_TILDE] = ACTIONS(1561),
    [anon_sym_GT] = ACTIONS(1559),
    [sym_false] = ACTIONS(1559),
    [anon_sym_yield] = ACTIONS(1559),
    [anon_sym_async] = ACTIONS(1559),
    [anon_sym_const] = ACTIONS(1559),
    [anon_sym_QMARK] = ACTIONS(1561),
    [anon_sym_try] = ACTIONS(1559),
    [anon_sym_await] = ACTIONS(1559),
    [anon_sym_let] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1561),
    [anon_sym_GT_GT] = ACTIONS(1559),
    [anon_sym_in] = ACTIONS(1559),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1561),
    [sym_undefined] = ACTIONS(1559),
    [anon_sym_EQ_GT] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(1559),
    [anon_sym_PIPE_PIPE] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1559),
    [anon_sym_while] = ACTIONS(1559),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1559),
    [anon_sym_export] = ACTIONS(1559),
    [anon_sym_LT_LT] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1561),
    [anon_sym_import] = ACTIONS(1559),
    [anon_sym_STAR_STAR] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1561),
    [anon_sym_delete] = ACTIONS(1559),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1559),
    [sym_true] = ACTIONS(1559),
    [anon_sym_default] = ACTIONS(1559),
    [anon_sym_SEMI] = ACTIONS(1561),
    [anon_sym_DQUOTE] = ACTIONS(1561),
    [sym_super] = ACTIONS(1559),
    [sym_number] = ACTIONS(1561),
    [anon_sym_set] = ACTIONS(1559),
    [anon_sym_var] = ACTIONS(1559),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_RBRACE] = ACTIONS(1561),
    [anon_sym_DASH_DASH] = ACTIONS(1561),
    [anon_sym_RPAREN] = ACTIONS(1561),
    [anon_sym_typeof] = ACTIONS(1559),
    [anon_sym_SLASH] = ACTIONS(1559),
    [sym_null] = ACTIONS(1559),
    [anon_sym_LBRACK] = ACTIONS(1561),
    [anon_sym_function] = ACTIONS(1559),
    [anon_sym_if] = ACTIONS(1559),
    [anon_sym_AMP_AMP] = ACTIONS(1561),
    [anon_sym_with] = ACTIONS(1559),
    [anon_sym_SQUOTE] = ACTIONS(1561),
    [anon_sym_DOT] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1559),
    [anon_sym_GT_GT_GT] = ACTIONS(1561),
    [anon_sym_debugger] = ACTIONS(1559),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [sym_identifier] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1559),
    [ts_builtin_sym_end] = ACTIONS(1561),
    [anon_sym_new] = ACTIONS(1559),
    [anon_sym_AT] = ACTIONS(1561),
    [anon_sym_switch] = ACTIONS(1559),
    [anon_sym_PERCENT] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1559),
    [anon_sym_void] = ACTIONS(1559),
    [anon_sym_do] = ACTIONS(1559),
  },
  [402] = {
    [anon_sym_class] = ACTIONS(1563),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1563),
    [anon_sym_STAR] = ACTIONS(1565),
    [sym_number] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1565),
    [anon_sym_set] = ACTIONS(1563),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_async] = ACTIONS(1563),
    [anon_sym_DOT] = ACTIONS(1563),
    [anon_sym_export] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1563),
  },
  [403] = {
    [sym__automatic_semicolon] = ACTIONS(1567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1567),
    [anon_sym_SEMI] = ACTIONS(1567),
  },
  [404] = {
    [anon_sym_class] = ACTIONS(1569),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_import] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1571),
    [anon_sym_delete] = ACTIONS(1569),
    [anon_sym_throw] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1571),
    [sym_this] = ACTIONS(1569),
    [sym_true] = ACTIONS(1569),
    [anon_sym_case] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_default] = ACTIONS(1569),
    [anon_sym_PLUS_PLUS] = ACTIONS(1571),
    [anon_sym_SEMI] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [anon_sym_LPAREN] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [sym_super] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [sym_number] = ACTIONS(1571),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_var] = ACTIONS(1569),
    [anon_sym_const] = ACTIONS(1569),
    [anon_sym_RBRACE] = ACTIONS(1571),
    [anon_sym_DASH_DASH] = ACTIONS(1571),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(1569),
    [anon_sym_await] = ACTIONS(1569),
    [anon_sym_SLASH] = ACTIONS(1569),
    [sym_null] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1571),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_with] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [sym_undefined] = ACTIONS(1569),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1571),
    [anon_sym_else] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1569),
    [anon_sym_debugger] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [sym_identifier] = ACTIONS(1569),
    [anon_sym_BQUOTE] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1571),
    [ts_builtin_sym_end] = ACTIONS(1571),
    [anon_sym_new] = ACTIONS(1569),
    [anon_sym_AT] = ACTIONS(1571),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_switch] = ACTIONS(1569),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_continue] = ACTIONS(1569),
    [anon_sym_void] = ACTIONS(1569),
    [anon_sym_return] = ACTIONS(1569),
    [anon_sym_do] = ACTIONS(1569),
  },
  [405] = {
    [aux_sym_variable_declaration_repeat1] = STATE(405),
    [sym__automatic_semicolon] = ACTIONS(1567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1567),
  },
  [406] = {
    [sym_identifier] = ACTIONS(1576),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [anon_sym_from] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym__import_export_specifier] = STATE(503),
    [sym_identifier] = ACTIONS(580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1580),
  },
  [409] = {
    [anon_sym_from] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [aux_sym_named_imports_repeat1] = STATE(505),
    [anon_sym_COMMA] = ACTIONS(1584),
    [anon_sym_RBRACE] = ACTIONS(1580),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [anon_sym_from] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [anon_sym_from] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym__automatic_semicolon] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1590),
  },
  [414] = {
    [anon_sym_class] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_import] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_delete] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1592),
    [anon_sym_for] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1594),
    [sym_this] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [anon_sym_case] = ACTIONS(1592),
    [anon_sym_get] = ACTIONS(1592),
    [anon_sym_default] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1594),
    [anon_sym_SEMI] = ACTIONS(1594),
    [anon_sym_DQUOTE] = ACTIONS(1594),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_TILDE] = ACTIONS(1594),
    [sym_super] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [sym_number] = ACTIONS(1594),
    [anon_sym_yield] = ACTIONS(1592),
    [anon_sym_set] = ACTIONS(1592),
    [anon_sym_async] = ACTIONS(1592),
    [anon_sym_var] = ACTIONS(1592),
    [anon_sym_const] = ACTIONS(1592),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1594),
    [anon_sym_try] = ACTIONS(1592),
    [anon_sym_typeof] = ACTIONS(1592),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_SLASH] = ACTIONS(1592),
    [sym_null] = ACTIONS(1592),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_function] = ACTIONS(1592),
    [anon_sym_let] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1592),
    [anon_sym_with] = ACTIONS(1592),
    [anon_sym_SQUOTE] = ACTIONS(1594),
    [sym_undefined] = ACTIONS(1592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1594),
    [anon_sym_else] = ACTIONS(1592),
    [anon_sym_break] = ACTIONS(1592),
    [anon_sym_debugger] = ACTIONS(1592),
    [anon_sym_while] = ACTIONS(1592),
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_BQUOTE] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1594),
    [ts_builtin_sym_end] = ACTIONS(1594),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_switch] = ACTIONS(1592),
    [anon_sym_export] = ACTIONS(1592),
    [anon_sym_continue] = ACTIONS(1592),
    [anon_sym_void] = ACTIONS(1592),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_do] = ACTIONS(1592),
  },
  [415] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(506),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(506),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(506),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(506),
    [sym_switch_statement] = STATE(506),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(506),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(506),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_statement_block] = STATE(506),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(506),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(506),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(506),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(506),
    [sym_with_statement] = STATE(506),
    [sym_empty_statement] = STATE(506),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(506),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(506),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_labeled_statement] = STATE(506),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [416] = {
    [sym_statement_block] = STATE(507),
    [anon_sym_LBRACE] = ACTIONS(362),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [anon_sym_instanceof] = ACTIONS(1596),
    [sym__automatic_semicolon] = ACTIONS(1596),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_STAR_STAR] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1598),
    [anon_sym_GT_EQ] = ACTIONS(1596),
    [anon_sym_LT_EQ] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1596),
    [anon_sym_PLUS_PLUS] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1598),
    [anon_sym_EQ_EQ] = ACTIONS(1598),
    [anon_sym_QMARK] = ACTIONS(1596),
    [anon_sym_RBRACE] = ACTIONS(1596),
    [anon_sym_DASH_DASH] = ACTIONS(1596),
    [anon_sym_RPAREN] = ACTIONS(1596),
    [anon_sym_SLASH] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1596),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym_AMP_AMP] = ACTIONS(1596),
    [anon_sym_GT_GT] = ACTIONS(1598),
    [anon_sym_in] = ACTIONS(1598),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1596),
    [anon_sym_of] = ACTIONS(1596),
    [anon_sym_DOT] = ACTIONS(1596),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1598),
    [anon_sym_PIPE_PIPE] = ACTIONS(1596),
    [anon_sym_GT_GT_GT] = ACTIONS(1596),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_EQ] = ACTIONS(1598),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [anon_sym_LT] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_PERCENT] = ACTIONS(1596),
    [anon_sym_LT_LT] = ACTIONS(1596),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1596),
  },
  [418] = {
    [anon_sym_COMMA] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_formal_parameters] = STATE(508),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [anon_sym_instanceof] = ACTIONS(1123),
    [anon_sym_SLASH] = ACTIONS(1125),
    [sym__automatic_semicolon] = ACTIONS(1123),
    [anon_sym_COLON] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym_STAR_STAR] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1123),
    [anon_sym_GT_EQ] = ACTIONS(1123),
    [anon_sym_DOT] = ACTIONS(1123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_LT_EQ] = ACTIONS(1123),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_GT_GT_GT] = ACTIONS(1123),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1604),
    [anon_sym_BANG_EQ] = ACTIONS(1125),
    [anon_sym_GT] = ACTIONS(1125),
    [anon_sym_EQ] = ACTIONS(1125),
    [anon_sym_BQUOTE] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1125),
    [anon_sym_PERCENT] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_LT_LT] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1123),
  },
  [421] = {
    [anon_sym_instanceof] = ACTIONS(1607),
    [sym__automatic_semicolon] = ACTIONS(1607),
    [anon_sym_DASH] = ACTIONS(1609),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1607),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_QMARK] = ACTIONS(1607),
    [anon_sym_RBRACE] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_RPAREN] = ACTIONS(1607),
    [anon_sym_SLASH] = ACTIONS(1609),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP_AMP] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1609),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_of] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1609),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_EQ] = ACTIONS(1609),
    [anon_sym_BQUOTE] = ACTIONS(1607),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_PLUS] = ACTIONS(1609),
    [anon_sym_PERCENT] = ACTIONS(1607),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
  },
  [422] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [423] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(1613),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_RBRACE] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [424] = {
    [anon_sym_COMMA] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_DQUOTE] = ACTIONS(1615),
    [anon_sym_static] = ACTIONS(1617),
    [sym_identifier] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1615),
    [sym_number] = ACTIONS(1615),
    [anon_sym_SQUOTE] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(1617),
    [anon_sym_AT] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1617),
  },
  [425] = {
    [sym_array] = STATE(511),
    [sym_object] = STATE(512),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1619),
    [anon_sym_LBRACK] = ACTIONS(151),
  },
  [426] = {
    [anon_sym_of] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [anon_sym_of] = ACTIONS(1623),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [anon_sym_of] = ACTIONS(1625),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym__initializer] = STATE(253),
    [sym__automatic_semicolon] = ACTIONS(566),
    [anon_sym_in] = ACTIONS(1627),
    [anon_sym_of] = ACTIONS(1621),
    [anon_sym_COMMA] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(566),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(568),
  },
  [430] = {
    [sym__initializer] = STATE(257),
    [sym__automatic_semicolon] = ACTIONS(574),
    [anon_sym_in] = ACTIONS(1629),
    [anon_sym_of] = ACTIONS(1623),
    [anon_sym_COMMA] = ACTIONS(574),
    [anon_sym_SEMI] = ACTIONS(574),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(568),
  },
  [431] = {
    [sym__initializer] = STATE(258),
    [sym__automatic_semicolon] = ACTIONS(576),
    [anon_sym_in] = ACTIONS(1631),
    [anon_sym_of] = ACTIONS(1625),
    [anon_sym_COMMA] = ACTIONS(576),
    [anon_sym_SEMI] = ACTIONS(576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(568),
  },
  [432] = {
    [sym_new_expression] = STATE(519),
    [sym_augmented_assignment_expression] = STATE(519),
    [sym_unary_expression] = STATE(519),
    [sym_update_expression] = STATE(519),
    [sym_regex] = STATE(519),
    [sym_meta_property] = STATE(519),
    [sym__expression] = STATE(519),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(519),
    [sym_jsx_fragment] = STATE(519),
    [sym_jsx_element] = STATE(519),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(519),
    [sym_await_expression] = STATE(519),
    [sym_member_expression] = STATE(44),
    [sym_sequence_expression] = STATE(520),
    [sym_string] = STATE(519),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(519),
    [sym_generator_function] = STATE(519),
    [sym_call_expression] = STATE(519),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(519),
    [sym_ternary_expression] = STATE(519),
    [sym_binary_expression] = STATE(519),
    [sym_template_string] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(519),
    [sym_class] = STATE(519),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(1633),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1633),
    [sym_undefined] = ACTIONS(1633),
    [sym_true] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(1633),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [433] = {
    [sym_new_expression] = STATE(521),
    [sym_augmented_assignment_expression] = STATE(521),
    [sym_unary_expression] = STATE(521),
    [sym_update_expression] = STATE(521),
    [sym_regex] = STATE(521),
    [sym_meta_property] = STATE(521),
    [sym__expression] = STATE(521),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(521),
    [sym_jsx_fragment] = STATE(521),
    [sym_jsx_element] = STATE(521),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(521),
    [sym_await_expression] = STATE(521),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(521),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(521),
    [sym_generator_function] = STATE(521),
    [sym_call_expression] = STATE(521),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(521),
    [sym_ternary_expression] = STATE(521),
    [sym_binary_expression] = STATE(521),
    [sym_template_string] = STATE(521),
    [sym_parenthesized_expression] = STATE(521),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(521),
    [sym_class] = STATE(521),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1637),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1637),
    [sym_undefined] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1637),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [434] = {
    [sym_new_expression] = STATE(523),
    [sym_augmented_assignment_expression] = STATE(523),
    [sym_unary_expression] = STATE(523),
    [sym_update_expression] = STATE(523),
    [sym_regex] = STATE(523),
    [sym_meta_property] = STATE(523),
    [sym__expression] = STATE(523),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(523),
    [sym_jsx_fragment] = STATE(523),
    [sym_jsx_element] = STATE(523),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(523),
    [sym_await_expression] = STATE(523),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(524),
    [sym_string] = STATE(523),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(523),
    [sym_generator_function] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(523),
    [sym_ternary_expression] = STATE(523),
    [sym_binary_expression] = STATE(523),
    [sym_template_string] = STATE(523),
    [sym_parenthesized_expression] = STATE(523),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(523),
    [sym_class] = STATE(523),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1641),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1641),
    [sym_undefined] = ACTIONS(1641),
    [sym_true] = ACTIONS(1641),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1641),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1643),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(1645),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [435] = {
    [sym_new_expression] = STATE(525),
    [sym_augmented_assignment_expression] = STATE(525),
    [sym_unary_expression] = STATE(525),
    [sym_update_expression] = STATE(525),
    [sym_regex] = STATE(525),
    [sym_meta_property] = STATE(525),
    [sym__expression] = STATE(525),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(525),
    [sym_jsx_fragment] = STATE(525),
    [sym_jsx_element] = STATE(525),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(525),
    [sym_await_expression] = STATE(525),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(525),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(525),
    [sym_generator_function] = STATE(525),
    [sym_call_expression] = STATE(525),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(525),
    [sym_ternary_expression] = STATE(525),
    [sym_binary_expression] = STATE(525),
    [sym_template_string] = STATE(525),
    [sym_parenthesized_expression] = STATE(525),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(525),
    [sym_class] = STATE(525),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1647),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1647),
    [sym_undefined] = ACTIONS(1647),
    [sym_true] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1647),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1649),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [436] = {
    [sym_new_expression] = STATE(526),
    [sym_augmented_assignment_expression] = STATE(526),
    [sym_unary_expression] = STATE(526),
    [sym_update_expression] = STATE(526),
    [sym_regex] = STATE(526),
    [sym_meta_property] = STATE(526),
    [sym__expression] = STATE(526),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(526),
    [sym_jsx_fragment] = STATE(526),
    [sym_jsx_element] = STATE(526),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(526),
    [sym_await_expression] = STATE(526),
    [sym_member_expression] = STATE(44),
    [sym_sequence_expression] = STATE(527),
    [sym_string] = STATE(526),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(526),
    [sym_generator_function] = STATE(526),
    [sym_call_expression] = STATE(526),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(526),
    [sym_ternary_expression] = STATE(526),
    [sym_binary_expression] = STATE(526),
    [sym_template_string] = STATE(526),
    [sym_parenthesized_expression] = STATE(526),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(526),
    [sym_class] = STATE(526),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(1651),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1651),
    [sym_undefined] = ACTIONS(1651),
    [sym_true] = ACTIONS(1651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(1651),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(1653),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [437] = {
    [sym_new_expression] = STATE(528),
    [sym_augmented_assignment_expression] = STATE(528),
    [sym_unary_expression] = STATE(528),
    [sym_update_expression] = STATE(528),
    [sym_regex] = STATE(528),
    [sym_meta_property] = STATE(528),
    [sym__expression] = STATE(528),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(528),
    [sym_jsx_fragment] = STATE(528),
    [sym_jsx_element] = STATE(528),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(528),
    [sym_await_expression] = STATE(528),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(528),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(528),
    [sym_generator_function] = STATE(528),
    [sym_call_expression] = STATE(528),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(528),
    [sym_ternary_expression] = STATE(528),
    [sym_binary_expression] = STATE(528),
    [sym_template_string] = STATE(528),
    [sym_parenthesized_expression] = STATE(528),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(528),
    [sym_class] = STATE(528),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1655),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1655),
    [sym_undefined] = ACTIONS(1655),
    [sym_true] = ACTIONS(1655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1655),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1657),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [438] = {
    [sym_new_expression] = STATE(529),
    [sym_augmented_assignment_expression] = STATE(529),
    [sym_unary_expression] = STATE(529),
    [sym_update_expression] = STATE(529),
    [sym_regex] = STATE(529),
    [sym_meta_property] = STATE(529),
    [sym__expression] = STATE(529),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(529),
    [sym_jsx_fragment] = STATE(529),
    [sym_jsx_element] = STATE(529),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(529),
    [sym_await_expression] = STATE(529),
    [sym_member_expression] = STATE(44),
    [sym_sequence_expression] = STATE(530),
    [sym_string] = STATE(529),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(529),
    [sym_generator_function] = STATE(529),
    [sym_call_expression] = STATE(529),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(529),
    [sym_ternary_expression] = STATE(529),
    [sym_binary_expression] = STATE(529),
    [sym_template_string] = STATE(529),
    [sym_parenthesized_expression] = STATE(529),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(529),
    [sym_class] = STATE(529),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(1659),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1659),
    [sym_undefined] = ACTIONS(1659),
    [sym_true] = ACTIONS(1659),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(1659),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(1661),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [439] = {
    [anon_sym_COMMA] = ACTIONS(1663),
    [anon_sym_RPAREN] = ACTIONS(1663),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym__initializer] = STATE(384),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1665),
    [anon_sym_RPAREN] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1087),
  },
  [441] = {
    [anon_sym_LBRACE] = ACTIONS(1667),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1667),
  },
  [442] = {
    [sym__initializer] = STATE(386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1669),
    [anon_sym_RPAREN] = ACTIONS(1669),
    [anon_sym_EQ] = ACTIONS(1087),
  },
  [443] = {
    [sym__initializer] = STATE(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1671),
    [anon_sym_RPAREN] = ACTIONS(1671),
    [anon_sym_EQ] = ACTIONS(1087),
  },
  [444] = {
    [anon_sym_COMMA] = ACTIONS(1665),
    [anon_sym_RPAREN] = ACTIONS(1665),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_array] = STATE(442),
    [sym_object] = STATE(443),
    [sym_assignment_pattern] = STATE(444),
    [sym_rest_parameter] = STATE(444),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_set] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(548),
    [anon_sym_async] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1312),
    [anon_sym_get] = ACTIONS(1310),
    [anon_sym_RPAREN] = ACTIONS(1673),
  },
  [446] = {
    [aux_sym_formal_parameters_repeat1] = STATE(446),
    [anon_sym_COMMA] = ACTIONS(1675),
    [anon_sym_RPAREN] = ACTIONS(1665),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [anon_sym_LBRACE] = ACTIONS(1678),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1678),
  },
  [448] = {
    [sym_array] = STATE(442),
    [sym_object] = STATE(443),
    [sym_assignment_pattern] = STATE(444),
    [sym_rest_parameter] = STATE(444),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_set] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(548),
    [anon_sym_async] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1312),
    [anon_sym_get] = ACTIONS(1310),
    [anon_sym_RPAREN] = ACTIONS(1680),
  },
  [449] = {
    [anon_sym_LBRACE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1682),
  },
  [450] = {
    [sym_array] = STATE(442),
    [sym_object] = STATE(443),
    [sym_assignment_pattern] = STATE(444),
    [sym_rest_parameter] = STATE(444),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_set] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(548),
    [anon_sym_async] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1312),
    [anon_sym_get] = ACTIONS(1310),
    [anon_sym_RPAREN] = ACTIONS(1684),
  },
  [451] = {
    [anon_sym_LBRACE] = ACTIONS(1686),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1686),
  },
  [452] = {
    [sym_array] = STATE(442),
    [sym_object] = STATE(443),
    [sym_assignment_pattern] = STATE(444),
    [sym_rest_parameter] = STATE(444),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_set] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(548),
    [anon_sym_async] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1312),
    [anon_sym_get] = ACTIONS(1310),
    [anon_sym_RPAREN] = ACTIONS(1688),
  },
  [453] = {
    [anon_sym_instanceof] = ACTIONS(1690),
    [anon_sym_SLASH] = ACTIONS(1692),
    [sym__automatic_semicolon] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_CARET] = ACTIONS(1690),
    [anon_sym_STAR_STAR] = ACTIONS(1690),
    [anon_sym_AMP_AMP] = ACTIONS(1690),
    [anon_sym_STAR] = ACTIONS(1692),
    [anon_sym_GT_GT] = ACTIONS(1692),
    [anon_sym_AMP] = ACTIONS(1692),
    [anon_sym_in] = ACTIONS(1692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1690),
    [anon_sym_GT_EQ] = ACTIONS(1690),
    [anon_sym_DOT] = ACTIONS(1690),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_LT_EQ] = ACTIONS(1690),
    [anon_sym_PIPE_PIPE] = ACTIONS(1690),
    [anon_sym_COMMA] = ACTIONS(1690),
    [anon_sym_GT_GT_GT] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_BANG_EQ] = ACTIONS(1692),
    [anon_sym_GT] = ACTIONS(1692),
    [anon_sym_BQUOTE] = ACTIONS(1690),
    [anon_sym_LT] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_EQ_EQ] = ACTIONS(1692),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_QMARK] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1690),
    [anon_sym_RPAREN] = ACTIONS(1690),
  },
  [454] = {
    [aux_sym_array_repeat1] = STATE(235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_RPAREN] = ACTIONS(1694),
  },
  [455] = {
    [anon_sym_instanceof] = ACTIONS(1696),
    [sym__automatic_semicolon] = ACTIONS(1696),
    [anon_sym_AMP_EQ] = ACTIONS(1696),
    [anon_sym_GT_GT_EQ] = ACTIONS(1696),
    [anon_sym_STAR_EQ] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_STAR_STAR] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1698),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_GT_EQ] = ACTIONS(1696),
    [anon_sym_PIPE_EQ] = ACTIONS(1696),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1696),
    [anon_sym_SLASH_EQ] = ACTIONS(1696),
    [anon_sym_LT_EQ] = ACTIONS(1696),
    [anon_sym_COMMA] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_GT] = ACTIONS(1698),
    [anon_sym_LT_LT_EQ] = ACTIONS(1696),
    [anon_sym_EQ_EQ] = ACTIONS(1698),
    [anon_sym_QMARK] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_RPAREN] = ACTIONS(1696),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1698),
    [anon_sym_AMP_AMP] = ACTIONS(1696),
    [anon_sym_GT_GT] = ACTIONS(1698),
    [anon_sym_in] = ACTIONS(1698),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1696),
    [anon_sym_DOT] = ACTIONS(1696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(1696),
    [anon_sym_PLUS_EQ] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PIPE_PIPE] = ACTIONS(1696),
    [anon_sym_GT_GT_GT] = ACTIONS(1698),
    [anon_sym_BANG_EQ] = ACTIONS(1698),
    [anon_sym_EQ] = ACTIONS(1698),
    [anon_sym_BQUOTE] = ACTIONS(1696),
    [anon_sym_LT] = ACTIONS(1698),
    [anon_sym_CARET_EQ] = ACTIONS(1696),
    [anon_sym_DASH_EQ] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1698),
    [anon_sym_LT_LT] = ACTIONS(1698),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1696),
  },
  [456] = {
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_DOT] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1700),
    [anon_sym_GT] = ACTIONS(1700),
    [sym_identifier] = ACTIONS(1702),
  },
  [457] = {
    [anon_sym_instanceof] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1706),
    [sym__automatic_semicolon] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_CARET] = ACTIONS(1704),
    [anon_sym_STAR_STAR] = ACTIONS(1704),
    [anon_sym_AMP_AMP] = ACTIONS(1704),
    [anon_sym_STAR] = ACTIONS(1706),
    [anon_sym_GT_GT] = ACTIONS(1706),
    [anon_sym_AMP] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(1706),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1704),
    [anon_sym_DOT] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_LT_EQ] = ACTIONS(1704),
    [anon_sym_PIPE_PIPE] = ACTIONS(1704),
    [anon_sym_COMMA] = ACTIONS(1704),
    [anon_sym_GT_GT_GT] = ACTIONS(1704),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym_PLUS_PLUS] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_BANG_EQ] = ACTIONS(1706),
    [anon_sym_GT] = ACTIONS(1706),
    [anon_sym_BQUOTE] = ACTIONS(1704),
    [anon_sym_LT] = ACTIONS(1706),
    [anon_sym_PLUS] = ACTIONS(1706),
    [anon_sym_EQ_EQ] = ACTIONS(1706),
    [anon_sym_PERCENT] = ACTIONS(1704),
    [anon_sym_QMARK] = ACTIONS(1704),
    [anon_sym_LT_LT] = ACTIONS(1704),
    [anon_sym_DASH_DASH] = ACTIONS(1704),
    [anon_sym_RBRACE] = ACTIONS(1704),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1704),
    [anon_sym_RPAREN] = ACTIONS(1704),
  },
  [458] = {
    [sym_jsx_fragment] = STATE(537),
    [sym_jsx_opening_element] = STATE(975),
    [sym_string] = STATE(537),
    [sym_jsx_expression] = STATE(537),
    [sym_jsx_self_closing_element] = STATE(537),
    [sym_jsx_element] = STATE(537),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_DQUOTE] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT] = ACTIONS(1712),
  },
  [459] = {
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_SLASH] = ACTIONS(1716),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1714),
    [anon_sym_GT] = ACTIONS(1714),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1714),
  },
  [460] = {
    [sym_jsx_fragment] = STATE(538),
    [sym_jsx_opening_element] = STATE(975),
    [sym_string] = STATE(538),
    [sym_jsx_expression] = STATE(538),
    [sym_jsx_self_closing_element] = STATE(538),
    [sym_jsx_element] = STATE(538),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_DQUOTE] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT] = ACTIONS(1712),
  },
  [461] = {
    [anon_sym_GT] = ACTIONS(1718),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [anon_sym_LBRACE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1720),
    [anon_sym_LT] = ACTIONS(1720),
  },
  [463] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(463),
    [sym_jsx_expression] = STATE(463),
    [aux_sym_jsx_opening_element_repeat1] = STATE(463),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_SLASH] = ACTIONS(1725),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1727),
    [anon_sym_GT] = ACTIONS(1730),
    [sym_identifier] = ACTIONS(1732),
  },
  [464] = {
    [anon_sym_GT] = ACTIONS(1735),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [sym_nested_identifier] = STATE(1080),
    [sym_jsx_namespace_name] = STATE(1081),
    [anon_sym_SLASH] = ACTIONS(1737),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1075),
    [sym_identifier] = ACTIONS(1077),
  },
  [466] = {
    [sym_statement_block] = STATE(542),
    [anon_sym_LBRACE] = ACTIONS(554),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [anon_sym_instanceof] = ACTIONS(1739),
    [anon_sym_SLASH] = ACTIONS(1741),
    [sym__automatic_semicolon] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1739),
    [anon_sym_STAR_STAR] = ACTIONS(1739),
    [anon_sym_AMP_AMP] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1741),
    [anon_sym_GT_GT] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_in] = ACTIONS(1741),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1739),
    [anon_sym_GT_EQ] = ACTIONS(1739),
    [anon_sym_DOT] = ACTIONS(1739),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1741),
    [anon_sym_LT_EQ] = ACTIONS(1739),
    [anon_sym_PIPE_PIPE] = ACTIONS(1739),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_GT_GT_GT] = ACTIONS(1739),
    [anon_sym_SEMI] = ACTIONS(1739),
    [anon_sym_PLUS_PLUS] = ACTIONS(1739),
    [anon_sym_LPAREN] = ACTIONS(1739),
    [anon_sym_BANG_EQ] = ACTIONS(1741),
    [anon_sym_GT] = ACTIONS(1741),
    [anon_sym_BQUOTE] = ACTIONS(1739),
    [anon_sym_LT] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1741),
    [anon_sym_EQ_EQ] = ACTIONS(1741),
    [anon_sym_PERCENT] = ACTIONS(1739),
    [anon_sym_QMARK] = ACTIONS(1739),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_DASH_DASH] = ACTIONS(1739),
    [anon_sym_RBRACE] = ACTIONS(1739),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1739),
    [anon_sym_RPAREN] = ACTIONS(1739),
  },
  [468] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1739),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
    [anon_sym_RPAREN] = ACTIONS(1739),
  },
  [469] = {
    [sym_new_expression] = STATE(230),
    [sym_augmented_assignment_expression] = STATE(230),
    [sym_unary_expression] = STATE(230),
    [sym_update_expression] = STATE(230),
    [sym_regex] = STATE(230),
    [sym_meta_property] = STATE(230),
    [sym__expression] = STATE(230),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(230),
    [sym_jsx_fragment] = STATE(230),
    [sym_jsx_element] = STATE(230),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(230),
    [sym_await_expression] = STATE(230),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(230),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(230),
    [sym_generator_function] = STATE(230),
    [sym_call_expression] = STATE(230),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(230),
    [sym_ternary_expression] = STATE(230),
    [sym_binary_expression] = STATE(230),
    [sym_template_string] = STATE(230),
    [sym_parenthesized_expression] = STATE(230),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(230),
    [sym_class] = STATE(230),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(482),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(482),
    [sym_undefined] = ACTIONS(482),
    [sym_true] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(1743),
    [sym_false] = ACTIONS(482),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(484),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [470] = {
    [anon_sym_instanceof] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(1354),
    [sym__automatic_semicolon] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_STAR_STAR] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1354),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1352),
    [anon_sym_GT_EQ] = ACTIONS(1352),
    [anon_sym_DOT] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(746),
    [anon_sym_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1352),
    [anon_sym_PIPE_PIPE] = ACTIONS(1352),
    [anon_sym_COMMA] = ACTIONS(1352),
    [anon_sym_GT_GT_GT] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1354),
    [anon_sym_PERCENT] = ACTIONS(1352),
    [anon_sym_QMARK] = ACTIONS(1352),
    [anon_sym_LT_LT] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1352),
    [anon_sym_RPAREN] = ACTIONS(1352),
  },
  [471] = {
    [anon_sym_class] = ACTIONS(1745),
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_import] = ACTIONS(1745),
    [anon_sym_LBRACE] = ACTIONS(1747),
    [anon_sym_delete] = ACTIONS(1745),
    [anon_sym_throw] = ACTIONS(1745),
    [anon_sym_for] = ACTIONS(1745),
    [anon_sym_BANG] = ACTIONS(1747),
    [sym_this] = ACTIONS(1745),
    [sym_true] = ACTIONS(1745),
    [anon_sym_case] = ACTIONS(1745),
    [anon_sym_get] = ACTIONS(1745),
    [anon_sym_default] = ACTIONS(1745),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_SEMI] = ACTIONS(1747),
    [anon_sym_DQUOTE] = ACTIONS(1747),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [anon_sym_TILDE] = ACTIONS(1747),
    [sym_super] = ACTIONS(1745),
    [sym_false] = ACTIONS(1745),
    [sym_number] = ACTIONS(1747),
    [anon_sym_yield] = ACTIONS(1745),
    [anon_sym_set] = ACTIONS(1745),
    [anon_sym_async] = ACTIONS(1745),
    [anon_sym_var] = ACTIONS(1745),
    [anon_sym_const] = ACTIONS(1745),
    [anon_sym_RBRACE] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [anon_sym_try] = ACTIONS(1745),
    [anon_sym_typeof] = ACTIONS(1745),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_SLASH] = ACTIONS(1745),
    [sym_null] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_let] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1745),
    [anon_sym_with] = ACTIONS(1745),
    [anon_sym_SQUOTE] = ACTIONS(1747),
    [sym_undefined] = ACTIONS(1745),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1747),
    [anon_sym_else] = ACTIONS(1745),
    [anon_sym_break] = ACTIONS(1745),
    [anon_sym_debugger] = ACTIONS(1745),
    [anon_sym_while] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1745),
    [anon_sym_BQUOTE] = ACTIONS(1747),
    [anon_sym_LT] = ACTIONS(1747),
    [ts_builtin_sym_end] = ACTIONS(1747),
    [anon_sym_new] = ACTIONS(1745),
    [anon_sym_AT] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_switch] = ACTIONS(1745),
    [anon_sym_export] = ACTIONS(1745),
    [anon_sym_continue] = ACTIONS(1745),
    [anon_sym_void] = ACTIONS(1745),
    [anon_sym_return] = ACTIONS(1745),
    [anon_sym_do] = ACTIONS(1745),
  },
  [472] = {
    [sym_new_expression] = STATE(544),
    [sym_augmented_assignment_expression] = STATE(544),
    [sym_unary_expression] = STATE(544),
    [sym_update_expression] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym__expression] = STATE(544),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(544),
    [sym_jsx_fragment] = STATE(544),
    [sym_jsx_element] = STATE(544),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(544),
    [sym_await_expression] = STATE(544),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(545),
    [sym_string] = STATE(544),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(544),
    [sym_ternary_expression] = STATE(544),
    [sym_binary_expression] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_parenthesized_expression] = STATE(544),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(544),
    [sym_class] = STATE(544),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1749),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1749),
    [sym_undefined] = ACTIONS(1749),
    [sym_true] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1749),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1751),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [473] = {
    [anon_sym_class] = ACTIONS(1753),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_import] = ACTIONS(1753),
    [anon_sym_LBRACE] = ACTIONS(1755),
    [anon_sym_delete] = ACTIONS(1753),
    [anon_sym_throw] = ACTIONS(1753),
    [anon_sym_for] = ACTIONS(1753),
    [anon_sym_BANG] = ACTIONS(1755),
    [sym_this] = ACTIONS(1753),
    [sym_true] = ACTIONS(1753),
    [anon_sym_case] = ACTIONS(1753),
    [anon_sym_get] = ACTIONS(1753),
    [anon_sym_default] = ACTIONS(1753),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_DQUOTE] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [sym_super] = ACTIONS(1753),
    [sym_false] = ACTIONS(1753),
    [sym_number] = ACTIONS(1755),
    [anon_sym_yield] = ACTIONS(1753),
    [anon_sym_set] = ACTIONS(1753),
    [anon_sym_async] = ACTIONS(1753),
    [anon_sym_var] = ACTIONS(1753),
    [anon_sym_const] = ACTIONS(1753),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [anon_sym_try] = ACTIONS(1753),
    [anon_sym_typeof] = ACTIONS(1753),
    [anon_sym_await] = ACTIONS(1753),
    [anon_sym_SLASH] = ACTIONS(1753),
    [sym_null] = ACTIONS(1753),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_function] = ACTIONS(1753),
    [anon_sym_let] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_with] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym_undefined] = ACTIONS(1753),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_else] = ACTIONS(1753),
    [anon_sym_break] = ACTIONS(1753),
    [anon_sym_debugger] = ACTIONS(1753),
    [anon_sym_while] = ACTIONS(1753),
    [sym_identifier] = ACTIONS(1753),
    [anon_sym_BQUOTE] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [ts_builtin_sym_end] = ACTIONS(1755),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_switch] = ACTIONS(1753),
    [anon_sym_export] = ACTIONS(1753),
    [anon_sym_continue] = ACTIONS(1753),
    [anon_sym_void] = ACTIONS(1753),
    [anon_sym_return] = ACTIONS(1753),
    [anon_sym_do] = ACTIONS(1753),
  },
  [474] = {
    [anon_sym_COLON] = ACTIONS(1757),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [aux_sym_switch_body_repeat1] = STATE(548),
    [sym_switch_case] = STATE(548),
    [sym_switch_default] = STATE(548),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1759),
    [anon_sym_default] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [sym__automatic_semicolon] = ACTIONS(1761),
    [anon_sym_from] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1761),
  },
  [477] = {
    [sym__import_export_specifier] = STATE(550),
    [sym_identifier] = ACTIONS(580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1763),
  },
  [478] = {
    [sym__automatic_semicolon] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(1765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1765),
  },
  [479] = {
    [aux_sym_export_clause_repeat1] = STATE(552),
    [anon_sym_COMMA] = ACTIONS(1767),
    [anon_sym_RBRACE] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [anon_sym_class] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_import] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1771),
    [anon_sym_delete] = ACTIONS(1769),
    [anon_sym_throw] = ACTIONS(1769),
    [anon_sym_for] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1771),
    [sym_this] = ACTIONS(1769),
    [sym_true] = ACTIONS(1769),
    [anon_sym_case] = ACTIONS(1769),
    [anon_sym_get] = ACTIONS(1769),
    [anon_sym_default] = ACTIONS(1769),
    [anon_sym_PLUS_PLUS] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(1771),
    [anon_sym_DQUOTE] = ACTIONS(1771),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [anon_sym_TILDE] = ACTIONS(1771),
    [sym_super] = ACTIONS(1769),
    [sym_false] = ACTIONS(1769),
    [sym_number] = ACTIONS(1771),
    [anon_sym_yield] = ACTIONS(1769),
    [anon_sym_set] = ACTIONS(1769),
    [anon_sym_async] = ACTIONS(1769),
    [anon_sym_var] = ACTIONS(1769),
    [anon_sym_const] = ACTIONS(1769),
    [anon_sym_RBRACE] = ACTIONS(1771),
    [anon_sym_DASH_DASH] = ACTIONS(1771),
    [anon_sym_try] = ACTIONS(1769),
    [anon_sym_typeof] = ACTIONS(1769),
    [anon_sym_await] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [sym_null] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_if] = ACTIONS(1769),
    [anon_sym_with] = ACTIONS(1769),
    [anon_sym_SQUOTE] = ACTIONS(1771),
    [sym_undefined] = ACTIONS(1769),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1771),
    [anon_sym_else] = ACTIONS(1769),
    [anon_sym_break] = ACTIONS(1769),
    [anon_sym_debugger] = ACTIONS(1769),
    [anon_sym_while] = ACTIONS(1769),
    [sym_identifier] = ACTIONS(1769),
    [anon_sym_BQUOTE] = ACTIONS(1771),
    [anon_sym_LT] = ACTIONS(1771),
    [ts_builtin_sym_end] = ACTIONS(1771),
    [anon_sym_new] = ACTIONS(1769),
    [anon_sym_AT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_switch] = ACTIONS(1769),
    [anon_sym_export] = ACTIONS(1769),
    [anon_sym_continue] = ACTIONS(1769),
    [anon_sym_void] = ACTIONS(1769),
    [anon_sym_return] = ACTIONS(1769),
    [anon_sym_do] = ACTIONS(1769),
  },
  [481] = {
    [sym_identifier] = ACTIONS(1773),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [anon_sym_class] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1775),
    [anon_sym_import] = ACTIONS(1775),
    [anon_sym_LBRACE] = ACTIONS(1777),
    [anon_sym_delete] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1775),
    [anon_sym_BANG] = ACTIONS(1777),
    [sym_this] = ACTIONS(1775),
    [sym_true] = ACTIONS(1775),
    [anon_sym_case] = ACTIONS(1775),
    [anon_sym_get] = ACTIONS(1775),
    [anon_sym_default] = ACTIONS(1775),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(1777),
    [anon_sym_DQUOTE] = ACTIONS(1777),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_TILDE] = ACTIONS(1777),
    [sym_super] = ACTIONS(1775),
    [sym_false] = ACTIONS(1775),
    [sym_number] = ACTIONS(1777),
    [anon_sym_yield] = ACTIONS(1775),
    [anon_sym_set] = ACTIONS(1775),
    [anon_sym_async] = ACTIONS(1775),
    [anon_sym_var] = ACTIONS(1775),
    [anon_sym_const] = ACTIONS(1775),
    [anon_sym_RBRACE] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1775),
    [anon_sym_typeof] = ACTIONS(1775),
    [anon_sym_await] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1775),
    [sym_null] = ACTIONS(1775),
    [anon_sym_finally] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [anon_sym_function] = ACTIONS(1775),
    [anon_sym_let] = ACTIONS(1775),
    [anon_sym_if] = ACTIONS(1775),
    [anon_sym_with] = ACTIONS(1775),
    [anon_sym_SQUOTE] = ACTIONS(1777),
    [sym_undefined] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1777),
    [anon_sym_else] = ACTIONS(1775),
    [anon_sym_break] = ACTIONS(1775),
    [anon_sym_debugger] = ACTIONS(1775),
    [anon_sym_while] = ACTIONS(1775),
    [sym_identifier] = ACTIONS(1775),
    [anon_sym_BQUOTE] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [ts_builtin_sym_end] = ACTIONS(1777),
    [anon_sym_new] = ACTIONS(1775),
    [anon_sym_AT] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_switch] = ACTIONS(1775),
    [anon_sym_export] = ACTIONS(1775),
    [anon_sym_continue] = ACTIONS(1775),
    [anon_sym_void] = ACTIONS(1775),
    [anon_sym_return] = ACTIONS(1775),
    [anon_sym_do] = ACTIONS(1775),
  },
  [483] = {
    [anon_sym_class] = ACTIONS(1779),
    [anon_sym_DASH] = ACTIONS(1779),
    [anon_sym_import] = ACTIONS(1779),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1779),
    [anon_sym_throw] = ACTIONS(1779),
    [anon_sym_for] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(1781),
    [sym_this] = ACTIONS(1779),
    [sym_true] = ACTIONS(1779),
    [anon_sym_case] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_default] = ACTIONS(1779),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_DQUOTE] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [sym_super] = ACTIONS(1779),
    [sym_false] = ACTIONS(1779),
    [sym_number] = ACTIONS(1781),
    [anon_sym_yield] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_async] = ACTIONS(1779),
    [anon_sym_var] = ACTIONS(1779),
    [anon_sym_const] = ACTIONS(1779),
    [anon_sym_RBRACE] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_typeof] = ACTIONS(1779),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_SLASH] = ACTIONS(1779),
    [sym_null] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_function] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_if] = ACTIONS(1779),
    [anon_sym_with] = ACTIONS(1779),
    [anon_sym_SQUOTE] = ACTIONS(1781),
    [sym_undefined] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1781),
    [anon_sym_else] = ACTIONS(1779),
    [anon_sym_break] = ACTIONS(1779),
    [anon_sym_debugger] = ACTIONS(1779),
    [anon_sym_while] = ACTIONS(1779),
    [sym_identifier] = ACTIONS(1779),
    [anon_sym_BQUOTE] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [ts_builtin_sym_end] = ACTIONS(1781),
    [anon_sym_new] = ACTIONS(1779),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1779),
    [anon_sym_switch] = ACTIONS(1779),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_continue] = ACTIONS(1779),
    [anon_sym_void] = ACTIONS(1779),
    [anon_sym_return] = ACTIONS(1779),
    [anon_sym_do] = ACTIONS(1779),
  },
  [484] = {
    [anon_sym_class] = ACTIONS(1783),
    [anon_sym_DASH] = ACTIONS(1783),
    [anon_sym_import] = ACTIONS(1783),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_delete] = ACTIONS(1783),
    [anon_sym_throw] = ACTIONS(1783),
    [anon_sym_for] = ACTIONS(1783),
    [anon_sym_BANG] = ACTIONS(1785),
    [sym_this] = ACTIONS(1783),
    [sym_true] = ACTIONS(1783),
    [anon_sym_case] = ACTIONS(1783),
    [anon_sym_get] = ACTIONS(1783),
    [anon_sym_default] = ACTIONS(1783),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_SEMI] = ACTIONS(1785),
    [anon_sym_DQUOTE] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_TILDE] = ACTIONS(1785),
    [sym_super] = ACTIONS(1783),
    [sym_false] = ACTIONS(1783),
    [sym_number] = ACTIONS(1785),
    [anon_sym_yield] = ACTIONS(1783),
    [anon_sym_set] = ACTIONS(1783),
    [anon_sym_async] = ACTIONS(1783),
    [anon_sym_var] = ACTIONS(1783),
    [anon_sym_const] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_try] = ACTIONS(1783),
    [anon_sym_typeof] = ACTIONS(1783),
    [anon_sym_await] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1783),
    [sym_null] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_function] = ACTIONS(1783),
    [anon_sym_let] = ACTIONS(1783),
    [anon_sym_if] = ACTIONS(1783),
    [anon_sym_with] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1785),
    [sym_undefined] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1785),
    [anon_sym_else] = ACTIONS(1783),
    [anon_sym_break] = ACTIONS(1783),
    [anon_sym_debugger] = ACTIONS(1783),
    [anon_sym_while] = ACTIONS(1783),
    [sym_identifier] = ACTIONS(1783),
    [anon_sym_BQUOTE] = ACTIONS(1785),
    [anon_sym_LT] = ACTIONS(1785),
    [ts_builtin_sym_end] = ACTIONS(1785),
    [anon_sym_new] = ACTIONS(1783),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_switch] = ACTIONS(1783),
    [anon_sym_export] = ACTIONS(1783),
    [anon_sym_continue] = ACTIONS(1783),
    [anon_sym_void] = ACTIONS(1783),
    [anon_sym_return] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1783),
  },
  [485] = {
    [sym__automatic_semicolon] = ACTIONS(1787),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1787),
  },
  [486] = {
    [sym_new_expression] = STATE(555),
    [sym_augmented_assignment_expression] = STATE(555),
    [sym_unary_expression] = STATE(555),
    [sym_update_expression] = STATE(555),
    [sym_regex] = STATE(555),
    [sym_meta_property] = STATE(555),
    [sym__expression] = STATE(555),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(555),
    [sym_jsx_fragment] = STATE(555),
    [sym_jsx_element] = STATE(555),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(555),
    [sym_await_expression] = STATE(555),
    [sym_member_expression] = STATE(44),
    [sym_string] = STATE(555),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(555),
    [sym_generator_function] = STATE(555),
    [sym_call_expression] = STATE(555),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(555),
    [sym_ternary_expression] = STATE(555),
    [sym_binary_expression] = STATE(555),
    [sym_template_string] = STATE(555),
    [sym_parenthesized_expression] = STATE(555),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(555),
    [sym_class] = STATE(555),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(1789),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1789),
    [sym_undefined] = ACTIONS(1789),
    [sym_true] = ACTIONS(1789),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(1789),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [487] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1793),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1793),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
  },
  [488] = {
    [sym_class_body] = STATE(557),
    [anon_sym_LBRACE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [anon_sym_instanceof] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1797),
    [sym__automatic_semicolon] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_STAR_STAR] = ACTIONS(1795),
    [anon_sym_AMP_AMP] = ACTIONS(1795),
    [anon_sym_STAR] = ACTIONS(1797),
    [anon_sym_GT_GT] = ACTIONS(1797),
    [anon_sym_AMP] = ACTIONS(1797),
    [anon_sym_in] = ACTIONS(1797),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_DOT] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1797),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_COMMA] = ACTIONS(1795),
    [anon_sym_GT_GT_GT] = ACTIONS(1795),
    [anon_sym_SEMI] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1797),
    [anon_sym_GT] = ACTIONS(1797),
    [anon_sym_BQUOTE] = ACTIONS(1795),
    [anon_sym_LT] = ACTIONS(1797),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_EQ_EQ] = ACTIONS(1797),
    [anon_sym_PERCENT] = ACTIONS(1795),
    [anon_sym_QMARK] = ACTIONS(1795),
    [anon_sym_LT_LT] = ACTIONS(1795),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_RBRACE] = ACTIONS(1795),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1795),
    [anon_sym_RPAREN] = ACTIONS(1795),
  },
  [490] = {
    [anon_sym_LBRACE] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1799),
  },
  [491] = {
    [anon_sym_DOT] = ACTIONS(808),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(806),
    [anon_sym_GT] = ACTIONS(1801),
  },
  [492] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(806),
    [anon_sym_GT] = ACTIONS(1801),
  },
  [493] = {
    [anon_sym_DOT] = ACTIONS(808),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT] = ACTIONS(1801),
  },
  [494] = {
    [anon_sym_GT] = ACTIONS(1801),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [sym_nested_identifier] = STATE(1080),
    [sym_jsx_namespace_name] = STATE(1081),
    [sym_identifier] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1075),
  },
  [496] = {
    [sym__automatic_semicolon] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1602),
    [anon_sym_SEMI] = ACTIONS(1602),
  },
  [497] = {
    [anon_sym_get] = ACTIONS(1803),
    [anon_sym_SQUOTE] = ACTIONS(1805),
    [anon_sym_set] = ACTIONS(1803),
    [anon_sym_async] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(1805),
    [anon_sym_DQUOTE] = ACTIONS(1805),
    [anon_sym_static] = ACTIONS(1803),
    [anon_sym_RBRACE] = ACTIONS(1805),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1803),
    [anon_sym_STAR] = ACTIONS(1805),
    [sym_number] = ACTIONS(1805),
  },
  [498] = {
    [anon_sym_get] = ACTIONS(1803),
    [anon_sym_SQUOTE] = ACTIONS(1805),
    [anon_sym_set] = ACTIONS(1803),
    [anon_sym_async] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(1805),
    [anon_sym_SEMI] = ACTIONS(1807),
    [anon_sym_DQUOTE] = ACTIONS(1805),
    [anon_sym_static] = ACTIONS(1803),
    [anon_sym_RBRACE] = ACTIONS(1805),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1803),
    [anon_sym_STAR] = ACTIONS(1805),
    [sym_number] = ACTIONS(1805),
  },
  [499] = {
    [sym__automatic_semicolon] = ACTIONS(1807),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1807),
  },
  [500] = {
    [anon_sym_instanceof] = ACTIONS(1809),
    [sym__automatic_semicolon] = ACTIONS(1811),
    [anon_sym_class] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1809),
    [anon_sym_throw] = ACTIONS(1809),
    [anon_sym_GT_EQ] = ACTIONS(1811),
    [sym_this] = ACTIONS(1809),
    [anon_sym_case] = ACTIONS(1809),
    [anon_sym_get] = ACTIONS(1809),
    [anon_sym_LT_EQ] = ACTIONS(1811),
    [anon_sym_COMMA] = ACTIONS(1811),
    [anon_sym_PLUS_PLUS] = ACTIONS(1811),
    [anon_sym_LPAREN] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(1811),
    [anon_sym_GT] = ACTIONS(1809),
    [sym_false] = ACTIONS(1809),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_async] = ACTIONS(1809),
    [anon_sym_const] = ACTIONS(1809),
    [anon_sym_QMARK] = ACTIONS(1811),
    [anon_sym_try] = ACTIONS(1809),
    [anon_sym_await] = ACTIONS(1809),
    [anon_sym_let] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1811),
    [anon_sym_GT_GT] = ACTIONS(1809),
    [anon_sym_in] = ACTIONS(1809),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1811),
    [sym_undefined] = ACTIONS(1809),
    [anon_sym_EQ_GT] = ACTIONS(1811),
    [anon_sym_else] = ACTIONS(1809),
    [anon_sym_PIPE_PIPE] = ACTIONS(1811),
    [anon_sym_break] = ACTIONS(1809),
    [anon_sym_while] = ACTIONS(1809),
    [anon_sym_BQUOTE] = ACTIONS(1811),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_export] = ACTIONS(1809),
    [anon_sym_LT_LT] = ACTIONS(1811),
    [anon_sym_return] = ACTIONS(1809),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1811),
    [anon_sym_import] = ACTIONS(1809),
    [anon_sym_STAR_STAR] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(1811),
    [anon_sym_delete] = ACTIONS(1809),
    [anon_sym_for] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1809),
    [sym_true] = ACTIONS(1809),
    [anon_sym_default] = ACTIONS(1809),
    [anon_sym_SEMI] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_super] = ACTIONS(1809),
    [sym_number] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1809),
    [anon_sym_var] = ACTIONS(1809),
    [anon_sym_EQ_EQ] = ACTIONS(1809),
    [anon_sym_RBRACE] = ACTIONS(1811),
    [anon_sym_DASH_DASH] = ACTIONS(1811),
    [anon_sym_RPAREN] = ACTIONS(1811),
    [anon_sym_typeof] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [sym_null] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1811),
    [anon_sym_function] = ACTIONS(1809),
    [anon_sym_if] = ACTIONS(1809),
    [anon_sym_AMP_AMP] = ACTIONS(1811),
    [anon_sym_with] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1811),
    [anon_sym_DOT] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1809),
    [anon_sym_GT_GT_GT] = ACTIONS(1811),
    [anon_sym_debugger] = ACTIONS(1809),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1809),
    [ts_builtin_sym_end] = ACTIONS(1811),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_AT] = ACTIONS(1811),
    [anon_sym_switch] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1811),
    [anon_sym_continue] = ACTIONS(1809),
    [anon_sym_void] = ACTIONS(1809),
    [anon_sym_do] = ACTIONS(1809),
  },
  [501] = {
    [anon_sym_COMMA] = ACTIONS(1813),
    [anon_sym_RBRACE] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [anon_sym_from] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [anon_sym_COMMA] = ACTIONS(1817),
    [anon_sym_RBRACE] = ACTIONS(1817),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [sym__import_export_specifier] = STATE(503),
    [sym_identifier] = ACTIONS(580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1819),
  },
  [505] = {
    [aux_sym_named_imports_repeat1] = STATE(505),
    [anon_sym_COMMA] = ACTIONS(1821),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [anon_sym_class] = ACTIONS(1826),
    [anon_sym_DASH] = ACTIONS(1826),
    [anon_sym_import] = ACTIONS(1826),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1826),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_for] = ACTIONS(1826),
    [anon_sym_BANG] = ACTIONS(1828),
    [sym_this] = ACTIONS(1826),
    [sym_true] = ACTIONS(1826),
    [anon_sym_case] = ACTIONS(1826),
    [anon_sym_get] = ACTIONS(1826),
    [anon_sym_default] = ACTIONS(1826),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_DQUOTE] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [sym_super] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [sym_number] = ACTIONS(1828),
    [anon_sym_yield] = ACTIONS(1826),
    [anon_sym_set] = ACTIONS(1826),
    [anon_sym_async] = ACTIONS(1826),
    [anon_sym_var] = ACTIONS(1826),
    [anon_sym_const] = ACTIONS(1826),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_typeof] = ACTIONS(1826),
    [anon_sym_await] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1826),
    [sym_null] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_function] = ACTIONS(1826),
    [anon_sym_let] = ACTIONS(1826),
    [anon_sym_if] = ACTIONS(1826),
    [anon_sym_with] = ACTIONS(1826),
    [anon_sym_SQUOTE] = ACTIONS(1828),
    [sym_undefined] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1828),
    [anon_sym_else] = ACTIONS(1826),
    [anon_sym_break] = ACTIONS(1826),
    [anon_sym_debugger] = ACTIONS(1826),
    [anon_sym_while] = ACTIONS(1826),
    [sym_identifier] = ACTIONS(1826),
    [anon_sym_BQUOTE] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [ts_builtin_sym_end] = ACTIONS(1828),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1826),
    [anon_sym_switch] = ACTIONS(1826),
    [anon_sym_export] = ACTIONS(1826),
    [anon_sym_continue] = ACTIONS(1826),
    [anon_sym_void] = ACTIONS(1826),
    [anon_sym_return] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1826),
  },
  [507] = {
    [anon_sym_COMMA] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1830),
    [anon_sym_static] = ACTIONS(1832),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_STAR] = ACTIONS(1830),
    [sym_number] = ACTIONS(1830),
    [anon_sym_SQUOTE] = ACTIONS(1830),
    [anon_sym_set] = ACTIONS(1832),
    [anon_sym_async] = ACTIONS(1832),
    [anon_sym_AT] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1830),
    [anon_sym_get] = ACTIONS(1832),
  },
  [508] = {
    [sym_statement_block] = STATE(562),
    [anon_sym_LBRACE] = ACTIONS(362),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [anon_sym_instanceof] = ACTIONS(1834),
    [sym__automatic_semicolon] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1836),
    [anon_sym_AMP] = ACTIONS(1836),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1836),
    [anon_sym_QMARK] = ACTIONS(1834),
    [anon_sym_RBRACE] = ACTIONS(1834),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT] = ACTIONS(1836),
    [anon_sym_in] = ACTIONS(1836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1834),
    [anon_sym_of] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_GT_GT_GT] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1836),
    [anon_sym_BQUOTE] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1836),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1834),
  },
  [510] = {
    [anon_sym_of] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [anon_sym_of] = ACTIONS(1840),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [anon_sym_of] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [sym_new_expression] = STATE(566),
    [sym_augmented_assignment_expression] = STATE(566),
    [sym_unary_expression] = STATE(566),
    [sym_update_expression] = STATE(566),
    [sym_regex] = STATE(566),
    [sym_meta_property] = STATE(566),
    [sym__expression] = STATE(566),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(566),
    [sym_jsx_fragment] = STATE(566),
    [sym_jsx_element] = STATE(566),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(566),
    [sym_await_expression] = STATE(566),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(566),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(566),
    [sym_generator_function] = STATE(566),
    [sym_call_expression] = STATE(566),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(566),
    [sym_ternary_expression] = STATE(566),
    [sym_binary_expression] = STATE(566),
    [sym_template_string] = STATE(566),
    [sym_parenthesized_expression] = STATE(566),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(566),
    [sym_class] = STATE(566),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1844),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1844),
    [sym_undefined] = ACTIONS(1844),
    [sym_true] = ACTIONS(1844),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1844),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1846),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [514] = {
    [sym_new_expression] = STATE(567),
    [sym_augmented_assignment_expression] = STATE(567),
    [sym_unary_expression] = STATE(567),
    [sym_update_expression] = STATE(567),
    [sym_regex] = STATE(567),
    [sym_meta_property] = STATE(567),
    [sym__expression] = STATE(567),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(567),
    [sym_jsx_fragment] = STATE(567),
    [sym_jsx_element] = STATE(567),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(567),
    [sym_await_expression] = STATE(567),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(567),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(567),
    [sym_generator_function] = STATE(567),
    [sym_call_expression] = STATE(567),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(567),
    [sym_ternary_expression] = STATE(567),
    [sym_binary_expression] = STATE(567),
    [sym_template_string] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(567),
    [sym_class] = STATE(567),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1848),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1848),
    [sym_undefined] = ACTIONS(1848),
    [sym_true] = ACTIONS(1848),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1848),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1850),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [515] = {
    [sym_new_expression] = STATE(568),
    [sym_augmented_assignment_expression] = STATE(568),
    [sym_unary_expression] = STATE(568),
    [sym_update_expression] = STATE(568),
    [sym_regex] = STATE(568),
    [sym_meta_property] = STATE(568),
    [sym__expression] = STATE(568),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(568),
    [sym_jsx_fragment] = STATE(568),
    [sym_jsx_element] = STATE(568),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(568),
    [sym_await_expression] = STATE(568),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(568),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(568),
    [sym_generator_function] = STATE(568),
    [sym_call_expression] = STATE(568),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(568),
    [sym_ternary_expression] = STATE(568),
    [sym_binary_expression] = STATE(568),
    [sym_template_string] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(568),
    [sym_class] = STATE(568),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1852),
    [sym_undefined] = ACTIONS(1852),
    [sym_true] = ACTIONS(1852),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1852),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1854),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [516] = {
    [sym_new_expression] = STATE(569),
    [sym_augmented_assignment_expression] = STATE(569),
    [sym_unary_expression] = STATE(569),
    [sym_update_expression] = STATE(569),
    [sym_regex] = STATE(569),
    [sym_meta_property] = STATE(569),
    [sym__expression] = STATE(569),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(569),
    [sym_jsx_fragment] = STATE(569),
    [sym_jsx_element] = STATE(569),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(569),
    [sym_await_expression] = STATE(569),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(570),
    [sym_string] = STATE(569),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(569),
    [sym_generator_function] = STATE(569),
    [sym_call_expression] = STATE(569),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(569),
    [sym_ternary_expression] = STATE(569),
    [sym_binary_expression] = STATE(569),
    [sym_template_string] = STATE(569),
    [sym_parenthesized_expression] = STATE(569),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(569),
    [sym_class] = STATE(569),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1856),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1856),
    [sym_undefined] = ACTIONS(1856),
    [sym_true] = ACTIONS(1856),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1856),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1858),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [517] = {
    [sym_new_expression] = STATE(571),
    [sym_augmented_assignment_expression] = STATE(571),
    [sym_unary_expression] = STATE(571),
    [sym_update_expression] = STATE(571),
    [sym_regex] = STATE(571),
    [sym_meta_property] = STATE(571),
    [sym__expression] = STATE(571),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(571),
    [sym_jsx_fragment] = STATE(571),
    [sym_jsx_element] = STATE(571),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(571),
    [sym_await_expression] = STATE(571),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(572),
    [sym_string] = STATE(571),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(571),
    [sym_generator_function] = STATE(571),
    [sym_call_expression] = STATE(571),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(571),
    [sym_ternary_expression] = STATE(571),
    [sym_binary_expression] = STATE(571),
    [sym_template_string] = STATE(571),
    [sym_parenthesized_expression] = STATE(571),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(571),
    [sym_class] = STATE(571),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1860),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1860),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1862),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [518] = {
    [sym_new_expression] = STATE(573),
    [sym_augmented_assignment_expression] = STATE(573),
    [sym_unary_expression] = STATE(573),
    [sym_update_expression] = STATE(573),
    [sym_regex] = STATE(573),
    [sym_meta_property] = STATE(573),
    [sym__expression] = STATE(573),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(573),
    [sym_jsx_fragment] = STATE(573),
    [sym_jsx_element] = STATE(573),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(573),
    [sym_await_expression] = STATE(573),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(574),
    [sym_string] = STATE(573),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(573),
    [sym_generator_function] = STATE(573),
    [sym_call_expression] = STATE(573),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(573),
    [sym_ternary_expression] = STATE(573),
    [sym_binary_expression] = STATE(573),
    [sym_template_string] = STATE(573),
    [sym_parenthesized_expression] = STATE(573),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(573),
    [sym_class] = STATE(573),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1864),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1864),
    [sym_undefined] = ACTIONS(1864),
    [sym_true] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1864),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1866),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [519] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(1868),
  },
  [520] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1868),
  },
  [521] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1870),
  },
  [522] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(577),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(577),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(577),
    [sym_return_statement] = STATE(577),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(577),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(577),
    [sym_switch_statement] = STATE(577),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(577),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(577),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(577),
    [sym_continue_statement] = STATE(577),
    [sym_statement_block] = STATE(577),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(577),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(577),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(577),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(577),
    [sym_with_statement] = STATE(577),
    [sym_empty_statement] = STATE(577),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(577),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(577),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(577),
    [sym_break_statement] = STATE(577),
    [sym_labeled_statement] = STATE(577),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [523] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1872),
  },
  [524] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1872),
  },
  [525] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1874),
  },
  [526] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(1876),
  },
  [527] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1876),
  },
  [528] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1878),
  },
  [529] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(1880),
  },
  [530] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1880),
  },
  [531] = {
    [anon_sym_LBRACE] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1882),
  },
  [532] = {
    [sym_array] = STATE(442),
    [sym_object] = STATE(443),
    [sym_assignment_pattern] = STATE(444),
    [sym_rest_parameter] = STATE(444),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_set] = ACTIONS(1310),
    [anon_sym_async] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(273),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1312),
    [anon_sym_get] = ACTIONS(1310),
  },
  [533] = {
    [anon_sym_LBRACE] = ACTIONS(1884),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1884),
  },
  [534] = {
    [anon_sym_LBRACE] = ACTIONS(1886),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1886),
  },
  [535] = {
    [anon_sym_LBRACE] = ACTIONS(1888),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1888),
  },
  [536] = {
    [anon_sym_instanceof] = ACTIONS(1890),
    [anon_sym_SLASH] = ACTIONS(1892),
    [sym__automatic_semicolon] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1892),
    [anon_sym_CARET] = ACTIONS(1890),
    [anon_sym_STAR_STAR] = ACTIONS(1890),
    [anon_sym_AMP_AMP] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(1892),
    [anon_sym_GT_GT] = ACTIONS(1892),
    [anon_sym_AMP] = ACTIONS(1892),
    [anon_sym_in] = ACTIONS(1892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1890),
    [anon_sym_GT_EQ] = ACTIONS(1890),
    [anon_sym_DOT] = ACTIONS(1890),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1892),
    [anon_sym_LT_EQ] = ACTIONS(1890),
    [anon_sym_PIPE_PIPE] = ACTIONS(1890),
    [anon_sym_COMMA] = ACTIONS(1890),
    [anon_sym_GT_GT_GT] = ACTIONS(1890),
    [anon_sym_SEMI] = ACTIONS(1890),
    [anon_sym_PLUS_PLUS] = ACTIONS(1890),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_BANG_EQ] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(1892),
    [anon_sym_BQUOTE] = ACTIONS(1890),
    [anon_sym_LT] = ACTIONS(1892),
    [anon_sym_PLUS] = ACTIONS(1892),
    [anon_sym_EQ_EQ] = ACTIONS(1892),
    [anon_sym_PERCENT] = ACTIONS(1890),
    [anon_sym_QMARK] = ACTIONS(1890),
    [anon_sym_LT_LT] = ACTIONS(1890),
    [anon_sym_DASH_DASH] = ACTIONS(1890),
    [anon_sym_RBRACE] = ACTIONS(1890),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1890),
    [anon_sym_RPAREN] = ACTIONS(1890),
  },
  [537] = {
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_SLASH] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1894),
    [anon_sym_GT] = ACTIONS(1894),
    [sym_identifier] = ACTIONS(1896),
  },
  [538] = {
    [anon_sym_LBRACE] = ACTIONS(1898),
    [anon_sym_SLASH] = ACTIONS(1900),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1898),
    [anon_sym_GT] = ACTIONS(1898),
    [sym_identifier] = ACTIONS(1900),
  },
  [539] = {
    [anon_sym_instanceof] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1904),
    [sym__automatic_semicolon] = ACTIONS(1902),
    [anon_sym_LBRACK] = ACTIONS(1902),
    [anon_sym_DASH] = ACTIONS(1904),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_STAR_STAR] = ACTIONS(1902),
    [anon_sym_AMP_AMP] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1904),
    [anon_sym_in] = ACTIONS(1904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1902),
    [anon_sym_DOT] = ACTIONS(1902),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1902),
    [anon_sym_COMMA] = ACTIONS(1902),
    [anon_sym_GT_GT_GT] = ACTIONS(1902),
    [anon_sym_SEMI] = ACTIONS(1902),
    [anon_sym_PLUS_PLUS] = ACTIONS(1902),
    [anon_sym_LPAREN] = ACTIONS(1902),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1904),
    [anon_sym_BQUOTE] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1904),
    [anon_sym_PLUS] = ACTIONS(1904),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_QMARK] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1902),
    [anon_sym_RBRACE] = ACTIONS(1902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1902),
    [anon_sym_RPAREN] = ACTIONS(1902),
  },
  [540] = {
    [anon_sym_instanceof] = ACTIONS(1906),
    [anon_sym_SLASH] = ACTIONS(1908),
    [sym__automatic_semicolon] = ACTIONS(1906),
    [anon_sym_LBRACK] = ACTIONS(1906),
    [anon_sym_DASH] = ACTIONS(1908),
    [anon_sym_CARET] = ACTIONS(1906),
    [anon_sym_STAR_STAR] = ACTIONS(1906),
    [anon_sym_AMP_AMP] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(1908),
    [anon_sym_GT_GT] = ACTIONS(1908),
    [anon_sym_AMP] = ACTIONS(1908),
    [anon_sym_in] = ACTIONS(1908),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1906),
    [anon_sym_GT_EQ] = ACTIONS(1906),
    [anon_sym_DOT] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1908),
    [anon_sym_LT_EQ] = ACTIONS(1906),
    [anon_sym_PIPE_PIPE] = ACTIONS(1906),
    [anon_sym_COMMA] = ACTIONS(1906),
    [anon_sym_GT_GT_GT] = ACTIONS(1906),
    [anon_sym_SEMI] = ACTIONS(1906),
    [anon_sym_PLUS_PLUS] = ACTIONS(1906),
    [anon_sym_LPAREN] = ACTIONS(1906),
    [anon_sym_BANG_EQ] = ACTIONS(1908),
    [anon_sym_GT] = ACTIONS(1908),
    [anon_sym_BQUOTE] = ACTIONS(1906),
    [anon_sym_LT] = ACTIONS(1908),
    [anon_sym_PLUS] = ACTIONS(1908),
    [anon_sym_EQ_EQ] = ACTIONS(1908),
    [anon_sym_PERCENT] = ACTIONS(1906),
    [anon_sym_QMARK] = ACTIONS(1906),
    [anon_sym_LT_LT] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(1906),
    [anon_sym_RBRACE] = ACTIONS(1906),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1906),
    [anon_sym_RPAREN] = ACTIONS(1906),
  },
  [541] = {
    [anon_sym_GT] = ACTIONS(1910),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [anon_sym_instanceof] = ACTIONS(1912),
    [sym__automatic_semicolon] = ACTIONS(1914),
    [anon_sym_class] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1912),
    [anon_sym_AMP] = ACTIONS(1912),
    [anon_sym_throw] = ACTIONS(1912),
    [anon_sym_GT_EQ] = ACTIONS(1914),
    [sym_this] = ACTIONS(1912),
    [anon_sym_case] = ACTIONS(1912),
    [anon_sym_get] = ACTIONS(1912),
    [anon_sym_LT_EQ] = ACTIONS(1914),
    [anon_sym_COMMA] = ACTIONS(1914),
    [anon_sym_PLUS_PLUS] = ACTIONS(1914),
    [anon_sym_LPAREN] = ACTIONS(1914),
    [anon_sym_TILDE] = ACTIONS(1914),
    [anon_sym_GT] = ACTIONS(1912),
    [sym_false] = ACTIONS(1912),
    [anon_sym_yield] = ACTIONS(1912),
    [anon_sym_async] = ACTIONS(1912),
    [anon_sym_const] = ACTIONS(1912),
    [anon_sym_QMARK] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_await] = ACTIONS(1912),
    [anon_sym_let] = ACTIONS(1912),
    [anon_sym_CARET] = ACTIONS(1914),
    [anon_sym_GT_GT] = ACTIONS(1912),
    [anon_sym_in] = ACTIONS(1912),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1914),
    [sym_undefined] = ACTIONS(1912),
    [anon_sym_EQ_GT] = ACTIONS(1914),
    [anon_sym_else] = ACTIONS(1912),
    [anon_sym_PIPE_PIPE] = ACTIONS(1914),
    [anon_sym_break] = ACTIONS(1912),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_BQUOTE] = ACTIONS(1914),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(1912),
    [anon_sym_LT_LT] = ACTIONS(1914),
    [anon_sym_return] = ACTIONS(1912),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1914),
    [anon_sym_import] = ACTIONS(1912),
    [anon_sym_STAR_STAR] = ACTIONS(1914),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_delete] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1912),
    [anon_sym_BANG] = ACTIONS(1912),
    [sym_true] = ACTIONS(1912),
    [anon_sym_default] = ACTIONS(1912),
    [anon_sym_SEMI] = ACTIONS(1914),
    [anon_sym_DQUOTE] = ACTIONS(1914),
    [sym_super] = ACTIONS(1912),
    [sym_number] = ACTIONS(1914),
    [anon_sym_set] = ACTIONS(1912),
    [anon_sym_var] = ACTIONS(1912),
    [anon_sym_EQ_EQ] = ACTIONS(1912),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_DASH_DASH] = ACTIONS(1914),
    [anon_sym_RPAREN] = ACTIONS(1914),
    [anon_sym_typeof] = ACTIONS(1912),
    [anon_sym_SLASH] = ACTIONS(1912),
    [sym_null] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_function] = ACTIONS(1912),
    [anon_sym_if] = ACTIONS(1912),
    [anon_sym_AMP_AMP] = ACTIONS(1914),
    [anon_sym_with] = ACTIONS(1912),
    [anon_sym_SQUOTE] = ACTIONS(1914),
    [anon_sym_DOT] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1912),
    [anon_sym_GT_GT_GT] = ACTIONS(1914),
    [anon_sym_debugger] = ACTIONS(1912),
    [anon_sym_BANG_EQ] = ACTIONS(1912),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_LT] = ACTIONS(1912),
    [ts_builtin_sym_end] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1912),
    [anon_sym_AT] = ACTIONS(1914),
    [anon_sym_switch] = ACTIONS(1912),
    [anon_sym_PERCENT] = ACTIONS(1914),
    [anon_sym_continue] = ACTIONS(1912),
    [anon_sym_void] = ACTIONS(1912),
    [anon_sym_do] = ACTIONS(1912),
  },
  [543] = {
    [sym__initializer] = STATE(654),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(732),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_STAR_EQ] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(295),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE_EQ] = ACTIONS(732),
    [anon_sym_PERCENT_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_EQ_GT] = ACTIONS(734),
    [anon_sym_SLASH_EQ] = ACTIONS(732),
    [anon_sym_PLUS_EQ] = ACTIONS(732),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(1916),
    [anon_sym_GT_GT_GT] = ACTIONS(295),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_CARET_EQ] = ACTIONS(732),
    [anon_sym_LT_LT_EQ] = ACTIONS(732),
    [anon_sym_DASH_EQ] = ACTIONS(732),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(295),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_RPAREN] = ACTIONS(1916),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [544] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [545] = {
    [anon_sym_COLON] = ACTIONS(1919),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(585),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(585),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(585),
    [sym_return_statement] = STATE(585),
    [aux_sym_program_repeat1] = STATE(585),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(585),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(585),
    [sym_switch_statement] = STATE(585),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(585),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(585),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(585),
    [sym_continue_statement] = STATE(585),
    [sym_statement_block] = STATE(585),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(585),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(585),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(585),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(585),
    [sym_with_statement] = STATE(585),
    [sym_empty_statement] = STATE(585),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(585),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(585),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(585),
    [sym_break_statement] = STATE(585),
    [sym_labeled_statement] = STATE(585),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_case] = ACTIONS(1921),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_default] = ACTIONS(1921),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(1923),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [547] = {
    [anon_sym_class] = ACTIONS(1925),
    [anon_sym_DASH] = ACTIONS(1925),
    [anon_sym_import] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_delete] = ACTIONS(1925),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_for] = ACTIONS(1925),
    [anon_sym_BANG] = ACTIONS(1927),
    [sym_this] = ACTIONS(1925),
    [sym_true] = ACTIONS(1925),
    [anon_sym_case] = ACTIONS(1925),
    [anon_sym_get] = ACTIONS(1925),
    [anon_sym_default] = ACTIONS(1925),
    [anon_sym_PLUS_PLUS] = ACTIONS(1927),
    [anon_sym_SEMI] = ACTIONS(1927),
    [anon_sym_DQUOTE] = ACTIONS(1927),
    [anon_sym_LPAREN] = ACTIONS(1927),
    [anon_sym_TILDE] = ACTIONS(1927),
    [sym_super] = ACTIONS(1925),
    [sym_false] = ACTIONS(1925),
    [sym_number] = ACTIONS(1927),
    [anon_sym_yield] = ACTIONS(1925),
    [anon_sym_set] = ACTIONS(1925),
    [anon_sym_async] = ACTIONS(1925),
    [anon_sym_var] = ACTIONS(1925),
    [anon_sym_const] = ACTIONS(1925),
    [anon_sym_RBRACE] = ACTIONS(1927),
    [anon_sym_DASH_DASH] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_typeof] = ACTIONS(1925),
    [anon_sym_await] = ACTIONS(1925),
    [anon_sym_SLASH] = ACTIONS(1925),
    [sym_null] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1927),
    [anon_sym_function] = ACTIONS(1925),
    [anon_sym_let] = ACTIONS(1925),
    [anon_sym_if] = ACTIONS(1925),
    [anon_sym_with] = ACTIONS(1925),
    [anon_sym_SQUOTE] = ACTIONS(1927),
    [sym_undefined] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1927),
    [anon_sym_else] = ACTIONS(1925),
    [anon_sym_break] = ACTIONS(1925),
    [anon_sym_debugger] = ACTIONS(1925),
    [anon_sym_while] = ACTIONS(1925),
    [sym_identifier] = ACTIONS(1925),
    [anon_sym_BQUOTE] = ACTIONS(1927),
    [anon_sym_LT] = ACTIONS(1927),
    [ts_builtin_sym_end] = ACTIONS(1927),
    [anon_sym_new] = ACTIONS(1925),
    [anon_sym_AT] = ACTIONS(1927),
    [anon_sym_PLUS] = ACTIONS(1925),
    [anon_sym_switch] = ACTIONS(1925),
    [anon_sym_export] = ACTIONS(1925),
    [anon_sym_continue] = ACTIONS(1925),
    [anon_sym_void] = ACTIONS(1925),
    [anon_sym_return] = ACTIONS(1925),
    [anon_sym_do] = ACTIONS(1925),
  },
  [548] = {
    [sym_switch_default] = STATE(548),
    [aux_sym_switch_body_repeat1] = STATE(548),
    [sym_switch_case] = STATE(548),
    [anon_sym_case] = ACTIONS(1929),
    [anon_sym_RBRACE] = ACTIONS(1932),
    [anon_sym_default] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [sym__automatic_semicolon] = ACTIONS(1937),
    [anon_sym_from] = ACTIONS(1937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1937),
  },
  [550] = {
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_RBRACE] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [sym__import_export_specifier] = STATE(550),
    [sym_identifier] = ACTIONS(580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1941),
  },
  [552] = {
    [aux_sym_export_clause_repeat1] = STATE(552),
    [anon_sym_COMMA] = ACTIONS(1943),
    [anon_sym_RBRACE] = ACTIONS(1946),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1948),
  },
  [554] = {
    [anon_sym_class] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1950),
    [anon_sym_import] = ACTIONS(1950),
    [anon_sym_LBRACE] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1950),
    [anon_sym_throw] = ACTIONS(1950),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1952),
    [sym_this] = ACTIONS(1950),
    [sym_true] = ACTIONS(1950),
    [anon_sym_case] = ACTIONS(1950),
    [anon_sym_get] = ACTIONS(1950),
    [anon_sym_default] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1952),
    [anon_sym_DQUOTE] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(1952),
    [anon_sym_TILDE] = ACTIONS(1952),
    [sym_super] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [sym_number] = ACTIONS(1952),
    [anon_sym_yield] = ACTIONS(1950),
    [anon_sym_set] = ACTIONS(1950),
    [anon_sym_async] = ACTIONS(1950),
    [anon_sym_var] = ACTIONS(1950),
    [anon_sym_const] = ACTIONS(1950),
    [anon_sym_RBRACE] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_typeof] = ACTIONS(1950),
    [anon_sym_await] = ACTIONS(1950),
    [anon_sym_SLASH] = ACTIONS(1950),
    [sym_null] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_function] = ACTIONS(1950),
    [anon_sym_let] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_with] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1952),
    [sym_undefined] = ACTIONS(1950),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1950),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_debugger] = ACTIONS(1950),
    [anon_sym_while] = ACTIONS(1950),
    [sym_identifier] = ACTIONS(1950),
    [anon_sym_BQUOTE] = ACTIONS(1952),
    [anon_sym_LT] = ACTIONS(1952),
    [ts_builtin_sym_end] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_AT] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1950),
    [anon_sym_switch] = ACTIONS(1950),
    [anon_sym_export] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1950),
    [anon_sym_void] = ACTIONS(1950),
    [anon_sym_return] = ACTIONS(1950),
    [anon_sym_do] = ACTIONS(1950),
  },
  [555] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1954),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(402),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(390),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1954),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(390),
    [anon_sym_RPAREN] = ACTIONS(1954),
  },
  [556] = {
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_import] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1958),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_BANG] = ACTIONS(1958),
    [sym_this] = ACTIONS(1956),
    [sym_true] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [anon_sym_get] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_PLUS_PLUS] = ACTIONS(1958),
    [anon_sym_SEMI] = ACTIONS(1958),
    [anon_sym_DQUOTE] = ACTIONS(1958),
    [anon_sym_LPAREN] = ACTIONS(1958),
    [anon_sym_TILDE] = ACTIONS(1958),
    [sym_super] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [sym_number] = ACTIONS(1958),
    [anon_sym_yield] = ACTIONS(1956),
    [anon_sym_set] = ACTIONS(1956),
    [anon_sym_async] = ACTIONS(1956),
    [anon_sym_var] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_RBRACE] = ACTIONS(1958),
    [anon_sym_DASH_DASH] = ACTIONS(1958),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_typeof] = ACTIONS(1956),
    [anon_sym_await] = ACTIONS(1956),
    [anon_sym_SLASH] = ACTIONS(1956),
    [sym_null] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [anon_sym_function] = ACTIONS(1956),
    [anon_sym_let] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_with] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym_undefined] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1958),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_debugger] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_BQUOTE] = ACTIONS(1958),
    [anon_sym_LT] = ACTIONS(1958),
    [ts_builtin_sym_end] = ACTIONS(1958),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(1958),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_void] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
  },
  [557] = {
    [anon_sym_instanceof] = ACTIONS(1960),
    [sym__automatic_semicolon] = ACTIONS(1962),
    [anon_sym_class] = ACTIONS(1960),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1960),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_GT_EQ] = ACTIONS(1962),
    [sym_this] = ACTIONS(1960),
    [anon_sym_case] = ACTIONS(1960),
    [anon_sym_get] = ACTIONS(1960),
    [anon_sym_LT_EQ] = ACTIONS(1962),
    [anon_sym_COMMA] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_LPAREN] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_GT] = ACTIONS(1960),
    [sym_false] = ACTIONS(1960),
    [anon_sym_yield] = ACTIONS(1960),
    [anon_sym_async] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_QMARK] = ACTIONS(1962),
    [anon_sym_try] = ACTIONS(1960),
    [anon_sym_await] = ACTIONS(1960),
    [anon_sym_let] = ACTIONS(1960),
    [anon_sym_CARET] = ACTIONS(1962),
    [anon_sym_GT_GT] = ACTIONS(1960),
    [anon_sym_in] = ACTIONS(1960),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1962),
    [sym_undefined] = ACTIONS(1960),
    [anon_sym_EQ_GT] = ACTIONS(1962),
    [anon_sym_else] = ACTIONS(1960),
    [anon_sym_PIPE_PIPE] = ACTIONS(1962),
    [anon_sym_break] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1960),
    [anon_sym_BQUOTE] = ACTIONS(1962),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_export] = ACTIONS(1960),
    [anon_sym_LT_LT] = ACTIONS(1962),
    [anon_sym_return] = ACTIONS(1960),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1962),
    [anon_sym_import] = ACTIONS(1960),
    [anon_sym_STAR_STAR] = ACTIONS(1962),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_delete] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(1960),
    [anon_sym_BANG] = ACTIONS(1960),
    [sym_true] = ACTIONS(1960),
    [anon_sym_default] = ACTIONS(1960),
    [anon_sym_SEMI] = ACTIONS(1962),
    [anon_sym_DQUOTE] = ACTIONS(1962),
    [sym_super] = ACTIONS(1960),
    [sym_number] = ACTIONS(1962),
    [anon_sym_set] = ACTIONS(1960),
    [anon_sym_var] = ACTIONS(1960),
    [anon_sym_EQ_EQ] = ACTIONS(1960),
    [anon_sym_RBRACE] = ACTIONS(1962),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [anon_sym_typeof] = ACTIONS(1960),
    [anon_sym_SLASH] = ACTIONS(1960),
    [sym_null] = ACTIONS(1960),
    [anon_sym_LBRACK] = ACTIONS(1962),
    [anon_sym_function] = ACTIONS(1960),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_with] = ACTIONS(1960),
    [anon_sym_SQUOTE] = ACTIONS(1962),
    [anon_sym_DOT] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1960),
    [anon_sym_GT_GT_GT] = ACTIONS(1962),
    [anon_sym_debugger] = ACTIONS(1960),
    [anon_sym_BANG_EQ] = ACTIONS(1960),
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1960),
    [ts_builtin_sym_end] = ACTIONS(1962),
    [anon_sym_new] = ACTIONS(1960),
    [anon_sym_AT] = ACTIONS(1962),
    [anon_sym_switch] = ACTIONS(1960),
    [anon_sym_PERCENT] = ACTIONS(1962),
    [anon_sym_continue] = ACTIONS(1960),
    [anon_sym_void] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1960),
  },
  [558] = {
    [anon_sym_instanceof] = ACTIONS(1964),
    [anon_sym_SLASH] = ACTIONS(1966),
    [sym__automatic_semicolon] = ACTIONS(1964),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1964),
    [anon_sym_STAR_STAR] = ACTIONS(1964),
    [anon_sym_AMP_AMP] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_GT_GT] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_in] = ACTIONS(1966),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1964),
    [anon_sym_GT_EQ] = ACTIONS(1964),
    [anon_sym_DOT] = ACTIONS(1964),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_LT_EQ] = ACTIONS(1964),
    [anon_sym_PIPE_PIPE] = ACTIONS(1964),
    [anon_sym_COMMA] = ACTIONS(1964),
    [anon_sym_GT_GT_GT] = ACTIONS(1964),
    [anon_sym_SEMI] = ACTIONS(1964),
    [anon_sym_PLUS_PLUS] = ACTIONS(1964),
    [anon_sym_LPAREN] = ACTIONS(1964),
    [anon_sym_BANG_EQ] = ACTIONS(1966),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_BQUOTE] = ACTIONS(1964),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_PERCENT] = ACTIONS(1964),
    [anon_sym_QMARK] = ACTIONS(1964),
    [anon_sym_LT_LT] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(1964),
    [anon_sym_RBRACE] = ACTIONS(1964),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1964),
    [anon_sym_RPAREN] = ACTIONS(1964),
  },
  [559] = {
    [anon_sym_get] = ACTIONS(1968),
    [anon_sym_SQUOTE] = ACTIONS(1970),
    [anon_sym_set] = ACTIONS(1968),
    [anon_sym_async] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1970),
    [anon_sym_AT] = ACTIONS(1970),
    [anon_sym_DQUOTE] = ACTIONS(1970),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1970),
    [sym_number] = ACTIONS(1970),
  },
  [560] = {
    [anon_sym_from] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
  },
  [561] = {
    [sym__import_export_specifier] = STATE(503),
    [sym_identifier] = ACTIONS(580),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [anon_sym_static] = ACTIONS(1976),
    [sym_identifier] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(1974),
    [sym_number] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_set] = ACTIONS(1976),
    [anon_sym_async] = ACTIONS(1976),
    [anon_sym_AT] = ACTIONS(1974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1974),
    [anon_sym_get] = ACTIONS(1976),
  },
  [563] = {
    [sym_new_expression] = STATE(589),
    [sym_augmented_assignment_expression] = STATE(589),
    [sym_unary_expression] = STATE(589),
    [sym_update_expression] = STATE(589),
    [sym_regex] = STATE(589),
    [sym_meta_property] = STATE(589),
    [sym__expression] = STATE(589),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(589),
    [sym_jsx_fragment] = STATE(589),
    [sym_jsx_element] = STATE(589),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(589),
    [sym_await_expression] = STATE(589),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(589),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(589),
    [sym_generator_function] = STATE(589),
    [sym_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(589),
    [sym_ternary_expression] = STATE(589),
    [sym_binary_expression] = STATE(589),
    [sym_template_string] = STATE(589),
    [sym_parenthesized_expression] = STATE(589),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(589),
    [sym_class] = STATE(589),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1978),
    [sym_undefined] = ACTIONS(1978),
    [sym_true] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1978),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1980),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [564] = {
    [sym_new_expression] = STATE(590),
    [sym_augmented_assignment_expression] = STATE(590),
    [sym_unary_expression] = STATE(590),
    [sym_update_expression] = STATE(590),
    [sym_regex] = STATE(590),
    [sym_meta_property] = STATE(590),
    [sym__expression] = STATE(590),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(590),
    [sym_jsx_fragment] = STATE(590),
    [sym_jsx_element] = STATE(590),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(590),
    [sym_await_expression] = STATE(590),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(590),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(590),
    [sym_generator_function] = STATE(590),
    [sym_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(590),
    [sym_ternary_expression] = STATE(590),
    [sym_binary_expression] = STATE(590),
    [sym_template_string] = STATE(590),
    [sym_parenthesized_expression] = STATE(590),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(590),
    [sym_class] = STATE(590),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1982),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1982),
    [sym_undefined] = ACTIONS(1982),
    [sym_true] = ACTIONS(1982),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1982),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [565] = {
    [sym_new_expression] = STATE(591),
    [sym_augmented_assignment_expression] = STATE(591),
    [sym_unary_expression] = STATE(591),
    [sym_update_expression] = STATE(591),
    [sym_regex] = STATE(591),
    [sym_meta_property] = STATE(591),
    [sym__expression] = STATE(591),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(591),
    [sym_jsx_fragment] = STATE(591),
    [sym_jsx_element] = STATE(591),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(591),
    [sym_await_expression] = STATE(591),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(591),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(591),
    [sym_generator_function] = STATE(591),
    [sym_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(591),
    [sym_ternary_expression] = STATE(591),
    [sym_binary_expression] = STATE(591),
    [sym_template_string] = STATE(591),
    [sym_parenthesized_expression] = STATE(591),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(591),
    [sym_class] = STATE(591),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(1986),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(1986),
    [sym_undefined] = ACTIONS(1986),
    [sym_true] = ACTIONS(1986),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(1986),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(1988),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [566] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1990),
  },
  [567] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1992),
  },
  [568] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1994),
  },
  [569] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1996),
  },
  [570] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1996),
  },
  [571] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1998),
  },
  [572] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1998),
  },
  [573] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2000),
  },
  [574] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2000),
  },
  [575] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(598),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(598),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(598),
    [sym_return_statement] = STATE(598),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(598),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(598),
    [sym_switch_statement] = STATE(598),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(598),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(598),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(598),
    [sym_continue_statement] = STATE(598),
    [sym_statement_block] = STATE(598),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(598),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(598),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(598),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(598),
    [sym_with_statement] = STATE(598),
    [sym_empty_statement] = STATE(598),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(598),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(598),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(598),
    [sym_break_statement] = STATE(598),
    [sym_labeled_statement] = STATE(598),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [576] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(599),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(599),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(599),
    [sym_return_statement] = STATE(599),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(599),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(599),
    [sym_switch_statement] = STATE(599),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(599),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(599),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(599),
    [sym_continue_statement] = STATE(599),
    [sym_statement_block] = STATE(599),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(599),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(599),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(599),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(599),
    [sym_with_statement] = STATE(599),
    [sym_empty_statement] = STATE(599),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(599),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(599),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(599),
    [sym_break_statement] = STATE(599),
    [sym_labeled_statement] = STATE(599),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [577] = {
    [anon_sym_class] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_import] = ACTIONS(2002),
    [anon_sym_LBRACE] = ACTIONS(2004),
    [anon_sym_delete] = ACTIONS(2002),
    [anon_sym_throw] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(2004),
    [sym_this] = ACTIONS(2002),
    [sym_true] = ACTIONS(2002),
    [anon_sym_case] = ACTIONS(2002),
    [anon_sym_get] = ACTIONS(2002),
    [anon_sym_default] = ACTIONS(2002),
    [anon_sym_PLUS_PLUS] = ACTIONS(2004),
    [anon_sym_SEMI] = ACTIONS(2004),
    [anon_sym_DQUOTE] = ACTIONS(2004),
    [anon_sym_LPAREN] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [sym_super] = ACTIONS(2002),
    [sym_false] = ACTIONS(2002),
    [sym_number] = ACTIONS(2004),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_set] = ACTIONS(2002),
    [anon_sym_async] = ACTIONS(2002),
    [anon_sym_var] = ACTIONS(2002),
    [anon_sym_const] = ACTIONS(2002),
    [anon_sym_RBRACE] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_typeof] = ACTIONS(2002),
    [anon_sym_await] = ACTIONS(2002),
    [anon_sym_SLASH] = ACTIONS(2002),
    [sym_null] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2004),
    [anon_sym_function] = ACTIONS(2002),
    [anon_sym_let] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_with] = ACTIONS(2002),
    [anon_sym_SQUOTE] = ACTIONS(2004),
    [sym_undefined] = ACTIONS(2002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2004),
    [anon_sym_else] = ACTIONS(2002),
    [anon_sym_break] = ACTIONS(2002),
    [anon_sym_debugger] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_BQUOTE] = ACTIONS(2004),
    [anon_sym_LT] = ACTIONS(2004),
    [ts_builtin_sym_end] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_AT] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_switch] = ACTIONS(2002),
    [anon_sym_export] = ACTIONS(2002),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_void] = ACTIONS(2002),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
  },
  [578] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(600),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(600),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(600),
    [sym_return_statement] = STATE(600),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(600),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(600),
    [sym_switch_statement] = STATE(600),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(600),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(600),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(600),
    [sym_continue_statement] = STATE(600),
    [sym_statement_block] = STATE(600),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(600),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(600),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(600),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(600),
    [sym_with_statement] = STATE(600),
    [sym_empty_statement] = STATE(600),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(600),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(600),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(600),
    [sym_break_statement] = STATE(600),
    [sym_labeled_statement] = STATE(600),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [579] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(601),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(601),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(601),
    [sym_return_statement] = STATE(601),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(601),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(601),
    [sym_switch_statement] = STATE(601),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(601),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(601),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(601),
    [sym_continue_statement] = STATE(601),
    [sym_statement_block] = STATE(601),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(601),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(601),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(601),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(601),
    [sym_with_statement] = STATE(601),
    [sym_empty_statement] = STATE(601),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(601),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(601),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(601),
    [sym_break_statement] = STATE(601),
    [sym_labeled_statement] = STATE(601),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [580] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(602),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(602),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(602),
    [sym_return_statement] = STATE(602),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(602),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(602),
    [sym_switch_statement] = STATE(602),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(602),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(602),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(602),
    [sym_continue_statement] = STATE(602),
    [sym_statement_block] = STATE(602),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(602),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(602),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(602),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(602),
    [sym_with_statement] = STATE(602),
    [sym_empty_statement] = STATE(602),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(602),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(602),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(602),
    [sym_break_statement] = STATE(602),
    [sym_labeled_statement] = STATE(602),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [581] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(603),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(603),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(603),
    [sym_return_statement] = STATE(603),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(603),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(603),
    [sym_switch_statement] = STATE(603),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(603),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(603),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(603),
    [sym_continue_statement] = STATE(603),
    [sym_statement_block] = STATE(603),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(603),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(603),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(603),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(603),
    [sym_with_statement] = STATE(603),
    [sym_empty_statement] = STATE(603),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(603),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(603),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(603),
    [sym_break_statement] = STATE(603),
    [sym_labeled_statement] = STATE(603),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [582] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(604),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(604),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(604),
    [sym_return_statement] = STATE(604),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(604),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(604),
    [sym_switch_statement] = STATE(604),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(604),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(604),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(604),
    [sym_continue_statement] = STATE(604),
    [sym_statement_block] = STATE(604),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(604),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(604),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(604),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(604),
    [sym_with_statement] = STATE(604),
    [sym_empty_statement] = STATE(604),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(604),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(604),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(604),
    [sym_break_statement] = STATE(604),
    [sym_labeled_statement] = STATE(604),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [583] = {
    [anon_sym_instanceof] = ACTIONS(2006),
    [anon_sym_SLASH] = ACTIONS(2008),
    [sym__automatic_semicolon] = ACTIONS(2006),
    [anon_sym_LBRACK] = ACTIONS(2006),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_CARET] = ACTIONS(2006),
    [anon_sym_STAR_STAR] = ACTIONS(2006),
    [anon_sym_AMP_AMP] = ACTIONS(2006),
    [anon_sym_STAR] = ACTIONS(2008),
    [anon_sym_GT_GT] = ACTIONS(2008),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2006),
    [anon_sym_GT_EQ] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2006),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_LT_EQ] = ACTIONS(2006),
    [anon_sym_PIPE_PIPE] = ACTIONS(2006),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_GT_GT_GT] = ACTIONS(2006),
    [anon_sym_SEMI] = ACTIONS(2006),
    [anon_sym_PLUS_PLUS] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2006),
    [anon_sym_BANG_EQ] = ACTIONS(2008),
    [anon_sym_GT] = ACTIONS(2008),
    [anon_sym_BQUOTE] = ACTIONS(2006),
    [anon_sym_LT] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_EQ_EQ] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2006),
    [anon_sym_QMARK] = ACTIONS(2006),
    [anon_sym_LT_LT] = ACTIONS(2006),
    [anon_sym_DASH_DASH] = ACTIONS(2006),
    [anon_sym_RBRACE] = ACTIONS(2006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2006),
    [anon_sym_RPAREN] = ACTIONS(2006),
  },
  [584] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(605),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(605),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(605),
    [sym_return_statement] = STATE(605),
    [aux_sym_program_repeat1] = STATE(605),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(605),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(605),
    [sym_switch_statement] = STATE(605),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(605),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(605),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(605),
    [sym_continue_statement] = STATE(605),
    [sym_statement_block] = STATE(605),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(605),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(605),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(605),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(605),
    [sym_with_statement] = STATE(605),
    [sym_empty_statement] = STATE(605),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(605),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(605),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(605),
    [sym_break_statement] = STATE(605),
    [sym_labeled_statement] = STATE(605),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_case] = ACTIONS(2010),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_default] = ACTIONS(2010),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2012),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [585] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(188),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(188),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(188),
    [sym_return_statement] = STATE(188),
    [aux_sym_program_repeat1] = STATE(188),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(188),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(188),
    [sym_switch_statement] = STATE(188),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(188),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(188),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(188),
    [sym_continue_statement] = STATE(188),
    [sym_statement_block] = STATE(188),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(188),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(188),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(188),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(188),
    [sym_with_statement] = STATE(188),
    [sym_empty_statement] = STATE(188),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(188),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(188),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(188),
    [sym_break_statement] = STATE(188),
    [sym_labeled_statement] = STATE(188),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_case] = ACTIONS(2014),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_default] = ACTIONS(2014),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2016),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [586] = {
    [sym__automatic_semicolon] = ACTIONS(2018),
    [anon_sym_from] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(2018),
  },
  [587] = {
    [sym__import_export_specifier] = STATE(550),
    [sym_identifier] = ACTIONS(580),
    [sym_comment] = ACTIONS(3),
  },
  [588] = {
    [sym_statement_block] = STATE(606),
    [anon_sym_LBRACE] = ACTIONS(362),
    [sym_comment] = ACTIONS(3),
  },
  [589] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2020),
  },
  [590] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2022),
  },
  [591] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2024),
  },
  [592] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(610),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(610),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(610),
    [sym_return_statement] = STATE(610),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(610),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(610),
    [sym_switch_statement] = STATE(610),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(610),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(610),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(610),
    [sym_continue_statement] = STATE(610),
    [sym_statement_block] = STATE(610),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(610),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(610),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(610),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(610),
    [sym_with_statement] = STATE(610),
    [sym_empty_statement] = STATE(610),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(610),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(610),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(610),
    [sym_break_statement] = STATE(610),
    [sym_labeled_statement] = STATE(610),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [593] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(611),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(611),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(611),
    [sym_return_statement] = STATE(611),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(611),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(611),
    [sym_switch_statement] = STATE(611),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(611),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(611),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(611),
    [sym_continue_statement] = STATE(611),
    [sym_statement_block] = STATE(611),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(611),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(611),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(611),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(611),
    [sym_with_statement] = STATE(611),
    [sym_empty_statement] = STATE(611),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(611),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(611),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(611),
    [sym_break_statement] = STATE(611),
    [sym_labeled_statement] = STATE(611),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [594] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(612),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(612),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(612),
    [sym_return_statement] = STATE(612),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(612),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(612),
    [sym_switch_statement] = STATE(612),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(612),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(612),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(612),
    [sym_continue_statement] = STATE(612),
    [sym_statement_block] = STATE(612),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(612),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(612),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(612),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(612),
    [sym_with_statement] = STATE(612),
    [sym_empty_statement] = STATE(612),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(612),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(612),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(612),
    [sym_break_statement] = STATE(612),
    [sym_labeled_statement] = STATE(612),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [595] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(613),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(613),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(613),
    [sym_return_statement] = STATE(613),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(613),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(613),
    [sym_switch_statement] = STATE(613),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(613),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(613),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(613),
    [sym_continue_statement] = STATE(613),
    [sym_statement_block] = STATE(613),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(613),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(613),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(613),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(613),
    [sym_with_statement] = STATE(613),
    [sym_empty_statement] = STATE(613),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(613),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(613),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(613),
    [sym_break_statement] = STATE(613),
    [sym_labeled_statement] = STATE(613),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [596] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(614),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(614),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(614),
    [sym_return_statement] = STATE(614),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(614),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(614),
    [sym_switch_statement] = STATE(614),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(614),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(614),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(614),
    [sym_continue_statement] = STATE(614),
    [sym_statement_block] = STATE(614),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(614),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(614),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(614),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(614),
    [sym_with_statement] = STATE(614),
    [sym_empty_statement] = STATE(614),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(614),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(614),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(614),
    [sym_break_statement] = STATE(614),
    [sym_labeled_statement] = STATE(614),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [597] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(615),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(615),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(615),
    [sym_return_statement] = STATE(615),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(615),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(615),
    [sym_switch_statement] = STATE(615),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(615),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(615),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(615),
    [sym_continue_statement] = STATE(615),
    [sym_statement_block] = STATE(615),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(615),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(615),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(615),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(615),
    [sym_with_statement] = STATE(615),
    [sym_empty_statement] = STATE(615),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(615),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(615),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(615),
    [sym_break_statement] = STATE(615),
    [sym_labeled_statement] = STATE(615),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [598] = {
    [anon_sym_class] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_import] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_delete] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_for] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [sym_this] = ACTIONS(2026),
    [sym_true] = ACTIONS(2026),
    [anon_sym_case] = ACTIONS(2026),
    [anon_sym_get] = ACTIONS(2026),
    [anon_sym_default] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_SEMI] = ACTIONS(2028),
    [anon_sym_DQUOTE] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [sym_super] = ACTIONS(2026),
    [sym_false] = ACTIONS(2026),
    [sym_number] = ACTIONS(2028),
    [anon_sym_yield] = ACTIONS(2026),
    [anon_sym_set] = ACTIONS(2026),
    [anon_sym_async] = ACTIONS(2026),
    [anon_sym_var] = ACTIONS(2026),
    [anon_sym_const] = ACTIONS(2026),
    [anon_sym_RBRACE] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2026),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_await] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2026),
    [sym_null] = ACTIONS(2026),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_function] = ACTIONS(2026),
    [anon_sym_let] = ACTIONS(2026),
    [anon_sym_if] = ACTIONS(2026),
    [anon_sym_with] = ACTIONS(2026),
    [anon_sym_SQUOTE] = ACTIONS(2028),
    [sym_undefined] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2028),
    [anon_sym_else] = ACTIONS(2026),
    [anon_sym_break] = ACTIONS(2026),
    [anon_sym_debugger] = ACTIONS(2026),
    [anon_sym_while] = ACTIONS(2026),
    [sym_identifier] = ACTIONS(2026),
    [anon_sym_BQUOTE] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2028),
    [ts_builtin_sym_end] = ACTIONS(2028),
    [anon_sym_new] = ACTIONS(2026),
    [anon_sym_AT] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_switch] = ACTIONS(2026),
    [anon_sym_export] = ACTIONS(2026),
    [anon_sym_continue] = ACTIONS(2026),
    [anon_sym_void] = ACTIONS(2026),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2026),
  },
  [599] = {
    [anon_sym_class] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_import] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2032),
    [anon_sym_delete] = ACTIONS(2030),
    [anon_sym_throw] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2030),
    [anon_sym_BANG] = ACTIONS(2032),
    [sym_this] = ACTIONS(2030),
    [sym_true] = ACTIONS(2030),
    [anon_sym_case] = ACTIONS(2030),
    [anon_sym_get] = ACTIONS(2030),
    [anon_sym_default] = ACTIONS(2030),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_SEMI] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(2032),
    [anon_sym_LPAREN] = ACTIONS(2032),
    [anon_sym_TILDE] = ACTIONS(2032),
    [sym_super] = ACTIONS(2030),
    [sym_false] = ACTIONS(2030),
    [sym_number] = ACTIONS(2032),
    [anon_sym_yield] = ACTIONS(2030),
    [anon_sym_set] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2030),
    [anon_sym_var] = ACTIONS(2030),
    [anon_sym_const] = ACTIONS(2030),
    [anon_sym_RBRACE] = ACTIONS(2032),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2030),
    [anon_sym_typeof] = ACTIONS(2030),
    [anon_sym_await] = ACTIONS(2030),
    [anon_sym_SLASH] = ACTIONS(2030),
    [sym_null] = ACTIONS(2030),
    [anon_sym_LBRACK] = ACTIONS(2032),
    [anon_sym_function] = ACTIONS(2030),
    [anon_sym_let] = ACTIONS(2030),
    [anon_sym_if] = ACTIONS(2030),
    [anon_sym_with] = ACTIONS(2030),
    [anon_sym_SQUOTE] = ACTIONS(2032),
    [sym_undefined] = ACTIONS(2030),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2032),
    [anon_sym_else] = ACTIONS(2030),
    [anon_sym_break] = ACTIONS(2030),
    [anon_sym_debugger] = ACTIONS(2030),
    [anon_sym_while] = ACTIONS(2030),
    [sym_identifier] = ACTIONS(2030),
    [anon_sym_BQUOTE] = ACTIONS(2032),
    [anon_sym_LT] = ACTIONS(2032),
    [ts_builtin_sym_end] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2030),
    [anon_sym_AT] = ACTIONS(2032),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_switch] = ACTIONS(2030),
    [anon_sym_export] = ACTIONS(2030),
    [anon_sym_continue] = ACTIONS(2030),
    [anon_sym_void] = ACTIONS(2030),
    [anon_sym_return] = ACTIONS(2030),
    [anon_sym_do] = ACTIONS(2030),
  },
  [600] = {
    [anon_sym_class] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_import] = ACTIONS(2034),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym_delete] = ACTIONS(2034),
    [anon_sym_throw] = ACTIONS(2034),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_BANG] = ACTIONS(2036),
    [sym_this] = ACTIONS(2034),
    [sym_true] = ACTIONS(2034),
    [anon_sym_case] = ACTIONS(2034),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_default] = ACTIONS(2034),
    [anon_sym_PLUS_PLUS] = ACTIONS(2036),
    [anon_sym_SEMI] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [anon_sym_LPAREN] = ACTIONS(2036),
    [anon_sym_TILDE] = ACTIONS(2036),
    [sym_super] = ACTIONS(2034),
    [sym_false] = ACTIONS(2034),
    [sym_number] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
    [anon_sym_async] = ACTIONS(2034),
    [anon_sym_var] = ACTIONS(2034),
    [anon_sym_const] = ACTIONS(2034),
    [anon_sym_RBRACE] = ACTIONS(2036),
    [anon_sym_DASH_DASH] = ACTIONS(2036),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_typeof] = ACTIONS(2034),
    [anon_sym_await] = ACTIONS(2034),
    [anon_sym_SLASH] = ACTIONS(2034),
    [sym_null] = ACTIONS(2034),
    [anon_sym_LBRACK] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2034),
    [anon_sym_let] = ACTIONS(2034),
    [anon_sym_if] = ACTIONS(2034),
    [anon_sym_with] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [sym_undefined] = ACTIONS(2034),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2036),
    [anon_sym_else] = ACTIONS(2034),
    [anon_sym_break] = ACTIONS(2034),
    [anon_sym_debugger] = ACTIONS(2034),
    [anon_sym_while] = ACTIONS(2034),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_BQUOTE] = ACTIONS(2036),
    [anon_sym_LT] = ACTIONS(2036),
    [ts_builtin_sym_end] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2034),
    [anon_sym_AT] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_switch] = ACTIONS(2034),
    [anon_sym_export] = ACTIONS(2034),
    [anon_sym_continue] = ACTIONS(2034),
    [anon_sym_void] = ACTIONS(2034),
    [anon_sym_return] = ACTIONS(2034),
    [anon_sym_do] = ACTIONS(2034),
  },
  [601] = {
    [anon_sym_class] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_import] = ACTIONS(2038),
    [anon_sym_LBRACE] = ACTIONS(2040),
    [anon_sym_delete] = ACTIONS(2038),
    [anon_sym_throw] = ACTIONS(2038),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_BANG] = ACTIONS(2040),
    [sym_this] = ACTIONS(2038),
    [sym_true] = ACTIONS(2038),
    [anon_sym_case] = ACTIONS(2038),
    [anon_sym_get] = ACTIONS(2038),
    [anon_sym_default] = ACTIONS(2038),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_SEMI] = ACTIONS(2040),
    [anon_sym_DQUOTE] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [sym_super] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [sym_number] = ACTIONS(2040),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_set] = ACTIONS(2038),
    [anon_sym_async] = ACTIONS(2038),
    [anon_sym_var] = ACTIONS(2038),
    [anon_sym_const] = ACTIONS(2038),
    [anon_sym_RBRACE] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_typeof] = ACTIONS(2038),
    [anon_sym_await] = ACTIONS(2038),
    [anon_sym_SLASH] = ACTIONS(2038),
    [sym_null] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2040),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_with] = ACTIONS(2038),
    [anon_sym_SQUOTE] = ACTIONS(2040),
    [sym_undefined] = ACTIONS(2038),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2040),
    [anon_sym_else] = ACTIONS(2038),
    [anon_sym_break] = ACTIONS(2038),
    [anon_sym_debugger] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_BQUOTE] = ACTIONS(2040),
    [anon_sym_LT] = ACTIONS(2040),
    [ts_builtin_sym_end] = ACTIONS(2040),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_AT] = ACTIONS(2040),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_switch] = ACTIONS(2038),
    [anon_sym_export] = ACTIONS(2038),
    [anon_sym_continue] = ACTIONS(2038),
    [anon_sym_void] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
  },
  [602] = {
    [anon_sym_class] = ACTIONS(2042),
    [anon_sym_DASH] = ACTIONS(2042),
    [anon_sym_import] = ACTIONS(2042),
    [anon_sym_LBRACE] = ACTIONS(2044),
    [anon_sym_delete] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_for] = ACTIONS(2042),
    [anon_sym_BANG] = ACTIONS(2044),
    [sym_this] = ACTIONS(2042),
    [sym_true] = ACTIONS(2042),
    [anon_sym_case] = ACTIONS(2042),
    [anon_sym_get] = ACTIONS(2042),
    [anon_sym_default] = ACTIONS(2042),
    [anon_sym_PLUS_PLUS] = ACTIONS(2044),
    [anon_sym_SEMI] = ACTIONS(2044),
    [anon_sym_DQUOTE] = ACTIONS(2044),
    [anon_sym_LPAREN] = ACTIONS(2044),
    [anon_sym_TILDE] = ACTIONS(2044),
    [sym_super] = ACTIONS(2042),
    [sym_false] = ACTIONS(2042),
    [sym_number] = ACTIONS(2044),
    [anon_sym_yield] = ACTIONS(2042),
    [anon_sym_set] = ACTIONS(2042),
    [anon_sym_async] = ACTIONS(2042),
    [anon_sym_var] = ACTIONS(2042),
    [anon_sym_const] = ACTIONS(2042),
    [anon_sym_RBRACE] = ACTIONS(2044),
    [anon_sym_DASH_DASH] = ACTIONS(2044),
    [anon_sym_try] = ACTIONS(2042),
    [anon_sym_typeof] = ACTIONS(2042),
    [anon_sym_await] = ACTIONS(2042),
    [anon_sym_SLASH] = ACTIONS(2042),
    [sym_null] = ACTIONS(2042),
    [anon_sym_LBRACK] = ACTIONS(2044),
    [anon_sym_function] = ACTIONS(2042),
    [anon_sym_let] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2042),
    [anon_sym_with] = ACTIONS(2042),
    [anon_sym_SQUOTE] = ACTIONS(2044),
    [sym_undefined] = ACTIONS(2042),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2044),
    [anon_sym_else] = ACTIONS(2042),
    [anon_sym_break] = ACTIONS(2042),
    [anon_sym_debugger] = ACTIONS(2042),
    [anon_sym_while] = ACTIONS(2042),
    [sym_identifier] = ACTIONS(2042),
    [anon_sym_BQUOTE] = ACTIONS(2044),
    [anon_sym_LT] = ACTIONS(2044),
    [ts_builtin_sym_end] = ACTIONS(2044),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_AT] = ACTIONS(2044),
    [anon_sym_PLUS] = ACTIONS(2042),
    [anon_sym_switch] = ACTIONS(2042),
    [anon_sym_export] = ACTIONS(2042),
    [anon_sym_continue] = ACTIONS(2042),
    [anon_sym_void] = ACTIONS(2042),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(2042),
  },
  [603] = {
    [anon_sym_class] = ACTIONS(2046),
    [anon_sym_DASH] = ACTIONS(2046),
    [anon_sym_import] = ACTIONS(2046),
    [anon_sym_LBRACE] = ACTIONS(2048),
    [anon_sym_delete] = ACTIONS(2046),
    [anon_sym_throw] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2046),
    [anon_sym_BANG] = ACTIONS(2048),
    [sym_this] = ACTIONS(2046),
    [sym_true] = ACTIONS(2046),
    [anon_sym_case] = ACTIONS(2046),
    [anon_sym_get] = ACTIONS(2046),
    [anon_sym_default] = ACTIONS(2046),
    [anon_sym_PLUS_PLUS] = ACTIONS(2048),
    [anon_sym_SEMI] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_TILDE] = ACTIONS(2048),
    [sym_super] = ACTIONS(2046),
    [sym_false] = ACTIONS(2046),
    [sym_number] = ACTIONS(2048),
    [anon_sym_yield] = ACTIONS(2046),
    [anon_sym_set] = ACTIONS(2046),
    [anon_sym_async] = ACTIONS(2046),
    [anon_sym_var] = ACTIONS(2046),
    [anon_sym_const] = ACTIONS(2046),
    [anon_sym_RBRACE] = ACTIONS(2048),
    [anon_sym_DASH_DASH] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2046),
    [anon_sym_typeof] = ACTIONS(2046),
    [anon_sym_await] = ACTIONS(2046),
    [anon_sym_SLASH] = ACTIONS(2046),
    [sym_null] = ACTIONS(2046),
    [anon_sym_LBRACK] = ACTIONS(2048),
    [anon_sym_function] = ACTIONS(2046),
    [anon_sym_let] = ACTIONS(2046),
    [anon_sym_if] = ACTIONS(2046),
    [anon_sym_with] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2048),
    [sym_undefined] = ACTIONS(2046),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2048),
    [anon_sym_else] = ACTIONS(2046),
    [anon_sym_break] = ACTIONS(2046),
    [anon_sym_debugger] = ACTIONS(2046),
    [anon_sym_while] = ACTIONS(2046),
    [sym_identifier] = ACTIONS(2046),
    [anon_sym_BQUOTE] = ACTIONS(2048),
    [anon_sym_LT] = ACTIONS(2048),
    [ts_builtin_sym_end] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2046),
    [anon_sym_AT] = ACTIONS(2048),
    [anon_sym_PLUS] = ACTIONS(2046),
    [anon_sym_switch] = ACTIONS(2046),
    [anon_sym_export] = ACTIONS(2046),
    [anon_sym_continue] = ACTIONS(2046),
    [anon_sym_void] = ACTIONS(2046),
    [anon_sym_return] = ACTIONS(2046),
    [anon_sym_do] = ACTIONS(2046),
  },
  [604] = {
    [anon_sym_class] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_import] = ACTIONS(2050),
    [anon_sym_LBRACE] = ACTIONS(2052),
    [anon_sym_delete] = ACTIONS(2050),
    [anon_sym_throw] = ACTIONS(2050),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_BANG] = ACTIONS(2052),
    [sym_this] = ACTIONS(2050),
    [sym_true] = ACTIONS(2050),
    [anon_sym_case] = ACTIONS(2050),
    [anon_sym_get] = ACTIONS(2050),
    [anon_sym_default] = ACTIONS(2050),
    [anon_sym_PLUS_PLUS] = ACTIONS(2052),
    [anon_sym_SEMI] = ACTIONS(2052),
    [anon_sym_DQUOTE] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [anon_sym_TILDE] = ACTIONS(2052),
    [sym_super] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [sym_number] = ACTIONS(2052),
    [anon_sym_yield] = ACTIONS(2050),
    [anon_sym_set] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
    [anon_sym_var] = ACTIONS(2050),
    [anon_sym_const] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2052),
    [anon_sym_DASH_DASH] = ACTIONS(2052),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_typeof] = ACTIONS(2050),
    [anon_sym_await] = ACTIONS(2050),
    [anon_sym_SLASH] = ACTIONS(2050),
    [sym_null] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2052),
    [anon_sym_function] = ACTIONS(2050),
    [anon_sym_let] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_with] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym_undefined] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2052),
    [anon_sym_else] = ACTIONS(2050),
    [anon_sym_break] = ACTIONS(2050),
    [anon_sym_debugger] = ACTIONS(2050),
    [anon_sym_while] = ACTIONS(2050),
    [sym_identifier] = ACTIONS(2050),
    [anon_sym_BQUOTE] = ACTIONS(2052),
    [anon_sym_LT] = ACTIONS(2052),
    [ts_builtin_sym_end] = ACTIONS(2052),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_AT] = ACTIONS(2052),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_switch] = ACTIONS(2050),
    [anon_sym_export] = ACTIONS(2050),
    [anon_sym_continue] = ACTIONS(2050),
    [anon_sym_void] = ACTIONS(2050),
    [anon_sym_return] = ACTIONS(2050),
    [anon_sym_do] = ACTIONS(2050),
  },
  [605] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(188),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(188),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(188),
    [sym_return_statement] = STATE(188),
    [aux_sym_program_repeat1] = STATE(188),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(188),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(188),
    [sym_switch_statement] = STATE(188),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(188),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(188),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(188),
    [sym_continue_statement] = STATE(188),
    [sym_statement_block] = STATE(188),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(188),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(188),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(188),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(188),
    [sym_with_statement] = STATE(188),
    [sym_empty_statement] = STATE(188),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(188),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(188),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(188),
    [sym_break_statement] = STATE(188),
    [sym_labeled_statement] = STATE(188),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_case] = ACTIONS(2054),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_default] = ACTIONS(2054),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2056),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [606] = {
    [anon_sym_class] = ACTIONS(2058),
    [anon_sym_DASH] = ACTIONS(2058),
    [anon_sym_import] = ACTIONS(2058),
    [anon_sym_LBRACE] = ACTIONS(2060),
    [anon_sym_delete] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_for] = ACTIONS(2058),
    [anon_sym_BANG] = ACTIONS(2060),
    [sym_this] = ACTIONS(2058),
    [sym_true] = ACTIONS(2058),
    [anon_sym_case] = ACTIONS(2058),
    [anon_sym_get] = ACTIONS(2058),
    [anon_sym_default] = ACTIONS(2058),
    [anon_sym_PLUS_PLUS] = ACTIONS(2060),
    [anon_sym_SEMI] = ACTIONS(2060),
    [anon_sym_DQUOTE] = ACTIONS(2060),
    [anon_sym_LPAREN] = ACTIONS(2060),
    [anon_sym_TILDE] = ACTIONS(2060),
    [sym_super] = ACTIONS(2058),
    [sym_false] = ACTIONS(2058),
    [sym_number] = ACTIONS(2060),
    [anon_sym_yield] = ACTIONS(2058),
    [anon_sym_set] = ACTIONS(2058),
    [anon_sym_async] = ACTIONS(2058),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2058),
    [anon_sym_RBRACE] = ACTIONS(2060),
    [anon_sym_DASH_DASH] = ACTIONS(2060),
    [anon_sym_try] = ACTIONS(2058),
    [anon_sym_typeof] = ACTIONS(2058),
    [anon_sym_await] = ACTIONS(2058),
    [anon_sym_SLASH] = ACTIONS(2058),
    [sym_null] = ACTIONS(2058),
    [anon_sym_finally] = ACTIONS(2058),
    [anon_sym_LBRACK] = ACTIONS(2060),
    [anon_sym_function] = ACTIONS(2058),
    [anon_sym_let] = ACTIONS(2058),
    [anon_sym_if] = ACTIONS(2058),
    [anon_sym_with] = ACTIONS(2058),
    [anon_sym_SQUOTE] = ACTIONS(2060),
    [sym_undefined] = ACTIONS(2058),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2060),
    [anon_sym_else] = ACTIONS(2058),
    [anon_sym_break] = ACTIONS(2058),
    [anon_sym_debugger] = ACTIONS(2058),
    [anon_sym_while] = ACTIONS(2058),
    [sym_identifier] = ACTIONS(2058),
    [anon_sym_BQUOTE] = ACTIONS(2060),
    [anon_sym_LT] = ACTIONS(2060),
    [ts_builtin_sym_end] = ACTIONS(2060),
    [anon_sym_new] = ACTIONS(2058),
    [anon_sym_AT] = ACTIONS(2060),
    [anon_sym_PLUS] = ACTIONS(2058),
    [anon_sym_switch] = ACTIONS(2058),
    [anon_sym_export] = ACTIONS(2058),
    [anon_sym_continue] = ACTIONS(2058),
    [anon_sym_void] = ACTIONS(2058),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(2058),
  },
  [607] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(616),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(616),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(616),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(616),
    [sym_switch_statement] = STATE(616),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(616),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(616),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_statement_block] = STATE(616),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(616),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(616),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(616),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(616),
    [sym_with_statement] = STATE(616),
    [sym_empty_statement] = STATE(616),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(616),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(616),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_labeled_statement] = STATE(616),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [608] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(617),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(617),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(617),
    [sym_return_statement] = STATE(617),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(617),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(617),
    [sym_switch_statement] = STATE(617),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(617),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(617),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(617),
    [sym_continue_statement] = STATE(617),
    [sym_statement_block] = STATE(617),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(617),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(617),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(617),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(617),
    [sym_with_statement] = STATE(617),
    [sym_empty_statement] = STATE(617),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(617),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(617),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(617),
    [sym_break_statement] = STATE(617),
    [sym_labeled_statement] = STATE(617),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [609] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(618),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(618),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(618),
    [sym_return_statement] = STATE(618),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(618),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(618),
    [sym_switch_statement] = STATE(618),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(618),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(618),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(618),
    [sym_continue_statement] = STATE(618),
    [sym_statement_block] = STATE(618),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(618),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(618),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(618),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(618),
    [sym_with_statement] = STATE(618),
    [sym_empty_statement] = STATE(618),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(618),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(618),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(618),
    [sym_break_statement] = STATE(618),
    [sym_labeled_statement] = STATE(618),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [610] = {
    [anon_sym_class] = ACTIONS(2062),
    [anon_sym_DASH] = ACTIONS(2062),
    [anon_sym_import] = ACTIONS(2062),
    [anon_sym_LBRACE] = ACTIONS(2064),
    [anon_sym_delete] = ACTIONS(2062),
    [anon_sym_throw] = ACTIONS(2062),
    [anon_sym_for] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(2064),
    [sym_this] = ACTIONS(2062),
    [sym_true] = ACTIONS(2062),
    [anon_sym_case] = ACTIONS(2062),
    [anon_sym_get] = ACTIONS(2062),
    [anon_sym_default] = ACTIONS(2062),
    [anon_sym_PLUS_PLUS] = ACTIONS(2064),
    [anon_sym_SEMI] = ACTIONS(2064),
    [anon_sym_DQUOTE] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_TILDE] = ACTIONS(2064),
    [sym_super] = ACTIONS(2062),
    [sym_false] = ACTIONS(2062),
    [sym_number] = ACTIONS(2064),
    [anon_sym_yield] = ACTIONS(2062),
    [anon_sym_set] = ACTIONS(2062),
    [anon_sym_async] = ACTIONS(2062),
    [anon_sym_var] = ACTIONS(2062),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_RBRACE] = ACTIONS(2064),
    [anon_sym_DASH_DASH] = ACTIONS(2064),
    [anon_sym_try] = ACTIONS(2062),
    [anon_sym_typeof] = ACTIONS(2062),
    [anon_sym_await] = ACTIONS(2062),
    [anon_sym_SLASH] = ACTIONS(2062),
    [sym_null] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2064),
    [anon_sym_function] = ACTIONS(2062),
    [anon_sym_let] = ACTIONS(2062),
    [anon_sym_if] = ACTIONS(2062),
    [anon_sym_with] = ACTIONS(2062),
    [anon_sym_SQUOTE] = ACTIONS(2064),
    [sym_undefined] = ACTIONS(2062),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2064),
    [anon_sym_else] = ACTIONS(2062),
    [anon_sym_break] = ACTIONS(2062),
    [anon_sym_debugger] = ACTIONS(2062),
    [anon_sym_while] = ACTIONS(2062),
    [sym_identifier] = ACTIONS(2062),
    [anon_sym_BQUOTE] = ACTIONS(2064),
    [anon_sym_LT] = ACTIONS(2064),
    [ts_builtin_sym_end] = ACTIONS(2064),
    [anon_sym_new] = ACTIONS(2062),
    [anon_sym_AT] = ACTIONS(2064),
    [anon_sym_PLUS] = ACTIONS(2062),
    [anon_sym_switch] = ACTIONS(2062),
    [anon_sym_export] = ACTIONS(2062),
    [anon_sym_continue] = ACTIONS(2062),
    [anon_sym_void] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2062),
    [anon_sym_do] = ACTIONS(2062),
  },
  [611] = {
    [anon_sym_class] = ACTIONS(2066),
    [anon_sym_DASH] = ACTIONS(2066),
    [anon_sym_import] = ACTIONS(2066),
    [anon_sym_LBRACE] = ACTIONS(2068),
    [anon_sym_delete] = ACTIONS(2066),
    [anon_sym_throw] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [sym_this] = ACTIONS(2066),
    [sym_true] = ACTIONS(2066),
    [anon_sym_case] = ACTIONS(2066),
    [anon_sym_get] = ACTIONS(2066),
    [anon_sym_default] = ACTIONS(2066),
    [anon_sym_PLUS_PLUS] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(2068),
    [anon_sym_DQUOTE] = ACTIONS(2068),
    [anon_sym_LPAREN] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [sym_super] = ACTIONS(2066),
    [sym_false] = ACTIONS(2066),
    [sym_number] = ACTIONS(2068),
    [anon_sym_yield] = ACTIONS(2066),
    [anon_sym_set] = ACTIONS(2066),
    [anon_sym_async] = ACTIONS(2066),
    [anon_sym_var] = ACTIONS(2066),
    [anon_sym_const] = ACTIONS(2066),
    [anon_sym_RBRACE] = ACTIONS(2068),
    [anon_sym_DASH_DASH] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2066),
    [anon_sym_typeof] = ACTIONS(2066),
    [anon_sym_await] = ACTIONS(2066),
    [anon_sym_SLASH] = ACTIONS(2066),
    [sym_null] = ACTIONS(2066),
    [anon_sym_LBRACK] = ACTIONS(2068),
    [anon_sym_function] = ACTIONS(2066),
    [anon_sym_let] = ACTIONS(2066),
    [anon_sym_if] = ACTIONS(2066),
    [anon_sym_with] = ACTIONS(2066),
    [anon_sym_SQUOTE] = ACTIONS(2068),
    [sym_undefined] = ACTIONS(2066),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2068),
    [anon_sym_else] = ACTIONS(2066),
    [anon_sym_break] = ACTIONS(2066),
    [anon_sym_debugger] = ACTIONS(2066),
    [anon_sym_while] = ACTIONS(2066),
    [sym_identifier] = ACTIONS(2066),
    [anon_sym_BQUOTE] = ACTIONS(2068),
    [anon_sym_LT] = ACTIONS(2068),
    [ts_builtin_sym_end] = ACTIONS(2068),
    [anon_sym_new] = ACTIONS(2066),
    [anon_sym_AT] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(2066),
    [anon_sym_switch] = ACTIONS(2066),
    [anon_sym_export] = ACTIONS(2066),
    [anon_sym_continue] = ACTIONS(2066),
    [anon_sym_void] = ACTIONS(2066),
    [anon_sym_return] = ACTIONS(2066),
    [anon_sym_do] = ACTIONS(2066),
  },
  [612] = {
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2070),
    [anon_sym_import] = ACTIONS(2070),
    [anon_sym_LBRACE] = ACTIONS(2072),
    [anon_sym_delete] = ACTIONS(2070),
    [anon_sym_throw] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2070),
    [anon_sym_BANG] = ACTIONS(2072),
    [sym_this] = ACTIONS(2070),
    [sym_true] = ACTIONS(2070),
    [anon_sym_case] = ACTIONS(2070),
    [anon_sym_get] = ACTIONS(2070),
    [anon_sym_default] = ACTIONS(2070),
    [anon_sym_PLUS_PLUS] = ACTIONS(2072),
    [anon_sym_SEMI] = ACTIONS(2072),
    [anon_sym_DQUOTE] = ACTIONS(2072),
    [anon_sym_LPAREN] = ACTIONS(2072),
    [anon_sym_TILDE] = ACTIONS(2072),
    [sym_super] = ACTIONS(2070),
    [sym_false] = ACTIONS(2070),
    [sym_number] = ACTIONS(2072),
    [anon_sym_yield] = ACTIONS(2070),
    [anon_sym_set] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2070),
    [anon_sym_var] = ACTIONS(2070),
    [anon_sym_const] = ACTIONS(2070),
    [anon_sym_RBRACE] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_typeof] = ACTIONS(2070),
    [anon_sym_await] = ACTIONS(2070),
    [anon_sym_SLASH] = ACTIONS(2070),
    [sym_null] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [anon_sym_function] = ACTIONS(2070),
    [anon_sym_let] = ACTIONS(2070),
    [anon_sym_if] = ACTIONS(2070),
    [anon_sym_with] = ACTIONS(2070),
    [anon_sym_SQUOTE] = ACTIONS(2072),
    [sym_undefined] = ACTIONS(2070),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2072),
    [anon_sym_else] = ACTIONS(2070),
    [anon_sym_break] = ACTIONS(2070),
    [anon_sym_debugger] = ACTIONS(2070),
    [anon_sym_while] = ACTIONS(2070),
    [sym_identifier] = ACTIONS(2070),
    [anon_sym_BQUOTE] = ACTIONS(2072),
    [anon_sym_LT] = ACTIONS(2072),
    [ts_builtin_sym_end] = ACTIONS(2072),
    [anon_sym_new] = ACTIONS(2070),
    [anon_sym_AT] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2070),
    [anon_sym_switch] = ACTIONS(2070),
    [anon_sym_export] = ACTIONS(2070),
    [anon_sym_continue] = ACTIONS(2070),
    [anon_sym_void] = ACTIONS(2070),
    [anon_sym_return] = ACTIONS(2070),
    [anon_sym_do] = ACTIONS(2070),
  },
  [613] = {
    [anon_sym_class] = ACTIONS(2074),
    [anon_sym_DASH] = ACTIONS(2074),
    [anon_sym_import] = ACTIONS(2074),
    [anon_sym_LBRACE] = ACTIONS(2076),
    [anon_sym_delete] = ACTIONS(2074),
    [anon_sym_throw] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(2076),
    [sym_this] = ACTIONS(2074),
    [sym_true] = ACTIONS(2074),
    [anon_sym_case] = ACTIONS(2074),
    [anon_sym_get] = ACTIONS(2074),
    [anon_sym_default] = ACTIONS(2074),
    [anon_sym_PLUS_PLUS] = ACTIONS(2076),
    [anon_sym_SEMI] = ACTIONS(2076),
    [anon_sym_DQUOTE] = ACTIONS(2076),
    [anon_sym_LPAREN] = ACTIONS(2076),
    [anon_sym_TILDE] = ACTIONS(2076),
    [sym_super] = ACTIONS(2074),
    [sym_false] = ACTIONS(2074),
    [sym_number] = ACTIONS(2076),
    [anon_sym_yield] = ACTIONS(2074),
    [anon_sym_set] = ACTIONS(2074),
    [anon_sym_async] = ACTIONS(2074),
    [anon_sym_var] = ACTIONS(2074),
    [anon_sym_const] = ACTIONS(2074),
    [anon_sym_RBRACE] = ACTIONS(2076),
    [anon_sym_DASH_DASH] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_typeof] = ACTIONS(2074),
    [anon_sym_await] = ACTIONS(2074),
    [anon_sym_SLASH] = ACTIONS(2074),
    [sym_null] = ACTIONS(2074),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_function] = ACTIONS(2074),
    [anon_sym_let] = ACTIONS(2074),
    [anon_sym_if] = ACTIONS(2074),
    [anon_sym_with] = ACTIONS(2074),
    [anon_sym_SQUOTE] = ACTIONS(2076),
    [sym_undefined] = ACTIONS(2074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2076),
    [anon_sym_else] = ACTIONS(2074),
    [anon_sym_break] = ACTIONS(2074),
    [anon_sym_debugger] = ACTIONS(2074),
    [anon_sym_while] = ACTIONS(2074),
    [sym_identifier] = ACTIONS(2074),
    [anon_sym_BQUOTE] = ACTIONS(2076),
    [anon_sym_LT] = ACTIONS(2076),
    [ts_builtin_sym_end] = ACTIONS(2076),
    [anon_sym_new] = ACTIONS(2074),
    [anon_sym_AT] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2074),
    [anon_sym_switch] = ACTIONS(2074),
    [anon_sym_export] = ACTIONS(2074),
    [anon_sym_continue] = ACTIONS(2074),
    [anon_sym_void] = ACTIONS(2074),
    [anon_sym_return] = ACTIONS(2074),
    [anon_sym_do] = ACTIONS(2074),
  },
  [614] = {
    [anon_sym_class] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_import] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(2080),
    [anon_sym_delete] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_for] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(2080),
    [sym_this] = ACTIONS(2078),
    [sym_true] = ACTIONS(2078),
    [anon_sym_case] = ACTIONS(2078),
    [anon_sym_get] = ACTIONS(2078),
    [anon_sym_default] = ACTIONS(2078),
    [anon_sym_PLUS_PLUS] = ACTIONS(2080),
    [anon_sym_SEMI] = ACTIONS(2080),
    [anon_sym_DQUOTE] = ACTIONS(2080),
    [anon_sym_LPAREN] = ACTIONS(2080),
    [anon_sym_TILDE] = ACTIONS(2080),
    [sym_super] = ACTIONS(2078),
    [sym_false] = ACTIONS(2078),
    [sym_number] = ACTIONS(2080),
    [anon_sym_yield] = ACTIONS(2078),
    [anon_sym_set] = ACTIONS(2078),
    [anon_sym_async] = ACTIONS(2078),
    [anon_sym_var] = ACTIONS(2078),
    [anon_sym_const] = ACTIONS(2078),
    [anon_sym_RBRACE] = ACTIONS(2080),
    [anon_sym_DASH_DASH] = ACTIONS(2080),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_typeof] = ACTIONS(2078),
    [anon_sym_await] = ACTIONS(2078),
    [anon_sym_SLASH] = ACTIONS(2078),
    [sym_null] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2080),
    [anon_sym_function] = ACTIONS(2078),
    [anon_sym_let] = ACTIONS(2078),
    [anon_sym_if] = ACTIONS(2078),
    [anon_sym_with] = ACTIONS(2078),
    [anon_sym_SQUOTE] = ACTIONS(2080),
    [sym_undefined] = ACTIONS(2078),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2080),
    [anon_sym_else] = ACTIONS(2078),
    [anon_sym_break] = ACTIONS(2078),
    [anon_sym_debugger] = ACTIONS(2078),
    [anon_sym_while] = ACTIONS(2078),
    [sym_identifier] = ACTIONS(2078),
    [anon_sym_BQUOTE] = ACTIONS(2080),
    [anon_sym_LT] = ACTIONS(2080),
    [ts_builtin_sym_end] = ACTIONS(2080),
    [anon_sym_new] = ACTIONS(2078),
    [anon_sym_AT] = ACTIONS(2080),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_switch] = ACTIONS(2078),
    [anon_sym_export] = ACTIONS(2078),
    [anon_sym_continue] = ACTIONS(2078),
    [anon_sym_void] = ACTIONS(2078),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(2078),
  },
  [615] = {
    [anon_sym_class] = ACTIONS(2082),
    [anon_sym_DASH] = ACTIONS(2082),
    [anon_sym_import] = ACTIONS(2082),
    [anon_sym_LBRACE] = ACTIONS(2084),
    [anon_sym_delete] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(2084),
    [sym_this] = ACTIONS(2082),
    [sym_true] = ACTIONS(2082),
    [anon_sym_case] = ACTIONS(2082),
    [anon_sym_get] = ACTIONS(2082),
    [anon_sym_default] = ACTIONS(2082),
    [anon_sym_PLUS_PLUS] = ACTIONS(2084),
    [anon_sym_SEMI] = ACTIONS(2084),
    [anon_sym_DQUOTE] = ACTIONS(2084),
    [anon_sym_LPAREN] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_super] = ACTIONS(2082),
    [sym_false] = ACTIONS(2082),
    [sym_number] = ACTIONS(2084),
    [anon_sym_yield] = ACTIONS(2082),
    [anon_sym_set] = ACTIONS(2082),
    [anon_sym_async] = ACTIONS(2082),
    [anon_sym_var] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(2082),
    [anon_sym_RBRACE] = ACTIONS(2084),
    [anon_sym_DASH_DASH] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2082),
    [anon_sym_typeof] = ACTIONS(2082),
    [anon_sym_await] = ACTIONS(2082),
    [anon_sym_SLASH] = ACTIONS(2082),
    [sym_null] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_function] = ACTIONS(2082),
    [anon_sym_let] = ACTIONS(2082),
    [anon_sym_if] = ACTIONS(2082),
    [anon_sym_with] = ACTIONS(2082),
    [anon_sym_SQUOTE] = ACTIONS(2084),
    [sym_undefined] = ACTIONS(2082),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2084),
    [anon_sym_else] = ACTIONS(2082),
    [anon_sym_break] = ACTIONS(2082),
    [anon_sym_debugger] = ACTIONS(2082),
    [anon_sym_while] = ACTIONS(2082),
    [sym_identifier] = ACTIONS(2082),
    [anon_sym_BQUOTE] = ACTIONS(2084),
    [anon_sym_LT] = ACTIONS(2084),
    [ts_builtin_sym_end] = ACTIONS(2084),
    [anon_sym_new] = ACTIONS(2082),
    [anon_sym_AT] = ACTIONS(2084),
    [anon_sym_PLUS] = ACTIONS(2082),
    [anon_sym_switch] = ACTIONS(2082),
    [anon_sym_export] = ACTIONS(2082),
    [anon_sym_continue] = ACTIONS(2082),
    [anon_sym_void] = ACTIONS(2082),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_do] = ACTIONS(2082),
  },
  [616] = {
    [anon_sym_class] = ACTIONS(2086),
    [anon_sym_DASH] = ACTIONS(2086),
    [anon_sym_import] = ACTIONS(2086),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym_delete] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2086),
    [anon_sym_for] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(2088),
    [sym_this] = ACTIONS(2086),
    [sym_true] = ACTIONS(2086),
    [anon_sym_case] = ACTIONS(2086),
    [anon_sym_get] = ACTIONS(2086),
    [anon_sym_default] = ACTIONS(2086),
    [anon_sym_PLUS_PLUS] = ACTIONS(2088),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(2088),
    [anon_sym_LPAREN] = ACTIONS(2088),
    [anon_sym_TILDE] = ACTIONS(2088),
    [sym_super] = ACTIONS(2086),
    [sym_false] = ACTIONS(2086),
    [sym_number] = ACTIONS(2088),
    [anon_sym_yield] = ACTIONS(2086),
    [anon_sym_set] = ACTIONS(2086),
    [anon_sym_async] = ACTIONS(2086),
    [anon_sym_var] = ACTIONS(2086),
    [anon_sym_const] = ACTIONS(2086),
    [anon_sym_RBRACE] = ACTIONS(2088),
    [anon_sym_DASH_DASH] = ACTIONS(2088),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_typeof] = ACTIONS(2086),
    [anon_sym_await] = ACTIONS(2086),
    [anon_sym_SLASH] = ACTIONS(2086),
    [sym_null] = ACTIONS(2086),
    [anon_sym_LBRACK] = ACTIONS(2088),
    [anon_sym_function] = ACTIONS(2086),
    [anon_sym_let] = ACTIONS(2086),
    [anon_sym_if] = ACTIONS(2086),
    [anon_sym_with] = ACTIONS(2086),
    [anon_sym_SQUOTE] = ACTIONS(2088),
    [sym_undefined] = ACTIONS(2086),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2088),
    [anon_sym_else] = ACTIONS(2086),
    [anon_sym_break] = ACTIONS(2086),
    [anon_sym_debugger] = ACTIONS(2086),
    [anon_sym_while] = ACTIONS(2086),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_BQUOTE] = ACTIONS(2088),
    [anon_sym_LT] = ACTIONS(2088),
    [ts_builtin_sym_end] = ACTIONS(2088),
    [anon_sym_new] = ACTIONS(2086),
    [anon_sym_AT] = ACTIONS(2088),
    [anon_sym_PLUS] = ACTIONS(2086),
    [anon_sym_switch] = ACTIONS(2086),
    [anon_sym_export] = ACTIONS(2086),
    [anon_sym_continue] = ACTIONS(2086),
    [anon_sym_void] = ACTIONS(2086),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_do] = ACTIONS(2086),
  },
  [617] = {
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_import] = ACTIONS(2090),
    [anon_sym_LBRACE] = ACTIONS(2092),
    [anon_sym_delete] = ACTIONS(2090),
    [anon_sym_throw] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(2092),
    [sym_this] = ACTIONS(2090),
    [sym_true] = ACTIONS(2090),
    [anon_sym_case] = ACTIONS(2090),
    [anon_sym_get] = ACTIONS(2090),
    [anon_sym_default] = ACTIONS(2090),
    [anon_sym_PLUS_PLUS] = ACTIONS(2092),
    [anon_sym_SEMI] = ACTIONS(2092),
    [anon_sym_DQUOTE] = ACTIONS(2092),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [sym_super] = ACTIONS(2090),
    [sym_false] = ACTIONS(2090),
    [sym_number] = ACTIONS(2092),
    [anon_sym_yield] = ACTIONS(2090),
    [anon_sym_set] = ACTIONS(2090),
    [anon_sym_async] = ACTIONS(2090),
    [anon_sym_var] = ACTIONS(2090),
    [anon_sym_const] = ACTIONS(2090),
    [anon_sym_RBRACE] = ACTIONS(2092),
    [anon_sym_DASH_DASH] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2090),
    [anon_sym_typeof] = ACTIONS(2090),
    [anon_sym_await] = ACTIONS(2090),
    [anon_sym_SLASH] = ACTIONS(2090),
    [sym_null] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_function] = ACTIONS(2090),
    [anon_sym_let] = ACTIONS(2090),
    [anon_sym_if] = ACTIONS(2090),
    [anon_sym_with] = ACTIONS(2090),
    [anon_sym_SQUOTE] = ACTIONS(2092),
    [sym_undefined] = ACTIONS(2090),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2092),
    [anon_sym_else] = ACTIONS(2090),
    [anon_sym_break] = ACTIONS(2090),
    [anon_sym_debugger] = ACTIONS(2090),
    [anon_sym_while] = ACTIONS(2090),
    [sym_identifier] = ACTIONS(2090),
    [anon_sym_BQUOTE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2092),
    [ts_builtin_sym_end] = ACTIONS(2092),
    [anon_sym_new] = ACTIONS(2090),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_switch] = ACTIONS(2090),
    [anon_sym_export] = ACTIONS(2090),
    [anon_sym_continue] = ACTIONS(2090),
    [anon_sym_void] = ACTIONS(2090),
    [anon_sym_return] = ACTIONS(2090),
    [anon_sym_do] = ACTIONS(2090),
  },
  [618] = {
    [anon_sym_class] = ACTIONS(2094),
    [anon_sym_DASH] = ACTIONS(2094),
    [anon_sym_import] = ACTIONS(2094),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_delete] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2094),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_BANG] = ACTIONS(2096),
    [sym_this] = ACTIONS(2094),
    [sym_true] = ACTIONS(2094),
    [anon_sym_case] = ACTIONS(2094),
    [anon_sym_get] = ACTIONS(2094),
    [anon_sym_default] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_SEMI] = ACTIONS(2096),
    [anon_sym_DQUOTE] = ACTIONS(2096),
    [anon_sym_LPAREN] = ACTIONS(2096),
    [anon_sym_TILDE] = ACTIONS(2096),
    [sym_super] = ACTIONS(2094),
    [sym_false] = ACTIONS(2094),
    [sym_number] = ACTIONS(2096),
    [anon_sym_yield] = ACTIONS(2094),
    [anon_sym_set] = ACTIONS(2094),
    [anon_sym_async] = ACTIONS(2094),
    [anon_sym_var] = ACTIONS(2094),
    [anon_sym_const] = ACTIONS(2094),
    [anon_sym_RBRACE] = ACTIONS(2096),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_typeof] = ACTIONS(2094),
    [anon_sym_await] = ACTIONS(2094),
    [anon_sym_SLASH] = ACTIONS(2094),
    [sym_null] = ACTIONS(2094),
    [anon_sym_LBRACK] = ACTIONS(2096),
    [anon_sym_function] = ACTIONS(2094),
    [anon_sym_let] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2094),
    [anon_sym_with] = ACTIONS(2094),
    [anon_sym_SQUOTE] = ACTIONS(2096),
    [sym_undefined] = ACTIONS(2094),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2096),
    [anon_sym_else] = ACTIONS(2094),
    [anon_sym_break] = ACTIONS(2094),
    [anon_sym_debugger] = ACTIONS(2094),
    [anon_sym_while] = ACTIONS(2094),
    [sym_identifier] = ACTIONS(2094),
    [anon_sym_BQUOTE] = ACTIONS(2096),
    [anon_sym_LT] = ACTIONS(2096),
    [ts_builtin_sym_end] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2096),
    [anon_sym_PLUS] = ACTIONS(2094),
    [anon_sym_switch] = ACTIONS(2094),
    [anon_sym_export] = ACTIONS(2094),
    [anon_sym_continue] = ACTIONS(2094),
    [anon_sym_void] = ACTIONS(2094),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_do] = ACTIONS(2094),
  },
  [619] = {
    [sym_new_expression] = STATE(637),
    [sym_augmented_assignment_expression] = STATE(637),
    [sym_unary_expression] = STATE(637),
    [sym_update_expression] = STATE(637),
    [sym_regex] = STATE(637),
    [sym_meta_property] = STATE(637),
    [sym__expression] = STATE(637),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(637),
    [sym_jsx_fragment] = STATE(637),
    [sym_jsx_element] = STATE(637),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(637),
    [sym_await_expression] = STATE(637),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(637),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(637),
    [sym_generator_function] = STATE(637),
    [sym_call_expression] = STATE(637),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(637),
    [sym_ternary_expression] = STATE(637),
    [sym_binary_expression] = STATE(637),
    [sym_template_string] = STATE(637),
    [sym_parenthesized_expression] = STATE(637),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(637),
    [sym_class] = STATE(637),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2098),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2098),
    [sym_undefined] = ACTIONS(2098),
    [sym_true] = ACTIONS(2098),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2098),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2100),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [620] = {
    [sym_new_expression] = STATE(641),
    [sym_augmented_assignment_expression] = STATE(641),
    [sym_unary_expression] = STATE(641),
    [sym_update_expression] = STATE(641),
    [sym_regex] = STATE(641),
    [sym_meta_property] = STATE(641),
    [sym__expression] = STATE(641),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(641),
    [sym_jsx_fragment] = STATE(641),
    [sym_jsx_element] = STATE(641),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(641),
    [sym_await_expression] = STATE(641),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(641),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(641),
    [sym_generator_function] = STATE(641),
    [sym_call_expression] = STATE(641),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(641),
    [sym_ternary_expression] = STATE(641),
    [sym_binary_expression] = STATE(641),
    [sym_template_string] = STATE(641),
    [sym_parenthesized_expression] = STATE(641),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(641),
    [sym_class] = STATE(641),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2102),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2102),
    [sym_undefined] = ACTIONS(2102),
    [sym_true] = ACTIONS(2102),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2102),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2104),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [621] = {
    [sym_new_expression] = STATE(644),
    [sym_augmented_assignment_expression] = STATE(644),
    [sym_unary_expression] = STATE(644),
    [sym_update_expression] = STATE(644),
    [sym_regex] = STATE(644),
    [sym_meta_property] = STATE(644),
    [sym__expression] = STATE(644),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(644),
    [sym_jsx_fragment] = STATE(644),
    [sym_jsx_element] = STATE(644),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(644),
    [sym_await_expression] = STATE(644),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(644),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(644),
    [sym_generator_function] = STATE(644),
    [sym_call_expression] = STATE(644),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(644),
    [sym_ternary_expression] = STATE(644),
    [sym_binary_expression] = STATE(644),
    [sym_template_string] = STATE(644),
    [sym_parenthesized_expression] = STATE(644),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(644),
    [sym_class] = STATE(644),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2106),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2106),
    [sym_undefined] = ACTIONS(2106),
    [sym_true] = ACTIONS(2106),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2106),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2108),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [622] = {
    [sym__initializer] = STATE(647),
    [anon_sym_instanceof] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(241),
    [anon_sym_AMP_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_STAR_EQ] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_STAR_STAR] = ACTIONS(245),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_AMP] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(241),
    [anon_sym_PIPE_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_SLASH_EQ] = ACTIONS(718),
    [anon_sym_LT_EQ] = ACTIONS(241),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_PLUS_PLUS] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_GT] = ACTIONS(245),
    [anon_sym_LT_LT_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ] = ACTIONS(245),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_DASH_DASH] = ACTIONS(241),
    [anon_sym_RPAREN] = ACTIONS(241),
    [anon_sym_SLASH] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(241),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(718),
    [anon_sym_CARET] = ACTIONS(245),
    [anon_sym_AMP_AMP] = ACTIONS(241),
    [anon_sym_GT_GT] = ACTIONS(245),
    [anon_sym_in] = ACTIONS(245),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(241),
    [anon_sym_DOT] = ACTIONS(720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(241),
    [anon_sym_PERCENT_EQ] = ACTIONS(718),
    [anon_sym_PLUS_EQ] = ACTIONS(718),
    [anon_sym_PIPE] = ACTIONS(245),
    [anon_sym_PIPE_PIPE] = ACTIONS(241),
    [anon_sym_GT_GT_GT] = ACTIONS(245),
    [anon_sym_BANG_EQ] = ACTIONS(245),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(241),
    [anon_sym_LT] = ACTIONS(245),
    [anon_sym_CARET_EQ] = ACTIONS(718),
    [anon_sym_DASH_EQ] = ACTIONS(718),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_PERCENT] = ACTIONS(245),
    [anon_sym_LT_LT] = ACTIONS(245),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(241),
  },
  [623] = {
    [sym_new_expression] = STATE(649),
    [sym_augmented_assignment_expression] = STATE(649),
    [sym_statement_block] = STATE(648),
    [sym_unary_expression] = STATE(649),
    [sym_update_expression] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_regex] = STATE(649),
    [sym__expression] = STATE(649),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(649),
    [sym_jsx_fragment] = STATE(649),
    [sym_jsx_element] = STATE(649),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(649),
    [sym_await_expression] = STATE(649),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(649),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(649),
    [sym_ternary_expression] = STATE(649),
    [sym_binary_expression] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_parenthesized_expression] = STATE(649),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(649),
    [sym_class] = STATE(649),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2110),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2110),
    [sym_undefined] = ACTIONS(2110),
    [sym_true] = ACTIONS(2110),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2110),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2114),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [624] = {
    [sym_new_expression] = STATE(655),
    [sym_augmented_assignment_expression] = STATE(655),
    [sym_unary_expression] = STATE(655),
    [sym_update_expression] = STATE(655),
    [sym_regex] = STATE(655),
    [sym_meta_property] = STATE(655),
    [sym__expression] = STATE(655),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(655),
    [sym_jsx_fragment] = STATE(655),
    [sym_jsx_element] = STATE(655),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(655),
    [sym_await_expression] = STATE(655),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(655),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(655),
    [sym_generator_function] = STATE(655),
    [sym_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(655),
    [sym_ternary_expression] = STATE(655),
    [sym_binary_expression] = STATE(655),
    [sym_template_string] = STATE(655),
    [sym_parenthesized_expression] = STATE(655),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(655),
    [sym_class] = STATE(655),
    [anon_sym_instanceof] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_STAR_STAR] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_GT_EQ] = ACTIONS(303),
    [anon_sym_BANG] = ACTIONS(2116),
    [sym_this] = ACTIONS(2118),
    [sym_true] = ACTIONS(2118),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [anon_sym_GT] = ACTIONS(301),
    [sym_false] = ACTIONS(2118),
    [sym_number] = ACTIONS(2120),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_typeof] = ACTIONS(121),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2118),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_CARET] = ACTIONS(303),
    [anon_sym_AMP_AMP] = ACTIONS(303),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(303),
    [sym_undefined] = ACTIONS(2118),
    [anon_sym_DOT] = ACTIONS(301),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_PIPE_PIPE] = ACTIONS(303),
    [anon_sym_GT_GT_GT] = ACTIONS(303),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [sym_identifier] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(2122),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_PERCENT] = ACTIONS(303),
    [anon_sym_LT_LT] = ACTIONS(303),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(303),
  },
  [625] = {
    [sym_formal_parameters] = STATE(843),
    [sym__initializer] = STATE(647),
    [anon_sym_instanceof] = ACTIONS(245),
    [anon_sym_COLON] = ACTIONS(241),
    [anon_sym_AMP_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_STAR_EQ] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_STAR_STAR] = ACTIONS(245),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_AMP] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(241),
    [anon_sym_PIPE_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_SLASH_EQ] = ACTIONS(718),
    [anon_sym_LT_EQ] = ACTIONS(241),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_PLUS_PLUS] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(319),
    [anon_sym_GT] = ACTIONS(245),
    [anon_sym_LT_LT_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ] = ACTIONS(245),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_DASH_DASH] = ACTIONS(241),
    [anon_sym_RPAREN] = ACTIONS(241),
    [anon_sym_SLASH] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(241),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(718),
    [anon_sym_function] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(245),
    [anon_sym_AMP_AMP] = ACTIONS(241),
    [anon_sym_GT_GT] = ACTIONS(245),
    [anon_sym_in] = ACTIONS(245),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(241),
    [anon_sym_DOT] = ACTIONS(720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(241),
    [anon_sym_PERCENT_EQ] = ACTIONS(718),
    [anon_sym_EQ_GT] = ACTIONS(734),
    [anon_sym_PLUS_EQ] = ACTIONS(718),
    [anon_sym_PIPE] = ACTIONS(245),
    [anon_sym_PIPE_PIPE] = ACTIONS(241),
    [anon_sym_GT_GT_GT] = ACTIONS(245),
    [anon_sym_BANG_EQ] = ACTIONS(245),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(241),
    [anon_sym_LT] = ACTIONS(245),
    [anon_sym_CARET_EQ] = ACTIONS(718),
    [anon_sym_DASH_EQ] = ACTIONS(718),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_PERCENT] = ACTIONS(245),
    [anon_sym_LT_LT] = ACTIONS(245),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(241),
  },
  [626] = {
    [sym_new_expression] = STATE(656),
    [sym_augmented_assignment_expression] = STATE(847),
    [sym_unary_expression] = STATE(847),
    [sym_update_expression] = STATE(847),
    [sym_regex] = STATE(656),
    [sym_meta_property] = STATE(656),
    [sym__expression] = STATE(847),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(847),
    [sym_jsx_fragment] = STATE(847),
    [sym_jsx_element] = STATE(847),
    [sym_function] = STATE(660),
    [sym_arrow_function] = STATE(656),
    [sym_await_expression] = STATE(847),
    [sym_member_expression] = STATE(661),
    [sym_string] = STATE(656),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(662),
    [sym_anonymous_class] = STATE(656),
    [sym_generator_function] = STATE(656),
    [sym_call_expression] = STATE(847),
    [sym_subscript_expression] = STATE(661),
    [sym_assignment_expression] = STATE(847),
    [sym_ternary_expression] = STATE(847),
    [sym_binary_expression] = STATE(847),
    [sym_template_string] = STATE(656),
    [sym_parenthesized_expression] = STATE(656),
    [sym_array] = STATE(663),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(847),
    [sym_class] = STATE(656),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(2126),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2128),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(2130),
    [sym_false] = ACTIONS(2124),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2132),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(2128),
    [anon_sym_async] = ACTIONS(2134),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [627] = {
    [sym__initializer] = STATE(654),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_COLON] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_STAR_EQ] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_SLASH_EQ] = ACTIONS(732),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_LT_LT_EQ] = ACTIONS(732),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_RPAREN] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(732),
    [anon_sym_CARET] = ACTIONS(295),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(732),
    [anon_sym_PLUS_EQ] = ACTIONS(732),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_CARET_EQ] = ACTIONS(732),
    [anon_sym_DASH_EQ] = ACTIONS(732),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(295),
    [anon_sym_LT_LT] = ACTIONS(295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [628] = {
    [sym__initializer] = STATE(664),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_COLON] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_RPAREN] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [629] = {
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(382),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_else] = ACTIONS(386),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_while] = ACTIONS(386),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [630] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(382),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_else] = ACTIONS(386),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_while] = ACTIONS(386),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [631] = {
    [sym__initializer] = STATE(672),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_COLON] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_RPAREN] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [632] = {
    [sym__initializer] = STATE(654),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_COLON] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_STAR_EQ] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_SLASH_EQ] = ACTIONS(732),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_LT_LT_EQ] = ACTIONS(732),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_RPAREN] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(732),
    [anon_sym_CARET] = ACTIONS(295),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(732),
    [anon_sym_EQ_GT] = ACTIONS(734),
    [anon_sym_PLUS_EQ] = ACTIONS(732),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_CARET_EQ] = ACTIONS(732),
    [anon_sym_DASH_EQ] = ACTIONS(732),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(295),
    [anon_sym_LT_LT] = ACTIONS(295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [633] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(440),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(440),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(440),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(440),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(440),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(440),
  },
  [634] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_COLON] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
    [anon_sym_RPAREN] = ACTIONS(289),
  },
  [635] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_COLON] = ACTIONS(442),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(442),
    [anon_sym_STAR_STAR] = ACTIONS(442),
    [anon_sym_AMP_AMP] = ACTIONS(442),
    [anon_sym_STAR] = ACTIONS(444),
    [anon_sym_GT_GT] = ACTIONS(444),
    [anon_sym_AMP] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(442),
    [anon_sym_in] = ACTIONS(444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(442),
    [anon_sym_GT_EQ] = ACTIONS(442),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(442),
    [anon_sym_PIPE] = ACTIONS(444),
    [anon_sym_LT_EQ] = ACTIONS(442),
    [anon_sym_PIPE_PIPE] = ACTIONS(442),
    [anon_sym_COMMA] = ACTIONS(442),
    [anon_sym_GT_GT_GT] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(444),
    [anon_sym_GT] = ACTIONS(444),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(444),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_EQ_EQ] = ACTIONS(444),
    [anon_sym_PERCENT] = ACTIONS(442),
    [anon_sym_QMARK] = ACTIONS(442),
    [anon_sym_LT_LT] = ACTIONS(442),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(442),
    [anon_sym_RPAREN] = ACTIONS(442),
  },
  [636] = {
    [anon_sym_instanceof] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_COLON] = ACTIONS(470),
    [anon_sym_LBRACK] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_CARET] = ACTIONS(470),
    [anon_sym_STAR_STAR] = ACTIONS(470),
    [anon_sym_AMP_AMP] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(472),
    [anon_sym_GT_GT] = ACTIONS(472),
    [anon_sym_AMP] = ACTIONS(472),
    [anon_sym_LBRACE] = ACTIONS(470),
    [anon_sym_in] = ACTIONS(472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(470),
    [anon_sym_GT_EQ] = ACTIONS(470),
    [anon_sym_DOT] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(470),
    [anon_sym_PIPE] = ACTIONS(472),
    [anon_sym_LT_EQ] = ACTIONS(470),
    [anon_sym_PIPE_PIPE] = ACTIONS(470),
    [anon_sym_COMMA] = ACTIONS(470),
    [anon_sym_GT_GT_GT] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(470),
    [anon_sym_LPAREN] = ACTIONS(470),
    [anon_sym_BANG_EQ] = ACTIONS(472),
    [anon_sym_GT] = ACTIONS(472),
    [anon_sym_BQUOTE] = ACTIONS(470),
    [anon_sym_LT] = ACTIONS(472),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_EQ_EQ] = ACTIONS(472),
    [anon_sym_PERCENT] = ACTIONS(470),
    [anon_sym_QMARK] = ACTIONS(470),
    [anon_sym_LT_LT] = ACTIONS(470),
    [anon_sym_DASH_DASH] = ACTIONS(470),
    [anon_sym_RBRACE] = ACTIONS(470),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(470),
    [anon_sym_RPAREN] = ACTIONS(470),
  },
  [637] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(474),
    [anon_sym_SLASH] = ACTIONS(476),
    [anon_sym_COLON] = ACTIONS(474),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_CARET] = ACTIONS(474),
    [anon_sym_STAR_STAR] = ACTIONS(474),
    [anon_sym_AMP_AMP] = ACTIONS(474),
    [anon_sym_STAR] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(476),
    [anon_sym_LBRACE] = ACTIONS(474),
    [anon_sym_in] = ACTIONS(476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(474),
    [anon_sym_GT_EQ] = ACTIONS(474),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(474),
    [anon_sym_PIPE] = ACTIONS(476),
    [anon_sym_LT_EQ] = ACTIONS(474),
    [anon_sym_PIPE_PIPE] = ACTIONS(474),
    [anon_sym_COMMA] = ACTIONS(474),
    [anon_sym_GT_GT_GT] = ACTIONS(474),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(476),
    [anon_sym_GT] = ACTIONS(476),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(476),
    [anon_sym_PERCENT] = ACTIONS(474),
    [anon_sym_QMARK] = ACTIONS(474),
    [anon_sym_LT_LT] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(474),
    [anon_sym_RPAREN] = ACTIONS(474),
  },
  [638] = {
    [anon_sym_instanceof] = ACTIONS(478),
    [anon_sym_COLON] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(480),
    [anon_sym_STAR_STAR] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_AMP] = ACTIONS(480),
    [anon_sym_LBRACE] = ACTIONS(478),
    [anon_sym_GT_EQ] = ACTIONS(478),
    [anon_sym_LT_EQ] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(478),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_GT] = ACTIONS(480),
    [anon_sym_EQ_EQ] = ACTIONS(480),
    [anon_sym_QMARK] = ACTIONS(478),
    [anon_sym_RBRACE] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [anon_sym_RPAREN] = ACTIONS(478),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_LBRACK] = ACTIONS(478),
    [anon_sym_CARET] = ACTIONS(478),
    [anon_sym_AMP_AMP] = ACTIONS(478),
    [anon_sym_GT_GT] = ACTIONS(480),
    [anon_sym_in] = ACTIONS(480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(478),
    [anon_sym_of] = ACTIONS(478),
    [anon_sym_DOT] = ACTIONS(478),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(478),
    [anon_sym_PIPE] = ACTIONS(480),
    [anon_sym_PIPE_PIPE] = ACTIONS(478),
    [anon_sym_GT_GT_GT] = ACTIONS(478),
    [anon_sym_BANG_EQ] = ACTIONS(480),
    [anon_sym_EQ] = ACTIONS(480),
    [anon_sym_BQUOTE] = ACTIONS(478),
    [anon_sym_LT] = ACTIONS(480),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(478),
    [anon_sym_LT_LT] = ACTIONS(478),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(478),
  },
  [639] = {
    [anon_sym_instanceof] = ACTIONS(524),
    [anon_sym_SLASH] = ACTIONS(526),
    [anon_sym_COLON] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_CARET] = ACTIONS(524),
    [anon_sym_STAR_STAR] = ACTIONS(524),
    [anon_sym_AMP_AMP] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(526),
    [anon_sym_GT_GT] = ACTIONS(526),
    [anon_sym_AMP] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(524),
    [anon_sym_in] = ACTIONS(526),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(524),
    [anon_sym_GT_EQ] = ACTIONS(524),
    [anon_sym_DOT] = ACTIONS(524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(524),
    [anon_sym_PIPE] = ACTIONS(526),
    [anon_sym_LT_EQ] = ACTIONS(524),
    [anon_sym_PIPE_PIPE] = ACTIONS(524),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_GT_GT_GT] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_BANG_EQ] = ACTIONS(526),
    [anon_sym_GT] = ACTIONS(526),
    [anon_sym_BQUOTE] = ACTIONS(524),
    [anon_sym_LT] = ACTIONS(526),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_EQ_EQ] = ACTIONS(526),
    [anon_sym_PERCENT] = ACTIONS(524),
    [anon_sym_QMARK] = ACTIONS(524),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_DASH_DASH] = ACTIONS(524),
    [anon_sym_RBRACE] = ACTIONS(524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(524),
    [anon_sym_RPAREN] = ACTIONS(524),
  },
  [640] = {
    [anon_sym_instanceof] = ACTIONS(536),
    [anon_sym_SLASH] = ACTIONS(538),
    [anon_sym_COLON] = ACTIONS(536),
    [anon_sym_LBRACK] = ACTIONS(536),
    [anon_sym_DASH] = ACTIONS(538),
    [anon_sym_CARET] = ACTIONS(536),
    [anon_sym_STAR_STAR] = ACTIONS(536),
    [anon_sym_AMP_AMP] = ACTIONS(536),
    [anon_sym_STAR] = ACTIONS(538),
    [anon_sym_GT_GT] = ACTIONS(538),
    [anon_sym_AMP] = ACTIONS(538),
    [anon_sym_LBRACE] = ACTIONS(536),
    [anon_sym_in] = ACTIONS(538),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(536),
    [anon_sym_GT_EQ] = ACTIONS(536),
    [anon_sym_DOT] = ACTIONS(536),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(536),
    [anon_sym_PIPE] = ACTIONS(538),
    [anon_sym_LT_EQ] = ACTIONS(536),
    [anon_sym_PIPE_PIPE] = ACTIONS(536),
    [anon_sym_COMMA] = ACTIONS(536),
    [anon_sym_GT_GT_GT] = ACTIONS(536),
    [anon_sym_PLUS_PLUS] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_BANG_EQ] = ACTIONS(538),
    [anon_sym_GT] = ACTIONS(538),
    [anon_sym_BQUOTE] = ACTIONS(536),
    [anon_sym_LT] = ACTIONS(538),
    [anon_sym_PLUS] = ACTIONS(538),
    [anon_sym_EQ_EQ] = ACTIONS(538),
    [anon_sym_PERCENT] = ACTIONS(536),
    [anon_sym_QMARK] = ACTIONS(536),
    [anon_sym_LT_LT] = ACTIONS(536),
    [anon_sym_DASH_DASH] = ACTIONS(536),
    [anon_sym_RBRACE] = ACTIONS(536),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(536),
    [anon_sym_RPAREN] = ACTIONS(536),
  },
  [641] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_COLON] = ACTIONS(442),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(442),
    [anon_sym_STAR_STAR] = ACTIONS(442),
    [anon_sym_AMP_AMP] = ACTIONS(442),
    [anon_sym_STAR] = ACTIONS(444),
    [anon_sym_GT_GT] = ACTIONS(444),
    [anon_sym_AMP] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(442),
    [anon_sym_in] = ACTIONS(444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(442),
    [anon_sym_GT_EQ] = ACTIONS(442),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(442),
    [anon_sym_PIPE] = ACTIONS(444),
    [anon_sym_LT_EQ] = ACTIONS(442),
    [anon_sym_PIPE_PIPE] = ACTIONS(442),
    [anon_sym_COMMA] = ACTIONS(442),
    [anon_sym_GT_GT_GT] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(444),
    [anon_sym_GT] = ACTIONS(444),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(444),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_EQ_EQ] = ACTIONS(444),
    [anon_sym_PERCENT] = ACTIONS(442),
    [anon_sym_QMARK] = ACTIONS(442),
    [anon_sym_LT_LT] = ACTIONS(442),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(442),
    [anon_sym_RPAREN] = ACTIONS(442),
  },
  [642] = {
    [anon_sym_instanceof] = ACTIONS(642),
    [anon_sym_COLON] = ACTIONS(642),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_STAR_STAR] = ACTIONS(642),
    [anon_sym_STAR] = ACTIONS(640),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_LBRACE] = ACTIONS(642),
    [anon_sym_GT_EQ] = ACTIONS(642),
    [anon_sym_LT_EQ] = ACTIONS(642),
    [anon_sym_COMMA] = ACTIONS(642),
    [anon_sym_PLUS_PLUS] = ACTIONS(642),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_GT] = ACTIONS(640),
    [anon_sym_EQ_EQ] = ACTIONS(640),
    [anon_sym_QMARK] = ACTIONS(642),
    [anon_sym_RBRACE] = ACTIONS(642),
    [anon_sym_DASH_DASH] = ACTIONS(642),
    [anon_sym_RPAREN] = ACTIONS(642),
    [anon_sym_SLASH] = ACTIONS(640),
    [anon_sym_LBRACK] = ACTIONS(642),
    [anon_sym_CARET] = ACTIONS(642),
    [anon_sym_AMP_AMP] = ACTIONS(642),
    [anon_sym_GT_GT] = ACTIONS(640),
    [anon_sym_in] = ACTIONS(640),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(642),
    [anon_sym_DOT] = ACTIONS(642),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(642),
    [anon_sym_PIPE] = ACTIONS(640),
    [anon_sym_PIPE_PIPE] = ACTIONS(642),
    [anon_sym_GT_GT_GT] = ACTIONS(642),
    [anon_sym_BANG_EQ] = ACTIONS(640),
    [anon_sym_EQ] = ACTIONS(640),
    [anon_sym_BQUOTE] = ACTIONS(642),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_PERCENT] = ACTIONS(642),
    [anon_sym_LT_LT] = ACTIONS(642),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(642),
  },
  [643] = {
    [sym_new_expression] = STATE(868),
    [sym_augmented_assignment_expression] = STATE(868),
    [sym_unary_expression] = STATE(868),
    [sym_update_expression] = STATE(868),
    [sym_regex] = STATE(868),
    [sym_meta_property] = STATE(868),
    [sym__expression] = STATE(868),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(868),
    [sym_jsx_fragment] = STATE(868),
    [aux_sym_array_repeat1] = STATE(978),
    [sym_jsx_element] = STATE(868),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(868),
    [sym_await_expression] = STATE(868),
    [sym_member_expression] = STATE(627),
    [sym_spread_element] = STATE(979),
    [sym_string] = STATE(868),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(868),
    [sym_generator_function] = STATE(868),
    [sym_call_expression] = STATE(868),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(868),
    [sym_ternary_expression] = STATE(868),
    [sym_binary_expression] = STATE(868),
    [sym_template_string] = STATE(868),
    [sym_parenthesized_expression] = STATE(868),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(868),
    [sym_class] = STATE(868),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2136),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2136),
    [sym_undefined] = ACTIONS(2136),
    [sym_true] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2138),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2136),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [644] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_COLON] = ACTIONS(442),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(442),
    [anon_sym_STAR_STAR] = ACTIONS(442),
    [anon_sym_AMP_AMP] = ACTIONS(442),
    [anon_sym_STAR] = ACTIONS(444),
    [anon_sym_GT_GT] = ACTIONS(444),
    [anon_sym_AMP] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(442),
    [anon_sym_in] = ACTIONS(444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(442),
    [anon_sym_GT_EQ] = ACTIONS(442),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(442),
    [anon_sym_PIPE] = ACTIONS(444),
    [anon_sym_LT_EQ] = ACTIONS(442),
    [anon_sym_PIPE_PIPE] = ACTIONS(442),
    [anon_sym_COMMA] = ACTIONS(442),
    [anon_sym_GT_GT_GT] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(444),
    [anon_sym_GT] = ACTIONS(444),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(444),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_EQ_EQ] = ACTIONS(444),
    [anon_sym_PERCENT] = ACTIONS(442),
    [anon_sym_QMARK] = ACTIONS(442),
    [anon_sym_LT_LT] = ACTIONS(442),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(442),
    [anon_sym_RPAREN] = ACTIONS(442),
  },
  [645] = {
    [sym_new_expression] = STATE(692),
    [sym_augmented_assignment_expression] = STATE(692),
    [sym_unary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_regex] = STATE(692),
    [sym_meta_property] = STATE(692),
    [sym__expression] = STATE(692),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(692),
    [sym_jsx_fragment] = STATE(692),
    [sym_jsx_element] = STATE(692),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(692),
    [sym_await_expression] = STATE(692),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(692),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(692),
    [sym_generator_function] = STATE(692),
    [sym_call_expression] = STATE(692),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(692),
    [sym_ternary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_template_string] = STATE(692),
    [sym_parenthesized_expression] = STATE(692),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(692),
    [sym_class] = STATE(692),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2142),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2142),
    [sym_undefined] = ACTIONS(2142),
    [sym_true] = ACTIONS(2142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2142),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2144),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [646] = {
    [sym_new_expression] = STATE(694),
    [sym_augmented_assignment_expression] = STATE(694),
    [sym_unary_expression] = STATE(694),
    [sym_update_expression] = STATE(694),
    [sym_regex] = STATE(694),
    [sym_meta_property] = STATE(694),
    [sym__expression] = STATE(694),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(694),
    [sym_jsx_fragment] = STATE(694),
    [sym_jsx_element] = STATE(694),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(694),
    [sym_await_expression] = STATE(694),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(694),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(694),
    [sym_generator_function] = STATE(694),
    [sym_call_expression] = STATE(694),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(694),
    [sym_ternary_expression] = STATE(694),
    [sym_binary_expression] = STATE(694),
    [sym_template_string] = STATE(694),
    [sym_parenthesized_expression] = STATE(694),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(694),
    [sym_class] = STATE(694),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2146),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2146),
    [sym_undefined] = ACTIONS(2146),
    [sym_true] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2146),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2148),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [647] = {
    [anon_sym_instanceof] = ACTIONS(698),
    [anon_sym_SLASH] = ACTIONS(700),
    [anon_sym_COLON] = ACTIONS(698),
    [anon_sym_LBRACK] = ACTIONS(698),
    [anon_sym_DASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(698),
    [anon_sym_STAR_STAR] = ACTIONS(698),
    [anon_sym_AMP_AMP] = ACTIONS(698),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_GT_GT] = ACTIONS(700),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(698),
    [anon_sym_in] = ACTIONS(700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(698),
    [anon_sym_GT_EQ] = ACTIONS(698),
    [anon_sym_DOT] = ACTIONS(698),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(698),
    [anon_sym_PIPE] = ACTIONS(700),
    [anon_sym_LT_EQ] = ACTIONS(698),
    [anon_sym_PIPE_PIPE] = ACTIONS(698),
    [anon_sym_COMMA] = ACTIONS(698),
    [anon_sym_GT_GT_GT] = ACTIONS(698),
    [anon_sym_PLUS_PLUS] = ACTIONS(698),
    [anon_sym_LPAREN] = ACTIONS(698),
    [anon_sym_BANG_EQ] = ACTIONS(700),
    [anon_sym_GT] = ACTIONS(700),
    [anon_sym_BQUOTE] = ACTIONS(698),
    [anon_sym_LT] = ACTIONS(700),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_EQ_EQ] = ACTIONS(700),
    [anon_sym_PERCENT] = ACTIONS(698),
    [anon_sym_QMARK] = ACTIONS(698),
    [anon_sym_LT_LT] = ACTIONS(698),
    [anon_sym_DASH_DASH] = ACTIONS(698),
    [anon_sym_RBRACE] = ACTIONS(698),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(698),
    [anon_sym_RPAREN] = ACTIONS(698),
  },
  [648] = {
    [anon_sym_instanceof] = ACTIONS(702),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_COLON] = ACTIONS(702),
    [anon_sym_LBRACK] = ACTIONS(702),
    [anon_sym_DASH] = ACTIONS(704),
    [anon_sym_CARET] = ACTIONS(702),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_AMP_AMP] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(704),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_in] = ACTIONS(704),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(702),
    [anon_sym_GT_EQ] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(702),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(702),
    [anon_sym_PIPE] = ACTIONS(704),
    [anon_sym_LT_EQ] = ACTIONS(702),
    [anon_sym_PIPE_PIPE] = ACTIONS(702),
    [anon_sym_COMMA] = ACTIONS(702),
    [anon_sym_GT_GT_GT] = ACTIONS(702),
    [anon_sym_PLUS_PLUS] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(702),
    [anon_sym_BANG_EQ] = ACTIONS(704),
    [anon_sym_GT] = ACTIONS(704),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [anon_sym_LT] = ACTIONS(704),
    [anon_sym_PLUS] = ACTIONS(704),
    [anon_sym_EQ_EQ] = ACTIONS(704),
    [anon_sym_PERCENT] = ACTIONS(702),
    [anon_sym_QMARK] = ACTIONS(702),
    [anon_sym_LT_LT] = ACTIONS(702),
    [anon_sym_DASH_DASH] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(702),
    [anon_sym_RPAREN] = ACTIONS(702),
  },
  [649] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(702),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(702),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(702),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(702),
  },
  [650] = {
    [anon_sym_instanceof] = ACTIONS(780),
    [anon_sym_SLASH] = ACTIONS(782),
    [anon_sym_COLON] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(780),
    [anon_sym_DASH] = ACTIONS(782),
    [anon_sym_CARET] = ACTIONS(780),
    [anon_sym_STAR_STAR] = ACTIONS(780),
    [anon_sym_AMP_AMP] = ACTIONS(780),
    [anon_sym_STAR] = ACTIONS(782),
    [anon_sym_GT_GT] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(782),
    [anon_sym_LBRACE] = ACTIONS(780),
    [anon_sym_in] = ACTIONS(782),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(780),
    [anon_sym_GT_EQ] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(780),
    [anon_sym_PIPE] = ACTIONS(782),
    [anon_sym_LT_EQ] = ACTIONS(780),
    [anon_sym_PIPE_PIPE] = ACTIONS(780),
    [anon_sym_COMMA] = ACTIONS(780),
    [anon_sym_GT_GT_GT] = ACTIONS(780),
    [anon_sym_PLUS_PLUS] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(780),
    [anon_sym_BANG_EQ] = ACTIONS(782),
    [anon_sym_GT] = ACTIONS(782),
    [anon_sym_BQUOTE] = ACTIONS(780),
    [anon_sym_LT] = ACTIONS(782),
    [anon_sym_PLUS] = ACTIONS(782),
    [anon_sym_EQ_EQ] = ACTIONS(782),
    [anon_sym_PERCENT] = ACTIONS(780),
    [anon_sym_QMARK] = ACTIONS(780),
    [anon_sym_LT_LT] = ACTIONS(780),
    [anon_sym_DASH_DASH] = ACTIONS(780),
    [anon_sym_RBRACE] = ACTIONS(780),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(780),
    [anon_sym_RPAREN] = ACTIONS(780),
  },
  [651] = {
    [sym_new_expression] = STATE(698),
    [sym_augmented_assignment_expression] = STATE(698),
    [sym_unary_expression] = STATE(698),
    [sym_update_expression] = STATE(698),
    [sym_regex] = STATE(698),
    [sym_meta_property] = STATE(698),
    [sym__expression] = STATE(698),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(698),
    [sym_jsx_fragment] = STATE(698),
    [sym_jsx_element] = STATE(698),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(698),
    [sym_await_expression] = STATE(698),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(698),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(698),
    [sym_generator_function] = STATE(698),
    [sym_call_expression] = STATE(698),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(698),
    [sym_ternary_expression] = STATE(698),
    [sym_binary_expression] = STATE(698),
    [sym_template_string] = STATE(698),
    [sym_parenthesized_expression] = STATE(698),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(698),
    [sym_class] = STATE(698),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2150),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2150),
    [sym_undefined] = ACTIONS(2150),
    [sym_true] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2150),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [652] = {
    [sym_new_expression] = STATE(699),
    [sym_augmented_assignment_expression] = STATE(699),
    [sym_unary_expression] = STATE(699),
    [sym_update_expression] = STATE(699),
    [sym_regex] = STATE(699),
    [sym_meta_property] = STATE(699),
    [sym__expression] = STATE(699),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(699),
    [sym_jsx_fragment] = STATE(699),
    [sym_jsx_element] = STATE(699),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(699),
    [sym_await_expression] = STATE(699),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(699),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(699),
    [sym_generator_function] = STATE(699),
    [sym_call_expression] = STATE(699),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(699),
    [sym_ternary_expression] = STATE(699),
    [sym_binary_expression] = STATE(699),
    [sym_template_string] = STATE(699),
    [sym_parenthesized_expression] = STATE(699),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(699),
    [sym_class] = STATE(699),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2154),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2154),
    [sym_undefined] = ACTIONS(2154),
    [sym_true] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2154),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2156),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [653] = {
    [sym_new_expression] = STATE(701),
    [sym_augmented_assignment_expression] = STATE(701),
    [sym_statement_block] = STATE(700),
    [sym_unary_expression] = STATE(701),
    [sym_update_expression] = STATE(701),
    [sym_meta_property] = STATE(701),
    [sym_regex] = STATE(701),
    [sym__expression] = STATE(701),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(701),
    [sym_jsx_fragment] = STATE(701),
    [sym_jsx_element] = STATE(701),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(701),
    [sym_await_expression] = STATE(701),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(701),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(701),
    [sym_generator_function] = STATE(701),
    [sym_call_expression] = STATE(701),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(701),
    [sym_ternary_expression] = STATE(701),
    [sym_binary_expression] = STATE(701),
    [sym_template_string] = STATE(701),
    [sym_parenthesized_expression] = STATE(701),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(701),
    [sym_class] = STATE(701),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2158),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2158),
    [sym_undefined] = ACTIONS(2158),
    [sym_true] = ACTIONS(2158),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2158),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [654] = {
    [anon_sym_instanceof] = ACTIONS(796),
    [anon_sym_SLASH] = ACTIONS(798),
    [anon_sym_COLON] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(796),
    [anon_sym_DASH] = ACTIONS(798),
    [anon_sym_CARET] = ACTIONS(796),
    [anon_sym_STAR_STAR] = ACTIONS(796),
    [anon_sym_AMP_AMP] = ACTIONS(796),
    [anon_sym_STAR] = ACTIONS(798),
    [anon_sym_GT_GT] = ACTIONS(798),
    [anon_sym_AMP] = ACTIONS(798),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_in] = ACTIONS(798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(796),
    [anon_sym_GT_EQ] = ACTIONS(796),
    [anon_sym_DOT] = ACTIONS(796),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(796),
    [anon_sym_PIPE] = ACTIONS(798),
    [anon_sym_LT_EQ] = ACTIONS(796),
    [anon_sym_PIPE_PIPE] = ACTIONS(796),
    [anon_sym_COMMA] = ACTIONS(796),
    [anon_sym_GT_GT_GT] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(796),
    [anon_sym_BANG_EQ] = ACTIONS(798),
    [anon_sym_GT] = ACTIONS(798),
    [anon_sym_BQUOTE] = ACTIONS(796),
    [anon_sym_LT] = ACTIONS(798),
    [anon_sym_PLUS] = ACTIONS(798),
    [anon_sym_EQ_EQ] = ACTIONS(798),
    [anon_sym_PERCENT] = ACTIONS(796),
    [anon_sym_QMARK] = ACTIONS(796),
    [anon_sym_LT_LT] = ACTIONS(796),
    [anon_sym_DASH_DASH] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(796),
    [anon_sym_RPAREN] = ACTIONS(796),
  },
  [655] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(800),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(800),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(800),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(800),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(800),
  },
  [656] = {
    [sym_arguments] = STATE(703),
    [anon_sym_instanceof] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(824),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(824),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(824),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
    [anon_sym_RPAREN] = ACTIONS(824),
  },
  [657] = {
    [sym__initializer] = STATE(647),
    [sym_arguments] = STATE(705),
    [anon_sym_instanceof] = ACTIONS(830),
    [anon_sym_COLON] = ACTIONS(830),
    [anon_sym_AMP_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_STAR_EQ] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(832),
    [anon_sym_STAR_STAR] = ACTIONS(832),
    [anon_sym_STAR] = ACTIONS(832),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_GT_EQ] = ACTIONS(830),
    [anon_sym_PIPE_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_SLASH_EQ] = ACTIONS(718),
    [anon_sym_LT_EQ] = ACTIONS(830),
    [anon_sym_COMMA] = ACTIONS(830),
    [anon_sym_PLUS_PLUS] = ACTIONS(830),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_GT] = ACTIONS(832),
    [anon_sym_LT_LT_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ] = ACTIONS(832),
    [anon_sym_QMARK] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(830),
    [anon_sym_DASH_DASH] = ACTIONS(830),
    [anon_sym_RPAREN] = ACTIONS(830),
    [anon_sym_SLASH] = ACTIONS(832),
    [anon_sym_LBRACK] = ACTIONS(830),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(718),
    [anon_sym_CARET] = ACTIONS(832),
    [anon_sym_AMP_AMP] = ACTIONS(830),
    [anon_sym_GT_GT] = ACTIONS(832),
    [anon_sym_in] = ACTIONS(832),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(830),
    [anon_sym_DOT] = ACTIONS(720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(830),
    [anon_sym_PERCENT_EQ] = ACTIONS(718),
    [anon_sym_PLUS_EQ] = ACTIONS(718),
    [anon_sym_PIPE] = ACTIONS(832),
    [anon_sym_PIPE_PIPE] = ACTIONS(830),
    [anon_sym_GT_GT_GT] = ACTIONS(832),
    [anon_sym_BANG_EQ] = ACTIONS(832),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(830),
    [anon_sym_LT] = ACTIONS(832),
    [anon_sym_CARET_EQ] = ACTIONS(718),
    [anon_sym_DASH_EQ] = ACTIONS(718),
    [anon_sym_PLUS] = ACTIONS(832),
    [anon_sym_PERCENT] = ACTIONS(832),
    [anon_sym_LT_LT] = ACTIONS(832),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(830),
  },
  [658] = {
    [sym__initializer] = STATE(654),
    [sym_arguments] = STATE(703),
    [anon_sym_instanceof] = ACTIONS(824),
    [anon_sym_COLON] = ACTIONS(824),
    [anon_sym_AMP_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_STAR_EQ] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_PIPE_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_SLASH_EQ] = ACTIONS(732),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_LT_LT_EQ] = ACTIONS(732),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_RPAREN] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(732),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(824),
    [anon_sym_PERCENT_EQ] = ACTIONS(732),
    [anon_sym_EQ_GT] = ACTIONS(734),
    [anon_sym_PLUS_EQ] = ACTIONS(732),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_CARET_EQ] = ACTIONS(732),
    [anon_sym_DASH_EQ] = ACTIONS(732),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
  },
  [659] = {
    [sym_formal_parameters] = STATE(843),
    [sym__initializer] = STATE(647),
    [sym_arguments] = STATE(705),
    [anon_sym_instanceof] = ACTIONS(832),
    [anon_sym_COLON] = ACTIONS(830),
    [anon_sym_AMP_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_STAR_EQ] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(832),
    [anon_sym_STAR_STAR] = ACTIONS(832),
    [anon_sym_STAR] = ACTIONS(832),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_GT_EQ] = ACTIONS(830),
    [anon_sym_PIPE_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_SLASH_EQ] = ACTIONS(718),
    [anon_sym_LT_EQ] = ACTIONS(830),
    [anon_sym_COMMA] = ACTIONS(830),
    [anon_sym_PLUS_PLUS] = ACTIONS(830),
    [anon_sym_LPAREN] = ACTIONS(830),
    [anon_sym_GT] = ACTIONS(832),
    [anon_sym_LT_LT_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ] = ACTIONS(832),
    [anon_sym_QMARK] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(830),
    [anon_sym_DASH_DASH] = ACTIONS(830),
    [anon_sym_RPAREN] = ACTIONS(830),
    [anon_sym_SLASH] = ACTIONS(832),
    [anon_sym_LBRACK] = ACTIONS(830),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(718),
    [anon_sym_function] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(832),
    [anon_sym_AMP_AMP] = ACTIONS(830),
    [anon_sym_GT_GT] = ACTIONS(832),
    [anon_sym_in] = ACTIONS(832),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(830),
    [anon_sym_DOT] = ACTIONS(720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(830),
    [anon_sym_PERCENT_EQ] = ACTIONS(718),
    [anon_sym_EQ_GT] = ACTIONS(734),
    [anon_sym_PLUS_EQ] = ACTIONS(718),
    [anon_sym_PIPE] = ACTIONS(832),
    [anon_sym_PIPE_PIPE] = ACTIONS(830),
    [anon_sym_GT_GT_GT] = ACTIONS(832),
    [anon_sym_BANG_EQ] = ACTIONS(832),
    [sym_identifier] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(830),
    [anon_sym_LT] = ACTIONS(832),
    [anon_sym_CARET_EQ] = ACTIONS(718),
    [anon_sym_DASH_EQ] = ACTIONS(718),
    [anon_sym_PLUS] = ACTIONS(832),
    [anon_sym_PERCENT] = ACTIONS(832),
    [anon_sym_LT_LT] = ACTIONS(832),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(830),
  },
  [660] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(706),
    [anon_sym_instanceof] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(824),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(824),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(824),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(824),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
    [anon_sym_RPAREN] = ACTIONS(824),
  },
  [661] = {
    [sym__initializer] = STATE(654),
    [sym_arguments] = STATE(703),
    [anon_sym_instanceof] = ACTIONS(824),
    [anon_sym_COLON] = ACTIONS(824),
    [anon_sym_AMP_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_STAR_EQ] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_PIPE_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_SLASH_EQ] = ACTIONS(732),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_LT_LT_EQ] = ACTIONS(732),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_RPAREN] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(732),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(824),
    [anon_sym_PERCENT_EQ] = ACTIONS(732),
    [anon_sym_PLUS_EQ] = ACTIONS(732),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_CARET_EQ] = ACTIONS(732),
    [anon_sym_DASH_EQ] = ACTIONS(732),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
  },
  [662] = {
    [sym__initializer] = STATE(664),
    [sym_arguments] = STATE(703),
    [anon_sym_instanceof] = ACTIONS(824),
    [anon_sym_COLON] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_RPAREN] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_CARET] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(824),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(824),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
  },
  [663] = {
    [sym__initializer] = STATE(672),
    [sym_arguments] = STATE(703),
    [anon_sym_instanceof] = ACTIONS(824),
    [anon_sym_COLON] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_RPAREN] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_CARET] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(824),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(824),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
  },
  [664] = {
    [anon_sym_instanceof] = ACTIONS(1012),
    [anon_sym_SLASH] = ACTIONS(1014),
    [anon_sym_COLON] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_CARET] = ACTIONS(1012),
    [anon_sym_STAR_STAR] = ACTIONS(1012),
    [anon_sym_AMP_AMP] = ACTIONS(1012),
    [anon_sym_STAR] = ACTIONS(1014),
    [anon_sym_GT_GT] = ACTIONS(1014),
    [anon_sym_AMP] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_in] = ACTIONS(1014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1012),
    [anon_sym_GT_EQ] = ACTIONS(1012),
    [anon_sym_DOT] = ACTIONS(1012),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1012),
    [anon_sym_PIPE] = ACTIONS(1014),
    [anon_sym_LT_EQ] = ACTIONS(1012),
    [anon_sym_PIPE_PIPE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(1012),
    [anon_sym_GT_GT_GT] = ACTIONS(1012),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(1012),
    [anon_sym_BANG_EQ] = ACTIONS(1014),
    [anon_sym_GT] = ACTIONS(1014),
    [anon_sym_BQUOTE] = ACTIONS(1012),
    [anon_sym_LT] = ACTIONS(1014),
    [anon_sym_PLUS] = ACTIONS(1014),
    [anon_sym_EQ_EQ] = ACTIONS(1014),
    [anon_sym_PERCENT] = ACTIONS(1012),
    [anon_sym_QMARK] = ACTIONS(1012),
    [anon_sym_LT_LT] = ACTIONS(1012),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1012),
    [anon_sym_RPAREN] = ACTIONS(1012),
  },
  [665] = {
    [sym_new_expression] = STATE(708),
    [sym_augmented_assignment_expression] = STATE(708),
    [sym_unary_expression] = STATE(708),
    [sym_update_expression] = STATE(708),
    [sym_regex] = STATE(708),
    [sym_meta_property] = STATE(708),
    [sym__expression] = STATE(708),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(708),
    [sym_jsx_fragment] = STATE(708),
    [sym_jsx_element] = STATE(708),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(708),
    [sym_await_expression] = STATE(708),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(708),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(708),
    [sym_generator_function] = STATE(708),
    [sym_call_expression] = STATE(708),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(708),
    [sym_ternary_expression] = STATE(708),
    [sym_binary_expression] = STATE(708),
    [sym_template_string] = STATE(708),
    [sym_parenthesized_expression] = STATE(708),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_class] = STATE(708),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2162),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2162),
    [sym_undefined] = ACTIONS(2162),
    [sym_true] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2162),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2164),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [666] = {
    [sym_new_expression] = STATE(709),
    [sym_augmented_assignment_expression] = STATE(709),
    [sym_unary_expression] = STATE(709),
    [sym_update_expression] = STATE(709),
    [sym_regex] = STATE(709),
    [sym_meta_property] = STATE(709),
    [sym__expression] = STATE(709),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(709),
    [sym_jsx_fragment] = STATE(709),
    [sym_jsx_element] = STATE(709),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(709),
    [sym_await_expression] = STATE(709),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(709),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(709),
    [sym_generator_function] = STATE(709),
    [sym_call_expression] = STATE(709),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(709),
    [sym_ternary_expression] = STATE(709),
    [sym_binary_expression] = STATE(709),
    [sym_template_string] = STATE(709),
    [sym_parenthesized_expression] = STATE(709),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(709),
    [sym_class] = STATE(709),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2166),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2166),
    [sym_undefined] = ACTIONS(2166),
    [sym_true] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2166),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [667] = {
    [sym_new_expression] = STATE(710),
    [sym_augmented_assignment_expression] = STATE(710),
    [sym_unary_expression] = STATE(710),
    [sym_update_expression] = STATE(710),
    [sym_regex] = STATE(710),
    [sym_meta_property] = STATE(710),
    [sym__expression] = STATE(710),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(710),
    [sym_jsx_fragment] = STATE(710),
    [sym_jsx_element] = STATE(710),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(710),
    [sym_await_expression] = STATE(710),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(710),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(710),
    [sym_generator_function] = STATE(710),
    [sym_call_expression] = STATE(710),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(710),
    [sym_ternary_expression] = STATE(710),
    [sym_binary_expression] = STATE(710),
    [sym_template_string] = STATE(710),
    [sym_parenthesized_expression] = STATE(710),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(710),
    [sym_class] = STATE(710),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2170),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2170),
    [sym_undefined] = ACTIONS(2170),
    [sym_true] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2170),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2172),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [668] = {
    [sym_new_expression] = STATE(711),
    [sym_augmented_assignment_expression] = STATE(711),
    [sym_unary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_regex] = STATE(711),
    [sym_meta_property] = STATE(711),
    [sym__expression] = STATE(711),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(711),
    [sym_jsx_fragment] = STATE(711),
    [sym_jsx_element] = STATE(711),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(711),
    [sym_await_expression] = STATE(711),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(711),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(711),
    [sym_generator_function] = STATE(711),
    [sym_call_expression] = STATE(711),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(711),
    [sym_ternary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_template_string] = STATE(711),
    [sym_parenthesized_expression] = STATE(711),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(711),
    [sym_class] = STATE(711),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2174),
    [sym_undefined] = ACTIONS(2174),
    [sym_true] = ACTIONS(2174),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2174),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2176),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [669] = {
    [sym_new_expression] = STATE(712),
    [sym_augmented_assignment_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_update_expression] = STATE(712),
    [sym_regex] = STATE(712),
    [sym_meta_property] = STATE(712),
    [sym__expression] = STATE(712),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(712),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_element] = STATE(712),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(712),
    [sym_await_expression] = STATE(712),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(712),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(712),
    [sym_generator_function] = STATE(712),
    [sym_call_expression] = STATE(712),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(712),
    [sym_ternary_expression] = STATE(712),
    [sym_binary_expression] = STATE(712),
    [sym_template_string] = STATE(712),
    [sym_parenthesized_expression] = STATE(712),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(712),
    [sym_class] = STATE(712),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2178),
    [sym_undefined] = ACTIONS(2178),
    [sym_true] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2178),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2180),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [670] = {
    [anon_sym_instanceof] = ACTIONS(474),
    [anon_sym_SLASH] = ACTIONS(476),
    [anon_sym_COLON] = ACTIONS(474),
    [anon_sym_LBRACK] = ACTIONS(474),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_CARET] = ACTIONS(474),
    [anon_sym_STAR_STAR] = ACTIONS(474),
    [anon_sym_AMP_AMP] = ACTIONS(474),
    [anon_sym_STAR] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(476),
    [anon_sym_LBRACE] = ACTIONS(474),
    [anon_sym_in] = ACTIONS(476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(474),
    [anon_sym_GT_EQ] = ACTIONS(474),
    [anon_sym_DOT] = ACTIONS(474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(474),
    [anon_sym_PIPE] = ACTIONS(476),
    [anon_sym_LT_EQ] = ACTIONS(474),
    [anon_sym_PIPE_PIPE] = ACTIONS(474),
    [anon_sym_COMMA] = ACTIONS(474),
    [anon_sym_GT_GT_GT] = ACTIONS(474),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_LPAREN] = ACTIONS(474),
    [anon_sym_BANG_EQ] = ACTIONS(476),
    [anon_sym_GT] = ACTIONS(476),
    [anon_sym_BQUOTE] = ACTIONS(474),
    [anon_sym_LT] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(476),
    [anon_sym_PERCENT] = ACTIONS(474),
    [anon_sym_QMARK] = ACTIONS(474),
    [anon_sym_LT_LT] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(474),
    [anon_sym_RPAREN] = ACTIONS(474),
  },
  [671] = {
    [sym_new_expression] = STATE(713),
    [sym_augmented_assignment_expression] = STATE(713),
    [sym_unary_expression] = STATE(713),
    [sym_update_expression] = STATE(713),
    [sym_regex] = STATE(713),
    [sym_meta_property] = STATE(713),
    [sym__expression] = STATE(713),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(713),
    [sym_jsx_fragment] = STATE(713),
    [sym_jsx_element] = STATE(713),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(713),
    [sym_await_expression] = STATE(713),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(714),
    [sym_string] = STATE(713),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(713),
    [sym_generator_function] = STATE(713),
    [sym_call_expression] = STATE(713),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(713),
    [sym_ternary_expression] = STATE(713),
    [sym_binary_expression] = STATE(713),
    [sym_template_string] = STATE(713),
    [sym_parenthesized_expression] = STATE(713),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(713),
    [sym_class] = STATE(713),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2182),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2184),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [672] = {
    [anon_sym_instanceof] = ACTIONS(1063),
    [anon_sym_SLASH] = ACTIONS(1065),
    [anon_sym_COLON] = ACTIONS(1063),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(1065),
    [anon_sym_CARET] = ACTIONS(1063),
    [anon_sym_STAR_STAR] = ACTIONS(1063),
    [anon_sym_AMP_AMP] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1065),
    [anon_sym_GT_GT] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1065),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_in] = ACTIONS(1065),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1063),
    [anon_sym_GT_EQ] = ACTIONS(1063),
    [anon_sym_DOT] = ACTIONS(1063),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1063),
    [anon_sym_PIPE] = ACTIONS(1065),
    [anon_sym_LT_EQ] = ACTIONS(1063),
    [anon_sym_PIPE_PIPE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(1063),
    [anon_sym_GT_GT_GT] = ACTIONS(1063),
    [anon_sym_PLUS_PLUS] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_BANG_EQ] = ACTIONS(1065),
    [anon_sym_GT] = ACTIONS(1065),
    [anon_sym_BQUOTE] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(1065),
    [anon_sym_EQ_EQ] = ACTIONS(1065),
    [anon_sym_PERCENT] = ACTIONS(1063),
    [anon_sym_QMARK] = ACTIONS(1063),
    [anon_sym_LT_LT] = ACTIONS(1063),
    [anon_sym_DASH_DASH] = ACTIONS(1063),
    [anon_sym_RBRACE] = ACTIONS(1063),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(1063),
  },
  [673] = {
    [anon_sym_instanceof] = ACTIONS(1081),
    [anon_sym_SLASH] = ACTIONS(1083),
    [anon_sym_COLON] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1081),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_STAR_STAR] = ACTIONS(1081),
    [anon_sym_AMP_AMP] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_in] = ACTIONS(1083),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1081),
    [anon_sym_DOT] = ACTIONS(1081),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1081),
    [anon_sym_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1081),
    [anon_sym_GT_GT_GT] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_GT] = ACTIONS(1083),
    [anon_sym_BQUOTE] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_EQ_EQ] = ACTIONS(1083),
    [anon_sym_PERCENT] = ACTIONS(1081),
    [anon_sym_QMARK] = ACTIONS(1081),
    [anon_sym_LT_LT] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_RBRACE] = ACTIONS(1081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1081),
    [anon_sym_RPAREN] = ACTIONS(1081),
  },
  [674] = {
    [anon_sym_instanceof] = ACTIONS(642),
    [anon_sym_COLON] = ACTIONS(642),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_STAR_STAR] = ACTIONS(642),
    [anon_sym_STAR] = ACTIONS(640),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_LBRACE] = ACTIONS(642),
    [anon_sym_GT_EQ] = ACTIONS(642),
    [anon_sym_LT_EQ] = ACTIONS(642),
    [anon_sym_COMMA] = ACTIONS(642),
    [anon_sym_PLUS_PLUS] = ACTIONS(642),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_GT] = ACTIONS(640),
    [anon_sym_EQ_EQ] = ACTIONS(640),
    [anon_sym_QMARK] = ACTIONS(642),
    [anon_sym_RBRACE] = ACTIONS(642),
    [anon_sym_DASH_DASH] = ACTIONS(642),
    [anon_sym_RPAREN] = ACTIONS(642),
    [anon_sym_SLASH] = ACTIONS(640),
    [anon_sym_LBRACK] = ACTIONS(642),
    [anon_sym_CARET] = ACTIONS(642),
    [anon_sym_AMP_AMP] = ACTIONS(642),
    [anon_sym_GT_GT] = ACTIONS(640),
    [anon_sym_in] = ACTIONS(640),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(642),
    [anon_sym_of] = ACTIONS(642),
    [anon_sym_DOT] = ACTIONS(642),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(642),
    [anon_sym_PIPE] = ACTIONS(640),
    [anon_sym_PIPE_PIPE] = ACTIONS(642),
    [anon_sym_GT_GT_GT] = ACTIONS(642),
    [anon_sym_BANG_EQ] = ACTIONS(640),
    [anon_sym_EQ] = ACTIONS(640),
    [anon_sym_BQUOTE] = ACTIONS(642),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_PERCENT] = ACTIONS(642),
    [anon_sym_LT_LT] = ACTIONS(642),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(642),
  },
  [675] = {
    [sym_string] = STATE(269),
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(598),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(604),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_get] = ACTIONS(598),
    [sym_number] = ACTIONS(602),
  },
  [676] = {
    [sym_string] = STATE(269),
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym_number] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(632),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(604),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_STAR] = ACTIONS(1085),
    [anon_sym_get] = ACTIONS(632),
  },
  [677] = {
    [anon_sym_instanceof] = ACTIONS(1095),
    [anon_sym_SLASH] = ACTIONS(1093),
    [anon_sym_COLON] = ACTIONS(1095),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_CARET] = ACTIONS(1095),
    [anon_sym_STAR_STAR] = ACTIONS(1095),
    [anon_sym_AMP_AMP] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(1093),
    [anon_sym_GT_GT] = ACTIONS(1093),
    [anon_sym_AMP] = ACTIONS(1093),
    [anon_sym_LBRACE] = ACTIONS(1095),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1095),
    [anon_sym_GT_EQ] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1095),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1095),
    [anon_sym_PIPE] = ACTIONS(1093),
    [anon_sym_LT_EQ] = ACTIONS(1095),
    [anon_sym_PIPE_PIPE] = ACTIONS(1095),
    [anon_sym_COMMA] = ACTIONS(1095),
    [anon_sym_GT_GT_GT] = ACTIONS(1095),
    [anon_sym_PLUS_PLUS] = ACTIONS(1095),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_BANG_EQ] = ACTIONS(1093),
    [anon_sym_GT] = ACTIONS(1093),
    [anon_sym_BQUOTE] = ACTIONS(1095),
    [anon_sym_LT] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_EQ_EQ] = ACTIONS(1093),
    [anon_sym_PERCENT] = ACTIONS(1095),
    [anon_sym_QMARK] = ACTIONS(1095),
    [anon_sym_LT_LT] = ACTIONS(1095),
    [anon_sym_DASH_DASH] = ACTIONS(1095),
    [anon_sym_RBRACE] = ACTIONS(1095),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1095),
    [anon_sym_RPAREN] = ACTIONS(1095),
  },
  [678] = {
    [anon_sym_LPAREN] = ACTIONS(604),
    [sym_comment] = ACTIONS(3),
  },
  [679] = {
    [anon_sym_instanceof] = ACTIONS(1111),
    [anon_sym_SLASH] = ACTIONS(1109),
    [anon_sym_COLON] = ACTIONS(1111),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_DASH] = ACTIONS(1109),
    [anon_sym_CARET] = ACTIONS(1111),
    [anon_sym_STAR_STAR] = ACTIONS(1111),
    [anon_sym_AMP_AMP] = ACTIONS(1111),
    [anon_sym_STAR] = ACTIONS(1109),
    [anon_sym_GT_GT] = ACTIONS(1109),
    [anon_sym_AMP] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(1111),
    [anon_sym_in] = ACTIONS(1109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1111),
    [anon_sym_GT_EQ] = ACTIONS(1111),
    [anon_sym_DOT] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1111),
    [anon_sym_PIPE] = ACTIONS(1109),
    [anon_sym_LT_EQ] = ACTIONS(1111),
    [anon_sym_PIPE_PIPE] = ACTIONS(1111),
    [anon_sym_COMMA] = ACTIONS(1111),
    [anon_sym_GT_GT_GT] = ACTIONS(1111),
    [anon_sym_PLUS_PLUS] = ACTIONS(1111),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_BANG_EQ] = ACTIONS(1109),
    [anon_sym_GT] = ACTIONS(1109),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(1109),
    [anon_sym_PLUS] = ACTIONS(1109),
    [anon_sym_EQ_EQ] = ACTIONS(1109),
    [anon_sym_PERCENT] = ACTIONS(1111),
    [anon_sym_QMARK] = ACTIONS(1111),
    [anon_sym_LT_LT] = ACTIONS(1111),
    [anon_sym_DASH_DASH] = ACTIONS(1111),
    [anon_sym_RBRACE] = ACTIONS(1111),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1111),
    [anon_sym_RPAREN] = ACTIONS(1111),
  },
  [680] = {
    [anon_sym_instanceof] = ACTIONS(1115),
    [anon_sym_SLASH] = ACTIONS(1117),
    [anon_sym_COLON] = ACTIONS(1115),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_CARET] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1115),
    [anon_sym_AMP_AMP] = ACTIONS(1115),
    [anon_sym_STAR] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1117),
    [anon_sym_AMP] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_in] = ACTIONS(1117),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1115),
    [anon_sym_GT_EQ] = ACTIONS(1115),
    [anon_sym_DOT] = ACTIONS(1115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1115),
    [anon_sym_PIPE] = ACTIONS(1117),
    [anon_sym_LT_EQ] = ACTIONS(1115),
    [anon_sym_PIPE_PIPE] = ACTIONS(1115),
    [anon_sym_COMMA] = ACTIONS(1115),
    [anon_sym_GT_GT_GT] = ACTIONS(1115),
    [anon_sym_PLUS_PLUS] = ACTIONS(1115),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [anon_sym_BANG_EQ] = ACTIONS(1117),
    [anon_sym_GT] = ACTIONS(1117),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_EQ_EQ] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1115),
    [anon_sym_DASH_DASH] = ACTIONS(1115),
    [anon_sym_RBRACE] = ACTIONS(1115),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1115),
    [anon_sym_RPAREN] = ACTIONS(1115),
  },
  [681] = {
    [anon_sym_instanceof] = ACTIONS(1123),
    [anon_sym_COLON] = ACTIONS(1123),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_STAR_STAR] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_GT_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_GT] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1125),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_RPAREN] = ACTIONS(1123),
    [anon_sym_SLASH] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1123),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_DOT] = ACTIONS(1123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1123),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_GT_GT_GT] = ACTIONS(1123),
    [anon_sym_BANG_EQ] = ACTIONS(1125),
    [anon_sym_EQ] = ACTIONS(1125),
    [anon_sym_BQUOTE] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_PERCENT] = ACTIONS(1123),
    [anon_sym_LT_LT] = ACTIONS(1123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1123),
  },
  [682] = {
    [anon_sym_instanceof] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_COLON] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_STAR_STAR] = ACTIONS(1132),
    [anon_sym_AMP_AMP] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1134),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_PIPE_PIPE] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1132),
    [anon_sym_GT_GT_GT] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1134),
    [anon_sym_BQUOTE] = ACTIONS(1132),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1132),
    [anon_sym_RPAREN] = ACTIONS(1132),
  },
  [683] = {
    [anon_sym_instanceof] = ACTIONS(1143),
    [anon_sym_SLASH] = ACTIONS(1145),
    [anon_sym_COLON] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(1143),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_CARET] = ACTIONS(1143),
    [anon_sym_STAR_STAR] = ACTIONS(1143),
    [anon_sym_AMP_AMP] = ACTIONS(1143),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_GT_GT] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1143),
    [anon_sym_in] = ACTIONS(1145),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1143),
    [anon_sym_GT_EQ] = ACTIONS(1143),
    [anon_sym_DOT] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1143),
    [anon_sym_PIPE] = ACTIONS(1145),
    [anon_sym_LT_EQ] = ACTIONS(1143),
    [anon_sym_PIPE_PIPE] = ACTIONS(1143),
    [anon_sym_COMMA] = ACTIONS(1143),
    [anon_sym_GT_GT_GT] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1143),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_BANG_EQ] = ACTIONS(1145),
    [anon_sym_GT] = ACTIONS(1145),
    [anon_sym_BQUOTE] = ACTIONS(1143),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_EQ_EQ] = ACTIONS(1145),
    [anon_sym_PERCENT] = ACTIONS(1143),
    [anon_sym_QMARK] = ACTIONS(1143),
    [anon_sym_LT_LT] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1143),
    [anon_sym_RBRACE] = ACTIONS(1143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1143),
    [anon_sym_RPAREN] = ACTIONS(1143),
  },
  [684] = {
    [anon_sym_instanceof] = ACTIONS(1155),
    [anon_sym_COLON] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_STAR_STAR] = ACTIONS(1157),
    [anon_sym_STAR] = ACTIONS(1155),
    [anon_sym_AMP] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_GT_EQ] = ACTIONS(1157),
    [sym_regex_flags] = ACTIONS(2186),
    [anon_sym_LT_EQ] = ACTIONS(1157),
    [anon_sym_COMMA] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_RPAREN] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(1155),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_CARET] = ACTIONS(1157),
    [anon_sym_AMP_AMP] = ACTIONS(1157),
    [anon_sym_GT_GT] = ACTIONS(1155),
    [anon_sym_in] = ACTIONS(1155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1157),
    [anon_sym_DOT] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1157),
    [anon_sym_PIPE] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1157),
    [anon_sym_GT_GT_GT] = ACTIONS(1157),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_BQUOTE] = ACTIONS(1157),
    [anon_sym_LT] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_PERCENT] = ACTIONS(1157),
    [anon_sym_LT_LT] = ACTIONS(1157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1157),
  },
  [685] = {
    [anon_sym_instanceof] = ACTIONS(1175),
    [anon_sym_SLASH] = ACTIONS(1173),
    [anon_sym_COLON] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1175),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_STAR_STAR] = ACTIONS(1175),
    [anon_sym_AMP_AMP] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_GT_GT] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_in] = ACTIONS(1173),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_DOT] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1175),
    [anon_sym_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1175),
    [anon_sym_GT_GT_GT] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1173),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_BQUOTE] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1173),
    [anon_sym_PERCENT] = ACTIONS(1175),
    [anon_sym_QMARK] = ACTIONS(1175),
    [anon_sym_LT_LT] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_RBRACE] = ACTIONS(1175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1175),
    [anon_sym_RPAREN] = ACTIONS(1175),
  },
  [686] = {
    [anon_sym_instanceof] = ACTIONS(1221),
    [anon_sym_COLON] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_STAR_STAR] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(1223),
    [anon_sym_AMP] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_GT] = ACTIONS(1223),
    [anon_sym_EQ_EQ] = ACTIONS(1223),
    [anon_sym_QMARK] = ACTIONS(1221),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_CARET] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1221),
    [anon_sym_GT_GT] = ACTIONS(1223),
    [anon_sym_in] = ACTIONS(1223),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1221),
    [anon_sym_of] = ACTIONS(1221),
    [anon_sym_DOT] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1221),
    [anon_sym_PIPE] = ACTIONS(1223),
    [anon_sym_PIPE_PIPE] = ACTIONS(1221),
    [anon_sym_GT_GT_GT] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1223),
    [anon_sym_EQ] = ACTIONS(1223),
    [anon_sym_BQUOTE] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1223),
    [anon_sym_PERCENT] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(1221),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1221),
  },
  [687] = {
    [anon_sym_instanceof] = ACTIONS(796),
    [anon_sym_SLASH] = ACTIONS(798),
    [anon_sym_LBRACK] = ACTIONS(796),
    [anon_sym_DASH] = ACTIONS(798),
    [anon_sym_CARET] = ACTIONS(796),
    [anon_sym_STAR_STAR] = ACTIONS(796),
    [anon_sym_STAR] = ACTIONS(798),
    [anon_sym_AMP_AMP] = ACTIONS(796),
    [anon_sym_GT_GT] = ACTIONS(798),
    [anon_sym_AMP] = ACTIONS(798),
    [anon_sym_in] = ACTIONS(798),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(796),
    [anon_sym_GT_EQ] = ACTIONS(796),
    [anon_sym_DOT] = ACTIONS(796),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(798),
    [anon_sym_LT_EQ] = ACTIONS(796),
    [anon_sym_PIPE_PIPE] = ACTIONS(796),
    [anon_sym_COMMA] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(796),
    [anon_sym_BANG_EQ] = ACTIONS(798),
    [anon_sym_GT] = ACTIONS(798),
    [anon_sym_BQUOTE] = ACTIONS(796),
    [anon_sym_LT] = ACTIONS(798),
    [anon_sym_PLUS] = ACTIONS(798),
    [anon_sym_EQ_EQ] = ACTIONS(798),
    [anon_sym_PERCENT] = ACTIONS(796),
    [anon_sym_QMARK] = ACTIONS(796),
    [anon_sym_LT_LT] = ACTIONS(796),
    [anon_sym_DASH_DASH] = ACTIONS(796),
    [anon_sym_RPAREN] = ACTIONS(1235),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(796),
  },
  [688] = {
    [anon_sym_instanceof] = ACTIONS(1240),
    [anon_sym_COLON] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_STAR_STAR] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_GT_EQ] = ACTIONS(1240),
    [anon_sym_LT_EQ] = ACTIONS(1240),
    [anon_sym_COMMA] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [anon_sym_GT] = ACTIONS(1242),
    [anon_sym_EQ_EQ] = ACTIONS(1242),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_RPAREN] = ACTIONS(1240),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_CARET] = ACTIONS(1240),
    [anon_sym_AMP_AMP] = ACTIONS(1240),
    [anon_sym_GT_GT] = ACTIONS(1242),
    [anon_sym_in] = ACTIONS(1242),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1240),
    [anon_sym_of] = ACTIONS(1240),
    [anon_sym_DOT] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1240),
    [anon_sym_PIPE] = ACTIONS(1242),
    [anon_sym_PIPE_PIPE] = ACTIONS(1240),
    [anon_sym_GT_GT_GT] = ACTIONS(1240),
    [anon_sym_BANG_EQ] = ACTIONS(1242),
    [anon_sym_EQ] = ACTIONS(1242),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_LT] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_PERCENT] = ACTIONS(1240),
    [anon_sym_LT_LT] = ACTIONS(1240),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1240),
  },
  [689] = {
    [anon_sym_instanceof] = ACTIONS(1246),
    [sym__automatic_semicolon] = ACTIONS(1248),
    [anon_sym_class] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_throw] = ACTIONS(1246),
    [anon_sym_GT_EQ] = ACTIONS(1248),
    [sym_this] = ACTIONS(1246),
    [anon_sym_case] = ACTIONS(1246),
    [anon_sym_get] = ACTIONS(1246),
    [anon_sym_LT_EQ] = ACTIONS(1248),
    [anon_sym_COMMA] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_GT] = ACTIONS(1246),
    [sym_false] = ACTIONS(1246),
    [anon_sym_yield] = ACTIONS(1246),
    [anon_sym_async] = ACTIONS(1246),
    [anon_sym_const] = ACTIONS(1246),
    [anon_sym_QMARK] = ACTIONS(1248),
    [anon_sym_try] = ACTIONS(1246),
    [anon_sym_await] = ACTIONS(1246),
    [anon_sym_let] = ACTIONS(1246),
    [anon_sym_CARET] = ACTIONS(1248),
    [anon_sym_GT_GT] = ACTIONS(1246),
    [anon_sym_in] = ACTIONS(1246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1246),
    [anon_sym_EQ_GT] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1246),
    [anon_sym_PIPE_PIPE] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1246),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_export] = ACTIONS(1246),
    [anon_sym_LT_LT] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1248),
    [anon_sym_import] = ACTIONS(1246),
    [anon_sym_STAR_STAR] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_delete] = ACTIONS(1246),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [sym_true] = ACTIONS(1246),
    [anon_sym_default] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [sym_super] = ACTIONS(1246),
    [sym_number] = ACTIONS(1248),
    [anon_sym_set] = ACTIONS(1246),
    [anon_sym_var] = ACTIONS(1246),
    [anon_sym_EQ_EQ] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_RPAREN] = ACTIONS(1248),
    [anon_sym_typeof] = ACTIONS(1246),
    [anon_sym_SLASH] = ACTIONS(1246),
    [sym_null] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_function] = ACTIONS(1246),
    [anon_sym_if] = ACTIONS(1246),
    [anon_sym_AMP_AMP] = ACTIONS(1248),
    [anon_sym_with] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_DOT] = ACTIONS(1246),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1246),
    [anon_sym_GT_GT_GT] = ACTIONS(1248),
    [anon_sym_debugger] = ACTIONS(1246),
    [anon_sym_BANG_EQ] = ACTIONS(1246),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_LT] = ACTIONS(1246),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(1246),
    [anon_sym_AT] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1246),
    [anon_sym_PERCENT] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1246),
    [anon_sym_void] = ACTIONS(1246),
    [anon_sym_do] = ACTIONS(1246),
  },
  [690] = {
    [anon_sym_instanceof] = ACTIONS(1012),
    [anon_sym_SLASH] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_CARET] = ACTIONS(1012),
    [anon_sym_STAR_STAR] = ACTIONS(1012),
    [anon_sym_STAR] = ACTIONS(1014),
    [anon_sym_AMP_AMP] = ACTIONS(1012),
    [anon_sym_GT_GT] = ACTIONS(1014),
    [anon_sym_AMP] = ACTIONS(1014),
    [anon_sym_in] = ACTIONS(1014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1012),
    [anon_sym_GT_EQ] = ACTIONS(1012),
    [anon_sym_DOT] = ACTIONS(1012),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1014),
    [anon_sym_LT_EQ] = ACTIONS(1012),
    [anon_sym_PIPE_PIPE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(1253),
    [anon_sym_GT_GT_GT] = ACTIONS(1012),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(1012),
    [anon_sym_BANG_EQ] = ACTIONS(1014),
    [anon_sym_GT] = ACTIONS(1014),
    [anon_sym_BQUOTE] = ACTIONS(1012),
    [anon_sym_LT] = ACTIONS(1014),
    [anon_sym_PLUS] = ACTIONS(1014),
    [anon_sym_EQ_EQ] = ACTIONS(1014),
    [anon_sym_PERCENT] = ACTIONS(1012),
    [anon_sym_QMARK] = ACTIONS(1012),
    [anon_sym_LT_LT] = ACTIONS(1012),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [anon_sym_RPAREN] = ACTIONS(1253),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1012),
  },
  [691] = {
    [anon_sym_instanceof] = ACTIONS(1063),
    [anon_sym_SLASH] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(1065),
    [anon_sym_CARET] = ACTIONS(1063),
    [anon_sym_STAR_STAR] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1065),
    [anon_sym_AMP_AMP] = ACTIONS(1063),
    [anon_sym_GT_GT] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1065),
    [anon_sym_in] = ACTIONS(1065),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1063),
    [anon_sym_GT_EQ] = ACTIONS(1063),
    [anon_sym_DOT] = ACTIONS(1063),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1065),
    [anon_sym_LT_EQ] = ACTIONS(1063),
    [anon_sym_PIPE_PIPE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(1262),
    [anon_sym_GT_GT_GT] = ACTIONS(1063),
    [anon_sym_PLUS_PLUS] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_BANG_EQ] = ACTIONS(1065),
    [anon_sym_GT] = ACTIONS(1065),
    [anon_sym_BQUOTE] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(1065),
    [anon_sym_EQ_EQ] = ACTIONS(1065),
    [anon_sym_PERCENT] = ACTIONS(1063),
    [anon_sym_QMARK] = ACTIONS(1063),
    [anon_sym_LT_LT] = ACTIONS(1063),
    [anon_sym_DASH_DASH] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(1262),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1063),
  },
  [692] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1298),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(1298),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1298),
  },
  [693] = {
    [anon_sym_instanceof] = ACTIONS(1300),
    [anon_sym_COLON] = ACTIONS(1300),
    [anon_sym_AMP_EQ] = ACTIONS(1300),
    [anon_sym_GT_GT_EQ] = ACTIONS(1300),
    [anon_sym_STAR_EQ] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_STAR_STAR] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_GT_EQ] = ACTIONS(1300),
    [anon_sym_PIPE_EQ] = ACTIONS(1300),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1300),
    [anon_sym_SLASH_EQ] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1300),
    [anon_sym_COMMA] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_LT_LT_EQ] = ACTIONS(1300),
    [anon_sym_EQ_EQ] = ACTIONS(1302),
    [anon_sym_QMARK] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_RPAREN] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym_AMP_AMP] = ACTIONS(1300),
    [anon_sym_GT_GT] = ACTIONS(1302),
    [anon_sym_in] = ACTIONS(1302),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1300),
    [anon_sym_DOT] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1300),
    [anon_sym_PERCENT_EQ] = ACTIONS(1300),
    [anon_sym_PLUS_EQ] = ACTIONS(1300),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_PIPE_PIPE] = ACTIONS(1300),
    [anon_sym_GT_GT_GT] = ACTIONS(1302),
    [anon_sym_BANG_EQ] = ACTIONS(1302),
    [anon_sym_EQ] = ACTIONS(1302),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_CARET_EQ] = ACTIONS(1300),
    [anon_sym_DASH_EQ] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_PERCENT] = ACTIONS(1302),
    [anon_sym_LT_LT] = ACTIONS(1302),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1300),
  },
  [694] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(1304),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1304),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(1304),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1304),
  },
  [695] = {
    [anon_sym_instanceof] = ACTIONS(1328),
    [anon_sym_SLASH] = ACTIONS(1330),
    [anon_sym_COLON] = ACTIONS(1328),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_CARET] = ACTIONS(1328),
    [anon_sym_STAR_STAR] = ACTIONS(1328),
    [anon_sym_AMP_AMP] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_GT_GT] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_in] = ACTIONS(1330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1328),
    [anon_sym_GT_EQ] = ACTIONS(1328),
    [anon_sym_DOT] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1328),
    [anon_sym_PIPE] = ACTIONS(1330),
    [anon_sym_LT_EQ] = ACTIONS(1328),
    [anon_sym_PIPE_PIPE] = ACTIONS(1328),
    [anon_sym_COMMA] = ACTIONS(1328),
    [anon_sym_GT_GT_GT] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [anon_sym_BANG_EQ] = ACTIONS(1330),
    [anon_sym_GT] = ACTIONS(1330),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [anon_sym_LT] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_EQ_EQ] = ACTIONS(1330),
    [anon_sym_PERCENT] = ACTIONS(1328),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_LT_LT] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1328),
    [anon_sym_RPAREN] = ACTIONS(1328),
  },
  [696] = {
    [anon_sym_instanceof] = ACTIONS(1348),
    [anon_sym_COLON] = ACTIONS(1348),
    [anon_sym_AMP_EQ] = ACTIONS(1348),
    [anon_sym_GT_GT_EQ] = ACTIONS(1348),
    [anon_sym_STAR_EQ] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_STAR_STAR] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_GT_EQ] = ACTIONS(1348),
    [anon_sym_PIPE_EQ] = ACTIONS(1348),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1348),
    [anon_sym_SLASH_EQ] = ACTIONS(1348),
    [anon_sym_LT_EQ] = ACTIONS(1348),
    [anon_sym_COMMA] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [anon_sym_GT] = ACTIONS(1350),
    [anon_sym_LT_LT_EQ] = ACTIONS(1348),
    [anon_sym_EQ_EQ] = ACTIONS(1350),
    [anon_sym_QMARK] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_RPAREN] = ACTIONS(1348),
    [anon_sym_SLASH] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1348),
    [anon_sym_CARET] = ACTIONS(1350),
    [anon_sym_AMP_AMP] = ACTIONS(1348),
    [anon_sym_GT_GT] = ACTIONS(1350),
    [anon_sym_in] = ACTIONS(1350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1348),
    [anon_sym_DOT] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1348),
    [anon_sym_PERCENT_EQ] = ACTIONS(1348),
    [anon_sym_PLUS_EQ] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1350),
    [anon_sym_PIPE_PIPE] = ACTIONS(1348),
    [anon_sym_GT_GT_GT] = ACTIONS(1350),
    [anon_sym_BANG_EQ] = ACTIONS(1350),
    [anon_sym_EQ] = ACTIONS(1350),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_LT] = ACTIONS(1350),
    [anon_sym_CARET_EQ] = ACTIONS(1348),
    [anon_sym_DASH_EQ] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_PERCENT] = ACTIONS(1350),
    [anon_sym_LT_LT] = ACTIONS(1350),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1348),
  },
  [697] = {
    [anon_sym_instanceof] = ACTIONS(1354),
    [anon_sym_class] = ACTIONS(1354),
    [anon_sym_COLON] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_STAR_STAR] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_GT_EQ] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1352),
    [anon_sym_COMMA] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [sym_number] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1354),
    [anon_sym_async] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1354),
    [anon_sym_QMARK] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_RPAREN] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1352),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_in] = ACTIONS(1354),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1352),
    [anon_sym_DOT] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1352),
    [anon_sym_PIPE] = ACTIONS(1354),
    [anon_sym_PIPE_PIPE] = ACTIONS(1352),
    [anon_sym_GT_GT_GT] = ACTIONS(1352),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [sym_identifier] = ACTIONS(1354),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_PERCENT] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1352),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1352),
  },
  [698] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(1360),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1360),
  },
  [699] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(1366),
  },
  [700] = {
    [anon_sym_instanceof] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_COLON] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_STAR_STAR] = ACTIONS(1370),
    [anon_sym_AMP_AMP] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_GT_GT] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_in] = ACTIONS(1372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_DOT] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_GT_GT_GT] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_EQ_EQ] = ACTIONS(1372),
    [anon_sym_PERCENT] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1370),
    [anon_sym_RPAREN] = ACTIONS(1370),
  },
  [701] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1370),
  },
  [702] = {
    [sym_new_expression] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(730),
    [sym_statement_block] = STATE(729),
    [sym_unary_expression] = STATE(730),
    [sym_update_expression] = STATE(730),
    [sym_meta_property] = STATE(730),
    [sym_regex] = STATE(730),
    [sym__expression] = STATE(730),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(730),
    [sym_jsx_fragment] = STATE(730),
    [sym_jsx_element] = STATE(730),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(730),
    [sym_await_expression] = STATE(730),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(730),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(730),
    [sym_generator_function] = STATE(730),
    [sym_call_expression] = STATE(730),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(730),
    [sym_ternary_expression] = STATE(730),
    [sym_binary_expression] = STATE(730),
    [sym_template_string] = STATE(730),
    [sym_parenthesized_expression] = STATE(730),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(730),
    [sym_class] = STATE(730),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2188),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2188),
    [sym_undefined] = ACTIONS(2188),
    [sym_true] = ACTIONS(2188),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2188),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [703] = {
    [anon_sym_instanceof] = ACTIONS(1408),
    [anon_sym_SLASH] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1408),
    [anon_sym_STAR_STAR] = ACTIONS(1408),
    [anon_sym_AMP_AMP] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1408),
    [anon_sym_GT_EQ] = ACTIONS(1408),
    [anon_sym_DOT] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1408),
    [anon_sym_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1408),
    [anon_sym_GT_GT_GT] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_GT] = ACTIONS(1410),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_LT] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_EQ_EQ] = ACTIONS(1410),
    [anon_sym_PERCENT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1408),
    [anon_sym_LT_LT] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1408),
    [anon_sym_RPAREN] = ACTIONS(1408),
  },
  [704] = {
    [anon_sym_instanceof] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_COLON] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1412),
    [anon_sym_STAR_STAR] = ACTIONS(1412),
    [anon_sym_AMP_AMP] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_in] = ACTIONS(1414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1412),
    [anon_sym_GT_EQ] = ACTIONS(1412),
    [anon_sym_DOT] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1412),
    [anon_sym_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1412),
    [anon_sym_GT_GT_GT] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_GT] = ACTIONS(1414),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [anon_sym_LT] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_EQ_EQ] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1412),
    [anon_sym_QMARK] = ACTIONS(1412),
    [anon_sym_LT_LT] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1412),
    [anon_sym_RPAREN] = ACTIONS(1412),
  },
  [705] = {
    [anon_sym_instanceof] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1418),
    [anon_sym_COLON] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1416),
    [anon_sym_STAR_STAR] = ACTIONS(1416),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(1418),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1416),
    [anon_sym_GT_EQ] = ACTIONS(1416),
    [anon_sym_DOT] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_GT_GT_GT] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1418),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_EQ_EQ] = ACTIONS(1418),
    [anon_sym_PERCENT] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_LT_LT] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1416),
    [anon_sym_RPAREN] = ACTIONS(1416),
  },
  [706] = {
    [anon_sym_instanceof] = ACTIONS(1408),
    [anon_sym_SLASH] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1408),
    [anon_sym_STAR_STAR] = ACTIONS(1408),
    [anon_sym_AMP_AMP] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1408),
    [anon_sym_GT_EQ] = ACTIONS(1408),
    [anon_sym_DOT] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1408),
    [anon_sym_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1408),
    [anon_sym_GT_GT_GT] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_GT] = ACTIONS(1410),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_LT] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_EQ_EQ] = ACTIONS(1410),
    [anon_sym_PERCENT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1408),
    [anon_sym_LT_LT] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1408),
    [anon_sym_RPAREN] = ACTIONS(1408),
  },
  [707] = {
    [anon_sym_instanceof] = ACTIONS(644),
    [sym__automatic_semicolon] = ACTIONS(646),
    [anon_sym_class] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(644),
    [anon_sym_AMP] = ACTIONS(644),
    [anon_sym_throw] = ACTIONS(644),
    [anon_sym_GT_EQ] = ACTIONS(646),
    [sym_this] = ACTIONS(644),
    [anon_sym_case] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_LT_EQ] = ACTIONS(646),
    [anon_sym_COMMA] = ACTIONS(646),
    [anon_sym_PLUS_PLUS] = ACTIONS(646),
    [anon_sym_LPAREN] = ACTIONS(646),
    [anon_sym_TILDE] = ACTIONS(646),
    [anon_sym_GT] = ACTIONS(644),
    [sym_false] = ACTIONS(644),
    [anon_sym_yield] = ACTIONS(644),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_const] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(646),
    [anon_sym_try] = ACTIONS(644),
    [anon_sym_await] = ACTIONS(644),
    [anon_sym_let] = ACTIONS(644),
    [anon_sym_CARET] = ACTIONS(646),
    [anon_sym_GT_GT] = ACTIONS(644),
    [anon_sym_in] = ACTIONS(644),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(646),
    [sym_undefined] = ACTIONS(644),
    [anon_sym_EQ_GT] = ACTIONS(646),
    [anon_sym_else] = ACTIONS(644),
    [anon_sym_PIPE_PIPE] = ACTIONS(646),
    [anon_sym_break] = ACTIONS(644),
    [anon_sym_while] = ACTIONS(644),
    [anon_sym_BQUOTE] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_LT_LT] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(644),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(646),
    [anon_sym_import] = ACTIONS(644),
    [anon_sym_STAR_STAR] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(646),
    [anon_sym_delete] = ACTIONS(644),
    [anon_sym_for] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(644),
    [sym_true] = ACTIONS(644),
    [anon_sym_default] = ACTIONS(644),
    [anon_sym_SEMI] = ACTIONS(646),
    [anon_sym_DQUOTE] = ACTIONS(646),
    [sym_super] = ACTIONS(644),
    [sym_number] = ACTIONS(646),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_var] = ACTIONS(644),
    [anon_sym_EQ_EQ] = ACTIONS(644),
    [anon_sym_RBRACE] = ACTIONS(646),
    [anon_sym_DASH_DASH] = ACTIONS(646),
    [anon_sym_RPAREN] = ACTIONS(646),
    [anon_sym_typeof] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(644),
    [sym_null] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(646),
    [anon_sym_function] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(644),
    [anon_sym_AMP_AMP] = ACTIONS(646),
    [anon_sym_with] = ACTIONS(644),
    [anon_sym_SQUOTE] = ACTIONS(646),
    [anon_sym_DOT] = ACTIONS(644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(644),
    [anon_sym_GT_GT_GT] = ACTIONS(646),
    [anon_sym_debugger] = ACTIONS(644),
    [anon_sym_BANG_EQ] = ACTIONS(644),
    [sym_identifier] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(644),
    [ts_builtin_sym_end] = ACTIONS(646),
    [anon_sym_new] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(646),
    [anon_sym_switch] = ACTIONS(644),
    [anon_sym_PERCENT] = ACTIONS(646),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_void] = ACTIONS(644),
    [anon_sym_do] = ACTIONS(644),
  },
  [708] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(1368),
    [anon_sym_COLON] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_GT_GT] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(1366),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(1366),
  },
  [709] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(1366),
  },
  [710] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1366),
  },
  [711] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(1368),
    [anon_sym_COLON] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(1366),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_GT_GT] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(1366),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(1366),
  },
  [712] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1366),
  },
  [713] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [anon_sym_RPAREN] = ACTIONS(1468),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [714] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [anon_sym_RBRACK] = ACTIONS(1468),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_RPAREN] = ACTIONS(1468),
  },
  [715] = {
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_SLASH] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(2192),
    [anon_sym_GT] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(1476),
  },
  [716] = {
    [anon_sym_instanceof] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_COLON] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_STAR_STAR] = ACTIONS(1493),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_GT_GT] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1493),
    [anon_sym_in] = ACTIONS(1495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_DOT] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_COMMA] = ACTIONS(1493),
    [anon_sym_GT_GT_GT] = ACTIONS(1493),
    [anon_sym_PLUS_PLUS] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_BQUOTE] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_EQ_EQ] = ACTIONS(1495),
    [anon_sym_PERCENT] = ACTIONS(1493),
    [anon_sym_QMARK] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_DASH_DASH] = ACTIONS(1493),
    [anon_sym_RBRACE] = ACTIONS(1493),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1493),
    [anon_sym_RPAREN] = ACTIONS(1493),
  },
  [717] = {
    [anon_sym_instanceof] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1507),
    [anon_sym_COLON] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_STAR_STAR] = ACTIONS(1509),
    [anon_sym_AMP_AMP] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_GT_GT] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(1509),
    [anon_sym_in] = ACTIONS(1507),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_DOT] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1509),
    [anon_sym_GT_GT_GT] = ACTIONS(1509),
    [anon_sym_PLUS_PLUS] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1507),
    [anon_sym_GT] = ACTIONS(1507),
    [anon_sym_BQUOTE] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1507),
    [anon_sym_EQ_EQ] = ACTIONS(1507),
    [anon_sym_PERCENT] = ACTIONS(1509),
    [anon_sym_QMARK] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_DASH_DASH] = ACTIONS(1509),
    [anon_sym_RBRACE] = ACTIONS(1509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1509),
    [anon_sym_RPAREN] = ACTIONS(1509),
  },
  [718] = {
    [anon_sym_instanceof] = ACTIONS(1543),
    [anon_sym_SLASH] = ACTIONS(1541),
    [anon_sym_COLON] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_STAR_STAR] = ACTIONS(1543),
    [anon_sym_AMP_AMP] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(1541),
    [anon_sym_GT_GT] = ACTIONS(1541),
    [anon_sym_AMP] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(1541),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1543),
    [anon_sym_GT_EQ] = ACTIONS(1543),
    [anon_sym_DOT] = ACTIONS(1543),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1543),
    [anon_sym_PIPE] = ACTIONS(1541),
    [anon_sym_LT_EQ] = ACTIONS(1543),
    [anon_sym_PIPE_PIPE] = ACTIONS(1543),
    [anon_sym_COMMA] = ACTIONS(1543),
    [anon_sym_GT_GT_GT] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_BANG_EQ] = ACTIONS(1541),
    [anon_sym_GT] = ACTIONS(1541),
    [anon_sym_BQUOTE] = ACTIONS(1543),
    [anon_sym_LT] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_EQ_EQ] = ACTIONS(1541),
    [anon_sym_PERCENT] = ACTIONS(1543),
    [anon_sym_QMARK] = ACTIONS(1543),
    [anon_sym_LT_LT] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_RBRACE] = ACTIONS(1543),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1543),
    [anon_sym_RPAREN] = ACTIONS(1543),
  },
  [719] = {
    [anon_sym_instanceof] = ACTIONS(1545),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_STAR_STAR] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1547),
    [anon_sym_AMP] = ACTIONS(1547),
    [anon_sym_LBRACE] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1545),
    [anon_sym_COMMA] = ACTIONS(1545),
    [anon_sym_PLUS_PLUS] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(1547),
    [anon_sym_EQ_EQ] = ACTIONS(1547),
    [anon_sym_QMARK] = ACTIONS(1545),
    [anon_sym_RBRACE] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1545),
    [anon_sym_RPAREN] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_CARET] = ACTIONS(1545),
    [anon_sym_AMP_AMP] = ACTIONS(1545),
    [anon_sym_GT_GT] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(1547),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1545),
    [anon_sym_of] = ACTIONS(1545),
    [anon_sym_DOT] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1545),
    [anon_sym_PIPE] = ACTIONS(1547),
    [anon_sym_PIPE_PIPE] = ACTIONS(1545),
    [anon_sym_GT_GT_GT] = ACTIONS(1545),
    [anon_sym_BANG_EQ] = ACTIONS(1547),
    [anon_sym_EQ] = ACTIONS(1547),
    [anon_sym_BQUOTE] = ACTIONS(1545),
    [anon_sym_LT] = ACTIONS(1547),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_PERCENT] = ACTIONS(1545),
    [anon_sym_LT_LT] = ACTIONS(1545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1545),
  },
  [720] = {
    [anon_sym_instanceof] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1553),
    [anon_sym_COLON] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_CARET] = ACTIONS(1551),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_GT_GT] = ACTIONS(1553),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_in] = ACTIONS(1553),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_DOT] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1551),
    [anon_sym_GT_GT_GT] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1553),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_BQUOTE] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_EQ_EQ] = ACTIONS(1553),
    [anon_sym_PERCENT] = ACTIONS(1551),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_LT_LT] = ACTIONS(1551),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [anon_sym_RBRACE] = ACTIONS(1551),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1551),
  },
  [721] = {
    [anon_sym_instanceof] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(1555),
    [anon_sym_COLON] = ACTIONS(1557),
    [anon_sym_LBRACK] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_STAR_STAR] = ACTIONS(1557),
    [anon_sym_AMP_AMP] = ACTIONS(1557),
    [anon_sym_STAR] = ACTIONS(1555),
    [anon_sym_GT_GT] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_in] = ACTIONS(1555),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(1557),
    [anon_sym_DOT] = ACTIONS(1557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1557),
    [anon_sym_PIPE] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(1557),
    [anon_sym_PIPE_PIPE] = ACTIONS(1557),
    [anon_sym_COMMA] = ACTIONS(1557),
    [anon_sym_GT_GT_GT] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_LPAREN] = ACTIONS(1557),
    [anon_sym_BANG_EQ] = ACTIONS(1555),
    [anon_sym_GT] = ACTIONS(1555),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_EQ_EQ] = ACTIONS(1555),
    [anon_sym_PERCENT] = ACTIONS(1557),
    [anon_sym_QMARK] = ACTIONS(1557),
    [anon_sym_LT_LT] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_RBRACE] = ACTIONS(1557),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1557),
    [anon_sym_RPAREN] = ACTIONS(1557),
  },
  [722] = {
    [anon_sym_instanceof] = ACTIONS(1561),
    [anon_sym_SLASH] = ACTIONS(1559),
    [anon_sym_COLON] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1561),
    [anon_sym_DASH] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1561),
    [anon_sym_STAR_STAR] = ACTIONS(1561),
    [anon_sym_AMP_AMP] = ACTIONS(1561),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_GT_GT] = ACTIONS(1559),
    [anon_sym_AMP] = ACTIONS(1559),
    [anon_sym_LBRACE] = ACTIONS(1561),
    [anon_sym_in] = ACTIONS(1559),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1561),
    [anon_sym_DOT] = ACTIONS(1561),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1561),
    [anon_sym_PIPE] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1561),
    [anon_sym_COMMA] = ACTIONS(1561),
    [anon_sym_GT_GT_GT] = ACTIONS(1561),
    [anon_sym_PLUS_PLUS] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1561),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_GT] = ACTIONS(1559),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_PLUS] = ACTIONS(1559),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_PERCENT] = ACTIONS(1561),
    [anon_sym_QMARK] = ACTIONS(1561),
    [anon_sym_LT_LT] = ACTIONS(1561),
    [anon_sym_DASH_DASH] = ACTIONS(1561),
    [anon_sym_RBRACE] = ACTIONS(1561),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1561),
    [anon_sym_RPAREN] = ACTIONS(1561),
  },
  [723] = {
    [anon_sym_instanceof] = ACTIONS(1596),
    [anon_sym_COLON] = ACTIONS(1596),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_STAR_STAR] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1596),
    [anon_sym_GT_EQ] = ACTIONS(1596),
    [anon_sym_LT_EQ] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1596),
    [anon_sym_PLUS_PLUS] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1598),
    [anon_sym_EQ_EQ] = ACTIONS(1598),
    [anon_sym_QMARK] = ACTIONS(1596),
    [anon_sym_RBRACE] = ACTIONS(1596),
    [anon_sym_DASH_DASH] = ACTIONS(1596),
    [anon_sym_RPAREN] = ACTIONS(1596),
    [anon_sym_SLASH] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1596),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym_AMP_AMP] = ACTIONS(1596),
    [anon_sym_GT_GT] = ACTIONS(1598),
    [anon_sym_in] = ACTIONS(1598),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1596),
    [anon_sym_of] = ACTIONS(1596),
    [anon_sym_DOT] = ACTIONS(1596),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1596),
    [anon_sym_PIPE] = ACTIONS(1598),
    [anon_sym_PIPE_PIPE] = ACTIONS(1596),
    [anon_sym_GT_GT_GT] = ACTIONS(1596),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_EQ] = ACTIONS(1598),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [anon_sym_LT] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_PERCENT] = ACTIONS(1596),
    [anon_sym_LT_LT] = ACTIONS(1596),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1596),
  },
  [724] = {
    [anon_sym_LPAREN] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1602),
    [anon_sym_EQ] = ACTIONS(1123),
  },
  [725] = {
    [anon_sym_instanceof] = ACTIONS(1607),
    [anon_sym_COLON] = ACTIONS(1607),
    [anon_sym_DASH] = ACTIONS(1609),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(1607),
    [anon_sym_LT_EQ] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1607),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_QMARK] = ACTIONS(1607),
    [anon_sym_RBRACE] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_RPAREN] = ACTIONS(1607),
    [anon_sym_SLASH] = ACTIONS(1609),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP_AMP] = ACTIONS(1607),
    [anon_sym_GT_GT] = ACTIONS(1609),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1607),
    [anon_sym_of] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1607),
    [anon_sym_PIPE] = ACTIONS(1609),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1607),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_EQ] = ACTIONS(1609),
    [anon_sym_BQUOTE] = ACTIONS(1607),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_PLUS] = ACTIONS(1609),
    [anon_sym_PERCENT] = ACTIONS(1607),
    [anon_sym_LT_LT] = ACTIONS(1607),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1607),
  },
  [726] = {
    [anon_sym_instanceof] = ACTIONS(1692),
    [anon_sym_class] = ACTIONS(1692),
    [anon_sym_COLON] = ACTIONS(1690),
    [anon_sym_static] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_STAR_STAR] = ACTIONS(1690),
    [anon_sym_STAR] = ACTIONS(1692),
    [anon_sym_AMP] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_GT_EQ] = ACTIONS(1690),
    [anon_sym_get] = ACTIONS(1692),
    [anon_sym_LT_EQ] = ACTIONS(1690),
    [anon_sym_COMMA] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DQUOTE] = ACTIONS(1690),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_GT] = ACTIONS(1692),
    [sym_number] = ACTIONS(1690),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_async] = ACTIONS(1692),
    [anon_sym_EQ_EQ] = ACTIONS(1692),
    [anon_sym_QMARK] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_RPAREN] = ACTIONS(1690),
    [anon_sym_SLASH] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_CARET] = ACTIONS(1690),
    [anon_sym_AMP_AMP] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1690),
    [anon_sym_in] = ACTIONS(1692),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1690),
    [anon_sym_DOT] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PIPE_PIPE] = ACTIONS(1690),
    [anon_sym_GT_GT_GT] = ACTIONS(1690),
    [anon_sym_BANG_EQ] = ACTIONS(1692),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_BQUOTE] = ACTIONS(1690),
    [anon_sym_LT] = ACTIONS(1692),
    [anon_sym_AT] = ACTIONS(1690),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_export] = ACTIONS(1692),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1690),
  },
  [727] = {
    [anon_sym_instanceof] = ACTIONS(1696),
    [anon_sym_COLON] = ACTIONS(1696),
    [anon_sym_AMP_EQ] = ACTIONS(1696),
    [anon_sym_GT_GT_EQ] = ACTIONS(1696),
    [anon_sym_STAR_EQ] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_STAR_STAR] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1698),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_GT_EQ] = ACTIONS(1696),
    [anon_sym_PIPE_EQ] = ACTIONS(1696),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1696),
    [anon_sym_SLASH_EQ] = ACTIONS(1696),
    [anon_sym_LT_EQ] = ACTIONS(1696),
    [anon_sym_COMMA] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_GT] = ACTIONS(1698),
    [anon_sym_LT_LT_EQ] = ACTIONS(1696),
    [anon_sym_EQ_EQ] = ACTIONS(1698),
    [anon_sym_QMARK] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_RPAREN] = ACTIONS(1696),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1698),
    [anon_sym_AMP_AMP] = ACTIONS(1696),
    [anon_sym_GT_GT] = ACTIONS(1698),
    [anon_sym_in] = ACTIONS(1698),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1696),
    [anon_sym_DOT] = ACTIONS(1696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1696),
    [anon_sym_PERCENT_EQ] = ACTIONS(1696),
    [anon_sym_PLUS_EQ] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PIPE_PIPE] = ACTIONS(1696),
    [anon_sym_GT_GT_GT] = ACTIONS(1698),
    [anon_sym_BANG_EQ] = ACTIONS(1698),
    [anon_sym_EQ] = ACTIONS(1698),
    [anon_sym_BQUOTE] = ACTIONS(1696),
    [anon_sym_LT] = ACTIONS(1698),
    [anon_sym_CARET_EQ] = ACTIONS(1696),
    [anon_sym_DASH_EQ] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1698),
    [anon_sym_LT_LT] = ACTIONS(1698),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1696),
  },
  [728] = {
    [anon_sym_instanceof] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1706),
    [anon_sym_COLON] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_CARET] = ACTIONS(1704),
    [anon_sym_STAR_STAR] = ACTIONS(1704),
    [anon_sym_AMP_AMP] = ACTIONS(1704),
    [anon_sym_STAR] = ACTIONS(1706),
    [anon_sym_GT_GT] = ACTIONS(1706),
    [anon_sym_AMP] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1704),
    [anon_sym_in] = ACTIONS(1706),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1704),
    [anon_sym_DOT] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1704),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_LT_EQ] = ACTIONS(1704),
    [anon_sym_PIPE_PIPE] = ACTIONS(1704),
    [anon_sym_COMMA] = ACTIONS(1704),
    [anon_sym_GT_GT_GT] = ACTIONS(1704),
    [anon_sym_PLUS_PLUS] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_BANG_EQ] = ACTIONS(1706),
    [anon_sym_GT] = ACTIONS(1706),
    [anon_sym_BQUOTE] = ACTIONS(1704),
    [anon_sym_LT] = ACTIONS(1706),
    [anon_sym_PLUS] = ACTIONS(1706),
    [anon_sym_EQ_EQ] = ACTIONS(1706),
    [anon_sym_PERCENT] = ACTIONS(1704),
    [anon_sym_QMARK] = ACTIONS(1704),
    [anon_sym_LT_LT] = ACTIONS(1704),
    [anon_sym_DASH_DASH] = ACTIONS(1704),
    [anon_sym_RBRACE] = ACTIONS(1704),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1704),
    [anon_sym_RPAREN] = ACTIONS(1704),
  },
  [729] = {
    [anon_sym_instanceof] = ACTIONS(1739),
    [anon_sym_SLASH] = ACTIONS(1741),
    [anon_sym_COLON] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1739),
    [anon_sym_STAR_STAR] = ACTIONS(1739),
    [anon_sym_AMP_AMP] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1741),
    [anon_sym_GT_GT] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym_in] = ACTIONS(1741),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1739),
    [anon_sym_GT_EQ] = ACTIONS(1739),
    [anon_sym_DOT] = ACTIONS(1739),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1739),
    [anon_sym_PIPE] = ACTIONS(1741),
    [anon_sym_LT_EQ] = ACTIONS(1739),
    [anon_sym_PIPE_PIPE] = ACTIONS(1739),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_GT_GT_GT] = ACTIONS(1739),
    [anon_sym_PLUS_PLUS] = ACTIONS(1739),
    [anon_sym_LPAREN] = ACTIONS(1739),
    [anon_sym_BANG_EQ] = ACTIONS(1741),
    [anon_sym_GT] = ACTIONS(1741),
    [anon_sym_BQUOTE] = ACTIONS(1739),
    [anon_sym_LT] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1741),
    [anon_sym_EQ_EQ] = ACTIONS(1741),
    [anon_sym_PERCENT] = ACTIONS(1739),
    [anon_sym_QMARK] = ACTIONS(1739),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_DASH_DASH] = ACTIONS(1739),
    [anon_sym_RBRACE] = ACTIONS(1739),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1739),
    [anon_sym_RPAREN] = ACTIONS(1739),
  },
  [730] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1739),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1739),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1739),
  },
  [731] = {
    [anon_sym_instanceof] = ACTIONS(1352),
    [anon_sym_COLON] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_STAR_STAR] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_GT_EQ] = ACTIONS(1352),
    [anon_sym_LT_EQ] = ACTIONS(1352),
    [anon_sym_COMMA] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1354),
    [anon_sym_QMARK] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_RPAREN] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1352),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1354),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1352),
    [anon_sym_DOT] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(746),
    [anon_sym_PIPE] = ACTIONS(1354),
    [anon_sym_PIPE_PIPE] = ACTIONS(1352),
    [anon_sym_GT_GT_GT] = ACTIONS(1352),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_PERCENT] = ACTIONS(1352),
    [anon_sym_LT_LT] = ACTIONS(1352),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1352),
  },
  [732] = {
    [sym_new_expression] = STATE(742),
    [sym_augmented_assignment_expression] = STATE(742),
    [sym_unary_expression] = STATE(742),
    [sym_update_expression] = STATE(742),
    [sym_regex] = STATE(742),
    [sym_meta_property] = STATE(742),
    [sym__expression] = STATE(742),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(742),
    [sym_jsx_fragment] = STATE(742),
    [sym_jsx_element] = STATE(742),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(742),
    [sym_await_expression] = STATE(742),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(742),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(742),
    [sym_generator_function] = STATE(742),
    [sym_call_expression] = STATE(742),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(742),
    [sym_ternary_expression] = STATE(742),
    [sym_binary_expression] = STATE(742),
    [sym_template_string] = STATE(742),
    [sym_parenthesized_expression] = STATE(742),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(742),
    [sym_class] = STATE(742),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2194),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2194),
    [sym_undefined] = ACTIONS(2194),
    [sym_true] = ACTIONS(2194),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2194),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2196),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [733] = {
    [anon_sym_instanceof] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1797),
    [anon_sym_COLON] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_STAR_STAR] = ACTIONS(1795),
    [anon_sym_AMP_AMP] = ACTIONS(1795),
    [anon_sym_STAR] = ACTIONS(1797),
    [anon_sym_GT_GT] = ACTIONS(1797),
    [anon_sym_AMP] = ACTIONS(1797),
    [anon_sym_LBRACE] = ACTIONS(1795),
    [anon_sym_in] = ACTIONS(1797),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_DOT] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1797),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_COMMA] = ACTIONS(1795),
    [anon_sym_GT_GT_GT] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1797),
    [anon_sym_GT] = ACTIONS(1797),
    [anon_sym_BQUOTE] = ACTIONS(1795),
    [anon_sym_LT] = ACTIONS(1797),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_EQ_EQ] = ACTIONS(1797),
    [anon_sym_PERCENT] = ACTIONS(1795),
    [anon_sym_QMARK] = ACTIONS(1795),
    [anon_sym_LT_LT] = ACTIONS(1795),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_RBRACE] = ACTIONS(1795),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1795),
    [anon_sym_RPAREN] = ACTIONS(1795),
  },
  [734] = {
    [anon_sym_LBRACE] = ACTIONS(2198),
    [anon_sym_SLASH] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(2198),
    [anon_sym_GT] = ACTIONS(2198),
    [sym_identifier] = ACTIONS(1799),
  },
  [735] = {
    [anon_sym_LPAREN] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
  },
  [736] = {
    [anon_sym_instanceof] = ACTIONS(1811),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_COLON] = ACTIONS(1811),
    [anon_sym_LBRACK] = ACTIONS(1811),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1811),
    [anon_sym_STAR_STAR] = ACTIONS(1811),
    [anon_sym_AMP_AMP] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_GT_GT] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1809),
    [anon_sym_LBRACE] = ACTIONS(1811),
    [anon_sym_in] = ACTIONS(1809),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1811),
    [anon_sym_GT_EQ] = ACTIONS(1811),
    [anon_sym_DOT] = ACTIONS(1811),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1811),
    [anon_sym_PIPE] = ACTIONS(1809),
    [anon_sym_LT_EQ] = ACTIONS(1811),
    [anon_sym_PIPE_PIPE] = ACTIONS(1811),
    [anon_sym_COMMA] = ACTIONS(1811),
    [anon_sym_GT_GT_GT] = ACTIONS(1811),
    [anon_sym_PLUS_PLUS] = ACTIONS(1811),
    [anon_sym_LPAREN] = ACTIONS(1811),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [anon_sym_GT] = ACTIONS(1809),
    [anon_sym_BQUOTE] = ACTIONS(1811),
    [anon_sym_LT] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_EQ_EQ] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1811),
    [anon_sym_QMARK] = ACTIONS(1811),
    [anon_sym_LT_LT] = ACTIONS(1811),
    [anon_sym_DASH_DASH] = ACTIONS(1811),
    [anon_sym_RBRACE] = ACTIONS(1811),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1811),
    [anon_sym_RPAREN] = ACTIONS(1811),
  },
  [737] = {
    [anon_sym_instanceof] = ACTIONS(1834),
    [anon_sym_COLON] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1836),
    [anon_sym_AMP] = ACTIONS(1836),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1836),
    [anon_sym_QMARK] = ACTIONS(1834),
    [anon_sym_RBRACE] = ACTIONS(1834),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_AMP_AMP] = ACTIONS(1834),
    [anon_sym_GT_GT] = ACTIONS(1836),
    [anon_sym_in] = ACTIONS(1836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1834),
    [anon_sym_of] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_GT_GT_GT] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1836),
    [anon_sym_BQUOTE] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1836),
    [anon_sym_PERCENT] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1834),
  },
  [738] = {
    [anon_sym_instanceof] = ACTIONS(1892),
    [anon_sym_class] = ACTIONS(1892),
    [anon_sym_COLON] = ACTIONS(1890),
    [anon_sym_static] = ACTIONS(1892),
    [anon_sym_DASH] = ACTIONS(1892),
    [anon_sym_STAR_STAR] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(1892),
    [anon_sym_AMP] = ACTIONS(1892),
    [anon_sym_LBRACE] = ACTIONS(1890),
    [anon_sym_GT_EQ] = ACTIONS(1890),
    [anon_sym_get] = ACTIONS(1892),
    [anon_sym_LT_EQ] = ACTIONS(1890),
    [anon_sym_COMMA] = ACTIONS(1890),
    [anon_sym_PLUS_PLUS] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_GT] = ACTIONS(1892),
    [sym_number] = ACTIONS(1890),
    [anon_sym_set] = ACTIONS(1892),
    [anon_sym_async] = ACTIONS(1892),
    [anon_sym_EQ_EQ] = ACTIONS(1892),
    [anon_sym_QMARK] = ACTIONS(1890),
    [anon_sym_RBRACE] = ACTIONS(1890),
    [anon_sym_DASH_DASH] = ACTIONS(1890),
    [anon_sym_RPAREN] = ACTIONS(1890),
    [anon_sym_SLASH] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(1890),
    [anon_sym_CARET] = ACTIONS(1890),
    [anon_sym_AMP_AMP] = ACTIONS(1890),
    [anon_sym_GT_GT] = ACTIONS(1892),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(1892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1890),
    [anon_sym_DOT] = ACTIONS(1892),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1892),
    [anon_sym_PIPE_PIPE] = ACTIONS(1890),
    [anon_sym_GT_GT_GT] = ACTIONS(1890),
    [anon_sym_BANG_EQ] = ACTIONS(1892),
    [sym_identifier] = ACTIONS(1892),
    [anon_sym_BQUOTE] = ACTIONS(1890),
    [anon_sym_LT] = ACTIONS(1892),
    [anon_sym_AT] = ACTIONS(1890),
    [anon_sym_PLUS] = ACTIONS(1892),
    [anon_sym_PERCENT] = ACTIONS(1890),
    [anon_sym_export] = ACTIONS(1892),
    [anon_sym_LT_LT] = ACTIONS(1890),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1890),
  },
  [739] = {
    [anon_sym_instanceof] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1904),
    [anon_sym_COLON] = ACTIONS(1902),
    [anon_sym_LBRACK] = ACTIONS(1902),
    [anon_sym_DASH] = ACTIONS(1904),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_STAR_STAR] = ACTIONS(1902),
    [anon_sym_AMP_AMP] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1904),
    [anon_sym_LBRACE] = ACTIONS(1902),
    [anon_sym_in] = ACTIONS(1904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1902),
    [anon_sym_DOT] = ACTIONS(1902),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1902),
    [anon_sym_PIPE] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1902),
    [anon_sym_COMMA] = ACTIONS(1902),
    [anon_sym_GT_GT_GT] = ACTIONS(1902),
    [anon_sym_PLUS_PLUS] = ACTIONS(1902),
    [anon_sym_LPAREN] = ACTIONS(1902),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1904),
    [anon_sym_BQUOTE] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1904),
    [anon_sym_PLUS] = ACTIONS(1904),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_QMARK] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1902),
    [anon_sym_RBRACE] = ACTIONS(1902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1902),
    [anon_sym_RPAREN] = ACTIONS(1902),
  },
  [740] = {
    [anon_sym_instanceof] = ACTIONS(1906),
    [anon_sym_SLASH] = ACTIONS(1908),
    [anon_sym_COLON] = ACTIONS(1906),
    [anon_sym_LBRACK] = ACTIONS(1906),
    [anon_sym_DASH] = ACTIONS(1908),
    [anon_sym_CARET] = ACTIONS(1906),
    [anon_sym_STAR_STAR] = ACTIONS(1906),
    [anon_sym_AMP_AMP] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(1908),
    [anon_sym_GT_GT] = ACTIONS(1908),
    [anon_sym_AMP] = ACTIONS(1908),
    [anon_sym_LBRACE] = ACTIONS(1906),
    [anon_sym_in] = ACTIONS(1908),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1906),
    [anon_sym_GT_EQ] = ACTIONS(1906),
    [anon_sym_DOT] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1906),
    [anon_sym_PIPE] = ACTIONS(1908),
    [anon_sym_LT_EQ] = ACTIONS(1906),
    [anon_sym_PIPE_PIPE] = ACTIONS(1906),
    [anon_sym_COMMA] = ACTIONS(1906),
    [anon_sym_GT_GT_GT] = ACTIONS(1906),
    [anon_sym_PLUS_PLUS] = ACTIONS(1906),
    [anon_sym_LPAREN] = ACTIONS(1906),
    [anon_sym_BANG_EQ] = ACTIONS(1908),
    [anon_sym_GT] = ACTIONS(1908),
    [anon_sym_BQUOTE] = ACTIONS(1906),
    [anon_sym_LT] = ACTIONS(1908),
    [anon_sym_PLUS] = ACTIONS(1908),
    [anon_sym_EQ_EQ] = ACTIONS(1908),
    [anon_sym_PERCENT] = ACTIONS(1906),
    [anon_sym_QMARK] = ACTIONS(1906),
    [anon_sym_LT_LT] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(1906),
    [anon_sym_RBRACE] = ACTIONS(1906),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1906),
    [anon_sym_RPAREN] = ACTIONS(1906),
  },
  [741] = {
    [anon_sym_instanceof] = ACTIONS(1914),
    [anon_sym_SLASH] = ACTIONS(1912),
    [anon_sym_COLON] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_CARET] = ACTIONS(1914),
    [anon_sym_STAR_STAR] = ACTIONS(1914),
    [anon_sym_AMP_AMP] = ACTIONS(1914),
    [anon_sym_STAR] = ACTIONS(1912),
    [anon_sym_GT_GT] = ACTIONS(1912),
    [anon_sym_AMP] = ACTIONS(1912),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_in] = ACTIONS(1912),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1914),
    [anon_sym_GT_EQ] = ACTIONS(1914),
    [anon_sym_DOT] = ACTIONS(1914),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1914),
    [anon_sym_PIPE] = ACTIONS(1912),
    [anon_sym_LT_EQ] = ACTIONS(1914),
    [anon_sym_PIPE_PIPE] = ACTIONS(1914),
    [anon_sym_COMMA] = ACTIONS(1914),
    [anon_sym_GT_GT_GT] = ACTIONS(1914),
    [anon_sym_PLUS_PLUS] = ACTIONS(1914),
    [anon_sym_LPAREN] = ACTIONS(1914),
    [anon_sym_BANG_EQ] = ACTIONS(1912),
    [anon_sym_GT] = ACTIONS(1912),
    [anon_sym_BQUOTE] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1912),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_EQ_EQ] = ACTIONS(1912),
    [anon_sym_PERCENT] = ACTIONS(1914),
    [anon_sym_QMARK] = ACTIONS(1914),
    [anon_sym_LT_LT] = ACTIONS(1914),
    [anon_sym_DASH_DASH] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1914),
    [anon_sym_RPAREN] = ACTIONS(1914),
  },
  [742] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1954),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(1954),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(1954),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(1954),
  },
  [743] = {
    [anon_sym_instanceof] = ACTIONS(1962),
    [anon_sym_SLASH] = ACTIONS(1960),
    [anon_sym_COLON] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_CARET] = ACTIONS(1962),
    [anon_sym_STAR_STAR] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_STAR] = ACTIONS(1960),
    [anon_sym_GT_GT] = ACTIONS(1960),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_in] = ACTIONS(1960),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1962),
    [anon_sym_GT_EQ] = ACTIONS(1962),
    [anon_sym_DOT] = ACTIONS(1962),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1962),
    [anon_sym_PIPE] = ACTIONS(1960),
    [anon_sym_LT_EQ] = ACTIONS(1962),
    [anon_sym_PIPE_PIPE] = ACTIONS(1962),
    [anon_sym_COMMA] = ACTIONS(1962),
    [anon_sym_GT_GT_GT] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_LPAREN] = ACTIONS(1962),
    [anon_sym_BANG_EQ] = ACTIONS(1960),
    [anon_sym_GT] = ACTIONS(1960),
    [anon_sym_BQUOTE] = ACTIONS(1962),
    [anon_sym_LT] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_EQ_EQ] = ACTIONS(1960),
    [anon_sym_PERCENT] = ACTIONS(1962),
    [anon_sym_QMARK] = ACTIONS(1962),
    [anon_sym_LT_LT] = ACTIONS(1962),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_RBRACE] = ACTIONS(1962),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1962),
    [anon_sym_RPAREN] = ACTIONS(1962),
  },
  [744] = {
    [anon_sym_instanceof] = ACTIONS(1964),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_COLON] = ACTIONS(1964),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1964),
    [anon_sym_STAR_STAR] = ACTIONS(1964),
    [anon_sym_AMP_AMP] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_GT_GT] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(1964),
    [anon_sym_in] = ACTIONS(1966),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1964),
    [anon_sym_GT_EQ] = ACTIONS(1964),
    [anon_sym_DOT] = ACTIONS(1964),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1964),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_LT_EQ] = ACTIONS(1964),
    [anon_sym_PIPE_PIPE] = ACTIONS(1964),
    [anon_sym_COMMA] = ACTIONS(1964),
    [anon_sym_GT_GT_GT] = ACTIONS(1964),
    [anon_sym_PLUS_PLUS] = ACTIONS(1964),
    [anon_sym_LPAREN] = ACTIONS(1964),
    [anon_sym_BANG_EQ] = ACTIONS(1966),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_BQUOTE] = ACTIONS(1964),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_PERCENT] = ACTIONS(1964),
    [anon_sym_QMARK] = ACTIONS(1964),
    [anon_sym_LT_LT] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(1964),
    [anon_sym_RBRACE] = ACTIONS(1964),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1964),
    [anon_sym_RPAREN] = ACTIONS(1964),
  },
  [745] = {
    [anon_sym_instanceof] = ACTIONS(2006),
    [anon_sym_SLASH] = ACTIONS(2008),
    [anon_sym_COLON] = ACTIONS(2006),
    [anon_sym_LBRACK] = ACTIONS(2006),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_CARET] = ACTIONS(2006),
    [anon_sym_STAR_STAR] = ACTIONS(2006),
    [anon_sym_AMP_AMP] = ACTIONS(2006),
    [anon_sym_STAR] = ACTIONS(2008),
    [anon_sym_GT_GT] = ACTIONS(2008),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2006),
    [anon_sym_in] = ACTIONS(2008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2006),
    [anon_sym_GT_EQ] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2006),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2006),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_LT_EQ] = ACTIONS(2006),
    [anon_sym_PIPE_PIPE] = ACTIONS(2006),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_GT_GT_GT] = ACTIONS(2006),
    [anon_sym_PLUS_PLUS] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2006),
    [anon_sym_BANG_EQ] = ACTIONS(2008),
    [anon_sym_GT] = ACTIONS(2008),
    [anon_sym_BQUOTE] = ACTIONS(2006),
    [anon_sym_LT] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_EQ_EQ] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2006),
    [anon_sym_QMARK] = ACTIONS(2006),
    [anon_sym_LT_LT] = ACTIONS(2006),
    [anon_sym_DASH_DASH] = ACTIONS(2006),
    [anon_sym_RBRACE] = ACTIONS(2006),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2006),
    [anon_sym_RPAREN] = ACTIONS(2006),
  },
  [746] = {
    [sym__automatic_semicolon] = ACTIONS(478),
    [anon_sym_in] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(478),
    [anon_sym_of] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(478),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(478),
  },
  [747] = {
    [sym__automatic_semicolon] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(524),
    [anon_sym_SEMI] = ACTIONS(524),
  },
  [748] = {
    [anon_sym_instanceof] = ACTIONS(642),
    [anon_sym_SLASH] = ACTIONS(640),
    [sym__automatic_semicolon] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(642),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_CARET] = ACTIONS(642),
    [anon_sym_STAR_STAR] = ACTIONS(642),
    [anon_sym_AMP_AMP] = ACTIONS(642),
    [anon_sym_STAR] = ACTIONS(640),
    [anon_sym_GT_GT] = ACTIONS(640),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_in] = ACTIONS(640),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(642),
    [anon_sym_GT_EQ] = ACTIONS(642),
    [anon_sym_DOT] = ACTIONS(642),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(640),
    [anon_sym_LT_EQ] = ACTIONS(642),
    [anon_sym_PIPE_PIPE] = ACTIONS(642),
    [anon_sym_COMMA] = ACTIONS(642),
    [anon_sym_GT_GT_GT] = ACTIONS(642),
    [anon_sym_SEMI] = ACTIONS(642),
    [anon_sym_PLUS_PLUS] = ACTIONS(642),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_BANG_EQ] = ACTIONS(640),
    [anon_sym_GT] = ACTIONS(640),
    [anon_sym_EQ] = ACTIONS(640),
    [anon_sym_BQUOTE] = ACTIONS(642),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_EQ_EQ] = ACTIONS(640),
    [anon_sym_PERCENT] = ACTIONS(642),
    [anon_sym_QMARK] = ACTIONS(642),
    [anon_sym_RBRACE] = ACTIONS(642),
    [anon_sym_LT_LT] = ACTIONS(642),
    [anon_sym_DASH_DASH] = ACTIONS(642),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(642),
  },
  [749] = {
    [anon_sym_LBRACE] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1083),
    [anon_sym_LT] = ACTIONS(1083),
  },
  [750] = {
    [sym__automatic_semicolon] = ACTIONS(642),
    [anon_sym_in] = ACTIONS(642),
    [anon_sym_COMMA] = ACTIONS(642),
    [anon_sym_of] = ACTIONS(642),
    [anon_sym_SEMI] = ACTIONS(642),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(642),
  },
  [751] = {
    [sym__automatic_semicolon] = ACTIONS(1095),
    [anon_sym_class] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_import] = ACTIONS(1093),
    [anon_sym_LBRACE] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1093),
    [anon_sym_throw] = ACTIONS(1093),
    [anon_sym_for] = ACTIONS(1093),
    [anon_sym_BANG] = ACTIONS(1095),
    [sym_this] = ACTIONS(1093),
    [sym_true] = ACTIONS(1093),
    [anon_sym_case] = ACTIONS(1093),
    [anon_sym_get] = ACTIONS(1093),
    [anon_sym_default] = ACTIONS(1093),
    [anon_sym_PLUS_PLUS] = ACTIONS(1095),
    [anon_sym_SEMI] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1095),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_TILDE] = ACTIONS(1095),
    [sym_super] = ACTIONS(1093),
    [sym_false] = ACTIONS(1093),
    [sym_number] = ACTIONS(1095),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_set] = ACTIONS(1093),
    [anon_sym_async] = ACTIONS(1093),
    [anon_sym_var] = ACTIONS(1093),
    [anon_sym_const] = ACTIONS(1093),
    [anon_sym_RBRACE] = ACTIONS(1095),
    [anon_sym_DASH_DASH] = ACTIONS(1095),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_typeof] = ACTIONS(1093),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_SLASH] = ACTIONS(1093),
    [sym_null] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_let] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_with] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym_undefined] = ACTIONS(1093),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1095),
    [anon_sym_else] = ACTIONS(1093),
    [anon_sym_break] = ACTIONS(1093),
    [anon_sym_debugger] = ACTIONS(1093),
    [anon_sym_while] = ACTIONS(1093),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_BQUOTE] = ACTIONS(1095),
    [anon_sym_LT] = ACTIONS(1095),
    [ts_builtin_sym_end] = ACTIONS(1095),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_AT] = ACTIONS(1095),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_switch] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1093),
    [anon_sym_continue] = ACTIONS(1093),
    [anon_sym_void] = ACTIONS(1093),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_do] = ACTIONS(1093),
  },
  [752] = {
    [sym__automatic_semicolon] = ACTIONS(1111),
    [anon_sym_class] = ACTIONS(1109),
    [anon_sym_DASH] = ACTIONS(1109),
    [anon_sym_import] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(1111),
    [anon_sym_delete] = ACTIONS(1109),
    [anon_sym_throw] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1109),
    [anon_sym_BANG] = ACTIONS(1111),
    [sym_this] = ACTIONS(1109),
    [sym_true] = ACTIONS(1109),
    [anon_sym_case] = ACTIONS(1109),
    [anon_sym_get] = ACTIONS(1109),
    [anon_sym_default] = ACTIONS(1109),
    [anon_sym_PLUS_PLUS] = ACTIONS(1111),
    [anon_sym_SEMI] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_TILDE] = ACTIONS(1111),
    [sym_super] = ACTIONS(1109),
    [sym_false] = ACTIONS(1109),
    [sym_number] = ACTIONS(1111),
    [anon_sym_yield] = ACTIONS(1109),
    [anon_sym_set] = ACTIONS(1109),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_var] = ACTIONS(1109),
    [anon_sym_const] = ACTIONS(1109),
    [anon_sym_RBRACE] = ACTIONS(1111),
    [anon_sym_DASH_DASH] = ACTIONS(1111),
    [anon_sym_try] = ACTIONS(1109),
    [anon_sym_typeof] = ACTIONS(1109),
    [anon_sym_await] = ACTIONS(1109),
    [anon_sym_SLASH] = ACTIONS(1109),
    [sym_null] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(1109),
    [anon_sym_let] = ACTIONS(1109),
    [anon_sym_if] = ACTIONS(1109),
    [anon_sym_with] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_undefined] = ACTIONS(1109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1111),
    [anon_sym_else] = ACTIONS(1109),
    [anon_sym_break] = ACTIONS(1109),
    [anon_sym_debugger] = ACTIONS(1109),
    [anon_sym_while] = ACTIONS(1109),
    [sym_identifier] = ACTIONS(1109),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(1111),
    [ts_builtin_sym_end] = ACTIONS(1111),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_AT] = ACTIONS(1111),
    [anon_sym_PLUS] = ACTIONS(1109),
    [anon_sym_switch] = ACTIONS(1109),
    [anon_sym_export] = ACTIONS(1109),
    [anon_sym_continue] = ACTIONS(1109),
    [anon_sym_void] = ACTIONS(1109),
    [anon_sym_return] = ACTIONS(1109),
    [anon_sym_do] = ACTIONS(1109),
  },
  [753] = {
    [sym__automatic_semicolon] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_SEMI] = ACTIONS(1123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1123),
  },
  [754] = {
    [sym__automatic_semicolon] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1132),
    [anon_sym_SEMI] = ACTIONS(1132),
  },
  [755] = {
    [sym__automatic_semicolon] = ACTIONS(1175),
    [anon_sym_class] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_import] = ACTIONS(1173),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_delete] = ACTIONS(1173),
    [anon_sym_throw] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1175),
    [sym_this] = ACTIONS(1173),
    [sym_true] = ACTIONS(1173),
    [anon_sym_case] = ACTIONS(1173),
    [anon_sym_get] = ACTIONS(1173),
    [anon_sym_default] = ACTIONS(1173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_SEMI] = ACTIONS(1175),
    [anon_sym_DQUOTE] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [sym_super] = ACTIONS(1173),
    [sym_false] = ACTIONS(1173),
    [sym_number] = ACTIONS(1175),
    [anon_sym_yield] = ACTIONS(1173),
    [anon_sym_set] = ACTIONS(1173),
    [anon_sym_async] = ACTIONS(1173),
    [anon_sym_var] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1173),
    [anon_sym_RBRACE] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_try] = ACTIONS(1173),
    [anon_sym_typeof] = ACTIONS(1173),
    [anon_sym_await] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1173),
    [sym_null] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(1175),
    [anon_sym_function] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_if] = ACTIONS(1173),
    [anon_sym_with] = ACTIONS(1173),
    [anon_sym_SQUOTE] = ACTIONS(1175),
    [sym_undefined] = ACTIONS(1173),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1175),
    [anon_sym_else] = ACTIONS(1173),
    [anon_sym_break] = ACTIONS(1173),
    [anon_sym_debugger] = ACTIONS(1173),
    [anon_sym_while] = ACTIONS(1173),
    [sym_identifier] = ACTIONS(1173),
    [anon_sym_BQUOTE] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1175),
    [ts_builtin_sym_end] = ACTIONS(1175),
    [anon_sym_new] = ACTIONS(1173),
    [anon_sym_AT] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_export] = ACTIONS(1173),
    [anon_sym_continue] = ACTIONS(1173),
    [anon_sym_void] = ACTIONS(1173),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_do] = ACTIONS(1173),
  },
  [756] = {
    [sym__automatic_semicolon] = ACTIONS(1221),
    [anon_sym_in] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [anon_sym_of] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1221),
  },
  [757] = {
    [sym__automatic_semicolon] = ACTIONS(1240),
    [anon_sym_in] = ACTIONS(1240),
    [anon_sym_COMMA] = ACTIONS(1240),
    [anon_sym_of] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1240),
  },
  [758] = {
    [anon_sym_instanceof] = ACTIONS(1248),
    [anon_sym_SLASH] = ACTIONS(1246),
    [anon_sym_COLON] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_CARET] = ACTIONS(1248),
    [anon_sym_STAR_STAR] = ACTIONS(1248),
    [anon_sym_AMP_AMP] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_GT_GT] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_in] = ACTIONS(1246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1248),
    [anon_sym_GT_EQ] = ACTIONS(1248),
    [anon_sym_DOT] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1248),
    [anon_sym_PIPE] = ACTIONS(1246),
    [anon_sym_LT_EQ] = ACTIONS(1248),
    [anon_sym_PIPE_PIPE] = ACTIONS(1248),
    [anon_sym_COMMA] = ACTIONS(1248),
    [anon_sym_GT_GT_GT] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_BANG_EQ] = ACTIONS(1246),
    [anon_sym_GT] = ACTIONS(1246),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_LT] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_EQ_EQ] = ACTIONS(1246),
    [anon_sym_PERCENT] = ACTIONS(1248),
    [anon_sym_QMARK] = ACTIONS(1248),
    [anon_sym_LT_LT] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1248),
    [anon_sym_RPAREN] = ACTIONS(1248),
  },
  [759] = {
    [anon_sym_await] = ACTIONS(1330),
    [anon_sym_SLASH] = ACTIONS(1330),
    [anon_sym_class] = ACTIONS(1330),
    [anon_sym_typeof] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [sym_false] = ACTIONS(1330),
    [sym_null] = ACTIONS(1330),
    [anon_sym_AT] = ACTIONS(1328),
    [anon_sym_function] = ACTIONS(1330),
    [anon_sym_set] = ACTIONS(1330),
    [anon_sym_let] = ACTIONS(1330),
    [anon_sym_import] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_with] = ACTIONS(1330),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_delete] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [sym_this] = ACTIONS(1330),
    [sym_true] = ACTIONS(1330),
    [sym_undefined] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1328),
    [anon_sym_get] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym_debugger] = ACTIONS(1330),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [anon_sym_LT] = ACTIONS(1328),
    [anon_sym_yield] = ACTIONS(1330),
    [sym_number] = ACTIONS(1328),
    [sym_identifier] = ACTIONS(1330),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_async] = ACTIONS(1330),
    [sym_super] = ACTIONS(1330),
    [anon_sym_var] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_export] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_try] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_void] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
  },
  [760] = {
    [anon_sym_instanceof] = ACTIONS(646),
    [anon_sym_SLASH] = ACTIONS(644),
    [anon_sym_COLON] = ACTIONS(646),
    [anon_sym_LBRACK] = ACTIONS(646),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_CARET] = ACTIONS(646),
    [anon_sym_STAR_STAR] = ACTIONS(646),
    [anon_sym_AMP_AMP] = ACTIONS(646),
    [anon_sym_STAR] = ACTIONS(644),
    [anon_sym_GT_GT] = ACTIONS(644),
    [anon_sym_AMP] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(646),
    [anon_sym_in] = ACTIONS(644),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(646),
    [anon_sym_GT_EQ] = ACTIONS(646),
    [anon_sym_DOT] = ACTIONS(646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_PIPE] = ACTIONS(644),
    [anon_sym_LT_EQ] = ACTIONS(646),
    [anon_sym_PIPE_PIPE] = ACTIONS(646),
    [anon_sym_COMMA] = ACTIONS(646),
    [anon_sym_GT_GT_GT] = ACTIONS(646),
    [anon_sym_PLUS_PLUS] = ACTIONS(646),
    [anon_sym_LPAREN] = ACTIONS(646),
    [anon_sym_BANG_EQ] = ACTIONS(644),
    [anon_sym_GT] = ACTIONS(644),
    [anon_sym_BQUOTE] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(644),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_EQ_EQ] = ACTIONS(644),
    [anon_sym_PERCENT] = ACTIONS(646),
    [anon_sym_QMARK] = ACTIONS(646),
    [anon_sym_LT_LT] = ACTIONS(646),
    [anon_sym_DASH_DASH] = ACTIONS(646),
    [anon_sym_RBRACE] = ACTIONS(646),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(646),
    [anon_sym_RPAREN] = ACTIONS(646),
  },
  [761] = {
    [anon_sym_LBRACE] = ACTIONS(1495),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1495),
  },
  [762] = {
    [sym__automatic_semicolon] = ACTIONS(1509),
    [anon_sym_class] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_import] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(1509),
    [anon_sym_delete] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1509),
    [sym_this] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [anon_sym_case] = ACTIONS(1507),
    [anon_sym_get] = ACTIONS(1507),
    [anon_sym_default] = ACTIONS(1507),
    [anon_sym_PLUS_PLUS] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1509),
    [anon_sym_DQUOTE] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(1509),
    [sym_super] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_number] = ACTIONS(1509),
    [anon_sym_yield] = ACTIONS(1507),
    [anon_sym_set] = ACTIONS(1507),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_var] = ACTIONS(1507),
    [anon_sym_const] = ACTIONS(1507),
    [anon_sym_RBRACE] = ACTIONS(1509),
    [anon_sym_DASH_DASH] = ACTIONS(1509),
    [anon_sym_try] = ACTIONS(1507),
    [anon_sym_typeof] = ACTIONS(1507),
    [anon_sym_await] = ACTIONS(1507),
    [anon_sym_SLASH] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_let] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1509),
    [sym_undefined] = ACTIONS(1507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1509),
    [anon_sym_else] = ACTIONS(1507),
    [anon_sym_break] = ACTIONS(1507),
    [anon_sym_debugger] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1507),
    [sym_identifier] = ACTIONS(1507),
    [anon_sym_BQUOTE] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1509),
    [ts_builtin_sym_end] = ACTIONS(1509),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_AT] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1507),
    [anon_sym_switch] = ACTIONS(1507),
    [anon_sym_export] = ACTIONS(1507),
    [anon_sym_continue] = ACTIONS(1507),
    [anon_sym_void] = ACTIONS(1507),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_do] = ACTIONS(1507),
  },
  [763] = {
    [sym__automatic_semicolon] = ACTIONS(1543),
    [anon_sym_class] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_throw] = ACTIONS(1541),
    [anon_sym_for] = ACTIONS(1541),
    [anon_sym_BANG] = ACTIONS(1543),
    [sym_this] = ACTIONS(1541),
    [sym_true] = ACTIONS(1541),
    [anon_sym_case] = ACTIONS(1541),
    [anon_sym_get] = ACTIONS(1541),
    [anon_sym_default] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_SEMI] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(1543),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [sym_super] = ACTIONS(1541),
    [sym_false] = ACTIONS(1541),
    [sym_number] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1541),
    [anon_sym_set] = ACTIONS(1541),
    [anon_sym_async] = ACTIONS(1541),
    [anon_sym_var] = ACTIONS(1541),
    [anon_sym_const] = ACTIONS(1541),
    [anon_sym_RBRACE] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_try] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_await] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(1541),
    [sym_null] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [anon_sym_function] = ACTIONS(1541),
    [anon_sym_let] = ACTIONS(1541),
    [anon_sym_if] = ACTIONS(1541),
    [anon_sym_with] = ACTIONS(1541),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [sym_undefined] = ACTIONS(1541),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1543),
    [anon_sym_else] = ACTIONS(1541),
    [anon_sym_break] = ACTIONS(1541),
    [anon_sym_debugger] = ACTIONS(1541),
    [anon_sym_while] = ACTIONS(1541),
    [sym_identifier] = ACTIONS(1541),
    [anon_sym_BQUOTE] = ACTIONS(1543),
    [anon_sym_LT] = ACTIONS(1543),
    [ts_builtin_sym_end] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1541),
    [anon_sym_AT] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_switch] = ACTIONS(1541),
    [anon_sym_export] = ACTIONS(1541),
    [anon_sym_continue] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_do] = ACTIONS(1541),
  },
  [764] = {
    [sym__automatic_semicolon] = ACTIONS(1545),
    [anon_sym_in] = ACTIONS(1545),
    [anon_sym_COMMA] = ACTIONS(1545),
    [anon_sym_of] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1545),
  },
  [765] = {
    [sym__automatic_semicolon] = ACTIONS(1557),
    [anon_sym_class] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_import] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_delete] = ACTIONS(1555),
    [anon_sym_throw] = ACTIONS(1555),
    [anon_sym_for] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1557),
    [sym_this] = ACTIONS(1555),
    [sym_true] = ACTIONS(1555),
    [anon_sym_case] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_default] = ACTIONS(1555),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_SEMI] = ACTIONS(1557),
    [anon_sym_DQUOTE] = ACTIONS(1557),
    [anon_sym_LPAREN] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [sym_super] = ACTIONS(1555),
    [sym_false] = ACTIONS(1555),
    [sym_number] = ACTIONS(1557),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_async] = ACTIONS(1555),
    [anon_sym_var] = ACTIONS(1555),
    [anon_sym_const] = ACTIONS(1555),
    [anon_sym_RBRACE] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_try] = ACTIONS(1555),
    [anon_sym_typeof] = ACTIONS(1555),
    [anon_sym_await] = ACTIONS(1555),
    [anon_sym_SLASH] = ACTIONS(1555),
    [sym_null] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(1555),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_if] = ACTIONS(1555),
    [anon_sym_with] = ACTIONS(1555),
    [anon_sym_SQUOTE] = ACTIONS(1557),
    [sym_undefined] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1557),
    [anon_sym_else] = ACTIONS(1555),
    [anon_sym_break] = ACTIONS(1555),
    [anon_sym_debugger] = ACTIONS(1555),
    [anon_sym_while] = ACTIONS(1555),
    [sym_identifier] = ACTIONS(1555),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [anon_sym_LT] = ACTIONS(1557),
    [ts_builtin_sym_end] = ACTIONS(1557),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AT] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_switch] = ACTIONS(1555),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_continue] = ACTIONS(1555),
    [anon_sym_void] = ACTIONS(1555),
    [anon_sym_return] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1555),
  },
  [766] = {
    [sym__automatic_semicolon] = ACTIONS(1561),
    [anon_sym_class] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1559),
    [anon_sym_import] = ACTIONS(1559),
    [anon_sym_LBRACE] = ACTIONS(1561),
    [anon_sym_delete] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1559),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1561),
    [sym_this] = ACTIONS(1559),
    [sym_true] = ACTIONS(1559),
    [anon_sym_case] = ACTIONS(1559),
    [anon_sym_get] = ACTIONS(1559),
    [anon_sym_default] = ACTIONS(1559),
    [anon_sym_PLUS_PLUS] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1561),
    [anon_sym_DQUOTE] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1561),
    [anon_sym_TILDE] = ACTIONS(1561),
    [sym_super] = ACTIONS(1559),
    [sym_false] = ACTIONS(1559),
    [sym_number] = ACTIONS(1561),
    [anon_sym_yield] = ACTIONS(1559),
    [anon_sym_set] = ACTIONS(1559),
    [anon_sym_async] = ACTIONS(1559),
    [anon_sym_var] = ACTIONS(1559),
    [anon_sym_const] = ACTIONS(1559),
    [anon_sym_RBRACE] = ACTIONS(1561),
    [anon_sym_DASH_DASH] = ACTIONS(1561),
    [anon_sym_try] = ACTIONS(1559),
    [anon_sym_typeof] = ACTIONS(1559),
    [anon_sym_await] = ACTIONS(1559),
    [anon_sym_SLASH] = ACTIONS(1559),
    [sym_null] = ACTIONS(1559),
    [anon_sym_LBRACK] = ACTIONS(1561),
    [anon_sym_function] = ACTIONS(1559),
    [anon_sym_let] = ACTIONS(1559),
    [anon_sym_if] = ACTIONS(1559),
    [anon_sym_with] = ACTIONS(1559),
    [anon_sym_SQUOTE] = ACTIONS(1561),
    [sym_undefined] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(1559),
    [anon_sym_break] = ACTIONS(1559),
    [anon_sym_debugger] = ACTIONS(1559),
    [anon_sym_while] = ACTIONS(1559),
    [sym_identifier] = ACTIONS(1559),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [anon_sym_LT] = ACTIONS(1561),
    [ts_builtin_sym_end] = ACTIONS(1561),
    [anon_sym_new] = ACTIONS(1559),
    [anon_sym_AT] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1559),
    [anon_sym_switch] = ACTIONS(1559),
    [anon_sym_export] = ACTIONS(1559),
    [anon_sym_continue] = ACTIONS(1559),
    [anon_sym_void] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_do] = ACTIONS(1559),
  },
  [767] = {
    [sym__automatic_semicolon] = ACTIONS(1596),
    [anon_sym_in] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1596),
    [anon_sym_of] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1596),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1596),
  },
  [768] = {
    [sym__automatic_semicolon] = ACTIONS(1607),
    [anon_sym_in] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1607),
    [anon_sym_of] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1607),
  },
  [769] = {
    [anon_sym_LBRACE] = ACTIONS(1706),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1706),
    [anon_sym_LT] = ACTIONS(1706),
  },
  [770] = {
    [sym__automatic_semicolon] = ACTIONS(1811),
    [anon_sym_class] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_import] = ACTIONS(1809),
    [anon_sym_LBRACE] = ACTIONS(1811),
    [anon_sym_delete] = ACTIONS(1809),
    [anon_sym_throw] = ACTIONS(1809),
    [anon_sym_for] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1811),
    [sym_this] = ACTIONS(1809),
    [sym_true] = ACTIONS(1809),
    [anon_sym_case] = ACTIONS(1809),
    [anon_sym_get] = ACTIONS(1809),
    [anon_sym_default] = ACTIONS(1809),
    [anon_sym_PLUS_PLUS] = ACTIONS(1811),
    [anon_sym_SEMI] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [anon_sym_LPAREN] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(1811),
    [sym_super] = ACTIONS(1809),
    [sym_false] = ACTIONS(1809),
    [sym_number] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_set] = ACTIONS(1809),
    [anon_sym_async] = ACTIONS(1809),
    [anon_sym_var] = ACTIONS(1809),
    [anon_sym_const] = ACTIONS(1809),
    [anon_sym_RBRACE] = ACTIONS(1811),
    [anon_sym_DASH_DASH] = ACTIONS(1811),
    [anon_sym_try] = ACTIONS(1809),
    [anon_sym_typeof] = ACTIONS(1809),
    [anon_sym_await] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [sym_null] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1811),
    [anon_sym_function] = ACTIONS(1809),
    [anon_sym_let] = ACTIONS(1809),
    [anon_sym_if] = ACTIONS(1809),
    [anon_sym_with] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1811),
    [sym_undefined] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1811),
    [anon_sym_else] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1809),
    [anon_sym_debugger] = ACTIONS(1809),
    [anon_sym_while] = ACTIONS(1809),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_BQUOTE] = ACTIONS(1811),
    [anon_sym_LT] = ACTIONS(1811),
    [ts_builtin_sym_end] = ACTIONS(1811),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_AT] = ACTIONS(1811),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_switch] = ACTIONS(1809),
    [anon_sym_export] = ACTIONS(1809),
    [anon_sym_continue] = ACTIONS(1809),
    [anon_sym_void] = ACTIONS(1809),
    [anon_sym_return] = ACTIONS(1809),
    [anon_sym_do] = ACTIONS(1809),
  },
  [771] = {
    [sym__automatic_semicolon] = ACTIONS(1834),
    [anon_sym_in] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_of] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1834),
  },
  [772] = {
    [anon_sym_LBRACE] = ACTIONS(1904),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1904),
    [anon_sym_LT] = ACTIONS(1904),
  },
  [773] = {
    [anon_sym_LBRACE] = ACTIONS(1906),
    [anon_sym_SLASH] = ACTIONS(1908),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1906),
    [anon_sym_GT] = ACTIONS(1906),
    [sym_identifier] = ACTIONS(1908),
  },
  [774] = {
    [sym__automatic_semicolon] = ACTIONS(1914),
    [anon_sym_class] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_import] = ACTIONS(1912),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_delete] = ACTIONS(1912),
    [anon_sym_throw] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1912),
    [anon_sym_BANG] = ACTIONS(1914),
    [sym_this] = ACTIONS(1912),
    [sym_true] = ACTIONS(1912),
    [anon_sym_case] = ACTIONS(1912),
    [anon_sym_get] = ACTIONS(1912),
    [anon_sym_default] = ACTIONS(1912),
    [anon_sym_PLUS_PLUS] = ACTIONS(1914),
    [anon_sym_SEMI] = ACTIONS(1914),
    [anon_sym_DQUOTE] = ACTIONS(1914),
    [anon_sym_LPAREN] = ACTIONS(1914),
    [anon_sym_TILDE] = ACTIONS(1914),
    [sym_super] = ACTIONS(1912),
    [sym_false] = ACTIONS(1912),
    [sym_number] = ACTIONS(1914),
    [anon_sym_yield] = ACTIONS(1912),
    [anon_sym_set] = ACTIONS(1912),
    [anon_sym_async] = ACTIONS(1912),
    [anon_sym_var] = ACTIONS(1912),
    [anon_sym_const] = ACTIONS(1912),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_DASH_DASH] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_typeof] = ACTIONS(1912),
    [anon_sym_await] = ACTIONS(1912),
    [anon_sym_SLASH] = ACTIONS(1912),
    [sym_null] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_function] = ACTIONS(1912),
    [anon_sym_let] = ACTIONS(1912),
    [anon_sym_if] = ACTIONS(1912),
    [anon_sym_with] = ACTIONS(1912),
    [anon_sym_SQUOTE] = ACTIONS(1914),
    [sym_undefined] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1914),
    [anon_sym_else] = ACTIONS(1912),
    [anon_sym_break] = ACTIONS(1912),
    [anon_sym_debugger] = ACTIONS(1912),
    [anon_sym_while] = ACTIONS(1912),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_BQUOTE] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1914),
    [ts_builtin_sym_end] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1912),
    [anon_sym_AT] = ACTIONS(1914),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_switch] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(1912),
    [anon_sym_continue] = ACTIONS(1912),
    [anon_sym_void] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(1912),
    [anon_sym_do] = ACTIONS(1912),
  },
  [775] = {
    [sym__automatic_semicolon] = ACTIONS(1962),
    [anon_sym_class] = ACTIONS(1960),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_import] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_delete] = ACTIONS(1960),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(1960),
    [anon_sym_BANG] = ACTIONS(1962),
    [sym_this] = ACTIONS(1960),
    [sym_true] = ACTIONS(1960),
    [anon_sym_case] = ACTIONS(1960),
    [anon_sym_get] = ACTIONS(1960),
    [anon_sym_default] = ACTIONS(1960),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_SEMI] = ACTIONS(1962),
    [anon_sym_DQUOTE] = ACTIONS(1962),
    [anon_sym_LPAREN] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [sym_super] = ACTIONS(1960),
    [sym_false] = ACTIONS(1960),
    [sym_number] = ACTIONS(1962),
    [anon_sym_yield] = ACTIONS(1960),
    [anon_sym_set] = ACTIONS(1960),
    [anon_sym_async] = ACTIONS(1960),
    [anon_sym_var] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_RBRACE] = ACTIONS(1962),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_try] = ACTIONS(1960),
    [anon_sym_typeof] = ACTIONS(1960),
    [anon_sym_await] = ACTIONS(1960),
    [anon_sym_SLASH] = ACTIONS(1960),
    [sym_null] = ACTIONS(1960),
    [anon_sym_LBRACK] = ACTIONS(1962),
    [anon_sym_function] = ACTIONS(1960),
    [anon_sym_let] = ACTIONS(1960),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_with] = ACTIONS(1960),
    [anon_sym_SQUOTE] = ACTIONS(1962),
    [sym_undefined] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1962),
    [anon_sym_else] = ACTIONS(1960),
    [anon_sym_break] = ACTIONS(1960),
    [anon_sym_debugger] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1960),
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_BQUOTE] = ACTIONS(1962),
    [anon_sym_LT] = ACTIONS(1962),
    [ts_builtin_sym_end] = ACTIONS(1962),
    [anon_sym_new] = ACTIONS(1960),
    [anon_sym_AT] = ACTIONS(1962),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_switch] = ACTIONS(1960),
    [anon_sym_export] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1960),
    [anon_sym_void] = ACTIONS(1960),
    [anon_sym_return] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1960),
  },
  [776] = {
    [anon_sym_LBRACE] = ACTIONS(1966),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1966),
    [anon_sym_LT] = ACTIONS(1966),
  },
  [777] = {
    [anon_sym_LBRACE] = ACTIONS(2006),
    [anon_sym_SLASH] = ACTIONS(2008),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(2006),
    [anon_sym_GT] = ACTIONS(2006),
    [sym_identifier] = ACTIONS(2008),
  },
  [778] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(478),
    [anon_sym_RPAREN] = ACTIONS(478),
  },
  [779] = {
    [anon_sym_LBRACE] = ACTIONS(524),
    [anon_sym_SLASH] = ACTIONS(526),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(524),
    [anon_sym_GT] = ACTIONS(524),
    [sym_identifier] = ACTIONS(526),
  },
  [780] = {
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_SLASH] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [sym_identifier] = ACTIONS(1083),
  },
  [781] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(642),
    [anon_sym_COMMA] = ACTIONS(642),
    [anon_sym_RPAREN] = ACTIONS(642),
  },
  [782] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_RPAREN] = ACTIONS(1123),
  },
  [783] = {
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1134),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1132),
    [anon_sym_GT] = ACTIONS(1132),
    [sym_identifier] = ACTIONS(1134),
  },
  [784] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1221),
  },
  [785] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_COMMA] = ACTIONS(1240),
    [anon_sym_RPAREN] = ACTIONS(1240),
  },
  [786] = {
    [sym__automatic_semicolon] = ACTIONS(1248),
    [anon_sym_class] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_import] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_delete] = ACTIONS(1246),
    [anon_sym_throw] = ACTIONS(1246),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1248),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1246),
    [anon_sym_case] = ACTIONS(1246),
    [anon_sym_get] = ACTIONS(1246),
    [anon_sym_default] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_TILDE] = ACTIONS(1248),
    [sym_super] = ACTIONS(1246),
    [sym_false] = ACTIONS(1246),
    [sym_number] = ACTIONS(1248),
    [anon_sym_yield] = ACTIONS(1246),
    [anon_sym_set] = ACTIONS(1246),
    [anon_sym_async] = ACTIONS(1246),
    [anon_sym_var] = ACTIONS(1246),
    [anon_sym_const] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_try] = ACTIONS(1246),
    [anon_sym_typeof] = ACTIONS(1246),
    [anon_sym_await] = ACTIONS(1246),
    [anon_sym_SLASH] = ACTIONS(1246),
    [sym_null] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_function] = ACTIONS(1246),
    [anon_sym_let] = ACTIONS(1246),
    [anon_sym_if] = ACTIONS(1246),
    [anon_sym_with] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1246),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1246),
    [anon_sym_break] = ACTIONS(1246),
    [anon_sym_debugger] = ACTIONS(1246),
    [anon_sym_while] = ACTIONS(1246),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_LT] = ACTIONS(1248),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(1246),
    [anon_sym_AT] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_switch] = ACTIONS(1246),
    [anon_sym_export] = ACTIONS(1246),
    [anon_sym_continue] = ACTIONS(1246),
    [anon_sym_void] = ACTIONS(1246),
    [anon_sym_return] = ACTIONS(1246),
    [anon_sym_do] = ACTIONS(1246),
  },
  [787] = {
    [sym__automatic_semicolon] = ACTIONS(646),
    [anon_sym_class] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_import] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(646),
    [anon_sym_delete] = ACTIONS(644),
    [anon_sym_throw] = ACTIONS(644),
    [anon_sym_for] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(646),
    [sym_this] = ACTIONS(644),
    [sym_true] = ACTIONS(644),
    [anon_sym_case] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_default] = ACTIONS(644),
    [anon_sym_PLUS_PLUS] = ACTIONS(646),
    [anon_sym_SEMI] = ACTIONS(646),
    [anon_sym_DQUOTE] = ACTIONS(646),
    [anon_sym_LPAREN] = ACTIONS(646),
    [anon_sym_TILDE] = ACTIONS(646),
    [sym_super] = ACTIONS(644),
    [sym_false] = ACTIONS(644),
    [sym_number] = ACTIONS(646),
    [anon_sym_yield] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_var] = ACTIONS(644),
    [anon_sym_const] = ACTIONS(644),
    [anon_sym_RBRACE] = ACTIONS(646),
    [anon_sym_DASH_DASH] = ACTIONS(646),
    [anon_sym_try] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(644),
    [anon_sym_await] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(644),
    [sym_null] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(646),
    [anon_sym_function] = ACTIONS(644),
    [anon_sym_let] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(644),
    [anon_sym_with] = ACTIONS(644),
    [anon_sym_SQUOTE] = ACTIONS(646),
    [sym_undefined] = ACTIONS(644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(646),
    [anon_sym_else] = ACTIONS(644),
    [anon_sym_break] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(644),
    [anon_sym_while] = ACTIONS(644),
    [sym_identifier] = ACTIONS(644),
    [anon_sym_BQUOTE] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(646),
    [ts_builtin_sym_end] = ACTIONS(646),
    [anon_sym_new] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_switch] = ACTIONS(644),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_void] = ACTIONS(644),
    [anon_sym_return] = ACTIONS(644),
    [anon_sym_do] = ACTIONS(644),
  },
  [788] = {
    [anon_sym_LBRACE] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1493),
    [sym_identifier] = ACTIONS(1495),
  },
  [789] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_COMMA] = ACTIONS(1545),
    [anon_sym_RPAREN] = ACTIONS(1545),
  },
  [790] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1596),
    [anon_sym_RPAREN] = ACTIONS(1596),
  },
  [791] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1607),
    [anon_sym_RPAREN] = ACTIONS(1607),
  },
  [792] = {
    [anon_sym_LBRACE] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1706),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1704),
    [anon_sym_GT] = ACTIONS(1704),
    [sym_identifier] = ACTIONS(1706),
  },
  [793] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_RPAREN] = ACTIONS(1834),
  },
  [794] = {
    [anon_sym_LBRACE] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1904),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1902),
    [anon_sym_GT] = ACTIONS(1902),
    [sym_identifier] = ACTIONS(1904),
  },
  [795] = {
    [anon_sym_LBRACE] = ACTIONS(1964),
    [anon_sym_SLASH] = ACTIONS(1966),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1964),
    [anon_sym_GT] = ACTIONS(1964),
    [sym_identifier] = ACTIONS(1966),
  },
  [796] = {
    [sym_new_expression] = STATE(633),
    [sym_augmented_assignment_expression] = STATE(633),
    [sym_unary_expression] = STATE(633),
    [sym_update_expression] = STATE(633),
    [sym_regex] = STATE(633),
    [sym_meta_property] = STATE(633),
    [sym__expression] = STATE(633),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(633),
    [sym_jsx_fragment] = STATE(633),
    [sym_jsx_element] = STATE(633),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(633),
    [sym_await_expression] = STATE(633),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(633),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(633),
    [sym_generator_function] = STATE(633),
    [sym_call_expression] = STATE(633),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(633),
    [sym_ternary_expression] = STATE(633),
    [sym_binary_expression] = STATE(633),
    [sym_template_string] = STATE(633),
    [sym_parenthesized_expression] = STATE(633),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(633),
    [sym_class] = STATE(633),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2200),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2202),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [797] = {
    [sym_new_expression] = STATE(635),
    [sym_augmented_assignment_expression] = STATE(635),
    [sym_unary_expression] = STATE(635),
    [sym_update_expression] = STATE(635),
    [sym_regex] = STATE(635),
    [sym_meta_property] = STATE(635),
    [sym__expression] = STATE(635),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(635),
    [sym_jsx_fragment] = STATE(635),
    [sym_jsx_element] = STATE(635),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(635),
    [sym_await_expression] = STATE(635),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(635),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(635),
    [sym_generator_function] = STATE(635),
    [sym_call_expression] = STATE(635),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(635),
    [sym_ternary_expression] = STATE(635),
    [sym_binary_expression] = STATE(635),
    [sym_template_string] = STATE(635),
    [sym_parenthesized_expression] = STATE(635),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(635),
    [sym_class] = STATE(635),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2204),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2204),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2206),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [798] = {
    [sym_class_heritage] = STATE(813),
    [sym_class_body] = STATE(636),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2210),
    [anon_sym_extends] = ACTIONS(109),
  },
  [799] = {
    [sym_new_expression] = STATE(814),
    [sym_augmented_assignment_expression] = STATE(814),
    [sym_unary_expression] = STATE(814),
    [sym_update_expression] = STATE(814),
    [sym_regex] = STATE(814),
    [sym_meta_property] = STATE(814),
    [sym__expression] = STATE(814),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(814),
    [sym_jsx_fragment] = STATE(814),
    [aux_sym_array_repeat1] = STATE(815),
    [sym_jsx_element] = STATE(814),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(814),
    [sym_await_expression] = STATE(814),
    [sym_member_expression] = STATE(627),
    [sym_spread_element] = STATE(816),
    [sym_string] = STATE(814),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(814),
    [sym_generator_function] = STATE(814),
    [sym_call_expression] = STATE(814),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(814),
    [sym_ternary_expression] = STATE(814),
    [sym_binary_expression] = STATE(814),
    [sym_template_string] = STATE(814),
    [sym_parenthesized_expression] = STATE(814),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(814),
    [sym_class] = STATE(814),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_false] = ACTIONS(2212),
    [sym_number] = ACTIONS(2214),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(121),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym_undefined] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2216),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [sym_identifier] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_void] = ACTIONS(121),
  },
  [800] = {
    [aux_sym_string_repeat1] = STATE(817),
    [anon_sym_DQUOTE] = ACTIONS(2218),
    [sym_comment] = ACTIONS(171),
    [sym_escape_sequence] = ACTIONS(2220),
    [aux_sym_string_token1] = ACTIONS(2220),
  },
  [801] = {
    [aux_sym_template_string_repeat1] = STATE(818),
    [sym_template_substitution] = STATE(818),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(175),
    [sym_escape_sequence] = ACTIONS(2222),
    [sym__template_chars] = ACTIONS(2222),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2224),
  },
  [802] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(941),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(941),
    [sym_return_statement] = STATE(941),
    [sym_method_definition] = STATE(825),
    [aux_sym_program_repeat1] = STATE(941),
    [sym_yield_expression] = STATE(48),
    [aux_sym_object_repeat1] = STATE(827),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(941),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(941),
    [sym_spread_element] = STATE(825),
    [sym_switch_statement] = STATE(941),
    [sym_string] = STATE(102),
    [sym_try_statement] = STATE(941),
    [sym_decorator] = STATE(1028),
    [sym_throw_statement] = STATE(941),
    [sym_formal_parameters] = STATE(45),
    [sym_computed_property_name] = STATE(112),
    [sym_object] = STATE(110),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(941),
    [sym_continue_statement] = STATE(941),
    [sym_statement_block] = STATE(941),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(941),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(941),
    [sym_pair] = STATE(825),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1028),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(941),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(941),
    [sym_with_statement] = STATE(941),
    [sym_empty_statement] = STATE(941),
    [sym__property_name] = STATE(112),
    [sym_assignment_pattern] = STATE(825),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(941),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(941),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(941),
    [sym_break_statement] = STATE(941),
    [sym_labeled_statement] = STATE(941),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(113),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(2226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(2226),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(2232),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [803] = {
    [aux_sym_string_repeat2] = STATE(829),
    [sym_comment] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(2218),
    [sym_escape_sequence] = ACTIONS(2234),
    [aux_sym_string_token2] = ACTIONS(2234),
  },
  [804] = {
    [sym_new_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym_statement_block] = STATE(125),
    [sym_unary_expression] = STATE(1029),
    [sym_update_expression] = STATE(1029),
    [sym_meta_property] = STATE(1029),
    [sym_regex] = STATE(1029),
    [sym__expression] = STATE(1029),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(1029),
    [sym_jsx_fragment] = STATE(1029),
    [sym_jsx_element] = STATE(1029),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(1029),
    [sym_await_expression] = STATE(1029),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(1029),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(1029),
    [sym_generator_function] = STATE(1029),
    [sym_call_expression] = STATE(1029),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(1029),
    [sym_ternary_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_template_string] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(1029),
    [sym_class] = STATE(1029),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(2238),
    [sym_undefined] = ACTIONS(2238),
    [sym_true] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(2238),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2256),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [805] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DOT] = ACTIONS(510),
    [anon_sym_LPAREN] = ACTIONS(520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(163),
  },
  [806] = {
    [sym_new_expression] = STATE(842),
    [sym_augmented_assignment_expression] = STATE(842),
    [sym_unary_expression] = STATE(842),
    [sym_update_expression] = STATE(842),
    [sym_regex] = STATE(842),
    [sym_meta_property] = STATE(842),
    [sym__expression] = STATE(842),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(842),
    [sym_jsx_fragment] = STATE(842),
    [sym_jsx_element] = STATE(842),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(842),
    [sym_await_expression] = STATE(842),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(842),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(842),
    [sym_generator_function] = STATE(842),
    [sym_call_expression] = STATE(842),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(842),
    [sym_ternary_expression] = STATE(842),
    [sym_binary_expression] = STATE(842),
    [sym_template_string] = STATE(842),
    [sym_parenthesized_expression] = STATE(842),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(842),
    [sym_class] = STATE(842),
    [anon_sym_instanceof] = ACTIONS(301),
    [sym__automatic_semicolon] = ACTIONS(303),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_STAR_STAR] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(301),
    [anon_sym_AMP] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_GT_EQ] = ACTIONS(303),
    [anon_sym_BANG] = ACTIONS(2264),
    [sym_this] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(301),
    [sym_false] = ACTIONS(2266),
    [sym_number] = ACTIONS(2268),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_EQ_EQ] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_typeof] = ACTIONS(2244),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_CARET] = ACTIONS(303),
    [anon_sym_AMP_AMP] = ACTIONS(303),
    [anon_sym_GT_GT] = ACTIONS(301),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(303),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_DOT] = ACTIONS(301),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_PIPE_PIPE] = ACTIONS(303),
    [anon_sym_GT_GT_GT] = ACTIONS(303),
    [anon_sym_BANG_EQ] = ACTIONS(301),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(311),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_PERCENT] = ACTIONS(303),
    [anon_sym_LT_LT] = ACTIONS(303),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(303),
  },
  [807] = {
    [sym_new_expression] = STATE(159),
    [sym_augmented_assignment_expression] = STATE(164),
    [sym_unary_expression] = STATE(164),
    [sym_update_expression] = STATE(164),
    [sym_regex] = STATE(159),
    [sym_meta_property] = STATE(159),
    [sym__expression] = STATE(164),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(164),
    [sym_jsx_fragment] = STATE(164),
    [sym_jsx_element] = STATE(164),
    [sym_function] = STATE(165),
    [sym_arrow_function] = STATE(159),
    [sym_await_expression] = STATE(164),
    [sym_member_expression] = STATE(166),
    [sym_string] = STATE(159),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(167),
    [sym_anonymous_class] = STATE(159),
    [sym_generator_function] = STATE(159),
    [sym_call_expression] = STATE(164),
    [sym_subscript_expression] = STATE(166),
    [sym_assignment_expression] = STATE(164),
    [sym_ternary_expression] = STATE(164),
    [sym_binary_expression] = STATE(164),
    [sym_template_string] = STATE(159),
    [sym_parenthesized_expression] = STATE(159),
    [sym_array] = STATE(168),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(164),
    [sym_class] = STATE(159),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(326),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(326),
    [sym_undefined] = ACTIONS(326),
    [sym_true] = ACTIONS(326),
    [anon_sym_DOT] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(330),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(332),
    [sym_identifier] = ACTIONS(2270),
    [sym_false] = ACTIONS(326),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(336),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(330),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [808] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(734),
  },
  [809] = {
    [aux_sym_jsx_element_repeat1] = STATE(858),
    [sym_jsx_expression] = STATE(858),
    [sym_jsx_closing_element] = STATE(673),
    [sym_jsx_opening_element] = STATE(931),
    [sym_jsx_self_closing_element] = STATE(858),
    [sym_jsx_element] = STATE(858),
    [anon_sym_LBRACE] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2276),
  },
  [810] = {
    [sym__property_name] = STATE(112),
    [sym_computed_property_name] = STATE(112),
    [sym_object] = STATE(212),
    [sym_assignment_pattern] = STATE(825),
    [sym_method_definition] = STATE(825),
    [sym_pair] = STATE(825),
    [aux_sym_export_statement_repeat1] = STATE(1039),
    [aux_sym_object_repeat1] = STATE(827),
    [sym_array] = STATE(213),
    [sym_spread_element] = STATE(825),
    [sym_string] = STATE(112),
    [sym_decorator] = STATE(1039),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(426),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(2282),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2284),
    [anon_sym_get] = ACTIONS(2280),
  },
  [811] = {
    [sym_public_field_definition] = STATE(225),
    [sym__property_name] = STATE(222),
    [sym_computed_property_name] = STATE(222),
    [aux_sym_class_body_repeat1] = STATE(862),
    [sym_method_definition] = STATE(224),
    [sym_string] = STATE(222),
    [aux_sym_export_statement_repeat1] = STATE(221),
    [sym_decorator] = STATE(221),
    [anon_sym_LBRACK] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(448),
    [anon_sym_static] = ACTIONS(450),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(454),
    [anon_sym_SQUOTE] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(460),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2286),
    [anon_sym_get] = ACTIONS(458),
  },
  [812] = {
    [sym_class_heritage] = STATE(863),
    [sym_class_body] = STATE(679),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(464),
  },
  [813] = {
    [sym_class_body] = STATE(680),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
  },
  [814] = {
    [aux_sym_array_repeat1] = STATE(864),
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2288),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [815] = {
    [aux_sym_array_repeat1] = STATE(235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(131),
  },
  [816] = {
    [aux_sym_array_repeat1] = STATE(864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(131),
  },
  [817] = {
    [aux_sym_string_repeat1] = STATE(237),
    [anon_sym_DQUOTE] = ACTIONS(2290),
    [sym_comment] = ACTIONS(171),
    [sym_escape_sequence] = ACTIONS(530),
    [aux_sym_string_token1] = ACTIONS(530),
  },
  [818] = {
    [aux_sym_template_string_repeat1] = STATE(241),
    [sym_template_substitution] = STATE(241),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(175),
    [sym_escape_sequence] = ACTIONS(540),
    [sym__template_chars] = ACTIONS(540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2292),
  },
  [819] = {
    [anon_sym_SLASH2] = ACTIONS(2294),
    [sym_comment] = ACTIONS(3),
  },
  [820] = {
    [sym_statement_block] = STATE(685),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
  },
  [821] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(1042),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(1042),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(1042),
    [sym_return_statement] = STATE(1042),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(1042),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(1042),
    [sym_switch_statement] = STATE(1042),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(1042),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(1042),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(1042),
    [sym_continue_statement] = STATE(1042),
    [sym_statement_block] = STATE(1042),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(1042),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(1042),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(1042),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(1042),
    [sym_with_statement] = STATE(1042),
    [sym_empty_statement] = STATE(1042),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(1042),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(1042),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(1042),
    [sym_break_statement] = STATE(1042),
    [sym_labeled_statement] = STATE(1042),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [822] = {
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym__initializer] = STATE(124),
    [sym_string] = STATE(269),
    [aux_sym_object_repeat1] = STATE(867),
    [anon_sym_instanceof] = ACTIONS(245),
    [sym__automatic_semicolon] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_AMP_EQ] = ACTIONS(243),
    [anon_sym_GT_GT_EQ] = ACTIONS(243),
    [anon_sym_STAR_EQ] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_STAR_STAR] = ACTIONS(245),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_AMP] = ACTIONS(245),
    [anon_sym_GT_EQ] = ACTIONS(241),
    [anon_sym_PIPE_EQ] = ACTIONS(243),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(243),
    [anon_sym_get] = ACTIONS(598),
    [anon_sym_SLASH_EQ] = ACTIONS(243),
    [anon_sym_LT_EQ] = ACTIONS(241),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(241),
    [anon_sym_SEMI] = ACTIONS(241),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_GT] = ACTIONS(245),
    [sym_number] = ACTIONS(602),
    [anon_sym_LT_LT_EQ] = ACTIONS(243),
    [anon_sym_set] = ACTIONS(598),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_EQ_EQ] = ACTIONS(245),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(241),
    [anon_sym_SLASH] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(243),
    [anon_sym_CARET] = ACTIONS(245),
    [anon_sym_AMP_AMP] = ACTIONS(241),
    [anon_sym_GT_GT] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(245),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(241),
    [anon_sym_DOT] = ACTIONS(614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(243),
    [anon_sym_PLUS_EQ] = ACTIONS(243),
    [anon_sym_PIPE] = ACTIONS(245),
    [anon_sym_PIPE_PIPE] = ACTIONS(241),
    [anon_sym_GT_GT_GT] = ACTIONS(245),
    [anon_sym_BANG_EQ] = ACTIONS(245),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(241),
    [anon_sym_LT] = ACTIONS(245),
    [anon_sym_CARET_EQ] = ACTIONS(243),
    [anon_sym_DASH_EQ] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_PERCENT] = ACTIONS(245),
    [anon_sym_LT_LT] = ACTIONS(245),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(241),
  },
  [823] = {
    [sym_formal_parameters] = STATE(158),
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym__initializer] = STATE(124),
    [sym_string] = STATE(269),
    [aux_sym_object_repeat1] = STATE(867),
    [anon_sym_instanceof] = ACTIONS(245),
    [sym__automatic_semicolon] = ACTIONS(241),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_AMP_EQ] = ACTIONS(243),
    [anon_sym_GT_GT_EQ] = ACTIONS(243),
    [anon_sym_STAR_EQ] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_STAR_STAR] = ACTIONS(245),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_AMP] = ACTIONS(245),
    [anon_sym_GT_EQ] = ACTIONS(241),
    [anon_sym_PIPE_EQ] = ACTIONS(243),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(243),
    [anon_sym_get] = ACTIONS(632),
    [anon_sym_SLASH_EQ] = ACTIONS(243),
    [anon_sym_LT_EQ] = ACTIONS(241),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(241),
    [anon_sym_SEMI] = ACTIONS(241),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(634),
    [anon_sym_GT] = ACTIONS(245),
    [sym_number] = ACTIONS(602),
    [anon_sym_LT_LT_EQ] = ACTIONS(243),
    [anon_sym_set] = ACTIONS(632),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_EQ_EQ] = ACTIONS(245),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(241),
    [anon_sym_SLASH] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(322),
    [anon_sym_CARET] = ACTIONS(245),
    [anon_sym_AMP_AMP] = ACTIONS(241),
    [anon_sym_GT_GT] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(245),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(241),
    [anon_sym_DOT] = ACTIONS(614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(243),
    [anon_sym_EQ_GT] = ACTIONS(299),
    [anon_sym_PLUS_EQ] = ACTIONS(243),
    [anon_sym_PIPE] = ACTIONS(245),
    [anon_sym_PIPE_PIPE] = ACTIONS(241),
    [anon_sym_GT_GT_GT] = ACTIONS(245),
    [anon_sym_BANG_EQ] = ACTIONS(245),
    [sym_identifier] = ACTIONS(638),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(241),
    [anon_sym_LT] = ACTIONS(245),
    [anon_sym_CARET_EQ] = ACTIONS(243),
    [anon_sym_DASH_EQ] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_PERCENT] = ACTIONS(245),
    [anon_sym_LT_LT] = ACTIONS(245),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(241),
  },
  [824] = {
    [sym__initializer] = STATE(281),
    [aux_sym_object_repeat1] = STATE(867),
    [anon_sym_instanceof] = ACTIONS(289),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_COLON] = ACTIONS(652),
    [anon_sym_AMP_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_STAR_EQ] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_SLASH_EQ] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_LT_LT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_RBRACE] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(295),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(293),
    [anon_sym_EQ_GT] = ACTIONS(299),
    [anon_sym_PLUS_EQ] = ACTIONS(293),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(658),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_CARET_EQ] = ACTIONS(293),
    [anon_sym_DASH_EQ] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(295),
    [anon_sym_LT_LT] = ACTIONS(295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [825] = {
    [aux_sym_object_repeat1] = STATE(869),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2300),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [826] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(188),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(188),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(188),
    [sym_return_statement] = STATE(188),
    [aux_sym_program_repeat1] = STATE(188),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(188),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(188),
    [sym_switch_statement] = STATE(188),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(188),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(188),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(188),
    [sym_continue_statement] = STATE(188),
    [sym_statement_block] = STATE(188),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(188),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(188),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(188),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(188),
    [sym_with_statement] = STATE(188),
    [sym_empty_statement] = STATE(188),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(188),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(188),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(188),
    [sym_break_statement] = STATE(188),
    [sym_labeled_statement] = STATE(188),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [827] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2300),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [828] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(292),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(292),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(292),
    [sym_return_statement] = STATE(292),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(292),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(292),
    [sym_switch_statement] = STATE(292),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(292),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(292),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(292),
    [sym_continue_statement] = STATE(292),
    [sym_statement_block] = STATE(292),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(292),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(292),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(292),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(292),
    [sym_with_statement] = STATE(292),
    [sym_empty_statement] = STATE(292),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(292),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(292),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(292),
    [sym_break_statement] = STATE(292),
    [sym_labeled_statement] = STATE(292),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [829] = {
    [aux_sym_string_repeat2] = STATE(301),
    [sym_comment] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [sym_escape_sequence] = ACTIONS(686),
    [aux_sym_string_token2] = ACTIONS(686),
  },
  [830] = {
    [sym_new_expression] = STATE(871),
    [sym_augmented_assignment_expression] = STATE(871),
    [sym_unary_expression] = STATE(871),
    [sym_update_expression] = STATE(871),
    [sym_regex] = STATE(871),
    [sym_meta_property] = STATE(871),
    [sym__expression] = STATE(871),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(871),
    [sym_jsx_fragment] = STATE(871),
    [sym_jsx_element] = STATE(871),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(871),
    [sym_await_expression] = STATE(871),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(871),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(871),
    [sym_generator_function] = STATE(871),
    [sym_call_expression] = STATE(871),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(871),
    [sym_ternary_expression] = STATE(871),
    [sym_binary_expression] = STATE(871),
    [sym_template_string] = STATE(871),
    [sym_parenthesized_expression] = STATE(871),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(871),
    [sym_class] = STATE(871),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2304),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(2304),
    [sym_undefined] = ACTIONS(2304),
    [sym_true] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(2304),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2306),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [831] = {
    [sym_identifier] = ACTIONS(2308),
    [sym_comment] = ACTIONS(3),
  },
  [832] = {
    [sym_new_expression] = STATE(872),
    [sym_augmented_assignment_expression] = STATE(872),
    [sym_unary_expression] = STATE(872),
    [sym_update_expression] = STATE(872),
    [sym_regex] = STATE(872),
    [sym_meta_property] = STATE(872),
    [sym__expression] = STATE(872),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(872),
    [sym_jsx_fragment] = STATE(872),
    [sym_jsx_element] = STATE(872),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(872),
    [sym_await_expression] = STATE(872),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(872),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(872),
    [sym_generator_function] = STATE(872),
    [sym_call_expression] = STATE(872),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(872),
    [sym_ternary_expression] = STATE(872),
    [sym_binary_expression] = STATE(872),
    [sym_template_string] = STATE(872),
    [sym_parenthesized_expression] = STATE(872),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(872),
    [sym_class] = STATE(872),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(2310),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2312),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [833] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2314),
  },
  [834] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2314),
  },
  [835] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(320),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(320),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(320),
    [sym_return_statement] = STATE(320),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(320),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(320),
    [sym_switch_statement] = STATE(320),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(320),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(320),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(320),
    [sym_continue_statement] = STATE(320),
    [sym_statement_block] = STATE(320),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(320),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(320),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(320),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(320),
    [sym_with_statement] = STATE(320),
    [sym_empty_statement] = STATE(320),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(320),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(320),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(320),
    [sym_break_statement] = STATE(320),
    [sym_labeled_statement] = STATE(320),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [836] = {
    [sym_identifier] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
  },
  [837] = {
    [sym_new_expression] = STATE(873),
    [sym_augmented_assignment_expression] = STATE(873),
    [sym_unary_expression] = STATE(873),
    [sym_update_expression] = STATE(873),
    [sym_regex] = STATE(873),
    [sym_meta_property] = STATE(873),
    [sym__expression] = STATE(873),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(873),
    [sym_jsx_fragment] = STATE(873),
    [aux_sym_array_repeat1] = STATE(874),
    [sym_jsx_element] = STATE(873),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(873),
    [sym_await_expression] = STATE(873),
    [sym_member_expression] = STATE(627),
    [sym_spread_element] = STATE(875),
    [sym_string] = STATE(873),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(873),
    [sym_generator_function] = STATE(873),
    [sym_call_expression] = STATE(873),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(873),
    [sym_ternary_expression] = STATE(873),
    [sym_binary_expression] = STATE(873),
    [sym_template_string] = STATE(873),
    [sym_parenthesized_expression] = STATE(873),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(873),
    [sym_class] = STATE(873),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2318),
    [sym_true] = ACTIONS(2318),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_false] = ACTIONS(2318),
    [sym_number] = ACTIONS(2320),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(2322),
    [anon_sym_typeof] = ACTIONS(121),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym_undefined] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [sym_identifier] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_void] = ACTIONS(121),
  },
  [838] = {
    [sym_new_expression] = STATE(878),
    [sym_augmented_assignment_expression] = STATE(878),
    [sym_unary_expression] = STATE(878),
    [sym_update_expression] = STATE(878),
    [sym_regex] = STATE(878),
    [sym_meta_property] = STATE(878),
    [sym__expression] = STATE(878),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(878),
    [sym_jsx_fragment] = STATE(878),
    [sym_jsx_element] = STATE(878),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(878),
    [sym_await_expression] = STATE(878),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(878),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(878),
    [sym_generator_function] = STATE(878),
    [sym_call_expression] = STATE(878),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(878),
    [sym_ternary_expression] = STATE(878),
    [sym_binary_expression] = STATE(878),
    [sym_template_string] = STATE(878),
    [sym_parenthesized_expression] = STATE(878),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(878),
    [sym_class] = STATE(878),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2324),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(2324),
    [sym_undefined] = ACTIONS(2324),
    [sym_true] = ACTIONS(2324),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(2324),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2326),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [839] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(329),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(329),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(329),
    [sym_return_statement] = STATE(329),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(329),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(329),
    [sym_switch_statement] = STATE(329),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(329),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(329),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(329),
    [sym_continue_statement] = STATE(329),
    [sym_statement_block] = STATE(329),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(329),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(329),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(329),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(329),
    [sym_with_statement] = STATE(329),
    [sym_empty_statement] = STATE(329),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(329),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(329),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(329),
    [sym_break_statement] = STATE(329),
    [sym_labeled_statement] = STATE(329),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [840] = {
    [sym_new_expression] = STATE(879),
    [sym_augmented_assignment_expression] = STATE(879),
    [sym_unary_expression] = STATE(879),
    [sym_update_expression] = STATE(879),
    [sym_regex] = STATE(879),
    [sym_meta_property] = STATE(879),
    [sym__expression] = STATE(879),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(879),
    [sym_jsx_fragment] = STATE(879),
    [sym_jsx_element] = STATE(879),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(879),
    [sym_await_expression] = STATE(879),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(879),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(879),
    [sym_generator_function] = STATE(879),
    [sym_call_expression] = STATE(879),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(879),
    [sym_ternary_expression] = STATE(879),
    [sym_binary_expression] = STATE(879),
    [sym_template_string] = STATE(879),
    [sym_parenthesized_expression] = STATE(879),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(879),
    [sym_class] = STATE(879),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(2328),
    [sym_undefined] = ACTIONS(2328),
    [sym_true] = ACTIONS(2328),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(2328),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2330),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [841] = {
    [sym_new_expression] = STATE(880),
    [sym_augmented_assignment_expression] = STATE(880),
    [sym_statement_block] = STATE(331),
    [sym_unary_expression] = STATE(880),
    [sym_update_expression] = STATE(880),
    [sym_meta_property] = STATE(880),
    [sym_regex] = STATE(880),
    [sym__expression] = STATE(880),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(880),
    [sym_jsx_fragment] = STATE(880),
    [sym_jsx_element] = STATE(880),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(880),
    [sym_await_expression] = STATE(880),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(880),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(880),
    [sym_generator_function] = STATE(880),
    [sym_call_expression] = STATE(880),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(880),
    [sym_ternary_expression] = STATE(880),
    [sym_binary_expression] = STATE(880),
    [sym_template_string] = STATE(880),
    [sym_parenthesized_expression] = STATE(880),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(880),
    [sym_class] = STATE(880),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(2332),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2334),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [842] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(800),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(2352),
    [anon_sym_LT_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_PIPE] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(800),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(800),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_QMARK] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2336),
  },
  [843] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2358),
  },
  [844] = {
    [anon_sym_target] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
  },
  [845] = {
    [sym__initializer] = STATE(654),
    [sym_arguments] = STATE(344),
    [anon_sym_instanceof] = ACTIONS(824),
    [anon_sym_SLASH] = ACTIONS(826),
    [sym__automatic_semicolon] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_AMP_EQ] = ACTIONS(732),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_STAR_EQ] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(824),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE_EQ] = ACTIONS(732),
    [anon_sym_PERCENT_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_EQ_GT] = ACTIONS(2362),
    [anon_sym_SLASH_EQ] = ACTIONS(732),
    [anon_sym_PLUS_EQ] = ACTIONS(732),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BQUOTE] = ACTIONS(824),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_CARET_EQ] = ACTIONS(732),
    [anon_sym_LT_LT_EQ] = ACTIONS(732),
    [anon_sym_DASH_EQ] = ACTIONS(732),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(824),
  },
  [846] = {
    [sym_formal_parameters] = STATE(1036),
    [sym__initializer] = STATE(647),
    [sym_arguments] = STATE(346),
    [anon_sym_instanceof] = ACTIONS(832),
    [anon_sym_SLASH] = ACTIONS(832),
    [sym__automatic_semicolon] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(830),
    [anon_sym_AMP_EQ] = ACTIONS(718),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_function] = ACTIONS(322),
    [anon_sym_STAR_EQ] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(832),
    [anon_sym_CARET] = ACTIONS(832),
    [anon_sym_STAR_STAR] = ACTIONS(832),
    [anon_sym_AMP_AMP] = ACTIONS(830),
    [anon_sym_STAR] = ACTIONS(832),
    [anon_sym_GT_GT] = ACTIONS(832),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_in] = ACTIONS(832),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(830),
    [anon_sym_GT_EQ] = ACTIONS(830),
    [anon_sym_DOT] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE_EQ] = ACTIONS(718),
    [anon_sym_PERCENT_EQ] = ACTIONS(718),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(718),
    [anon_sym_EQ_GT] = ACTIONS(2362),
    [anon_sym_SLASH_EQ] = ACTIONS(718),
    [anon_sym_PLUS_EQ] = ACTIONS(718),
    [anon_sym_PIPE] = ACTIONS(832),
    [anon_sym_LT_EQ] = ACTIONS(830),
    [anon_sym_PIPE_PIPE] = ACTIONS(830),
    [anon_sym_GT_GT_GT] = ACTIONS(832),
    [anon_sym_PLUS_PLUS] = ACTIONS(830),
    [anon_sym_COMMA] = ACTIONS(830),
    [anon_sym_SEMI] = ACTIONS(830),
    [anon_sym_LPAREN] = ACTIONS(830),
    [anon_sym_BANG_EQ] = ACTIONS(832),
    [anon_sym_GT] = ACTIONS(832),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_BQUOTE] = ACTIONS(830),
    [anon_sym_LT] = ACTIONS(832),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_CARET_EQ] = ACTIONS(718),
    [anon_sym_LT_LT_EQ] = ACTIONS(718),
    [anon_sym_DASH_EQ] = ACTIONS(718),
    [anon_sym_PLUS] = ACTIONS(832),
    [anon_sym_EQ_EQ] = ACTIONS(832),
    [anon_sym_PERCENT] = ACTIONS(832),
    [anon_sym_QMARK] = ACTIONS(830),
    [anon_sym_LT_LT] = ACTIONS(832),
    [anon_sym_DASH_DASH] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(830),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(830),
  },
  [847] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [848] = {
    [sym_identifier] = ACTIONS(2366),
    [sym_comment] = ACTIONS(3),
  },
  [849] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(826),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(826),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(826),
    [sym_return_statement] = STATE(826),
    [aux_sym_program_repeat1] = STATE(826),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(826),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(826),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(826),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(826),
    [sym_continue_statement] = STATE(826),
    [sym_statement_block] = STATE(826),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(826),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(826),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(826),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(826),
    [sym_with_statement] = STATE(826),
    [sym_empty_statement] = STATE(826),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(826),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(826),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(826),
    [sym_break_statement] = STATE(826),
    [sym_labeled_statement] = STATE(826),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [850] = {
    [sym_new_expression] = STATE(883),
    [sym_augmented_assignment_expression] = STATE(883),
    [sym_unary_expression] = STATE(883),
    [sym_update_expression] = STATE(883),
    [sym_regex] = STATE(883),
    [sym_meta_property] = STATE(883),
    [sym__expression] = STATE(883),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(883),
    [sym_jsx_fragment] = STATE(883),
    [sym_jsx_element] = STATE(883),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(883),
    [sym_await_expression] = STATE(883),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(883),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(883),
    [sym_generator_function] = STATE(883),
    [sym_call_expression] = STATE(883),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(883),
    [sym_ternary_expression] = STATE(883),
    [sym_binary_expression] = STATE(883),
    [sym_template_string] = STATE(883),
    [sym_parenthesized_expression] = STATE(883),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(883),
    [sym_class] = STATE(883),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(2370),
    [sym_undefined] = ACTIONS(2370),
    [sym_true] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(2370),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2372),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [851] = {
    [sym_new_expression] = STATE(884),
    [sym_augmented_assignment_expression] = STATE(884),
    [sym_unary_expression] = STATE(884),
    [sym_update_expression] = STATE(884),
    [sym_regex] = STATE(884),
    [sym_meta_property] = STATE(884),
    [sym__expression] = STATE(884),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(884),
    [sym_jsx_fragment] = STATE(884),
    [sym_jsx_element] = STATE(884),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(884),
    [sym_await_expression] = STATE(884),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(884),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(884),
    [sym_generator_function] = STATE(884),
    [sym_call_expression] = STATE(884),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(884),
    [sym_ternary_expression] = STATE(884),
    [sym_binary_expression] = STATE(884),
    [sym_template_string] = STATE(884),
    [sym_parenthesized_expression] = STATE(884),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(884),
    [sym_class] = STATE(884),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(2374),
    [sym_undefined] = ACTIONS(2374),
    [sym_true] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(2374),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2376),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [852] = {
    [sym_new_expression] = STATE(885),
    [sym_augmented_assignment_expression] = STATE(885),
    [sym_unary_expression] = STATE(885),
    [sym_update_expression] = STATE(885),
    [sym_regex] = STATE(885),
    [sym_meta_property] = STATE(885),
    [sym__expression] = STATE(885),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(885),
    [sym_jsx_fragment] = STATE(885),
    [sym_jsx_element] = STATE(885),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(885),
    [sym_await_expression] = STATE(885),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(885),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(885),
    [sym_generator_function] = STATE(885),
    [sym_call_expression] = STATE(885),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(885),
    [sym_ternary_expression] = STATE(885),
    [sym_binary_expression] = STATE(885),
    [sym_template_string] = STATE(885),
    [sym_parenthesized_expression] = STATE(885),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(885),
    [sym_class] = STATE(885),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2378),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(2378),
    [sym_undefined] = ACTIONS(2378),
    [sym_true] = ACTIONS(2378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(2378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2380),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [853] = {
    [sym_new_expression] = STATE(370),
    [sym_augmented_assignment_expression] = STATE(370),
    [sym_unary_expression] = STATE(370),
    [sym_update_expression] = STATE(370),
    [sym_regex] = STATE(370),
    [sym_meta_property] = STATE(370),
    [sym__expression] = STATE(370),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(370),
    [sym_jsx_fragment] = STATE(370),
    [sym_jsx_element] = STATE(370),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(370),
    [sym_await_expression] = STATE(370),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(370),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(370),
    [sym_generator_function] = STATE(370),
    [sym_call_expression] = STATE(370),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(370),
    [sym_ternary_expression] = STATE(370),
    [sym_binary_expression] = STATE(370),
    [sym_template_string] = STATE(370),
    [sym_parenthesized_expression] = STATE(370),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(370),
    [sym_class] = STATE(370),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(1036),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(1036),
    [sym_undefined] = ACTIONS(1036),
    [sym_true] = ACTIONS(1036),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(1036),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(1038),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [854] = {
    [sym_new_expression] = STATE(886),
    [sym_augmented_assignment_expression] = STATE(886),
    [sym_unary_expression] = STATE(886),
    [sym_update_expression] = STATE(886),
    [sym_regex] = STATE(886),
    [sym_meta_property] = STATE(886),
    [sym__expression] = STATE(886),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(886),
    [sym_jsx_fragment] = STATE(886),
    [sym_jsx_element] = STATE(886),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(886),
    [sym_await_expression] = STATE(886),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(886),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(886),
    [sym_generator_function] = STATE(886),
    [sym_call_expression] = STATE(886),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(886),
    [sym_ternary_expression] = STATE(886),
    [sym_binary_expression] = STATE(886),
    [sym_template_string] = STATE(886),
    [sym_parenthesized_expression] = STATE(886),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(886),
    [sym_class] = STATE(886),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(2382),
    [sym_undefined] = ACTIONS(2382),
    [sym_true] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(2382),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2384),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [855] = {
    [sym_class] = STATE(177),
    [sym_lexical_declaration] = STATE(358),
    [sym__declaration] = STATE(358),
    [sym_function] = STATE(177),
    [sym_variable_declaration] = STATE(358),
    [sym_generator_function] = STATE(177),
    [sym_decorator] = STATE(1099),
    [aux_sym_export_statement_repeat1] = STATE(1099),
    [anon_sym_class] = ACTIONS(2386),
    [anon_sym_default] = ACTIONS(1052),
    [anon_sym_async] = ACTIONS(2388),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_var] = ACTIONS(356),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_function] = ACTIONS(2390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_let] = ACTIONS(348),
  },
  [856] = {
    [sym_class_heritage] = STATE(889),
    [sym_class_body] = STATE(680),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2392),
    [anon_sym_extends] = ACTIONS(109),
  },
  [857] = {
    [sym_new_expression] = STATE(890),
    [sym_augmented_assignment_expression] = STATE(890),
    [sym_unary_expression] = STATE(890),
    [sym_update_expression] = STATE(890),
    [sym_regex] = STATE(890),
    [sym_meta_property] = STATE(890),
    [sym__expression] = STATE(890),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(890),
    [sym_jsx_fragment] = STATE(890),
    [sym_jsx_element] = STATE(890),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(890),
    [sym_await_expression] = STATE(890),
    [sym_member_expression] = STATE(627),
    [sym_spread_element] = STATE(891),
    [sym_sequence_expression] = STATE(891),
    [sym_string] = STATE(890),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(890),
    [sym_generator_function] = STATE(890),
    [sym_call_expression] = STATE(890),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(890),
    [sym_ternary_expression] = STATE(890),
    [sym_binary_expression] = STATE(890),
    [sym_template_string] = STATE(890),
    [sym_parenthesized_expression] = STATE(890),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(890),
    [sym_class] = STATE(890),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2394),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2394),
    [sym_undefined] = ACTIONS(2394),
    [sym_true] = ACTIONS(2394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2394),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2396),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_RBRACE] = ACTIONS(2398),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [858] = {
    [aux_sym_jsx_element_repeat1] = STATE(382),
    [sym_jsx_expression] = STATE(382),
    [sym_jsx_closing_element] = STATE(716),
    [sym_jsx_opening_element] = STATE(931),
    [sym_jsx_self_closing_element] = STATE(382),
    [sym_jsx_element] = STATE(382),
    [anon_sym_LBRACE] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(2276),
  },
  [859] = {
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym_string] = STATE(269),
    [aux_sym_object_repeat1] = STATE(867),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(604),
    [sym_identifier] = ACTIONS(598),
    [sym_number] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(598),
    [anon_sym_async] = ACTIONS(598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2298),
    [anon_sym_get] = ACTIONS(598),
  },
  [860] = {
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym_string] = STATE(269),
    [aux_sym_object_repeat1] = STATE(867),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(604),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_STAR] = ACTIONS(1085),
    [sym_number] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(632),
    [anon_sym_async] = ACTIONS(598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2298),
    [anon_sym_get] = ACTIONS(632),
  },
  [861] = {
    [sym__initializer] = STATE(384),
    [aux_sym_object_repeat1] = STATE(867),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_LPAREN] = ACTIONS(604),
    [anon_sym_RBRACE] = ACTIONS(2298),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1087),
  },
  [862] = {
    [sym_public_field_definition] = STATE(225),
    [sym__property_name] = STATE(222),
    [sym_computed_property_name] = STATE(222),
    [aux_sym_class_body_repeat1] = STATE(393),
    [sym_method_definition] = STATE(224),
    [sym_string] = STATE(222),
    [aux_sym_export_statement_repeat1] = STATE(221),
    [sym_decorator] = STATE(221),
    [anon_sym_LBRACK] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(448),
    [anon_sym_static] = ACTIONS(450),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(454),
    [anon_sym_SQUOTE] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(460),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2400),
    [anon_sym_get] = ACTIONS(458),
  },
  [863] = {
    [sym_class_body] = STATE(718),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
  },
  [864] = {
    [aux_sym_array_repeat1] = STATE(235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2402),
    [anon_sym_COMMA] = ACTIONS(131),
  },
  [865] = {
    [sym_statement_block] = STATE(721),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
  },
  [866] = {
    [sym_statement_block] = STATE(722),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
  },
  [867] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2404),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [868] = {
    [aux_sym_array_repeat1] = STATE(990),
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2406),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [869] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [870] = {
    [aux_sym_object_repeat1] = STATE(895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [871] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(2352),
    [anon_sym_LT_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_PIPE] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(1298),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_QMARK] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2336),
  },
  [872] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(1304),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(2352),
    [anon_sym_LT_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_PIPE] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(1304),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_QMARK] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2336),
  },
  [873] = {
    [aux_sym_array_repeat1] = STATE(896),
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2410),
  },
  [874] = {
    [aux_sym_array_repeat1] = STATE(235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_RPAREN] = ACTIONS(2410),
  },
  [875] = {
    [aux_sym_array_repeat1] = STATE(896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_RPAREN] = ACTIONS(2410),
  },
  [876] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2412),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [877] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2412),
  },
  [878] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(2352),
    [anon_sym_LT_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_PIPE] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(1360),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_QMARK] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2336),
  },
  [879] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
  },
  [880] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(2352),
    [anon_sym_LT_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_PIPE] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_QMARK] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2336),
  },
  [881] = {
    [anon_sym_GT] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
  },
  [882] = {
    [sym_new_expression] = STATE(900),
    [sym_augmented_assignment_expression] = STATE(900),
    [sym_statement_block] = STATE(467),
    [sym_unary_expression] = STATE(900),
    [sym_update_expression] = STATE(900),
    [sym_meta_property] = STATE(900),
    [sym_regex] = STATE(900),
    [sym__expression] = STATE(900),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(900),
    [sym_jsx_fragment] = STATE(900),
    [sym_jsx_element] = STATE(900),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(900),
    [sym_await_expression] = STATE(900),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(900),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(900),
    [sym_generator_function] = STATE(900),
    [sym_call_expression] = STATE(900),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(900),
    [sym_ternary_expression] = STATE(900),
    [sym_binary_expression] = STATE(900),
    [sym_template_string] = STATE(900),
    [sym_parenthesized_expression] = STATE(900),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(900),
    [sym_class] = STATE(900),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(2416),
    [sym_undefined] = ACTIONS(2416),
    [sym_true] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(2416),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2418),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [883] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(1368),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_GT_GT] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(1366),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
  },
  [884] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
  },
  [885] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2336),
  },
  [886] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2336),
  },
  [887] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [888] = {
    [sym_class_heritage] = STATE(902),
    [sym_class_body] = STATE(718),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(464),
  },
  [889] = {
    [sym_class_body] = STATE(733),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
  },
  [890] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(2422),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [891] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2422),
  },
  [892] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2424),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [893] = {
    [sym_statement_block] = STATE(736),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
  },
  [894] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(506),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(506),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(506),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(506),
    [sym_switch_statement] = STATE(506),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(506),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(506),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_statement_block] = STATE(506),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(506),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(506),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(506),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(506),
    [sym_with_statement] = STATE(506),
    [sym_empty_statement] = STATE(506),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(506),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(506),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_labeled_statement] = STATE(506),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [895] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [896] = {
    [aux_sym_array_repeat1] = STATE(235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_RPAREN] = ACTIONS(2428),
  },
  [897] = {
    [anon_sym_GT] = ACTIONS(2430),
    [sym_comment] = ACTIONS(3),
  },
  [898] = {
    [anon_sym_GT] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
  },
  [899] = {
    [sym_statement_block] = STATE(741),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
  },
  [900] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(2352),
    [anon_sym_LT_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_PIPE] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(1739),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_QMARK] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(1739),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2336),
  },
  [901] = {
    [sym_new_expression] = STATE(909),
    [sym_augmented_assignment_expression] = STATE(909),
    [sym_unary_expression] = STATE(909),
    [sym_update_expression] = STATE(909),
    [sym_regex] = STATE(909),
    [sym_meta_property] = STATE(909),
    [sym__expression] = STATE(909),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(909),
    [sym_jsx_fragment] = STATE(909),
    [sym_jsx_element] = STATE(909),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(909),
    [sym_await_expression] = STATE(909),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(909),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(909),
    [sym_generator_function] = STATE(909),
    [sym_call_expression] = STATE(909),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(909),
    [sym_ternary_expression] = STATE(909),
    [sym_binary_expression] = STATE(909),
    [sym_template_string] = STATE(909),
    [sym_parenthesized_expression] = STATE(909),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(909),
    [sym_class] = STATE(909),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(2434),
    [sym_undefined] = ACTIONS(2434),
    [sym_true] = ACTIONS(2434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(2434),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [902] = {
    [sym_class_body] = STATE(743),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
  },
  [903] = {
    [anon_sym_DOT] = ACTIONS(808),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(806),
    [anon_sym_GT] = ACTIONS(2438),
  },
  [904] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(806),
    [anon_sym_GT] = ACTIONS(2438),
  },
  [905] = {
    [anon_sym_DOT] = ACTIONS(808),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT] = ACTIONS(2438),
  },
  [906] = {
    [anon_sym_GT] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
  },
  [907] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(577),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(577),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(577),
    [sym_return_statement] = STATE(577),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(577),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(577),
    [sym_switch_statement] = STATE(577),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(577),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(577),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(577),
    [sym_continue_statement] = STATE(577),
    [sym_statement_block] = STATE(577),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(577),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(577),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(577),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(577),
    [sym_with_statement] = STATE(577),
    [sym_empty_statement] = STATE(577),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(577),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(577),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(577),
    [sym_break_statement] = STATE(577),
    [sym_labeled_statement] = STATE(577),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [908] = {
    [anon_sym_GT] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
  },
  [909] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(1954),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(2352),
    [anon_sym_LT_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_PIPE] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(1954),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_QMARK] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(1954),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2336),
  },
  [910] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(598),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(598),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(598),
    [sym_return_statement] = STATE(598),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(598),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(598),
    [sym_switch_statement] = STATE(598),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(598),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(598),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(598),
    [sym_continue_statement] = STATE(598),
    [sym_statement_block] = STATE(598),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(598),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(598),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(598),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(598),
    [sym_with_statement] = STATE(598),
    [sym_empty_statement] = STATE(598),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(598),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(598),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(598),
    [sym_break_statement] = STATE(598),
    [sym_labeled_statement] = STATE(598),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [911] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(599),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(599),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(599),
    [sym_return_statement] = STATE(599),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(599),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(599),
    [sym_switch_statement] = STATE(599),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(599),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(599),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(599),
    [sym_continue_statement] = STATE(599),
    [sym_statement_block] = STATE(599),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(599),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(599),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(599),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(599),
    [sym_with_statement] = STATE(599),
    [sym_empty_statement] = STATE(599),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(599),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(599),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(599),
    [sym_break_statement] = STATE(599),
    [sym_labeled_statement] = STATE(599),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [912] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(600),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(600),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(600),
    [sym_return_statement] = STATE(600),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(600),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(600),
    [sym_switch_statement] = STATE(600),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(600),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(600),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(600),
    [sym_continue_statement] = STATE(600),
    [sym_statement_block] = STATE(600),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(600),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(600),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(600),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(600),
    [sym_with_statement] = STATE(600),
    [sym_empty_statement] = STATE(600),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(600),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(600),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(600),
    [sym_break_statement] = STATE(600),
    [sym_labeled_statement] = STATE(600),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [913] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(601),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(601),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(601),
    [sym_return_statement] = STATE(601),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(601),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(601),
    [sym_switch_statement] = STATE(601),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(601),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(601),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(601),
    [sym_continue_statement] = STATE(601),
    [sym_statement_block] = STATE(601),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(601),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(601),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(601),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(601),
    [sym_with_statement] = STATE(601),
    [sym_empty_statement] = STATE(601),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(601),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(601),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(601),
    [sym_break_statement] = STATE(601),
    [sym_labeled_statement] = STATE(601),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [914] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(602),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(602),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(602),
    [sym_return_statement] = STATE(602),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(602),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(602),
    [sym_switch_statement] = STATE(602),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(602),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(602),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(602),
    [sym_continue_statement] = STATE(602),
    [sym_statement_block] = STATE(602),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(602),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(602),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(602),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(602),
    [sym_with_statement] = STATE(602),
    [sym_empty_statement] = STATE(602),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(602),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(602),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(602),
    [sym_break_statement] = STATE(602),
    [sym_labeled_statement] = STATE(602),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [915] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(603),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(603),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(603),
    [sym_return_statement] = STATE(603),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(603),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(603),
    [sym_switch_statement] = STATE(603),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(603),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(603),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(603),
    [sym_continue_statement] = STATE(603),
    [sym_statement_block] = STATE(603),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(603),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(603),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(603),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(603),
    [sym_with_statement] = STATE(603),
    [sym_empty_statement] = STATE(603),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(603),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(603),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(603),
    [sym_break_statement] = STATE(603),
    [sym_labeled_statement] = STATE(603),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [916] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(604),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(604),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(604),
    [sym_return_statement] = STATE(604),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(604),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(604),
    [sym_switch_statement] = STATE(604),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(604),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(604),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(604),
    [sym_continue_statement] = STATE(604),
    [sym_statement_block] = STATE(604),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(604),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(604),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(604),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(604),
    [sym_with_statement] = STATE(604),
    [sym_empty_statement] = STATE(604),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(604),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(604),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(604),
    [sym_break_statement] = STATE(604),
    [sym_labeled_statement] = STATE(604),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [917] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(610),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(610),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(610),
    [sym_return_statement] = STATE(610),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(610),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(610),
    [sym_switch_statement] = STATE(610),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(610),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(610),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(610),
    [sym_continue_statement] = STATE(610),
    [sym_statement_block] = STATE(610),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(610),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(610),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(610),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(610),
    [sym_with_statement] = STATE(610),
    [sym_empty_statement] = STATE(610),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(610),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(610),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(610),
    [sym_break_statement] = STATE(610),
    [sym_labeled_statement] = STATE(610),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [918] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(611),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(611),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(611),
    [sym_return_statement] = STATE(611),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(611),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(611),
    [sym_switch_statement] = STATE(611),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(611),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(611),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(611),
    [sym_continue_statement] = STATE(611),
    [sym_statement_block] = STATE(611),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(611),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(611),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(611),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(611),
    [sym_with_statement] = STATE(611),
    [sym_empty_statement] = STATE(611),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(611),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(611),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(611),
    [sym_break_statement] = STATE(611),
    [sym_labeled_statement] = STATE(611),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [919] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(612),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(612),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(612),
    [sym_return_statement] = STATE(612),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(612),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(612),
    [sym_switch_statement] = STATE(612),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(612),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(612),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(612),
    [sym_continue_statement] = STATE(612),
    [sym_statement_block] = STATE(612),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(612),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(612),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(612),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(612),
    [sym_with_statement] = STATE(612),
    [sym_empty_statement] = STATE(612),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(612),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(612),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(612),
    [sym_break_statement] = STATE(612),
    [sym_labeled_statement] = STATE(612),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [920] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(613),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(613),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(613),
    [sym_return_statement] = STATE(613),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(613),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(613),
    [sym_switch_statement] = STATE(613),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(613),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(613),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(613),
    [sym_continue_statement] = STATE(613),
    [sym_statement_block] = STATE(613),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(613),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(613),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(613),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(613),
    [sym_with_statement] = STATE(613),
    [sym_empty_statement] = STATE(613),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(613),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(613),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(613),
    [sym_break_statement] = STATE(613),
    [sym_labeled_statement] = STATE(613),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [921] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(614),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(614),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(614),
    [sym_return_statement] = STATE(614),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(614),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(614),
    [sym_switch_statement] = STATE(614),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(614),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(614),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(614),
    [sym_continue_statement] = STATE(614),
    [sym_statement_block] = STATE(614),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(614),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(614),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(614),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(614),
    [sym_with_statement] = STATE(614),
    [sym_empty_statement] = STATE(614),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(614),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(614),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(614),
    [sym_break_statement] = STATE(614),
    [sym_labeled_statement] = STATE(614),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [922] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(615),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(615),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(615),
    [sym_return_statement] = STATE(615),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(615),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(615),
    [sym_switch_statement] = STATE(615),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(615),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(615),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(615),
    [sym_continue_statement] = STATE(615),
    [sym_statement_block] = STATE(615),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(615),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(615),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(615),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(615),
    [sym_with_statement] = STATE(615),
    [sym_empty_statement] = STATE(615),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(615),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(615),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(615),
    [sym_break_statement] = STATE(615),
    [sym_labeled_statement] = STATE(615),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [923] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(616),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(616),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(616),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(616),
    [sym_switch_statement] = STATE(616),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(616),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(616),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_statement_block] = STATE(616),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(616),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(616),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(616),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(616),
    [sym_with_statement] = STATE(616),
    [sym_empty_statement] = STATE(616),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(616),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(616),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_labeled_statement] = STATE(616),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [924] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(617),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(617),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(617),
    [sym_return_statement] = STATE(617),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(617),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(617),
    [sym_switch_statement] = STATE(617),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(617),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(617),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(617),
    [sym_continue_statement] = STATE(617),
    [sym_statement_block] = STATE(617),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(617),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(617),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(617),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(617),
    [sym_with_statement] = STATE(617),
    [sym_empty_statement] = STATE(617),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(617),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(617),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(617),
    [sym_break_statement] = STATE(617),
    [sym_labeled_statement] = STATE(617),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [925] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(618),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(618),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(618),
    [sym_return_statement] = STATE(618),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(618),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(618),
    [sym_switch_statement] = STATE(618),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(618),
    [sym_decorator] = STATE(1020),
    [sym_throw_statement] = STATE(618),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(629),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(618),
    [sym_continue_statement] = STATE(618),
    [sym_statement_block] = STATE(618),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(618),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(618),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1020),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(630),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(618),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(618),
    [sym_with_statement] = STATE(618),
    [sym_empty_statement] = STATE(618),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(618),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(618),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(618),
    [sym_break_statement] = STATE(618),
    [sym_labeled_statement] = STATE(618),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(629),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(372),
    [anon_sym_with] = ACTIONS(374),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(376),
    [sym_identifier] = ACTIONS(378),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(380),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [926] = {
    [sym_new_expression] = STATE(935),
    [sym_augmented_assignment_expression] = STATE(935),
    [sym_unary_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_regex] = STATE(935),
    [sym_meta_property] = STATE(935),
    [sym__expression] = STATE(935),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(935),
    [sym_jsx_fragment] = STATE(935),
    [aux_sym_array_repeat1] = STATE(936),
    [sym_jsx_element] = STATE(935),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(935),
    [sym_await_expression] = STATE(935),
    [sym_member_expression] = STATE(627),
    [sym_spread_element] = STATE(937),
    [sym_string] = STATE(935),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(935),
    [sym_generator_function] = STATE(935),
    [sym_call_expression] = STATE(935),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(935),
    [sym_ternary_expression] = STATE(935),
    [sym_binary_expression] = STATE(935),
    [sym_template_string] = STATE(935),
    [sym_parenthesized_expression] = STATE(935),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(935),
    [sym_class] = STATE(935),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2442),
    [sym_true] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_false] = ACTIONS(2442),
    [sym_number] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(121),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym_undefined] = ACTIONS(2442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2446),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [sym_identifier] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_void] = ACTIONS(121),
  },
  [927] = {
    [aux_sym_string_repeat1] = STATE(938),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [sym_comment] = ACTIONS(171),
    [sym_escape_sequence] = ACTIONS(2450),
    [aux_sym_string_token1] = ACTIONS(2450),
  },
  [928] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(826),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(826),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(826),
    [sym_return_statement] = STATE(826),
    [sym_method_definition] = STATE(107),
    [aux_sym_program_repeat1] = STATE(826),
    [sym_yield_expression] = STATE(48),
    [aux_sym_object_repeat1] = STATE(109),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(826),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(826),
    [sym_spread_element] = STATE(107),
    [sym_switch_statement] = STATE(826),
    [sym_string] = STATE(102),
    [sym_try_statement] = STATE(826),
    [sym_decorator] = STATE(111),
    [sym_throw_statement] = STATE(826),
    [sym_formal_parameters] = STATE(45),
    [sym_computed_property_name] = STATE(112),
    [sym_object] = STATE(110),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(826),
    [sym_continue_statement] = STATE(826),
    [sym_statement_block] = STATE(826),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(826),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(826),
    [sym_pair] = STATE(107),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(111),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(826),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(826),
    [sym_with_statement] = STATE(826),
    [sym_empty_statement] = STATE(826),
    [sym__property_name] = STATE(112),
    [sym_assignment_pattern] = STATE(107),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(826),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(826),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(826),
    [sym_break_statement] = STATE(826),
    [sym_labeled_statement] = STATE(826),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(113),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(213),
    [anon_sym_async] = ACTIONS(219),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [929] = {
    [aux_sym_string_repeat2] = STATE(943),
    [sym_comment] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(2448),
    [sym_escape_sequence] = ACTIONS(2454),
    [aux_sym_string_token2] = ACTIONS(2454),
  },
  [930] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(163),
  },
  [931] = {
    [sym_jsx_closing_element] = STATE(749),
    [sym_jsx_element] = STATE(947),
    [sym_jsx_opening_element] = STATE(931),
    [aux_sym_jsx_element_repeat1] = STATE(947),
    [sym_jsx_expression] = STATE(947),
    [sym_jsx_self_closing_element] = STATE(947),
    [anon_sym_LBRACE] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(2456),
    [anon_sym_LT] = ACTIONS(2458),
  },
  [932] = {
    [sym__property_name] = STATE(112),
    [sym_computed_property_name] = STATE(112),
    [sym_object] = STATE(212),
    [sym_assignment_pattern] = STATE(940),
    [sym_method_definition] = STATE(940),
    [sym_pair] = STATE(940),
    [aux_sym_export_statement_repeat1] = STATE(1083),
    [aux_sym_object_repeat1] = STATE(942),
    [sym_array] = STATE(213),
    [sym_spread_element] = STATE(940),
    [sym_string] = STATE(112),
    [sym_decorator] = STATE(1083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(426),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_get] = ACTIONS(2462),
  },
  [933] = {
    [sym_public_field_definition] = STATE(225),
    [sym__property_name] = STATE(222),
    [sym_computed_property_name] = STATE(222),
    [aux_sym_class_body_repeat1] = STATE(951),
    [sym_method_definition] = STATE(224),
    [sym_string] = STATE(222),
    [aux_sym_export_statement_repeat1] = STATE(221),
    [sym_decorator] = STATE(221),
    [anon_sym_LBRACK] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(448),
    [anon_sym_static] = ACTIONS(450),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(454),
    [anon_sym_SQUOTE] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(460),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2468),
    [anon_sym_get] = ACTIONS(458),
  },
  [934] = {
    [sym_class_heritage] = STATE(952),
    [sym_class_body] = STATE(752),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(464),
  },
  [935] = {
    [aux_sym_array_repeat1] = STATE(953),
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2472),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [936] = {
    [aux_sym_array_repeat1] = STATE(235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2472),
    [anon_sym_COMMA] = ACTIONS(131),
  },
  [937] = {
    [aux_sym_array_repeat1] = STATE(953),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2472),
    [anon_sym_COMMA] = ACTIONS(131),
  },
  [938] = {
    [aux_sym_string_repeat1] = STATE(237),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [sym_comment] = ACTIONS(171),
    [sym_escape_sequence] = ACTIONS(530),
    [aux_sym_string_token1] = ACTIONS(530),
  },
  [939] = {
    [sym_statement_block] = STATE(755),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
  },
  [940] = {
    [aux_sym_object_repeat1] = STATE(957),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [941] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(188),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(188),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(188),
    [sym_return_statement] = STATE(188),
    [aux_sym_program_repeat1] = STATE(188),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(188),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(188),
    [sym_switch_statement] = STATE(188),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(188),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(188),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(188),
    [sym_continue_statement] = STATE(188),
    [sym_statement_block] = STATE(188),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(188),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(188),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(188),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(188),
    [sym_with_statement] = STATE(188),
    [sym_empty_statement] = STATE(188),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(188),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(188),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(188),
    [sym_break_statement] = STATE(188),
    [sym_labeled_statement] = STATE(188),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2480),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [942] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [943] = {
    [aux_sym_string_repeat2] = STATE(301),
    [sym_comment] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [sym_escape_sequence] = ACTIONS(686),
    [aux_sym_string_token2] = ACTIONS(686),
  },
  [944] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2482),
  },
  [945] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2482),
  },
  [946] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(941),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(941),
    [sym_return_statement] = STATE(941),
    [aux_sym_program_repeat1] = STATE(941),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(941),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(941),
    [sym_switch_statement] = STATE(941),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(941),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(941),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(941),
    [sym_continue_statement] = STATE(941),
    [sym_statement_block] = STATE(941),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(941),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(941),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(941),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(941),
    [sym_with_statement] = STATE(941),
    [sym_empty_statement] = STATE(941),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(941),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(941),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(941),
    [sym_break_statement] = STATE(941),
    [sym_labeled_statement] = STATE(941),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2484),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [947] = {
    [sym_jsx_closing_element] = STATE(761),
    [sym_jsx_element] = STATE(382),
    [sym_jsx_opening_element] = STATE(931),
    [aux_sym_jsx_element_repeat1] = STATE(382),
    [sym_jsx_expression] = STATE(382),
    [sym_jsx_self_closing_element] = STATE(382),
    [anon_sym_LBRACE] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(2458),
  },
  [948] = {
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym_string] = STATE(269),
    [aux_sym_object_repeat1] = STATE(956),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(604),
    [sym_identifier] = ACTIONS(598),
    [sym_number] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(598),
    [anon_sym_async] = ACTIONS(598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2486),
    [anon_sym_get] = ACTIONS(598),
  },
  [949] = {
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym_string] = STATE(269),
    [aux_sym_object_repeat1] = STATE(956),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(604),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_STAR] = ACTIONS(1085),
    [sym_number] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(632),
    [anon_sym_async] = ACTIONS(598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2486),
    [anon_sym_get] = ACTIONS(632),
  },
  [950] = {
    [sym__initializer] = STATE(384),
    [aux_sym_object_repeat1] = STATE(956),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_LPAREN] = ACTIONS(604),
    [anon_sym_RBRACE] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1087),
  },
  [951] = {
    [sym_public_field_definition] = STATE(225),
    [sym__property_name] = STATE(222),
    [sym_computed_property_name] = STATE(222),
    [aux_sym_class_body_repeat1] = STATE(393),
    [sym_method_definition] = STATE(224),
    [sym_string] = STATE(222),
    [aux_sym_export_statement_repeat1] = STATE(221),
    [sym_decorator] = STATE(221),
    [anon_sym_LBRACK] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(448),
    [anon_sym_static] = ACTIONS(450),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(454),
    [anon_sym_SQUOTE] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(460),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2488),
    [anon_sym_get] = ACTIONS(458),
  },
  [952] = {
    [sym_class_body] = STATE(763),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
  },
  [953] = {
    [aux_sym_array_repeat1] = STATE(235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2490),
    [anon_sym_COMMA] = ACTIONS(131),
  },
  [954] = {
    [sym_statement_block] = STATE(765),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
  },
  [955] = {
    [sym_statement_block] = STATE(766),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
  },
  [956] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2492),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [957] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [958] = {
    [aux_sym_object_repeat1] = STATE(962),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [959] = {
    [anon_sym_GT] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
  },
  [960] = {
    [sym_class_heritage] = STATE(966),
    [sym_class_body] = STATE(763),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(464),
  },
  [961] = {
    [sym_statement_block] = STATE(770),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
  },
  [962] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2498),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [963] = {
    [anon_sym_GT] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
  },
  [964] = {
    [anon_sym_GT] = ACTIONS(2502),
    [sym_comment] = ACTIONS(3),
  },
  [965] = {
    [sym_statement_block] = STATE(774),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
  },
  [966] = {
    [sym_class_body] = STATE(775),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
  },
  [967] = {
    [anon_sym_DOT] = ACTIONS(808),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(806),
    [anon_sym_GT] = ACTIONS(2504),
  },
  [968] = {
    [anon_sym_COLON] = ACTIONS(806),
    [anon_sym_GT] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
  },
  [969] = {
    [anon_sym_DOT] = ACTIONS(808),
    [anon_sym_GT] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
  },
  [970] = {
    [anon_sym_GT] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
  },
  [971] = {
    [anon_sym_GT] = ACTIONS(2506),
    [sym_comment] = ACTIONS(3),
  },
  [972] = {
    [sym_new_expression] = STATE(977),
    [sym_augmented_assignment_expression] = STATE(977),
    [sym_unary_expression] = STATE(977),
    [sym_update_expression] = STATE(977),
    [sym_regex] = STATE(977),
    [sym_meta_property] = STATE(977),
    [sym__expression] = STATE(977),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(977),
    [sym_jsx_fragment] = STATE(977),
    [aux_sym_array_repeat1] = STATE(978),
    [sym_jsx_element] = STATE(977),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(977),
    [sym_await_expression] = STATE(977),
    [sym_member_expression] = STATE(627),
    [sym_spread_element] = STATE(979),
    [sym_string] = STATE(977),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(977),
    [sym_generator_function] = STATE(977),
    [sym_call_expression] = STATE(977),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(977),
    [sym_ternary_expression] = STATE(977),
    [sym_binary_expression] = STATE(977),
    [sym_template_string] = STATE(977),
    [sym_parenthesized_expression] = STATE(977),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(977),
    [sym_class] = STATE(977),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2508),
    [sym_undefined] = ACTIONS(2508),
    [sym_true] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2138),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2510),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [973] = {
    [aux_sym_string_repeat1] = STATE(980),
    [anon_sym_DQUOTE] = ACTIONS(2512),
    [sym_comment] = ACTIONS(171),
    [sym_escape_sequence] = ACTIONS(2514),
    [aux_sym_string_token1] = ACTIONS(2514),
  },
  [974] = {
    [aux_sym_string_repeat2] = STATE(984),
    [sym_comment] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(2512),
    [sym_escape_sequence] = ACTIONS(2516),
    [aux_sym_string_token2] = ACTIONS(2516),
  },
  [975] = {
    [sym_jsx_closing_element] = STATE(780),
    [sym_jsx_element] = STATE(986),
    [sym_jsx_opening_element] = STATE(931),
    [aux_sym_jsx_element_repeat1] = STATE(986),
    [sym_jsx_expression] = STATE(986),
    [sym_jsx_self_closing_element] = STATE(986),
    [anon_sym_LBRACE] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(2518),
    [anon_sym_LT] = ACTIONS(2520),
  },
  [976] = {
    [sym__property_name] = STATE(112),
    [sym_computed_property_name] = STATE(112),
    [sym_object] = STATE(212),
    [sym_assignment_pattern] = STATE(981),
    [sym_method_definition] = STATE(981),
    [sym_pair] = STATE(981),
    [aux_sym_export_statement_repeat1] = STATE(1094),
    [aux_sym_object_repeat1] = STATE(983),
    [sym_array] = STATE(213),
    [sym_spread_element] = STATE(981),
    [sym_string] = STATE(112),
    [sym_decorator] = STATE(1094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(426),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2528),
    [anon_sym_get] = ACTIONS(2524),
  },
  [977] = {
    [aux_sym_array_repeat1] = STATE(990),
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2530),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [978] = {
    [aux_sym_array_repeat1] = STATE(235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2530),
    [anon_sym_COMMA] = ACTIONS(131),
  },
  [979] = {
    [aux_sym_array_repeat1] = STATE(990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2530),
    [anon_sym_COMMA] = ACTIONS(131),
  },
  [980] = {
    [aux_sym_string_repeat1] = STATE(237),
    [anon_sym_DQUOTE] = ACTIONS(2532),
    [sym_comment] = ACTIONS(171),
    [sym_escape_sequence] = ACTIONS(530),
    [aux_sym_string_token1] = ACTIONS(530),
  },
  [981] = {
    [aux_sym_object_repeat1] = STATE(992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2534),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [982] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(188),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(188),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(188),
    [sym_return_statement] = STATE(188),
    [aux_sym_program_repeat1] = STATE(188),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(188),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(188),
    [sym_switch_statement] = STATE(188),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(188),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(188),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(188),
    [sym_continue_statement] = STATE(188),
    [sym_statement_block] = STATE(188),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(188),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(188),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(188),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(188),
    [sym_with_statement] = STATE(188),
    [sym_empty_statement] = STATE(188),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(188),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(188),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(188),
    [sym_break_statement] = STATE(188),
    [sym_labeled_statement] = STATE(188),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [983] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2534),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [984] = {
    [aux_sym_string_repeat2] = STATE(301),
    [sym_comment] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(2532),
    [sym_escape_sequence] = ACTIONS(686),
    [aux_sym_string_token2] = ACTIONS(686),
  },
  [985] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(982),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(982),
    [sym_return_statement] = STATE(982),
    [aux_sym_program_repeat1] = STATE(982),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(982),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(982),
    [sym_switch_statement] = STATE(982),
    [sym_string] = STATE(48),
    [sym_try_statement] = STATE(982),
    [sym_decorator] = STATE(49),
    [sym_throw_statement] = STATE(982),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(982),
    [sym_continue_statement] = STATE(982),
    [sym_statement_block] = STATE(982),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(982),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(982),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(982),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(982),
    [sym_with_statement] = STATE(982),
    [sym_empty_statement] = STATE(982),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(982),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(982),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(982),
    [sym_break_statement] = STATE(982),
    [sym_labeled_statement] = STATE(982),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [986] = {
    [sym_jsx_closing_element] = STATE(788),
    [sym_jsx_element] = STATE(382),
    [sym_jsx_opening_element] = STATE(931),
    [aux_sym_jsx_element_repeat1] = STATE(382),
    [sym_jsx_expression] = STATE(382),
    [sym_jsx_self_closing_element] = STATE(382),
    [anon_sym_LBRACE] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(2520),
  },
  [987] = {
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym_string] = STATE(269),
    [aux_sym_object_repeat1] = STATE(991),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(604),
    [sym_identifier] = ACTIONS(598),
    [sym_number] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(598),
    [anon_sym_async] = ACTIONS(598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2540),
    [anon_sym_get] = ACTIONS(598),
  },
  [988] = {
    [sym__property_name] = STATE(269),
    [sym_computed_property_name] = STATE(269),
    [sym_string] = STATE(269),
    [aux_sym_object_repeat1] = STATE(991),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(604),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_STAR] = ACTIONS(1085),
    [sym_number] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(632),
    [anon_sym_async] = ACTIONS(598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2540),
    [anon_sym_get] = ACTIONS(632),
  },
  [989] = {
    [sym__initializer] = STATE(384),
    [aux_sym_object_repeat1] = STATE(991),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_LPAREN] = ACTIONS(604),
    [anon_sym_RBRACE] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1087),
  },
  [990] = {
    [aux_sym_array_repeat1] = STATE(235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2542),
    [anon_sym_COMMA] = ACTIONS(131),
  },
  [991] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [992] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [993] = {
    [aux_sym_object_repeat1] = STATE(995),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [994] = {
    [anon_sym_GT] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
  },
  [995] = {
    [aux_sym_object_repeat1] = STATE(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(215),
  },
  [996] = {
    [anon_sym_GT] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
  },
  [997] = {
    [anon_sym_DOT] = ACTIONS(808),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(806),
    [anon_sym_GT] = ACTIONS(2554),
  },
  [998] = {
    [anon_sym_COLON] = ACTIONS(806),
    [anon_sym_GT] = ACTIONS(2554),
    [sym_comment] = ACTIONS(3),
  },
  [999] = {
    [anon_sym_DOT] = ACTIONS(808),
    [anon_sym_GT] = ACTIONS(2554),
    [sym_comment] = ACTIONS(3),
  },
  [1000] = {
    [anon_sym_GT] = ACTIONS(2554),
    [sym_comment] = ACTIONS(3),
  },
  [1001] = {
    [sym_new_expression] = STATE(1023),
    [sym_augmented_assignment_expression] = STATE(1023),
    [sym_unary_expression] = STATE(1023),
    [sym_update_expression] = STATE(1023),
    [sym_regex] = STATE(1023),
    [sym_meta_property] = STATE(1023),
    [sym__expression] = STATE(1023),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(1023),
    [sym_jsx_fragment] = STATE(1023),
    [sym_jsx_element] = STATE(1023),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(1023),
    [sym_await_expression] = STATE(1023),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(1023),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(1023),
    [sym_generator_function] = STATE(1023),
    [sym_call_expression] = STATE(1023),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(1023),
    [sym_ternary_expression] = STATE(1023),
    [sym_binary_expression] = STATE(1023),
    [sym_template_string] = STATE(1023),
    [sym_parenthesized_expression] = STATE(1023),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(1023),
    [sym_class] = STATE(1023),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(2556),
    [sym_undefined] = ACTIONS(2556),
    [sym_true] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(2556),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2558),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [1002] = {
    [sym_new_expression] = STATE(60),
    [sym_augmented_assignment_expression] = STATE(60),
    [sym_unary_expression] = STATE(60),
    [sym_update_expression] = STATE(60),
    [sym_regex] = STATE(60),
    [sym_meta_property] = STATE(60),
    [sym__expression] = STATE(60),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(60),
    [sym_jsx_fragment] = STATE(60),
    [sym_jsx_element] = STATE(60),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(60),
    [sym_await_expression] = STATE(60),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(60),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(60),
    [sym_generator_function] = STATE(60),
    [sym_call_expression] = STATE(60),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(60),
    [sym_ternary_expression] = STATE(60),
    [sym_binary_expression] = STATE(60),
    [sym_template_string] = STATE(60),
    [sym_parenthesized_expression] = STATE(60),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(60),
    [sym_class] = STATE(60),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(101),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(101),
    [sym_undefined] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(103),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [1003] = {
    [sym_new_expression] = STATE(66),
    [sym_augmented_assignment_expression] = STATE(66),
    [sym_unary_expression] = STATE(66),
    [sym_update_expression] = STATE(66),
    [sym_regex] = STATE(66),
    [sym_meta_property] = STATE(66),
    [sym__expression] = STATE(66),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(66),
    [sym_jsx_fragment] = STATE(66),
    [sym_jsx_element] = STATE(66),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(66),
    [sym_await_expression] = STATE(66),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(66),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(66),
    [sym_generator_function] = STATE(66),
    [sym_call_expression] = STATE(66),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(66),
    [sym_ternary_expression] = STATE(66),
    [sym_binary_expression] = STATE(66),
    [sym_template_string] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(66),
    [sym_class] = STATE(66),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(111),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(111),
    [sym_undefined] = ACTIONS(111),
    [sym_true] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(113),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [1004] = {
    [sym_regex_pattern] = ACTIONS(2560),
    [sym_comment] = ACTIONS(171),
  },
  [1005] = {
    [sym_formal_parameters] = STATE(820),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
  },
  [1006] = {
    [sym_parenthesized_expression] = STATE(821),
    [anon_sym_LPAREN] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
  },
  [1007] = {
    [sym_new_expression] = STATE(98),
    [sym_augmented_assignment_expression] = STATE(98),
    [sym_unary_expression] = STATE(98),
    [sym_update_expression] = STATE(98),
    [sym_regex] = STATE(98),
    [sym_meta_property] = STATE(98),
    [sym__expression] = STATE(98),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(98),
    [sym_jsx_fragment] = STATE(98),
    [sym_jsx_element] = STATE(98),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(98),
    [sym_await_expression] = STATE(98),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(98),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(98),
    [sym_generator_function] = STATE(98),
    [sym_call_expression] = STATE(98),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(98),
    [sym_ternary_expression] = STATE(98),
    [sym_binary_expression] = STATE(98),
    [sym_template_string] = STATE(98),
    [sym_parenthesized_expression] = STATE(98),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(98),
    [sym_class] = STATE(98),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(207),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(207),
    [sym_undefined] = ACTIONS(207),
    [sym_true] = ACTIONS(207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(207),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(209),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [1008] = {
    [sym_new_expression] = STATE(48),
    [sym__declaration] = STATE(826),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_if_statement] = STATE(826),
    [sym_regex] = STATE(48),
    [sym_do_statement] = STATE(826),
    [sym_return_statement] = STATE(826),
    [sym_method_definition] = STATE(107),
    [aux_sym_program_repeat1] = STATE(826),
    [sym_yield_expression] = STATE(48),
    [aux_sym_object_repeat1] = STATE(109),
    [sym_jsx_fragment] = STATE(48),
    [sym_arrow_function] = STATE(48),
    [sym_import_statement] = STATE(826),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(826),
    [sym_spread_element] = STATE(107),
    [sym_switch_statement] = STATE(826),
    [sym_string] = STATE(102),
    [sym_try_statement] = STATE(826),
    [sym_decorator] = STATE(111),
    [sym_throw_statement] = STATE(826),
    [sym_formal_parameters] = STATE(45),
    [sym_computed_property_name] = STATE(112),
    [sym_object] = STATE(110),
    [sym_generator_function] = STATE(47),
    [sym_subscript_expression] = STATE(44),
    [sym_ternary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_for_of_statement] = STATE(826),
    [sym_continue_statement] = STATE(826),
    [sym_statement_block] = STATE(826),
    [sym_update_expression] = STATE(48),
    [sym_while_statement] = STATE(826),
    [sym_meta_property] = STATE(48),
    [sym_debugger_statement] = STATE(826),
    [sym_pair] = STATE(107),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(111),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(50),
    [sym_await_expression] = STATE(48),
    [sym_variable_declaration] = STATE(826),
    [sym_sequence_expression] = STATE(52),
    [sym_for_statement] = STATE(826),
    [sym_with_statement] = STATE(826),
    [sym_empty_statement] = STATE(826),
    [sym__property_name] = STATE(112),
    [sym_assignment_pattern] = STATE(107),
    [sym_anonymous_class] = STATE(48),
    [sym_export_statement] = STATE(826),
    [sym_call_expression] = STATE(48),
    [sym_assignment_expression] = STATE(48),
    [sym_lexical_declaration] = STATE(826),
    [sym_binary_expression] = STATE(48),
    [sym_for_in_statement] = STATE(826),
    [sym_break_statement] = STATE(826),
    [sym_labeled_statement] = STATE(826),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(113),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(47),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_throw] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(213),
    [anon_sym_async] = ACTIONS(219),
    [anon_sym_var] = ACTIONS(87),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(63),
    [sym_identifier] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_switch] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(17),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(33),
  },
  [1009] = {
    [sym_parenthesized_expression] = STATE(828),
    [anon_sym_LPAREN] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
  },
  [1010] = {
    [sym_new_expression] = STATE(119),
    [sym_augmented_assignment_expression] = STATE(119),
    [sym_unary_expression] = STATE(119),
    [sym_update_expression] = STATE(119),
    [sym_regex] = STATE(119),
    [sym_meta_property] = STATE(119),
    [sym__expression] = STATE(119),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(119),
    [sym_jsx_fragment] = STATE(119),
    [sym_jsx_element] = STATE(119),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(119),
    [sym_await_expression] = STATE(119),
    [sym_member_expression] = STATE(1017),
    [sym_string] = STATE(119),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(1018),
    [sym_object] = STATE(1019),
    [sym_anonymous_class] = STATE(119),
    [sym_generator_function] = STATE(119),
    [sym_call_expression] = STATE(119),
    [sym_subscript_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(119),
    [sym_ternary_expression] = STATE(119),
    [sym_binary_expression] = STATE(119),
    [sym_template_string] = STATE(119),
    [sym_parenthesized_expression] = STATE(119),
    [sym_array] = STATE(1021),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(119),
    [sym_class] = STATE(119),
    [anon_sym_await] = ACTIONS(2236),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(235),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(2240),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(2246),
    [sym_this] = ACTIONS(235),
    [sym_undefined] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_EQ_GT] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(2254),
    [sym_false] = ACTIONS(235),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(237),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2244),
    [anon_sym_typeof] = ACTIONS(2244),
  },
  [1011] = {
    [sym__initializer] = STATE(124),
    [anon_sym_instanceof] = ACTIONS(241),
    [anon_sym_SLASH] = ACTIONS(245),
    [sym__automatic_semicolon] = ACTIONS(241),
    [anon_sym_LBRACK] = ACTIONS(241),
    [anon_sym_AMP_EQ] = ACTIONS(2566),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2566),
    [anon_sym_GT_GT_EQ] = ACTIONS(2566),
    [anon_sym_STAR_EQ] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_CARET] = ACTIONS(245),
    [anon_sym_STAR_STAR] = ACTIONS(245),
    [anon_sym_AMP_AMP] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_GT_GT] = ACTIONS(245),
    [anon_sym_AMP] = ACTIONS(245),
    [anon_sym_in] = ACTIONS(245),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(241),
    [anon_sym_DOT] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE_EQ] = ACTIONS(2566),
    [anon_sym_PERCENT_EQ] = ACTIONS(2566),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2566),
    [anon_sym_SLASH_EQ] = ACTIONS(2566),
    [anon_sym_PLUS_EQ] = ACTIONS(2566),
    [anon_sym_PIPE] = ACTIONS(245),
    [anon_sym_LT_EQ] = ACTIONS(241),
    [anon_sym_PIPE_PIPE] = ACTIONS(241),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_GT_GT_GT] = ACTIONS(245),
    [anon_sym_SEMI] = ACTIONS(241),
    [anon_sym_PLUS_PLUS] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_BANG_EQ] = ACTIONS(245),
    [anon_sym_GT] = ACTIONS(245),
    [anon_sym_EQ] = ACTIONS(658),
    [anon_sym_BQUOTE] = ACTIONS(241),
    [anon_sym_LT] = ACTIONS(245),
    [anon_sym_CARET_EQ] = ACTIONS(2566),
    [anon_sym_LT_LT_EQ] = ACTIONS(2566),
    [anon_sym_DASH_EQ] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_EQ_EQ] = ACTIONS(245),
    [anon_sym_PERCENT] = ACTIONS(245),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_LT_LT] = ACTIONS(245),
    [anon_sym_DASH_DASH] = ACTIONS(241),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(241),
  },
  [1012] = {
    [sym_new_expression] = STATE(833),
    [sym_augmented_assignment_expression] = STATE(833),
    [sym_unary_expression] = STATE(833),
    [sym_update_expression] = STATE(833),
    [sym_regex] = STATE(833),
    [sym_meta_property] = STATE(833),
    [sym__expression] = STATE(833),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(833),
    [sym_jsx_fragment] = STATE(833),
    [sym_jsx_element] = STATE(833),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(833),
    [sym_await_expression] = STATE(833),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(834),
    [sym_string] = STATE(833),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(138),
    [sym_assignment_pattern] = STATE(139),
    [sym_anonymous_class] = STATE(833),
    [sym_generator_function] = STATE(833),
    [sym_call_expression] = STATE(833),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(833),
    [sym_ternary_expression] = STATE(833),
    [sym_binary_expression] = STATE(833),
    [sym_template_string] = STATE(833),
    [sym_rest_parameter] = STATE(139),
    [sym_parenthesized_expression] = STATE(833),
    [sym_array] = STATE(140),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(833),
    [sym_class] = STATE(833),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2568),
    [sym_true] = ACTIONS(2568),
    [anon_sym_get] = ACTIONS(271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(273),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_false] = ACTIONS(2568),
    [sym_number] = ACTIONS(2570),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_set] = ACTIONS(271),
    [anon_sym_async] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_typeof] = ACTIONS(121),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym_undefined] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [sym_identifier] = ACTIONS(281),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_void] = ACTIONS(121),
  },
  [1013] = {
    [sym_parenthesized_expression] = STATE(835),
    [anon_sym_LPAREN] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
  },
  [1014] = {
    [sym__initializer] = STATE(150),
    [anon_sym_instanceof] = ACTIONS(289),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_COLON] = ACTIONS(2572),
    [anon_sym_AMP_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_STAR_EQ] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_SLASH_EQ] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_LT_LT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(295),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(293),
    [anon_sym_EQ_GT] = ACTIONS(299),
    [anon_sym_PLUS_EQ] = ACTIONS(293),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_CARET_EQ] = ACTIONS(293),
    [anon_sym_DASH_EQ] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(295),
    [anon_sym_LT_LT] = ACTIONS(295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [1015] = {
    [sym_formal_parameters] = STATE(1036),
    [sym__initializer] = STATE(124),
    [anon_sym_instanceof] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(245),
    [sym__automatic_semicolon] = ACTIONS(241),
    [anon_sym_LBRACK] = ACTIONS(241),
    [anon_sym_AMP_EQ] = ACTIONS(2566),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2566),
    [anon_sym_GT_GT_EQ] = ACTIONS(2566),
    [anon_sym_function] = ACTIONS(322),
    [anon_sym_STAR_EQ] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_CARET] = ACTIONS(245),
    [anon_sym_STAR_STAR] = ACTIONS(245),
    [anon_sym_AMP_AMP] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_GT_GT] = ACTIONS(245),
    [anon_sym_AMP] = ACTIONS(245),
    [anon_sym_in] = ACTIONS(245),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(241),
    [anon_sym_DOT] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE_EQ] = ACTIONS(2566),
    [anon_sym_PERCENT_EQ] = ACTIONS(2566),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2566),
    [anon_sym_EQ_GT] = ACTIONS(2362),
    [anon_sym_SLASH_EQ] = ACTIONS(2566),
    [anon_sym_PLUS_EQ] = ACTIONS(2566),
    [anon_sym_PIPE] = ACTIONS(245),
    [anon_sym_LT_EQ] = ACTIONS(241),
    [anon_sym_PIPE_PIPE] = ACTIONS(241),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_GT_GT_GT] = ACTIONS(245),
    [anon_sym_SEMI] = ACTIONS(241),
    [anon_sym_PLUS_PLUS] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(319),
    [anon_sym_BANG_EQ] = ACTIONS(245),
    [anon_sym_GT] = ACTIONS(245),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_BQUOTE] = ACTIONS(241),
    [anon_sym_LT] = ACTIONS(245),
    [anon_sym_EQ] = ACTIONS(658),
    [anon_sym_CARET_EQ] = ACTIONS(2566),
    [anon_sym_LT_LT_EQ] = ACTIONS(2566),
    [anon_sym_DASH_EQ] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_EQ_EQ] = ACTIONS(245),
    [anon_sym_PERCENT] = ACTIONS(245),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_LT_LT] = ACTIONS(245),
    [anon_sym_DASH_DASH] = ACTIONS(241),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(241),
  },
  [1016] = {
    [sym_decorator] = STATE(1099),
    [sym_lexical_declaration] = STATE(178),
    [sym__declaration] = STATE(178),
    [sym_function] = STATE(177),
    [sym_variable_declaration] = STATE(178),
    [sym_generator_function] = STATE(177),
    [sym_export_clause] = STATE(179),
    [aux_sym_export_statement_repeat1] = STATE(1099),
    [sym_class] = STATE(177),
    [anon_sym_class] = ACTIONS(2386),
    [anon_sym_default] = ACTIONS(344),
    [anon_sym_function] = ACTIONS(2390),
    [anon_sym_let] = ACTIONS(348),
    [anon_sym_STAR] = ACTIONS(350),
    [anon_sym_LBRACE] = ACTIONS(352),
    [anon_sym_async] = ACTIONS(2388),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_var] = ACTIONS(356),
    [anon_sym_const] = ACTIONS(348),
    [sym_comment] = ACTIONS(3),
  },
  [1017] = {
    [sym__initializer] = STATE(150),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(2574),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2574),
    [anon_sym_GT_GT_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(295),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(295),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(658),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_CARET_EQ] = ACTIONS(2574),
    [anon_sym_LT_LT_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(295),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [1018] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2362),
  },
  [1019] = {
    [sym__initializer] = STATE(189),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(658),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [1020] = {
    [sym_decorator] = STATE(202),
    [aux_sym_export_statement_repeat1] = STATE(202),
    [anon_sym_export] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(416),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(77),
  },
  [1021] = {
    [sym__initializer] = STATE(203),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(658),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [1022] = {
    [sym__initializer] = STATE(150),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(2574),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2574),
    [anon_sym_GT_GT_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(295),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2362),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(295),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(658),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_CARET_EQ] = ACTIONS(2574),
    [anon_sym_LT_LT_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(295),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [1023] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(440),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(2352),
    [anon_sym_LT_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_PIPE] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(440),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_QMARK] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(440),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2336),
  },
  [1024] = {
    [sym_decorator] = STATE(202),
    [aux_sym_export_statement_repeat1] = STATE(202),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(77),
  },
  [1025] = {
    [sym_formal_parameters] = STATE(865),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
  },
  [1026] = {
    [sym_formal_parameters] = STATE(866),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2580),
  },
  [1027] = {
    [sym_new_expression] = STATE(833),
    [sym_augmented_assignment_expression] = STATE(833),
    [sym_unary_expression] = STATE(833),
    [sym_update_expression] = STATE(833),
    [sym_regex] = STATE(833),
    [sym_meta_property] = STATE(833),
    [sym__expression] = STATE(833),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(833),
    [sym_jsx_fragment] = STATE(833),
    [sym_jsx_element] = STATE(833),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(833),
    [sym_await_expression] = STATE(833),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(834),
    [sym_string] = STATE(833),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(833),
    [sym_generator_function] = STATE(833),
    [sym_call_expression] = STATE(833),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(833),
    [sym_ternary_expression] = STATE(833),
    [sym_binary_expression] = STATE(833),
    [sym_template_string] = STATE(833),
    [sym_parenthesized_expression] = STATE(833),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(833),
    [sym_class] = STATE(833),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2568),
    [sym_undefined] = ACTIONS(2568),
    [sym_true] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2568),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2570),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1028] = {
    [sym__property_name] = STATE(287),
    [sym_computed_property_name] = STATE(287),
    [sym_method_definition] = STATE(870),
    [sym_string] = STATE(287),
    [sym_decorator] = STATE(202),
    [aux_sym_export_statement_repeat1] = STATE(202),
    [anon_sym_class] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(666),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(670),
    [anon_sym_export] = ACTIONS(672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(668),
  },
  [1029] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(702),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(2352),
    [anon_sym_LT_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_PIPE] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(702),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(702),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_QMARK] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2336),
  },
  [1030] = {
    [sym_new_expression] = STATE(876),
    [sym_augmented_assignment_expression] = STATE(876),
    [sym_unary_expression] = STATE(876),
    [sym_update_expression] = STATE(876),
    [sym_regex] = STATE(876),
    [sym_meta_property] = STATE(876),
    [sym__expression] = STATE(876),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(876),
    [sym_jsx_fragment] = STATE(876),
    [sym_jsx_element] = STATE(876),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(876),
    [sym_await_expression] = STATE(876),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(877),
    [sym_string] = STATE(876),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(876),
    [sym_generator_function] = STATE(876),
    [sym_call_expression] = STATE(876),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(876),
    [sym_ternary_expression] = STATE(876),
    [sym_binary_expression] = STATE(876),
    [sym_template_string] = STATE(876),
    [sym_parenthesized_expression] = STATE(876),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(876),
    [sym_class] = STATE(876),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2582),
    [sym_undefined] = ACTIONS(2582),
    [sym_true] = ACTIONS(2582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2582),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2584),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1031] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(1043),
    [sym_jsx_expression] = STATE(1043),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1043),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(808),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(814),
  },
  [1032] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(1043),
    [sym_jsx_expression] = STATE(1043),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1043),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(806),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(814),
  },
  [1033] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(1043),
    [sym_jsx_expression] = STATE(1043),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1043),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(808),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(814),
  },
  [1034] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(1043),
    [sym_jsx_expression] = STATE(1043),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1043),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(814),
  },
  [1035] = {
    [sym_formal_parameters] = STATE(865),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2588),
  },
  [1036] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2590),
  },
  [1037] = {
    [anon_sym_function] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
  },
  [1038] = {
    [sym_new_expression] = STATE(887),
    [sym_augmented_assignment_expression] = STATE(887),
    [sym_unary_expression] = STATE(887),
    [sym_update_expression] = STATE(887),
    [sym_regex] = STATE(887),
    [sym_meta_property] = STATE(887),
    [sym__expression] = STATE(887),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(887),
    [sym_jsx_fragment] = STATE(887),
    [sym_jsx_element] = STATE(887),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(887),
    [sym_await_expression] = STATE(887),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(887),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(887),
    [sym_generator_function] = STATE(887),
    [sym_call_expression] = STATE(887),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(887),
    [sym_ternary_expression] = STATE(887),
    [sym_binary_expression] = STATE(887),
    [sym_template_string] = STATE(887),
    [sym_parenthesized_expression] = STATE(887),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(887),
    [sym_class] = STATE(887),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2594),
    [sym_undefined] = ACTIONS(2594),
    [sym_true] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2594),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2596),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1039] = {
    [sym__property_name] = STATE(287),
    [sym_computed_property_name] = STATE(287),
    [sym_method_definition] = STATE(870),
    [sym_string] = STATE(287),
    [sym_decorator] = STATE(202),
    [aux_sym_export_statement_repeat1] = STATE(202),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(666),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(670),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(668),
  },
  [1040] = {
    [sym_new_expression] = STATE(892),
    [sym_augmented_assignment_expression] = STATE(892),
    [sym_unary_expression] = STATE(892),
    [sym_update_expression] = STATE(892),
    [sym_regex] = STATE(892),
    [sym_meta_property] = STATE(892),
    [sym__expression] = STATE(892),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(892),
    [sym_jsx_fragment] = STATE(892),
    [sym_jsx_element] = STATE(892),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(892),
    [sym_await_expression] = STATE(892),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(892),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(892),
    [sym_generator_function] = STATE(892),
    [sym_call_expression] = STATE(892),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(892),
    [sym_ternary_expression] = STATE(892),
    [sym_binary_expression] = STATE(892),
    [sym_template_string] = STATE(892),
    [sym_parenthesized_expression] = STATE(892),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(892),
    [sym_class] = STATE(892),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2598),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2598),
    [sym_undefined] = ACTIONS(2598),
    [sym_true] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2598),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2600),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1041] = {
    [sym_formal_parameters] = STATE(893),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
  },
  [1042] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_while] = ACTIONS(1217),
    [anon_sym_else] = ACTIONS(2602),
  },
  [1043] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(463),
    [sym_jsx_expression] = STATE(463),
    [aux_sym_jsx_opening_element_repeat1] = STATE(463),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(1398),
  },
  [1044] = {
    [sym_nested_identifier] = STATE(1080),
    [sym_jsx_namespace_name] = STATE(1081),
    [anon_sym_SLASH] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1075),
    [sym_identifier] = ACTIONS(1077),
  },
  [1045] = {
    [sym_formal_parameters] = STATE(899),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
  },
  [1046] = {
    [sym_identifier] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
  },
  [1047] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
  },
  [1048] = {
    [sym_nested_identifier] = STATE(905),
    [sym_jsx_namespace_name] = STATE(906),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(2612),
    [sym_identifier] = ACTIONS(2614),
  },
  [1049] = {
    [sym_new_expression] = STATE(1054),
    [sym_augmented_assignment_expression] = STATE(1054),
    [sym_unary_expression] = STATE(1054),
    [sym_update_expression] = STATE(1054),
    [sym_regex] = STATE(1054),
    [sym_meta_property] = STATE(1054),
    [sym__expression] = STATE(1054),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(1054),
    [sym_jsx_fragment] = STATE(1054),
    [sym_jsx_element] = STATE(1054),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(1054),
    [sym_await_expression] = STATE(1054),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(1055),
    [sym_string] = STATE(1054),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(1054),
    [sym_generator_function] = STATE(1054),
    [sym_call_expression] = STATE(1054),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1054),
    [sym_binary_expression] = STATE(1054),
    [sym_template_string] = STATE(1054),
    [sym_parenthesized_expression] = STATE(1054),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(1054),
    [sym_class] = STATE(1054),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2616),
    [sym_undefined] = ACTIONS(2616),
    [sym_true] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2616),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2618),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1050] = {
    [sym_nested_identifier] = STATE(1080),
    [sym_jsx_namespace_name] = STATE(1081),
    [anon_sym_SLASH] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1075),
    [sym_identifier] = ACTIONS(1077),
  },
  [1051] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(2624),
  },
  [1052] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2624),
  },
  [1053] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2626),
  },
  [1054] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2628),
  },
  [1055] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2628),
  },
  [1056] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2630),
  },
  [1057] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(2632),
  },
  [1058] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2632),
  },
  [1059] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2634),
  },
  [1060] = {
    [sym_template_string] = STATE(145),
    [sym_arguments] = STATE(145),
    [anon_sym_instanceof] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1366),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(1368),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(2636),
  },
  [1061] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2636),
  },
  [1062] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2638),
  },
  [1063] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2640),
  },
  [1064] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2642),
  },
  [1065] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2644),
  },
  [1066] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2644),
  },
  [1067] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2646),
  },
  [1068] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2646),
  },
  [1069] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2648),
  },
  [1070] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2648),
  },
  [1071] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2650),
  },
  [1072] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2652),
  },
  [1073] = {
    [sym_template_string] = STATE(650),
    [sym_arguments] = STATE(650),
    [anon_sym_instanceof] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_STAR_STAR] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(2654),
  },
  [1074] = {
    [sym_formal_parameters] = STATE(939),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(2658),
  },
  [1075] = {
    [sym_formal_parameters] = STATE(954),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
  },
  [1076] = {
    [sym_formal_parameters] = STATE(955),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2660),
  },
  [1077] = {
    [sym_new_expression] = STATE(136),
    [sym_augmented_assignment_expression] = STATE(136),
    [sym_unary_expression] = STATE(136),
    [sym_update_expression] = STATE(136),
    [sym_regex] = STATE(136),
    [sym_meta_property] = STATE(136),
    [sym__expression] = STATE(136),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(136),
    [sym_jsx_fragment] = STATE(136),
    [sym_jsx_element] = STATE(136),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(136),
    [sym_await_expression] = STATE(136),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(137),
    [sym_string] = STATE(136),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(136),
    [sym_generator_function] = STATE(136),
    [sym_call_expression] = STATE(136),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(136),
    [sym_ternary_expression] = STATE(136),
    [sym_binary_expression] = STATE(136),
    [sym_template_string] = STATE(136),
    [sym_parenthesized_expression] = STATE(136),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(136),
    [sym_class] = STATE(136),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(269),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(269),
    [sym_undefined] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(269),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(275),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1078] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(1085),
    [sym_jsx_expression] = STATE(1085),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1085),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_COLON] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(808),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(814),
  },
  [1079] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(1085),
    [sym_jsx_expression] = STATE(1085),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1085),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_COLON] = ACTIONS(806),
    [anon_sym_GT] = ACTIONS(814),
  },
  [1080] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(1085),
    [sym_jsx_expression] = STATE(1085),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1085),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(808),
    [anon_sym_SLASH] = ACTIONS(2662),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(814),
    [sym_comment] = ACTIONS(3),
  },
  [1081] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(1085),
    [sym_jsx_expression] = STATE(1085),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1085),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(814),
  },
  [1082] = {
    [sym_formal_parameters] = STATE(954),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2664),
  },
  [1083] = {
    [sym__property_name] = STATE(287),
    [sym_computed_property_name] = STATE(287),
    [sym_method_definition] = STATE(958),
    [sym_string] = STATE(287),
    [sym_decorator] = STATE(202),
    [aux_sym_export_statement_repeat1] = STATE(202),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(666),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(670),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(668),
  },
  [1084] = {
    [sym_formal_parameters] = STATE(961),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
  },
  [1085] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(463),
    [sym_jsx_expression] = STATE(463),
    [aux_sym_jsx_opening_element_repeat1] = STATE(463),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(2666),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(1398),
  },
  [1086] = {
    [sym_nested_identifier] = STATE(1080),
    [sym_jsx_namespace_name] = STATE(1081),
    [anon_sym_SLASH] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1075),
    [sym_identifier] = ACTIONS(1077),
  },
  [1087] = {
    [sym_formal_parameters] = STATE(965),
    [anon_sym_LPAREN] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
  },
  [1088] = {
    [sym_nested_identifier] = STATE(969),
    [sym_jsx_namespace_name] = STATE(970),
    [sym_identifier] = ACTIONS(2670),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(2672),
  },
  [1089] = {
    [sym_nested_identifier] = STATE(1080),
    [sym_jsx_namespace_name] = STATE(1081),
    [anon_sym_SLASH] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1075),
    [sym_identifier] = ACTIONS(1077),
  },
  [1090] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(1095),
    [sym_jsx_expression] = STATE(1095),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1095),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_COLON] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(808),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(814),
  },
  [1091] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(1095),
    [sym_jsx_expression] = STATE(1095),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1095),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(2676),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_COLON] = ACTIONS(806),
    [anon_sym_GT] = ACTIONS(814),
  },
  [1092] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(1095),
    [sym_jsx_expression] = STATE(1095),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1095),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(808),
    [anon_sym_SLASH] = ACTIONS(2676),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(814),
    [sym_comment] = ACTIONS(3),
  },
  [1093] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(1095),
    [sym_jsx_expression] = STATE(1095),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1095),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(2676),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(814),
  },
  [1094] = {
    [sym__property_name] = STATE(287),
    [sym_computed_property_name] = STATE(287),
    [sym_method_definition] = STATE(993),
    [sym_string] = STATE(287),
    [sym_decorator] = STATE(202),
    [aux_sym_export_statement_repeat1] = STATE(202),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_STAR] = ACTIONS(211),
    [sym_number] = ACTIONS(666),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(670),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(668),
  },
  [1095] = {
    [sym_jsx_namespace_name] = STATE(338),
    [sym_jsx_attribute] = STATE(463),
    [sym_jsx_expression] = STATE(463),
    [aux_sym_jsx_opening_element_repeat1] = STATE(463),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(1398),
  },
  [1096] = {
    [sym_nested_identifier] = STATE(999),
    [sym_jsx_namespace_name] = STATE(1000),
    [sym_identifier] = ACTIONS(2680),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(2682),
  },
  [1097] = {
    [sym_nested_identifier] = STATE(1033),
    [sym_jsx_namespace_name] = STATE(1034),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(2684),
    [sym_identifier] = ACTIONS(2686),
    [anon_sym_GT] = ACTIONS(2688),
  },
  [1098] = {
    [aux_sym_jsx_element_repeat1] = STATE(1103),
    [sym_jsx_expression] = STATE(1103),
    [sym_jsx_opening_element] = STATE(931),
    [sym_jsx_self_closing_element] = STATE(1103),
    [sym_jsx_element] = STATE(1103),
    [anon_sym_LBRACE] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(2690),
    [anon_sym_LT] = ACTIONS(2692),
  },
  [1099] = {
    [sym_decorator] = STATE(202),
    [aux_sym_export_statement_repeat1] = STATE(202),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_AT] = ACTIONS(77),
  },
  [1100] = {
    [sym_new_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym_unary_expression] = STATE(1047),
    [sym_update_expression] = STATE(1047),
    [sym_regex] = STATE(1047),
    [sym_meta_property] = STATE(1047),
    [sym__expression] = STATE(1047),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(1047),
    [sym_jsx_fragment] = STATE(1047),
    [sym_jsx_element] = STATE(1047),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(1047),
    [sym_await_expression] = STATE(1047),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(1047),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(1047),
    [sym_generator_function] = STATE(1047),
    [sym_call_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(1047),
    [sym_ternary_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_template_string] = STATE(1047),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(1047),
    [sym_class] = STATE(1047),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2696),
    [sym_undefined] = ACTIONS(2696),
    [sym_true] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2698),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1101] = {
    [sym_nested_identifier] = STATE(1080),
    [sym_jsx_namespace_name] = STATE(1081),
    [anon_sym_SLASH] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1075),
    [sym_identifier] = ACTIONS(1077),
  },
  [1102] = {
    [sym_new_expression] = STATE(48),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_update_expression] = STATE(48),
    [sym_regex] = STATE(48),
    [sym_meta_property] = STATE(48),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(48),
    [sym_await_expression] = STATE(48),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(1049),
    [sym_sequence_expression] = STATE(52),
    [sym_string] = STATE(48),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_empty_statement] = STATE(1049),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(48),
    [sym_generator_function] = STATE(48),
    [sym_call_expression] = STATE(48),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(48),
    [sym_ternary_expression] = STATE(48),
    [sym_binary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(48),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_undefined] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [1103] = {
    [aux_sym_jsx_element_repeat1] = STATE(382),
    [sym_jsx_expression] = STATE(382),
    [sym_jsx_opening_element] = STATE(931),
    [sym_jsx_self_closing_element] = STATE(382),
    [sym_jsx_element] = STATE(382),
    [anon_sym_LBRACE] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(2702),
  },
  [1104] = {
    [sym_new_expression] = STATE(1051),
    [sym_augmented_assignment_expression] = STATE(1051),
    [sym_unary_expression] = STATE(1051),
    [sym_update_expression] = STATE(1051),
    [sym_regex] = STATE(1051),
    [sym_meta_property] = STATE(1051),
    [sym__expression] = STATE(1051),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(1051),
    [sym_jsx_fragment] = STATE(1051),
    [sym_jsx_element] = STATE(1051),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(1051),
    [sym_await_expression] = STATE(1051),
    [sym_member_expression] = STATE(44),
    [sym_sequence_expression] = STATE(1052),
    [sym_string] = STATE(1051),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(1051),
    [sym_generator_function] = STATE(1051),
    [sym_call_expression] = STATE(1051),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(1051),
    [sym_ternary_expression] = STATE(1051),
    [sym_binary_expression] = STATE(1051),
    [sym_template_string] = STATE(1051),
    [sym_parenthesized_expression] = STATE(1051),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(1051),
    [sym_class] = STATE(1051),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2704),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(2704),
    [sym_undefined] = ACTIONS(2704),
    [sym_true] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(2704),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2706),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [1105] = {
    [sym_new_expression] = STATE(1053),
    [sym_augmented_assignment_expression] = STATE(1053),
    [sym_unary_expression] = STATE(1053),
    [sym_update_expression] = STATE(1053),
    [sym_regex] = STATE(1053),
    [sym_meta_property] = STATE(1053),
    [sym__expression] = STATE(1053),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(1053),
    [sym_jsx_fragment] = STATE(1053),
    [sym_jsx_element] = STATE(1053),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(1053),
    [sym_await_expression] = STATE(1053),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(1053),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(1053),
    [sym_generator_function] = STATE(1053),
    [sym_call_expression] = STATE(1053),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(1053),
    [sym_ternary_expression] = STATE(1053),
    [sym_binary_expression] = STATE(1053),
    [sym_template_string] = STATE(1053),
    [sym_parenthesized_expression] = STATE(1053),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(1053),
    [sym_class] = STATE(1053),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2708),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2708),
    [sym_undefined] = ACTIONS(2708),
    [sym_true] = ACTIONS(2708),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2708),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2710),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1106] = {
    [sym_new_expression] = STATE(1056),
    [sym_augmented_assignment_expression] = STATE(1056),
    [sym_unary_expression] = STATE(1056),
    [sym_update_expression] = STATE(1056),
    [sym_regex] = STATE(1056),
    [sym_meta_property] = STATE(1056),
    [sym__expression] = STATE(1056),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(1056),
    [sym_jsx_fragment] = STATE(1056),
    [sym_jsx_element] = STATE(1056),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(1056),
    [sym_await_expression] = STATE(1056),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(1056),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(1056),
    [sym_generator_function] = STATE(1056),
    [sym_call_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(1056),
    [sym_ternary_expression] = STATE(1056),
    [sym_binary_expression] = STATE(1056),
    [sym_template_string] = STATE(1056),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(1056),
    [sym_class] = STATE(1056),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2712),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2712),
    [sym_undefined] = ACTIONS(2712),
    [sym_true] = ACTIONS(2712),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2712),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2714),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1107] = {
    [sym_new_expression] = STATE(1057),
    [sym_augmented_assignment_expression] = STATE(1057),
    [sym_unary_expression] = STATE(1057),
    [sym_update_expression] = STATE(1057),
    [sym_regex] = STATE(1057),
    [sym_meta_property] = STATE(1057),
    [sym__expression] = STATE(1057),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(1057),
    [sym_jsx_fragment] = STATE(1057),
    [sym_jsx_element] = STATE(1057),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(1057),
    [sym_await_expression] = STATE(1057),
    [sym_member_expression] = STATE(44),
    [sym_sequence_expression] = STATE(1058),
    [sym_string] = STATE(1057),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(1057),
    [sym_generator_function] = STATE(1057),
    [sym_call_expression] = STATE(1057),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(1057),
    [sym_ternary_expression] = STATE(1057),
    [sym_binary_expression] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_parenthesized_expression] = STATE(1057),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(1057),
    [sym_class] = STATE(1057),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2716),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(2716),
    [sym_undefined] = ACTIONS(2716),
    [sym_true] = ACTIONS(2716),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(2716),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2718),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [1108] = {
    [sym_new_expression] = STATE(1059),
    [sym_augmented_assignment_expression] = STATE(1059),
    [sym_unary_expression] = STATE(1059),
    [sym_update_expression] = STATE(1059),
    [sym_regex] = STATE(1059),
    [sym_meta_property] = STATE(1059),
    [sym__expression] = STATE(1059),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(1059),
    [sym_jsx_fragment] = STATE(1059),
    [sym_jsx_element] = STATE(1059),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(1059),
    [sym_await_expression] = STATE(1059),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(1059),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(1059),
    [sym_generator_function] = STATE(1059),
    [sym_call_expression] = STATE(1059),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(1059),
    [sym_ternary_expression] = STATE(1059),
    [sym_binary_expression] = STATE(1059),
    [sym_template_string] = STATE(1059),
    [sym_parenthesized_expression] = STATE(1059),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(1059),
    [sym_class] = STATE(1059),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2720),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2720),
    [sym_undefined] = ACTIONS(2720),
    [sym_true] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2720),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2722),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1109] = {
    [sym_new_expression] = STATE(1060),
    [sym_augmented_assignment_expression] = STATE(1060),
    [sym_unary_expression] = STATE(1060),
    [sym_update_expression] = STATE(1060),
    [sym_regex] = STATE(1060),
    [sym_meta_property] = STATE(1060),
    [sym__expression] = STATE(1060),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(1060),
    [sym_jsx_fragment] = STATE(1060),
    [sym_jsx_element] = STATE(1060),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(1060),
    [sym_await_expression] = STATE(1060),
    [sym_member_expression] = STATE(44),
    [sym_sequence_expression] = STATE(1061),
    [sym_string] = STATE(1060),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_object] = STATE(46),
    [sym_anonymous_class] = STATE(1060),
    [sym_generator_function] = STATE(1060),
    [sym_call_expression] = STATE(1060),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(1060),
    [sym_ternary_expression] = STATE(1060),
    [sym_binary_expression] = STATE(1060),
    [sym_template_string] = STATE(1060),
    [sym_parenthesized_expression] = STATE(1060),
    [sym_array] = STATE(53),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(1060),
    [sym_class] = STATE(1060),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(2724),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(2724),
    [sym_undefined] = ACTIONS(2724),
    [sym_true] = ACTIONS(2724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_identifier] = ACTIONS(97),
    [sym_false] = ACTIONS(2724),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_number] = ACTIONS(2726),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(25),
    [anon_sym_typeof] = ACTIONS(25),
  },
  [1110] = {
    [sym_new_expression] = STATE(1062),
    [sym_augmented_assignment_expression] = STATE(1062),
    [sym_unary_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_regex] = STATE(1062),
    [sym_meta_property] = STATE(1062),
    [sym__expression] = STATE(1062),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(1062),
    [sym_jsx_fragment] = STATE(1062),
    [sym_jsx_element] = STATE(1062),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(1062),
    [sym_await_expression] = STATE(1062),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(1062),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(1062),
    [sym_generator_function] = STATE(1062),
    [sym_call_expression] = STATE(1062),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(1062),
    [sym_ternary_expression] = STATE(1062),
    [sym_binary_expression] = STATE(1062),
    [sym_template_string] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(1062),
    [sym_class] = STATE(1062),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2728),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2728),
    [sym_undefined] = ACTIONS(2728),
    [sym_true] = ACTIONS(2728),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2728),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2730),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1111] = {
    [sym_new_expression] = STATE(1063),
    [sym_augmented_assignment_expression] = STATE(1063),
    [sym_unary_expression] = STATE(1063),
    [sym_update_expression] = STATE(1063),
    [sym_regex] = STATE(1063),
    [sym_meta_property] = STATE(1063),
    [sym__expression] = STATE(1063),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(1063),
    [sym_jsx_fragment] = STATE(1063),
    [sym_jsx_element] = STATE(1063),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(1063),
    [sym_await_expression] = STATE(1063),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(1063),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(1063),
    [sym_generator_function] = STATE(1063),
    [sym_call_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(1063),
    [sym_ternary_expression] = STATE(1063),
    [sym_binary_expression] = STATE(1063),
    [sym_template_string] = STATE(1063),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(1063),
    [sym_class] = STATE(1063),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2732),
    [sym_undefined] = ACTIONS(2732),
    [sym_true] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2732),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2734),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1112] = {
    [sym_new_expression] = STATE(1064),
    [sym_augmented_assignment_expression] = STATE(1064),
    [sym_unary_expression] = STATE(1064),
    [sym_update_expression] = STATE(1064),
    [sym_regex] = STATE(1064),
    [sym_meta_property] = STATE(1064),
    [sym__expression] = STATE(1064),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(1064),
    [sym_jsx_fragment] = STATE(1064),
    [sym_jsx_element] = STATE(1064),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(1064),
    [sym_await_expression] = STATE(1064),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(1064),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(1064),
    [sym_generator_function] = STATE(1064),
    [sym_call_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(1064),
    [sym_ternary_expression] = STATE(1064),
    [sym_binary_expression] = STATE(1064),
    [sym_template_string] = STATE(1064),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(1064),
    [sym_class] = STATE(1064),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2736),
    [sym_undefined] = ACTIONS(2736),
    [sym_true] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2736),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2738),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1113] = {
    [sym_new_expression] = STATE(1065),
    [sym_augmented_assignment_expression] = STATE(1065),
    [sym_unary_expression] = STATE(1065),
    [sym_update_expression] = STATE(1065),
    [sym_regex] = STATE(1065),
    [sym_meta_property] = STATE(1065),
    [sym__expression] = STATE(1065),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(1065),
    [sym_jsx_fragment] = STATE(1065),
    [sym_jsx_element] = STATE(1065),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(1065),
    [sym_await_expression] = STATE(1065),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(1066),
    [sym_string] = STATE(1065),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(1065),
    [sym_generator_function] = STATE(1065),
    [sym_call_expression] = STATE(1065),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(1065),
    [sym_ternary_expression] = STATE(1065),
    [sym_binary_expression] = STATE(1065),
    [sym_template_string] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1065),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(1065),
    [sym_class] = STATE(1065),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2740),
    [sym_undefined] = ACTIONS(2740),
    [sym_true] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2740),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2742),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1114] = {
    [sym_new_expression] = STATE(1067),
    [sym_augmented_assignment_expression] = STATE(1067),
    [sym_unary_expression] = STATE(1067),
    [sym_update_expression] = STATE(1067),
    [sym_regex] = STATE(1067),
    [sym_meta_property] = STATE(1067),
    [sym__expression] = STATE(1067),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(1067),
    [sym_jsx_fragment] = STATE(1067),
    [sym_jsx_element] = STATE(1067),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(1067),
    [sym_await_expression] = STATE(1067),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(1068),
    [sym_string] = STATE(1067),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(1067),
    [sym_generator_function] = STATE(1067),
    [sym_call_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(1067),
    [sym_ternary_expression] = STATE(1067),
    [sym_binary_expression] = STATE(1067),
    [sym_template_string] = STATE(1067),
    [sym_parenthesized_expression] = STATE(1067),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(1067),
    [sym_class] = STATE(1067),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2744),
    [sym_undefined] = ACTIONS(2744),
    [sym_true] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2744),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2746),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1115] = {
    [sym_new_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_unary_expression] = STATE(1069),
    [sym_update_expression] = STATE(1069),
    [sym_regex] = STATE(1069),
    [sym_meta_property] = STATE(1069),
    [sym__expression] = STATE(1069),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(1069),
    [sym_jsx_fragment] = STATE(1069),
    [sym_jsx_element] = STATE(1069),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(1069),
    [sym_await_expression] = STATE(1069),
    [sym_member_expression] = STATE(627),
    [sym_sequence_expression] = STATE(1070),
    [sym_string] = STATE(1069),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(1069),
    [sym_generator_function] = STATE(1069),
    [sym_call_expression] = STATE(1069),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(1069),
    [sym_ternary_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_template_string] = STATE(1069),
    [sym_parenthesized_expression] = STATE(1069),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(1069),
    [sym_class] = STATE(1069),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2748),
    [sym_undefined] = ACTIONS(2748),
    [sym_true] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2748),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2750),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1116] = {
    [sym_new_expression] = STATE(1071),
    [sym_augmented_assignment_expression] = STATE(1071),
    [sym_unary_expression] = STATE(1071),
    [sym_update_expression] = STATE(1071),
    [sym_regex] = STATE(1071),
    [sym_meta_property] = STATE(1071),
    [sym__expression] = STATE(1071),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(1071),
    [sym_jsx_fragment] = STATE(1071),
    [sym_jsx_element] = STATE(1071),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(1071),
    [sym_await_expression] = STATE(1071),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(1071),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(1071),
    [sym_generator_function] = STATE(1071),
    [sym_call_expression] = STATE(1071),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(1071),
    [sym_ternary_expression] = STATE(1071),
    [sym_binary_expression] = STATE(1071),
    [sym_template_string] = STATE(1071),
    [sym_parenthesized_expression] = STATE(1071),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(1071),
    [sym_class] = STATE(1071),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2752),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2752),
    [sym_undefined] = ACTIONS(2752),
    [sym_true] = ACTIONS(2752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2752),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2754),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1117] = {
    [sym_new_expression] = STATE(1072),
    [sym_augmented_assignment_expression] = STATE(1072),
    [sym_unary_expression] = STATE(1072),
    [sym_update_expression] = STATE(1072),
    [sym_regex] = STATE(1072),
    [sym_meta_property] = STATE(1072),
    [sym__expression] = STATE(1072),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(1072),
    [sym_jsx_fragment] = STATE(1072),
    [sym_jsx_element] = STATE(1072),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(1072),
    [sym_await_expression] = STATE(1072),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(1072),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(1072),
    [sym_generator_function] = STATE(1072),
    [sym_call_expression] = STATE(1072),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(1072),
    [sym_ternary_expression] = STATE(1072),
    [sym_binary_expression] = STATE(1072),
    [sym_template_string] = STATE(1072),
    [sym_parenthesized_expression] = STATE(1072),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(1072),
    [sym_class] = STATE(1072),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2756),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2756),
    [sym_undefined] = ACTIONS(2756),
    [sym_true] = ACTIONS(2756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2756),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2758),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1118] = {
    [sym_new_expression] = STATE(1073),
    [sym_augmented_assignment_expression] = STATE(1073),
    [sym_unary_expression] = STATE(1073),
    [sym_update_expression] = STATE(1073),
    [sym_regex] = STATE(1073),
    [sym_meta_property] = STATE(1073),
    [sym__expression] = STATE(1073),
    [aux_sym_export_statement_repeat1] = STATE(1024),
    [sym_yield_expression] = STATE(1073),
    [sym_jsx_fragment] = STATE(1073),
    [sym_jsx_element] = STATE(1073),
    [sym_function] = STATE(634),
    [sym_arrow_function] = STATE(1073),
    [sym_await_expression] = STATE(1073),
    [sym_member_expression] = STATE(627),
    [sym_string] = STATE(1073),
    [sym_decorator] = STATE(1024),
    [sym_formal_parameters] = STATE(808),
    [sym_object] = STATE(628),
    [sym_anonymous_class] = STATE(1073),
    [sym_generator_function] = STATE(1073),
    [sym_call_expression] = STATE(1073),
    [sym_subscript_expression] = STATE(627),
    [sym_assignment_expression] = STATE(1073),
    [sym_ternary_expression] = STATE(1073),
    [sym_binary_expression] = STATE(1073),
    [sym_template_string] = STATE(1073),
    [sym_parenthesized_expression] = STATE(1073),
    [sym_array] = STATE(631),
    [sym_jsx_opening_element] = STATE(809),
    [sym_jsx_self_closing_element] = STATE(1073),
    [sym_class] = STATE(1073),
    [anon_sym_await] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(149),
    [sym_null] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [sym_this] = ACTIONS(2760),
    [sym_undefined] = ACTIONS(2760),
    [sym_true] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(123),
    [sym_super] = ACTIONS(139),
    [sym_identifier] = ACTIONS(161),
    [sym_false] = ACTIONS(2760),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym_number] = ACTIONS(2762),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(167),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_void] = ACTIONS(121),
    [anon_sym_typeof] = ACTIONS(121),
  },
  [1119] = {
    [sym_nested_identifier] = STATE(1092),
    [sym_jsx_namespace_name] = STATE(1093),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(2764),
    [sym_identifier] = ACTIONS(2766),
    [anon_sym_GT] = ACTIONS(2768),
  },
  [1120] = {
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(931),
    [aux_sym_jsx_element_repeat1] = STATE(1122),
    [sym_jsx_expression] = STATE(1122),
    [sym_jsx_self_closing_element] = STATE(1122),
    [anon_sym_LBRACE] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(2770),
    [anon_sym_LT] = ACTIONS(2772),
  },
  [1121] = {
    [sym_nested_identifier] = STATE(1080),
    [sym_jsx_namespace_name] = STATE(1081),
    [anon_sym_SLASH] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1075),
    [sym_identifier] = ACTIONS(1077),
  },
  [1122] = {
    [sym_jsx_element] = STATE(382),
    [sym_jsx_opening_element] = STATE(931),
    [aux_sym_jsx_element_repeat1] = STATE(382),
    [sym_jsx_expression] = STATE(382),
    [sym_jsx_self_closing_element] = STATE(382),
    [anon_sym_LBRACE] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_text] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(2776),
  },
  [1123] = {
    [sym_nested_identifier] = STATE(1080),
    [sym_jsx_namespace_name] = STATE(1081),
    [anon_sym_SLASH] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [sym_jsx_identifier] = ACTIONS(1075),
    [sym_identifier] = ACTIONS(1077),
  },
  [1124] = {
    [sym_new_expression] = STATE(48),
    [sym_augmented_assignment_expression] = STATE(48),
    [sym_unary_expression] = STATE(48),
    [sym_update_expression] = STATE(48),
    [sym_regex] = STATE(48),
    [sym_meta_property] = STATE(48),
    [sym__expression] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(58),
    [sym_yield_expression] = STATE(48),
    [sym_jsx_fragment] = STATE(48),
    [sym_jsx_element] = STATE(48),
    [sym_function] = STATE(59),
    [sym_arrow_function] = STATE(48),
    [sym_await_expression] = STATE(48),
    [sym_member_expression] = STATE(44),
    [sym_expression_statement] = STATE(1102),
    [sym_variable_declaration] = STATE(1102),
    [sym_sequence_expression] = STATE(52),
    [sym_string] = STATE(48),
    [sym_decorator] = STATE(58),
    [sym_formal_parameters] = STATE(45),
    [sym_empty_statement] = STATE(1102),
    [sym_object] = STATE(1126),
    [sym_anonymous_class] = STATE(48),
    [sym_generator_function] = STATE(48),
    [sym_call_expression] = STATE(48),
    [sym_subscript_expression] = STATE(44),
    [sym_assignment_expression] = STATE(48),
    [sym_ternary_expression] = STATE(48),
    [sym_binary_expression] = STATE(48),
    [sym_template_string] = STATE(48),
    [sym_lexical_declaration] = STATE(1102),
    [sym_parenthesized_expression] = STATE(48),
    [sym_array] = STATE(1127),
    [sym_jsx_opening_element] = STATE(54),
    [sym_jsx_self_closing_element] = STATE(48),
    [sym_class] = STATE(48),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_delete] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(49),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(75),
    [anon_sym_set] = ACTIONS(49),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_typeof] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(2782),
    [anon_sym_SQUOTE] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(47),
    [sym_identifier] = ACTIONS(2784),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_new] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(25),
  },
  [1125] = {
    [sym__initializer] = STATE(150),
    [anon_sym_instanceof] = ACTIONS(289),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_STAR_EQ] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_STAR_STAR] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_SLASH_EQ] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_LT_LT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(295),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(2786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_of] = ACTIONS(2788),
    [anon_sym_DOT] = ACTIONS(285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PERCENT_EQ] = ACTIONS(293),
    [anon_sym_EQ_GT] = ACTIONS(299),
    [anon_sym_PLUS_EQ] = ACTIONS(293),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_CARET_EQ] = ACTIONS(293),
    [anon_sym_DASH_EQ] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(295),
    [anon_sym_LT_LT] = ACTIONS(295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [1126] = {
    [sym__initializer] = STATE(189),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(2790),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_of] = ACTIONS(2792),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [1127] = {
    [sym__initializer] = STATE(203),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(295),
    [sym__automatic_semicolon] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(2794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_of] = ACTIONS(2796),
    [anon_sym_DOT] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(295),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(295),
    [anon_sym_EQ] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(295),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_DASH_DASH] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(289),
  },
  [1128] = {
    [anon_sym_of] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
  },
  [1129] = {
    [anon_sym_of] = ACTIONS(2800),
    [sym_comment] = ACTIONS(3),
  },
  [1130] = {
    [anon_sym_of] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
  },
  [1131] = {
    [sym__initializer] = STATE(253),
    [sym__automatic_semicolon] = ACTIONS(566),
    [anon_sym_in] = ACTIONS(2804),
    [anon_sym_of] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(566),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(568),
  },
  [1132] = {
    [sym__initializer] = STATE(257),
    [sym__automatic_semicolon] = ACTIONS(574),
    [anon_sym_in] = ACTIONS(2806),
    [anon_sym_of] = ACTIONS(2800),
    [anon_sym_COMMA] = ACTIONS(574),
    [anon_sym_SEMI] = ACTIONS(574),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(568),
  },
  [1133] = {
    [sym__initializer] = STATE(258),
    [sym__automatic_semicolon] = ACTIONS(576),
    [anon_sym_in] = ACTIONS(2808),
    [anon_sym_of] = ACTIONS(2802),
    [anon_sym_COMMA] = ACTIONS(576),
    [anon_sym_SEMI] = ACTIONS(576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(568),
  },
  [1134] = {
    [anon_sym_of] = ACTIONS(2810),
    [sym_comment] = ACTIONS(3),
  },
  [1135] = {
    [anon_sym_of] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
  },
  [1136] = {
    [anon_sym_of] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
  },
  [1137] = {
    [anon_sym_await] = ACTIONS(2816),
    [anon_sym_LPAREN] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
  },
  [1138] = {
    [sym_array] = STATE(1129),
    [sym_object] = STATE(1130),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_var] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [anon_sym_let] = ACTIONS(2820),
    [sym_identifier] = ACTIONS(2822),
  },
  [1139] = {
    [sym_variable_declarator] = STATE(87),
    [sym_array] = STATE(1132),
    [sym_object] = STATE(1133),
    [anon_sym_LBRACE] = ACTIONS(193),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(197),
  },
  [1140] = {
    [sym_variable_declarator] = STATE(169),
    [sym_array] = STATE(1132),
    [sym_object] = STATE(1133),
    [anon_sym_LBRACE] = ACTIONS(193),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(197),
  },
  [1141] = {
    [sym_array] = STATE(1135),
    [sym_object] = STATE(1136),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(151),
  },
  [1142] = {
    [anon_sym_LPAREN] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = false}, SHIFT(2),
  [7] = {.count = 1, .reusable = false}, SHIFT(9),
  [9] = {.count = 1, .reusable = false}, SHIFT(48),
  [11] = {.count = 1, .reusable = false}, SHIFT(4),
  [13] = {.count = 1, .reusable = false}, SHIFT(15),
  [15] = {.count = 1, .reusable = true}, SHIFT(6),
  [17] = {.count = 1, .reusable = false}, SHIFT(39),
  [19] = {.count = 1, .reusable = false}, SHIFT(40),
  [21] = {.count = 1, .reusable = false}, SHIFT(41),
  [23] = {.count = 1, .reusable = false}, SHIFT(10),
  [25] = {.count = 1, .reusable = false}, SHIFT(3),
  [27] = {.count = 1, .reusable = false}, SHIFT(12),
  [29] = {.count = 1, .reusable = false}, SHIFT(13),
  [31] = {.count = 1, .reusable = false}, SHIFT(14),
  [33] = {.count = 1, .reusable = false}, SHIFT(42),
  [35] = {.count = 1, .reusable = true}, SHIFT(16),
  [37] = {.count = 1, .reusable = false}, SHIFT(17),
  [39] = {.count = 1, .reusable = false}, SHIFT(18),
  [41] = {.count = 1, .reusable = false}, SHIFT(19),
  [43] = {.count = 1, .reusable = true}, SHIFT(20),
  [45] = {.count = 1, .reusable = true}, SHIFT(21),
  [47] = {.count = 1, .reusable = true}, SHIFT(23),
  [49] = {.count = 1, .reusable = false}, SHIFT(22),
  [51] = {.count = 1, .reusable = true}, SHIFT(24),
  [53] = {.count = 1, .reusable = false}, SHIFT(25),
  [55] = {.count = 1, .reusable = true}, SHIFT(26),
  [57] = {.count = 1, .reusable = true}, SHIFT(7),
  [59] = {.count = 1, .reusable = false}, SHIFT(27),
  [61] = {.count = 1, .reusable = true}, SHIFT(28),
  [63] = {.count = 1, .reusable = false}, SHIFT(29),
  [65] = {.count = 1, .reusable = false}, SHIFT(30),
  [67] = {.count = 1, .reusable = false}, SHIFT(31),
  [69] = {.count = 1, .reusable = true}, SHIFT(8),
  [71] = {.count = 1, .reusable = true}, SHIFT(48),
  [73] = {.count = 1, .reusable = true}, REDUCE(sym_program, 0),
  [75] = {.count = 1, .reusable = false}, SHIFT(32),
  [77] = {.count = 1, .reusable = true}, SHIFT(11),
  [79] = {.count = 1, .reusable = true}, SHIFT(33),
  [81] = {.count = 1, .reusable = true}, SHIFT(5),
  [83] = {.count = 1, .reusable = false}, SHIFT(34),
  [85] = {.count = 1, .reusable = false}, SHIFT(35),
  [87] = {.count = 1, .reusable = false}, SHIFT(36),
  [89] = {.count = 1, .reusable = false}, SHIFT(37),
  [91] = {.count = 1, .reusable = false}, SHIFT(38),
  [93] = {.count = 1, .reusable = false}, SHIFT(57),
  [95] = {.count = 1, .reusable = true}, SHIFT(55),
  [97] = {.count = 1, .reusable = false}, SHIFT(56),
  [99] = {.count = 1, .reusable = true}, SHIFT(57),
  [101] = {.count = 1, .reusable = false}, SHIFT(60),
  [103] = {.count = 1, .reusable = true}, SHIFT(60),
  [105] = {.count = 1, .reusable = true}, SHIFT(61),
  [107] = {.count = 1, .reusable = false}, SHIFT(62),
  [109] = {.count = 1, .reusable = false}, SHIFT(63),
  [111] = {.count = 1, .reusable = false}, SHIFT(66),
  [113] = {.count = 1, .reusable = true}, SHIFT(66),
  [115] = {.count = 1, .reusable = false}, SHIFT(798),
  [117] = {.count = 1, .reusable = false}, SHIFT(620),
  [119] = {.count = 1, .reusable = true}, SHIFT(810),
  [121] = {.count = 1, .reusable = false}, SHIFT(797),
  [123] = {.count = 1, .reusable = true}, SHIFT(621),
  [125] = {.count = 1, .reusable = false}, SHIFT(70),
  [127] = {.count = 1, .reusable = false}, SHIFT(622),
  [129] = {.count = 1, .reusable = true}, SHIFT(68),
  [131] = {.count = 1, .reusable = true}, SHIFT(69),
  [133] = {.count = 1, .reusable = true}, SHIFT(619),
  [135] = {.count = 1, .reusable = true}, SHIFT(800),
  [137] = {.count = 1, .reusable = true}, SHIFT(1012),
  [139] = {.count = 1, .reusable = false}, SHIFT(805),
  [141] = {.count = 1, .reusable = true}, SHIFT(70),
  [143] = {.count = 1, .reusable = false}, SHIFT(624),
  [145] = {.count = 1, .reusable = false}, SHIFT(625),
  [147] = {.count = 1, .reusable = false}, SHIFT(796),
  [149] = {.count = 1, .reusable = false}, SHIFT(1004),
  [151] = {.count = 1, .reusable = true}, SHIFT(799),
  [153] = {.count = 1, .reusable = false}, SHIFT(1005),
  [155] = {.count = 1, .reusable = true}, SHIFT(803),
  [157] = {.count = 1, .reusable = true}, SHIFT(67),
  [159] = {.count = 1, .reusable = true}, SHIFT(623),
  [161] = {.count = 1, .reusable = false}, SHIFT(632),
  [163] = {.count = 1, .reusable = true}, SHIFT(801),
  [165] = {.count = 1, .reusable = true}, SHIFT(1097),
  [167] = {.count = 1, .reusable = false}, SHIFT(626),
  [169] = {.count = 1, .reusable = false}, SHIFT(73),
  [171] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [173] = {.count = 1, .reusable = true}, SHIFT(74),
  [175] = {.count = 1, .reusable = true}, SHIFT(75),
  [177] = {.count = 1, .reusable = true}, SHIFT(77),
  [179] = {.count = 1, .reusable = true}, SHIFT(76),
  [181] = {.count = 1, .reusable = false}, SHIFT(78),
  [183] = {.count = 1, .reusable = true}, SHIFT(80),
  [185] = {.count = 1, .reusable = true}, SHIFT(79),
  [187] = {.count = 1, .reusable = true}, SHIFT(81),
  [189] = {.count = 1, .reusable = false}, SHIFT(83),
  [191] = {.count = 1, .reusable = false}, SHIFT(84),
  [193] = {.count = 1, .reusable = true}, SHIFT(932),
  [195] = {.count = 1, .reusable = true}, SHIFT(86),
  [197] = {.count = 1, .reusable = true}, SHIFT(926),
  [199] = {.count = 1, .reusable = true}, SHIFT(90),
  [201] = {.count = 1, .reusable = true}, SHIFT(91),
  [203] = {.count = 1, .reusable = true}, SHIFT(92),
  [205] = {.count = 1, .reusable = true}, SHIFT(96),
  [207] = {.count = 1, .reusable = false}, SHIFT(98),
  [209] = {.count = 1, .reusable = true}, SHIFT(98),
  [211] = {.count = 1, .reusable = true}, SHIFT(99),
  [213] = {.count = 1, .reusable = false}, SHIFT(100),
  [215] = {.count = 1, .reusable = true}, SHIFT(101),
  [217] = {.count = 1, .reusable = true}, SHIFT(102),
  [219] = {.count = 1, .reusable = false}, SHIFT(103),
  [221] = {.count = 1, .reusable = true}, SHIFT(104),
  [223] = {.count = 1, .reusable = true}, SHIFT(105),
  [225] = {.count = 1, .reusable = false}, SHIFT(106),
  [227] = {.count = 1, .reusable = false}, SHIFT(115),
  [229] = {.count = 1, .reusable = true}, SHIFT(115),
  [231] = {.count = 1, .reusable = true}, SHIFT(117),
  [233] = {.count = 1, .reusable = true}, SHIFT(118),
  [235] = {.count = 1, .reusable = false}, SHIFT(119),
  [237] = {.count = 1, .reusable = true}, SHIFT(119),
  [239] = {.count = 1, .reusable = true}, SHIFT(120),
  [241] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1),
  [243] = {.count = 1, .reusable = true}, SHIFT(121),
  [245] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1),
  [247] = {.count = 1, .reusable = true}, SHIFT(122),
  [249] = {.count = 1, .reusable = false}, SHIFT(123),
  [251] = {.count = 1, .reusable = false}, SHIFT(126),
  [253] = {.count = 1, .reusable = true}, SHIFT(1008),
  [255] = {.count = 1, .reusable = true}, SHIFT(126),
  [257] = {.count = 1, .reusable = true}, REDUCE(sym_program, 1),
  [259] = {.count = 1, .reusable = true}, SHIFT(128),
  [261] = {.count = 1, .reusable = true}, SHIFT(129),
  [263] = {.count = 1, .reusable = false}, REDUCE(sym_empty_statement, 1),
  [265] = {.count = 1, .reusable = true}, REDUCE(sym_empty_statement, 1),
  [267] = {.count = 1, .reusable = true}, SHIFT(130),
  [269] = {.count = 1, .reusable = false}, SHIFT(136),
  [271] = {.count = 1, .reusable = false}, SHIFT(131),
  [273] = {.count = 1, .reusable = true}, SHIFT(132),
  [275] = {.count = 1, .reusable = true}, SHIFT(136),
  [277] = {.count = 1, .reusable = false}, SHIFT(134),
  [279] = {.count = 1, .reusable = true}, SHIFT(135),
  [281] = {.count = 1, .reusable = false}, SHIFT(133),
  [283] = {.count = 1, .reusable = true}, SHIFT(144),
  [285] = {.count = 1, .reusable = true}, SHIFT(142),
  [287] = {.count = 1, .reusable = true}, SHIFT(143),
  [289] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [291] = {.count = 1, .reusable = true}, SHIFT(147),
  [293] = {.count = 1, .reusable = true}, SHIFT(146),
  [295] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [297] = {.count = 1, .reusable = false}, SHIFT(148),
  [299] = {.count = 1, .reusable = true}, SHIFT(149),
  [301] = {.count = 1, .reusable = false}, REDUCE(sym_yield_expression, 1),
  [303] = {.count = 1, .reusable = true}, REDUCE(sym_yield_expression, 1),
  [305] = {.count = 1, .reusable = false}, SHIFT(20),
  [307] = {.count = 1, .reusable = false}, SHIFT(151),
  [309] = {.count = 1, .reusable = true}, SHIFT(151),
  [311] = {.count = 1, .reusable = false}, SHIFT(33),
  [313] = {.count = 1, .reusable = true}, SHIFT(154),
  [315] = {.count = 1, .reusable = false}, SHIFT(152),
  [317] = {.count = 1, .reusable = true}, SHIFT(153),
  [319] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(80),
  [322] = {.count = 1, .reusable = false}, SHIFT(157),
  [324] = {.count = 1, .reusable = false}, SHIFT(158),
  [326] = {.count = 1, .reusable = false}, SHIFT(159),
  [328] = {.count = 1, .reusable = false}, SHIFT(160),
  [330] = {.count = 1, .reusable = false}, SHIFT(161),
  [332] = {.count = 1, .reusable = false}, SHIFT(930),
  [334] = {.count = 1, .reusable = false}, SHIFT(162),
  [336] = {.count = 1, .reusable = true}, SHIFT(159),
  [338] = {.count = 1, .reusable = false}, SHIFT(163),
  [340] = {.count = 1, .reusable = true}, SHIFT(1027),
  [342] = {.count = 1, .reusable = true}, SHIFT(172),
  [344] = {.count = 1, .reusable = true}, SHIFT(173),
  [346] = {.count = 1, .reusable = true}, SHIFT(1074),
  [348] = {.count = 1, .reusable = true}, SHIFT(12),
  [350] = {.count = 1, .reusable = true}, SHIFT(175),
  [352] = {.count = 1, .reusable = true}, SHIFT(171),
  [354] = {.count = 1, .reusable = true}, SHIFT(174),
  [356] = {.count = 1, .reusable = true}, SHIFT(36),
  [358] = {.count = 1, .reusable = true}, SHIFT(180),
  [360] = {.count = 1, .reusable = true}, SHIFT(181),
  [362] = {.count = 1, .reusable = true}, SHIFT(182),
  [364] = {.count = 1, .reusable = true}, SHIFT(184),
  [366] = {.count = 1, .reusable = false}, SHIFT(185),
  [368] = {.count = 1, .reusable = true}, SHIFT(185),
  [370] = {.count = 1, .reusable = false}, SHIFT(1137),
  [372] = {.count = 1, .reusable = false}, SHIFT(1006),
  [374] = {.count = 1, .reusable = false}, SHIFT(1009),
  [376] = {.count = 1, .reusable = false}, SHIFT(1013),
  [378] = {.count = 1, .reusable = false}, SHIFT(1014),
  [380] = {.count = 1, .reusable = false}, SHIFT(1016),
  [382] = {.count = 1, .reusable = true}, SHIFT(190),
  [384] = {.count = 1, .reusable = false}, REDUCE(sym__declaration, 1),
  [386] = {.count = 1, .reusable = true}, REDUCE(sym__declaration, 1),
  [388] = {.count = 1, .reusable = true}, SHIFT(191),
  [390] = {.count = 1, .reusable = true}, SHIFT(148),
  [392] = {.count = 1, .reusable = false}, SHIFT(192),
  [394] = {.count = 1, .reusable = false}, SHIFT(193),
  [396] = {.count = 1, .reusable = true}, SHIFT(194),
  [398] = {.count = 1, .reusable = true}, SHIFT(195),
  [400] = {.count = 1, .reusable = true}, SHIFT(196),
  [402] = {.count = 1, .reusable = false}, SHIFT(196),
  [404] = {.count = 1, .reusable = false}, SHIFT(194),
  [406] = {.count = 1, .reusable = true}, SHIFT(192),
  [408] = {.count = 1, .reusable = true}, SHIFT(197),
  [410] = {.count = 1, .reusable = true}, SHIFT(198),
  [412] = {.count = 1, .reusable = true}, SHIFT(199),
  [414] = {.count = 1, .reusable = true}, SHIFT(200),
  [416] = {.count = 1, .reusable = true}, SHIFT(201),
  [418] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [420] = {.count = 1, .reusable = false}, SHIFT(204),
  [422] = {.count = 1, .reusable = false}, SHIFT(206),
  [424] = {.count = 1, .reusable = false}, SHIFT(205),
  [426] = {.count = 1, .reusable = true}, SHIFT(643),
  [428] = {.count = 1, .reusable = false}, SHIFT(211),
  [430] = {.count = 1, .reusable = true}, SHIFT(112),
  [432] = {.count = 1, .reusable = true}, SHIFT(976),
  [434] = {.count = 1, .reusable = false}, SHIFT(208),
  [436] = {.count = 1, .reusable = false}, SHIFT(209),
  [438] = {.count = 1, .reusable = true}, SHIFT(210),
  [440] = {.count = 1, .reusable = true}, REDUCE(sym_await_expression, 2),
  [442] = {.count = 1, .reusable = true}, REDUCE(sym_unary_expression, 2),
  [444] = {.count = 1, .reusable = false}, REDUCE(sym_unary_expression, 2),
  [446] = {.count = 1, .reusable = true}, SHIFT(217),
  [448] = {.count = 1, .reusable = true}, SHIFT(927),
  [450] = {.count = 1, .reusable = false}, SHIFT(218),
  [452] = {.count = 1, .reusable = false}, SHIFT(220),
  [454] = {.count = 1, .reusable = true}, SHIFT(222),
  [456] = {.count = 1, .reusable = true}, SHIFT(929),
  [458] = {.count = 1, .reusable = false}, SHIFT(215),
  [460] = {.count = 1, .reusable = false}, SHIFT(216),
  [462] = {.count = 1, .reusable = true}, SHIFT(219),
  [464] = {.count = 1, .reusable = true}, SHIFT(63),
  [466] = {.count = 1, .reusable = false}, SHIFT(228),
  [468] = {.count = 1, .reusable = true}, SHIFT(228),
  [470] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_class, 2),
  [472] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_class, 2),
  [474] = {.count = 1, .reusable = true}, REDUCE(sym_update_expression, 2),
  [476] = {.count = 1, .reusable = false}, REDUCE(sym_update_expression, 2),
  [478] = {.count = 1, .reusable = true}, REDUCE(sym_array, 2),
  [480] = {.count = 1, .reusable = false}, REDUCE(sym_array, 2),
  [482] = {.count = 1, .reusable = false}, SHIFT(230),
  [484] = {.count = 1, .reusable = true}, SHIFT(230),
  [486] = {.count = 1, .reusable = false}, SHIFT(231),
  [488] = {.count = 1, .reusable = true}, REDUCE(aux_sym_array_repeat1, 1),
  [490] = {.count = 1, .reusable = true}, SHIFT(231),
  [492] = {.count = 1, .reusable = true}, SHIFT(652),
  [494] = {.count = 1, .reusable = false}, SHIFT(665),
  [496] = {.count = 1, .reusable = true}, SHIFT(1030),
  [498] = {.count = 1, .reusable = false}, SHIFT(666),
  [500] = {.count = 1, .reusable = true}, SHIFT(667),
  [502] = {.count = 1, .reusable = true}, SHIFT(668),
  [504] = {.count = 1, .reusable = true}, SHIFT(669),
  [506] = {.count = 1, .reusable = false}, SHIFT(669),
  [508] = {.count = 1, .reusable = false}, SHIFT(652),
  [510] = {.count = 1, .reusable = true}, SHIFT(836),
  [512] = {.count = 1, .reusable = true}, SHIFT(233),
  [514] = {.count = 1, .reusable = false}, SHIFT(667),
  [516] = {.count = 1, .reusable = true}, SHIFT(665),
  [518] = {.count = 1, .reusable = true}, SHIFT(670),
  [520] = {.count = 1, .reusable = true}, SHIFT(837),
  [522] = {.count = 1, .reusable = true}, SHIFT(1038),
  [524] = {.count = 1, .reusable = true}, REDUCE(sym_string, 2),
  [526] = {.count = 1, .reusable = false}, REDUCE(sym_string, 2),
  [528] = {.count = 1, .reusable = false}, SHIFT(236),
  [530] = {.count = 1, .reusable = true}, SHIFT(237),
  [532] = {.count = 1, .reusable = false}, SHIFT(238),
  [534] = {.count = 1, .reusable = true}, SHIFT(238),
  [536] = {.count = 1, .reusable = true}, REDUCE(sym_template_string, 2),
  [538] = {.count = 1, .reusable = false}, REDUCE(sym_template_string, 2),
  [540] = {.count = 1, .reusable = true}, SHIFT(241),
  [542] = {.count = 1, .reusable = true}, SHIFT(240),
  [544] = {.count = 1, .reusable = false}, SHIFT(242),
  [546] = {.count = 1, .reusable = false}, SHIFT(244),
  [548] = {.count = 1, .reusable = true}, SHIFT(972),
  [550] = {.count = 1, .reusable = false}, SHIFT(245),
  [552] = {.count = 1, .reusable = true}, SHIFT(248),
  [554] = {.count = 1, .reusable = true}, SHIFT(849),
  [556] = {.count = 1, .reusable = false}, REDUCE(sym__identifier_reference, 1, .production_id = 1),
  [558] = {.count = 1, .reusable = true}, REDUCE(sym__identifier_reference, 1, .production_id = 1),
  [560] = {.count = 1, .reusable = false}, REDUCE(sym_decorator, 2),
  [562] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 2),
  [564] = {.count = 1, .reusable = false}, SHIFT(251),
  [566] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1),
  [568] = {.count = 1, .reusable = true}, SHIFT(123),
  [570] = {.count = 1, .reusable = true}, SHIFT(254),
  [572] = {.count = 1, .reusable = true}, SHIFT(255),
  [574] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .production_id = 2),
  [576] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .production_id = 3),
  [578] = {.count = 1, .reusable = true}, SHIFT(261),
  [580] = {.count = 1, .reusable = true}, SHIFT(259),
  [582] = {.count = 1, .reusable = true}, SHIFT(260),
  [584] = {.count = 1, .reusable = true}, REDUCE(sym_import_clause, 1),
  [586] = {.count = 1, .reusable = true}, SHIFT(263),
  [588] = {.count = 1, .reusable = true}, SHIFT(264),
  [590] = {.count = 1, .reusable = true}, SHIFT(265),
  [592] = {.count = 1, .reusable = true}, SHIFT(267),
  [594] = {.count = 1, .reusable = false}, SHIFT(944),
  [596] = {.count = 1, .reusable = true}, SHIFT(944),
  [598] = {.count = 1, .reusable = false}, SHIFT(678),
  [600] = {.count = 1, .reusable = true}, SHIFT(1040),
  [602] = {.count = 1, .reusable = true}, SHIFT(269),
  [604] = {.count = 1, .reusable = true}, REDUCE(sym__property_name, 1, .production_id = 4),
  [606] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [609] = {.count = 1, .reusable = true}, SHIFT(270),
  [611] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(1040),
  [614] = {.count = 1, .reusable = false}, SHIFT(122),
  [616] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 1),
  [618] = {.count = 1, .reusable = false}, SHIFT(274),
  [620] = {.count = 1, .reusable = false}, SHIFT(272),
  [622] = {.count = 1, .reusable = false}, SHIFT(273),
  [624] = {.count = 1, .reusable = true}, REDUCE(sym__property_name, 1),
  [626] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym__property_name, 1),
  [629] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(279),
  [632] = {.count = 1, .reusable = false}, SHIFT(278),
  [634] = {.count = 3, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(80),
  [638] = {.count = 1, .reusable = false}, SHIFT(277),
  [640] = {.count = 1, .reusable = false}, REDUCE(sym_object, 2),
  [642] = {.count = 1, .reusable = true}, REDUCE(sym_object, 2),
  [644] = {.count = 1, .reusable = false}, REDUCE(sym_statement_block, 2),
  [646] = {.count = 1, .reusable = true}, REDUCE(sym_statement_block, 2),
  [648] = {.count = 1, .reusable = false}, SHIFT(280),
  [650] = {.count = 1, .reusable = true}, SHIFT(280),
  [652] = {.count = 2, .reusable = true}, REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(147),
  [655] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [658] = {.count = 1, .reusable = false}, SHIFT(832),
  [660] = {.count = 1, .reusable = true}, SHIFT(282),
  [662] = {.count = 1, .reusable = true}, SHIFT(284),
  [664] = {.count = 1, .reusable = false}, SHIFT(201),
  [666] = {.count = 1, .reusable = true}, SHIFT(287),
  [668] = {.count = 1, .reusable = false}, SHIFT(675),
  [670] = {.count = 1, .reusable = false}, SHIFT(676),
  [672] = {.count = 1, .reusable = false}, SHIFT(200),
  [674] = {.count = 1, .reusable = true}, SHIFT(289),
  [676] = {.count = 1, .reusable = true}, SHIFT(293),
  [678] = {.count = 1, .reusable = true}, SHIFT(294),
  [680] = {.count = 1, .reusable = false}, SHIFT(297),
  [682] = {.count = 1, .reusable = false}, SHIFT(295),
  [684] = {.count = 1, .reusable = false}, SHIFT(296),
  [686] = {.count = 1, .reusable = true}, SHIFT(301),
  [688] = {.count = 1, .reusable = false}, SHIFT(302),
  [690] = {.count = 1, .reusable = true}, SHIFT(302),
  [692] = {.count = 1, .reusable = true}, SHIFT(303),
  [694] = {.count = 1, .reusable = false}, SHIFT(304),
  [696] = {.count = 1, .reusable = true}, SHIFT(304),
  [698] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 2, .production_id = 1),
  [700] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_expression, 2, .production_id = 1),
  [702] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 2),
  [704] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 2),
  [706] = {.count = 1, .reusable = true}, REDUCE(sym_program, 2),
  [708] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 2),
  [710] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 2),
  [712] = {.count = 1, .reusable = true}, SHIFT(305),
  [714] = {.count = 1, .reusable = false}, REDUCE(sym_debugger_statement, 2),
  [716] = {.count = 1, .reusable = true}, REDUCE(sym_debugger_statement, 2),
  [718] = {.count = 1, .reusable = true}, SHIFT(645),
  [720] = {.count = 1, .reusable = true}, SHIFT(831),
  [722] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(306),
  [725] = {.count = 1, .reusable = false}, SHIFT(646),
  [727] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(307),
  [730] = {.count = 1, .reusable = true}, SHIFT(309),
  [732] = {.count = 1, .reusable = true}, SHIFT(651),
  [734] = {.count = 1, .reusable = true}, SHIFT(653),
  [736] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(311),
  [739] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(310),
  [742] = {.count = 1, .reusable = false}, SHIFT(1035),
  [744] = {.count = 1, .reusable = false}, SHIFT(843),
  [746] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 2),
  [748] = {.count = 1, .reusable = true}, SHIFT(671),
  [750] = {.count = 1, .reusable = true}, SHIFT(313),
  [752] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(314),
  [755] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(315),
  [758] = {.count = 1, .reusable = true}, SHIFT(311),
  [760] = {.count = 1, .reusable = true}, SHIFT(310),
  [762] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(317),
  [765] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(318),
  [768] = {.count = 1, .reusable = true}, SHIFT(321),
  [770] = {.count = 1, .reusable = false}, SHIFT(323),
  [772] = {.count = 1, .reusable = true}, SHIFT(323),
  [774] = {.count = 1, .reusable = true}, SHIFT(322),
  [776] = {.count = 1, .reusable = false}, SHIFT(326),
  [778] = {.count = 1, .reusable = true}, SHIFT(326),
  [780] = {.count = 1, .reusable = true}, REDUCE(sym_call_expression, 2),
  [782] = {.count = 1, .reusable = false}, REDUCE(sym_call_expression, 2),
  [784] = {.count = 1, .reusable = false}, SHIFT(328),
  [786] = {.count = 1, .reusable = true}, SHIFT(328),
  [788] = {.count = 1, .reusable = false}, SHIFT(330),
  [790] = {.count = 1, .reusable = true}, SHIFT(330),
  [792] = {.count = 1, .reusable = false}, SHIFT(332),
  [794] = {.count = 1, .reusable = true}, SHIFT(332),
  [796] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 2),
  [798] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_expression, 2),
  [800] = {.count = 1, .reusable = true}, REDUCE(sym_yield_expression, 2),
  [802] = {.count = 1, .reusable = true}, SHIFT(857),
  [804] = {.count = 1, .reusable = false}, SHIFT(334),
  [806] = {.count = 1, .reusable = true}, SHIFT(336),
  [808] = {.count = 1, .reusable = true}, SHIFT(333),
  [810] = {.count = 1, .reusable = true}, SHIFT(335),
  [812] = {.count = 1, .reusable = false}, SHIFT(335),
  [814] = {.count = 1, .reusable = true}, SHIFT(337),
  [816] = {.count = 1, .reusable = false}, SHIFT(341),
  [818] = {.count = 1, .reusable = false}, SHIFT(340),
  [820] = {.count = 1, .reusable = true}, SHIFT(342),
  [822] = {.count = 1, .reusable = true}, SHIFT(343),
  [824] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 2),
  [826] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 2),
  [828] = {.count = 1, .reusable = true}, SHIFT(345),
  [830] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 2, .production_id = 5),
  [832] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 2, .production_id = 5),
  [834] = {.count = 1, .reusable = true}, SHIFT(348),
  [836] = {.count = 1, .reusable = true}, SHIFT(350),
  [838] = {.count = 1, .reusable = true}, SHIFT(353),
  [840] = {.count = 1, .reusable = true}, SHIFT(352),
  [842] = {.count = 1, .reusable = true}, SHIFT(934),
  [844] = {.count = 1, .reusable = false}, SHIFT(355),
  [846] = {.count = 1, .reusable = true}, SHIFT(355),
  [848] = {.count = 1, .reusable = true}, SHIFT(1082),
  [850] = {.count = 1, .reusable = true}, SHIFT(357),
  [852] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 2),
  [854] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 2),
  [856] = {.count = 1, .reusable = true}, SHIFT(358),
  [858] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 2),
  [860] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 2),
  [862] = {.count = 1, .reusable = true}, SHIFT(359),
  [864] = {.count = 1, .reusable = true}, SHIFT(360),
  [866] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 2),
  [868] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 2),
  [870] = {.count = 1, .reusable = false}, SHIFT(361),
  [872] = {.count = 1, .reusable = false}, SHIFT(362),
  [874] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 2),
  [876] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [878] = {.count = 1, .reusable = true}, SHIFT(365),
  [880] = {.count = 1, .reusable = true}, SHIFT(366),
  [882] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4),
  [885] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(15),
  [888] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(13),
  [891] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(16),
  [894] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3),
  [897] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(18),
  [900] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(19),
  [903] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(20),
  [906] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(48),
  [909] = {.count = 1, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2),
  [911] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(22),
  [914] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5),
  [917] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(26),
  [920] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7),
  [923] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(28),
  [926] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(30),
  [929] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(48),
  [932] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(32),
  [935] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(34),
  [938] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(36),
  [941] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(12),
  [944] = {.count = 1, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2),
  [946] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(40),
  [949] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2),
  [952] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(9),
  [955] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6),
  [958] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(10),
  [961] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(14),
  [964] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(17),
  [967] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(21),
  [970] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(23),
  [973] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(25),
  [976] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(27),
  [979] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(29),
  [982] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(31),
  [985] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(8),
  [988] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(33),
  [991] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(35),
  [994] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(11),
  [997] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(37),
  [1000] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(38),
  [1003] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(39),
  [1006] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(41),
  [1009] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(42),
  [1012] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 2, .production_id = 3),
  [1014] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_expression, 2, .production_id = 3),
  [1016] = {.count = 1, .reusable = false}, REDUCE(sym__declaration, 2),
  [1018] = {.count = 1, .reusable = true}, REDUCE(sym__declaration, 2),
  [1020] = {.count = 1, .reusable = false}, REDUCE(sym_expression_statement, 2),
  [1022] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 2),
  [1024] = {.count = 1, .reusable = false}, SHIFT(367),
  [1026] = {.count = 1, .reusable = true}, SHIFT(367),
  [1028] = {.count = 1, .reusable = false}, SHIFT(368),
  [1030] = {.count = 1, .reusable = true}, SHIFT(368),
  [1032] = {.count = 1, .reusable = false}, SHIFT(369),
  [1034] = {.count = 1, .reusable = true}, SHIFT(369),
  [1036] = {.count = 1, .reusable = false}, SHIFT(370),
  [1038] = {.count = 1, .reusable = true}, SHIFT(370),
  [1040] = {.count = 1, .reusable = false}, SHIFT(371),
  [1042] = {.count = 1, .reusable = true}, SHIFT(371),
  [1044] = {.count = 1, .reusable = false}, SHIFT(372),
  [1046] = {.count = 1, .reusable = true}, SHIFT(372),
  [1048] = {.count = 1, .reusable = false}, SHIFT(374),
  [1050] = {.count = 1, .reusable = true}, SHIFT(374),
  [1052] = {.count = 1, .reusable = true}, SHIFT(375),
  [1054] = {.count = 1, .reusable = false}, SHIFT(376),
  [1056] = {.count = 1, .reusable = false}, REDUCE(aux_sym_export_statement_repeat1, 2),
  [1058] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_statement_repeat1, 2),
  [1060] = {.count = 2, .reusable = true}, REDUCE(aux_sym_export_statement_repeat1, 2), SHIFT_REPEAT(11),
  [1063] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 2, .production_id = 2),
  [1065] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_expression, 2, .production_id = 2),
  [1067] = {.count = 1, .reusable = false}, SHIFT(379),
  [1069] = {.count = 1, .reusable = true}, SHIFT(379),
  [1071] = {.count = 1, .reusable = true}, SHIFT(378),
  [1073] = {.count = 1, .reusable = false}, SHIFT(381),
  [1075] = {.count = 1, .reusable = true}, SHIFT(1079),
  [1077] = {.count = 1, .reusable = false}, SHIFT(1078),
  [1079] = {.count = 1, .reusable = false}, SHIFT(382),
  [1081] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_element, 2),
  [1083] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_element, 2),
  [1085] = {.count = 1, .reusable = true}, SHIFT(279),
  [1087] = {.count = 1, .reusable = true}, SHIFT(646),
  [1089] = {.count = 1, .reusable = false}, SHIFT(387),
  [1091] = {.count = 1, .reusable = true}, SHIFT(387),
  [1093] = {.count = 1, .reusable = false}, REDUCE(sym_class_body, 2),
  [1095] = {.count = 1, .reusable = true}, REDUCE(sym_class_body, 2),
  [1097] = {.count = 1, .reusable = false}, SHIFT(390),
  [1099] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 1),
  [1101] = {.count = 1, .reusable = true}, SHIFT(392),
  [1103] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 1),
  [1105] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 1),
  [1107] = {.count = 1, .reusable = true}, SHIFT(394),
  [1109] = {.count = 1, .reusable = false}, REDUCE(sym_class, 3),
  [1111] = {.count = 1, .reusable = true}, REDUCE(sym_class, 3),
  [1113] = {.count = 1, .reusable = true}, REDUCE(sym_class_heritage, 2),
  [1115] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_class, 3),
  [1117] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_class, 3),
  [1119] = {.count = 1, .reusable = true}, REDUCE(sym_spread_element, 2),
  [1121] = {.count = 1, .reusable = true}, REDUCE(aux_sym_array_repeat1, 2),
  [1123] = {.count = 1, .reusable = true}, REDUCE(sym_array, 3),
  [1125] = {.count = 1, .reusable = false}, REDUCE(sym_array, 3),
  [1127] = {.count = 1, .reusable = true}, SHIFT(396),
  [1129] = {.count = 2, .reusable = true}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(69),
  [1132] = {.count = 1, .reusable = true}, REDUCE(sym_string, 3),
  [1134] = {.count = 1, .reusable = false}, REDUCE(sym_string, 3),
  [1136] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2),
  [1138] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(237),
  [1141] = {.count = 1, .reusable = true}, SHIFT(397),
  [1143] = {.count = 1, .reusable = true}, REDUCE(sym_template_string, 3),
  [1145] = {.count = 1, .reusable = false}, REDUCE(sym_template_string, 3),
  [1147] = {.count = 2, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(75),
  [1150] = {.count = 2, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(241),
  [1153] = {.count = 1, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2),
  [1155] = {.count = 1, .reusable = false}, REDUCE(sym_regex, 3),
  [1157] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 3),
  [1159] = {.count = 1, .reusable = false}, SHIFT(398),
  [1161] = {.count = 1, .reusable = true}, SHIFT(306),
  [1163] = {.count = 1, .reusable = true}, SHIFT(307),
  [1165] = {.count = 1, .reusable = true}, SHIFT(317),
  [1167] = {.count = 1, .reusable = true}, SHIFT(318),
  [1169] = {.count = 1, .reusable = true}, SHIFT(314),
  [1171] = {.count = 1, .reusable = true}, SHIFT(315),
  [1173] = {.count = 1, .reusable = false}, REDUCE(sym_function, 3),
  [1175] = {.count = 1, .reusable = true}, REDUCE(sym_function, 3),
  [1177] = {.count = 1, .reusable = true}, SHIFT(402),
  [1179] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_call_expression, 2),
  [1181] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_call_expression, 2),
  [1183] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2),
  [1185] = {.count = 1, .reusable = false}, REDUCE(sym_lexical_declaration, 3),
  [1187] = {.count = 1, .reusable = true}, REDUCE(sym_lexical_declaration, 3),
  [1189] = {.count = 1, .reusable = true}, SHIFT(404),
  [1191] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .production_id = 2),
  [1193] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .production_id = 3),
  [1195] = {.count = 1, .reusable = true}, REDUCE(sym__import_export_specifier, 1),
  [1197] = {.count = 1, .reusable = true}, SHIFT(406),
  [1199] = {.count = 1, .reusable = true}, SHIFT(407),
  [1201] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 2),
  [1203] = {.count = 1, .reusable = true}, SHIFT(408),
  [1205] = {.count = 1, .reusable = true}, SHIFT(409),
  [1207] = {.count = 1, .reusable = true}, SHIFT(412),
  [1209] = {.count = 1, .reusable = true}, SHIFT(414),
  [1211] = {.count = 1, .reusable = false}, REDUCE(sym_import_statement, 3),
  [1213] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 3),
  [1215] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 3),
  [1217] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 3),
  [1219] = {.count = 1, .reusable = false}, SHIFT(415),
  [1221] = {.count = 1, .reusable = true}, REDUCE(sym_object, 3, .production_id = 6),
  [1223] = {.count = 1, .reusable = false}, REDUCE(sym_object, 3, .production_id = 6),
  [1225] = {.count = 1, .reusable = true}, SHIFT(417),
  [1227] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 6),
  [1229] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2),
  [1231] = {.count = 1, .reusable = true}, SHIFT(419),
  [1233] = {.count = 1, .reusable = true}, SHIFT(420),
  [1235] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 2, .production_id = 7), REDUCE(sym_assignment_expression, 2),
  [1238] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 2, .production_id = 7),
  [1240] = {.count = 1, .reusable = true}, REDUCE(sym_object, 3),
  [1242] = {.count = 1, .reusable = false}, REDUCE(sym_object, 3),
  [1244] = {.count = 1, .reusable = true}, SHIFT(421),
  [1246] = {.count = 1, .reusable = false}, REDUCE(sym_statement_block, 3),
  [1248] = {.count = 1, .reusable = true}, REDUCE(sym_statement_block, 3),
  [1250] = {.count = 2, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(101),
  [1253] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 2, .production_id = 3), REDUCE(sym_assignment_expression, 2, .production_id = 3),
  [1256] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 2, .production_id = 3),
  [1258] = {.count = 1, .reusable = false}, SHIFT(423),
  [1260] = {.count = 1, .reusable = true}, SHIFT(423),
  [1262] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 2, .production_id = 2), REDUCE(sym_assignment_expression, 2, .production_id = 2),
  [1265] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 2, .production_id = 2),
  [1267] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 3),
  [1269] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 3),
  [1271] = {.count = 1, .reusable = false}, REDUCE(sym_throw_statement, 3),
  [1273] = {.count = 1, .reusable = true}, REDUCE(sym_throw_statement, 3),
  [1275] = {.count = 1, .reusable = false}, SHIFT(425),
  [1277] = {.count = 1, .reusable = false}, SHIFT(426),
  [1279] = {.count = 1, .reusable = true}, SHIFT(429),
  [1281] = {.count = 1, .reusable = false}, SHIFT(432),
  [1283] = {.count = 1, .reusable = true}, SHIFT(433),
  [1285] = {.count = 1, .reusable = false}, SHIFT(436),
  [1287] = {.count = 1, .reusable = true}, SHIFT(435),
  [1289] = {.count = 1, .reusable = false}, SHIFT(438),
  [1291] = {.count = 1, .reusable = true}, SHIFT(437),
  [1293] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat2, 2),
  [1295] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(301),
  [1298] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 1),
  [1300] = {.count = 1, .reusable = true}, REDUCE(sym_member_expression, 3, .production_id = 8),
  [1302] = {.count = 1, .reusable = false}, REDUCE(sym_member_expression, 3, .production_id = 8),
  [1304] = {.count = 1, .reusable = true}, REDUCE(sym__initializer, 2),
  [1306] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 3, .production_id = 9),
  [1308] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 3, .production_id = 9),
  [1310] = {.count = 1, .reusable = false}, SHIFT(439),
  [1312] = {.count = 1, .reusable = false}, SHIFT(440),
  [1314] = {.count = 1, .reusable = true}, SHIFT(441),
  [1316] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .production_id = 5),
  [1318] = {.count = 1, .reusable = true}, SHIFT(445),
  [1320] = {.count = 1, .reusable = true}, REDUCE(sym_rest_parameter, 2),
  [1322] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3),
  [1324] = {.count = 1, .reusable = true}, SHIFT(447),
  [1326] = {.count = 1, .reusable = true}, SHIFT(448),
  [1328] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [1330] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [1332] = {.count = 1, .reusable = true}, SHIFT(449),
  [1334] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .production_id = 10),
  [1336] = {.count = 1, .reusable = true}, SHIFT(450),
  [1338] = {.count = 1, .reusable = true}, SHIFT(451),
  [1340] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .production_id = 11),
  [1342] = {.count = 1, .reusable = true}, SHIFT(452),
  [1344] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 3),
  [1346] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 3),
  [1348] = {.count = 1, .reusable = true}, REDUCE(sym_member_expression, 3, .production_id = 12),
  [1350] = {.count = 1, .reusable = false}, REDUCE(sym_member_expression, 3, .production_id = 12),
  [1352] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 2),
  [1354] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 2),
  [1356] = {.count = 1, .reusable = true}, SHIFT(453),
  [1358] = {.count = 1, .reusable = true}, SHIFT(455),
  [1360] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment_expression, 3),
  [1362] = {.count = 1, .reusable = false}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 13),
  [1364] = {.count = 1, .reusable = true}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 13),
  [1366] = {.count = 1, .reusable = true}, REDUCE(sym_binary_expression, 3),
  [1368] = {.count = 1, .reusable = false}, REDUCE(sym_binary_expression, 3),
  [1370] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 3),
  [1372] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 3),
  [1374] = {.count = 1, .reusable = true}, SHIFT(456),
  [1376] = {.count = 1, .reusable = true}, SHIFT(457),
  [1378] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [1380] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [1382] = {.count = 1, .reusable = true}, SHIFT(458),
  [1384] = {.count = 1, .reusable = true}, SHIFT(459),
  [1386] = {.count = 1, .reusable = false}, SHIFT(459),
  [1388] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1),
  [1390] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 1),
  [1392] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 1),
  [1394] = {.count = 1, .reusable = true}, SHIFT(460),
  [1396] = {.count = 1, .reusable = false}, SHIFT(461),
  [1398] = {.count = 1, .reusable = true}, SHIFT(462),
  [1400] = {.count = 1, .reusable = false}, SHIFT(464),
  [1402] = {.count = 1, .reusable = false}, SHIFT(465),
  [1404] = {.count = 1, .reusable = false}, SHIFT(468),
  [1406] = {.count = 1, .reusable = true}, SHIFT(468),
  [1408] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 3),
  [1410] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 3),
  [1412] = {.count = 1, .reusable = true}, REDUCE(sym_meta_property, 3),
  [1414] = {.count = 1, .reusable = false}, REDUCE(sym_meta_property, 3),
  [1416] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 3, .production_id = 5),
  [1418] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 3, .production_id = 5),
  [1420] = {.count = 1, .reusable = false}, REDUCE(sym_variable_declaration, 3),
  [1422] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declaration, 3),
  [1424] = {.count = 1, .reusable = true}, SHIFT(471),
  [1426] = {.count = 1, .reusable = true}, SHIFT(472),
  [1428] = {.count = 1, .reusable = true}, SHIFT(473),
  [1430] = {.count = 1, .reusable = true}, SHIFT(474),
  [1432] = {.count = 1, .reusable = false}, REDUCE(sym_switch_statement, 3),
  [1434] = {.count = 1, .reusable = true}, REDUCE(sym_switch_statement, 3),
  [1436] = {.count = 1, .reusable = true}, SHIFT(476),
  [1438] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 2),
  [1440] = {.count = 1, .reusable = true}, SHIFT(477),
  [1442] = {.count = 1, .reusable = true}, SHIFT(478),
  [1444] = {.count = 1, .reusable = true}, SHIFT(480),
  [1446] = {.count = 1, .reusable = true}, SHIFT(960),
  [1448] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 3),
  [1450] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 3),
  [1452] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 3, .production_id = 9),
  [1454] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 3, .production_id = 9),
  [1456] = {.count = 1, .reusable = true}, SHIFT(481),
  [1458] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 3),
  [1460] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 3),
  [1462] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 3),
  [1464] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 3),
  [1466] = {.count = 1, .reusable = true}, SHIFT(1077),
  [1468] = {.count = 1, .reusable = true}, REDUCE(sym_sequence_expression, 3),
  [1470] = {.count = 1, .reusable = true}, SHIFT(486),
  [1472] = {.count = 1, .reusable = false}, SHIFT(487),
  [1474] = {.count = 1, .reusable = true}, SHIFT(487),
  [1476] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_expression, 2),
  [1478] = {.count = 1, .reusable = true}, SHIFT(490),
  [1480] = {.count = 1, .reusable = true}, SHIFT(492),
  [1482] = {.count = 1, .reusable = false}, SHIFT(491),
  [1484] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(204),
  [1487] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(382),
  [1490] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(495),
  [1493] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_element, 3),
  [1495] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_element, 3),
  [1497] = {.count = 1, .reusable = true}, SHIFT(496),
  [1499] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2),
  [1501] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2),
  [1503] = {.count = 1, .reusable = true}, SHIFT(497),
  [1505] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 2),
  [1507] = {.count = 1, .reusable = false}, REDUCE(sym_class_body, 3),
  [1509] = {.count = 1, .reusable = true}, REDUCE(sym_class_body, 3),
  [1511] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(215),
  [1514] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(929),
  [1517] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(216),
  [1520] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(217),
  [1523] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(11),
  [1526] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(927),
  [1529] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(218),
  [1532] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(220),
  [1535] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(99),
  [1538] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(222),
  [1541] = {.count = 1, .reusable = false}, REDUCE(sym_class, 4),
  [1543] = {.count = 1, .reusable = true}, REDUCE(sym_class, 4),
  [1545] = {.count = 1, .reusable = true}, REDUCE(sym_array, 4),
  [1547] = {.count = 1, .reusable = false}, REDUCE(sym_array, 4),
  [1549] = {.count = 1, .reusable = true}, REDUCE(sym_template_substitution, 3),
  [1551] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 4),
  [1553] = {.count = 1, .reusable = false}, REDUCE(sym_regex, 4),
  [1555] = {.count = 1, .reusable = false}, REDUCE(sym_function, 4),
  [1557] = {.count = 1, .reusable = true}, REDUCE(sym_function, 4),
  [1559] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 4),
  [1561] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 4),
  [1563] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_member_expression, 3, .production_id = 12),
  [1565] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_member_expression, 3, .production_id = 12),
  [1567] = {.count = 1, .reusable = true}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [1569] = {.count = 1, .reusable = false}, REDUCE(sym_lexical_declaration, 4),
  [1571] = {.count = 1, .reusable = true}, REDUCE(sym_lexical_declaration, 4),
  [1573] = {.count = 2, .reusable = true}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(255),
  [1576] = {.count = 1, .reusable = true}, SHIFT(501),
  [1578] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 3),
  [1580] = {.count = 1, .reusable = true}, SHIFT(502),
  [1582] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 3, .production_id = 14),
  [1584] = {.count = 1, .reusable = true}, SHIFT(504),
  [1586] = {.count = 1, .reusable = true}, REDUCE(sym_import_clause, 3),
  [1588] = {.count = 1, .reusable = true}, REDUCE(sym_namespace_import, 3),
  [1590] = {.count = 1, .reusable = true}, REDUCE(sym__from_clause, 2),
  [1592] = {.count = 1, .reusable = false}, REDUCE(sym_import_statement, 4),
  [1594] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 4),
  [1596] = {.count = 1, .reusable = true}, REDUCE(sym_object, 4, .production_id = 6),
  [1598] = {.count = 1, .reusable = false}, REDUCE(sym_object, 4, .production_id = 6),
  [1600] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 3),
  [1602] = {.count = 1, .reusable = true}, REDUCE(sym_computed_property_name, 3),
  [1604] = {.count = 2, .reusable = true}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [1607] = {.count = 1, .reusable = true}, REDUCE(sym_object, 4),
  [1609] = {.count = 1, .reusable = false}, REDUCE(sym_object, 4),
  [1611] = {.count = 1, .reusable = true}, SHIFT(509),
  [1613] = {.count = 1, .reusable = true}, REDUCE(sym_pair, 3),
  [1615] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 3),
  [1617] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 3),
  [1619] = {.count = 1, .reusable = true}, SHIFT(510),
  [1621] = {.count = 1, .reusable = true}, SHIFT(513),
  [1623] = {.count = 1, .reusable = true}, SHIFT(514),
  [1625] = {.count = 1, .reusable = true}, SHIFT(515),
  [1627] = {.count = 1, .reusable = true}, SHIFT(516),
  [1629] = {.count = 1, .reusable = true}, SHIFT(517),
  [1631] = {.count = 1, .reusable = true}, SHIFT(518),
  [1633] = {.count = 1, .reusable = false}, SHIFT(519),
  [1635] = {.count = 1, .reusable = true}, SHIFT(519),
  [1637] = {.count = 1, .reusable = false}, SHIFT(521),
  [1639] = {.count = 1, .reusable = true}, SHIFT(521),
  [1641] = {.count = 1, .reusable = false}, SHIFT(523),
  [1643] = {.count = 1, .reusable = true}, SHIFT(523),
  [1645] = {.count = 1, .reusable = true}, SHIFT(522),
  [1647] = {.count = 1, .reusable = false}, SHIFT(525),
  [1649] = {.count = 1, .reusable = true}, SHIFT(525),
  [1651] = {.count = 1, .reusable = false}, SHIFT(526),
  [1653] = {.count = 1, .reusable = true}, SHIFT(526),
  [1655] = {.count = 1, .reusable = false}, SHIFT(528),
  [1657] = {.count = 1, .reusable = true}, SHIFT(528),
  [1659] = {.count = 1, .reusable = false}, SHIFT(529),
  [1661] = {.count = 1, .reusable = true}, SHIFT(529),
  [1663] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 5),
  [1665] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [1667] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .production_id = 5),
  [1669] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 11),
  [1671] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 10),
  [1673] = {.count = 1, .reusable = true}, SHIFT(531),
  [1675] = {.count = 2, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(532),
  [1678] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4),
  [1680] = {.count = 1, .reusable = true}, SHIFT(533),
  [1682] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .production_id = 10),
  [1684] = {.count = 1, .reusable = true}, SHIFT(534),
  [1686] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .production_id = 11),
  [1688] = {.count = 1, .reusable = true}, SHIFT(535),
  [1690] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 3),
  [1692] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 3),
  [1694] = {.count = 1, .reusable = true}, SHIFT(536),
  [1696] = {.count = 1, .reusable = true}, REDUCE(sym_subscript_expression, 4),
  [1698] = {.count = 1, .reusable = false}, REDUCE(sym_subscript_expression, 4),
  [1700] = {.count = 1, .reusable = true}, REDUCE(sym_nested_identifier, 3),
  [1702] = {.count = 1, .reusable = false}, REDUCE(sym_nested_identifier, 3),
  [1704] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_self_closing_element, 4),
  [1706] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_self_closing_element, 4),
  [1708] = {.count = 1, .reusable = true}, SHIFT(973),
  [1710] = {.count = 1, .reusable = true}, SHIFT(974),
  [1712] = {.count = 1, .reusable = true}, SHIFT(1119),
  [1714] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_namespace_name, 3),
  [1716] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_namespace_name, 3),
  [1718] = {.count = 1, .reusable = true}, SHIFT(539),
  [1720] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1),
  [1722] = {.count = 2, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2), SHIFT_REPEAT(857),
  [1725] = {.count = 1, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2),
  [1727] = {.count = 2, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2), SHIFT_REPEAT(335),
  [1730] = {.count = 1, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2),
  [1732] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2), SHIFT_REPEAT(335),
  [1735] = {.count = 1, .reusable = true}, SHIFT(540),
  [1737] = {.count = 1, .reusable = false}, SHIFT(541),
  [1739] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 4),
  [1741] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 4),
  [1743] = {.count = 1, .reusable = false}, SHIFT(543),
  [1745] = {.count = 1, .reusable = false}, REDUCE(sym_variable_declaration, 4),
  [1747] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declaration, 4),
  [1749] = {.count = 1, .reusable = false}, SHIFT(544),
  [1751] = {.count = 1, .reusable = true}, SHIFT(544),
  [1753] = {.count = 1, .reusable = false}, REDUCE(sym_switch_body, 2),
  [1755] = {.count = 1, .reusable = true}, REDUCE(sym_switch_body, 2),
  [1757] = {.count = 1, .reusable = true}, SHIFT(546),
  [1759] = {.count = 1, .reusable = true}, SHIFT(547),
  [1761] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 3),
  [1763] = {.count = 1, .reusable = true}, SHIFT(549),
  [1765] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 3, .production_id = 15),
  [1767] = {.count = 1, .reusable = true}, SHIFT(551),
  [1769] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 4),
  [1771] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 4),
  [1773] = {.count = 1, .reusable = true}, SHIFT(553),
  [1775] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 2),
  [1777] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 2),
  [1779] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 2),
  [1781] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 2),
  [1783] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 4),
  [1785] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 4),
  [1787] = {.count = 1, .reusable = true}, SHIFT(554),
  [1789] = {.count = 1, .reusable = false}, SHIFT(555),
  [1791] = {.count = 1, .reusable = true}, SHIFT(555),
  [1793] = {.count = 1, .reusable = true}, SHIFT(556),
  [1795] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_class, 4),
  [1797] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_class, 4),
  [1799] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_expression, 3),
  [1801] = {.count = 1, .reusable = true}, SHIFT(558),
  [1803] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 3),
  [1805] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 3),
  [1807] = {.count = 1, .reusable = true}, SHIFT(559),
  [1809] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 5),
  [1811] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 5),
  [1813] = {.count = 1, .reusable = true}, REDUCE(sym__import_export_specifier, 3),
  [1815] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 4, .production_id = 14),
  [1817] = {.count = 1, .reusable = true}, REDUCE(aux_sym_named_imports_repeat1, 2, .production_id = 14),
  [1819] = {.count = 1, .reusable = true}, SHIFT(560),
  [1821] = {.count = 2, .reusable = true}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(561),
  [1824] = {.count = 1, .reusable = true}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [1826] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5),
  [1828] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5),
  [1830] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 4),
  [1832] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 4),
  [1834] = {.count = 1, .reusable = true}, REDUCE(sym_object, 5),
  [1836] = {.count = 1, .reusable = false}, REDUCE(sym_object, 5),
  [1838] = {.count = 1, .reusable = true}, SHIFT(563),
  [1840] = {.count = 1, .reusable = true}, SHIFT(564),
  [1842] = {.count = 1, .reusable = true}, SHIFT(565),
  [1844] = {.count = 1, .reusable = false}, SHIFT(566),
  [1846] = {.count = 1, .reusable = true}, SHIFT(566),
  [1848] = {.count = 1, .reusable = false}, SHIFT(567),
  [1850] = {.count = 1, .reusable = true}, SHIFT(567),
  [1852] = {.count = 1, .reusable = false}, SHIFT(568),
  [1854] = {.count = 1, .reusable = true}, SHIFT(568),
  [1856] = {.count = 1, .reusable = false}, SHIFT(569),
  [1858] = {.count = 1, .reusable = true}, SHIFT(569),
  [1860] = {.count = 1, .reusable = false}, SHIFT(571),
  [1862] = {.count = 1, .reusable = true}, SHIFT(571),
  [1864] = {.count = 1, .reusable = false}, SHIFT(573),
  [1866] = {.count = 1, .reusable = true}, SHIFT(573),
  [1868] = {.count = 1, .reusable = true}, SHIFT(575),
  [1870] = {.count = 1, .reusable = true}, SHIFT(576),
  [1872] = {.count = 1, .reusable = true}, SHIFT(578),
  [1874] = {.count = 1, .reusable = true}, SHIFT(579),
  [1876] = {.count = 1, .reusable = true}, SHIFT(580),
  [1878] = {.count = 1, .reusable = true}, SHIFT(581),
  [1880] = {.count = 1, .reusable = true}, SHIFT(582),
  [1882] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5, .production_id = 5),
  [1884] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5),
  [1886] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5, .production_id = 10),
  [1888] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5, .production_id = 11),
  [1890] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 4),
  [1892] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 4),
  [1894] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [1896] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [1898] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 3),
  [1900] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 3),
  [1902] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_self_closing_element, 5),
  [1904] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_self_closing_element, 5),
  [1906] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_fragment, 5),
  [1908] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_fragment, 5),
  [1910] = {.count = 1, .reusable = true}, SHIFT(583),
  [1912] = {.count = 1, .reusable = false}, REDUCE(sym_function, 5),
  [1914] = {.count = 1, .reusable = true}, REDUCE(sym_function, 5),
  [1916] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym_rest_parameter, 2),
  [1919] = {.count = 1, .reusable = true}, SHIFT(584),
  [1921] = {.count = 1, .reusable = false}, REDUCE(sym_switch_default, 2),
  [1923] = {.count = 1, .reusable = true}, REDUCE(sym_switch_default, 2),
  [1925] = {.count = 1, .reusable = false}, REDUCE(sym_switch_body, 3),
  [1927] = {.count = 1, .reusable = true}, REDUCE(sym_switch_body, 3),
  [1929] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(472),
  [1932] = {.count = 1, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [1934] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(474),
  [1937] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 4, .production_id = 15),
  [1939] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_clause_repeat1, 2, .production_id = 15),
  [1941] = {.count = 1, .reusable = true}, SHIFT(586),
  [1943] = {.count = 2, .reusable = true}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(587),
  [1946] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [1948] = {.count = 1, .reusable = true}, SHIFT(588),
  [1950] = {.count = 1, .reusable = false}, REDUCE(sym_do_statement, 5),
  [1952] = {.count = 1, .reusable = true}, REDUCE(sym_do_statement, 5),
  [1954] = {.count = 1, .reusable = true}, REDUCE(sym_ternary_expression, 5),
  [1956] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 5),
  [1958] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 5),
  [1960] = {.count = 1, .reusable = false}, REDUCE(sym_class, 5),
  [1962] = {.count = 1, .reusable = true}, REDUCE(sym_class, 5),
  [1964] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_closing_element, 4),
  [1966] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_closing_element, 4),
  [1968] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 4),
  [1970] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 4),
  [1972] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 5, .production_id = 14),
  [1974] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 5),
  [1976] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 5),
  [1978] = {.count = 1, .reusable = false}, SHIFT(589),
  [1980] = {.count = 1, .reusable = true}, SHIFT(589),
  [1982] = {.count = 1, .reusable = false}, SHIFT(590),
  [1984] = {.count = 1, .reusable = true}, SHIFT(590),
  [1986] = {.count = 1, .reusable = false}, SHIFT(591),
  [1988] = {.count = 1, .reusable = true}, SHIFT(591),
  [1990] = {.count = 1, .reusable = true}, SHIFT(592),
  [1992] = {.count = 1, .reusable = true}, SHIFT(593),
  [1994] = {.count = 1, .reusable = true}, SHIFT(594),
  [1996] = {.count = 1, .reusable = true}, SHIFT(595),
  [1998] = {.count = 1, .reusable = true}, SHIFT(596),
  [2000] = {.count = 1, .reusable = true}, SHIFT(597),
  [2002] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 6),
  [2004] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 6),
  [2006] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_fragment, 6),
  [2008] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_fragment, 6),
  [2010] = {.count = 1, .reusable = false}, REDUCE(sym_switch_case, 3),
  [2012] = {.count = 1, .reusable = true}, REDUCE(sym_switch_case, 3),
  [2014] = {.count = 1, .reusable = false}, REDUCE(sym_switch_default, 3),
  [2016] = {.count = 1, .reusable = true}, REDUCE(sym_switch_default, 3),
  [2018] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 5, .production_id = 15),
  [2020] = {.count = 1, .reusable = true}, SHIFT(607),
  [2022] = {.count = 1, .reusable = true}, SHIFT(608),
  [2024] = {.count = 1, .reusable = true}, SHIFT(609),
  [2026] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 7),
  [2028] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 7),
  [2030] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 7),
  [2032] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 7),
  [2034] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7),
  [2036] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7),
  [2038] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 7, .production_id = 16),
  [2040] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 7, .production_id = 16),
  [2042] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 7, .production_id = 16),
  [2044] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 7, .production_id = 16),
  [2046] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 7, .production_id = 17),
  [2048] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 7, .production_id = 17),
  [2050] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 7, .production_id = 17),
  [2052] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 7, .production_id = 17),
  [2054] = {.count = 1, .reusable = false}, REDUCE(sym_switch_case, 4),
  [2056] = {.count = 1, .reusable = true}, REDUCE(sym_switch_case, 4),
  [2058] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 5),
  [2060] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 5),
  [2062] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 8),
  [2064] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 8),
  [2066] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 8, .production_id = 18),
  [2068] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 8, .production_id = 18),
  [2070] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 8, .production_id = 19),
  [2072] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 8, .production_id = 19),
  [2074] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 8),
  [2076] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 8),
  [2078] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 8, .production_id = 18),
  [2080] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 8, .production_id = 18),
  [2082] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 8, .production_id = 19),
  [2084] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 8, .production_id = 19),
  [2086] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 9),
  [2088] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 9),
  [2090] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 9, .production_id = 20),
  [2092] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 9, .production_id = 20),
  [2094] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 9, .production_id = 21),
  [2096] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 9, .production_id = 21),
  [2098] = {.count = 1, .reusable = false}, SHIFT(637),
  [2100] = {.count = 1, .reusable = true}, SHIFT(637),
  [2102] = {.count = 1, .reusable = false}, SHIFT(641),
  [2104] = {.count = 1, .reusable = true}, SHIFT(641),
  [2106] = {.count = 1, .reusable = false}, SHIFT(644),
  [2108] = {.count = 1, .reusable = true}, SHIFT(644),
  [2110] = {.count = 1, .reusable = false}, SHIFT(649),
  [2112] = {.count = 1, .reusable = true}, SHIFT(802),
  [2114] = {.count = 1, .reusable = true}, SHIFT(649),
  [2116] = {.count = 1, .reusable = false}, SHIFT(621),
  [2118] = {.count = 1, .reusable = false}, SHIFT(655),
  [2120] = {.count = 1, .reusable = true}, SHIFT(655),
  [2122] = {.count = 1, .reusable = false}, SHIFT(1097),
  [2124] = {.count = 1, .reusable = false}, SHIFT(656),
  [2126] = {.count = 1, .reusable = false}, SHIFT(844),
  [2128] = {.count = 1, .reusable = false}, SHIFT(657),
  [2130] = {.count = 1, .reusable = false}, SHIFT(658),
  [2132] = {.count = 1, .reusable = true}, SHIFT(656),
  [2134] = {.count = 1, .reusable = false}, SHIFT(659),
  [2136] = {.count = 1, .reusable = false}, SHIFT(868),
  [2138] = {.count = 1, .reusable = true}, SHIFT(778),
  [2140] = {.count = 1, .reusable = true}, SHIFT(868),
  [2142] = {.count = 1, .reusable = false}, SHIFT(692),
  [2144] = {.count = 1, .reusable = true}, SHIFT(692),
  [2146] = {.count = 1, .reusable = false}, SHIFT(694),
  [2148] = {.count = 1, .reusable = true}, SHIFT(694),
  [2150] = {.count = 1, .reusable = false}, SHIFT(698),
  [2152] = {.count = 1, .reusable = true}, SHIFT(698),
  [2154] = {.count = 1, .reusable = false}, SHIFT(699),
  [2156] = {.count = 1, .reusable = true}, SHIFT(699),
  [2158] = {.count = 1, .reusable = false}, SHIFT(701),
  [2160] = {.count = 1, .reusable = true}, SHIFT(701),
  [2162] = {.count = 1, .reusable = false}, SHIFT(708),
  [2164] = {.count = 1, .reusable = true}, SHIFT(708),
  [2166] = {.count = 1, .reusable = false}, SHIFT(709),
  [2168] = {.count = 1, .reusable = true}, SHIFT(709),
  [2170] = {.count = 1, .reusable = false}, SHIFT(710),
  [2172] = {.count = 1, .reusable = true}, SHIFT(710),
  [2174] = {.count = 1, .reusable = false}, SHIFT(711),
  [2176] = {.count = 1, .reusable = true}, SHIFT(711),
  [2178] = {.count = 1, .reusable = false}, SHIFT(712),
  [2180] = {.count = 1, .reusable = true}, SHIFT(712),
  [2182] = {.count = 1, .reusable = false}, SHIFT(713),
  [2184] = {.count = 1, .reusable = true}, SHIFT(713),
  [2186] = {.count = 1, .reusable = false}, SHIFT(720),
  [2188] = {.count = 1, .reusable = false}, SHIFT(730),
  [2190] = {.count = 1, .reusable = true}, SHIFT(730),
  [2192] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_expression, 2),
  [2194] = {.count = 1, .reusable = false}, SHIFT(742),
  [2196] = {.count = 1, .reusable = true}, SHIFT(742),
  [2198] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_expression, 3),
  [2200] = {.count = 1, .reusable = false}, SHIFT(633),
  [2202] = {.count = 1, .reusable = true}, SHIFT(633),
  [2204] = {.count = 1, .reusable = false}, SHIFT(635),
  [2206] = {.count = 1, .reusable = true}, SHIFT(635),
  [2208] = {.count = 1, .reusable = true}, SHIFT(811),
  [2210] = {.count = 1, .reusable = false}, SHIFT(812),
  [2212] = {.count = 1, .reusable = false}, SHIFT(814),
  [2214] = {.count = 1, .reusable = true}, SHIFT(814),
  [2216] = {.count = 1, .reusable = true}, SHIFT(638),
  [2218] = {.count = 1, .reusable = false}, SHIFT(639),
  [2220] = {.count = 1, .reusable = true}, SHIFT(817),
  [2222] = {.count = 1, .reusable = true}, SHIFT(818),
  [2224] = {.count = 1, .reusable = true}, SHIFT(640),
  [2226] = {.count = 1, .reusable = false}, SHIFT(822),
  [2228] = {.count = 1, .reusable = false}, SHIFT(823),
  [2230] = {.count = 1, .reusable = true}, SHIFT(642),
  [2232] = {.count = 1, .reusable = false}, SHIFT(824),
  [2234] = {.count = 1, .reusable = true}, SHIFT(829),
  [2236] = {.count = 1, .reusable = false}, SHIFT(1001),
  [2238] = {.count = 1, .reusable = false}, SHIFT(1029),
  [2240] = {.count = 1, .reusable = false}, SHIFT(1007),
  [2242] = {.count = 1, .reusable = true}, SHIFT(928),
  [2244] = {.count = 1, .reusable = false}, SHIFT(1002),
  [2246] = {.count = 1, .reusable = true}, SHIFT(1010),
  [2248] = {.count = 1, .reusable = false}, SHIFT(1011),
  [2250] = {.count = 1, .reusable = true}, SHIFT(804),
  [2252] = {.count = 1, .reusable = true}, SHIFT(1003),
  [2254] = {.count = 1, .reusable = false}, SHIFT(1022),
  [2256] = {.count = 1, .reusable = true}, SHIFT(1029),
  [2258] = {.count = 1, .reusable = false}, SHIFT(806),
  [2260] = {.count = 1, .reusable = false}, SHIFT(1015),
  [2262] = {.count = 1, .reusable = false}, SHIFT(807),
  [2264] = {.count = 1, .reusable = false}, SHIFT(1010),
  [2266] = {.count = 1, .reusable = false}, SHIFT(842),
  [2268] = {.count = 1, .reusable = true}, SHIFT(842),
  [2270] = {.count = 1, .reusable = false}, SHIFT(845),
  [2272] = {.count = 1, .reusable = false}, SHIFT(846),
  [2274] = {.count = 1, .reusable = false}, SHIFT(858),
  [2276] = {.count = 1, .reusable = false}, SHIFT(1101),
  [2278] = {.count = 1, .reusable = false}, SHIFT(861),
  [2280] = {.count = 1, .reusable = false}, SHIFT(859),
  [2282] = {.count = 1, .reusable = false}, SHIFT(860),
  [2284] = {.count = 1, .reusable = true}, SHIFT(674),
  [2286] = {.count = 1, .reusable = true}, SHIFT(677),
  [2288] = {.count = 1, .reusable = true}, SHIFT(681),
  [2290] = {.count = 1, .reusable = false}, SHIFT(682),
  [2292] = {.count = 1, .reusable = true}, SHIFT(683),
  [2294] = {.count = 1, .reusable = false}, SHIFT(684),
  [2296] = {.count = 1, .reusable = true}, SHIFT(946),
  [2298] = {.count = 1, .reusable = true}, SHIFT(686),
  [2300] = {.count = 1, .reusable = true}, SHIFT(688),
  [2302] = {.count = 1, .reusable = true}, SHIFT(689),
  [2304] = {.count = 1, .reusable = false}, SHIFT(871),
  [2306] = {.count = 1, .reusable = true}, SHIFT(871),
  [2308] = {.count = 1, .reusable = true}, SHIFT(693),
  [2310] = {.count = 1, .reusable = false}, SHIFT(872),
  [2312] = {.count = 1, .reusable = true}, SHIFT(872),
  [2314] = {.count = 1, .reusable = true}, SHIFT(695),
  [2316] = {.count = 1, .reusable = true}, SHIFT(696),
  [2318] = {.count = 1, .reusable = false}, SHIFT(873),
  [2320] = {.count = 1, .reusable = true}, SHIFT(873),
  [2322] = {.count = 1, .reusable = true}, SHIFT(697),
  [2324] = {.count = 1, .reusable = false}, SHIFT(878),
  [2326] = {.count = 1, .reusable = true}, SHIFT(878),
  [2328] = {.count = 1, .reusable = false}, SHIFT(879),
  [2330] = {.count = 1, .reusable = true}, SHIFT(879),
  [2332] = {.count = 1, .reusable = false}, SHIFT(880),
  [2334] = {.count = 1, .reusable = true}, SHIFT(880),
  [2336] = {.count = 1, .reusable = true}, SHIFT(840),
  [2338] = {.count = 1, .reusable = false}, SHIFT(850),
  [2340] = {.count = 1, .reusable = false}, SHIFT(851),
  [2342] = {.count = 1, .reusable = true}, SHIFT(852),
  [2344] = {.count = 1, .reusable = true}, SHIFT(853),
  [2346] = {.count = 1, .reusable = true}, SHIFT(854),
  [2348] = {.count = 1, .reusable = false}, SHIFT(854),
  [2350] = {.count = 1, .reusable = false}, SHIFT(840),
  [2352] = {.count = 1, .reusable = false}, SHIFT(852),
  [2354] = {.count = 1, .reusable = true}, SHIFT(850),
  [2356] = {.count = 1, .reusable = true}, SHIFT(1100),
  [2358] = {.count = 1, .reusable = true}, SHIFT(702),
  [2360] = {.count = 1, .reusable = true}, SHIFT(704),
  [2362] = {.count = 1, .reusable = true}, SHIFT(841),
  [2364] = {.count = 1, .reusable = false}, SHIFT(1036),
  [2366] = {.count = 1, .reusable = true}, SHIFT(62),
  [2368] = {.count = 1, .reusable = true}, SHIFT(707),
  [2370] = {.count = 1, .reusable = false}, SHIFT(883),
  [2372] = {.count = 1, .reusable = true}, SHIFT(883),
  [2374] = {.count = 1, .reusable = false}, SHIFT(884),
  [2376] = {.count = 1, .reusable = true}, SHIFT(884),
  [2378] = {.count = 1, .reusable = false}, SHIFT(885),
  [2380] = {.count = 1, .reusable = true}, SHIFT(885),
  [2382] = {.count = 1, .reusable = false}, SHIFT(886),
  [2384] = {.count = 1, .reusable = true}, SHIFT(886),
  [2386] = {.count = 1, .reusable = true}, SHIFT(848),
  [2388] = {.count = 1, .reusable = true}, SHIFT(1037),
  [2390] = {.count = 1, .reusable = true}, SHIFT(10),
  [2392] = {.count = 1, .reusable = false}, SHIFT(888),
  [2394] = {.count = 1, .reusable = false}, SHIFT(890),
  [2396] = {.count = 1, .reusable = true}, SHIFT(890),
  [2398] = {.count = 1, .reusable = true}, SHIFT(715),
  [2400] = {.count = 1, .reusable = true}, SHIFT(717),
  [2402] = {.count = 1, .reusable = true}, SHIFT(719),
  [2404] = {.count = 1, .reusable = true}, SHIFT(723),
  [2406] = {.count = 1, .reusable = true}, SHIFT(724),
  [2408] = {.count = 1, .reusable = true}, SHIFT(725),
  [2410] = {.count = 1, .reusable = true}, SHIFT(726),
  [2412] = {.count = 1, .reusable = true}, SHIFT(727),
  [2414] = {.count = 1, .reusable = true}, SHIFT(728),
  [2416] = {.count = 1, .reusable = false}, SHIFT(900),
  [2418] = {.count = 1, .reusable = true}, SHIFT(900),
  [2420] = {.count = 1, .reusable = true}, SHIFT(732),
  [2422] = {.count = 1, .reusable = true}, SHIFT(734),
  [2424] = {.count = 1, .reusable = true}, SHIFT(735),
  [2426] = {.count = 1, .reusable = true}, SHIFT(737),
  [2428] = {.count = 1, .reusable = true}, SHIFT(738),
  [2430] = {.count = 1, .reusable = true}, SHIFT(739),
  [2432] = {.count = 1, .reusable = true}, SHIFT(740),
  [2434] = {.count = 1, .reusable = false}, SHIFT(909),
  [2436] = {.count = 1, .reusable = true}, SHIFT(909),
  [2438] = {.count = 1, .reusable = true}, SHIFT(744),
  [2440] = {.count = 1, .reusable = true}, SHIFT(745),
  [2442] = {.count = 1, .reusable = false}, SHIFT(935),
  [2444] = {.count = 1, .reusable = true}, SHIFT(935),
  [2446] = {.count = 1, .reusable = true}, SHIFT(746),
  [2448] = {.count = 1, .reusable = false}, SHIFT(747),
  [2450] = {.count = 1, .reusable = true}, SHIFT(938),
  [2452] = {.count = 1, .reusable = true}, SHIFT(748),
  [2454] = {.count = 1, .reusable = true}, SHIFT(943),
  [2456] = {.count = 1, .reusable = false}, SHIFT(947),
  [2458] = {.count = 1, .reusable = false}, SHIFT(1121),
  [2460] = {.count = 1, .reusable = false}, SHIFT(950),
  [2462] = {.count = 1, .reusable = false}, SHIFT(948),
  [2464] = {.count = 1, .reusable = false}, SHIFT(949),
  [2466] = {.count = 1, .reusable = true}, SHIFT(750),
  [2468] = {.count = 1, .reusable = true}, SHIFT(751),
  [2470] = {.count = 1, .reusable = true}, SHIFT(933),
  [2472] = {.count = 1, .reusable = true}, SHIFT(753),
  [2474] = {.count = 1, .reusable = false}, SHIFT(754),
  [2476] = {.count = 1, .reusable = true}, SHIFT(985),
  [2478] = {.count = 1, .reusable = true}, SHIFT(757),
  [2480] = {.count = 1, .reusable = true}, SHIFT(758),
  [2482] = {.count = 1, .reusable = true}, SHIFT(759),
  [2484] = {.count = 1, .reusable = true}, SHIFT(760),
  [2486] = {.count = 1, .reusable = true}, SHIFT(756),
  [2488] = {.count = 1, .reusable = true}, SHIFT(762),
  [2490] = {.count = 1, .reusable = true}, SHIFT(764),
  [2492] = {.count = 1, .reusable = true}, SHIFT(767),
  [2494] = {.count = 1, .reusable = true}, SHIFT(768),
  [2496] = {.count = 1, .reusable = true}, SHIFT(769),
  [2498] = {.count = 1, .reusable = true}, SHIFT(771),
  [2500] = {.count = 1, .reusable = true}, SHIFT(772),
  [2502] = {.count = 1, .reusable = true}, SHIFT(773),
  [2504] = {.count = 1, .reusable = true}, SHIFT(776),
  [2506] = {.count = 1, .reusable = true}, SHIFT(777),
  [2508] = {.count = 1, .reusable = false}, SHIFT(977),
  [2510] = {.count = 1, .reusable = true}, SHIFT(977),
  [2512] = {.count = 1, .reusable = false}, SHIFT(779),
  [2514] = {.count = 1, .reusable = true}, SHIFT(980),
  [2516] = {.count = 1, .reusable = true}, SHIFT(984),
  [2518] = {.count = 1, .reusable = false}, SHIFT(986),
  [2520] = {.count = 1, .reusable = false}, SHIFT(1123),
  [2522] = {.count = 1, .reusable = false}, SHIFT(989),
  [2524] = {.count = 1, .reusable = false}, SHIFT(987),
  [2526] = {.count = 1, .reusable = false}, SHIFT(988),
  [2528] = {.count = 1, .reusable = true}, SHIFT(781),
  [2530] = {.count = 1, .reusable = true}, SHIFT(782),
  [2532] = {.count = 1, .reusable = false}, SHIFT(783),
  [2534] = {.count = 1, .reusable = true}, SHIFT(785),
  [2536] = {.count = 1, .reusable = true}, SHIFT(786),
  [2538] = {.count = 1, .reusable = true}, SHIFT(787),
  [2540] = {.count = 1, .reusable = true}, SHIFT(784),
  [2542] = {.count = 1, .reusable = true}, SHIFT(789),
  [2544] = {.count = 1, .reusable = true}, SHIFT(790),
  [2546] = {.count = 1, .reusable = true}, SHIFT(791),
  [2548] = {.count = 1, .reusable = true}, SHIFT(792),
  [2550] = {.count = 1, .reusable = true}, SHIFT(793),
  [2552] = {.count = 1, .reusable = true}, SHIFT(794),
  [2554] = {.count = 1, .reusable = true}, SHIFT(795),
  [2556] = {.count = 1, .reusable = false}, SHIFT(1023),
  [2558] = {.count = 1, .reusable = true}, SHIFT(1023),
  [2560] = {.count = 1, .reusable = false}, SHIFT(819),
  [2562] = {.count = 1, .reusable = true}, SHIFT(1025),
  [2564] = {.count = 1, .reusable = true}, SHIFT(1026),
  [2566] = {.count = 1, .reusable = true}, SHIFT(830),
  [2568] = {.count = 1, .reusable = false}, SHIFT(833),
  [2570] = {.count = 1, .reusable = true}, SHIFT(833),
  [2572] = {.count = 1, .reusable = true}, SHIFT(839),
  [2574] = {.count = 1, .reusable = true}, SHIFT(838),
  [2576] = {.count = 1, .reusable = true}, SHIFT(855),
  [2578] = {.count = 1, .reusable = true}, SHIFT(856),
  [2580] = {.count = 1, .reusable = true}, SHIFT(1041),
  [2582] = {.count = 1, .reusable = false}, SHIFT(876),
  [2584] = {.count = 1, .reusable = true}, SHIFT(876),
  [2586] = {.count = 1, .reusable = false}, SHIFT(881),
  [2588] = {.count = 1, .reusable = true}, SHIFT(1045),
  [2590] = {.count = 1, .reusable = true}, SHIFT(882),
  [2592] = {.count = 1, .reusable = true}, SHIFT(157),
  [2594] = {.count = 1, .reusable = false}, SHIFT(887),
  [2596] = {.count = 1, .reusable = true}, SHIFT(887),
  [2598] = {.count = 1, .reusable = false}, SHIFT(892),
  [2600] = {.count = 1, .reusable = true}, SHIFT(892),
  [2602] = {.count = 1, .reusable = true}, SHIFT(894),
  [2604] = {.count = 1, .reusable = false}, SHIFT(897),
  [2606] = {.count = 1, .reusable = false}, SHIFT(898),
  [2608] = {.count = 1, .reusable = true}, SHIFT(376),
  [2610] = {.count = 1, .reusable = true}, SHIFT(901),
  [2612] = {.count = 1, .reusable = true}, SHIFT(904),
  [2614] = {.count = 1, .reusable = false}, SHIFT(903),
  [2616] = {.count = 1, .reusable = false}, SHIFT(1054),
  [2618] = {.count = 1, .reusable = true}, SHIFT(1054),
  [2620] = {.count = 1, .reusable = true}, SHIFT(907),
  [2622] = {.count = 1, .reusable = false}, SHIFT(908),
  [2624] = {.count = 1, .reusable = true}, SHIFT(910),
  [2626] = {.count = 1, .reusable = true}, SHIFT(911),
  [2628] = {.count = 1, .reusable = true}, SHIFT(912),
  [2630] = {.count = 1, .reusable = true}, SHIFT(913),
  [2632] = {.count = 1, .reusable = true}, SHIFT(914),
  [2634] = {.count = 1, .reusable = true}, SHIFT(915),
  [2636] = {.count = 1, .reusable = true}, SHIFT(916),
  [2638] = {.count = 1, .reusable = true}, SHIFT(917),
  [2640] = {.count = 1, .reusable = true}, SHIFT(918),
  [2642] = {.count = 1, .reusable = true}, SHIFT(919),
  [2644] = {.count = 1, .reusable = true}, SHIFT(920),
  [2646] = {.count = 1, .reusable = true}, SHIFT(921),
  [2648] = {.count = 1, .reusable = true}, SHIFT(922),
  [2650] = {.count = 1, .reusable = true}, SHIFT(923),
  [2652] = {.count = 1, .reusable = true}, SHIFT(924),
  [2654] = {.count = 1, .reusable = true}, SHIFT(925),
  [2656] = {.count = 1, .reusable = true}, SHIFT(1075),
  [2658] = {.count = 1, .reusable = true}, SHIFT(1076),
  [2660] = {.count = 1, .reusable = true}, SHIFT(1084),
  [2662] = {.count = 1, .reusable = false}, SHIFT(959),
  [2664] = {.count = 1, .reusable = true}, SHIFT(1087),
  [2666] = {.count = 1, .reusable = false}, SHIFT(963),
  [2668] = {.count = 1, .reusable = false}, SHIFT(964),
  [2670] = {.count = 1, .reusable = false}, SHIFT(967),
  [2672] = {.count = 1, .reusable = true}, SHIFT(968),
  [2674] = {.count = 1, .reusable = false}, SHIFT(971),
  [2676] = {.count = 1, .reusable = false}, SHIFT(994),
  [2678] = {.count = 1, .reusable = false}, SHIFT(996),
  [2680] = {.count = 1, .reusable = false}, SHIFT(997),
  [2682] = {.count = 1, .reusable = true}, SHIFT(998),
  [2684] = {.count = 1, .reusable = true}, SHIFT(1032),
  [2686] = {.count = 1, .reusable = false}, SHIFT(1031),
  [2688] = {.count = 1, .reusable = true}, SHIFT(1098),
  [2690] = {.count = 1, .reusable = false}, SHIFT(1103),
  [2692] = {.count = 1, .reusable = false}, SHIFT(1044),
  [2694] = {.count = 1, .reusable = true}, SHIFT(1046),
  [2696] = {.count = 1, .reusable = false}, SHIFT(1047),
  [2698] = {.count = 1, .reusable = true}, SHIFT(1047),
  [2700] = {.count = 1, .reusable = false}, SHIFT(1048),
  [2702] = {.count = 1, .reusable = false}, SHIFT(1050),
  [2704] = {.count = 1, .reusable = false}, SHIFT(1051),
  [2706] = {.count = 1, .reusable = true}, SHIFT(1051),
  [2708] = {.count = 1, .reusable = false}, SHIFT(1053),
  [2710] = {.count = 1, .reusable = true}, SHIFT(1053),
  [2712] = {.count = 1, .reusable = false}, SHIFT(1056),
  [2714] = {.count = 1, .reusable = true}, SHIFT(1056),
  [2716] = {.count = 1, .reusable = false}, SHIFT(1057),
  [2718] = {.count = 1, .reusable = true}, SHIFT(1057),
  [2720] = {.count = 1, .reusable = false}, SHIFT(1059),
  [2722] = {.count = 1, .reusable = true}, SHIFT(1059),
  [2724] = {.count = 1, .reusable = false}, SHIFT(1060),
  [2726] = {.count = 1, .reusable = true}, SHIFT(1060),
  [2728] = {.count = 1, .reusable = false}, SHIFT(1062),
  [2730] = {.count = 1, .reusable = true}, SHIFT(1062),
  [2732] = {.count = 1, .reusable = false}, SHIFT(1063),
  [2734] = {.count = 1, .reusable = true}, SHIFT(1063),
  [2736] = {.count = 1, .reusable = false}, SHIFT(1064),
  [2738] = {.count = 1, .reusable = true}, SHIFT(1064),
  [2740] = {.count = 1, .reusable = false}, SHIFT(1065),
  [2742] = {.count = 1, .reusable = true}, SHIFT(1065),
  [2744] = {.count = 1, .reusable = false}, SHIFT(1067),
  [2746] = {.count = 1, .reusable = true}, SHIFT(1067),
  [2748] = {.count = 1, .reusable = false}, SHIFT(1069),
  [2750] = {.count = 1, .reusable = true}, SHIFT(1069),
  [2752] = {.count = 1, .reusable = false}, SHIFT(1071),
  [2754] = {.count = 1, .reusable = true}, SHIFT(1071),
  [2756] = {.count = 1, .reusable = false}, SHIFT(1072),
  [2758] = {.count = 1, .reusable = true}, SHIFT(1072),
  [2760] = {.count = 1, .reusable = false}, SHIFT(1073),
  [2762] = {.count = 1, .reusable = true}, SHIFT(1073),
  [2764] = {.count = 1, .reusable = true}, SHIFT(1091),
  [2766] = {.count = 1, .reusable = false}, SHIFT(1090),
  [2768] = {.count = 1, .reusable = true}, SHIFT(1120),
  [2770] = {.count = 1, .reusable = false}, SHIFT(1122),
  [2772] = {.count = 1, .reusable = false}, SHIFT(1086),
  [2774] = {.count = 1, .reusable = false}, SHIFT(1088),
  [2776] = {.count = 1, .reusable = false}, SHIFT(1089),
  [2778] = {.count = 1, .reusable = false}, SHIFT(1096),
  [2780] = {.count = 1, .reusable = false}, SHIFT(1140),
  [2782] = {.count = 1, .reusable = false}, SHIFT(1139),
  [2784] = {.count = 1, .reusable = false}, SHIFT(1125),
  [2786] = {.count = 1, .reusable = false}, SHIFT(1104),
  [2788] = {.count = 1, .reusable = true}, SHIFT(1105),
  [2790] = {.count = 1, .reusable = false}, SHIFT(1107),
  [2792] = {.count = 1, .reusable = true}, SHIFT(1106),
  [2794] = {.count = 1, .reusable = false}, SHIFT(1109),
  [2796] = {.count = 1, .reusable = true}, SHIFT(1108),
  [2798] = {.count = 1, .reusable = true}, SHIFT(1110),
  [2800] = {.count = 1, .reusable = true}, SHIFT(1111),
  [2802] = {.count = 1, .reusable = true}, SHIFT(1112),
  [2804] = {.count = 1, .reusable = true}, SHIFT(1113),
  [2806] = {.count = 1, .reusable = true}, SHIFT(1114),
  [2808] = {.count = 1, .reusable = true}, SHIFT(1115),
  [2810] = {.count = 1, .reusable = true}, SHIFT(1116),
  [2812] = {.count = 1, .reusable = true}, SHIFT(1117),
  [2814] = {.count = 1, .reusable = true}, SHIFT(1118),
  [2816] = {.count = 1, .reusable = true}, SHIFT(1142),
  [2818] = {.count = 1, .reusable = true}, SHIFT(1124),
  [2820] = {.count = 1, .reusable = false}, SHIFT(1141),
  [2822] = {.count = 1, .reusable = false}, SHIFT(1128),
  [2824] = {.count = 1, .reusable = true}, SHIFT(1131),
  [2826] = {.count = 1, .reusable = true}, SHIFT(1134),
  [2828] = {.count = 1, .reusable = true}, SHIFT(1138),
};

void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_javascript(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
  };
  return &language;
}
